--
-- PostgreSQL database dump
--

SET statement_timeout = 0;
SET lock_timeout = 0;
SET client_encoding = 'UTF8';
SET standard_conforming_strings = on;
SET check_function_bodies = false;
SET client_min_messages = warning;

--
-- Name: company_en; Type: SCHEMA; Schema: -; Owner: -
--

CREATE SCHEMA company_en;


--
-- Name: company_ru; Type: SCHEMA; Schema: -; Owner: -
--

CREATE SCHEMA company_ru;


--
-- Name: demo_ru; Type: SCHEMA; Schema: -; Owner: -
--

CREATE SCHEMA demo_ru;


--
-- Name: test; Type: SCHEMA; Schema: -; Owner: -
--

CREATE SCHEMA test;


--
-- Name: plpgsql; Type: EXTENSION; Schema: -; Owner: -
--

CREATE EXTENSION IF NOT EXISTS plpgsql WITH SCHEMA pg_catalog;


--
-- Name: EXTENSION plpgsql; Type: COMMENT; Schema: -; Owner: -
--

COMMENT ON EXTENSION plpgsql IS 'PL/pgSQL procedural language';


SET search_path = company_en, pg_catalog;

SET default_tablespace = '';

SET default_with_oids = false;

--
-- Name: accomodation; Type: TABLE; Schema: company_en; Owner: -; Tablespace: 
--

CREATE TABLE accomodation (
    id integer NOT NULL,
    resource_id integer NOT NULL,
    name character varying(32) NOT NULL
);


--
-- Name: accomodation_id_seq; Type: SEQUENCE; Schema: company_en; Owner: -
--

CREATE SEQUENCE accomodation_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: accomodation_id_seq; Type: SEQUENCE OWNED BY; Schema: company_en; Owner: -
--

ALTER SEQUENCE accomodation_id_seq OWNED BY accomodation.id;


--
-- Name: account; Type: TABLE; Schema: company_en; Owner: -; Tablespace: 
--

CREATE TABLE account (
    id integer NOT NULL,
    resource_id integer NOT NULL,
    currency_id integer NOT NULL,
    account_type smallint NOT NULL,
    name character varying(255) NOT NULL,
    display_text character varying(255) NOT NULL,
    status smallint NOT NULL,
    descr character varying(255)
);


--
-- Name: account_id_seq; Type: SEQUENCE; Schema: company_en; Owner: -
--

CREATE SEQUENCE account_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: account_id_seq; Type: SEQUENCE OWNED BY; Schema: company_en; Owner: -
--

ALTER SEQUENCE account_id_seq OWNED BY account.id;


--
-- Name: account_item; Type: TABLE; Schema: company_en; Owner: -; Tablespace: 
--

CREATE TABLE account_item (
    id integer NOT NULL,
    resource_id integer NOT NULL,
    parent_id integer,
    name character varying(128) NOT NULL,
    type smallint NOT NULL,
    status smallint NOT NULL,
    descr character varying(128)
);


--
-- Name: account_item_id_seq; Type: SEQUENCE; Schema: company_en; Owner: -
--

CREATE SEQUENCE account_item_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: account_item_id_seq; Type: SEQUENCE OWNED BY; Schema: company_en; Owner: -
--

ALTER SEQUENCE account_item_id_seq OWNED BY account_item.id;


--
-- Name: address; Type: TABLE; Schema: company_en; Owner: -; Tablespace: 
--

CREATE TABLE address (
    id integer NOT NULL,
    resource_id integer NOT NULL,
    location_id integer NOT NULL,
    zip_code character varying(12) NOT NULL,
    address character varying(255) NOT NULL
);


--
-- Name: address_id_seq; Type: SEQUENCE; Schema: company_en; Owner: -
--

CREATE SEQUENCE address_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: address_id_seq; Type: SEQUENCE OWNED BY; Schema: company_en; Owner: -
--

ALTER SEQUENCE address_id_seq OWNED BY address.id;


--
-- Name: advsource; Type: TABLE; Schema: company_en; Owner: -; Tablespace: 
--

CREATE TABLE advsource (
    id integer NOT NULL,
    resource_id integer NOT NULL,
    name character varying(32) NOT NULL
);


--
-- Name: advsource_id_seq; Type: SEQUENCE; Schema: company_en; Owner: -
--

CREATE SEQUENCE advsource_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: advsource_id_seq; Type: SEQUENCE OWNED BY; Schema: company_en; Owner: -
--

ALTER SEQUENCE advsource_id_seq OWNED BY advsource.id;


--
-- Name: alembic_version; Type: TABLE; Schema: company_en; Owner: -; Tablespace: 
--

CREATE TABLE alembic_version (
    version_num character varying(32) NOT NULL
);


--
-- Name: appointment; Type: TABLE; Schema: company_en; Owner: -; Tablespace: 
--

CREATE TABLE appointment (
    id integer NOT NULL,
    resource_id integer NOT NULL,
    date date,
    employee_id integer NOT NULL,
    position_id integer NOT NULL,
    salary numeric(16,2) NOT NULL,
    currency_id integer NOT NULL
);


--
-- Name: appointment_id_seq; Type: SEQUENCE; Schema: company_en; Owner: -
--

CREATE SEQUENCE appointment_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: appointment_id_seq; Type: SEQUENCE OWNED BY; Schema: company_en; Owner: -
--

ALTER SEQUENCE appointment_id_seq OWNED BY appointment.id;


--
-- Name: bank; Type: TABLE; Schema: company_en; Owner: -; Tablespace: 
--

CREATE TABLE bank (
    id integer NOT NULL,
    resource_id integer NOT NULL,
    name character varying(255) NOT NULL
);


--
-- Name: bank_address; Type: TABLE; Schema: company_en; Owner: -; Tablespace: 
--

CREATE TABLE bank_address (
    bank_id integer NOT NULL,
    address_id integer NOT NULL
);


--
-- Name: bank_detail; Type: TABLE; Schema: company_en; Owner: -; Tablespace: 
--

CREATE TABLE bank_detail (
    id integer NOT NULL,
    resource_id integer NOT NULL,
    currency_id integer NOT NULL,
    bank_id integer NOT NULL,
    beneficiary character varying(255),
    account character varying(32) NOT NULL,
    swift_code character varying(32) NOT NULL
);


--
-- Name: bank_detail_id_seq; Type: SEQUENCE; Schema: company_en; Owner: -
--

CREATE SEQUENCE bank_detail_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: bank_detail_id_seq; Type: SEQUENCE OWNED BY; Schema: company_en; Owner: -
--

ALTER SEQUENCE bank_detail_id_seq OWNED BY bank_detail.id;


--
-- Name: bank_id_seq; Type: SEQUENCE; Schema: company_en; Owner: -
--

CREATE SEQUENCE bank_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: bank_id_seq; Type: SEQUENCE OWNED BY; Schema: company_en; Owner: -
--

ALTER SEQUENCE bank_id_seq OWNED BY bank.id;


--
-- Name: bperson; Type: TABLE; Schema: company_en; Owner: -; Tablespace: 
--

CREATE TABLE bperson (
    id integer NOT NULL,
    resource_id integer NOT NULL,
    first_name character varying(32) NOT NULL,
    last_name character varying(32),
    second_name character varying(32),
    position_name character varying(64),
    status smallint NOT NULL,
    descr character varying(255)
);


--
-- Name: bperson_contact; Type: TABLE; Schema: company_en; Owner: -; Tablespace: 
--

CREATE TABLE bperson_contact (
    bperson_id integer NOT NULL,
    contact_id integer NOT NULL
);


--
-- Name: bperson_id_seq; Type: SEQUENCE; Schema: company_en; Owner: -
--

CREATE SEQUENCE bperson_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: bperson_id_seq; Type: SEQUENCE OWNED BY; Schema: company_en; Owner: -
--

ALTER SEQUENCE bperson_id_seq OWNED BY bperson.id;


--
-- Name: calculation; Type: TABLE; Schema: company_en; Owner: -; Tablespace: 
--

CREATE TABLE calculation (
    id integer NOT NULL,
    resource_id integer NOT NULL,
    order_item_id integer,
    contract_id integer,
    price numeric(16,2) NOT NULL
);


--
-- Name: calculation_id_seq; Type: SEQUENCE; Schema: company_en; Owner: -
--

CREATE SEQUENCE calculation_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: calculation_id_seq; Type: SEQUENCE OWNED BY; Schema: company_en; Owner: -
--

ALTER SEQUENCE calculation_id_seq OWNED BY calculation.id;


--
-- Name: campaign; Type: TABLE; Schema: company_en; Owner: -; Tablespace: 
--

CREATE TABLE campaign (
    id integer NOT NULL,
    resource_id integer NOT NULL,
    name character varying(32) NOT NULL,
    subject character varying(128) NOT NULL,
    plain_content text,
    html_content text,
    start_dt timestamp with time zone NOT NULL,
    status smallint NOT NULL
);


--
-- Name: campaign_id_seq; Type: SEQUENCE; Schema: company_en; Owner: -
--

CREATE SEQUENCE campaign_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: campaign_id_seq; Type: SEQUENCE OWNED BY; Schema: company_en; Owner: -
--

ALTER SEQUENCE campaign_id_seq OWNED BY campaign.id;


--
-- Name: cashflow; Type: TABLE; Schema: company_en; Owner: -; Tablespace: 
--

CREATE TABLE cashflow (
    id integer NOT NULL,
    subaccount_from_id integer,
    subaccount_to_id integer,
    account_item_id integer,
    sum numeric(16,2) NOT NULL,
    vat numeric(16,2),
    date date NOT NULL,
    CONSTRAINT constraint_cashflow_subaccount CHECK (((subaccount_from_id IS NOT NULL) OR (subaccount_to_id IS NOT NULL)))
);


--
-- Name: cashflow_id_seq; Type: SEQUENCE; Schema: company_en; Owner: -
--

CREATE SEQUENCE cashflow_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: cashflow_id_seq; Type: SEQUENCE OWNED BY; Schema: company_en; Owner: -
--

ALTER SEQUENCE cashflow_id_seq OWNED BY cashflow.id;


--
-- Name: commission; Type: TABLE; Schema: company_en; Owner: -; Tablespace: 
--

CREATE TABLE commission (
    id integer NOT NULL,
    resource_id integer NOT NULL,
    service_id integer NOT NULL,
    percentage numeric(5,2) NOT NULL,
    price numeric(16,2) NOT NULL,
    currency_id integer NOT NULL,
    descr character varying(255),
    CONSTRAINT chk_commission_percentage CHECK (((percentage >= (0)::numeric) AND (percentage <= (100)::numeric)))
);


--
-- Name: commission_id_seq; Type: SEQUENCE; Schema: company_en; Owner: -
--

CREATE SEQUENCE commission_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: commission_id_seq; Type: SEQUENCE OWNED BY; Schema: company_en; Owner: -
--

ALTER SEQUENCE commission_id_seq OWNED BY commission.id;


--
-- Name: company; Type: TABLE; Schema: company_en; Owner: -; Tablespace: 
--

CREATE TABLE company (
    id integer NOT NULL,
    resource_id integer,
    currency_id integer,
    name character varying(32) NOT NULL,
    email character varying(32) NOT NULL,
    settings json
);


--
-- Name: company_id_seq; Type: SEQUENCE; Schema: company_en; Owner: -
--

CREATE SEQUENCE company_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: company_id_seq; Type: SEQUENCE OWNED BY; Schema: company_en; Owner: -
--

ALTER SEQUENCE company_id_seq OWNED BY company.id;


--
-- Name: company_subaccount; Type: TABLE; Schema: company_en; Owner: -; Tablespace: 
--

CREATE TABLE company_subaccount (
    company_id integer NOT NULL,
    subaccount_id integer NOT NULL
);


--
-- Name: contact; Type: TABLE; Schema: company_en; Owner: -; Tablespace: 
--

CREATE TABLE contact (
    id integer NOT NULL,
    resource_id integer NOT NULL,
    contact_type smallint NOT NULL,
    contact character varying NOT NULL,
    status smallint NOT NULL,
    descr character varying(255)
);


--
-- Name: contact_id_seq; Type: SEQUENCE; Schema: company_en; Owner: -
--

CREATE SEQUENCE contact_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: contact_id_seq; Type: SEQUENCE OWNED BY; Schema: company_en; Owner: -
--

ALTER SEQUENCE contact_id_seq OWNED BY contact.id;


--
-- Name: contract; Type: TABLE; Schema: company_en; Owner: -; Tablespace: 
--

CREATE TABLE contract (
    id integer NOT NULL,
    resource_id integer NOT NULL,
    num character varying NOT NULL,
    date date NOT NULL,
    status smallint NOT NULL,
    descr character varying(255)
);


--
-- Name: contract_commission; Type: TABLE; Schema: company_en; Owner: -; Tablespace: 
--

CREATE TABLE contract_commission (
    contract_id integer NOT NULL,
    commission_id integer NOT NULL
);


--
-- Name: contract_id_seq; Type: SEQUENCE; Schema: company_en; Owner: -
--

CREATE SEQUENCE contract_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: contract_id_seq; Type: SEQUENCE OWNED BY; Schema: company_en; Owner: -
--

ALTER SEQUENCE contract_id_seq OWNED BY contract.id;


--
-- Name: country; Type: TABLE; Schema: company_en; Owner: -; Tablespace: 
--

CREATE TABLE country (
    id integer NOT NULL,
    resource_id integer NOT NULL,
    iso_code character varying(2) NOT NULL,
    name character varying(32) NOT NULL
);


--
-- Name: country_id_seq; Type: SEQUENCE; Schema: company_en; Owner: -
--

CREATE SEQUENCE country_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: country_id_seq; Type: SEQUENCE OWNED BY; Schema: company_en; Owner: -
--

ALTER SEQUENCE country_id_seq OWNED BY country.id;


--
-- Name: crosspayment; Type: TABLE; Schema: company_en; Owner: -; Tablespace: 
--

CREATE TABLE crosspayment (
    id integer NOT NULL,
    resource_id integer NOT NULL,
    cashflow_id integer NOT NULL,
    descr character varying(255)
);


--
-- Name: crosspayment_id_seq; Type: SEQUENCE; Schema: company_en; Owner: -
--

CREATE SEQUENCE crosspayment_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: crosspayment_id_seq; Type: SEQUENCE OWNED BY; Schema: company_en; Owner: -
--

ALTER SEQUENCE crosspayment_id_seq OWNED BY crosspayment.id;


--
-- Name: currency; Type: TABLE; Schema: company_en; Owner: -; Tablespace: 
--

CREATE TABLE currency (
    id integer NOT NULL,
    resource_id integer NOT NULL,
    iso_code character varying(3) NOT NULL
);


--
-- Name: currency_id_seq; Type: SEQUENCE; Schema: company_en; Owner: -
--

CREATE SEQUENCE currency_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: currency_id_seq; Type: SEQUENCE OWNED BY; Schema: company_en; Owner: -
--

ALTER SEQUENCE currency_id_seq OWNED BY currency.id;


--
-- Name: currency_rate; Type: TABLE; Schema: company_en; Owner: -; Tablespace: 
--

CREATE TABLE currency_rate (
    id integer NOT NULL,
    resource_id integer NOT NULL,
    currency_id integer NOT NULL,
    supplier_id integer NOT NULL,
    date date NOT NULL,
    rate numeric(16,2) NOT NULL
);


--
-- Name: currency_rate_id_seq; Type: SEQUENCE; Schema: company_en; Owner: -
--

CREATE SEQUENCE currency_rate_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: currency_rate_id_seq; Type: SEQUENCE OWNED BY; Schema: company_en; Owner: -
--

ALTER SEQUENCE currency_rate_id_seq OWNED BY currency_rate.id;


--
-- Name: dismissal; Type: TABLE; Schema: company_en; Owner: -; Tablespace: 
--

CREATE TABLE dismissal (
    id integer NOT NULL,
    resource_id integer NOT NULL,
    date date,
    employee_id integer NOT NULL
);


--
-- Name: dismissal_id_seq; Type: SEQUENCE; Schema: company_en; Owner: -
--

CREATE SEQUENCE dismissal_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: dismissal_id_seq; Type: SEQUENCE OWNED BY; Schema: company_en; Owner: -
--

ALTER SEQUENCE dismissal_id_seq OWNED BY dismissal.id;


--
-- Name: employee; Type: TABLE; Schema: company_en; Owner: -; Tablespace: 
--

CREATE TABLE employee (
    id integer NOT NULL,
    resource_id integer NOT NULL,
    photo_upload_id integer,
    first_name character varying(32) NOT NULL,
    last_name character varying(32) NOT NULL,
    second_name character varying(32),
    itn character varying(32)
);


--
-- Name: employee_address; Type: TABLE; Schema: company_en; Owner: -; Tablespace: 
--

CREATE TABLE employee_address (
    employee_id integer NOT NULL,
    address_id integer NOT NULL
);


--
-- Name: employee_contact; Type: TABLE; Schema: company_en; Owner: -; Tablespace: 
--

CREATE TABLE employee_contact (
    employee_id integer NOT NULL,
    contact_id integer NOT NULL
);


--
-- Name: employee_id_seq; Type: SEQUENCE; Schema: company_en; Owner: -
--

CREATE SEQUENCE employee_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: employee_id_seq; Type: SEQUENCE OWNED BY; Schema: company_en; Owner: -
--

ALTER SEQUENCE employee_id_seq OWNED BY employee.id;


--
-- Name: employee_notification; Type: TABLE; Schema: company_en; Owner: -; Tablespace: 
--

CREATE TABLE employee_notification (
    employee_id integer NOT NULL,
    notification_id integer NOT NULL,
    status smallint NOT NULL
);


--
-- Name: employee_passport; Type: TABLE; Schema: company_en; Owner: -; Tablespace: 
--

CREATE TABLE employee_passport (
    employee_id integer NOT NULL,
    passport_id integer NOT NULL
);


--
-- Name: employee_subaccount; Type: TABLE; Schema: company_en; Owner: -; Tablespace: 
--

CREATE TABLE employee_subaccount (
    employee_id integer NOT NULL,
    subaccount_id integer NOT NULL
);


--
-- Name: employee_upload; Type: TABLE; Schema: company_en; Owner: -; Tablespace: 
--

CREATE TABLE employee_upload (
    employee_id integer NOT NULL,
    upload_id integer NOT NULL
);


--
-- Name: foodcat; Type: TABLE; Schema: company_en; Owner: -; Tablespace: 
--

CREATE TABLE foodcat (
    id integer NOT NULL,
    resource_id integer NOT NULL,
    name character varying(32) NOT NULL
);


--
-- Name: foodcat_id_seq; Type: SEQUENCE; Schema: company_en; Owner: -
--

CREATE SEQUENCE foodcat_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: foodcat_id_seq; Type: SEQUENCE OWNED BY; Schema: company_en; Owner: -
--

ALTER SEQUENCE foodcat_id_seq OWNED BY foodcat.id;


--
-- Name: hotel; Type: TABLE; Schema: company_en; Owner: -; Tablespace: 
--

CREATE TABLE hotel (
    id integer NOT NULL,
    resource_id integer NOT NULL,
    hotelcat_id integer NOT NULL,
    location_id integer,
    name character varying(32) NOT NULL
);


--
-- Name: hotel_id_seq; Type: SEQUENCE; Schema: company_en; Owner: -
--

CREATE SEQUENCE hotel_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: hotel_id_seq; Type: SEQUENCE OWNED BY; Schema: company_en; Owner: -
--

ALTER SEQUENCE hotel_id_seq OWNED BY hotel.id;


--
-- Name: hotelcat; Type: TABLE; Schema: company_en; Owner: -; Tablespace: 
--

CREATE TABLE hotelcat (
    id integer NOT NULL,
    resource_id integer NOT NULL,
    name character varying(32) NOT NULL
);


--
-- Name: hotelcat_id_seq; Type: SEQUENCE; Schema: company_en; Owner: -
--

CREATE SEQUENCE hotelcat_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: hotelcat_id_seq; Type: SEQUENCE OWNED BY; Schema: company_en; Owner: -
--

ALTER SEQUENCE hotelcat_id_seq OWNED BY hotelcat.id;


--
-- Name: income; Type: TABLE; Schema: company_en; Owner: -; Tablespace: 
--

CREATE TABLE income (
    id integer NOT NULL,
    resource_id integer NOT NULL,
    invoice_id integer NOT NULL,
    account_item_id integer NOT NULL,
    sum numeric(16,2) NOT NULL,
    date date NOT NULL,
    descr character varying(255)
);


--
-- Name: income_cashflow; Type: TABLE; Schema: company_en; Owner: -; Tablespace: 
--

CREATE TABLE income_cashflow (
    income_id integer NOT NULL,
    cashflow_id integer NOT NULL
);


--
-- Name: income_id_seq; Type: SEQUENCE; Schema: company_en; Owner: -
--

CREATE SEQUENCE income_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: income_id_seq; Type: SEQUENCE OWNED BY; Schema: company_en; Owner: -
--

ALTER SEQUENCE income_id_seq OWNED BY income.id;


--
-- Name: invoice; Type: TABLE; Schema: company_en; Owner: -; Tablespace: 
--

CREATE TABLE invoice (
    id integer NOT NULL,
    date date NOT NULL,
    active_until date NOT NULL,
    resource_id integer NOT NULL,
    order_id integer NOT NULL,
    account_id integer NOT NULL,
    descr character varying(255)
);


--
-- Name: invoice_id_seq; Type: SEQUENCE; Schema: company_en; Owner: -
--

CREATE SEQUENCE invoice_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: invoice_id_seq; Type: SEQUENCE OWNED BY; Schema: company_en; Owner: -
--

ALTER SEQUENCE invoice_id_seq OWNED BY invoice.id;


--
-- Name: invoice_item; Type: TABLE; Schema: company_en; Owner: -; Tablespace: 
--

CREATE TABLE invoice_item (
    id integer NOT NULL,
    invoice_id integer NOT NULL,
    order_item_id integer NOT NULL,
    price numeric(16,2) NOT NULL,
    vat numeric(16,2) NOT NULL,
    discount numeric(16,2) NOT NULL,
    descr character varying(255)
);


--
-- Name: invoice_item_id_seq; Type: SEQUENCE; Schema: company_en; Owner: -
--

CREATE SEQUENCE invoice_item_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: invoice_item_id_seq; Type: SEQUENCE OWNED BY; Schema: company_en; Owner: -
--

ALTER SEQUENCE invoice_item_id_seq OWNED BY invoice_item.id;


--
-- Name: lead; Type: TABLE; Schema: company_en; Owner: -; Tablespace: 
--

CREATE TABLE lead (
    id integer NOT NULL,
    lead_date date NOT NULL,
    resource_id integer NOT NULL,
    advsource_id integer NOT NULL,
    customer_id integer NOT NULL,
    status smallint NOT NULL,
    descr character varying(255)
);


--
-- Name: lead_id_seq; Type: SEQUENCE; Schema: company_en; Owner: -
--

CREATE SEQUENCE lead_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: lead_id_seq; Type: SEQUENCE OWNED BY; Schema: company_en; Owner: -
--

ALTER SEQUENCE lead_id_seq OWNED BY lead.id;


--
-- Name: lead_item; Type: TABLE; Schema: company_en; Owner: -; Tablespace: 
--

CREATE TABLE lead_item (
    id integer NOT NULL,
    resource_id integer NOT NULL,
    lead_id integer,
    service_id integer NOT NULL,
    currency_id integer,
    price_from numeric(16,2),
    price_to numeric(16,2),
    descr character varying
);


--
-- Name: lead_item_id_seq; Type: SEQUENCE; Schema: company_en; Owner: -
--

CREATE SEQUENCE lead_item_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: lead_item_id_seq; Type: SEQUENCE OWNED BY; Schema: company_en; Owner: -
--

ALTER SEQUENCE lead_item_id_seq OWNED BY lead_item.id;


--
-- Name: lead_offer; Type: TABLE; Schema: company_en; Owner: -; Tablespace: 
--

CREATE TABLE lead_offer (
    id integer NOT NULL,
    resource_id integer NOT NULL,
    lead_id integer,
    service_id integer NOT NULL,
    currency_id integer NOT NULL,
    supplier_id integer NOT NULL,
    price numeric(16,2) NOT NULL,
    status smallint NOT NULL,
    descr character varying
);


--
-- Name: lead_offer_id_seq; Type: SEQUENCE; Schema: company_en; Owner: -
--

CREATE SEQUENCE lead_offer_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: lead_offer_id_seq; Type: SEQUENCE OWNED BY; Schema: company_en; Owner: -
--

ALTER SEQUENCE lead_offer_id_seq OWNED BY lead_offer.id;


--
-- Name: location; Type: TABLE; Schema: company_en; Owner: -; Tablespace: 
--

CREATE TABLE location (
    id integer NOT NULL,
    resource_id integer NOT NULL,
    region_id integer NOT NULL,
    name character varying(32) NOT NULL
);


--
-- Name: location_id_seq; Type: SEQUENCE; Schema: company_en; Owner: -
--

CREATE SEQUENCE location_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: location_id_seq; Type: SEQUENCE OWNED BY; Schema: company_en; Owner: -
--

ALTER SEQUENCE location_id_seq OWNED BY location.id;


--
-- Name: navigation; Type: TABLE; Schema: company_en; Owner: -; Tablespace: 
--

CREATE TABLE navigation (
    id integer NOT NULL,
    resource_id integer NOT NULL,
    position_id integer,
    parent_id integer,
    name character varying(32) NOT NULL,
    url character varying(128) NOT NULL,
    action character varying(32),
    icon_cls character varying(32),
    separator_before boolean,
    sort_order integer NOT NULL
);


--
-- Name: navigation_id_seq; Type: SEQUENCE; Schema: company_en; Owner: -
--

CREATE SEQUENCE navigation_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: navigation_id_seq; Type: SEQUENCE OWNED BY; Schema: company_en; Owner: -
--

ALTER SEQUENCE navigation_id_seq OWNED BY navigation.id;


--
-- Name: note; Type: TABLE; Schema: company_en; Owner: -; Tablespace: 
--

CREATE TABLE note (
    id integer NOT NULL,
    resource_id integer NOT NULL,
    title character varying(255) NOT NULL,
    descr character varying
);


--
-- Name: note_id_seq; Type: SEQUENCE; Schema: company_en; Owner: -
--

CREATE SEQUENCE note_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: note_id_seq; Type: SEQUENCE OWNED BY; Schema: company_en; Owner: -
--

ALTER SEQUENCE note_id_seq OWNED BY note.id;


--
-- Name: note_resource; Type: TABLE; Schema: company_en; Owner: -; Tablespace: 
--

CREATE TABLE note_resource (
    note_id integer NOT NULL,
    resource_id integer NOT NULL
);


--
-- Name: note_upload; Type: TABLE; Schema: company_en; Owner: -; Tablespace: 
--

CREATE TABLE note_upload (
    note_id integer NOT NULL,
    upload_id integer NOT NULL
);


--
-- Name: notification; Type: TABLE; Schema: company_en; Owner: -; Tablespace: 
--

CREATE TABLE notification (
    id integer NOT NULL,
    resource_id integer NOT NULL,
    title character varying NOT NULL,
    descr character varying NOT NULL,
    url character varying,
    created timestamp with time zone
);


--
-- Name: notification_id_seq; Type: SEQUENCE; Schema: company_en; Owner: -
--

CREATE SEQUENCE notification_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: notification_id_seq; Type: SEQUENCE OWNED BY; Schema: company_en; Owner: -
--

ALTER SEQUENCE notification_id_seq OWNED BY notification.id;


--
-- Name: notification_resource; Type: TABLE; Schema: company_en; Owner: -; Tablespace: 
--

CREATE TABLE notification_resource (
    notification_id integer NOT NULL,
    resource_id integer NOT NULL
);


--
-- Name: order; Type: TABLE; Schema: company_en; Owner: -; Tablespace: 
--

CREATE TABLE "order" (
    id integer NOT NULL,
    deal_date date NOT NULL,
    resource_id integer NOT NULL,
    customer_id integer NOT NULL,
    lead_id integer,
    advsource_id integer NOT NULL,
    status smallint NOT NULL,
    descr character varying(255)
);


--
-- Name: order_id_seq; Type: SEQUENCE; Schema: company_en; Owner: -
--

CREATE SEQUENCE order_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: order_id_seq; Type: SEQUENCE OWNED BY; Schema: company_en; Owner: -
--

ALTER SEQUENCE order_id_seq OWNED BY "order".id;


--
-- Name: order_item; Type: TABLE; Schema: company_en; Owner: -; Tablespace: 
--

CREATE TABLE order_item (
    id integer NOT NULL,
    resource_id integer NOT NULL,
    order_id integer,
    service_id integer NOT NULL,
    currency_id integer NOT NULL,
    supplier_id integer NOT NULL,
    price numeric(16,2) NOT NULL,
    discount_sum numeric(16,2) NOT NULL,
    discount_percent numeric(16,2) NOT NULL,
    status smallint NOT NULL,
    status_date date,
    status_info character varying(128)
);


--
-- Name: order_item_id_seq; Type: SEQUENCE; Schema: company_en; Owner: -
--

CREATE SEQUENCE order_item_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: order_item_id_seq; Type: SEQUENCE OWNED BY; Schema: company_en; Owner: -
--

ALTER SEQUENCE order_item_id_seq OWNED BY order_item.id;


--
-- Name: outgoing; Type: TABLE; Schema: company_en; Owner: -; Tablespace: 
--

CREATE TABLE outgoing (
    id integer NOT NULL,
    date date NOT NULL,
    resource_id integer NOT NULL,
    account_item_id integer NOT NULL,
    subaccount_id integer NOT NULL,
    sum numeric(16,2) NOT NULL,
    descr character varying(255)
);


--
-- Name: outgoing_cashflow; Type: TABLE; Schema: company_en; Owner: -; Tablespace: 
--

CREATE TABLE outgoing_cashflow (
    outgoing_id integer NOT NULL,
    cashflow_id integer NOT NULL
);


--
-- Name: outgoing_id_seq; Type: SEQUENCE; Schema: company_en; Owner: -
--

CREATE SEQUENCE outgoing_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: outgoing_id_seq; Type: SEQUENCE OWNED BY; Schema: company_en; Owner: -
--

ALTER SEQUENCE outgoing_id_seq OWNED BY outgoing.id;


--
-- Name: passport; Type: TABLE; Schema: company_en; Owner: -; Tablespace: 
--

CREATE TABLE passport (
    id integer NOT NULL,
    resource_id integer NOT NULL,
    country_id integer NOT NULL,
    passport_type smallint NOT NULL,
    num character varying(32) NOT NULL,
    end_date date,
    descr character varying(255)
);


--
-- Name: passport_id_seq; Type: SEQUENCE; Schema: company_en; Owner: -
--

CREATE SEQUENCE passport_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: passport_id_seq; Type: SEQUENCE OWNED BY; Schema: company_en; Owner: -
--

ALTER SEQUENCE passport_id_seq OWNED BY passport.id;


--
-- Name: passport_upload; Type: TABLE; Schema: company_en; Owner: -; Tablespace: 
--

CREATE TABLE passport_upload (
    passport_id integer NOT NULL,
    upload_id integer NOT NULL
);


--
-- Name: permision; Type: TABLE; Schema: company_en; Owner: -; Tablespace: 
--

CREATE TABLE permision (
    id integer NOT NULL,
    resource_type_id integer NOT NULL,
    position_id integer NOT NULL,
    permisions character varying[],
    scope_type character varying,
    structure_id integer
);


--
-- Name: permision_id_seq; Type: SEQUENCE; Schema: company_en; Owner: -
--

CREATE SEQUENCE permision_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: permision_id_seq; Type: SEQUENCE OWNED BY; Schema: company_en; Owner: -
--

ALTER SEQUENCE permision_id_seq OWNED BY permision.id;


--
-- Name: person; Type: TABLE; Schema: company_en; Owner: -; Tablespace: 
--

CREATE TABLE person (
    id integer NOT NULL,
    resource_id integer NOT NULL,
    person_category_id integer,
    first_name character varying(32) NOT NULL,
    last_name character varying(32),
    second_name character varying(32),
    birthday date,
    gender smallint,
    email_subscription boolean,
    sms_subscription boolean,
    descr character varying(255)
);


--
-- Name: person_address; Type: TABLE; Schema: company_en; Owner: -; Tablespace: 
--

CREATE TABLE person_address (
    person_id integer NOT NULL,
    address_id integer NOT NULL
);


--
-- Name: person_category; Type: TABLE; Schema: company_en; Owner: -; Tablespace: 
--

CREATE TABLE person_category (
    id integer NOT NULL,
    resource_id integer NOT NULL,
    name character varying(255) NOT NULL
);


--
-- Name: person_category_id_seq; Type: SEQUENCE; Schema: company_en; Owner: -
--

CREATE SEQUENCE person_category_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: person_category_id_seq; Type: SEQUENCE OWNED BY; Schema: company_en; Owner: -
--

ALTER SEQUENCE person_category_id_seq OWNED BY person_category.id;


--
-- Name: person_contact; Type: TABLE; Schema: company_en; Owner: -; Tablespace: 
--

CREATE TABLE person_contact (
    person_id integer NOT NULL,
    contact_id integer NOT NULL
);


--
-- Name: person_id_seq; Type: SEQUENCE; Schema: company_en; Owner: -
--

CREATE SEQUENCE person_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: person_id_seq; Type: SEQUENCE OWNED BY; Schema: company_en; Owner: -
--

ALTER SEQUENCE person_id_seq OWNED BY person.id;


--
-- Name: person_order_item; Type: TABLE; Schema: company_en; Owner: -; Tablespace: 
--

CREATE TABLE person_order_item (
    order_item_id integer NOT NULL,
    person_id integer NOT NULL
);


--
-- Name: person_passport; Type: TABLE; Schema: company_en; Owner: -; Tablespace: 
--

CREATE TABLE person_passport (
    person_id integer NOT NULL,
    passport_id integer NOT NULL
);


--
-- Name: person_subaccount; Type: TABLE; Schema: company_en; Owner: -; Tablespace: 
--

CREATE TABLE person_subaccount (
    person_id integer NOT NULL,
    subaccount_id integer NOT NULL
);


--
-- Name: position; Type: TABLE; Schema: company_en; Owner: -; Tablespace: 
--

CREATE TABLE "position" (
    id integer NOT NULL,
    resource_id integer NOT NULL,
    structure_id integer NOT NULL,
    name character varying(32) NOT NULL
);


--
-- Name: position_id_seq; Type: SEQUENCE; Schema: company_en; Owner: -
--

CREATE SEQUENCE position_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: position_id_seq; Type: SEQUENCE OWNED BY; Schema: company_en; Owner: -
--

ALTER SEQUENCE position_id_seq OWNED BY "position".id;


--
-- Name: region; Type: TABLE; Schema: company_en; Owner: -; Tablespace: 
--

CREATE TABLE region (
    id integer NOT NULL,
    resource_id integer NOT NULL,
    country_id integer NOT NULL,
    name character varying(32) NOT NULL
);


--
-- Name: region_id_seq; Type: SEQUENCE; Schema: company_en; Owner: -
--

CREATE SEQUENCE region_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: region_id_seq; Type: SEQUENCE OWNED BY; Schema: company_en; Owner: -
--

ALTER SEQUENCE region_id_seq OWNED BY region.id;


--
-- Name: resource; Type: TABLE; Schema: company_en; Owner: -; Tablespace: 
--

CREATE TABLE resource (
    id integer NOT NULL,
    resource_type_id integer NOT NULL,
    maintainer_id integer,
    protected boolean
);


--
-- Name: resource_id_seq; Type: SEQUENCE; Schema: company_en; Owner: -
--

CREATE SEQUENCE resource_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: resource_id_seq; Type: SEQUENCE OWNED BY; Schema: company_en; Owner: -
--

ALTER SEQUENCE resource_id_seq OWNED BY resource.id;


--
-- Name: resource_log; Type: TABLE; Schema: company_en; Owner: -; Tablespace: 
--

CREATE TABLE resource_log (
    id integer NOT NULL,
    resource_id integer NOT NULL,
    employee_id integer NOT NULL,
    comment character varying(512),
    modifydt timestamp with time zone
);


--
-- Name: resource_log_id_seq; Type: SEQUENCE; Schema: company_en; Owner: -
--

CREATE SEQUENCE resource_log_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: resource_log_id_seq; Type: SEQUENCE OWNED BY; Schema: company_en; Owner: -
--

ALTER SEQUENCE resource_log_id_seq OWNED BY resource_log.id;


--
-- Name: resource_type; Type: TABLE; Schema: company_en; Owner: -; Tablespace: 
--

CREATE TABLE resource_type (
    id integer NOT NULL,
    resource_id integer NOT NULL,
    name character varying(32) NOT NULL,
    humanize character varying(32) NOT NULL,
    resource_name character varying(32) NOT NULL,
    module character varying(128) NOT NULL,
    settings json,
    descr character varying(255),
    status smallint NOT NULL
);


--
-- Name: resource_type_id_seq; Type: SEQUENCE; Schema: company_en; Owner: -
--

CREATE SEQUENCE resource_type_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: resource_type_id_seq; Type: SEQUENCE OWNED BY; Schema: company_en; Owner: -
--

ALTER SEQUENCE resource_type_id_seq OWNED BY resource_type.id;


--
-- Name: roomcat; Type: TABLE; Schema: company_en; Owner: -; Tablespace: 
--

CREATE TABLE roomcat (
    id integer NOT NULL,
    resource_id integer NOT NULL,
    name character varying(32) NOT NULL
);


--
-- Name: roomcat_id_seq; Type: SEQUENCE; Schema: company_en; Owner: -
--

CREATE SEQUENCE roomcat_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: roomcat_id_seq; Type: SEQUENCE OWNED BY; Schema: company_en; Owner: -
--

ALTER SEQUENCE roomcat_id_seq OWNED BY roomcat.id;


--
-- Name: service; Type: TABLE; Schema: company_en; Owner: -; Tablespace: 
--

CREATE TABLE service (
    id integer NOT NULL,
    resource_id integer NOT NULL,
    resource_type_id integer NOT NULL,
    name character varying(32) NOT NULL,
    display_text character varying(255) NOT NULL,
    descr character varying(255)
);


--
-- Name: service_id_seq; Type: SEQUENCE; Schema: company_en; Owner: -
--

CREATE SEQUENCE service_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: service_id_seq; Type: SEQUENCE OWNED BY; Schema: company_en; Owner: -
--

ALTER SEQUENCE service_id_seq OWNED BY service.id;


--
-- Name: spassport; Type: TABLE; Schema: company_en; Owner: -; Tablespace: 
--

CREATE TABLE spassport (
    id integer NOT NULL,
    resource_id integer NOT NULL,
    photo_done boolean NOT NULL,
    docs_receive_date date,
    docs_transfer_date date,
    passport_receive_date date,
    descr character varying(255)
);


--
-- Name: spassport_id_seq; Type: SEQUENCE; Schema: company_en; Owner: -
--

CREATE SEQUENCE spassport_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: spassport_id_seq; Type: SEQUENCE OWNED BY; Schema: company_en; Owner: -
--

ALTER SEQUENCE spassport_id_seq OWNED BY spassport.id;


--
-- Name: spassport_order_item; Type: TABLE; Schema: company_en; Owner: -; Tablespace: 
--

CREATE TABLE spassport_order_item (
    order_item_id integer NOT NULL,
    spassport_id integer NOT NULL
);


--
-- Name: structure; Type: TABLE; Schema: company_en; Owner: -; Tablespace: 
--

CREATE TABLE structure (
    id integer NOT NULL,
    resource_id integer NOT NULL,
    parent_id integer,
    company_id integer NOT NULL,
    name character varying(32) NOT NULL
);


--
-- Name: structure_address; Type: TABLE; Schema: company_en; Owner: -; Tablespace: 
--

CREATE TABLE structure_address (
    structure_id integer NOT NULL,
    address_id integer NOT NULL
);


--
-- Name: structure_bank_detail; Type: TABLE; Schema: company_en; Owner: -; Tablespace: 
--

CREATE TABLE structure_bank_detail (
    structure_id integer NOT NULL,
    bank_detail_id integer NOT NULL
);


--
-- Name: structure_contact; Type: TABLE; Schema: company_en; Owner: -; Tablespace: 
--

CREATE TABLE structure_contact (
    structure_id integer NOT NULL,
    contact_id integer NOT NULL
);


--
-- Name: structure_id_seq; Type: SEQUENCE; Schema: company_en; Owner: -
--

CREATE SEQUENCE structure_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: structure_id_seq; Type: SEQUENCE OWNED BY; Schema: company_en; Owner: -
--

ALTER SEQUENCE structure_id_seq OWNED BY structure.id;


--
-- Name: subaccount; Type: TABLE; Schema: company_en; Owner: -; Tablespace: 
--

CREATE TABLE subaccount (
    id integer NOT NULL,
    resource_id integer NOT NULL,
    account_id integer NOT NULL,
    name character varying(255) NOT NULL,
    status smallint NOT NULL,
    descr character varying(255)
);


--
-- Name: subaccount_id_seq; Type: SEQUENCE; Schema: company_en; Owner: -
--

CREATE SEQUENCE subaccount_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: subaccount_id_seq; Type: SEQUENCE OWNED BY; Schema: company_en; Owner: -
--

ALTER SEQUENCE subaccount_id_seq OWNED BY subaccount.id;


--
-- Name: supplier; Type: TABLE; Schema: company_en; Owner: -; Tablespace: 
--

CREATE TABLE supplier (
    id integer NOT NULL,
    resource_id integer NOT NULL,
    supplier_type_id integer NOT NULL,
    name character varying(32) NOT NULL,
    status smallint NOT NULL,
    descr character varying(255)
);


--
-- Name: supplier_bank_detail; Type: TABLE; Schema: company_en; Owner: -; Tablespace: 
--

CREATE TABLE supplier_bank_detail (
    supplier_id integer NOT NULL,
    bank_detail_id integer NOT NULL
);


--
-- Name: supplier_bperson; Type: TABLE; Schema: company_en; Owner: -; Tablespace: 
--

CREATE TABLE supplier_bperson (
    supplier_id integer NOT NULL,
    bperson_id integer NOT NULL
);


--
-- Name: supplier_contract; Type: TABLE; Schema: company_en; Owner: -; Tablespace: 
--

CREATE TABLE supplier_contract (
    supplier_id integer NOT NULL,
    contract_id integer NOT NULL
);


--
-- Name: supplier_id_seq; Type: SEQUENCE; Schema: company_en; Owner: -
--

CREATE SEQUENCE supplier_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: supplier_id_seq; Type: SEQUENCE OWNED BY; Schema: company_en; Owner: -
--

ALTER SEQUENCE supplier_id_seq OWNED BY supplier.id;


--
-- Name: supplier_subaccount; Type: TABLE; Schema: company_en; Owner: -; Tablespace: 
--

CREATE TABLE supplier_subaccount (
    supplier_id integer NOT NULL,
    subaccount_id integer NOT NULL
);


--
-- Name: supplier_type; Type: TABLE; Schema: company_en; Owner: -; Tablespace: 
--

CREATE TABLE supplier_type (
    id integer NOT NULL,
    resource_id integer NOT NULL,
    name character varying(32) NOT NULL,
    descr character varying(255)
);


--
-- Name: supplier_type_id_seq; Type: SEQUENCE; Schema: company_en; Owner: -
--

CREATE SEQUENCE supplier_type_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: supplier_type_id_seq; Type: SEQUENCE OWNED BY; Schema: company_en; Owner: -
--

ALTER SEQUENCE supplier_type_id_seq OWNED BY supplier_type.id;


--
-- Name: task; Type: TABLE; Schema: company_en; Owner: -; Tablespace: 
--

CREATE TABLE task (
    id integer NOT NULL,
    resource_id integer NOT NULL,
    title character varying(128) NOT NULL,
    deadline timestamp with time zone NOT NULL,
    reminder integer,
    descr character varying,
    status smallint NOT NULL
);


--
-- Name: task_id_seq; Type: SEQUENCE; Schema: company_en; Owner: -
--

CREATE SEQUENCE task_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: task_id_seq; Type: SEQUENCE OWNED BY; Schema: company_en; Owner: -
--

ALTER SEQUENCE task_id_seq OWNED BY task.id;


--
-- Name: task_resource; Type: TABLE; Schema: company_en; Owner: -; Tablespace: 
--

CREATE TABLE task_resource (
    task_id integer NOT NULL,
    resource_id integer NOT NULL
);


--
-- Name: task_upload; Type: TABLE; Schema: company_en; Owner: -; Tablespace: 
--

CREATE TABLE task_upload (
    task_id integer NOT NULL,
    upload_id integer NOT NULL
);


--
-- Name: ticket; Type: TABLE; Schema: company_en; Owner: -; Tablespace: 
--

CREATE TABLE ticket (
    id integer NOT NULL,
    resource_id integer NOT NULL,
    start_location_id integer NOT NULL,
    end_location_id integer NOT NULL,
    ticket_class_id integer NOT NULL,
    transport_id integer NOT NULL,
    start_dt timestamp with time zone NOT NULL,
    start_additional_info character varying(128),
    end_dt timestamp with time zone NOT NULL,
    end_additional_info character varying(128),
    adults integer NOT NULL,
    children integer NOT NULL,
    descr character varying(255)
);


--
-- Name: ticket_class; Type: TABLE; Schema: company_en; Owner: -; Tablespace: 
--

CREATE TABLE ticket_class (
    id integer NOT NULL,
    resource_id integer NOT NULL,
    name character varying(255) NOT NULL
);


--
-- Name: ticket_class_id_seq; Type: SEQUENCE; Schema: company_en; Owner: -
--

CREATE SEQUENCE ticket_class_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: ticket_class_id_seq; Type: SEQUENCE OWNED BY; Schema: company_en; Owner: -
--

ALTER SEQUENCE ticket_class_id_seq OWNED BY ticket_class.id;


--
-- Name: ticket_id_seq; Type: SEQUENCE; Schema: company_en; Owner: -
--

CREATE SEQUENCE ticket_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: ticket_id_seq; Type: SEQUENCE OWNED BY; Schema: company_en; Owner: -
--

ALTER SEQUENCE ticket_id_seq OWNED BY ticket.id;


--
-- Name: ticket_order_item; Type: TABLE; Schema: company_en; Owner: -; Tablespace: 
--

CREATE TABLE ticket_order_item (
    order_item_id integer NOT NULL,
    ticket_id integer NOT NULL
);


--
-- Name: tour; Type: TABLE; Schema: company_en; Owner: -; Tablespace: 
--

CREATE TABLE tour (
    id integer NOT NULL,
    resource_id integer NOT NULL,
    start_location_id integer NOT NULL,
    start_transport_id integer NOT NULL,
    end_location_id integer NOT NULL,
    end_transport_id integer NOT NULL,
    hotel_id integer,
    accomodation_id integer,
    foodcat_id integer,
    roomcat_id integer,
    transfer_id integer,
    adults integer NOT NULL,
    children integer NOT NULL,
    start_date date NOT NULL,
    start_additional_info character varying(128),
    end_date date NOT NULL,
    end_additional_info character varying(128),
    descr character varying(255)
);


--
-- Name: tour_id_seq; Type: SEQUENCE; Schema: company_en; Owner: -
--

CREATE SEQUENCE tour_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: tour_id_seq; Type: SEQUENCE OWNED BY; Schema: company_en; Owner: -
--

ALTER SEQUENCE tour_id_seq OWNED BY tour.id;


--
-- Name: tour_order_item; Type: TABLE; Schema: company_en; Owner: -; Tablespace: 
--

CREATE TABLE tour_order_item (
    order_item_id integer NOT NULL,
    tour_id integer NOT NULL
);


--
-- Name: transfer; Type: TABLE; Schema: company_en; Owner: -; Tablespace: 
--

CREATE TABLE transfer (
    id integer NOT NULL,
    resource_id integer NOT NULL,
    name character varying(255) NOT NULL
);


--
-- Name: transfer_id_seq; Type: SEQUENCE; Schema: company_en; Owner: -
--

CREATE SEQUENCE transfer_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: transfer_id_seq; Type: SEQUENCE OWNED BY; Schema: company_en; Owner: -
--

ALTER SEQUENCE transfer_id_seq OWNED BY transfer.id;


--
-- Name: transport; Type: TABLE; Schema: company_en; Owner: -; Tablespace: 
--

CREATE TABLE transport (
    id integer NOT NULL,
    resource_id integer NOT NULL,
    name character varying(255) NOT NULL
);


--
-- Name: transport_id_seq; Type: SEQUENCE; Schema: company_en; Owner: -
--

CREATE SEQUENCE transport_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: transport_id_seq; Type: SEQUENCE OWNED BY; Schema: company_en; Owner: -
--

ALTER SEQUENCE transport_id_seq OWNED BY transport.id;


--
-- Name: upload; Type: TABLE; Schema: company_en; Owner: -; Tablespace: 
--

CREATE TABLE upload (
    id integer NOT NULL,
    resource_id integer NOT NULL,
    name character varying(255) NOT NULL,
    path character varying(255) NOT NULL,
    size numeric(16,2) NOT NULL,
    media_type character varying(128) NOT NULL,
    descr character varying(255)
);


--
-- Name: upload_id_seq; Type: SEQUENCE; Schema: company_en; Owner: -
--

CREATE SEQUENCE upload_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: upload_id_seq; Type: SEQUENCE OWNED BY; Schema: company_en; Owner: -
--

ALTER SEQUENCE upload_id_seq OWNED BY upload.id;


--
-- Name: user; Type: TABLE; Schema: company_en; Owner: -; Tablespace: 
--

CREATE TABLE "user" (
    id integer NOT NULL,
    resource_id integer NOT NULL,
    employee_id integer NOT NULL,
    username character varying(32) NOT NULL,
    email character varying(128) NOT NULL,
    password character varying(128) NOT NULL
);


--
-- Name: user_id_seq; Type: SEQUENCE; Schema: company_en; Owner: -
--

CREATE SEQUENCE user_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: user_id_seq; Type: SEQUENCE OWNED BY; Schema: company_en; Owner: -
--

ALTER SEQUENCE user_id_seq OWNED BY "user".id;


--
-- Name: vat; Type: TABLE; Schema: company_en; Owner: -; Tablespace: 
--

CREATE TABLE vat (
    id integer NOT NULL,
    resource_id integer NOT NULL,
    account_id integer NOT NULL,
    service_id integer NOT NULL,
    date date NOT NULL,
    vat numeric(5,2) NOT NULL,
    calc_method smallint NOT NULL,
    descr character varying(255)
);


--
-- Name: vat_id_seq; Type: SEQUENCE; Schema: company_en; Owner: -
--

CREATE SEQUENCE vat_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: vat_id_seq; Type: SEQUENCE OWNED BY; Schema: company_en; Owner: -
--

ALTER SEQUENCE vat_id_seq OWNED BY vat.id;


--
-- Name: visa; Type: TABLE; Schema: company_en; Owner: -; Tablespace: 
--

CREATE TABLE visa (
    id integer NOT NULL,
    resource_id integer NOT NULL,
    country_id integer NOT NULL,
    start_date date NOT NULL,
    end_date date,
    type smallint NOT NULL,
    descr character varying(255)
);


--
-- Name: visa_id_seq; Type: SEQUENCE; Schema: company_en; Owner: -
--

CREATE SEQUENCE visa_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: visa_id_seq; Type: SEQUENCE OWNED BY; Schema: company_en; Owner: -
--

ALTER SEQUENCE visa_id_seq OWNED BY visa.id;


--
-- Name: visa_order_item; Type: TABLE; Schema: company_en; Owner: -; Tablespace: 
--

CREATE TABLE visa_order_item (
    order_item_id integer NOT NULL,
    visa_id integer NOT NULL
);


SET search_path = company_ru, pg_catalog;

--
-- Name: accomodation; Type: TABLE; Schema: company_ru; Owner: -; Tablespace: 
--

CREATE TABLE accomodation (
    id integer NOT NULL,
    resource_id integer NOT NULL,
    name character varying(32) NOT NULL
);


--
-- Name: accomodation_id_seq; Type: SEQUENCE; Schema: company_ru; Owner: -
--

CREATE SEQUENCE accomodation_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: accomodation_id_seq; Type: SEQUENCE OWNED BY; Schema: company_ru; Owner: -
--

ALTER SEQUENCE accomodation_id_seq OWNED BY accomodation.id;


--
-- Name: account; Type: TABLE; Schema: company_ru; Owner: -; Tablespace: 
--

CREATE TABLE account (
    id integer NOT NULL,
    resource_id integer NOT NULL,
    currency_id integer NOT NULL,
    account_type smallint NOT NULL,
    name character varying(255) NOT NULL,
    display_text character varying(255) NOT NULL,
    status smallint NOT NULL,
    descr character varying(255)
);


--
-- Name: account_id_seq; Type: SEQUENCE; Schema: company_ru; Owner: -
--

CREATE SEQUENCE account_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: account_id_seq; Type: SEQUENCE OWNED BY; Schema: company_ru; Owner: -
--

ALTER SEQUENCE account_id_seq OWNED BY account.id;


--
-- Name: account_item; Type: TABLE; Schema: company_ru; Owner: -; Tablespace: 
--

CREATE TABLE account_item (
    id integer NOT NULL,
    resource_id integer NOT NULL,
    parent_id integer,
    name character varying(128) NOT NULL,
    type smallint NOT NULL,
    status smallint NOT NULL,
    descr character varying(128)
);


--
-- Name: account_item_id_seq; Type: SEQUENCE; Schema: company_ru; Owner: -
--

CREATE SEQUENCE account_item_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: account_item_id_seq; Type: SEQUENCE OWNED BY; Schema: company_ru; Owner: -
--

ALTER SEQUENCE account_item_id_seq OWNED BY account_item.id;


--
-- Name: address; Type: TABLE; Schema: company_ru; Owner: -; Tablespace: 
--

CREATE TABLE address (
    id integer NOT NULL,
    resource_id integer NOT NULL,
    location_id integer NOT NULL,
    zip_code character varying(12) NOT NULL,
    address character varying(255) NOT NULL
);


--
-- Name: address_id_seq; Type: SEQUENCE; Schema: company_ru; Owner: -
--

CREATE SEQUENCE address_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: address_id_seq; Type: SEQUENCE OWNED BY; Schema: company_ru; Owner: -
--

ALTER SEQUENCE address_id_seq OWNED BY address.id;


--
-- Name: advsource; Type: TABLE; Schema: company_ru; Owner: -; Tablespace: 
--

CREATE TABLE advsource (
    id integer NOT NULL,
    resource_id integer NOT NULL,
    name character varying(32) NOT NULL
);


--
-- Name: advsource_id_seq; Type: SEQUENCE; Schema: company_ru; Owner: -
--

CREATE SEQUENCE advsource_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: advsource_id_seq; Type: SEQUENCE OWNED BY; Schema: company_ru; Owner: -
--

ALTER SEQUENCE advsource_id_seq OWNED BY advsource.id;


--
-- Name: alembic_version; Type: TABLE; Schema: company_ru; Owner: -; Tablespace: 
--

CREATE TABLE alembic_version (
    version_num character varying(32) NOT NULL
);


--
-- Name: appointment; Type: TABLE; Schema: company_ru; Owner: -; Tablespace: 
--

CREATE TABLE appointment (
    id integer NOT NULL,
    resource_id integer NOT NULL,
    date date,
    employee_id integer NOT NULL,
    position_id integer NOT NULL,
    salary numeric(16,2) NOT NULL,
    currency_id integer NOT NULL
);


--
-- Name: appointment_id_seq; Type: SEQUENCE; Schema: company_ru; Owner: -
--

CREATE SEQUENCE appointment_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: appointment_id_seq; Type: SEQUENCE OWNED BY; Schema: company_ru; Owner: -
--

ALTER SEQUENCE appointment_id_seq OWNED BY appointment.id;


--
-- Name: bank; Type: TABLE; Schema: company_ru; Owner: -; Tablespace: 
--

CREATE TABLE bank (
    id integer NOT NULL,
    resource_id integer NOT NULL,
    name character varying(255) NOT NULL
);


--
-- Name: bank_address; Type: TABLE; Schema: company_ru; Owner: -; Tablespace: 
--

CREATE TABLE bank_address (
    bank_id integer NOT NULL,
    address_id integer NOT NULL
);


--
-- Name: bank_detail; Type: TABLE; Schema: company_ru; Owner: -; Tablespace: 
--

CREATE TABLE bank_detail (
    id integer NOT NULL,
    resource_id integer NOT NULL,
    currency_id integer NOT NULL,
    bank_id integer NOT NULL,
    beneficiary character varying(255),
    account character varying(32) NOT NULL,
    swift_code character varying(32) NOT NULL
);


--
-- Name: bank_detail_id_seq; Type: SEQUENCE; Schema: company_ru; Owner: -
--

CREATE SEQUENCE bank_detail_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: bank_detail_id_seq; Type: SEQUENCE OWNED BY; Schema: company_ru; Owner: -
--

ALTER SEQUENCE bank_detail_id_seq OWNED BY bank_detail.id;


--
-- Name: bank_id_seq; Type: SEQUENCE; Schema: company_ru; Owner: -
--

CREATE SEQUENCE bank_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: bank_id_seq; Type: SEQUENCE OWNED BY; Schema: company_ru; Owner: -
--

ALTER SEQUENCE bank_id_seq OWNED BY bank.id;


--
-- Name: bperson; Type: TABLE; Schema: company_ru; Owner: -; Tablespace: 
--

CREATE TABLE bperson (
    id integer NOT NULL,
    resource_id integer NOT NULL,
    first_name character varying(32) NOT NULL,
    last_name character varying(32),
    second_name character varying(32),
    position_name character varying(64),
    status smallint NOT NULL,
    descr character varying(255)
);


--
-- Name: bperson_contact; Type: TABLE; Schema: company_ru; Owner: -; Tablespace: 
--

CREATE TABLE bperson_contact (
    bperson_id integer NOT NULL,
    contact_id integer NOT NULL
);


--
-- Name: bperson_id_seq; Type: SEQUENCE; Schema: company_ru; Owner: -
--

CREATE SEQUENCE bperson_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: bperson_id_seq; Type: SEQUENCE OWNED BY; Schema: company_ru; Owner: -
--

ALTER SEQUENCE bperson_id_seq OWNED BY bperson.id;


--
-- Name: calculation; Type: TABLE; Schema: company_ru; Owner: -; Tablespace: 
--

CREATE TABLE calculation (
    id integer NOT NULL,
    resource_id integer NOT NULL,
    order_item_id integer,
    contract_id integer,
    price numeric(16,2) NOT NULL
);


--
-- Name: calculation_id_seq; Type: SEQUENCE; Schema: company_ru; Owner: -
--

CREATE SEQUENCE calculation_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: calculation_id_seq; Type: SEQUENCE OWNED BY; Schema: company_ru; Owner: -
--

ALTER SEQUENCE calculation_id_seq OWNED BY calculation.id;


--
-- Name: campaign; Type: TABLE; Schema: company_ru; Owner: -; Tablespace: 
--

CREATE TABLE campaign (
    id integer NOT NULL,
    resource_id integer NOT NULL,
    name character varying(32) NOT NULL,
    subject character varying(128) NOT NULL,
    plain_content text,
    html_content text,
    start_dt timestamp with time zone NOT NULL,
    status smallint NOT NULL
);


--
-- Name: campaign_id_seq; Type: SEQUENCE; Schema: company_ru; Owner: -
--

CREATE SEQUENCE campaign_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: campaign_id_seq; Type: SEQUENCE OWNED BY; Schema: company_ru; Owner: -
--

ALTER SEQUENCE campaign_id_seq OWNED BY campaign.id;


--
-- Name: cashflow; Type: TABLE; Schema: company_ru; Owner: -; Tablespace: 
--

CREATE TABLE cashflow (
    id integer NOT NULL,
    subaccount_from_id integer,
    subaccount_to_id integer,
    account_item_id integer,
    sum numeric(16,2) NOT NULL,
    vat numeric(16,2),
    date date NOT NULL,
    CONSTRAINT constraint_cashflow_subaccount CHECK (((subaccount_from_id IS NOT NULL) OR (subaccount_to_id IS NOT NULL)))
);


--
-- Name: cashflow_id_seq; Type: SEQUENCE; Schema: company_ru; Owner: -
--

CREATE SEQUENCE cashflow_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: cashflow_id_seq; Type: SEQUENCE OWNED BY; Schema: company_ru; Owner: -
--

ALTER SEQUENCE cashflow_id_seq OWNED BY cashflow.id;


--
-- Name: commission; Type: TABLE; Schema: company_ru; Owner: -; Tablespace: 
--

CREATE TABLE commission (
    id integer NOT NULL,
    resource_id integer NOT NULL,
    service_id integer NOT NULL,
    percentage numeric(5,2) NOT NULL,
    price numeric(16,2) NOT NULL,
    currency_id integer NOT NULL,
    descr character varying(255),
    CONSTRAINT chk_commission_percentage CHECK (((percentage >= (0)::numeric) AND (percentage <= (100)::numeric)))
);


--
-- Name: commission_id_seq; Type: SEQUENCE; Schema: company_ru; Owner: -
--

CREATE SEQUENCE commission_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: commission_id_seq; Type: SEQUENCE OWNED BY; Schema: company_ru; Owner: -
--

ALTER SEQUENCE commission_id_seq OWNED BY commission.id;


--
-- Name: company; Type: TABLE; Schema: company_ru; Owner: -; Tablespace: 
--

CREATE TABLE company (
    id integer NOT NULL,
    resource_id integer,
    currency_id integer,
    name character varying(32) NOT NULL,
    email character varying(32) NOT NULL,
    settings json
);


--
-- Name: company_id_seq; Type: SEQUENCE; Schema: company_ru; Owner: -
--

CREATE SEQUENCE company_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: company_id_seq; Type: SEQUENCE OWNED BY; Schema: company_ru; Owner: -
--

ALTER SEQUENCE company_id_seq OWNED BY company.id;


--
-- Name: company_subaccount; Type: TABLE; Schema: company_ru; Owner: -; Tablespace: 
--

CREATE TABLE company_subaccount (
    company_id integer NOT NULL,
    subaccount_id integer NOT NULL
);


--
-- Name: contact; Type: TABLE; Schema: company_ru; Owner: -; Tablespace: 
--

CREATE TABLE contact (
    id integer NOT NULL,
    resource_id integer NOT NULL,
    contact_type smallint NOT NULL,
    contact character varying NOT NULL,
    status smallint NOT NULL,
    descr character varying(255)
);


--
-- Name: contact_id_seq; Type: SEQUENCE; Schema: company_ru; Owner: -
--

CREATE SEQUENCE contact_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: contact_id_seq; Type: SEQUENCE OWNED BY; Schema: company_ru; Owner: -
--

ALTER SEQUENCE contact_id_seq OWNED BY contact.id;


--
-- Name: contract; Type: TABLE; Schema: company_ru; Owner: -; Tablespace: 
--

CREATE TABLE contract (
    id integer NOT NULL,
    resource_id integer NOT NULL,
    num character varying NOT NULL,
    date date NOT NULL,
    status smallint NOT NULL,
    descr character varying(255)
);


--
-- Name: contract_commission; Type: TABLE; Schema: company_ru; Owner: -; Tablespace: 
--

CREATE TABLE contract_commission (
    contract_id integer NOT NULL,
    commission_id integer NOT NULL
);


--
-- Name: contract_id_seq; Type: SEQUENCE; Schema: company_ru; Owner: -
--

CREATE SEQUENCE contract_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: contract_id_seq; Type: SEQUENCE OWNED BY; Schema: company_ru; Owner: -
--

ALTER SEQUENCE contract_id_seq OWNED BY contract.id;


--
-- Name: country; Type: TABLE; Schema: company_ru; Owner: -; Tablespace: 
--

CREATE TABLE country (
    id integer NOT NULL,
    resource_id integer NOT NULL,
    iso_code character varying(2) NOT NULL,
    name character varying(32) NOT NULL
);


--
-- Name: country_id_seq; Type: SEQUENCE; Schema: company_ru; Owner: -
--

CREATE SEQUENCE country_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: country_id_seq; Type: SEQUENCE OWNED BY; Schema: company_ru; Owner: -
--

ALTER SEQUENCE country_id_seq OWNED BY country.id;


--
-- Name: crosspayment; Type: TABLE; Schema: company_ru; Owner: -; Tablespace: 
--

CREATE TABLE crosspayment (
    id integer NOT NULL,
    resource_id integer NOT NULL,
    cashflow_id integer NOT NULL,
    descr character varying(255)
);


--
-- Name: crosspayment_id_seq; Type: SEQUENCE; Schema: company_ru; Owner: -
--

CREATE SEQUENCE crosspayment_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: crosspayment_id_seq; Type: SEQUENCE OWNED BY; Schema: company_ru; Owner: -
--

ALTER SEQUENCE crosspayment_id_seq OWNED BY crosspayment.id;


--
-- Name: currency; Type: TABLE; Schema: company_ru; Owner: -; Tablespace: 
--

CREATE TABLE currency (
    id integer NOT NULL,
    resource_id integer NOT NULL,
    iso_code character varying(3) NOT NULL
);


--
-- Name: currency_id_seq; Type: SEQUENCE; Schema: company_ru; Owner: -
--

CREATE SEQUENCE currency_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: currency_id_seq; Type: SEQUENCE OWNED BY; Schema: company_ru; Owner: -
--

ALTER SEQUENCE currency_id_seq OWNED BY currency.id;


--
-- Name: currency_rate; Type: TABLE; Schema: company_ru; Owner: -; Tablespace: 
--

CREATE TABLE currency_rate (
    id integer NOT NULL,
    resource_id integer NOT NULL,
    currency_id integer NOT NULL,
    supplier_id integer NOT NULL,
    date date NOT NULL,
    rate numeric(16,2) NOT NULL
);


--
-- Name: currency_rate_id_seq; Type: SEQUENCE; Schema: company_ru; Owner: -
--

CREATE SEQUENCE currency_rate_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: currency_rate_id_seq; Type: SEQUENCE OWNED BY; Schema: company_ru; Owner: -
--

ALTER SEQUENCE currency_rate_id_seq OWNED BY currency_rate.id;


--
-- Name: dismissal; Type: TABLE; Schema: company_ru; Owner: -; Tablespace: 
--

CREATE TABLE dismissal (
    id integer NOT NULL,
    resource_id integer NOT NULL,
    date date,
    employee_id integer NOT NULL
);


--
-- Name: dismissal_id_seq; Type: SEQUENCE; Schema: company_ru; Owner: -
--

CREATE SEQUENCE dismissal_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: dismissal_id_seq; Type: SEQUENCE OWNED BY; Schema: company_ru; Owner: -
--

ALTER SEQUENCE dismissal_id_seq OWNED BY dismissal.id;


--
-- Name: employee; Type: TABLE; Schema: company_ru; Owner: -; Tablespace: 
--

CREATE TABLE employee (
    id integer NOT NULL,
    resource_id integer NOT NULL,
    photo_upload_id integer,
    first_name character varying(32) NOT NULL,
    last_name character varying(32) NOT NULL,
    second_name character varying(32),
    itn character varying(32)
);


--
-- Name: employee_address; Type: TABLE; Schema: company_ru; Owner: -; Tablespace: 
--

CREATE TABLE employee_address (
    employee_id integer NOT NULL,
    address_id integer NOT NULL
);


--
-- Name: employee_contact; Type: TABLE; Schema: company_ru; Owner: -; Tablespace: 
--

CREATE TABLE employee_contact (
    employee_id integer NOT NULL,
    contact_id integer NOT NULL
);


--
-- Name: employee_id_seq; Type: SEQUENCE; Schema: company_ru; Owner: -
--

CREATE SEQUENCE employee_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: employee_id_seq; Type: SEQUENCE OWNED BY; Schema: company_ru; Owner: -
--

ALTER SEQUENCE employee_id_seq OWNED BY employee.id;


--
-- Name: employee_notification; Type: TABLE; Schema: company_ru; Owner: -; Tablespace: 
--

CREATE TABLE employee_notification (
    employee_id integer NOT NULL,
    notification_id integer NOT NULL,
    status smallint NOT NULL
);


--
-- Name: employee_passport; Type: TABLE; Schema: company_ru; Owner: -; Tablespace: 
--

CREATE TABLE employee_passport (
    employee_id integer NOT NULL,
    passport_id integer NOT NULL
);


--
-- Name: employee_subaccount; Type: TABLE; Schema: company_ru; Owner: -; Tablespace: 
--

CREATE TABLE employee_subaccount (
    employee_id integer NOT NULL,
    subaccount_id integer NOT NULL
);


--
-- Name: employee_upload; Type: TABLE; Schema: company_ru; Owner: -; Tablespace: 
--

CREATE TABLE employee_upload (
    employee_id integer NOT NULL,
    upload_id integer NOT NULL
);


--
-- Name: foodcat; Type: TABLE; Schema: company_ru; Owner: -; Tablespace: 
--

CREATE TABLE foodcat (
    id integer NOT NULL,
    resource_id integer NOT NULL,
    name character varying(32) NOT NULL
);


--
-- Name: foodcat_id_seq; Type: SEQUENCE; Schema: company_ru; Owner: -
--

CREATE SEQUENCE foodcat_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: foodcat_id_seq; Type: SEQUENCE OWNED BY; Schema: company_ru; Owner: -
--

ALTER SEQUENCE foodcat_id_seq OWNED BY foodcat.id;


--
-- Name: hotel; Type: TABLE; Schema: company_ru; Owner: -; Tablespace: 
--

CREATE TABLE hotel (
    id integer NOT NULL,
    resource_id integer NOT NULL,
    hotelcat_id integer NOT NULL,
    location_id integer,
    name character varying(32) NOT NULL
);


--
-- Name: hotel_id_seq; Type: SEQUENCE; Schema: company_ru; Owner: -
--

CREATE SEQUENCE hotel_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: hotel_id_seq; Type: SEQUENCE OWNED BY; Schema: company_ru; Owner: -
--

ALTER SEQUENCE hotel_id_seq OWNED BY hotel.id;


--
-- Name: hotelcat; Type: TABLE; Schema: company_ru; Owner: -; Tablespace: 
--

CREATE TABLE hotelcat (
    id integer NOT NULL,
    resource_id integer NOT NULL,
    name character varying(32) NOT NULL
);


--
-- Name: hotelcat_id_seq; Type: SEQUENCE; Schema: company_ru; Owner: -
--

CREATE SEQUENCE hotelcat_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: hotelcat_id_seq; Type: SEQUENCE OWNED BY; Schema: company_ru; Owner: -
--

ALTER SEQUENCE hotelcat_id_seq OWNED BY hotelcat.id;


--
-- Name: income; Type: TABLE; Schema: company_ru; Owner: -; Tablespace: 
--

CREATE TABLE income (
    id integer NOT NULL,
    resource_id integer NOT NULL,
    invoice_id integer NOT NULL,
    account_item_id integer NOT NULL,
    sum numeric(16,2) NOT NULL,
    date date NOT NULL,
    descr character varying(255)
);


--
-- Name: income_cashflow; Type: TABLE; Schema: company_ru; Owner: -; Tablespace: 
--

CREATE TABLE income_cashflow (
    income_id integer NOT NULL,
    cashflow_id integer NOT NULL
);


--
-- Name: income_id_seq; Type: SEQUENCE; Schema: company_ru; Owner: -
--

CREATE SEQUENCE income_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: income_id_seq; Type: SEQUENCE OWNED BY; Schema: company_ru; Owner: -
--

ALTER SEQUENCE income_id_seq OWNED BY income.id;


--
-- Name: invoice; Type: TABLE; Schema: company_ru; Owner: -; Tablespace: 
--

CREATE TABLE invoice (
    id integer NOT NULL,
    date date NOT NULL,
    active_until date NOT NULL,
    resource_id integer NOT NULL,
    order_id integer NOT NULL,
    account_id integer NOT NULL,
    descr character varying(255)
);


--
-- Name: invoice_id_seq; Type: SEQUENCE; Schema: company_ru; Owner: -
--

CREATE SEQUENCE invoice_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: invoice_id_seq; Type: SEQUENCE OWNED BY; Schema: company_ru; Owner: -
--

ALTER SEQUENCE invoice_id_seq OWNED BY invoice.id;


--
-- Name: invoice_item; Type: TABLE; Schema: company_ru; Owner: -; Tablespace: 
--

CREATE TABLE invoice_item (
    id integer NOT NULL,
    invoice_id integer NOT NULL,
    order_item_id integer NOT NULL,
    price numeric(16,2) NOT NULL,
    vat numeric(16,2) NOT NULL,
    discount numeric(16,2) NOT NULL,
    descr character varying(255)
);


--
-- Name: invoice_item_id_seq; Type: SEQUENCE; Schema: company_ru; Owner: -
--

CREATE SEQUENCE invoice_item_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: invoice_item_id_seq; Type: SEQUENCE OWNED BY; Schema: company_ru; Owner: -
--

ALTER SEQUENCE invoice_item_id_seq OWNED BY invoice_item.id;


--
-- Name: lead; Type: TABLE; Schema: company_ru; Owner: -; Tablespace: 
--

CREATE TABLE lead (
    id integer NOT NULL,
    lead_date date NOT NULL,
    resource_id integer NOT NULL,
    advsource_id integer NOT NULL,
    customer_id integer NOT NULL,
    status smallint NOT NULL,
    descr character varying(255)
);


--
-- Name: lead_id_seq; Type: SEQUENCE; Schema: company_ru; Owner: -
--

CREATE SEQUENCE lead_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: lead_id_seq; Type: SEQUENCE OWNED BY; Schema: company_ru; Owner: -
--

ALTER SEQUENCE lead_id_seq OWNED BY lead.id;


--
-- Name: lead_item; Type: TABLE; Schema: company_ru; Owner: -; Tablespace: 
--

CREATE TABLE lead_item (
    id integer NOT NULL,
    resource_id integer NOT NULL,
    lead_id integer,
    service_id integer NOT NULL,
    currency_id integer,
    price_from numeric(16,2),
    price_to numeric(16,2),
    descr character varying
);


--
-- Name: lead_item_id_seq; Type: SEQUENCE; Schema: company_ru; Owner: -
--

CREATE SEQUENCE lead_item_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: lead_item_id_seq; Type: SEQUENCE OWNED BY; Schema: company_ru; Owner: -
--

ALTER SEQUENCE lead_item_id_seq OWNED BY lead_item.id;


--
-- Name: lead_offer; Type: TABLE; Schema: company_ru; Owner: -; Tablespace: 
--

CREATE TABLE lead_offer (
    id integer NOT NULL,
    resource_id integer NOT NULL,
    lead_id integer,
    service_id integer NOT NULL,
    currency_id integer NOT NULL,
    supplier_id integer NOT NULL,
    price numeric(16,2) NOT NULL,
    status smallint NOT NULL,
    descr character varying
);


--
-- Name: lead_offer_id_seq; Type: SEQUENCE; Schema: company_ru; Owner: -
--

CREATE SEQUENCE lead_offer_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: lead_offer_id_seq; Type: SEQUENCE OWNED BY; Schema: company_ru; Owner: -
--

ALTER SEQUENCE lead_offer_id_seq OWNED BY lead_offer.id;


--
-- Name: location; Type: TABLE; Schema: company_ru; Owner: -; Tablespace: 
--

CREATE TABLE location (
    id integer NOT NULL,
    resource_id integer NOT NULL,
    region_id integer NOT NULL,
    name character varying(32) NOT NULL
);


--
-- Name: location_id_seq; Type: SEQUENCE; Schema: company_ru; Owner: -
--

CREATE SEQUENCE location_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: location_id_seq; Type: SEQUENCE OWNED BY; Schema: company_ru; Owner: -
--

ALTER SEQUENCE location_id_seq OWNED BY location.id;


--
-- Name: navigation; Type: TABLE; Schema: company_ru; Owner: -; Tablespace: 
--

CREATE TABLE navigation (
    id integer NOT NULL,
    resource_id integer NOT NULL,
    position_id integer,
    parent_id integer,
    name character varying(32) NOT NULL,
    url character varying(128) NOT NULL,
    action character varying(32),
    icon_cls character varying(32),
    separator_before boolean,
    sort_order integer NOT NULL
);


--
-- Name: navigation_id_seq; Type: SEQUENCE; Schema: company_ru; Owner: -
--

CREATE SEQUENCE navigation_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: navigation_id_seq; Type: SEQUENCE OWNED BY; Schema: company_ru; Owner: -
--

ALTER SEQUENCE navigation_id_seq OWNED BY navigation.id;


--
-- Name: note; Type: TABLE; Schema: company_ru; Owner: -; Tablespace: 
--

CREATE TABLE note (
    id integer NOT NULL,
    resource_id integer NOT NULL,
    title character varying(255) NOT NULL,
    descr character varying
);


--
-- Name: note_id_seq; Type: SEQUENCE; Schema: company_ru; Owner: -
--

CREATE SEQUENCE note_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: note_id_seq; Type: SEQUENCE OWNED BY; Schema: company_ru; Owner: -
--

ALTER SEQUENCE note_id_seq OWNED BY note.id;


--
-- Name: note_resource; Type: TABLE; Schema: company_ru; Owner: -; Tablespace: 
--

CREATE TABLE note_resource (
    note_id integer NOT NULL,
    resource_id integer NOT NULL
);


--
-- Name: note_upload; Type: TABLE; Schema: company_ru; Owner: -; Tablespace: 
--

CREATE TABLE note_upload (
    note_id integer NOT NULL,
    upload_id integer NOT NULL
);


--
-- Name: notification; Type: TABLE; Schema: company_ru; Owner: -; Tablespace: 
--

CREATE TABLE notification (
    id integer NOT NULL,
    resource_id integer NOT NULL,
    title character varying NOT NULL,
    descr character varying NOT NULL,
    url character varying,
    created timestamp with time zone
);


--
-- Name: notification_id_seq; Type: SEQUENCE; Schema: company_ru; Owner: -
--

CREATE SEQUENCE notification_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: notification_id_seq; Type: SEQUENCE OWNED BY; Schema: company_ru; Owner: -
--

ALTER SEQUENCE notification_id_seq OWNED BY notification.id;


--
-- Name: notification_resource; Type: TABLE; Schema: company_ru; Owner: -; Tablespace: 
--

CREATE TABLE notification_resource (
    notification_id integer NOT NULL,
    resource_id integer NOT NULL
);


--
-- Name: order; Type: TABLE; Schema: company_ru; Owner: -; Tablespace: 
--

CREATE TABLE "order" (
    id integer NOT NULL,
    deal_date date NOT NULL,
    resource_id integer NOT NULL,
    customer_id integer NOT NULL,
    lead_id integer,
    advsource_id integer NOT NULL,
    status smallint NOT NULL,
    descr character varying(255)
);


--
-- Name: order_id_seq; Type: SEQUENCE; Schema: company_ru; Owner: -
--

CREATE SEQUENCE order_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: order_id_seq; Type: SEQUENCE OWNED BY; Schema: company_ru; Owner: -
--

ALTER SEQUENCE order_id_seq OWNED BY "order".id;


--
-- Name: order_item; Type: TABLE; Schema: company_ru; Owner: -; Tablespace: 
--

CREATE TABLE order_item (
    id integer NOT NULL,
    resource_id integer NOT NULL,
    order_id integer,
    service_id integer NOT NULL,
    currency_id integer NOT NULL,
    supplier_id integer NOT NULL,
    price numeric(16,2) NOT NULL,
    discount_sum numeric(16,2) NOT NULL,
    discount_percent numeric(16,2) NOT NULL,
    status smallint NOT NULL,
    status_date date,
    status_info character varying(128)
);


--
-- Name: order_item_id_seq; Type: SEQUENCE; Schema: company_ru; Owner: -
--

CREATE SEQUENCE order_item_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: order_item_id_seq; Type: SEQUENCE OWNED BY; Schema: company_ru; Owner: -
--

ALTER SEQUENCE order_item_id_seq OWNED BY order_item.id;


--
-- Name: outgoing; Type: TABLE; Schema: company_ru; Owner: -; Tablespace: 
--

CREATE TABLE outgoing (
    id integer NOT NULL,
    date date NOT NULL,
    resource_id integer NOT NULL,
    account_item_id integer NOT NULL,
    subaccount_id integer NOT NULL,
    sum numeric(16,2) NOT NULL,
    descr character varying(255)
);


--
-- Name: outgoing_cashflow; Type: TABLE; Schema: company_ru; Owner: -; Tablespace: 
--

CREATE TABLE outgoing_cashflow (
    outgoing_id integer NOT NULL,
    cashflow_id integer NOT NULL
);


--
-- Name: outgoing_id_seq; Type: SEQUENCE; Schema: company_ru; Owner: -
--

CREATE SEQUENCE outgoing_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: outgoing_id_seq; Type: SEQUENCE OWNED BY; Schema: company_ru; Owner: -
--

ALTER SEQUENCE outgoing_id_seq OWNED BY outgoing.id;


--
-- Name: passport; Type: TABLE; Schema: company_ru; Owner: -; Tablespace: 
--

CREATE TABLE passport (
    id integer NOT NULL,
    resource_id integer NOT NULL,
    country_id integer NOT NULL,
    passport_type smallint NOT NULL,
    num character varying(32) NOT NULL,
    end_date date,
    descr character varying(255)
);


--
-- Name: passport_id_seq; Type: SEQUENCE; Schema: company_ru; Owner: -
--

CREATE SEQUENCE passport_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: passport_id_seq; Type: SEQUENCE OWNED BY; Schema: company_ru; Owner: -
--

ALTER SEQUENCE passport_id_seq OWNED BY passport.id;


--
-- Name: passport_upload; Type: TABLE; Schema: company_ru; Owner: -; Tablespace: 
--

CREATE TABLE passport_upload (
    passport_id integer NOT NULL,
    upload_id integer NOT NULL
);


--
-- Name: permision; Type: TABLE; Schema: company_ru; Owner: -; Tablespace: 
--

CREATE TABLE permision (
    id integer NOT NULL,
    resource_type_id integer NOT NULL,
    position_id integer NOT NULL,
    permisions character varying[],
    scope_type character varying,
    structure_id integer
);


--
-- Name: permision_id_seq; Type: SEQUENCE; Schema: company_ru; Owner: -
--

CREATE SEQUENCE permision_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: permision_id_seq; Type: SEQUENCE OWNED BY; Schema: company_ru; Owner: -
--

ALTER SEQUENCE permision_id_seq OWNED BY permision.id;


--
-- Name: person; Type: TABLE; Schema: company_ru; Owner: -; Tablespace: 
--

CREATE TABLE person (
    id integer NOT NULL,
    resource_id integer NOT NULL,
    person_category_id integer,
    first_name character varying(32) NOT NULL,
    last_name character varying(32),
    second_name character varying(32),
    birthday date,
    gender smallint,
    email_subscription boolean,
    sms_subscription boolean,
    descr character varying(255)
);


--
-- Name: person_address; Type: TABLE; Schema: company_ru; Owner: -; Tablespace: 
--

CREATE TABLE person_address (
    person_id integer NOT NULL,
    address_id integer NOT NULL
);


--
-- Name: person_category; Type: TABLE; Schema: company_ru; Owner: -; Tablespace: 
--

CREATE TABLE person_category (
    id integer NOT NULL,
    resource_id integer NOT NULL,
    name character varying(255) NOT NULL
);


--
-- Name: person_category_id_seq; Type: SEQUENCE; Schema: company_ru; Owner: -
--

CREATE SEQUENCE person_category_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: person_category_id_seq; Type: SEQUENCE OWNED BY; Schema: company_ru; Owner: -
--

ALTER SEQUENCE person_category_id_seq OWNED BY person_category.id;


--
-- Name: person_contact; Type: TABLE; Schema: company_ru; Owner: -; Tablespace: 
--

CREATE TABLE person_contact (
    person_id integer NOT NULL,
    contact_id integer NOT NULL
);


--
-- Name: person_id_seq; Type: SEQUENCE; Schema: company_ru; Owner: -
--

CREATE SEQUENCE person_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: person_id_seq; Type: SEQUENCE OWNED BY; Schema: company_ru; Owner: -
--

ALTER SEQUENCE person_id_seq OWNED BY person.id;


--
-- Name: person_order_item; Type: TABLE; Schema: company_ru; Owner: -; Tablespace: 
--

CREATE TABLE person_order_item (
    order_item_id integer NOT NULL,
    person_id integer NOT NULL
);


--
-- Name: person_passport; Type: TABLE; Schema: company_ru; Owner: -; Tablespace: 
--

CREATE TABLE person_passport (
    person_id integer NOT NULL,
    passport_id integer NOT NULL
);


--
-- Name: person_subaccount; Type: TABLE; Schema: company_ru; Owner: -; Tablespace: 
--

CREATE TABLE person_subaccount (
    person_id integer NOT NULL,
    subaccount_id integer NOT NULL
);


--
-- Name: position; Type: TABLE; Schema: company_ru; Owner: -; Tablespace: 
--

CREATE TABLE "position" (
    id integer NOT NULL,
    resource_id integer NOT NULL,
    structure_id integer NOT NULL,
    name character varying(32) NOT NULL
);


--
-- Name: position_id_seq; Type: SEQUENCE; Schema: company_ru; Owner: -
--

CREATE SEQUENCE position_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: position_id_seq; Type: SEQUENCE OWNED BY; Schema: company_ru; Owner: -
--

ALTER SEQUENCE position_id_seq OWNED BY "position".id;


--
-- Name: region; Type: TABLE; Schema: company_ru; Owner: -; Tablespace: 
--

CREATE TABLE region (
    id integer NOT NULL,
    resource_id integer NOT NULL,
    country_id integer NOT NULL,
    name character varying(32) NOT NULL
);


--
-- Name: region_id_seq; Type: SEQUENCE; Schema: company_ru; Owner: -
--

CREATE SEQUENCE region_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: region_id_seq; Type: SEQUENCE OWNED BY; Schema: company_ru; Owner: -
--

ALTER SEQUENCE region_id_seq OWNED BY region.id;


--
-- Name: resource; Type: TABLE; Schema: company_ru; Owner: -; Tablespace: 
--

CREATE TABLE resource (
    id integer NOT NULL,
    resource_type_id integer NOT NULL,
    maintainer_id integer,
    protected boolean
);


--
-- Name: resource_id_seq; Type: SEQUENCE; Schema: company_ru; Owner: -
--

CREATE SEQUENCE resource_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: resource_id_seq; Type: SEQUENCE OWNED BY; Schema: company_ru; Owner: -
--

ALTER SEQUENCE resource_id_seq OWNED BY resource.id;


--
-- Name: resource_log; Type: TABLE; Schema: company_ru; Owner: -; Tablespace: 
--

CREATE TABLE resource_log (
    id integer NOT NULL,
    resource_id integer NOT NULL,
    employee_id integer NOT NULL,
    comment character varying(512),
    modifydt timestamp with time zone
);


--
-- Name: resource_log_id_seq; Type: SEQUENCE; Schema: company_ru; Owner: -
--

CREATE SEQUENCE resource_log_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: resource_log_id_seq; Type: SEQUENCE OWNED BY; Schema: company_ru; Owner: -
--

ALTER SEQUENCE resource_log_id_seq OWNED BY resource_log.id;


--
-- Name: resource_type; Type: TABLE; Schema: company_ru; Owner: -; Tablespace: 
--

CREATE TABLE resource_type (
    id integer NOT NULL,
    resource_id integer NOT NULL,
    name character varying(32) NOT NULL,
    humanize character varying(32) NOT NULL,
    resource_name character varying(32) NOT NULL,
    module character varying(128) NOT NULL,
    settings json,
    descr character varying(255),
    status smallint NOT NULL
);


--
-- Name: resource_type_id_seq; Type: SEQUENCE; Schema: company_ru; Owner: -
--

CREATE SEQUENCE resource_type_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: resource_type_id_seq; Type: SEQUENCE OWNED BY; Schema: company_ru; Owner: -
--

ALTER SEQUENCE resource_type_id_seq OWNED BY resource_type.id;


--
-- Name: roomcat; Type: TABLE; Schema: company_ru; Owner: -; Tablespace: 
--

CREATE TABLE roomcat (
    id integer NOT NULL,
    resource_id integer NOT NULL,
    name character varying(32) NOT NULL
);


--
-- Name: roomcat_id_seq; Type: SEQUENCE; Schema: company_ru; Owner: -
--

CREATE SEQUENCE roomcat_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: roomcat_id_seq; Type: SEQUENCE OWNED BY; Schema: company_ru; Owner: -
--

ALTER SEQUENCE roomcat_id_seq OWNED BY roomcat.id;


--
-- Name: service; Type: TABLE; Schema: company_ru; Owner: -; Tablespace: 
--

CREATE TABLE service (
    id integer NOT NULL,
    resource_id integer NOT NULL,
    resource_type_id integer NOT NULL,
    name character varying(32) NOT NULL,
    display_text character varying(255) NOT NULL,
    descr character varying(255)
);


--
-- Name: service_id_seq; Type: SEQUENCE; Schema: company_ru; Owner: -
--

CREATE SEQUENCE service_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: service_id_seq; Type: SEQUENCE OWNED BY; Schema: company_ru; Owner: -
--

ALTER SEQUENCE service_id_seq OWNED BY service.id;


--
-- Name: spassport; Type: TABLE; Schema: company_ru; Owner: -; Tablespace: 
--

CREATE TABLE spassport (
    id integer NOT NULL,
    resource_id integer NOT NULL,
    photo_done boolean NOT NULL,
    docs_receive_date date,
    docs_transfer_date date,
    passport_receive_date date,
    descr character varying(255)
);


--
-- Name: spassport_id_seq; Type: SEQUENCE; Schema: company_ru; Owner: -
--

CREATE SEQUENCE spassport_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: spassport_id_seq; Type: SEQUENCE OWNED BY; Schema: company_ru; Owner: -
--

ALTER SEQUENCE spassport_id_seq OWNED BY spassport.id;


--
-- Name: spassport_order_item; Type: TABLE; Schema: company_ru; Owner: -; Tablespace: 
--

CREATE TABLE spassport_order_item (
    order_item_id integer NOT NULL,
    spassport_id integer NOT NULL
);


--
-- Name: structure; Type: TABLE; Schema: company_ru; Owner: -; Tablespace: 
--

CREATE TABLE structure (
    id integer NOT NULL,
    resource_id integer NOT NULL,
    parent_id integer,
    company_id integer NOT NULL,
    name character varying(32) NOT NULL
);


--
-- Name: structure_address; Type: TABLE; Schema: company_ru; Owner: -; Tablespace: 
--

CREATE TABLE structure_address (
    structure_id integer NOT NULL,
    address_id integer NOT NULL
);


--
-- Name: structure_bank_detail; Type: TABLE; Schema: company_ru; Owner: -; Tablespace: 
--

CREATE TABLE structure_bank_detail (
    structure_id integer NOT NULL,
    bank_detail_id integer NOT NULL
);


--
-- Name: structure_contact; Type: TABLE; Schema: company_ru; Owner: -; Tablespace: 
--

CREATE TABLE structure_contact (
    structure_id integer NOT NULL,
    contact_id integer NOT NULL
);


--
-- Name: structure_id_seq; Type: SEQUENCE; Schema: company_ru; Owner: -
--

CREATE SEQUENCE structure_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: structure_id_seq; Type: SEQUENCE OWNED BY; Schema: company_ru; Owner: -
--

ALTER SEQUENCE structure_id_seq OWNED BY structure.id;


--
-- Name: subaccount; Type: TABLE; Schema: company_ru; Owner: -; Tablespace: 
--

CREATE TABLE subaccount (
    id integer NOT NULL,
    resource_id integer NOT NULL,
    account_id integer NOT NULL,
    name character varying(255) NOT NULL,
    status smallint NOT NULL,
    descr character varying(255)
);


--
-- Name: subaccount_id_seq; Type: SEQUENCE; Schema: company_ru; Owner: -
--

CREATE SEQUENCE subaccount_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: subaccount_id_seq; Type: SEQUENCE OWNED BY; Schema: company_ru; Owner: -
--

ALTER SEQUENCE subaccount_id_seq OWNED BY subaccount.id;


--
-- Name: supplier; Type: TABLE; Schema: company_ru; Owner: -; Tablespace: 
--

CREATE TABLE supplier (
    id integer NOT NULL,
    resource_id integer NOT NULL,
    supplier_type_id integer NOT NULL,
    name character varying(32) NOT NULL,
    status smallint NOT NULL,
    descr character varying(255)
);


--
-- Name: supplier_bank_detail; Type: TABLE; Schema: company_ru; Owner: -; Tablespace: 
--

CREATE TABLE supplier_bank_detail (
    supplier_id integer NOT NULL,
    bank_detail_id integer NOT NULL
);


--
-- Name: supplier_bperson; Type: TABLE; Schema: company_ru; Owner: -; Tablespace: 
--

CREATE TABLE supplier_bperson (
    supplier_id integer NOT NULL,
    bperson_id integer NOT NULL
);


--
-- Name: supplier_contract; Type: TABLE; Schema: company_ru; Owner: -; Tablespace: 
--

CREATE TABLE supplier_contract (
    supplier_id integer NOT NULL,
    contract_id integer NOT NULL
);


--
-- Name: supplier_id_seq; Type: SEQUENCE; Schema: company_ru; Owner: -
--

CREATE SEQUENCE supplier_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: supplier_id_seq; Type: SEQUENCE OWNED BY; Schema: company_ru; Owner: -
--

ALTER SEQUENCE supplier_id_seq OWNED BY supplier.id;


--
-- Name: supplier_subaccount; Type: TABLE; Schema: company_ru; Owner: -; Tablespace: 
--

CREATE TABLE supplier_subaccount (
    supplier_id integer NOT NULL,
    subaccount_id integer NOT NULL
);


--
-- Name: supplier_type; Type: TABLE; Schema: company_ru; Owner: -; Tablespace: 
--

CREATE TABLE supplier_type (
    id integer NOT NULL,
    resource_id integer NOT NULL,
    name character varying(32) NOT NULL,
    descr character varying(255)
);


--
-- Name: supplier_type_id_seq; Type: SEQUENCE; Schema: company_ru; Owner: -
--

CREATE SEQUENCE supplier_type_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: supplier_type_id_seq; Type: SEQUENCE OWNED BY; Schema: company_ru; Owner: -
--

ALTER SEQUENCE supplier_type_id_seq OWNED BY supplier_type.id;


--
-- Name: task; Type: TABLE; Schema: company_ru; Owner: -; Tablespace: 
--

CREATE TABLE task (
    id integer NOT NULL,
    resource_id integer NOT NULL,
    title character varying(128) NOT NULL,
    deadline timestamp with time zone NOT NULL,
    reminder integer,
    descr character varying,
    status smallint NOT NULL
);


--
-- Name: task_id_seq; Type: SEQUENCE; Schema: company_ru; Owner: -
--

CREATE SEQUENCE task_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: task_id_seq; Type: SEQUENCE OWNED BY; Schema: company_ru; Owner: -
--

ALTER SEQUENCE task_id_seq OWNED BY task.id;


--
-- Name: task_resource; Type: TABLE; Schema: company_ru; Owner: -; Tablespace: 
--

CREATE TABLE task_resource (
    task_id integer NOT NULL,
    resource_id integer NOT NULL
);


--
-- Name: task_upload; Type: TABLE; Schema: company_ru; Owner: -; Tablespace: 
--

CREATE TABLE task_upload (
    task_id integer NOT NULL,
    upload_id integer NOT NULL
);


--
-- Name: ticket; Type: TABLE; Schema: company_ru; Owner: -; Tablespace: 
--

CREATE TABLE ticket (
    id integer NOT NULL,
    resource_id integer NOT NULL,
    start_location_id integer NOT NULL,
    end_location_id integer NOT NULL,
    ticket_class_id integer NOT NULL,
    transport_id integer NOT NULL,
    start_dt timestamp with time zone NOT NULL,
    start_additional_info character varying(128),
    end_dt timestamp with time zone NOT NULL,
    end_additional_info character varying(128),
    adults integer NOT NULL,
    children integer NOT NULL,
    descr character varying(255)
);


--
-- Name: ticket_class; Type: TABLE; Schema: company_ru; Owner: -; Tablespace: 
--

CREATE TABLE ticket_class (
    id integer NOT NULL,
    resource_id integer NOT NULL,
    name character varying(255) NOT NULL
);


--
-- Name: ticket_class_id_seq; Type: SEQUENCE; Schema: company_ru; Owner: -
--

CREATE SEQUENCE ticket_class_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: ticket_class_id_seq; Type: SEQUENCE OWNED BY; Schema: company_ru; Owner: -
--

ALTER SEQUENCE ticket_class_id_seq OWNED BY ticket_class.id;


--
-- Name: ticket_id_seq; Type: SEQUENCE; Schema: company_ru; Owner: -
--

CREATE SEQUENCE ticket_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: ticket_id_seq; Type: SEQUENCE OWNED BY; Schema: company_ru; Owner: -
--

ALTER SEQUENCE ticket_id_seq OWNED BY ticket.id;


--
-- Name: ticket_order_item; Type: TABLE; Schema: company_ru; Owner: -; Tablespace: 
--

CREATE TABLE ticket_order_item (
    order_item_id integer NOT NULL,
    ticket_id integer NOT NULL
);


--
-- Name: tour; Type: TABLE; Schema: company_ru; Owner: -; Tablespace: 
--

CREATE TABLE tour (
    id integer NOT NULL,
    resource_id integer NOT NULL,
    start_location_id integer NOT NULL,
    start_transport_id integer NOT NULL,
    end_location_id integer NOT NULL,
    end_transport_id integer NOT NULL,
    hotel_id integer,
    accomodation_id integer,
    foodcat_id integer,
    roomcat_id integer,
    transfer_id integer,
    adults integer NOT NULL,
    children integer NOT NULL,
    start_date date NOT NULL,
    start_additional_info character varying(128),
    end_date date NOT NULL,
    end_additional_info character varying(128),
    descr character varying(255)
);


--
-- Name: tour_id_seq; Type: SEQUENCE; Schema: company_ru; Owner: -
--

CREATE SEQUENCE tour_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: tour_id_seq; Type: SEQUENCE OWNED BY; Schema: company_ru; Owner: -
--

ALTER SEQUENCE tour_id_seq OWNED BY tour.id;


--
-- Name: tour_order_item; Type: TABLE; Schema: company_ru; Owner: -; Tablespace: 
--

CREATE TABLE tour_order_item (
    order_item_id integer NOT NULL,
    tour_id integer NOT NULL
);


--
-- Name: transfer; Type: TABLE; Schema: company_ru; Owner: -; Tablespace: 
--

CREATE TABLE transfer (
    id integer NOT NULL,
    resource_id integer NOT NULL,
    name character varying(255) NOT NULL
);


--
-- Name: transfer_id_seq; Type: SEQUENCE; Schema: company_ru; Owner: -
--

CREATE SEQUENCE transfer_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: transfer_id_seq; Type: SEQUENCE OWNED BY; Schema: company_ru; Owner: -
--

ALTER SEQUENCE transfer_id_seq OWNED BY transfer.id;


--
-- Name: transport; Type: TABLE; Schema: company_ru; Owner: -; Tablespace: 
--

CREATE TABLE transport (
    id integer NOT NULL,
    resource_id integer NOT NULL,
    name character varying(255) NOT NULL
);


--
-- Name: transport_id_seq; Type: SEQUENCE; Schema: company_ru; Owner: -
--

CREATE SEQUENCE transport_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: transport_id_seq; Type: SEQUENCE OWNED BY; Schema: company_ru; Owner: -
--

ALTER SEQUENCE transport_id_seq OWNED BY transport.id;


--
-- Name: upload; Type: TABLE; Schema: company_ru; Owner: -; Tablespace: 
--

CREATE TABLE upload (
    id integer NOT NULL,
    resource_id integer NOT NULL,
    name character varying(255) NOT NULL,
    path character varying(255) NOT NULL,
    size numeric(16,2) NOT NULL,
    media_type character varying(128) NOT NULL,
    descr character varying(255)
);


--
-- Name: upload_id_seq; Type: SEQUENCE; Schema: company_ru; Owner: -
--

CREATE SEQUENCE upload_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: upload_id_seq; Type: SEQUENCE OWNED BY; Schema: company_ru; Owner: -
--

ALTER SEQUENCE upload_id_seq OWNED BY upload.id;


--
-- Name: user; Type: TABLE; Schema: company_ru; Owner: -; Tablespace: 
--

CREATE TABLE "user" (
    id integer NOT NULL,
    resource_id integer NOT NULL,
    employee_id integer NOT NULL,
    username character varying(32) NOT NULL,
    email character varying(128) NOT NULL,
    password character varying(128) NOT NULL
);


--
-- Name: user_id_seq; Type: SEQUENCE; Schema: company_ru; Owner: -
--

CREATE SEQUENCE user_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: user_id_seq; Type: SEQUENCE OWNED BY; Schema: company_ru; Owner: -
--

ALTER SEQUENCE user_id_seq OWNED BY "user".id;


--
-- Name: vat; Type: TABLE; Schema: company_ru; Owner: -; Tablespace: 
--

CREATE TABLE vat (
    id integer NOT NULL,
    resource_id integer NOT NULL,
    account_id integer NOT NULL,
    service_id integer NOT NULL,
    date date NOT NULL,
    vat numeric(5,2) NOT NULL,
    calc_method smallint NOT NULL,
    descr character varying(255)
);


--
-- Name: vat_id_seq; Type: SEQUENCE; Schema: company_ru; Owner: -
--

CREATE SEQUENCE vat_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: vat_id_seq; Type: SEQUENCE OWNED BY; Schema: company_ru; Owner: -
--

ALTER SEQUENCE vat_id_seq OWNED BY vat.id;


--
-- Name: visa; Type: TABLE; Schema: company_ru; Owner: -; Tablespace: 
--

CREATE TABLE visa (
    id integer NOT NULL,
    resource_id integer NOT NULL,
    country_id integer NOT NULL,
    start_date date NOT NULL,
    end_date date,
    type smallint NOT NULL,
    descr character varying(255)
);


--
-- Name: visa_id_seq; Type: SEQUENCE; Schema: company_ru; Owner: -
--

CREATE SEQUENCE visa_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: visa_id_seq; Type: SEQUENCE OWNED BY; Schema: company_ru; Owner: -
--

ALTER SEQUENCE visa_id_seq OWNED BY visa.id;


--
-- Name: visa_order_item; Type: TABLE; Schema: company_ru; Owner: -; Tablespace: 
--

CREATE TABLE visa_order_item (
    order_item_id integer NOT NULL,
    visa_id integer NOT NULL
);


SET search_path = demo_ru, pg_catalog;

--
-- Name: accomodation; Type: TABLE; Schema: demo_ru; Owner: -; Tablespace: 
--

CREATE TABLE accomodation (
    id integer NOT NULL,
    resource_id integer NOT NULL,
    name character varying(32) NOT NULL
);


--
-- Name: accomodation_id_seq; Type: SEQUENCE; Schema: demo_ru; Owner: -
--

CREATE SEQUENCE accomodation_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: accomodation_id_seq; Type: SEQUENCE OWNED BY; Schema: demo_ru; Owner: -
--

ALTER SEQUENCE accomodation_id_seq OWNED BY accomodation.id;


--
-- Name: account; Type: TABLE; Schema: demo_ru; Owner: -; Tablespace: 
--

CREATE TABLE account (
    id integer NOT NULL,
    resource_id integer NOT NULL,
    currency_id integer NOT NULL,
    account_type smallint NOT NULL,
    name character varying(255) NOT NULL,
    display_text character varying(255) NOT NULL,
    status smallint NOT NULL,
    descr character varying(255)
);


--
-- Name: account_id_seq; Type: SEQUENCE; Schema: demo_ru; Owner: -
--

CREATE SEQUENCE account_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: account_id_seq; Type: SEQUENCE OWNED BY; Schema: demo_ru; Owner: -
--

ALTER SEQUENCE account_id_seq OWNED BY account.id;


--
-- Name: account_item; Type: TABLE; Schema: demo_ru; Owner: -; Tablespace: 
--

CREATE TABLE account_item (
    id integer NOT NULL,
    resource_id integer NOT NULL,
    parent_id integer,
    name character varying(128) NOT NULL,
    type smallint NOT NULL,
    status smallint NOT NULL,
    descr character varying(128)
);


--
-- Name: account_item_id_seq; Type: SEQUENCE; Schema: demo_ru; Owner: -
--

CREATE SEQUENCE account_item_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: account_item_id_seq; Type: SEQUENCE OWNED BY; Schema: demo_ru; Owner: -
--

ALTER SEQUENCE account_item_id_seq OWNED BY account_item.id;


--
-- Name: address; Type: TABLE; Schema: demo_ru; Owner: -; Tablespace: 
--

CREATE TABLE address (
    id integer NOT NULL,
    resource_id integer NOT NULL,
    location_id integer NOT NULL,
    zip_code character varying(12) NOT NULL,
    address character varying(255) NOT NULL
);


--
-- Name: address_id_seq; Type: SEQUENCE; Schema: demo_ru; Owner: -
--

CREATE SEQUENCE address_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: address_id_seq; Type: SEQUENCE OWNED BY; Schema: demo_ru; Owner: -
--

ALTER SEQUENCE address_id_seq OWNED BY address.id;


--
-- Name: advsource; Type: TABLE; Schema: demo_ru; Owner: -; Tablespace: 
--

CREATE TABLE advsource (
    id integer NOT NULL,
    resource_id integer NOT NULL,
    name character varying(32) NOT NULL
);


--
-- Name: advsource_id_seq; Type: SEQUENCE; Schema: demo_ru; Owner: -
--

CREATE SEQUENCE advsource_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: advsource_id_seq; Type: SEQUENCE OWNED BY; Schema: demo_ru; Owner: -
--

ALTER SEQUENCE advsource_id_seq OWNED BY advsource.id;


--
-- Name: alembic_version; Type: TABLE; Schema: demo_ru; Owner: -; Tablespace: 
--

CREATE TABLE alembic_version (
    version_num character varying(32) NOT NULL
);


--
-- Name: appointment; Type: TABLE; Schema: demo_ru; Owner: -; Tablespace: 
--

CREATE TABLE appointment (
    id integer NOT NULL,
    resource_id integer NOT NULL,
    date date,
    employee_id integer NOT NULL,
    position_id integer NOT NULL,
    salary numeric(16,2) NOT NULL,
    currency_id integer NOT NULL
);


--
-- Name: appointment_id_seq; Type: SEQUENCE; Schema: demo_ru; Owner: -
--

CREATE SEQUENCE appointment_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: appointment_id_seq; Type: SEQUENCE OWNED BY; Schema: demo_ru; Owner: -
--

ALTER SEQUENCE appointment_id_seq OWNED BY appointment.id;


--
-- Name: bank; Type: TABLE; Schema: demo_ru; Owner: -; Tablespace: 
--

CREATE TABLE bank (
    id integer NOT NULL,
    resource_id integer NOT NULL,
    name character varying(255) NOT NULL
);


--
-- Name: bank_address; Type: TABLE; Schema: demo_ru; Owner: -; Tablespace: 
--

CREATE TABLE bank_address (
    bank_id integer NOT NULL,
    address_id integer NOT NULL
);


--
-- Name: bank_detail; Type: TABLE; Schema: demo_ru; Owner: -; Tablespace: 
--

CREATE TABLE bank_detail (
    id integer NOT NULL,
    resource_id integer NOT NULL,
    currency_id integer NOT NULL,
    bank_id integer NOT NULL,
    beneficiary character varying(255),
    account character varying(32) NOT NULL,
    swift_code character varying(32) NOT NULL
);


--
-- Name: bank_detail_id_seq; Type: SEQUENCE; Schema: demo_ru; Owner: -
--

CREATE SEQUENCE bank_detail_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: bank_detail_id_seq; Type: SEQUENCE OWNED BY; Schema: demo_ru; Owner: -
--

ALTER SEQUENCE bank_detail_id_seq OWNED BY bank_detail.id;


--
-- Name: bank_id_seq; Type: SEQUENCE; Schema: demo_ru; Owner: -
--

CREATE SEQUENCE bank_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: bank_id_seq; Type: SEQUENCE OWNED BY; Schema: demo_ru; Owner: -
--

ALTER SEQUENCE bank_id_seq OWNED BY bank.id;


--
-- Name: bperson; Type: TABLE; Schema: demo_ru; Owner: -; Tablespace: 
--

CREATE TABLE bperson (
    id integer NOT NULL,
    resource_id integer NOT NULL,
    first_name character varying(32) NOT NULL,
    last_name character varying(32),
    second_name character varying(32),
    position_name character varying(64),
    status smallint NOT NULL,
    descr character varying(255)
);


--
-- Name: bperson_contact; Type: TABLE; Schema: demo_ru; Owner: -; Tablespace: 
--

CREATE TABLE bperson_contact (
    bperson_id integer NOT NULL,
    contact_id integer NOT NULL
);


--
-- Name: bperson_id_seq; Type: SEQUENCE; Schema: demo_ru; Owner: -
--

CREATE SEQUENCE bperson_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: bperson_id_seq; Type: SEQUENCE OWNED BY; Schema: demo_ru; Owner: -
--

ALTER SEQUENCE bperson_id_seq OWNED BY bperson.id;


--
-- Name: calculation; Type: TABLE; Schema: demo_ru; Owner: -; Tablespace: 
--

CREATE TABLE calculation (
    id integer NOT NULL,
    resource_id integer NOT NULL,
    order_item_id integer,
    contract_id integer,
    price numeric(16,2) NOT NULL
);


--
-- Name: calculation_id_seq; Type: SEQUENCE; Schema: demo_ru; Owner: -
--

CREATE SEQUENCE calculation_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: calculation_id_seq; Type: SEQUENCE OWNED BY; Schema: demo_ru; Owner: -
--

ALTER SEQUENCE calculation_id_seq OWNED BY calculation.id;


--
-- Name: campaign; Type: TABLE; Schema: demo_ru; Owner: -; Tablespace: 
--

CREATE TABLE campaign (
    id integer NOT NULL,
    resource_id integer NOT NULL,
    name character varying(32) NOT NULL,
    subject character varying(128) NOT NULL,
    plain_content text,
    html_content text,
    start_dt timestamp with time zone NOT NULL,
    status smallint NOT NULL
);


--
-- Name: campaign_id_seq; Type: SEQUENCE; Schema: demo_ru; Owner: -
--

CREATE SEQUENCE campaign_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: campaign_id_seq; Type: SEQUENCE OWNED BY; Schema: demo_ru; Owner: -
--

ALTER SEQUENCE campaign_id_seq OWNED BY campaign.id;


--
-- Name: cashflow; Type: TABLE; Schema: demo_ru; Owner: -; Tablespace: 
--

CREATE TABLE cashflow (
    id integer NOT NULL,
    subaccount_from_id integer,
    subaccount_to_id integer,
    account_item_id integer,
    sum numeric(16,2) NOT NULL,
    vat numeric(16,2),
    date date NOT NULL,
    CONSTRAINT constraint_cashflow_subaccount CHECK (((subaccount_from_id IS NOT NULL) OR (subaccount_to_id IS NOT NULL)))
);


--
-- Name: cashflow_id_seq; Type: SEQUENCE; Schema: demo_ru; Owner: -
--

CREATE SEQUENCE cashflow_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: cashflow_id_seq; Type: SEQUENCE OWNED BY; Schema: demo_ru; Owner: -
--

ALTER SEQUENCE cashflow_id_seq OWNED BY cashflow.id;


--
-- Name: commission; Type: TABLE; Schema: demo_ru; Owner: -; Tablespace: 
--

CREATE TABLE commission (
    id integer NOT NULL,
    resource_id integer NOT NULL,
    service_id integer NOT NULL,
    percentage numeric(5,2) NOT NULL,
    price numeric(16,2) NOT NULL,
    currency_id integer NOT NULL,
    descr character varying(255),
    CONSTRAINT chk_commission_percentage CHECK (((percentage >= (0)::numeric) AND (percentage <= (100)::numeric)))
);


--
-- Name: commission_id_seq; Type: SEQUENCE; Schema: demo_ru; Owner: -
--

CREATE SEQUENCE commission_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: commission_id_seq; Type: SEQUENCE OWNED BY; Schema: demo_ru; Owner: -
--

ALTER SEQUENCE commission_id_seq OWNED BY commission.id;


--
-- Name: company; Type: TABLE; Schema: demo_ru; Owner: -; Tablespace: 
--

CREATE TABLE company (
    id integer NOT NULL,
    resource_id integer,
    currency_id integer,
    name character varying(32) NOT NULL,
    email character varying(32) NOT NULL,
    settings json
);


--
-- Name: company_id_seq; Type: SEQUENCE; Schema: demo_ru; Owner: -
--

CREATE SEQUENCE company_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: company_id_seq; Type: SEQUENCE OWNED BY; Schema: demo_ru; Owner: -
--

ALTER SEQUENCE company_id_seq OWNED BY company.id;


--
-- Name: company_subaccount; Type: TABLE; Schema: demo_ru; Owner: -; Tablespace: 
--

CREATE TABLE company_subaccount (
    company_id integer NOT NULL,
    subaccount_id integer NOT NULL
);


--
-- Name: contact; Type: TABLE; Schema: demo_ru; Owner: -; Tablespace: 
--

CREATE TABLE contact (
    id integer NOT NULL,
    resource_id integer NOT NULL,
    contact_type smallint NOT NULL,
    contact character varying NOT NULL,
    status smallint NOT NULL,
    descr character varying(255)
);


--
-- Name: contact_id_seq; Type: SEQUENCE; Schema: demo_ru; Owner: -
--

CREATE SEQUENCE contact_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: contact_id_seq; Type: SEQUENCE OWNED BY; Schema: demo_ru; Owner: -
--

ALTER SEQUENCE contact_id_seq OWNED BY contact.id;


--
-- Name: contract; Type: TABLE; Schema: demo_ru; Owner: -; Tablespace: 
--

CREATE TABLE contract (
    id integer NOT NULL,
    resource_id integer NOT NULL,
    num character varying NOT NULL,
    date date NOT NULL,
    status smallint NOT NULL,
    descr character varying(255)
);


--
-- Name: contract_commission; Type: TABLE; Schema: demo_ru; Owner: -; Tablespace: 
--

CREATE TABLE contract_commission (
    contract_id integer NOT NULL,
    commission_id integer NOT NULL
);


--
-- Name: contract_id_seq; Type: SEQUENCE; Schema: demo_ru; Owner: -
--

CREATE SEQUENCE contract_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: contract_id_seq; Type: SEQUENCE OWNED BY; Schema: demo_ru; Owner: -
--

ALTER SEQUENCE contract_id_seq OWNED BY contract.id;


--
-- Name: country; Type: TABLE; Schema: demo_ru; Owner: -; Tablespace: 
--

CREATE TABLE country (
    id integer NOT NULL,
    resource_id integer NOT NULL,
    iso_code character varying(2) NOT NULL,
    name character varying(32) NOT NULL
);


--
-- Name: country_id_seq; Type: SEQUENCE; Schema: demo_ru; Owner: -
--

CREATE SEQUENCE country_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: country_id_seq; Type: SEQUENCE OWNED BY; Schema: demo_ru; Owner: -
--

ALTER SEQUENCE country_id_seq OWNED BY country.id;


--
-- Name: crosspayment; Type: TABLE; Schema: demo_ru; Owner: -; Tablespace: 
--

CREATE TABLE crosspayment (
    id integer NOT NULL,
    resource_id integer NOT NULL,
    cashflow_id integer NOT NULL,
    descr character varying(255)
);


--
-- Name: crosspayment_id_seq; Type: SEQUENCE; Schema: demo_ru; Owner: -
--

CREATE SEQUENCE crosspayment_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: crosspayment_id_seq; Type: SEQUENCE OWNED BY; Schema: demo_ru; Owner: -
--

ALTER SEQUENCE crosspayment_id_seq OWNED BY crosspayment.id;


--
-- Name: currency; Type: TABLE; Schema: demo_ru; Owner: -; Tablespace: 
--

CREATE TABLE currency (
    id integer NOT NULL,
    resource_id integer NOT NULL,
    iso_code character varying(3) NOT NULL
);


--
-- Name: currency_id_seq; Type: SEQUENCE; Schema: demo_ru; Owner: -
--

CREATE SEQUENCE currency_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: currency_id_seq; Type: SEQUENCE OWNED BY; Schema: demo_ru; Owner: -
--

ALTER SEQUENCE currency_id_seq OWNED BY currency.id;


--
-- Name: currency_rate; Type: TABLE; Schema: demo_ru; Owner: -; Tablespace: 
--

CREATE TABLE currency_rate (
    id integer NOT NULL,
    resource_id integer NOT NULL,
    currency_id integer NOT NULL,
    supplier_id integer NOT NULL,
    date date NOT NULL,
    rate numeric(16,2) NOT NULL
);


--
-- Name: currency_rate_id_seq; Type: SEQUENCE; Schema: demo_ru; Owner: -
--

CREATE SEQUENCE currency_rate_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: currency_rate_id_seq; Type: SEQUENCE OWNED BY; Schema: demo_ru; Owner: -
--

ALTER SEQUENCE currency_rate_id_seq OWNED BY currency_rate.id;


--
-- Name: dismissal; Type: TABLE; Schema: demo_ru; Owner: -; Tablespace: 
--

CREATE TABLE dismissal (
    id integer NOT NULL,
    resource_id integer NOT NULL,
    date date,
    employee_id integer NOT NULL
);


--
-- Name: dismissal_id_seq; Type: SEQUENCE; Schema: demo_ru; Owner: -
--

CREATE SEQUENCE dismissal_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: dismissal_id_seq; Type: SEQUENCE OWNED BY; Schema: demo_ru; Owner: -
--

ALTER SEQUENCE dismissal_id_seq OWNED BY dismissal.id;


--
-- Name: employee; Type: TABLE; Schema: demo_ru; Owner: -; Tablespace: 
--

CREATE TABLE employee (
    id integer NOT NULL,
    resource_id integer NOT NULL,
    photo_upload_id integer,
    first_name character varying(32) NOT NULL,
    last_name character varying(32) NOT NULL,
    second_name character varying(32),
    itn character varying(32)
);


--
-- Name: employee_address; Type: TABLE; Schema: demo_ru; Owner: -; Tablespace: 
--

CREATE TABLE employee_address (
    employee_id integer NOT NULL,
    address_id integer NOT NULL
);


--
-- Name: employee_contact; Type: TABLE; Schema: demo_ru; Owner: -; Tablespace: 
--

CREATE TABLE employee_contact (
    employee_id integer NOT NULL,
    contact_id integer NOT NULL
);


--
-- Name: employee_id_seq; Type: SEQUENCE; Schema: demo_ru; Owner: -
--

CREATE SEQUENCE employee_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: employee_id_seq; Type: SEQUENCE OWNED BY; Schema: demo_ru; Owner: -
--

ALTER SEQUENCE employee_id_seq OWNED BY employee.id;


--
-- Name: employee_notification; Type: TABLE; Schema: demo_ru; Owner: -; Tablespace: 
--

CREATE TABLE employee_notification (
    employee_id integer NOT NULL,
    notification_id integer NOT NULL,
    status smallint NOT NULL
);


--
-- Name: employee_passport; Type: TABLE; Schema: demo_ru; Owner: -; Tablespace: 
--

CREATE TABLE employee_passport (
    employee_id integer NOT NULL,
    passport_id integer NOT NULL
);


--
-- Name: employee_subaccount; Type: TABLE; Schema: demo_ru; Owner: -; Tablespace: 
--

CREATE TABLE employee_subaccount (
    employee_id integer NOT NULL,
    subaccount_id integer NOT NULL
);


--
-- Name: employee_upload; Type: TABLE; Schema: demo_ru; Owner: -; Tablespace: 
--

CREATE TABLE employee_upload (
    employee_id integer NOT NULL,
    upload_id integer NOT NULL
);


--
-- Name: foodcat; Type: TABLE; Schema: demo_ru; Owner: -; Tablespace: 
--

CREATE TABLE foodcat (
    id integer NOT NULL,
    resource_id integer NOT NULL,
    name character varying(32) NOT NULL
);


--
-- Name: foodcat_id_seq; Type: SEQUENCE; Schema: demo_ru; Owner: -
--

CREATE SEQUENCE foodcat_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: foodcat_id_seq; Type: SEQUENCE OWNED BY; Schema: demo_ru; Owner: -
--

ALTER SEQUENCE foodcat_id_seq OWNED BY foodcat.id;


--
-- Name: hotel; Type: TABLE; Schema: demo_ru; Owner: -; Tablespace: 
--

CREATE TABLE hotel (
    id integer NOT NULL,
    resource_id integer NOT NULL,
    hotelcat_id integer NOT NULL,
    location_id integer,
    name character varying(32) NOT NULL
);


--
-- Name: hotel_id_seq; Type: SEQUENCE; Schema: demo_ru; Owner: -
--

CREATE SEQUENCE hotel_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: hotel_id_seq; Type: SEQUENCE OWNED BY; Schema: demo_ru; Owner: -
--

ALTER SEQUENCE hotel_id_seq OWNED BY hotel.id;


--
-- Name: hotelcat; Type: TABLE; Schema: demo_ru; Owner: -; Tablespace: 
--

CREATE TABLE hotelcat (
    id integer NOT NULL,
    resource_id integer NOT NULL,
    name character varying(32) NOT NULL
);


--
-- Name: hotelcat_id_seq; Type: SEQUENCE; Schema: demo_ru; Owner: -
--

CREATE SEQUENCE hotelcat_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: hotelcat_id_seq; Type: SEQUENCE OWNED BY; Schema: demo_ru; Owner: -
--

ALTER SEQUENCE hotelcat_id_seq OWNED BY hotelcat.id;


--
-- Name: income; Type: TABLE; Schema: demo_ru; Owner: -; Tablespace: 
--

CREATE TABLE income (
    id integer NOT NULL,
    resource_id integer NOT NULL,
    invoice_id integer NOT NULL,
    account_item_id integer NOT NULL,
    sum numeric(16,2) NOT NULL,
    date date NOT NULL,
    descr character varying(255)
);


--
-- Name: income_cashflow; Type: TABLE; Schema: demo_ru; Owner: -; Tablespace: 
--

CREATE TABLE income_cashflow (
    income_id integer NOT NULL,
    cashflow_id integer NOT NULL
);


--
-- Name: income_id_seq; Type: SEQUENCE; Schema: demo_ru; Owner: -
--

CREATE SEQUENCE income_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: income_id_seq; Type: SEQUENCE OWNED BY; Schema: demo_ru; Owner: -
--

ALTER SEQUENCE income_id_seq OWNED BY income.id;


--
-- Name: invoice; Type: TABLE; Schema: demo_ru; Owner: -; Tablespace: 
--

CREATE TABLE invoice (
    id integer NOT NULL,
    date date NOT NULL,
    active_until date NOT NULL,
    resource_id integer NOT NULL,
    order_id integer NOT NULL,
    account_id integer NOT NULL,
    descr character varying(255)
);


--
-- Name: invoice_id_seq; Type: SEQUENCE; Schema: demo_ru; Owner: -
--

CREATE SEQUENCE invoice_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: invoice_id_seq; Type: SEQUENCE OWNED BY; Schema: demo_ru; Owner: -
--

ALTER SEQUENCE invoice_id_seq OWNED BY invoice.id;


--
-- Name: invoice_item; Type: TABLE; Schema: demo_ru; Owner: -; Tablespace: 
--

CREATE TABLE invoice_item (
    id integer NOT NULL,
    invoice_id integer NOT NULL,
    order_item_id integer NOT NULL,
    price numeric(16,2) NOT NULL,
    vat numeric(16,2) NOT NULL,
    discount numeric(16,2) NOT NULL,
    descr character varying(255)
);


--
-- Name: invoice_item_id_seq; Type: SEQUENCE; Schema: demo_ru; Owner: -
--

CREATE SEQUENCE invoice_item_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: invoice_item_id_seq; Type: SEQUENCE OWNED BY; Schema: demo_ru; Owner: -
--

ALTER SEQUENCE invoice_item_id_seq OWNED BY invoice_item.id;


--
-- Name: lead; Type: TABLE; Schema: demo_ru; Owner: -; Tablespace: 
--

CREATE TABLE lead (
    id integer NOT NULL,
    lead_date date NOT NULL,
    resource_id integer NOT NULL,
    advsource_id integer NOT NULL,
    customer_id integer NOT NULL,
    status smallint NOT NULL,
    descr character varying(255)
);


--
-- Name: lead_id_seq; Type: SEQUENCE; Schema: demo_ru; Owner: -
--

CREATE SEQUENCE lead_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: lead_id_seq; Type: SEQUENCE OWNED BY; Schema: demo_ru; Owner: -
--

ALTER SEQUENCE lead_id_seq OWNED BY lead.id;


--
-- Name: lead_item; Type: TABLE; Schema: demo_ru; Owner: -; Tablespace: 
--

CREATE TABLE lead_item (
    id integer NOT NULL,
    resource_id integer NOT NULL,
    lead_id integer,
    service_id integer NOT NULL,
    currency_id integer,
    price_from numeric(16,2),
    price_to numeric(16,2),
    descr character varying
);


--
-- Name: lead_item_id_seq; Type: SEQUENCE; Schema: demo_ru; Owner: -
--

CREATE SEQUENCE lead_item_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: lead_item_id_seq; Type: SEQUENCE OWNED BY; Schema: demo_ru; Owner: -
--

ALTER SEQUENCE lead_item_id_seq OWNED BY lead_item.id;


--
-- Name: lead_offer; Type: TABLE; Schema: demo_ru; Owner: -; Tablespace: 
--

CREATE TABLE lead_offer (
    id integer NOT NULL,
    resource_id integer NOT NULL,
    lead_id integer,
    service_id integer NOT NULL,
    currency_id integer NOT NULL,
    supplier_id integer NOT NULL,
    price numeric(16,2) NOT NULL,
    status smallint NOT NULL,
    descr character varying
);


--
-- Name: lead_offer_id_seq; Type: SEQUENCE; Schema: demo_ru; Owner: -
--

CREATE SEQUENCE lead_offer_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: lead_offer_id_seq; Type: SEQUENCE OWNED BY; Schema: demo_ru; Owner: -
--

ALTER SEQUENCE lead_offer_id_seq OWNED BY lead_offer.id;


--
-- Name: location; Type: TABLE; Schema: demo_ru; Owner: -; Tablespace: 
--

CREATE TABLE location (
    id integer NOT NULL,
    resource_id integer NOT NULL,
    region_id integer NOT NULL,
    name character varying(32) NOT NULL
);


--
-- Name: location_id_seq; Type: SEQUENCE; Schema: demo_ru; Owner: -
--

CREATE SEQUENCE location_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: location_id_seq; Type: SEQUENCE OWNED BY; Schema: demo_ru; Owner: -
--

ALTER SEQUENCE location_id_seq OWNED BY location.id;


--
-- Name: navigation; Type: TABLE; Schema: demo_ru; Owner: -; Tablespace: 
--

CREATE TABLE navigation (
    id integer NOT NULL,
    resource_id integer NOT NULL,
    position_id integer,
    parent_id integer,
    name character varying(32) NOT NULL,
    url character varying(128) NOT NULL,
    action character varying(32),
    icon_cls character varying(32),
    separator_before boolean,
    sort_order integer NOT NULL
);


--
-- Name: navigation_id_seq; Type: SEQUENCE; Schema: demo_ru; Owner: -
--

CREATE SEQUENCE navigation_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: navigation_id_seq; Type: SEQUENCE OWNED BY; Schema: demo_ru; Owner: -
--

ALTER SEQUENCE navigation_id_seq OWNED BY navigation.id;


--
-- Name: note; Type: TABLE; Schema: demo_ru; Owner: -; Tablespace: 
--

CREATE TABLE note (
    id integer NOT NULL,
    resource_id integer NOT NULL,
    title character varying(255) NOT NULL,
    descr character varying
);


--
-- Name: note_id_seq; Type: SEQUENCE; Schema: demo_ru; Owner: -
--

CREATE SEQUENCE note_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: note_id_seq; Type: SEQUENCE OWNED BY; Schema: demo_ru; Owner: -
--

ALTER SEQUENCE note_id_seq OWNED BY note.id;


--
-- Name: note_resource; Type: TABLE; Schema: demo_ru; Owner: -; Tablespace: 
--

CREATE TABLE note_resource (
    note_id integer NOT NULL,
    resource_id integer NOT NULL
);


--
-- Name: note_upload; Type: TABLE; Schema: demo_ru; Owner: -; Tablespace: 
--

CREATE TABLE note_upload (
    note_id integer NOT NULL,
    upload_id integer NOT NULL
);


--
-- Name: notification; Type: TABLE; Schema: demo_ru; Owner: -; Tablespace: 
--

CREATE TABLE notification (
    id integer NOT NULL,
    resource_id integer NOT NULL,
    title character varying NOT NULL,
    descr character varying NOT NULL,
    url character varying,
    created timestamp with time zone
);


--
-- Name: notification_id_seq; Type: SEQUENCE; Schema: demo_ru; Owner: -
--

CREATE SEQUENCE notification_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: notification_id_seq; Type: SEQUENCE OWNED BY; Schema: demo_ru; Owner: -
--

ALTER SEQUENCE notification_id_seq OWNED BY notification.id;


--
-- Name: notification_resource; Type: TABLE; Schema: demo_ru; Owner: -; Tablespace: 
--

CREATE TABLE notification_resource (
    notification_id integer NOT NULL,
    resource_id integer NOT NULL
);


--
-- Name: order; Type: TABLE; Schema: demo_ru; Owner: -; Tablespace: 
--

CREATE TABLE "order" (
    id integer NOT NULL,
    deal_date date NOT NULL,
    resource_id integer NOT NULL,
    customer_id integer NOT NULL,
    lead_id integer,
    advsource_id integer NOT NULL,
    status smallint NOT NULL,
    descr character varying(255)
);


--
-- Name: order_id_seq; Type: SEQUENCE; Schema: demo_ru; Owner: -
--

CREATE SEQUENCE order_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: order_id_seq; Type: SEQUENCE OWNED BY; Schema: demo_ru; Owner: -
--

ALTER SEQUENCE order_id_seq OWNED BY "order".id;


--
-- Name: order_item; Type: TABLE; Schema: demo_ru; Owner: -; Tablespace: 
--

CREATE TABLE order_item (
    id integer NOT NULL,
    resource_id integer NOT NULL,
    order_id integer,
    service_id integer NOT NULL,
    currency_id integer NOT NULL,
    supplier_id integer NOT NULL,
    price numeric(16,2) NOT NULL,
    discount_sum numeric(16,2) NOT NULL,
    discount_percent numeric(16,2) NOT NULL,
    status smallint NOT NULL,
    status_date date,
    status_info character varying(128)
);


--
-- Name: order_item_id_seq; Type: SEQUENCE; Schema: demo_ru; Owner: -
--

CREATE SEQUENCE order_item_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: order_item_id_seq; Type: SEQUENCE OWNED BY; Schema: demo_ru; Owner: -
--

ALTER SEQUENCE order_item_id_seq OWNED BY order_item.id;


--
-- Name: outgoing; Type: TABLE; Schema: demo_ru; Owner: -; Tablespace: 
--

CREATE TABLE outgoing (
    id integer NOT NULL,
    date date NOT NULL,
    resource_id integer NOT NULL,
    account_item_id integer NOT NULL,
    subaccount_id integer NOT NULL,
    sum numeric(16,2) NOT NULL,
    descr character varying(255)
);


--
-- Name: outgoing_cashflow; Type: TABLE; Schema: demo_ru; Owner: -; Tablespace: 
--

CREATE TABLE outgoing_cashflow (
    outgoing_id integer NOT NULL,
    cashflow_id integer NOT NULL
);


--
-- Name: outgoing_id_seq; Type: SEQUENCE; Schema: demo_ru; Owner: -
--

CREATE SEQUENCE outgoing_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: outgoing_id_seq; Type: SEQUENCE OWNED BY; Schema: demo_ru; Owner: -
--

ALTER SEQUENCE outgoing_id_seq OWNED BY outgoing.id;


--
-- Name: passport; Type: TABLE; Schema: demo_ru; Owner: -; Tablespace: 
--

CREATE TABLE passport (
    id integer NOT NULL,
    resource_id integer NOT NULL,
    country_id integer NOT NULL,
    passport_type smallint NOT NULL,
    num character varying(32) NOT NULL,
    end_date date,
    descr character varying(255)
);


--
-- Name: passport_id_seq; Type: SEQUENCE; Schema: demo_ru; Owner: -
--

CREATE SEQUENCE passport_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: passport_id_seq; Type: SEQUENCE OWNED BY; Schema: demo_ru; Owner: -
--

ALTER SEQUENCE passport_id_seq OWNED BY passport.id;


--
-- Name: passport_upload; Type: TABLE; Schema: demo_ru; Owner: -; Tablespace: 
--

CREATE TABLE passport_upload (
    passport_id integer NOT NULL,
    upload_id integer NOT NULL
);


--
-- Name: permision; Type: TABLE; Schema: demo_ru; Owner: -; Tablespace: 
--

CREATE TABLE permision (
    id integer NOT NULL,
    resource_type_id integer NOT NULL,
    position_id integer NOT NULL,
    permisions character varying[],
    scope_type character varying,
    structure_id integer
);


--
-- Name: permision_id_seq; Type: SEQUENCE; Schema: demo_ru; Owner: -
--

CREATE SEQUENCE permision_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: permision_id_seq; Type: SEQUENCE OWNED BY; Schema: demo_ru; Owner: -
--

ALTER SEQUENCE permision_id_seq OWNED BY permision.id;


--
-- Name: person; Type: TABLE; Schema: demo_ru; Owner: -; Tablespace: 
--

CREATE TABLE person (
    id integer NOT NULL,
    resource_id integer NOT NULL,
    person_category_id integer,
    first_name character varying(32) NOT NULL,
    last_name character varying(32),
    second_name character varying(32),
    birthday date,
    gender smallint,
    email_subscription boolean,
    sms_subscription boolean,
    descr character varying(255)
);


--
-- Name: person_address; Type: TABLE; Schema: demo_ru; Owner: -; Tablespace: 
--

CREATE TABLE person_address (
    person_id integer NOT NULL,
    address_id integer NOT NULL
);


--
-- Name: person_category; Type: TABLE; Schema: demo_ru; Owner: -; Tablespace: 
--

CREATE TABLE person_category (
    id integer NOT NULL,
    resource_id integer NOT NULL,
    name character varying(255) NOT NULL
);


--
-- Name: person_category_id_seq; Type: SEQUENCE; Schema: demo_ru; Owner: -
--

CREATE SEQUENCE person_category_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: person_category_id_seq; Type: SEQUENCE OWNED BY; Schema: demo_ru; Owner: -
--

ALTER SEQUENCE person_category_id_seq OWNED BY person_category.id;


--
-- Name: person_contact; Type: TABLE; Schema: demo_ru; Owner: -; Tablespace: 
--

CREATE TABLE person_contact (
    person_id integer NOT NULL,
    contact_id integer NOT NULL
);


--
-- Name: person_id_seq; Type: SEQUENCE; Schema: demo_ru; Owner: -
--

CREATE SEQUENCE person_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: person_id_seq; Type: SEQUENCE OWNED BY; Schema: demo_ru; Owner: -
--

ALTER SEQUENCE person_id_seq OWNED BY person.id;


--
-- Name: person_order_item; Type: TABLE; Schema: demo_ru; Owner: -; Tablespace: 
--

CREATE TABLE person_order_item (
    order_item_id integer NOT NULL,
    person_id integer NOT NULL
);


--
-- Name: person_passport; Type: TABLE; Schema: demo_ru; Owner: -; Tablespace: 
--

CREATE TABLE person_passport (
    person_id integer NOT NULL,
    passport_id integer NOT NULL
);


--
-- Name: person_subaccount; Type: TABLE; Schema: demo_ru; Owner: -; Tablespace: 
--

CREATE TABLE person_subaccount (
    person_id integer NOT NULL,
    subaccount_id integer NOT NULL
);


--
-- Name: position; Type: TABLE; Schema: demo_ru; Owner: -; Tablespace: 
--

CREATE TABLE "position" (
    id integer NOT NULL,
    resource_id integer NOT NULL,
    structure_id integer NOT NULL,
    name character varying(32) NOT NULL
);


--
-- Name: position_id_seq; Type: SEQUENCE; Schema: demo_ru; Owner: -
--

CREATE SEQUENCE position_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: position_id_seq; Type: SEQUENCE OWNED BY; Schema: demo_ru; Owner: -
--

ALTER SEQUENCE position_id_seq OWNED BY "position".id;


--
-- Name: region; Type: TABLE; Schema: demo_ru; Owner: -; Tablespace: 
--

CREATE TABLE region (
    id integer NOT NULL,
    resource_id integer NOT NULL,
    country_id integer NOT NULL,
    name character varying(32) NOT NULL
);


--
-- Name: region_id_seq; Type: SEQUENCE; Schema: demo_ru; Owner: -
--

CREATE SEQUENCE region_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: region_id_seq; Type: SEQUENCE OWNED BY; Schema: demo_ru; Owner: -
--

ALTER SEQUENCE region_id_seq OWNED BY region.id;


--
-- Name: resource; Type: TABLE; Schema: demo_ru; Owner: -; Tablespace: 
--

CREATE TABLE resource (
    id integer NOT NULL,
    resource_type_id integer NOT NULL,
    maintainer_id integer,
    protected boolean
);


--
-- Name: resource_id_seq; Type: SEQUENCE; Schema: demo_ru; Owner: -
--

CREATE SEQUENCE resource_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: resource_id_seq; Type: SEQUENCE OWNED BY; Schema: demo_ru; Owner: -
--

ALTER SEQUENCE resource_id_seq OWNED BY resource.id;


--
-- Name: resource_log; Type: TABLE; Schema: demo_ru; Owner: -; Tablespace: 
--

CREATE TABLE resource_log (
    id integer NOT NULL,
    resource_id integer NOT NULL,
    employee_id integer NOT NULL,
    comment character varying(512),
    modifydt timestamp with time zone
);


--
-- Name: resource_log_id_seq; Type: SEQUENCE; Schema: demo_ru; Owner: -
--

CREATE SEQUENCE resource_log_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: resource_log_id_seq; Type: SEQUENCE OWNED BY; Schema: demo_ru; Owner: -
--

ALTER SEQUENCE resource_log_id_seq OWNED BY resource_log.id;


--
-- Name: resource_type; Type: TABLE; Schema: demo_ru; Owner: -; Tablespace: 
--

CREATE TABLE resource_type (
    id integer NOT NULL,
    resource_id integer NOT NULL,
    name character varying(32) NOT NULL,
    humanize character varying(32) NOT NULL,
    resource_name character varying(32) NOT NULL,
    module character varying(128) NOT NULL,
    settings json,
    descr character varying(255),
    status smallint NOT NULL
);


--
-- Name: resource_type_id_seq; Type: SEQUENCE; Schema: demo_ru; Owner: -
--

CREATE SEQUENCE resource_type_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: resource_type_id_seq; Type: SEQUENCE OWNED BY; Schema: demo_ru; Owner: -
--

ALTER SEQUENCE resource_type_id_seq OWNED BY resource_type.id;


--
-- Name: roomcat; Type: TABLE; Schema: demo_ru; Owner: -; Tablespace: 
--

CREATE TABLE roomcat (
    id integer NOT NULL,
    resource_id integer NOT NULL,
    name character varying(32) NOT NULL
);


--
-- Name: roomcat_id_seq; Type: SEQUENCE; Schema: demo_ru; Owner: -
--

CREATE SEQUENCE roomcat_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: roomcat_id_seq; Type: SEQUENCE OWNED BY; Schema: demo_ru; Owner: -
--

ALTER SEQUENCE roomcat_id_seq OWNED BY roomcat.id;


--
-- Name: service; Type: TABLE; Schema: demo_ru; Owner: -; Tablespace: 
--

CREATE TABLE service (
    id integer NOT NULL,
    resource_id integer NOT NULL,
    resource_type_id integer NOT NULL,
    name character varying(32) NOT NULL,
    display_text character varying(255) NOT NULL,
    descr character varying(255)
);


--
-- Name: service_id_seq; Type: SEQUENCE; Schema: demo_ru; Owner: -
--

CREATE SEQUENCE service_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: service_id_seq; Type: SEQUENCE OWNED BY; Schema: demo_ru; Owner: -
--

ALTER SEQUENCE service_id_seq OWNED BY service.id;


--
-- Name: spassport; Type: TABLE; Schema: demo_ru; Owner: -; Tablespace: 
--

CREATE TABLE spassport (
    id integer NOT NULL,
    resource_id integer NOT NULL,
    photo_done boolean NOT NULL,
    docs_receive_date date,
    docs_transfer_date date,
    passport_receive_date date,
    descr character varying(255)
);


--
-- Name: spassport_id_seq; Type: SEQUENCE; Schema: demo_ru; Owner: -
--

CREATE SEQUENCE spassport_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: spassport_id_seq; Type: SEQUENCE OWNED BY; Schema: demo_ru; Owner: -
--

ALTER SEQUENCE spassport_id_seq OWNED BY spassport.id;


--
-- Name: spassport_order_item; Type: TABLE; Schema: demo_ru; Owner: -; Tablespace: 
--

CREATE TABLE spassport_order_item (
    order_item_id integer NOT NULL,
    spassport_id integer NOT NULL
);


--
-- Name: structure; Type: TABLE; Schema: demo_ru; Owner: -; Tablespace: 
--

CREATE TABLE structure (
    id integer NOT NULL,
    resource_id integer NOT NULL,
    parent_id integer,
    company_id integer NOT NULL,
    name character varying(32) NOT NULL
);


--
-- Name: structure_address; Type: TABLE; Schema: demo_ru; Owner: -; Tablespace: 
--

CREATE TABLE structure_address (
    structure_id integer NOT NULL,
    address_id integer NOT NULL
);


--
-- Name: structure_bank_detail; Type: TABLE; Schema: demo_ru; Owner: -; Tablespace: 
--

CREATE TABLE structure_bank_detail (
    structure_id integer NOT NULL,
    bank_detail_id integer NOT NULL
);


--
-- Name: structure_contact; Type: TABLE; Schema: demo_ru; Owner: -; Tablespace: 
--

CREATE TABLE structure_contact (
    structure_id integer NOT NULL,
    contact_id integer NOT NULL
);


--
-- Name: structure_id_seq; Type: SEQUENCE; Schema: demo_ru; Owner: -
--

CREATE SEQUENCE structure_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: structure_id_seq; Type: SEQUENCE OWNED BY; Schema: demo_ru; Owner: -
--

ALTER SEQUENCE structure_id_seq OWNED BY structure.id;


--
-- Name: subaccount; Type: TABLE; Schema: demo_ru; Owner: -; Tablespace: 
--

CREATE TABLE subaccount (
    id integer NOT NULL,
    resource_id integer NOT NULL,
    account_id integer NOT NULL,
    name character varying(255) NOT NULL,
    status smallint NOT NULL,
    descr character varying(255)
);


--
-- Name: subaccount_id_seq; Type: SEQUENCE; Schema: demo_ru; Owner: -
--

CREATE SEQUENCE subaccount_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: subaccount_id_seq; Type: SEQUENCE OWNED BY; Schema: demo_ru; Owner: -
--

ALTER SEQUENCE subaccount_id_seq OWNED BY subaccount.id;


--
-- Name: supplier; Type: TABLE; Schema: demo_ru; Owner: -; Tablespace: 
--

CREATE TABLE supplier (
    id integer NOT NULL,
    resource_id integer NOT NULL,
    supplier_type_id integer NOT NULL,
    name character varying(32) NOT NULL,
    status smallint NOT NULL,
    descr character varying(255)
);


--
-- Name: supplier_bank_detail; Type: TABLE; Schema: demo_ru; Owner: -; Tablespace: 
--

CREATE TABLE supplier_bank_detail (
    supplier_id integer NOT NULL,
    bank_detail_id integer NOT NULL
);


--
-- Name: supplier_bperson; Type: TABLE; Schema: demo_ru; Owner: -; Tablespace: 
--

CREATE TABLE supplier_bperson (
    supplier_id integer NOT NULL,
    bperson_id integer NOT NULL
);


--
-- Name: supplier_contract; Type: TABLE; Schema: demo_ru; Owner: -; Tablespace: 
--

CREATE TABLE supplier_contract (
    supplier_id integer NOT NULL,
    contract_id integer NOT NULL
);


--
-- Name: supplier_id_seq; Type: SEQUENCE; Schema: demo_ru; Owner: -
--

CREATE SEQUENCE supplier_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: supplier_id_seq; Type: SEQUENCE OWNED BY; Schema: demo_ru; Owner: -
--

ALTER SEQUENCE supplier_id_seq OWNED BY supplier.id;


--
-- Name: supplier_subaccount; Type: TABLE; Schema: demo_ru; Owner: -; Tablespace: 
--

CREATE TABLE supplier_subaccount (
    supplier_id integer NOT NULL,
    subaccount_id integer NOT NULL
);


--
-- Name: supplier_type; Type: TABLE; Schema: demo_ru; Owner: -; Tablespace: 
--

CREATE TABLE supplier_type (
    id integer NOT NULL,
    resource_id integer NOT NULL,
    name character varying(32) NOT NULL,
    descr character varying(255)
);


--
-- Name: supplier_type_id_seq; Type: SEQUENCE; Schema: demo_ru; Owner: -
--

CREATE SEQUENCE supplier_type_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: supplier_type_id_seq; Type: SEQUENCE OWNED BY; Schema: demo_ru; Owner: -
--

ALTER SEQUENCE supplier_type_id_seq OWNED BY supplier_type.id;


--
-- Name: task; Type: TABLE; Schema: demo_ru; Owner: -; Tablespace: 
--

CREATE TABLE task (
    id integer NOT NULL,
    resource_id integer NOT NULL,
    title character varying(128) NOT NULL,
    deadline timestamp with time zone NOT NULL,
    reminder integer,
    descr character varying,
    status smallint NOT NULL
);


--
-- Name: task_id_seq; Type: SEQUENCE; Schema: demo_ru; Owner: -
--

CREATE SEQUENCE task_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: task_id_seq; Type: SEQUENCE OWNED BY; Schema: demo_ru; Owner: -
--

ALTER SEQUENCE task_id_seq OWNED BY task.id;


--
-- Name: task_resource; Type: TABLE; Schema: demo_ru; Owner: -; Tablespace: 
--

CREATE TABLE task_resource (
    task_id integer NOT NULL,
    resource_id integer NOT NULL
);


--
-- Name: task_upload; Type: TABLE; Schema: demo_ru; Owner: -; Tablespace: 
--

CREATE TABLE task_upload (
    task_id integer NOT NULL,
    upload_id integer NOT NULL
);


--
-- Name: ticket; Type: TABLE; Schema: demo_ru; Owner: -; Tablespace: 
--

CREATE TABLE ticket (
    id integer NOT NULL,
    resource_id integer NOT NULL,
    start_location_id integer NOT NULL,
    end_location_id integer NOT NULL,
    ticket_class_id integer NOT NULL,
    transport_id integer NOT NULL,
    start_dt timestamp with time zone NOT NULL,
    start_additional_info character varying(128),
    end_dt timestamp with time zone NOT NULL,
    end_additional_info character varying(128),
    adults integer NOT NULL,
    children integer NOT NULL,
    descr character varying(255)
);


--
-- Name: ticket_class; Type: TABLE; Schema: demo_ru; Owner: -; Tablespace: 
--

CREATE TABLE ticket_class (
    id integer NOT NULL,
    resource_id integer NOT NULL,
    name character varying(255) NOT NULL
);


--
-- Name: ticket_class_id_seq; Type: SEQUENCE; Schema: demo_ru; Owner: -
--

CREATE SEQUENCE ticket_class_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: ticket_class_id_seq; Type: SEQUENCE OWNED BY; Schema: demo_ru; Owner: -
--

ALTER SEQUENCE ticket_class_id_seq OWNED BY ticket_class.id;


--
-- Name: ticket_id_seq; Type: SEQUENCE; Schema: demo_ru; Owner: -
--

CREATE SEQUENCE ticket_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: ticket_id_seq; Type: SEQUENCE OWNED BY; Schema: demo_ru; Owner: -
--

ALTER SEQUENCE ticket_id_seq OWNED BY ticket.id;


--
-- Name: ticket_order_item; Type: TABLE; Schema: demo_ru; Owner: -; Tablespace: 
--

CREATE TABLE ticket_order_item (
    order_item_id integer NOT NULL,
    ticket_id integer NOT NULL
);


--
-- Name: tour; Type: TABLE; Schema: demo_ru; Owner: -; Tablespace: 
--

CREATE TABLE tour (
    id integer NOT NULL,
    resource_id integer NOT NULL,
    start_location_id integer NOT NULL,
    start_transport_id integer NOT NULL,
    end_location_id integer NOT NULL,
    end_transport_id integer NOT NULL,
    hotel_id integer,
    accomodation_id integer,
    foodcat_id integer,
    roomcat_id integer,
    transfer_id integer,
    adults integer NOT NULL,
    children integer NOT NULL,
    start_date date NOT NULL,
    start_additional_info character varying(128),
    end_date date NOT NULL,
    end_additional_info character varying(128),
    descr character varying(255)
);


--
-- Name: tour_id_seq; Type: SEQUENCE; Schema: demo_ru; Owner: -
--

CREATE SEQUENCE tour_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: tour_id_seq; Type: SEQUENCE OWNED BY; Schema: demo_ru; Owner: -
--

ALTER SEQUENCE tour_id_seq OWNED BY tour.id;


--
-- Name: tour_order_item; Type: TABLE; Schema: demo_ru; Owner: -; Tablespace: 
--

CREATE TABLE tour_order_item (
    order_item_id integer NOT NULL,
    tour_id integer NOT NULL
);


--
-- Name: transfer; Type: TABLE; Schema: demo_ru; Owner: -; Tablespace: 
--

CREATE TABLE transfer (
    id integer NOT NULL,
    resource_id integer NOT NULL,
    name character varying(255) NOT NULL
);


--
-- Name: transfer_id_seq; Type: SEQUENCE; Schema: demo_ru; Owner: -
--

CREATE SEQUENCE transfer_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: transfer_id_seq; Type: SEQUENCE OWNED BY; Schema: demo_ru; Owner: -
--

ALTER SEQUENCE transfer_id_seq OWNED BY transfer.id;


--
-- Name: transport; Type: TABLE; Schema: demo_ru; Owner: -; Tablespace: 
--

CREATE TABLE transport (
    id integer NOT NULL,
    resource_id integer NOT NULL,
    name character varying(255) NOT NULL
);


--
-- Name: transport_id_seq; Type: SEQUENCE; Schema: demo_ru; Owner: -
--

CREATE SEQUENCE transport_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: transport_id_seq; Type: SEQUENCE OWNED BY; Schema: demo_ru; Owner: -
--

ALTER SEQUENCE transport_id_seq OWNED BY transport.id;


--
-- Name: upload; Type: TABLE; Schema: demo_ru; Owner: -; Tablespace: 
--

CREATE TABLE upload (
    id integer NOT NULL,
    resource_id integer NOT NULL,
    name character varying(255) NOT NULL,
    path character varying(255) NOT NULL,
    size numeric(16,2) NOT NULL,
    media_type character varying(128) NOT NULL,
    descr character varying(255)
);


--
-- Name: upload_id_seq; Type: SEQUENCE; Schema: demo_ru; Owner: -
--

CREATE SEQUENCE upload_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: upload_id_seq; Type: SEQUENCE OWNED BY; Schema: demo_ru; Owner: -
--

ALTER SEQUENCE upload_id_seq OWNED BY upload.id;


--
-- Name: user; Type: TABLE; Schema: demo_ru; Owner: -; Tablespace: 
--

CREATE TABLE "user" (
    id integer NOT NULL,
    resource_id integer NOT NULL,
    employee_id integer NOT NULL,
    username character varying(32) NOT NULL,
    email character varying(128) NOT NULL,
    password character varying(128) NOT NULL
);


--
-- Name: user_id_seq; Type: SEQUENCE; Schema: demo_ru; Owner: -
--

CREATE SEQUENCE user_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: user_id_seq; Type: SEQUENCE OWNED BY; Schema: demo_ru; Owner: -
--

ALTER SEQUENCE user_id_seq OWNED BY "user".id;


--
-- Name: vat; Type: TABLE; Schema: demo_ru; Owner: -; Tablespace: 
--

CREATE TABLE vat (
    id integer NOT NULL,
    resource_id integer NOT NULL,
    account_id integer NOT NULL,
    service_id integer NOT NULL,
    date date NOT NULL,
    vat numeric(5,2) NOT NULL,
    calc_method smallint NOT NULL,
    descr character varying(255)
);


--
-- Name: vat_id_seq; Type: SEQUENCE; Schema: demo_ru; Owner: -
--

CREATE SEQUENCE vat_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: vat_id_seq; Type: SEQUENCE OWNED BY; Schema: demo_ru; Owner: -
--

ALTER SEQUENCE vat_id_seq OWNED BY vat.id;


--
-- Name: visa; Type: TABLE; Schema: demo_ru; Owner: -; Tablespace: 
--

CREATE TABLE visa (
    id integer NOT NULL,
    resource_id integer NOT NULL,
    country_id integer NOT NULL,
    start_date date NOT NULL,
    end_date date,
    type smallint NOT NULL,
    descr character varying(255)
);


--
-- Name: visa_id_seq; Type: SEQUENCE; Schema: demo_ru; Owner: -
--

CREATE SEQUENCE visa_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: visa_id_seq; Type: SEQUENCE OWNED BY; Schema: demo_ru; Owner: -
--

ALTER SEQUENCE visa_id_seq OWNED BY visa.id;


--
-- Name: visa_order_item; Type: TABLE; Schema: demo_ru; Owner: -; Tablespace: 
--

CREATE TABLE visa_order_item (
    order_item_id integer NOT NULL,
    visa_id integer NOT NULL
);


SET search_path = public, pg_catalog;

--
-- Name: accomodation; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE accomodation (
    id integer NOT NULL,
    resource_id integer NOT NULL,
    name character varying(32) NOT NULL
);


--
-- Name: accomodation_id_seq; Type: SEQUENCE; Schema: public; Owner: -
--

CREATE SEQUENCE accomodation_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: accomodation_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: -
--

ALTER SEQUENCE accomodation_id_seq OWNED BY accomodation.id;


--
-- Name: account; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE account (
    id integer NOT NULL,
    resource_id integer NOT NULL,
    currency_id integer NOT NULL,
    account_type smallint NOT NULL,
    name character varying(255) NOT NULL,
    display_text character varying(255) NOT NULL,
    descr character varying(255),
    status smallint NOT NULL
);


--
-- Name: account_id_seq; Type: SEQUENCE; Schema: public; Owner: -
--

CREATE SEQUENCE account_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: account_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: -
--

ALTER SEQUENCE account_id_seq OWNED BY account.id;


--
-- Name: account_item; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE account_item (
    id integer NOT NULL,
    resource_id integer NOT NULL,
    name character varying(128) NOT NULL,
    parent_id integer,
    type integer NOT NULL,
    status integer NOT NULL,
    descr character varying(128)
);


--
-- Name: account_item_id_seq; Type: SEQUENCE; Schema: public; Owner: -
--

CREATE SEQUENCE account_item_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: account_item_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: -
--

ALTER SEQUENCE account_item_id_seq OWNED BY account_item.id;


--
-- Name: address; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE address (
    id integer NOT NULL,
    resource_id integer NOT NULL,
    location_id integer NOT NULL,
    zip_code character varying(12) NOT NULL,
    address character varying(255) NOT NULL
);


--
-- Name: address_id_seq; Type: SEQUENCE; Schema: public; Owner: -
--

CREATE SEQUENCE address_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: address_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: -
--

ALTER SEQUENCE address_id_seq OWNED BY address.id;


--
-- Name: advsource; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE advsource (
    id integer NOT NULL,
    resource_id integer NOT NULL,
    name character varying(32) NOT NULL
);


--
-- Name: advsource_id_seq; Type: SEQUENCE; Schema: public; Owner: -
--

CREATE SEQUENCE advsource_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: advsource_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: -
--

ALTER SEQUENCE advsource_id_seq OWNED BY advsource.id;


--
-- Name: alembic_version; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE alembic_version (
    version_num character varying(32) NOT NULL
);


--
-- Name: appointment; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE appointment (
    id integer NOT NULL,
    resource_id integer NOT NULL,
    currency_id integer NOT NULL,
    employee_id integer NOT NULL,
    position_id integer NOT NULL,
    salary numeric(16,2) NOT NULL,
    date date
);


--
-- Name: bank; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE bank (
    id integer NOT NULL,
    resource_id integer NOT NULL,
    name character varying(255) NOT NULL
);


--
-- Name: bank_address; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE bank_address (
    bank_id integer NOT NULL,
    address_id integer NOT NULL
);


--
-- Name: bank_detail; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE bank_detail (
    id integer NOT NULL,
    resource_id integer NOT NULL,
    currency_id integer NOT NULL,
    bank_id integer NOT NULL,
    beneficiary character varying(255),
    account character varying(32) NOT NULL,
    swift_code character varying(32) NOT NULL
);


--
-- Name: bank_detail_id_seq; Type: SEQUENCE; Schema: public; Owner: -
--

CREATE SEQUENCE bank_detail_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: bank_detail_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: -
--

ALTER SEQUENCE bank_detail_id_seq OWNED BY bank_detail.id;


--
-- Name: bank_id_seq; Type: SEQUENCE; Schema: public; Owner: -
--

CREATE SEQUENCE bank_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: bank_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: -
--

ALTER SEQUENCE bank_id_seq OWNED BY bank.id;


--
-- Name: bperson; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE bperson (
    id integer NOT NULL,
    resource_id integer NOT NULL,
    first_name character varying(32) NOT NULL,
    last_name character varying(32),
    second_name character varying(32),
    position_name character varying(64),
    descr character varying(255),
    status smallint NOT NULL
);


--
-- Name: bperson_contact; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE bperson_contact (
    bperson_id integer NOT NULL,
    contact_id integer NOT NULL
);


--
-- Name: bperson_id_seq; Type: SEQUENCE; Schema: public; Owner: -
--

CREATE SEQUENCE bperson_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: bperson_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: -
--

ALTER SEQUENCE bperson_id_seq OWNED BY bperson.id;


--
-- Name: calculation; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE calculation (
    id integer NOT NULL,
    resource_id integer NOT NULL,
    price numeric(16,2) NOT NULL,
    order_item_id integer,
    contract_id integer
);


--
-- Name: calculation_id_seq; Type: SEQUENCE; Schema: public; Owner: -
--

CREATE SEQUENCE calculation_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: calculation_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: -
--

ALTER SEQUENCE calculation_id_seq OWNED BY calculation.id;


--
-- Name: campaign; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE campaign (
    id integer NOT NULL,
    resource_id integer NOT NULL,
    name character varying(32) NOT NULL,
    subject character varying(128) NOT NULL,
    plain_content text,
    html_content text,
    start_dt timestamp with time zone NOT NULL,
    status smallint NOT NULL
);


--
-- Name: campaign_id_seq; Type: SEQUENCE; Schema: public; Owner: -
--

CREATE SEQUENCE campaign_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: campaign_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: -
--

ALTER SEQUENCE campaign_id_seq OWNED BY campaign.id;


--
-- Name: cashflow; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE cashflow (
    id integer NOT NULL,
    subaccount_from_id integer,
    subaccount_to_id integer,
    account_item_id integer,
    sum numeric(16,2) NOT NULL,
    date date NOT NULL,
    vat numeric(16,2)
);


--
-- Name: commission; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE commission (
    id integer NOT NULL,
    resource_id integer NOT NULL,
    service_id integer NOT NULL,
    percentage numeric(5,2) NOT NULL,
    price numeric(16,2) NOT NULL,
    currency_id integer NOT NULL,
    descr character varying(255),
    CONSTRAINT chk_commission_percentage CHECK (((percentage >= (0)::numeric) AND (percentage <= (100)::numeric)))
);


--
-- Name: commission_id_seq; Type: SEQUENCE; Schema: public; Owner: -
--

CREATE SEQUENCE commission_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: commission_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: -
--

ALTER SEQUENCE commission_id_seq OWNED BY commission.id;


--
-- Name: companies_counter; Type: SEQUENCE; Schema: public; Owner: -
--

CREATE SEQUENCE companies_counter
    START WITH 1000
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: position; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE "position" (
    id integer NOT NULL,
    resource_id integer NOT NULL,
    structure_id integer NOT NULL,
    name character varying(32) NOT NULL
);


--
-- Name: companies_positions_id_seq; Type: SEQUENCE; Schema: public; Owner: -
--

CREATE SEQUENCE companies_positions_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: companies_positions_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: -
--

ALTER SEQUENCE companies_positions_id_seq OWNED BY "position".id;


--
-- Name: company; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE company (
    id integer NOT NULL,
    resource_id integer,
    name character varying(32) NOT NULL,
    currency_id integer,
    settings json,
    email character varying(32) NOT NULL
);


--
-- Name: company_id_seq; Type: SEQUENCE; Schema: public; Owner: -
--

CREATE SEQUENCE company_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: company_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: -
--

ALTER SEQUENCE company_id_seq OWNED BY company.id;


--
-- Name: company_subaccount; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE company_subaccount (
    company_id integer NOT NULL,
    subaccount_id integer NOT NULL
);


--
-- Name: contact; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE contact (
    id integer NOT NULL,
    contact character varying NOT NULL,
    resource_id integer NOT NULL,
    contact_type integer NOT NULL,
    descr character varying(255),
    status smallint NOT NULL
);


--
-- Name: contact_id_seq; Type: SEQUENCE; Schema: public; Owner: -
--

CREATE SEQUENCE contact_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: contact_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: -
--

ALTER SEQUENCE contact_id_seq OWNED BY contact.id;


--
-- Name: contract; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE contract (
    id integer NOT NULL,
    resource_id integer NOT NULL,
    date date NOT NULL,
    num character varying NOT NULL,
    descr character varying(255),
    status smallint NOT NULL
);


--
-- Name: contract_commission; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE contract_commission (
    contract_id integer NOT NULL,
    commission_id integer NOT NULL
);


--
-- Name: country; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE country (
    id integer NOT NULL,
    resource_id integer NOT NULL,
    iso_code character varying(2) NOT NULL,
    name character varying(32) NOT NULL
);


--
-- Name: country_id_seq; Type: SEQUENCE; Schema: public; Owner: -
--

CREATE SEQUENCE country_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: country_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: -
--

ALTER SEQUENCE country_id_seq OWNED BY country.id;


--
-- Name: crosspayment; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE crosspayment (
    id integer NOT NULL,
    resource_id integer NOT NULL,
    cashflow_id integer NOT NULL,
    descr character varying(255)
);


--
-- Name: crosspayment_id_seq; Type: SEQUENCE; Schema: public; Owner: -
--

CREATE SEQUENCE crosspayment_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: crosspayment_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: -
--

ALTER SEQUENCE crosspayment_id_seq OWNED BY crosspayment.id;


--
-- Name: currency; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE currency (
    id integer NOT NULL,
    resource_id integer NOT NULL,
    iso_code character varying(3) NOT NULL
);


--
-- Name: currency_id_seq; Type: SEQUENCE; Schema: public; Owner: -
--

CREATE SEQUENCE currency_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: currency_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: -
--

ALTER SEQUENCE currency_id_seq OWNED BY currency.id;


--
-- Name: currency_rate; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE currency_rate (
    id integer NOT NULL,
    resource_id integer NOT NULL,
    date date NOT NULL,
    currency_id integer NOT NULL,
    rate numeric(16,2) NOT NULL,
    supplier_id integer NOT NULL
);


--
-- Name: currency_rate_id_seq; Type: SEQUENCE; Schema: public; Owner: -
--

CREATE SEQUENCE currency_rate_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: currency_rate_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: -
--

ALTER SEQUENCE currency_rate_id_seq OWNED BY currency_rate.id;


--
-- Name: dismissal; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE dismissal (
    id integer NOT NULL,
    resource_id integer NOT NULL,
    date date,
    employee_id integer NOT NULL
);


--
-- Name: dismissal_id_seq; Type: SEQUENCE; Schema: public; Owner: -
--

CREATE SEQUENCE dismissal_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: dismissal_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: -
--

ALTER SEQUENCE dismissal_id_seq OWNED BY dismissal.id;


--
-- Name: employee; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE employee (
    id integer NOT NULL,
    resource_id integer NOT NULL,
    first_name character varying(32) NOT NULL,
    last_name character varying(32) NOT NULL,
    second_name character varying(32),
    itn character varying(32),
    photo_upload_id integer
);


--
-- Name: employee_address; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE employee_address (
    employee_id integer NOT NULL,
    address_id integer NOT NULL
);


--
-- Name: employee_contact; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE employee_contact (
    employee_id integer NOT NULL,
    contact_id integer NOT NULL
);


--
-- Name: employee_id_seq; Type: SEQUENCE; Schema: public; Owner: -
--

CREATE SEQUENCE employee_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: employee_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: -
--

ALTER SEQUENCE employee_id_seq OWNED BY employee.id;


--
-- Name: employee_notification; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE employee_notification (
    employee_id integer NOT NULL,
    notification_id integer NOT NULL,
    status smallint NOT NULL
);


--
-- Name: employee_passport; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE employee_passport (
    employee_id integer NOT NULL,
    passport_id integer NOT NULL
);


--
-- Name: employee_subaccount; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE employee_subaccount (
    employee_id integer NOT NULL,
    subaccount_id integer NOT NULL
);


--
-- Name: employee_upload; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE employee_upload (
    employee_id integer NOT NULL,
    upload_id integer NOT NULL
);


--
-- Name: employees_appointments_h_id_seq; Type: SEQUENCE; Schema: public; Owner: -
--

CREATE SEQUENCE employees_appointments_h_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: employees_appointments_h_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: -
--

ALTER SEQUENCE employees_appointments_h_id_seq OWNED BY appointment.id;


--
-- Name: foodcat; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE foodcat (
    id integer NOT NULL,
    resource_id integer NOT NULL,
    name character varying(32) NOT NULL
);


--
-- Name: foodcat_id_seq; Type: SEQUENCE; Schema: public; Owner: -
--

CREATE SEQUENCE foodcat_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: foodcat_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: -
--

ALTER SEQUENCE foodcat_id_seq OWNED BY foodcat.id;


--
-- Name: hotel; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE hotel (
    id integer NOT NULL,
    resource_id integer NOT NULL,
    hotelcat_id integer NOT NULL,
    name character varying(32) NOT NULL,
    location_id integer
);


--
-- Name: hotel_id_seq; Type: SEQUENCE; Schema: public; Owner: -
--

CREATE SEQUENCE hotel_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: hotel_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: -
--

ALTER SEQUENCE hotel_id_seq OWNED BY hotel.id;


--
-- Name: hotelcat; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE hotelcat (
    id integer NOT NULL,
    resource_id integer NOT NULL,
    name character varying(32) NOT NULL
);


--
-- Name: hotelcat_id_seq; Type: SEQUENCE; Schema: public; Owner: -
--

CREATE SEQUENCE hotelcat_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: hotelcat_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: -
--

ALTER SEQUENCE hotelcat_id_seq OWNED BY hotelcat.id;


--
-- Name: income; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE income (
    id integer NOT NULL,
    resource_id integer NOT NULL,
    invoice_id integer NOT NULL,
    account_item_id integer NOT NULL,
    date date NOT NULL,
    sum numeric(16,2) NOT NULL,
    descr character varying(255)
);


--
-- Name: income_cashflow; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE income_cashflow (
    income_id integer NOT NULL,
    cashflow_id integer NOT NULL
);


--
-- Name: income_id_seq; Type: SEQUENCE; Schema: public; Owner: -
--

CREATE SEQUENCE income_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: income_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: -
--

ALTER SEQUENCE income_id_seq OWNED BY income.id;


--
-- Name: invoice; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE invoice (
    id integer NOT NULL,
    date date NOT NULL,
    resource_id integer NOT NULL,
    account_id integer NOT NULL,
    active_until date NOT NULL,
    order_id integer NOT NULL,
    descr character varying(255)
);


--
-- Name: invoice_id_seq; Type: SEQUENCE; Schema: public; Owner: -
--

CREATE SEQUENCE invoice_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: invoice_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: -
--

ALTER SEQUENCE invoice_id_seq OWNED BY invoice.id;


--
-- Name: invoice_item; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE invoice_item (
    id integer NOT NULL,
    invoice_id integer NOT NULL,
    price numeric(16,2) NOT NULL,
    vat numeric(16,2) NOT NULL,
    discount numeric(16,2) NOT NULL,
    descr character varying(255),
    order_item_id integer NOT NULL
);


--
-- Name: invoice_item_id_seq; Type: SEQUENCE; Schema: public; Owner: -
--

CREATE SEQUENCE invoice_item_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: invoice_item_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: -
--

ALTER SEQUENCE invoice_item_id_seq OWNED BY invoice_item.id;


--
-- Name: lead; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE lead (
    id integer NOT NULL,
    lead_date date NOT NULL,
    resource_id integer NOT NULL,
    advsource_id integer NOT NULL,
    customer_id integer NOT NULL,
    status smallint NOT NULL,
    descr character varying(255)
);


--
-- Name: lead_id_seq; Type: SEQUENCE; Schema: public; Owner: -
--

CREATE SEQUENCE lead_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: lead_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: -
--

ALTER SEQUENCE lead_id_seq OWNED BY lead.id;


--
-- Name: lead_item; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE lead_item (
    id integer NOT NULL,
    resource_id integer NOT NULL,
    lead_id integer,
    service_id integer NOT NULL,
    currency_id integer,
    price_from numeric(16,2),
    price_to numeric(16,2),
    descr character varying
);


--
-- Name: lead_item_id_seq; Type: SEQUENCE; Schema: public; Owner: -
--

CREATE SEQUENCE lead_item_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: lead_item_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: -
--

ALTER SEQUENCE lead_item_id_seq OWNED BY lead_item.id;


--
-- Name: lead_offer; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE lead_offer (
    id integer NOT NULL,
    resource_id integer NOT NULL,
    lead_id integer,
    service_id integer NOT NULL,
    currency_id integer NOT NULL,
    supplier_id integer NOT NULL,
    price numeric(16,2) NOT NULL,
    status smallint NOT NULL,
    descr character varying
);


--
-- Name: lead_offer_id_seq; Type: SEQUENCE; Schema: public; Owner: -
--

CREATE SEQUENCE lead_offer_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: lead_offer_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: -
--

ALTER SEQUENCE lead_offer_id_seq OWNED BY lead_offer.id;


--
-- Name: licence_id_seq; Type: SEQUENCE; Schema: public; Owner: -
--

CREATE SEQUENCE licence_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: licence_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: -
--

ALTER SEQUENCE licence_id_seq OWNED BY contract.id;


--
-- Name: location; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE location (
    id integer NOT NULL,
    resource_id integer NOT NULL,
    name character varying(32) NOT NULL,
    region_id integer NOT NULL
);


--
-- Name: location_id_seq; Type: SEQUENCE; Schema: public; Owner: -
--

CREATE SEQUENCE location_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: location_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: -
--

ALTER SEQUENCE location_id_seq OWNED BY location.id;


--
-- Name: navigation; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE navigation (
    id integer NOT NULL,
    position_id integer,
    parent_id integer,
    name character varying(32) NOT NULL,
    url character varying(128) NOT NULL,
    icon_cls character varying(32),
    sort_order integer NOT NULL,
    resource_id integer NOT NULL,
    separator_before boolean,
    action character varying(32)
);


--
-- Name: note; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE note (
    id integer NOT NULL,
    resource_id integer NOT NULL,
    title character varying(255) NOT NULL,
    descr character varying
);


--
-- Name: note_id_seq; Type: SEQUENCE; Schema: public; Owner: -
--

CREATE SEQUENCE note_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: note_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: -
--

ALTER SEQUENCE note_id_seq OWNED BY note.id;


--
-- Name: note_resource; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE note_resource (
    note_id integer NOT NULL,
    resource_id integer NOT NULL
);


--
-- Name: note_upload; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE note_upload (
    note_id integer NOT NULL,
    upload_id integer NOT NULL
);


--
-- Name: notification; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE notification (
    id integer NOT NULL,
    resource_id integer NOT NULL,
    title character varying NOT NULL,
    descr character varying NOT NULL,
    created timestamp with time zone,
    url character varying
);


--
-- Name: notification_id_seq; Type: SEQUENCE; Schema: public; Owner: -
--

CREATE SEQUENCE notification_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: notification_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: -
--

ALTER SEQUENCE notification_id_seq OWNED BY notification.id;


--
-- Name: notification_resource; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE notification_resource (
    notification_id integer NOT NULL,
    resource_id integer NOT NULL
);


--
-- Name: order; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE "order" (
    id integer NOT NULL,
    deal_date date NOT NULL,
    resource_id integer NOT NULL,
    customer_id integer NOT NULL,
    advsource_id integer NOT NULL,
    descr character varying(255),
    lead_id integer,
    status smallint NOT NULL
);


--
-- Name: order_id_seq; Type: SEQUENCE; Schema: public; Owner: -
--

CREATE SEQUENCE order_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: order_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: -
--

ALTER SEQUENCE order_id_seq OWNED BY "order".id;


--
-- Name: order_item; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE order_item (
    id integer NOT NULL,
    resource_id integer NOT NULL,
    order_id integer,
    service_id integer NOT NULL,
    currency_id integer NOT NULL,
    price numeric(16,2) NOT NULL,
    status smallint NOT NULL,
    status_date date,
    status_info character varying(128),
    supplier_id integer NOT NULL,
    discount_sum numeric(16,2) NOT NULL,
    discount_percent numeric(16,2) NOT NULL
);


--
-- Name: order_item_id_seq; Type: SEQUENCE; Schema: public; Owner: -
--

CREATE SEQUENCE order_item_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: order_item_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: -
--

ALTER SEQUENCE order_item_id_seq OWNED BY order_item.id;


--
-- Name: outgoing; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE outgoing (
    id integer NOT NULL,
    resource_id integer NOT NULL,
    account_item_id integer NOT NULL,
    date date NOT NULL,
    subaccount_id integer NOT NULL,
    sum numeric(16,2) NOT NULL,
    descr character varying(255)
);


--
-- Name: outgoing_cashflow; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE outgoing_cashflow (
    outgoing_id integer NOT NULL,
    cashflow_id integer NOT NULL
);


--
-- Name: outgoing_id_seq; Type: SEQUENCE; Schema: public; Owner: -
--

CREATE SEQUENCE outgoing_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: outgoing_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: -
--

ALTER SEQUENCE outgoing_id_seq OWNED BY outgoing.id;


--
-- Name: passport; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE passport (
    id integer NOT NULL,
    country_id integer NOT NULL,
    num character varying(32) NOT NULL,
    descr character varying(255),
    resource_id integer NOT NULL,
    end_date date,
    passport_type integer NOT NULL
);


--
-- Name: passport_id_seq; Type: SEQUENCE; Schema: public; Owner: -
--

CREATE SEQUENCE passport_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: passport_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: -
--

ALTER SEQUENCE passport_id_seq OWNED BY passport.id;


--
-- Name: passport_upload; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE passport_upload (
    passport_id integer NOT NULL,
    upload_id integer NOT NULL
);


--
-- Name: permision; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE permision (
    id integer NOT NULL,
    resource_type_id integer NOT NULL,
    position_id integer NOT NULL,
    permisions character varying[],
    structure_id integer,
    scope_type character varying(12)
);


--
-- Name: person; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE person (
    id integer NOT NULL,
    resource_id integer NOT NULL,
    first_name character varying(32) NOT NULL,
    last_name character varying(32),
    second_name character varying(32),
    birthday date,
    gender integer,
    descr character varying(255),
    person_category_id integer,
    email_subscription boolean,
    sms_subscription boolean
);


--
-- Name: person_address; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE person_address (
    person_id integer NOT NULL,
    address_id integer NOT NULL
);


--
-- Name: person_category; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE person_category (
    id integer NOT NULL,
    resource_id integer NOT NULL,
    name character varying(255) NOT NULL
);


--
-- Name: person_category_id_seq; Type: SEQUENCE; Schema: public; Owner: -
--

CREATE SEQUENCE person_category_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: person_category_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: -
--

ALTER SEQUENCE person_category_id_seq OWNED BY person_category.id;


--
-- Name: person_contact; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE person_contact (
    person_id integer NOT NULL,
    contact_id integer NOT NULL
);


--
-- Name: person_id_seq; Type: SEQUENCE; Schema: public; Owner: -
--

CREATE SEQUENCE person_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: person_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: -
--

ALTER SEQUENCE person_id_seq OWNED BY person.id;


--
-- Name: person_order_item; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE person_order_item (
    order_item_id integer NOT NULL,
    person_id integer NOT NULL
);


--
-- Name: person_passport; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE person_passport (
    person_id integer NOT NULL,
    passport_id integer NOT NULL
);


--
-- Name: person_subaccount; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE person_subaccount (
    person_id integer NOT NULL,
    subaccount_id integer NOT NULL
);


--
-- Name: positions_navigations_id_seq; Type: SEQUENCE; Schema: public; Owner: -
--

CREATE SEQUENCE positions_navigations_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: positions_navigations_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: -
--

ALTER SEQUENCE positions_navigations_id_seq OWNED BY navigation.id;


--
-- Name: positions_permisions_id_seq; Type: SEQUENCE; Schema: public; Owner: -
--

CREATE SEQUENCE positions_permisions_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: positions_permisions_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: -
--

ALTER SEQUENCE positions_permisions_id_seq OWNED BY permision.id;


--
-- Name: region; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE region (
    id integer NOT NULL,
    resource_id integer NOT NULL,
    country_id integer NOT NULL,
    name character varying(32) NOT NULL
);


--
-- Name: region_id_seq; Type: SEQUENCE; Schema: public; Owner: -
--

CREATE SEQUENCE region_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: region_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: -
--

ALTER SEQUENCE region_id_seq OWNED BY region.id;


--
-- Name: resource; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE resource (
    id integer NOT NULL,
    resource_type_id integer NOT NULL,
    protected boolean,
    maintainer_id integer
);


--
-- Name: resource_id_seq; Type: SEQUENCE; Schema: public; Owner: -
--

CREATE SEQUENCE resource_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: resource_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: -
--

ALTER SEQUENCE resource_id_seq OWNED BY resource.id;


--
-- Name: resource_log; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE resource_log (
    id integer NOT NULL,
    resource_id integer NOT NULL,
    employee_id integer NOT NULL,
    comment character varying(512),
    modifydt timestamp with time zone
);


--
-- Name: resource_log_id_seq; Type: SEQUENCE; Schema: public; Owner: -
--

CREATE SEQUENCE resource_log_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: resource_log_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: -
--

ALTER SEQUENCE resource_log_id_seq OWNED BY resource_log.id;


--
-- Name: resource_type; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE resource_type (
    id integer NOT NULL,
    resource_id integer NOT NULL,
    name character varying(32) NOT NULL,
    humanize character varying(32) NOT NULL,
    resource_name character varying(32) NOT NULL,
    module character varying(128) NOT NULL,
    descr character varying(128),
    settings json,
    status smallint NOT NULL
);


--
-- Name: resource_type_id_seq; Type: SEQUENCE; Schema: public; Owner: -
--

CREATE SEQUENCE resource_type_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: resource_type_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: -
--

ALTER SEQUENCE resource_type_id_seq OWNED BY resource_type.id;


--
-- Name: roomcat; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE roomcat (
    id integer NOT NULL,
    resource_id integer NOT NULL,
    name character varying(32) NOT NULL
);


--
-- Name: roomcat_id_seq; Type: SEQUENCE; Schema: public; Owner: -
--

CREATE SEQUENCE roomcat_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: roomcat_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: -
--

ALTER SEQUENCE roomcat_id_seq OWNED BY roomcat.id;


--
-- Name: service; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE service (
    id integer NOT NULL,
    resource_id integer NOT NULL,
    name character varying(32) NOT NULL,
    descr character varying(256),
    display_text character varying(256) NOT NULL,
    resource_type_id integer NOT NULL
);


--
-- Name: service_id_seq; Type: SEQUENCE; Schema: public; Owner: -
--

CREATE SEQUENCE service_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: service_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: -
--

ALTER SEQUENCE service_id_seq OWNED BY service.id;


--
-- Name: spassport; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE spassport (
    id integer NOT NULL,
    resource_id integer NOT NULL,
    photo_done boolean NOT NULL,
    docs_receive_date date,
    docs_transfer_date date,
    passport_receive_date date,
    descr character varying(255)
);


--
-- Name: spassport_id_seq; Type: SEQUENCE; Schema: public; Owner: -
--

CREATE SEQUENCE spassport_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: spassport_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: -
--

ALTER SEQUENCE spassport_id_seq OWNED BY spassport.id;


--
-- Name: spassport_order_item; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE spassport_order_item (
    order_item_id integer NOT NULL,
    spassport_id integer NOT NULL
);


--
-- Name: structure; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE structure (
    id integer NOT NULL,
    resource_id integer NOT NULL,
    parent_id integer,
    name character varying(32) NOT NULL,
    company_id integer NOT NULL
);


--
-- Name: structure_address; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE structure_address (
    structure_id integer NOT NULL,
    address_id integer NOT NULL
);


--
-- Name: structure_bank_detail; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE structure_bank_detail (
    structure_id integer NOT NULL,
    bank_detail_id integer NOT NULL
);


--
-- Name: structure_contact; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE structure_contact (
    structure_id integer NOT NULL,
    contact_id integer NOT NULL
);


--
-- Name: structures_id_seq; Type: SEQUENCE; Schema: public; Owner: -
--

CREATE SEQUENCE structures_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: structures_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: -
--

ALTER SEQUENCE structures_id_seq OWNED BY structure.id;


--
-- Name: subaccount; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE subaccount (
    id integer NOT NULL,
    resource_id integer NOT NULL,
    account_id integer NOT NULL,
    name character varying(255) NOT NULL,
    descr character varying(255),
    status smallint NOT NULL
);


--
-- Name: subaccount_id_seq; Type: SEQUENCE; Schema: public; Owner: -
--

CREATE SEQUENCE subaccount_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: subaccount_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: -
--

ALTER SEQUENCE subaccount_id_seq OWNED BY subaccount.id;


--
-- Name: supplier; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE supplier (
    id integer NOT NULL,
    resource_id integer NOT NULL,
    name character varying(32) NOT NULL,
    status smallint NOT NULL,
    descr character varying(255),
    supplier_type_id integer NOT NULL
);


--
-- Name: supplier_bank_detail; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE supplier_bank_detail (
    supplier_id integer NOT NULL,
    bank_detail_id integer NOT NULL
);


--
-- Name: supplier_bperson; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE supplier_bperson (
    supplier_id integer NOT NULL,
    bperson_id integer NOT NULL
);


--
-- Name: supplier_contract; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE supplier_contract (
    supplier_id integer NOT NULL,
    contract_id integer NOT NULL
);


--
-- Name: supplier_subaccount; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE supplier_subaccount (
    supplier_id integer NOT NULL,
    subaccount_id integer NOT NULL
);


--
-- Name: supplier_type; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE supplier_type (
    id integer NOT NULL,
    resource_id integer NOT NULL,
    name character varying(32) NOT NULL,
    descr character varying(255)
);


--
-- Name: supplier_type_id_seq; Type: SEQUENCE; Schema: public; Owner: -
--

CREATE SEQUENCE supplier_type_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: supplier_type_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: -
--

ALTER SEQUENCE supplier_type_id_seq OWNED BY supplier_type.id;


--
-- Name: task; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE task (
    id integer NOT NULL,
    resource_id integer NOT NULL,
    title character varying(128) NOT NULL,
    deadline timestamp with time zone NOT NULL,
    descr character varying,
    status smallint NOT NULL,
    reminder integer
);


--
-- Name: task_id_seq; Type: SEQUENCE; Schema: public; Owner: -
--

CREATE SEQUENCE task_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: task_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: -
--

ALTER SEQUENCE task_id_seq OWNED BY task.id;


--
-- Name: task_resource; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE task_resource (
    task_id integer NOT NULL,
    resource_id integer NOT NULL
);


--
-- Name: task_upload; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE task_upload (
    task_id integer NOT NULL,
    upload_id integer NOT NULL
);


--
-- Name: ticket; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE ticket (
    id integer NOT NULL,
    resource_id integer NOT NULL,
    start_location_id integer NOT NULL,
    end_location_id integer NOT NULL,
    ticket_class_id integer NOT NULL,
    transport_id integer NOT NULL,
    start_dt timestamp with time zone NOT NULL,
    start_additional_info character varying(128),
    end_dt timestamp with time zone NOT NULL,
    end_additional_info character varying(128),
    adults integer NOT NULL,
    children integer NOT NULL,
    descr character varying(255)
);


--
-- Name: ticket_class; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE ticket_class (
    id integer NOT NULL,
    resource_id integer NOT NULL,
    name character varying(255) NOT NULL
);


--
-- Name: ticket_class_id_seq; Type: SEQUENCE; Schema: public; Owner: -
--

CREATE SEQUENCE ticket_class_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: ticket_class_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: -
--

ALTER SEQUENCE ticket_class_id_seq OWNED BY ticket_class.id;


--
-- Name: ticket_id_seq; Type: SEQUENCE; Schema: public; Owner: -
--

CREATE SEQUENCE ticket_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: ticket_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: -
--

ALTER SEQUENCE ticket_id_seq OWNED BY ticket.id;


--
-- Name: ticket_order_item; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE ticket_order_item (
    order_item_id integer NOT NULL,
    ticket_id integer NOT NULL
);


--
-- Name: tour; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE tour (
    id integer NOT NULL,
    resource_id integer NOT NULL,
    start_location_id integer NOT NULL,
    end_location_id integer NOT NULL,
    hotel_id integer,
    accomodation_id integer,
    foodcat_id integer,
    roomcat_id integer,
    adults integer NOT NULL,
    children integer NOT NULL,
    start_date date NOT NULL,
    end_date date NOT NULL,
    descr character varying(255),
    end_transport_id integer NOT NULL,
    start_transport_id integer NOT NULL,
    transfer_id integer,
    end_additional_info character varying(128),
    start_additional_info character varying(128)
);


--
-- Name: tour_id_seq1; Type: SEQUENCE; Schema: public; Owner: -
--

CREATE SEQUENCE tour_id_seq1
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: tour_id_seq1; Type: SEQUENCE OWNED BY; Schema: public; Owner: -
--

ALTER SEQUENCE tour_id_seq1 OWNED BY tour.id;


--
-- Name: tour_order_item; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE tour_order_item (
    order_item_id integer NOT NULL,
    tour_id integer NOT NULL
);


--
-- Name: touroperator_id_seq; Type: SEQUENCE; Schema: public; Owner: -
--

CREATE SEQUENCE touroperator_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: touroperator_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: -
--

ALTER SEQUENCE touroperator_id_seq OWNED BY supplier.id;


--
-- Name: transfer; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE transfer (
    id integer NOT NULL,
    resource_id integer NOT NULL,
    name character varying(255) NOT NULL
);


--
-- Name: transfer_id_seq; Type: SEQUENCE; Schema: public; Owner: -
--

CREATE SEQUENCE transfer_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: transfer_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: -
--

ALTER SEQUENCE transfer_id_seq OWNED BY cashflow.id;


--
-- Name: transfer_id_seq1; Type: SEQUENCE; Schema: public; Owner: -
--

CREATE SEQUENCE transfer_id_seq1
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: transfer_id_seq1; Type: SEQUENCE OWNED BY; Schema: public; Owner: -
--

ALTER SEQUENCE transfer_id_seq1 OWNED BY transfer.id;


--
-- Name: transport; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE transport (
    id integer NOT NULL,
    resource_id integer NOT NULL,
    name character varying(255) NOT NULL
);


--
-- Name: transport_id_seq; Type: SEQUENCE; Schema: public; Owner: -
--

CREATE SEQUENCE transport_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: transport_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: -
--

ALTER SEQUENCE transport_id_seq OWNED BY transport.id;


--
-- Name: upload; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE upload (
    id integer NOT NULL,
    path character varying(255) NOT NULL,
    size numeric(16,2) NOT NULL,
    media_type character varying(128) NOT NULL,
    descr character varying(255),
    name character varying(255) NOT NULL,
    resource_id integer NOT NULL
);


--
-- Name: upload_id_seq; Type: SEQUENCE; Schema: public; Owner: -
--

CREATE SEQUENCE upload_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: upload_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: -
--

ALTER SEQUENCE upload_id_seq OWNED BY upload.id;


--
-- Name: user; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE "user" (
    id integer NOT NULL,
    resource_id integer NOT NULL,
    username character varying(32) NOT NULL,
    email character varying(128) NOT NULL,
    password character varying(128) NOT NULL,
    employee_id integer NOT NULL
);


--
-- Name: user_id_seq; Type: SEQUENCE; Schema: public; Owner: -
--

CREATE SEQUENCE user_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: user_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: -
--

ALTER SEQUENCE user_id_seq OWNED BY "user".id;


--
-- Name: vat; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE vat (
    id integer NOT NULL,
    resource_id integer NOT NULL,
    service_id integer NOT NULL,
    date date NOT NULL,
    vat numeric(5,2) NOT NULL,
    calc_method smallint NOT NULL,
    descr character varying(255),
    account_id integer NOT NULL
);


--
-- Name: vat_id_seq; Type: SEQUENCE; Schema: public; Owner: -
--

CREATE SEQUENCE vat_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: vat_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: -
--

ALTER SEQUENCE vat_id_seq OWNED BY vat.id;


--
-- Name: visa; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE visa (
    id integer NOT NULL,
    resource_id integer NOT NULL,
    country_id integer NOT NULL,
    start_date date NOT NULL,
    end_date date,
    type smallint NOT NULL,
    descr character varying(255)
);


--
-- Name: visa_id_seq; Type: SEQUENCE; Schema: public; Owner: -
--

CREATE SEQUENCE visa_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: visa_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: -
--

ALTER SEQUENCE visa_id_seq OWNED BY visa.id;


--
-- Name: visa_order_item; Type: TABLE; Schema: public; Owner: -; Tablespace: 
--

CREATE TABLE visa_order_item (
    order_item_id integer NOT NULL,
    visa_id integer NOT NULL
);


SET search_path = test, pg_catalog;

--
-- Name: accomodation; Type: TABLE; Schema: test; Owner: -; Tablespace: 
--

CREATE TABLE accomodation (
    id integer NOT NULL,
    resource_id integer NOT NULL,
    name character varying(32) NOT NULL
);


--
-- Name: accomodation_id_seq; Type: SEQUENCE; Schema: test; Owner: -
--

CREATE SEQUENCE accomodation_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: accomodation_id_seq; Type: SEQUENCE OWNED BY; Schema: test; Owner: -
--

ALTER SEQUENCE accomodation_id_seq OWNED BY accomodation.id;


--
-- Name: account; Type: TABLE; Schema: test; Owner: -; Tablespace: 
--

CREATE TABLE account (
    id integer NOT NULL,
    resource_id integer NOT NULL,
    currency_id integer NOT NULL,
    account_type smallint NOT NULL,
    name character varying(255) NOT NULL,
    display_text character varying(255) NOT NULL,
    status smallint NOT NULL,
    descr character varying(255)
);


--
-- Name: account_id_seq; Type: SEQUENCE; Schema: test; Owner: -
--

CREATE SEQUENCE account_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: account_id_seq; Type: SEQUENCE OWNED BY; Schema: test; Owner: -
--

ALTER SEQUENCE account_id_seq OWNED BY account.id;


--
-- Name: account_item; Type: TABLE; Schema: test; Owner: -; Tablespace: 
--

CREATE TABLE account_item (
    id integer NOT NULL,
    resource_id integer NOT NULL,
    parent_id integer,
    name character varying(128) NOT NULL,
    type smallint NOT NULL,
    status smallint NOT NULL,
    descr character varying(128)
);


--
-- Name: account_item_id_seq; Type: SEQUENCE; Schema: test; Owner: -
--

CREATE SEQUENCE account_item_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: account_item_id_seq; Type: SEQUENCE OWNED BY; Schema: test; Owner: -
--

ALTER SEQUENCE account_item_id_seq OWNED BY account_item.id;


--
-- Name: address; Type: TABLE; Schema: test; Owner: -; Tablespace: 
--

CREATE TABLE address (
    id integer NOT NULL,
    resource_id integer NOT NULL,
    location_id integer NOT NULL,
    zip_code character varying(12) NOT NULL,
    address character varying(255) NOT NULL
);


--
-- Name: address_id_seq; Type: SEQUENCE; Schema: test; Owner: -
--

CREATE SEQUENCE address_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: address_id_seq; Type: SEQUENCE OWNED BY; Schema: test; Owner: -
--

ALTER SEQUENCE address_id_seq OWNED BY address.id;


--
-- Name: advsource; Type: TABLE; Schema: test; Owner: -; Tablespace: 
--

CREATE TABLE advsource (
    id integer NOT NULL,
    resource_id integer NOT NULL,
    name character varying(32) NOT NULL
);


--
-- Name: advsource_id_seq; Type: SEQUENCE; Schema: test; Owner: -
--

CREATE SEQUENCE advsource_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: advsource_id_seq; Type: SEQUENCE OWNED BY; Schema: test; Owner: -
--

ALTER SEQUENCE advsource_id_seq OWNED BY advsource.id;


--
-- Name: alembic_version; Type: TABLE; Schema: test; Owner: -; Tablespace: 
--

CREATE TABLE alembic_version (
    version_num character varying(32) NOT NULL
);


--
-- Name: appointment; Type: TABLE; Schema: test; Owner: -; Tablespace: 
--

CREATE TABLE appointment (
    id integer NOT NULL,
    resource_id integer NOT NULL,
    date date,
    employee_id integer NOT NULL,
    position_id integer NOT NULL,
    salary numeric(16,2) NOT NULL,
    currency_id integer NOT NULL
);


--
-- Name: appointment_id_seq; Type: SEQUENCE; Schema: test; Owner: -
--

CREATE SEQUENCE appointment_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: appointment_id_seq; Type: SEQUENCE OWNED BY; Schema: test; Owner: -
--

ALTER SEQUENCE appointment_id_seq OWNED BY appointment.id;


--
-- Name: bank; Type: TABLE; Schema: test; Owner: -; Tablespace: 
--

CREATE TABLE bank (
    id integer NOT NULL,
    resource_id integer NOT NULL,
    name character varying(255) NOT NULL
);


--
-- Name: bank_address; Type: TABLE; Schema: test; Owner: -; Tablespace: 
--

CREATE TABLE bank_address (
    bank_id integer NOT NULL,
    address_id integer NOT NULL
);


--
-- Name: bank_detail; Type: TABLE; Schema: test; Owner: -; Tablespace: 
--

CREATE TABLE bank_detail (
    id integer NOT NULL,
    resource_id integer NOT NULL,
    currency_id integer NOT NULL,
    bank_id integer NOT NULL,
    beneficiary character varying(255),
    account character varying(32) NOT NULL,
    swift_code character varying(32) NOT NULL
);


--
-- Name: bank_detail_id_seq; Type: SEQUENCE; Schema: test; Owner: -
--

CREATE SEQUENCE bank_detail_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: bank_detail_id_seq; Type: SEQUENCE OWNED BY; Schema: test; Owner: -
--

ALTER SEQUENCE bank_detail_id_seq OWNED BY bank_detail.id;


--
-- Name: bank_id_seq; Type: SEQUENCE; Schema: test; Owner: -
--

CREATE SEQUENCE bank_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: bank_id_seq; Type: SEQUENCE OWNED BY; Schema: test; Owner: -
--

ALTER SEQUENCE bank_id_seq OWNED BY bank.id;


--
-- Name: bperson; Type: TABLE; Schema: test; Owner: -; Tablespace: 
--

CREATE TABLE bperson (
    id integer NOT NULL,
    resource_id integer NOT NULL,
    first_name character varying(32) NOT NULL,
    last_name character varying(32),
    second_name character varying(32),
    position_name character varying(64),
    status smallint NOT NULL,
    descr character varying(255)
);


--
-- Name: bperson_contact; Type: TABLE; Schema: test; Owner: -; Tablespace: 
--

CREATE TABLE bperson_contact (
    bperson_id integer NOT NULL,
    contact_id integer NOT NULL
);


--
-- Name: bperson_id_seq; Type: SEQUENCE; Schema: test; Owner: -
--

CREATE SEQUENCE bperson_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: bperson_id_seq; Type: SEQUENCE OWNED BY; Schema: test; Owner: -
--

ALTER SEQUENCE bperson_id_seq OWNED BY bperson.id;


--
-- Name: calculation; Type: TABLE; Schema: test; Owner: -; Tablespace: 
--

CREATE TABLE calculation (
    id integer NOT NULL,
    resource_id integer NOT NULL,
    order_item_id integer,
    contract_id integer,
    price numeric(16,2) NOT NULL
);


--
-- Name: calculation_id_seq; Type: SEQUENCE; Schema: test; Owner: -
--

CREATE SEQUENCE calculation_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: calculation_id_seq; Type: SEQUENCE OWNED BY; Schema: test; Owner: -
--

ALTER SEQUENCE calculation_id_seq OWNED BY calculation.id;


--
-- Name: campaign; Type: TABLE; Schema: test; Owner: -; Tablespace: 
--

CREATE TABLE campaign (
    id integer NOT NULL,
    resource_id integer NOT NULL,
    name character varying(32) NOT NULL,
    subject character varying(128) NOT NULL,
    plain_content text,
    html_content text,
    start_dt timestamp with time zone NOT NULL,
    status smallint NOT NULL
);


--
-- Name: campaign_id_seq; Type: SEQUENCE; Schema: test; Owner: -
--

CREATE SEQUENCE campaign_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: campaign_id_seq; Type: SEQUENCE OWNED BY; Schema: test; Owner: -
--

ALTER SEQUENCE campaign_id_seq OWNED BY campaign.id;


--
-- Name: cashflow; Type: TABLE; Schema: test; Owner: -; Tablespace: 
--

CREATE TABLE cashflow (
    id integer NOT NULL,
    subaccount_from_id integer,
    subaccount_to_id integer,
    account_item_id integer,
    sum numeric(16,2) NOT NULL,
    vat numeric(16,2),
    date date NOT NULL,
    CONSTRAINT constraint_cashflow_subaccount CHECK (((subaccount_from_id IS NOT NULL) OR (subaccount_to_id IS NOT NULL)))
);


--
-- Name: cashflow_id_seq; Type: SEQUENCE; Schema: test; Owner: -
--

CREATE SEQUENCE cashflow_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: cashflow_id_seq; Type: SEQUENCE OWNED BY; Schema: test; Owner: -
--

ALTER SEQUENCE cashflow_id_seq OWNED BY cashflow.id;


--
-- Name: commission; Type: TABLE; Schema: test; Owner: -; Tablespace: 
--

CREATE TABLE commission (
    id integer NOT NULL,
    resource_id integer NOT NULL,
    service_id integer NOT NULL,
    percentage numeric(5,2) NOT NULL,
    price numeric(16,2) NOT NULL,
    currency_id integer NOT NULL,
    descr character varying(255),
    CONSTRAINT chk_commission_percentage CHECK (((percentage >= (0)::numeric) AND (percentage <= (100)::numeric)))
);


--
-- Name: commission_id_seq; Type: SEQUENCE; Schema: test; Owner: -
--

CREATE SEQUENCE commission_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: commission_id_seq; Type: SEQUENCE OWNED BY; Schema: test; Owner: -
--

ALTER SEQUENCE commission_id_seq OWNED BY commission.id;


--
-- Name: company; Type: TABLE; Schema: test; Owner: -; Tablespace: 
--

CREATE TABLE company (
    id integer NOT NULL,
    resource_id integer,
    currency_id integer,
    name character varying(32) NOT NULL,
    email character varying(32) NOT NULL,
    settings json
);


--
-- Name: company_id_seq; Type: SEQUENCE; Schema: test; Owner: -
--

CREATE SEQUENCE company_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: company_id_seq; Type: SEQUENCE OWNED BY; Schema: test; Owner: -
--

ALTER SEQUENCE company_id_seq OWNED BY company.id;


--
-- Name: company_subaccount; Type: TABLE; Schema: test; Owner: -; Tablespace: 
--

CREATE TABLE company_subaccount (
    company_id integer NOT NULL,
    subaccount_id integer NOT NULL
);


--
-- Name: contact; Type: TABLE; Schema: test; Owner: -; Tablespace: 
--

CREATE TABLE contact (
    id integer NOT NULL,
    resource_id integer NOT NULL,
    contact_type smallint NOT NULL,
    contact character varying NOT NULL,
    status smallint NOT NULL,
    descr character varying(255)
);


--
-- Name: contact_id_seq; Type: SEQUENCE; Schema: test; Owner: -
--

CREATE SEQUENCE contact_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: contact_id_seq; Type: SEQUENCE OWNED BY; Schema: test; Owner: -
--

ALTER SEQUENCE contact_id_seq OWNED BY contact.id;


--
-- Name: contract; Type: TABLE; Schema: test; Owner: -; Tablespace: 
--

CREATE TABLE contract (
    id integer NOT NULL,
    resource_id integer NOT NULL,
    num character varying NOT NULL,
    date date NOT NULL,
    status smallint NOT NULL,
    descr character varying(255)
);


--
-- Name: contract_commission; Type: TABLE; Schema: test; Owner: -; Tablespace: 
--

CREATE TABLE contract_commission (
    contract_id integer NOT NULL,
    commission_id integer NOT NULL
);


--
-- Name: contract_id_seq; Type: SEQUENCE; Schema: test; Owner: -
--

CREATE SEQUENCE contract_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: contract_id_seq; Type: SEQUENCE OWNED BY; Schema: test; Owner: -
--

ALTER SEQUENCE contract_id_seq OWNED BY contract.id;


--
-- Name: country; Type: TABLE; Schema: test; Owner: -; Tablespace: 
--

CREATE TABLE country (
    id integer NOT NULL,
    resource_id integer NOT NULL,
    iso_code character varying(2) NOT NULL,
    name character varying(32) NOT NULL
);


--
-- Name: country_id_seq; Type: SEQUENCE; Schema: test; Owner: -
--

CREATE SEQUENCE country_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: country_id_seq; Type: SEQUENCE OWNED BY; Schema: test; Owner: -
--

ALTER SEQUENCE country_id_seq OWNED BY country.id;


--
-- Name: crosspayment; Type: TABLE; Schema: test; Owner: -; Tablespace: 
--

CREATE TABLE crosspayment (
    id integer NOT NULL,
    resource_id integer NOT NULL,
    cashflow_id integer NOT NULL,
    descr character varying(255)
);


--
-- Name: crosspayment_id_seq; Type: SEQUENCE; Schema: test; Owner: -
--

CREATE SEQUENCE crosspayment_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: crosspayment_id_seq; Type: SEQUENCE OWNED BY; Schema: test; Owner: -
--

ALTER SEQUENCE crosspayment_id_seq OWNED BY crosspayment.id;


--
-- Name: currency; Type: TABLE; Schema: test; Owner: -; Tablespace: 
--

CREATE TABLE currency (
    id integer NOT NULL,
    resource_id integer NOT NULL,
    iso_code character varying(3) NOT NULL
);


--
-- Name: currency_id_seq; Type: SEQUENCE; Schema: test; Owner: -
--

CREATE SEQUENCE currency_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: currency_id_seq; Type: SEQUENCE OWNED BY; Schema: test; Owner: -
--

ALTER SEQUENCE currency_id_seq OWNED BY currency.id;


--
-- Name: currency_rate; Type: TABLE; Schema: test; Owner: -; Tablespace: 
--

CREATE TABLE currency_rate (
    id integer NOT NULL,
    resource_id integer NOT NULL,
    currency_id integer NOT NULL,
    supplier_id integer NOT NULL,
    date date NOT NULL,
    rate numeric(16,2) NOT NULL
);


--
-- Name: currency_rate_id_seq; Type: SEQUENCE; Schema: test; Owner: -
--

CREATE SEQUENCE currency_rate_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: currency_rate_id_seq; Type: SEQUENCE OWNED BY; Schema: test; Owner: -
--

ALTER SEQUENCE currency_rate_id_seq OWNED BY currency_rate.id;


--
-- Name: dismissal; Type: TABLE; Schema: test; Owner: -; Tablespace: 
--

CREATE TABLE dismissal (
    id integer NOT NULL,
    resource_id integer NOT NULL,
    date date,
    employee_id integer NOT NULL
);


--
-- Name: dismissal_id_seq; Type: SEQUENCE; Schema: test; Owner: -
--

CREATE SEQUENCE dismissal_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: dismissal_id_seq; Type: SEQUENCE OWNED BY; Schema: test; Owner: -
--

ALTER SEQUENCE dismissal_id_seq OWNED BY dismissal.id;


--
-- Name: employee; Type: TABLE; Schema: test; Owner: -; Tablespace: 
--

CREATE TABLE employee (
    id integer NOT NULL,
    resource_id integer NOT NULL,
    photo_upload_id integer,
    first_name character varying(32) NOT NULL,
    last_name character varying(32) NOT NULL,
    second_name character varying(32),
    itn character varying(32)
);


--
-- Name: employee_address; Type: TABLE; Schema: test; Owner: -; Tablespace: 
--

CREATE TABLE employee_address (
    employee_id integer NOT NULL,
    address_id integer NOT NULL
);


--
-- Name: employee_contact; Type: TABLE; Schema: test; Owner: -; Tablespace: 
--

CREATE TABLE employee_contact (
    employee_id integer NOT NULL,
    contact_id integer NOT NULL
);


--
-- Name: employee_id_seq; Type: SEQUENCE; Schema: test; Owner: -
--

CREATE SEQUENCE employee_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: employee_id_seq; Type: SEQUENCE OWNED BY; Schema: test; Owner: -
--

ALTER SEQUENCE employee_id_seq OWNED BY employee.id;


--
-- Name: employee_notification; Type: TABLE; Schema: test; Owner: -; Tablespace: 
--

CREATE TABLE employee_notification (
    employee_id integer NOT NULL,
    notification_id integer NOT NULL,
    status smallint NOT NULL
);


--
-- Name: employee_passport; Type: TABLE; Schema: test; Owner: -; Tablespace: 
--

CREATE TABLE employee_passport (
    employee_id integer NOT NULL,
    passport_id integer NOT NULL
);


--
-- Name: employee_subaccount; Type: TABLE; Schema: test; Owner: -; Tablespace: 
--

CREATE TABLE employee_subaccount (
    employee_id integer NOT NULL,
    subaccount_id integer NOT NULL
);


--
-- Name: employee_upload; Type: TABLE; Schema: test; Owner: -; Tablespace: 
--

CREATE TABLE employee_upload (
    employee_id integer NOT NULL,
    upload_id integer NOT NULL
);


--
-- Name: foodcat; Type: TABLE; Schema: test; Owner: -; Tablespace: 
--

CREATE TABLE foodcat (
    id integer NOT NULL,
    resource_id integer NOT NULL,
    name character varying(32) NOT NULL
);


--
-- Name: foodcat_id_seq; Type: SEQUENCE; Schema: test; Owner: -
--

CREATE SEQUENCE foodcat_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: foodcat_id_seq; Type: SEQUENCE OWNED BY; Schema: test; Owner: -
--

ALTER SEQUENCE foodcat_id_seq OWNED BY foodcat.id;


--
-- Name: hotel; Type: TABLE; Schema: test; Owner: -; Tablespace: 
--

CREATE TABLE hotel (
    id integer NOT NULL,
    resource_id integer NOT NULL,
    hotelcat_id integer NOT NULL,
    location_id integer,
    name character varying(32) NOT NULL
);


--
-- Name: hotel_id_seq; Type: SEQUENCE; Schema: test; Owner: -
--

CREATE SEQUENCE hotel_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: hotel_id_seq; Type: SEQUENCE OWNED BY; Schema: test; Owner: -
--

ALTER SEQUENCE hotel_id_seq OWNED BY hotel.id;


--
-- Name: hotelcat; Type: TABLE; Schema: test; Owner: -; Tablespace: 
--

CREATE TABLE hotelcat (
    id integer NOT NULL,
    resource_id integer NOT NULL,
    name character varying(32) NOT NULL
);


--
-- Name: hotelcat_id_seq; Type: SEQUENCE; Schema: test; Owner: -
--

CREATE SEQUENCE hotelcat_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: hotelcat_id_seq; Type: SEQUENCE OWNED BY; Schema: test; Owner: -
--

ALTER SEQUENCE hotelcat_id_seq OWNED BY hotelcat.id;


--
-- Name: income; Type: TABLE; Schema: test; Owner: -; Tablespace: 
--

CREATE TABLE income (
    id integer NOT NULL,
    resource_id integer NOT NULL,
    invoice_id integer NOT NULL,
    account_item_id integer NOT NULL,
    sum numeric(16,2) NOT NULL,
    date date NOT NULL,
    descr character varying(255)
);


--
-- Name: income_cashflow; Type: TABLE; Schema: test; Owner: -; Tablespace: 
--

CREATE TABLE income_cashflow (
    income_id integer NOT NULL,
    cashflow_id integer NOT NULL
);


--
-- Name: income_id_seq; Type: SEQUENCE; Schema: test; Owner: -
--

CREATE SEQUENCE income_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: income_id_seq; Type: SEQUENCE OWNED BY; Schema: test; Owner: -
--

ALTER SEQUENCE income_id_seq OWNED BY income.id;


--
-- Name: invoice; Type: TABLE; Schema: test; Owner: -; Tablespace: 
--

CREATE TABLE invoice (
    id integer NOT NULL,
    date date NOT NULL,
    active_until date NOT NULL,
    resource_id integer NOT NULL,
    order_id integer NOT NULL,
    account_id integer NOT NULL,
    descr character varying(255)
);


--
-- Name: invoice_id_seq; Type: SEQUENCE; Schema: test; Owner: -
--

CREATE SEQUENCE invoice_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: invoice_id_seq; Type: SEQUENCE OWNED BY; Schema: test; Owner: -
--

ALTER SEQUENCE invoice_id_seq OWNED BY invoice.id;


--
-- Name: invoice_item; Type: TABLE; Schema: test; Owner: -; Tablespace: 
--

CREATE TABLE invoice_item (
    id integer NOT NULL,
    invoice_id integer NOT NULL,
    order_item_id integer NOT NULL,
    price numeric(16,2) NOT NULL,
    vat numeric(16,2) NOT NULL,
    discount numeric(16,2) NOT NULL,
    descr character varying(255)
);


--
-- Name: invoice_item_id_seq; Type: SEQUENCE; Schema: test; Owner: -
--

CREATE SEQUENCE invoice_item_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: invoice_item_id_seq; Type: SEQUENCE OWNED BY; Schema: test; Owner: -
--

ALTER SEQUENCE invoice_item_id_seq OWNED BY invoice_item.id;


--
-- Name: lead; Type: TABLE; Schema: test; Owner: -; Tablespace: 
--

CREATE TABLE lead (
    id integer NOT NULL,
    lead_date date NOT NULL,
    resource_id integer NOT NULL,
    advsource_id integer NOT NULL,
    customer_id integer NOT NULL,
    status smallint NOT NULL,
    descr character varying(255)
);


--
-- Name: lead_id_seq; Type: SEQUENCE; Schema: test; Owner: -
--

CREATE SEQUENCE lead_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: lead_id_seq; Type: SEQUENCE OWNED BY; Schema: test; Owner: -
--

ALTER SEQUENCE lead_id_seq OWNED BY lead.id;


--
-- Name: lead_item; Type: TABLE; Schema: test; Owner: -; Tablespace: 
--

CREATE TABLE lead_item (
    id integer NOT NULL,
    resource_id integer NOT NULL,
    lead_id integer,
    service_id integer NOT NULL,
    currency_id integer,
    price_from numeric(16,2),
    price_to numeric(16,2),
    descr character varying
);


--
-- Name: lead_item_id_seq; Type: SEQUENCE; Schema: test; Owner: -
--

CREATE SEQUENCE lead_item_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: lead_item_id_seq; Type: SEQUENCE OWNED BY; Schema: test; Owner: -
--

ALTER SEQUENCE lead_item_id_seq OWNED BY lead_item.id;


--
-- Name: lead_offer; Type: TABLE; Schema: test; Owner: -; Tablespace: 
--

CREATE TABLE lead_offer (
    id integer NOT NULL,
    resource_id integer NOT NULL,
    lead_id integer,
    service_id integer NOT NULL,
    currency_id integer NOT NULL,
    supplier_id integer NOT NULL,
    price numeric(16,2) NOT NULL,
    status smallint NOT NULL,
    descr character varying
);


--
-- Name: lead_offer_id_seq; Type: SEQUENCE; Schema: test; Owner: -
--

CREATE SEQUENCE lead_offer_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: lead_offer_id_seq; Type: SEQUENCE OWNED BY; Schema: test; Owner: -
--

ALTER SEQUENCE lead_offer_id_seq OWNED BY lead_offer.id;


--
-- Name: location; Type: TABLE; Schema: test; Owner: -; Tablespace: 
--

CREATE TABLE location (
    id integer NOT NULL,
    resource_id integer NOT NULL,
    region_id integer NOT NULL,
    name character varying(32) NOT NULL
);


--
-- Name: location_id_seq; Type: SEQUENCE; Schema: test; Owner: -
--

CREATE SEQUENCE location_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: location_id_seq; Type: SEQUENCE OWNED BY; Schema: test; Owner: -
--

ALTER SEQUENCE location_id_seq OWNED BY location.id;


--
-- Name: navigation; Type: TABLE; Schema: test; Owner: -; Tablespace: 
--

CREATE TABLE navigation (
    id integer NOT NULL,
    resource_id integer NOT NULL,
    position_id integer,
    parent_id integer,
    name character varying(32) NOT NULL,
    url character varying(128) NOT NULL,
    action character varying(32),
    icon_cls character varying(32),
    separator_before boolean,
    sort_order integer NOT NULL
);


--
-- Name: navigation_id_seq; Type: SEQUENCE; Schema: test; Owner: -
--

CREATE SEQUENCE navigation_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: navigation_id_seq; Type: SEQUENCE OWNED BY; Schema: test; Owner: -
--

ALTER SEQUENCE navigation_id_seq OWNED BY navigation.id;


--
-- Name: note; Type: TABLE; Schema: test; Owner: -; Tablespace: 
--

CREATE TABLE note (
    id integer NOT NULL,
    resource_id integer NOT NULL,
    title character varying(255) NOT NULL,
    descr character varying
);


--
-- Name: note_id_seq; Type: SEQUENCE; Schema: test; Owner: -
--

CREATE SEQUENCE note_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: note_id_seq; Type: SEQUENCE OWNED BY; Schema: test; Owner: -
--

ALTER SEQUENCE note_id_seq OWNED BY note.id;


--
-- Name: note_resource; Type: TABLE; Schema: test; Owner: -; Tablespace: 
--

CREATE TABLE note_resource (
    note_id integer NOT NULL,
    resource_id integer NOT NULL
);


--
-- Name: note_upload; Type: TABLE; Schema: test; Owner: -; Tablespace: 
--

CREATE TABLE note_upload (
    note_id integer NOT NULL,
    upload_id integer NOT NULL
);


--
-- Name: notification; Type: TABLE; Schema: test; Owner: -; Tablespace: 
--

CREATE TABLE notification (
    id integer NOT NULL,
    resource_id integer NOT NULL,
    title character varying NOT NULL,
    descr character varying NOT NULL,
    url character varying,
    created timestamp with time zone
);


--
-- Name: notification_id_seq; Type: SEQUENCE; Schema: test; Owner: -
--

CREATE SEQUENCE notification_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: notification_id_seq; Type: SEQUENCE OWNED BY; Schema: test; Owner: -
--

ALTER SEQUENCE notification_id_seq OWNED BY notification.id;


--
-- Name: notification_resource; Type: TABLE; Schema: test; Owner: -; Tablespace: 
--

CREATE TABLE notification_resource (
    notification_id integer NOT NULL,
    resource_id integer NOT NULL
);


--
-- Name: order; Type: TABLE; Schema: test; Owner: -; Tablespace: 
--

CREATE TABLE "order" (
    id integer NOT NULL,
    deal_date date NOT NULL,
    resource_id integer NOT NULL,
    customer_id integer NOT NULL,
    lead_id integer,
    advsource_id integer NOT NULL,
    status smallint NOT NULL,
    descr character varying(255)
);


--
-- Name: order_id_seq; Type: SEQUENCE; Schema: test; Owner: -
--

CREATE SEQUENCE order_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: order_id_seq; Type: SEQUENCE OWNED BY; Schema: test; Owner: -
--

ALTER SEQUENCE order_id_seq OWNED BY "order".id;


--
-- Name: order_item; Type: TABLE; Schema: test; Owner: -; Tablespace: 
--

CREATE TABLE order_item (
    id integer NOT NULL,
    resource_id integer NOT NULL,
    order_id integer,
    service_id integer NOT NULL,
    currency_id integer NOT NULL,
    supplier_id integer NOT NULL,
    price numeric(16,2) NOT NULL,
    discount_sum numeric(16,2) NOT NULL,
    discount_percent numeric(16,2) NOT NULL,
    status smallint NOT NULL,
    status_date date,
    status_info character varying(128)
);


--
-- Name: order_item_id_seq; Type: SEQUENCE; Schema: test; Owner: -
--

CREATE SEQUENCE order_item_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: order_item_id_seq; Type: SEQUENCE OWNED BY; Schema: test; Owner: -
--

ALTER SEQUENCE order_item_id_seq OWNED BY order_item.id;


--
-- Name: outgoing; Type: TABLE; Schema: test; Owner: -; Tablespace: 
--

CREATE TABLE outgoing (
    id integer NOT NULL,
    date date NOT NULL,
    resource_id integer NOT NULL,
    account_item_id integer NOT NULL,
    subaccount_id integer NOT NULL,
    sum numeric(16,2) NOT NULL,
    descr character varying(255)
);


--
-- Name: outgoing_cashflow; Type: TABLE; Schema: test; Owner: -; Tablespace: 
--

CREATE TABLE outgoing_cashflow (
    outgoing_id integer NOT NULL,
    cashflow_id integer NOT NULL
);


--
-- Name: outgoing_id_seq; Type: SEQUENCE; Schema: test; Owner: -
--

CREATE SEQUENCE outgoing_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: outgoing_id_seq; Type: SEQUENCE OWNED BY; Schema: test; Owner: -
--

ALTER SEQUENCE outgoing_id_seq OWNED BY outgoing.id;


--
-- Name: passport; Type: TABLE; Schema: test; Owner: -; Tablespace: 
--

CREATE TABLE passport (
    id integer NOT NULL,
    resource_id integer NOT NULL,
    country_id integer NOT NULL,
    passport_type smallint NOT NULL,
    num character varying(32) NOT NULL,
    end_date date,
    descr character varying(255)
);


--
-- Name: passport_id_seq; Type: SEQUENCE; Schema: test; Owner: -
--

CREATE SEQUENCE passport_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: passport_id_seq; Type: SEQUENCE OWNED BY; Schema: test; Owner: -
--

ALTER SEQUENCE passport_id_seq OWNED BY passport.id;


--
-- Name: passport_upload; Type: TABLE; Schema: test; Owner: -; Tablespace: 
--

CREATE TABLE passport_upload (
    passport_id integer NOT NULL,
    upload_id integer NOT NULL
);


--
-- Name: permision; Type: TABLE; Schema: test; Owner: -; Tablespace: 
--

CREATE TABLE permision (
    id integer NOT NULL,
    resource_type_id integer NOT NULL,
    position_id integer NOT NULL,
    permisions character varying[],
    scope_type character varying,
    structure_id integer
);


--
-- Name: permision_id_seq; Type: SEQUENCE; Schema: test; Owner: -
--

CREATE SEQUENCE permision_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: permision_id_seq; Type: SEQUENCE OWNED BY; Schema: test; Owner: -
--

ALTER SEQUENCE permision_id_seq OWNED BY permision.id;


--
-- Name: person; Type: TABLE; Schema: test; Owner: -; Tablespace: 
--

CREATE TABLE person (
    id integer NOT NULL,
    resource_id integer NOT NULL,
    person_category_id integer,
    first_name character varying(32) NOT NULL,
    last_name character varying(32),
    second_name character varying(32),
    birthday date,
    gender smallint,
    email_subscription boolean,
    sms_subscription boolean,
    descr character varying(255)
);


--
-- Name: person_address; Type: TABLE; Schema: test; Owner: -; Tablespace: 
--

CREATE TABLE person_address (
    person_id integer NOT NULL,
    address_id integer NOT NULL
);


--
-- Name: person_category; Type: TABLE; Schema: test; Owner: -; Tablespace: 
--

CREATE TABLE person_category (
    id integer NOT NULL,
    resource_id integer NOT NULL,
    name character varying(255) NOT NULL
);


--
-- Name: person_category_id_seq; Type: SEQUENCE; Schema: test; Owner: -
--

CREATE SEQUENCE person_category_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: person_category_id_seq; Type: SEQUENCE OWNED BY; Schema: test; Owner: -
--

ALTER SEQUENCE person_category_id_seq OWNED BY person_category.id;


--
-- Name: person_contact; Type: TABLE; Schema: test; Owner: -; Tablespace: 
--

CREATE TABLE person_contact (
    person_id integer NOT NULL,
    contact_id integer NOT NULL
);


--
-- Name: person_id_seq; Type: SEQUENCE; Schema: test; Owner: -
--

CREATE SEQUENCE person_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: person_id_seq; Type: SEQUENCE OWNED BY; Schema: test; Owner: -
--

ALTER SEQUENCE person_id_seq OWNED BY person.id;


--
-- Name: person_order_item; Type: TABLE; Schema: test; Owner: -; Tablespace: 
--

CREATE TABLE person_order_item (
    order_item_id integer NOT NULL,
    person_id integer NOT NULL
);


--
-- Name: person_passport; Type: TABLE; Schema: test; Owner: -; Tablespace: 
--

CREATE TABLE person_passport (
    person_id integer NOT NULL,
    passport_id integer NOT NULL
);


--
-- Name: person_subaccount; Type: TABLE; Schema: test; Owner: -; Tablespace: 
--

CREATE TABLE person_subaccount (
    person_id integer NOT NULL,
    subaccount_id integer NOT NULL
);


--
-- Name: position; Type: TABLE; Schema: test; Owner: -; Tablespace: 
--

CREATE TABLE "position" (
    id integer NOT NULL,
    resource_id integer NOT NULL,
    structure_id integer NOT NULL,
    name character varying(32) NOT NULL
);


--
-- Name: position_id_seq; Type: SEQUENCE; Schema: test; Owner: -
--

CREATE SEQUENCE position_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: position_id_seq; Type: SEQUENCE OWNED BY; Schema: test; Owner: -
--

ALTER SEQUENCE position_id_seq OWNED BY "position".id;


--
-- Name: region; Type: TABLE; Schema: test; Owner: -; Tablespace: 
--

CREATE TABLE region (
    id integer NOT NULL,
    resource_id integer NOT NULL,
    country_id integer NOT NULL,
    name character varying(32) NOT NULL
);


--
-- Name: region_id_seq; Type: SEQUENCE; Schema: test; Owner: -
--

CREATE SEQUENCE region_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: region_id_seq; Type: SEQUENCE OWNED BY; Schema: test; Owner: -
--

ALTER SEQUENCE region_id_seq OWNED BY region.id;


--
-- Name: resource; Type: TABLE; Schema: test; Owner: -; Tablespace: 
--

CREATE TABLE resource (
    id integer NOT NULL,
    resource_type_id integer NOT NULL,
    maintainer_id integer,
    protected boolean
);


--
-- Name: resource_id_seq; Type: SEQUENCE; Schema: test; Owner: -
--

CREATE SEQUENCE resource_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: resource_id_seq; Type: SEQUENCE OWNED BY; Schema: test; Owner: -
--

ALTER SEQUENCE resource_id_seq OWNED BY resource.id;


--
-- Name: resource_log; Type: TABLE; Schema: test; Owner: -; Tablespace: 
--

CREATE TABLE resource_log (
    id integer NOT NULL,
    resource_id integer NOT NULL,
    employee_id integer NOT NULL,
    comment character varying(512),
    modifydt timestamp with time zone
);


--
-- Name: resource_log_id_seq; Type: SEQUENCE; Schema: test; Owner: -
--

CREATE SEQUENCE resource_log_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: resource_log_id_seq; Type: SEQUENCE OWNED BY; Schema: test; Owner: -
--

ALTER SEQUENCE resource_log_id_seq OWNED BY resource_log.id;


--
-- Name: resource_type; Type: TABLE; Schema: test; Owner: -; Tablespace: 
--

CREATE TABLE resource_type (
    id integer NOT NULL,
    resource_id integer NOT NULL,
    name character varying(32) NOT NULL,
    humanize character varying(32) NOT NULL,
    resource_name character varying(32) NOT NULL,
    module character varying(128) NOT NULL,
    settings json,
    descr character varying(255),
    status smallint NOT NULL
);


--
-- Name: resource_type_id_seq; Type: SEQUENCE; Schema: test; Owner: -
--

CREATE SEQUENCE resource_type_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: resource_type_id_seq; Type: SEQUENCE OWNED BY; Schema: test; Owner: -
--

ALTER SEQUENCE resource_type_id_seq OWNED BY resource_type.id;


--
-- Name: roomcat; Type: TABLE; Schema: test; Owner: -; Tablespace: 
--

CREATE TABLE roomcat (
    id integer NOT NULL,
    resource_id integer NOT NULL,
    name character varying(32) NOT NULL
);


--
-- Name: roomcat_id_seq; Type: SEQUENCE; Schema: test; Owner: -
--

CREATE SEQUENCE roomcat_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: roomcat_id_seq; Type: SEQUENCE OWNED BY; Schema: test; Owner: -
--

ALTER SEQUENCE roomcat_id_seq OWNED BY roomcat.id;


--
-- Name: service; Type: TABLE; Schema: test; Owner: -; Tablespace: 
--

CREATE TABLE service (
    id integer NOT NULL,
    resource_id integer NOT NULL,
    resource_type_id integer NOT NULL,
    name character varying(32) NOT NULL,
    display_text character varying(255) NOT NULL,
    descr character varying(255)
);


--
-- Name: service_id_seq; Type: SEQUENCE; Schema: test; Owner: -
--

CREATE SEQUENCE service_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: service_id_seq; Type: SEQUENCE OWNED BY; Schema: test; Owner: -
--

ALTER SEQUENCE service_id_seq OWNED BY service.id;


--
-- Name: spassport; Type: TABLE; Schema: test; Owner: -; Tablespace: 
--

CREATE TABLE spassport (
    id integer NOT NULL,
    resource_id integer NOT NULL,
    photo_done boolean NOT NULL,
    docs_receive_date date,
    docs_transfer_date date,
    passport_receive_date date,
    descr character varying(255)
);


--
-- Name: spassport_id_seq; Type: SEQUENCE; Schema: test; Owner: -
--

CREATE SEQUENCE spassport_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: spassport_id_seq; Type: SEQUENCE OWNED BY; Schema: test; Owner: -
--

ALTER SEQUENCE spassport_id_seq OWNED BY spassport.id;


--
-- Name: spassport_order_item; Type: TABLE; Schema: test; Owner: -; Tablespace: 
--

CREATE TABLE spassport_order_item (
    order_item_id integer NOT NULL,
    spassport_id integer NOT NULL
);


--
-- Name: structure; Type: TABLE; Schema: test; Owner: -; Tablespace: 
--

CREATE TABLE structure (
    id integer NOT NULL,
    resource_id integer NOT NULL,
    parent_id integer,
    company_id integer NOT NULL,
    name character varying(32) NOT NULL
);


--
-- Name: structure_address; Type: TABLE; Schema: test; Owner: -; Tablespace: 
--

CREATE TABLE structure_address (
    structure_id integer NOT NULL,
    address_id integer NOT NULL
);


--
-- Name: structure_bank_detail; Type: TABLE; Schema: test; Owner: -; Tablespace: 
--

CREATE TABLE structure_bank_detail (
    structure_id integer NOT NULL,
    bank_detail_id integer NOT NULL
);


--
-- Name: structure_contact; Type: TABLE; Schema: test; Owner: -; Tablespace: 
--

CREATE TABLE structure_contact (
    structure_id integer NOT NULL,
    contact_id integer NOT NULL
);


--
-- Name: structure_id_seq; Type: SEQUENCE; Schema: test; Owner: -
--

CREATE SEQUENCE structure_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: structure_id_seq; Type: SEQUENCE OWNED BY; Schema: test; Owner: -
--

ALTER SEQUENCE structure_id_seq OWNED BY structure.id;


--
-- Name: subaccount; Type: TABLE; Schema: test; Owner: -; Tablespace: 
--

CREATE TABLE subaccount (
    id integer NOT NULL,
    resource_id integer NOT NULL,
    account_id integer NOT NULL,
    name character varying(255) NOT NULL,
    status smallint NOT NULL,
    descr character varying(255)
);


--
-- Name: subaccount_id_seq; Type: SEQUENCE; Schema: test; Owner: -
--

CREATE SEQUENCE subaccount_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: subaccount_id_seq; Type: SEQUENCE OWNED BY; Schema: test; Owner: -
--

ALTER SEQUENCE subaccount_id_seq OWNED BY subaccount.id;


--
-- Name: supplier; Type: TABLE; Schema: test; Owner: -; Tablespace: 
--

CREATE TABLE supplier (
    id integer NOT NULL,
    resource_id integer NOT NULL,
    supplier_type_id integer NOT NULL,
    name character varying(32) NOT NULL,
    status smallint NOT NULL,
    descr character varying(255)
);


--
-- Name: supplier_bank_detail; Type: TABLE; Schema: test; Owner: -; Tablespace: 
--

CREATE TABLE supplier_bank_detail (
    supplier_id integer NOT NULL,
    bank_detail_id integer NOT NULL
);


--
-- Name: supplier_bperson; Type: TABLE; Schema: test; Owner: -; Tablespace: 
--

CREATE TABLE supplier_bperson (
    supplier_id integer NOT NULL,
    bperson_id integer NOT NULL
);


--
-- Name: supplier_contract; Type: TABLE; Schema: test; Owner: -; Tablespace: 
--

CREATE TABLE supplier_contract (
    supplier_id integer NOT NULL,
    contract_id integer NOT NULL
);


--
-- Name: supplier_id_seq; Type: SEQUENCE; Schema: test; Owner: -
--

CREATE SEQUENCE supplier_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: supplier_id_seq; Type: SEQUENCE OWNED BY; Schema: test; Owner: -
--

ALTER SEQUENCE supplier_id_seq OWNED BY supplier.id;


--
-- Name: supplier_subaccount; Type: TABLE; Schema: test; Owner: -; Tablespace: 
--

CREATE TABLE supplier_subaccount (
    supplier_id integer NOT NULL,
    subaccount_id integer NOT NULL
);


--
-- Name: supplier_type; Type: TABLE; Schema: test; Owner: -; Tablespace: 
--

CREATE TABLE supplier_type (
    id integer NOT NULL,
    resource_id integer NOT NULL,
    name character varying(32) NOT NULL,
    descr character varying(255)
);


--
-- Name: supplier_type_id_seq; Type: SEQUENCE; Schema: test; Owner: -
--

CREATE SEQUENCE supplier_type_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: supplier_type_id_seq; Type: SEQUENCE OWNED BY; Schema: test; Owner: -
--

ALTER SEQUENCE supplier_type_id_seq OWNED BY supplier_type.id;


--
-- Name: task; Type: TABLE; Schema: test; Owner: -; Tablespace: 
--

CREATE TABLE task (
    id integer NOT NULL,
    resource_id integer NOT NULL,
    title character varying(128) NOT NULL,
    deadline timestamp with time zone NOT NULL,
    reminder integer,
    descr character varying,
    status smallint NOT NULL
);


--
-- Name: task_id_seq; Type: SEQUENCE; Schema: test; Owner: -
--

CREATE SEQUENCE task_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: task_id_seq; Type: SEQUENCE OWNED BY; Schema: test; Owner: -
--

ALTER SEQUENCE task_id_seq OWNED BY task.id;


--
-- Name: task_resource; Type: TABLE; Schema: test; Owner: -; Tablespace: 
--

CREATE TABLE task_resource (
    task_id integer NOT NULL,
    resource_id integer NOT NULL
);


--
-- Name: task_upload; Type: TABLE; Schema: test; Owner: -; Tablespace: 
--

CREATE TABLE task_upload (
    task_id integer NOT NULL,
    upload_id integer NOT NULL
);


--
-- Name: ticket; Type: TABLE; Schema: test; Owner: -; Tablespace: 
--

CREATE TABLE ticket (
    id integer NOT NULL,
    resource_id integer NOT NULL,
    start_location_id integer NOT NULL,
    end_location_id integer NOT NULL,
    ticket_class_id integer NOT NULL,
    transport_id integer NOT NULL,
    start_dt timestamp with time zone NOT NULL,
    start_additional_info character varying(128),
    end_dt timestamp with time zone NOT NULL,
    end_additional_info character varying(128),
    adults integer NOT NULL,
    children integer NOT NULL,
    descr character varying(255)
);


--
-- Name: ticket_class; Type: TABLE; Schema: test; Owner: -; Tablespace: 
--

CREATE TABLE ticket_class (
    id integer NOT NULL,
    resource_id integer NOT NULL,
    name character varying(255) NOT NULL
);


--
-- Name: ticket_class_id_seq; Type: SEQUENCE; Schema: test; Owner: -
--

CREATE SEQUENCE ticket_class_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: ticket_class_id_seq; Type: SEQUENCE OWNED BY; Schema: test; Owner: -
--

ALTER SEQUENCE ticket_class_id_seq OWNED BY ticket_class.id;


--
-- Name: ticket_id_seq; Type: SEQUENCE; Schema: test; Owner: -
--

CREATE SEQUENCE ticket_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: ticket_id_seq; Type: SEQUENCE OWNED BY; Schema: test; Owner: -
--

ALTER SEQUENCE ticket_id_seq OWNED BY ticket.id;


--
-- Name: ticket_order_item; Type: TABLE; Schema: test; Owner: -; Tablespace: 
--

CREATE TABLE ticket_order_item (
    order_item_id integer NOT NULL,
    ticket_id integer NOT NULL
);


--
-- Name: tour; Type: TABLE; Schema: test; Owner: -; Tablespace: 
--

CREATE TABLE tour (
    id integer NOT NULL,
    resource_id integer NOT NULL,
    start_location_id integer NOT NULL,
    start_transport_id integer NOT NULL,
    end_location_id integer NOT NULL,
    end_transport_id integer NOT NULL,
    hotel_id integer,
    accomodation_id integer,
    foodcat_id integer,
    roomcat_id integer,
    transfer_id integer,
    adults integer NOT NULL,
    children integer NOT NULL,
    start_date date NOT NULL,
    start_additional_info character varying(128),
    end_date date NOT NULL,
    end_additional_info character varying(128),
    descr character varying(255)
);


--
-- Name: tour_id_seq; Type: SEQUENCE; Schema: test; Owner: -
--

CREATE SEQUENCE tour_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: tour_id_seq; Type: SEQUENCE OWNED BY; Schema: test; Owner: -
--

ALTER SEQUENCE tour_id_seq OWNED BY tour.id;


--
-- Name: tour_order_item; Type: TABLE; Schema: test; Owner: -; Tablespace: 
--

CREATE TABLE tour_order_item (
    order_item_id integer NOT NULL,
    tour_id integer NOT NULL
);


--
-- Name: transfer; Type: TABLE; Schema: test; Owner: -; Tablespace: 
--

CREATE TABLE transfer (
    id integer NOT NULL,
    resource_id integer NOT NULL,
    name character varying(255) NOT NULL
);


--
-- Name: transfer_id_seq; Type: SEQUENCE; Schema: test; Owner: -
--

CREATE SEQUENCE transfer_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: transfer_id_seq; Type: SEQUENCE OWNED BY; Schema: test; Owner: -
--

ALTER SEQUENCE transfer_id_seq OWNED BY transfer.id;


--
-- Name: transport; Type: TABLE; Schema: test; Owner: -; Tablespace: 
--

CREATE TABLE transport (
    id integer NOT NULL,
    resource_id integer NOT NULL,
    name character varying(255) NOT NULL
);


--
-- Name: transport_id_seq; Type: SEQUENCE; Schema: test; Owner: -
--

CREATE SEQUENCE transport_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: transport_id_seq; Type: SEQUENCE OWNED BY; Schema: test; Owner: -
--

ALTER SEQUENCE transport_id_seq OWNED BY transport.id;


--
-- Name: upload; Type: TABLE; Schema: test; Owner: -; Tablespace: 
--

CREATE TABLE upload (
    id integer NOT NULL,
    resource_id integer NOT NULL,
    name character varying(255) NOT NULL,
    path character varying(255) NOT NULL,
    size numeric(16,2) NOT NULL,
    media_type character varying(128) NOT NULL,
    descr character varying(255)
);


--
-- Name: upload_id_seq; Type: SEQUENCE; Schema: test; Owner: -
--

CREATE SEQUENCE upload_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: upload_id_seq; Type: SEQUENCE OWNED BY; Schema: test; Owner: -
--

ALTER SEQUENCE upload_id_seq OWNED BY upload.id;


--
-- Name: user; Type: TABLE; Schema: test; Owner: -; Tablespace: 
--

CREATE TABLE "user" (
    id integer NOT NULL,
    resource_id integer NOT NULL,
    employee_id integer NOT NULL,
    username character varying(32) NOT NULL,
    email character varying(128) NOT NULL,
    password character varying(128) NOT NULL
);


--
-- Name: user_id_seq; Type: SEQUENCE; Schema: test; Owner: -
--

CREATE SEQUENCE user_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: user_id_seq; Type: SEQUENCE OWNED BY; Schema: test; Owner: -
--

ALTER SEQUENCE user_id_seq OWNED BY "user".id;


--
-- Name: vat; Type: TABLE; Schema: test; Owner: -; Tablespace: 
--

CREATE TABLE vat (
    id integer NOT NULL,
    resource_id integer NOT NULL,
    account_id integer NOT NULL,
    service_id integer NOT NULL,
    date date NOT NULL,
    vat numeric(5,2) NOT NULL,
    calc_method smallint NOT NULL,
    descr character varying(255)
);


--
-- Name: vat_id_seq; Type: SEQUENCE; Schema: test; Owner: -
--

CREATE SEQUENCE vat_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: vat_id_seq; Type: SEQUENCE OWNED BY; Schema: test; Owner: -
--

ALTER SEQUENCE vat_id_seq OWNED BY vat.id;


--
-- Name: visa; Type: TABLE; Schema: test; Owner: -; Tablespace: 
--

CREATE TABLE visa (
    id integer NOT NULL,
    resource_id integer NOT NULL,
    country_id integer NOT NULL,
    start_date date NOT NULL,
    end_date date,
    type smallint NOT NULL,
    descr character varying(255)
);


--
-- Name: visa_id_seq; Type: SEQUENCE; Schema: test; Owner: -
--

CREATE SEQUENCE visa_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: visa_id_seq; Type: SEQUENCE OWNED BY; Schema: test; Owner: -
--

ALTER SEQUENCE visa_id_seq OWNED BY visa.id;


--
-- Name: visa_order_item; Type: TABLE; Schema: test; Owner: -; Tablespace: 
--

CREATE TABLE visa_order_item (
    order_item_id integer NOT NULL,
    visa_id integer NOT NULL
);


SET search_path = company_en, pg_catalog;

--
-- Name: id; Type: DEFAULT; Schema: company_en; Owner: -
--

ALTER TABLE ONLY accomodation ALTER COLUMN id SET DEFAULT nextval('accomodation_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: company_en; Owner: -
--

ALTER TABLE ONLY account ALTER COLUMN id SET DEFAULT nextval('account_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: company_en; Owner: -
--

ALTER TABLE ONLY account_item ALTER COLUMN id SET DEFAULT nextval('account_item_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: company_en; Owner: -
--

ALTER TABLE ONLY address ALTER COLUMN id SET DEFAULT nextval('address_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: company_en; Owner: -
--

ALTER TABLE ONLY advsource ALTER COLUMN id SET DEFAULT nextval('advsource_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: company_en; Owner: -
--

ALTER TABLE ONLY appointment ALTER COLUMN id SET DEFAULT nextval('appointment_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: company_en; Owner: -
--

ALTER TABLE ONLY bank ALTER COLUMN id SET DEFAULT nextval('bank_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: company_en; Owner: -
--

ALTER TABLE ONLY bank_detail ALTER COLUMN id SET DEFAULT nextval('bank_detail_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: company_en; Owner: -
--

ALTER TABLE ONLY bperson ALTER COLUMN id SET DEFAULT nextval('bperson_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: company_en; Owner: -
--

ALTER TABLE ONLY calculation ALTER COLUMN id SET DEFAULT nextval('calculation_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: company_en; Owner: -
--

ALTER TABLE ONLY campaign ALTER COLUMN id SET DEFAULT nextval('campaign_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: company_en; Owner: -
--

ALTER TABLE ONLY cashflow ALTER COLUMN id SET DEFAULT nextval('cashflow_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: company_en; Owner: -
--

ALTER TABLE ONLY commission ALTER COLUMN id SET DEFAULT nextval('commission_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: company_en; Owner: -
--

ALTER TABLE ONLY company ALTER COLUMN id SET DEFAULT nextval('company_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: company_en; Owner: -
--

ALTER TABLE ONLY contact ALTER COLUMN id SET DEFAULT nextval('contact_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: company_en; Owner: -
--

ALTER TABLE ONLY contract ALTER COLUMN id SET DEFAULT nextval('contract_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: company_en; Owner: -
--

ALTER TABLE ONLY country ALTER COLUMN id SET DEFAULT nextval('country_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: company_en; Owner: -
--

ALTER TABLE ONLY crosspayment ALTER COLUMN id SET DEFAULT nextval('crosspayment_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: company_en; Owner: -
--

ALTER TABLE ONLY currency ALTER COLUMN id SET DEFAULT nextval('currency_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: company_en; Owner: -
--

ALTER TABLE ONLY currency_rate ALTER COLUMN id SET DEFAULT nextval('currency_rate_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: company_en; Owner: -
--

ALTER TABLE ONLY dismissal ALTER COLUMN id SET DEFAULT nextval('dismissal_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: company_en; Owner: -
--

ALTER TABLE ONLY employee ALTER COLUMN id SET DEFAULT nextval('employee_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: company_en; Owner: -
--

ALTER TABLE ONLY foodcat ALTER COLUMN id SET DEFAULT nextval('foodcat_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: company_en; Owner: -
--

ALTER TABLE ONLY hotel ALTER COLUMN id SET DEFAULT nextval('hotel_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: company_en; Owner: -
--

ALTER TABLE ONLY hotelcat ALTER COLUMN id SET DEFAULT nextval('hotelcat_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: company_en; Owner: -
--

ALTER TABLE ONLY income ALTER COLUMN id SET DEFAULT nextval('income_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: company_en; Owner: -
--

ALTER TABLE ONLY invoice ALTER COLUMN id SET DEFAULT nextval('invoice_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: company_en; Owner: -
--

ALTER TABLE ONLY invoice_item ALTER COLUMN id SET DEFAULT nextval('invoice_item_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: company_en; Owner: -
--

ALTER TABLE ONLY lead ALTER COLUMN id SET DEFAULT nextval('lead_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: company_en; Owner: -
--

ALTER TABLE ONLY lead_item ALTER COLUMN id SET DEFAULT nextval('lead_item_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: company_en; Owner: -
--

ALTER TABLE ONLY lead_offer ALTER COLUMN id SET DEFAULT nextval('lead_offer_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: company_en; Owner: -
--

ALTER TABLE ONLY location ALTER COLUMN id SET DEFAULT nextval('location_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: company_en; Owner: -
--

ALTER TABLE ONLY navigation ALTER COLUMN id SET DEFAULT nextval('navigation_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: company_en; Owner: -
--

ALTER TABLE ONLY note ALTER COLUMN id SET DEFAULT nextval('note_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: company_en; Owner: -
--

ALTER TABLE ONLY notification ALTER COLUMN id SET DEFAULT nextval('notification_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: company_en; Owner: -
--

ALTER TABLE ONLY "order" ALTER COLUMN id SET DEFAULT nextval('order_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: company_en; Owner: -
--

ALTER TABLE ONLY order_item ALTER COLUMN id SET DEFAULT nextval('order_item_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: company_en; Owner: -
--

ALTER TABLE ONLY outgoing ALTER COLUMN id SET DEFAULT nextval('outgoing_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: company_en; Owner: -
--

ALTER TABLE ONLY passport ALTER COLUMN id SET DEFAULT nextval('passport_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: company_en; Owner: -
--

ALTER TABLE ONLY permision ALTER COLUMN id SET DEFAULT nextval('permision_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: company_en; Owner: -
--

ALTER TABLE ONLY person ALTER COLUMN id SET DEFAULT nextval('person_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: company_en; Owner: -
--

ALTER TABLE ONLY person_category ALTER COLUMN id SET DEFAULT nextval('person_category_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: company_en; Owner: -
--

ALTER TABLE ONLY "position" ALTER COLUMN id SET DEFAULT nextval('position_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: company_en; Owner: -
--

ALTER TABLE ONLY region ALTER COLUMN id SET DEFAULT nextval('region_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: company_en; Owner: -
--

ALTER TABLE ONLY resource ALTER COLUMN id SET DEFAULT nextval('resource_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: company_en; Owner: -
--

ALTER TABLE ONLY resource_log ALTER COLUMN id SET DEFAULT nextval('resource_log_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: company_en; Owner: -
--

ALTER TABLE ONLY resource_type ALTER COLUMN id SET DEFAULT nextval('resource_type_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: company_en; Owner: -
--

ALTER TABLE ONLY roomcat ALTER COLUMN id SET DEFAULT nextval('roomcat_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: company_en; Owner: -
--

ALTER TABLE ONLY service ALTER COLUMN id SET DEFAULT nextval('service_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: company_en; Owner: -
--

ALTER TABLE ONLY spassport ALTER COLUMN id SET DEFAULT nextval('spassport_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: company_en; Owner: -
--

ALTER TABLE ONLY structure ALTER COLUMN id SET DEFAULT nextval('structure_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: company_en; Owner: -
--

ALTER TABLE ONLY subaccount ALTER COLUMN id SET DEFAULT nextval('subaccount_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: company_en; Owner: -
--

ALTER TABLE ONLY supplier ALTER COLUMN id SET DEFAULT nextval('supplier_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: company_en; Owner: -
--

ALTER TABLE ONLY supplier_type ALTER COLUMN id SET DEFAULT nextval('supplier_type_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: company_en; Owner: -
--

ALTER TABLE ONLY task ALTER COLUMN id SET DEFAULT nextval('task_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: company_en; Owner: -
--

ALTER TABLE ONLY ticket ALTER COLUMN id SET DEFAULT nextval('ticket_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: company_en; Owner: -
--

ALTER TABLE ONLY ticket_class ALTER COLUMN id SET DEFAULT nextval('ticket_class_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: company_en; Owner: -
--

ALTER TABLE ONLY tour ALTER COLUMN id SET DEFAULT nextval('tour_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: company_en; Owner: -
--

ALTER TABLE ONLY transfer ALTER COLUMN id SET DEFAULT nextval('transfer_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: company_en; Owner: -
--

ALTER TABLE ONLY transport ALTER COLUMN id SET DEFAULT nextval('transport_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: company_en; Owner: -
--

ALTER TABLE ONLY upload ALTER COLUMN id SET DEFAULT nextval('upload_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: company_en; Owner: -
--

ALTER TABLE ONLY "user" ALTER COLUMN id SET DEFAULT nextval('user_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: company_en; Owner: -
--

ALTER TABLE ONLY vat ALTER COLUMN id SET DEFAULT nextval('vat_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: company_en; Owner: -
--

ALTER TABLE ONLY visa ALTER COLUMN id SET DEFAULT nextval('visa_id_seq'::regclass);


SET search_path = company_ru, pg_catalog;

--
-- Name: id; Type: DEFAULT; Schema: company_ru; Owner: -
--

ALTER TABLE ONLY accomodation ALTER COLUMN id SET DEFAULT nextval('accomodation_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: company_ru; Owner: -
--

ALTER TABLE ONLY account ALTER COLUMN id SET DEFAULT nextval('account_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: company_ru; Owner: -
--

ALTER TABLE ONLY account_item ALTER COLUMN id SET DEFAULT nextval('account_item_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: company_ru; Owner: -
--

ALTER TABLE ONLY address ALTER COLUMN id SET DEFAULT nextval('address_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: company_ru; Owner: -
--

ALTER TABLE ONLY advsource ALTER COLUMN id SET DEFAULT nextval('advsource_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: company_ru; Owner: -
--

ALTER TABLE ONLY appointment ALTER COLUMN id SET DEFAULT nextval('appointment_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: company_ru; Owner: -
--

ALTER TABLE ONLY bank ALTER COLUMN id SET DEFAULT nextval('bank_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: company_ru; Owner: -
--

ALTER TABLE ONLY bank_detail ALTER COLUMN id SET DEFAULT nextval('bank_detail_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: company_ru; Owner: -
--

ALTER TABLE ONLY bperson ALTER COLUMN id SET DEFAULT nextval('bperson_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: company_ru; Owner: -
--

ALTER TABLE ONLY calculation ALTER COLUMN id SET DEFAULT nextval('calculation_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: company_ru; Owner: -
--

ALTER TABLE ONLY campaign ALTER COLUMN id SET DEFAULT nextval('campaign_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: company_ru; Owner: -
--

ALTER TABLE ONLY cashflow ALTER COLUMN id SET DEFAULT nextval('cashflow_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: company_ru; Owner: -
--

ALTER TABLE ONLY commission ALTER COLUMN id SET DEFAULT nextval('commission_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: company_ru; Owner: -
--

ALTER TABLE ONLY company ALTER COLUMN id SET DEFAULT nextval('company_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: company_ru; Owner: -
--

ALTER TABLE ONLY contact ALTER COLUMN id SET DEFAULT nextval('contact_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: company_ru; Owner: -
--

ALTER TABLE ONLY contract ALTER COLUMN id SET DEFAULT nextval('contract_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: company_ru; Owner: -
--

ALTER TABLE ONLY country ALTER COLUMN id SET DEFAULT nextval('country_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: company_ru; Owner: -
--

ALTER TABLE ONLY crosspayment ALTER COLUMN id SET DEFAULT nextval('crosspayment_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: company_ru; Owner: -
--

ALTER TABLE ONLY currency ALTER COLUMN id SET DEFAULT nextval('currency_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: company_ru; Owner: -
--

ALTER TABLE ONLY currency_rate ALTER COLUMN id SET DEFAULT nextval('currency_rate_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: company_ru; Owner: -
--

ALTER TABLE ONLY dismissal ALTER COLUMN id SET DEFAULT nextval('dismissal_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: company_ru; Owner: -
--

ALTER TABLE ONLY employee ALTER COLUMN id SET DEFAULT nextval('employee_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: company_ru; Owner: -
--

ALTER TABLE ONLY foodcat ALTER COLUMN id SET DEFAULT nextval('foodcat_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: company_ru; Owner: -
--

ALTER TABLE ONLY hotel ALTER COLUMN id SET DEFAULT nextval('hotel_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: company_ru; Owner: -
--

ALTER TABLE ONLY hotelcat ALTER COLUMN id SET DEFAULT nextval('hotelcat_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: company_ru; Owner: -
--

ALTER TABLE ONLY income ALTER COLUMN id SET DEFAULT nextval('income_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: company_ru; Owner: -
--

ALTER TABLE ONLY invoice ALTER COLUMN id SET DEFAULT nextval('invoice_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: company_ru; Owner: -
--

ALTER TABLE ONLY invoice_item ALTER COLUMN id SET DEFAULT nextval('invoice_item_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: company_ru; Owner: -
--

ALTER TABLE ONLY lead ALTER COLUMN id SET DEFAULT nextval('lead_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: company_ru; Owner: -
--

ALTER TABLE ONLY lead_item ALTER COLUMN id SET DEFAULT nextval('lead_item_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: company_ru; Owner: -
--

ALTER TABLE ONLY lead_offer ALTER COLUMN id SET DEFAULT nextval('lead_offer_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: company_ru; Owner: -
--

ALTER TABLE ONLY location ALTER COLUMN id SET DEFAULT nextval('location_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: company_ru; Owner: -
--

ALTER TABLE ONLY navigation ALTER COLUMN id SET DEFAULT nextval('navigation_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: company_ru; Owner: -
--

ALTER TABLE ONLY note ALTER COLUMN id SET DEFAULT nextval('note_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: company_ru; Owner: -
--

ALTER TABLE ONLY notification ALTER COLUMN id SET DEFAULT nextval('notification_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: company_ru; Owner: -
--

ALTER TABLE ONLY "order" ALTER COLUMN id SET DEFAULT nextval('order_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: company_ru; Owner: -
--

ALTER TABLE ONLY order_item ALTER COLUMN id SET DEFAULT nextval('order_item_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: company_ru; Owner: -
--

ALTER TABLE ONLY outgoing ALTER COLUMN id SET DEFAULT nextval('outgoing_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: company_ru; Owner: -
--

ALTER TABLE ONLY passport ALTER COLUMN id SET DEFAULT nextval('passport_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: company_ru; Owner: -
--

ALTER TABLE ONLY permision ALTER COLUMN id SET DEFAULT nextval('permision_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: company_ru; Owner: -
--

ALTER TABLE ONLY person ALTER COLUMN id SET DEFAULT nextval('person_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: company_ru; Owner: -
--

ALTER TABLE ONLY person_category ALTER COLUMN id SET DEFAULT nextval('person_category_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: company_ru; Owner: -
--

ALTER TABLE ONLY "position" ALTER COLUMN id SET DEFAULT nextval('position_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: company_ru; Owner: -
--

ALTER TABLE ONLY region ALTER COLUMN id SET DEFAULT nextval('region_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: company_ru; Owner: -
--

ALTER TABLE ONLY resource ALTER COLUMN id SET DEFAULT nextval('resource_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: company_ru; Owner: -
--

ALTER TABLE ONLY resource_log ALTER COLUMN id SET DEFAULT nextval('resource_log_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: company_ru; Owner: -
--

ALTER TABLE ONLY resource_type ALTER COLUMN id SET DEFAULT nextval('resource_type_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: company_ru; Owner: -
--

ALTER TABLE ONLY roomcat ALTER COLUMN id SET DEFAULT nextval('roomcat_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: company_ru; Owner: -
--

ALTER TABLE ONLY service ALTER COLUMN id SET DEFAULT nextval('service_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: company_ru; Owner: -
--

ALTER TABLE ONLY spassport ALTER COLUMN id SET DEFAULT nextval('spassport_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: company_ru; Owner: -
--

ALTER TABLE ONLY structure ALTER COLUMN id SET DEFAULT nextval('structure_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: company_ru; Owner: -
--

ALTER TABLE ONLY subaccount ALTER COLUMN id SET DEFAULT nextval('subaccount_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: company_ru; Owner: -
--

ALTER TABLE ONLY supplier ALTER COLUMN id SET DEFAULT nextval('supplier_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: company_ru; Owner: -
--

ALTER TABLE ONLY supplier_type ALTER COLUMN id SET DEFAULT nextval('supplier_type_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: company_ru; Owner: -
--

ALTER TABLE ONLY task ALTER COLUMN id SET DEFAULT nextval('task_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: company_ru; Owner: -
--

ALTER TABLE ONLY ticket ALTER COLUMN id SET DEFAULT nextval('ticket_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: company_ru; Owner: -
--

ALTER TABLE ONLY ticket_class ALTER COLUMN id SET DEFAULT nextval('ticket_class_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: company_ru; Owner: -
--

ALTER TABLE ONLY tour ALTER COLUMN id SET DEFAULT nextval('tour_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: company_ru; Owner: -
--

ALTER TABLE ONLY transfer ALTER COLUMN id SET DEFAULT nextval('transfer_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: company_ru; Owner: -
--

ALTER TABLE ONLY transport ALTER COLUMN id SET DEFAULT nextval('transport_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: company_ru; Owner: -
--

ALTER TABLE ONLY upload ALTER COLUMN id SET DEFAULT nextval('upload_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: company_ru; Owner: -
--

ALTER TABLE ONLY "user" ALTER COLUMN id SET DEFAULT nextval('user_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: company_ru; Owner: -
--

ALTER TABLE ONLY vat ALTER COLUMN id SET DEFAULT nextval('vat_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: company_ru; Owner: -
--

ALTER TABLE ONLY visa ALTER COLUMN id SET DEFAULT nextval('visa_id_seq'::regclass);


SET search_path = demo_ru, pg_catalog;

--
-- Name: id; Type: DEFAULT; Schema: demo_ru; Owner: -
--

ALTER TABLE ONLY accomodation ALTER COLUMN id SET DEFAULT nextval('accomodation_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: demo_ru; Owner: -
--

ALTER TABLE ONLY account ALTER COLUMN id SET DEFAULT nextval('account_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: demo_ru; Owner: -
--

ALTER TABLE ONLY account_item ALTER COLUMN id SET DEFAULT nextval('account_item_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: demo_ru; Owner: -
--

ALTER TABLE ONLY address ALTER COLUMN id SET DEFAULT nextval('address_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: demo_ru; Owner: -
--

ALTER TABLE ONLY advsource ALTER COLUMN id SET DEFAULT nextval('advsource_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: demo_ru; Owner: -
--

ALTER TABLE ONLY appointment ALTER COLUMN id SET DEFAULT nextval('appointment_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: demo_ru; Owner: -
--

ALTER TABLE ONLY bank ALTER COLUMN id SET DEFAULT nextval('bank_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: demo_ru; Owner: -
--

ALTER TABLE ONLY bank_detail ALTER COLUMN id SET DEFAULT nextval('bank_detail_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: demo_ru; Owner: -
--

ALTER TABLE ONLY bperson ALTER COLUMN id SET DEFAULT nextval('bperson_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: demo_ru; Owner: -
--

ALTER TABLE ONLY calculation ALTER COLUMN id SET DEFAULT nextval('calculation_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: demo_ru; Owner: -
--

ALTER TABLE ONLY campaign ALTER COLUMN id SET DEFAULT nextval('campaign_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: demo_ru; Owner: -
--

ALTER TABLE ONLY cashflow ALTER COLUMN id SET DEFAULT nextval('cashflow_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: demo_ru; Owner: -
--

ALTER TABLE ONLY commission ALTER COLUMN id SET DEFAULT nextval('commission_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: demo_ru; Owner: -
--

ALTER TABLE ONLY company ALTER COLUMN id SET DEFAULT nextval('company_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: demo_ru; Owner: -
--

ALTER TABLE ONLY contact ALTER COLUMN id SET DEFAULT nextval('contact_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: demo_ru; Owner: -
--

ALTER TABLE ONLY contract ALTER COLUMN id SET DEFAULT nextval('contract_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: demo_ru; Owner: -
--

ALTER TABLE ONLY country ALTER COLUMN id SET DEFAULT nextval('country_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: demo_ru; Owner: -
--

ALTER TABLE ONLY crosspayment ALTER COLUMN id SET DEFAULT nextval('crosspayment_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: demo_ru; Owner: -
--

ALTER TABLE ONLY currency ALTER COLUMN id SET DEFAULT nextval('currency_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: demo_ru; Owner: -
--

ALTER TABLE ONLY currency_rate ALTER COLUMN id SET DEFAULT nextval('currency_rate_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: demo_ru; Owner: -
--

ALTER TABLE ONLY dismissal ALTER COLUMN id SET DEFAULT nextval('dismissal_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: demo_ru; Owner: -
--

ALTER TABLE ONLY employee ALTER COLUMN id SET DEFAULT nextval('employee_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: demo_ru; Owner: -
--

ALTER TABLE ONLY foodcat ALTER COLUMN id SET DEFAULT nextval('foodcat_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: demo_ru; Owner: -
--

ALTER TABLE ONLY hotel ALTER COLUMN id SET DEFAULT nextval('hotel_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: demo_ru; Owner: -
--

ALTER TABLE ONLY hotelcat ALTER COLUMN id SET DEFAULT nextval('hotelcat_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: demo_ru; Owner: -
--

ALTER TABLE ONLY income ALTER COLUMN id SET DEFAULT nextval('income_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: demo_ru; Owner: -
--

ALTER TABLE ONLY invoice ALTER COLUMN id SET DEFAULT nextval('invoice_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: demo_ru; Owner: -
--

ALTER TABLE ONLY invoice_item ALTER COLUMN id SET DEFAULT nextval('invoice_item_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: demo_ru; Owner: -
--

ALTER TABLE ONLY lead ALTER COLUMN id SET DEFAULT nextval('lead_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: demo_ru; Owner: -
--

ALTER TABLE ONLY lead_item ALTER COLUMN id SET DEFAULT nextval('lead_item_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: demo_ru; Owner: -
--

ALTER TABLE ONLY lead_offer ALTER COLUMN id SET DEFAULT nextval('lead_offer_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: demo_ru; Owner: -
--

ALTER TABLE ONLY location ALTER COLUMN id SET DEFAULT nextval('location_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: demo_ru; Owner: -
--

ALTER TABLE ONLY navigation ALTER COLUMN id SET DEFAULT nextval('navigation_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: demo_ru; Owner: -
--

ALTER TABLE ONLY note ALTER COLUMN id SET DEFAULT nextval('note_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: demo_ru; Owner: -
--

ALTER TABLE ONLY notification ALTER COLUMN id SET DEFAULT nextval('notification_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: demo_ru; Owner: -
--

ALTER TABLE ONLY "order" ALTER COLUMN id SET DEFAULT nextval('order_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: demo_ru; Owner: -
--

ALTER TABLE ONLY order_item ALTER COLUMN id SET DEFAULT nextval('order_item_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: demo_ru; Owner: -
--

ALTER TABLE ONLY outgoing ALTER COLUMN id SET DEFAULT nextval('outgoing_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: demo_ru; Owner: -
--

ALTER TABLE ONLY passport ALTER COLUMN id SET DEFAULT nextval('passport_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: demo_ru; Owner: -
--

ALTER TABLE ONLY permision ALTER COLUMN id SET DEFAULT nextval('permision_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: demo_ru; Owner: -
--

ALTER TABLE ONLY person ALTER COLUMN id SET DEFAULT nextval('person_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: demo_ru; Owner: -
--

ALTER TABLE ONLY person_category ALTER COLUMN id SET DEFAULT nextval('person_category_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: demo_ru; Owner: -
--

ALTER TABLE ONLY "position" ALTER COLUMN id SET DEFAULT nextval('position_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: demo_ru; Owner: -
--

ALTER TABLE ONLY region ALTER COLUMN id SET DEFAULT nextval('region_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: demo_ru; Owner: -
--

ALTER TABLE ONLY resource ALTER COLUMN id SET DEFAULT nextval('resource_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: demo_ru; Owner: -
--

ALTER TABLE ONLY resource_log ALTER COLUMN id SET DEFAULT nextval('resource_log_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: demo_ru; Owner: -
--

ALTER TABLE ONLY resource_type ALTER COLUMN id SET DEFAULT nextval('resource_type_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: demo_ru; Owner: -
--

ALTER TABLE ONLY roomcat ALTER COLUMN id SET DEFAULT nextval('roomcat_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: demo_ru; Owner: -
--

ALTER TABLE ONLY service ALTER COLUMN id SET DEFAULT nextval('service_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: demo_ru; Owner: -
--

ALTER TABLE ONLY spassport ALTER COLUMN id SET DEFAULT nextval('spassport_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: demo_ru; Owner: -
--

ALTER TABLE ONLY structure ALTER COLUMN id SET DEFAULT nextval('structure_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: demo_ru; Owner: -
--

ALTER TABLE ONLY subaccount ALTER COLUMN id SET DEFAULT nextval('subaccount_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: demo_ru; Owner: -
--

ALTER TABLE ONLY supplier ALTER COLUMN id SET DEFAULT nextval('supplier_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: demo_ru; Owner: -
--

ALTER TABLE ONLY supplier_type ALTER COLUMN id SET DEFAULT nextval('supplier_type_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: demo_ru; Owner: -
--

ALTER TABLE ONLY task ALTER COLUMN id SET DEFAULT nextval('task_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: demo_ru; Owner: -
--

ALTER TABLE ONLY ticket ALTER COLUMN id SET DEFAULT nextval('ticket_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: demo_ru; Owner: -
--

ALTER TABLE ONLY ticket_class ALTER COLUMN id SET DEFAULT nextval('ticket_class_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: demo_ru; Owner: -
--

ALTER TABLE ONLY tour ALTER COLUMN id SET DEFAULT nextval('tour_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: demo_ru; Owner: -
--

ALTER TABLE ONLY transfer ALTER COLUMN id SET DEFAULT nextval('transfer_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: demo_ru; Owner: -
--

ALTER TABLE ONLY transport ALTER COLUMN id SET DEFAULT nextval('transport_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: demo_ru; Owner: -
--

ALTER TABLE ONLY upload ALTER COLUMN id SET DEFAULT nextval('upload_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: demo_ru; Owner: -
--

ALTER TABLE ONLY "user" ALTER COLUMN id SET DEFAULT nextval('user_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: demo_ru; Owner: -
--

ALTER TABLE ONLY vat ALTER COLUMN id SET DEFAULT nextval('vat_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: demo_ru; Owner: -
--

ALTER TABLE ONLY visa ALTER COLUMN id SET DEFAULT nextval('visa_id_seq'::regclass);


SET search_path = public, pg_catalog;

--
-- Name: id; Type: DEFAULT; Schema: public; Owner: -
--

ALTER TABLE ONLY accomodation ALTER COLUMN id SET DEFAULT nextval('accomodation_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: -
--

ALTER TABLE ONLY account ALTER COLUMN id SET DEFAULT nextval('account_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: -
--

ALTER TABLE ONLY account_item ALTER COLUMN id SET DEFAULT nextval('account_item_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: -
--

ALTER TABLE ONLY address ALTER COLUMN id SET DEFAULT nextval('address_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: -
--

ALTER TABLE ONLY advsource ALTER COLUMN id SET DEFAULT nextval('advsource_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: -
--

ALTER TABLE ONLY appointment ALTER COLUMN id SET DEFAULT nextval('employees_appointments_h_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: -
--

ALTER TABLE ONLY bank ALTER COLUMN id SET DEFAULT nextval('bank_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: -
--

ALTER TABLE ONLY bank_detail ALTER COLUMN id SET DEFAULT nextval('bank_detail_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: -
--

ALTER TABLE ONLY bperson ALTER COLUMN id SET DEFAULT nextval('bperson_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: -
--

ALTER TABLE ONLY calculation ALTER COLUMN id SET DEFAULT nextval('calculation_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: -
--

ALTER TABLE ONLY campaign ALTER COLUMN id SET DEFAULT nextval('campaign_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: -
--

ALTER TABLE ONLY cashflow ALTER COLUMN id SET DEFAULT nextval('transfer_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: -
--

ALTER TABLE ONLY commission ALTER COLUMN id SET DEFAULT nextval('commission_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: -
--

ALTER TABLE ONLY company ALTER COLUMN id SET DEFAULT nextval('company_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: -
--

ALTER TABLE ONLY contact ALTER COLUMN id SET DEFAULT nextval('contact_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: -
--

ALTER TABLE ONLY contract ALTER COLUMN id SET DEFAULT nextval('licence_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: -
--

ALTER TABLE ONLY country ALTER COLUMN id SET DEFAULT nextval('country_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: -
--

ALTER TABLE ONLY crosspayment ALTER COLUMN id SET DEFAULT nextval('crosspayment_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: -
--

ALTER TABLE ONLY currency ALTER COLUMN id SET DEFAULT nextval('currency_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: -
--

ALTER TABLE ONLY currency_rate ALTER COLUMN id SET DEFAULT nextval('currency_rate_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: -
--

ALTER TABLE ONLY dismissal ALTER COLUMN id SET DEFAULT nextval('dismissal_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: -
--

ALTER TABLE ONLY employee ALTER COLUMN id SET DEFAULT nextval('employee_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: -
--

ALTER TABLE ONLY foodcat ALTER COLUMN id SET DEFAULT nextval('foodcat_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: -
--

ALTER TABLE ONLY hotel ALTER COLUMN id SET DEFAULT nextval('hotel_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: -
--

ALTER TABLE ONLY hotelcat ALTER COLUMN id SET DEFAULT nextval('hotelcat_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: -
--

ALTER TABLE ONLY income ALTER COLUMN id SET DEFAULT nextval('income_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: -
--

ALTER TABLE ONLY invoice ALTER COLUMN id SET DEFAULT nextval('invoice_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: -
--

ALTER TABLE ONLY invoice_item ALTER COLUMN id SET DEFAULT nextval('invoice_item_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: -
--

ALTER TABLE ONLY lead ALTER COLUMN id SET DEFAULT nextval('lead_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: -
--

ALTER TABLE ONLY lead_item ALTER COLUMN id SET DEFAULT nextval('lead_item_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: -
--

ALTER TABLE ONLY lead_offer ALTER COLUMN id SET DEFAULT nextval('lead_offer_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: -
--

ALTER TABLE ONLY location ALTER COLUMN id SET DEFAULT nextval('location_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: -
--

ALTER TABLE ONLY navigation ALTER COLUMN id SET DEFAULT nextval('positions_navigations_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: -
--

ALTER TABLE ONLY note ALTER COLUMN id SET DEFAULT nextval('note_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: -
--

ALTER TABLE ONLY notification ALTER COLUMN id SET DEFAULT nextval('notification_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: -
--

ALTER TABLE ONLY "order" ALTER COLUMN id SET DEFAULT nextval('order_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: -
--

ALTER TABLE ONLY order_item ALTER COLUMN id SET DEFAULT nextval('order_item_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: -
--

ALTER TABLE ONLY outgoing ALTER COLUMN id SET DEFAULT nextval('outgoing_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: -
--

ALTER TABLE ONLY passport ALTER COLUMN id SET DEFAULT nextval('passport_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: -
--

ALTER TABLE ONLY permision ALTER COLUMN id SET DEFAULT nextval('positions_permisions_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: -
--

ALTER TABLE ONLY person ALTER COLUMN id SET DEFAULT nextval('person_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: -
--

ALTER TABLE ONLY person_category ALTER COLUMN id SET DEFAULT nextval('person_category_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: -
--

ALTER TABLE ONLY "position" ALTER COLUMN id SET DEFAULT nextval('companies_positions_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: -
--

ALTER TABLE ONLY region ALTER COLUMN id SET DEFAULT nextval('region_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: -
--

ALTER TABLE ONLY resource ALTER COLUMN id SET DEFAULT nextval('resource_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: -
--

ALTER TABLE ONLY resource_log ALTER COLUMN id SET DEFAULT nextval('resource_log_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: -
--

ALTER TABLE ONLY resource_type ALTER COLUMN id SET DEFAULT nextval('resource_type_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: -
--

ALTER TABLE ONLY roomcat ALTER COLUMN id SET DEFAULT nextval('roomcat_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: -
--

ALTER TABLE ONLY service ALTER COLUMN id SET DEFAULT nextval('service_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: -
--

ALTER TABLE ONLY spassport ALTER COLUMN id SET DEFAULT nextval('spassport_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: -
--

ALTER TABLE ONLY structure ALTER COLUMN id SET DEFAULT nextval('structures_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: -
--

ALTER TABLE ONLY subaccount ALTER COLUMN id SET DEFAULT nextval('subaccount_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: -
--

ALTER TABLE ONLY supplier ALTER COLUMN id SET DEFAULT nextval('touroperator_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: -
--

ALTER TABLE ONLY supplier_type ALTER COLUMN id SET DEFAULT nextval('supplier_type_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: -
--

ALTER TABLE ONLY task ALTER COLUMN id SET DEFAULT nextval('task_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: -
--

ALTER TABLE ONLY ticket ALTER COLUMN id SET DEFAULT nextval('ticket_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: -
--

ALTER TABLE ONLY ticket_class ALTER COLUMN id SET DEFAULT nextval('ticket_class_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: -
--

ALTER TABLE ONLY tour ALTER COLUMN id SET DEFAULT nextval('tour_id_seq1'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: -
--

ALTER TABLE ONLY transfer ALTER COLUMN id SET DEFAULT nextval('transfer_id_seq1'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: -
--

ALTER TABLE ONLY transport ALTER COLUMN id SET DEFAULT nextval('transport_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: -
--

ALTER TABLE ONLY upload ALTER COLUMN id SET DEFAULT nextval('upload_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: -
--

ALTER TABLE ONLY "user" ALTER COLUMN id SET DEFAULT nextval('user_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: -
--

ALTER TABLE ONLY vat ALTER COLUMN id SET DEFAULT nextval('vat_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: -
--

ALTER TABLE ONLY visa ALTER COLUMN id SET DEFAULT nextval('visa_id_seq'::regclass);


SET search_path = test, pg_catalog;

--
-- Name: id; Type: DEFAULT; Schema: test; Owner: -
--

ALTER TABLE ONLY accomodation ALTER COLUMN id SET DEFAULT nextval('accomodation_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: test; Owner: -
--

ALTER TABLE ONLY account ALTER COLUMN id SET DEFAULT nextval('account_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: test; Owner: -
--

ALTER TABLE ONLY account_item ALTER COLUMN id SET DEFAULT nextval('account_item_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: test; Owner: -
--

ALTER TABLE ONLY address ALTER COLUMN id SET DEFAULT nextval('address_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: test; Owner: -
--

ALTER TABLE ONLY advsource ALTER COLUMN id SET DEFAULT nextval('advsource_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: test; Owner: -
--

ALTER TABLE ONLY appointment ALTER COLUMN id SET DEFAULT nextval('appointment_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: test; Owner: -
--

ALTER TABLE ONLY bank ALTER COLUMN id SET DEFAULT nextval('bank_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: test; Owner: -
--

ALTER TABLE ONLY bank_detail ALTER COLUMN id SET DEFAULT nextval('bank_detail_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: test; Owner: -
--

ALTER TABLE ONLY bperson ALTER COLUMN id SET DEFAULT nextval('bperson_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: test; Owner: -
--

ALTER TABLE ONLY calculation ALTER COLUMN id SET DEFAULT nextval('calculation_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: test; Owner: -
--

ALTER TABLE ONLY campaign ALTER COLUMN id SET DEFAULT nextval('campaign_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: test; Owner: -
--

ALTER TABLE ONLY cashflow ALTER COLUMN id SET DEFAULT nextval('cashflow_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: test; Owner: -
--

ALTER TABLE ONLY commission ALTER COLUMN id SET DEFAULT nextval('commission_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: test; Owner: -
--

ALTER TABLE ONLY company ALTER COLUMN id SET DEFAULT nextval('company_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: test; Owner: -
--

ALTER TABLE ONLY contact ALTER COLUMN id SET DEFAULT nextval('contact_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: test; Owner: -
--

ALTER TABLE ONLY contract ALTER COLUMN id SET DEFAULT nextval('contract_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: test; Owner: -
--

ALTER TABLE ONLY country ALTER COLUMN id SET DEFAULT nextval('country_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: test; Owner: -
--

ALTER TABLE ONLY crosspayment ALTER COLUMN id SET DEFAULT nextval('crosspayment_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: test; Owner: -
--

ALTER TABLE ONLY currency ALTER COLUMN id SET DEFAULT nextval('currency_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: test; Owner: -
--

ALTER TABLE ONLY currency_rate ALTER COLUMN id SET DEFAULT nextval('currency_rate_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: test; Owner: -
--

ALTER TABLE ONLY dismissal ALTER COLUMN id SET DEFAULT nextval('dismissal_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: test; Owner: -
--

ALTER TABLE ONLY employee ALTER COLUMN id SET DEFAULT nextval('employee_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: test; Owner: -
--

ALTER TABLE ONLY foodcat ALTER COLUMN id SET DEFAULT nextval('foodcat_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: test; Owner: -
--

ALTER TABLE ONLY hotel ALTER COLUMN id SET DEFAULT nextval('hotel_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: test; Owner: -
--

ALTER TABLE ONLY hotelcat ALTER COLUMN id SET DEFAULT nextval('hotelcat_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: test; Owner: -
--

ALTER TABLE ONLY income ALTER COLUMN id SET DEFAULT nextval('income_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: test; Owner: -
--

ALTER TABLE ONLY invoice ALTER COLUMN id SET DEFAULT nextval('invoice_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: test; Owner: -
--

ALTER TABLE ONLY invoice_item ALTER COLUMN id SET DEFAULT nextval('invoice_item_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: test; Owner: -
--

ALTER TABLE ONLY lead ALTER COLUMN id SET DEFAULT nextval('lead_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: test; Owner: -
--

ALTER TABLE ONLY lead_item ALTER COLUMN id SET DEFAULT nextval('lead_item_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: test; Owner: -
--

ALTER TABLE ONLY lead_offer ALTER COLUMN id SET DEFAULT nextval('lead_offer_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: test; Owner: -
--

ALTER TABLE ONLY location ALTER COLUMN id SET DEFAULT nextval('location_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: test; Owner: -
--

ALTER TABLE ONLY navigation ALTER COLUMN id SET DEFAULT nextval('navigation_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: test; Owner: -
--

ALTER TABLE ONLY note ALTER COLUMN id SET DEFAULT nextval('note_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: test; Owner: -
--

ALTER TABLE ONLY notification ALTER COLUMN id SET DEFAULT nextval('notification_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: test; Owner: -
--

ALTER TABLE ONLY "order" ALTER COLUMN id SET DEFAULT nextval('order_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: test; Owner: -
--

ALTER TABLE ONLY order_item ALTER COLUMN id SET DEFAULT nextval('order_item_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: test; Owner: -
--

ALTER TABLE ONLY outgoing ALTER COLUMN id SET DEFAULT nextval('outgoing_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: test; Owner: -
--

ALTER TABLE ONLY passport ALTER COLUMN id SET DEFAULT nextval('passport_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: test; Owner: -
--

ALTER TABLE ONLY permision ALTER COLUMN id SET DEFAULT nextval('permision_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: test; Owner: -
--

ALTER TABLE ONLY person ALTER COLUMN id SET DEFAULT nextval('person_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: test; Owner: -
--

ALTER TABLE ONLY person_category ALTER COLUMN id SET DEFAULT nextval('person_category_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: test; Owner: -
--

ALTER TABLE ONLY "position" ALTER COLUMN id SET DEFAULT nextval('position_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: test; Owner: -
--

ALTER TABLE ONLY region ALTER COLUMN id SET DEFAULT nextval('region_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: test; Owner: -
--

ALTER TABLE ONLY resource ALTER COLUMN id SET DEFAULT nextval('resource_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: test; Owner: -
--

ALTER TABLE ONLY resource_log ALTER COLUMN id SET DEFAULT nextval('resource_log_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: test; Owner: -
--

ALTER TABLE ONLY resource_type ALTER COLUMN id SET DEFAULT nextval('resource_type_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: test; Owner: -
--

ALTER TABLE ONLY roomcat ALTER COLUMN id SET DEFAULT nextval('roomcat_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: test; Owner: -
--

ALTER TABLE ONLY service ALTER COLUMN id SET DEFAULT nextval('service_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: test; Owner: -
--

ALTER TABLE ONLY spassport ALTER COLUMN id SET DEFAULT nextval('spassport_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: test; Owner: -
--

ALTER TABLE ONLY structure ALTER COLUMN id SET DEFAULT nextval('structure_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: test; Owner: -
--

ALTER TABLE ONLY subaccount ALTER COLUMN id SET DEFAULT nextval('subaccount_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: test; Owner: -
--

ALTER TABLE ONLY supplier ALTER COLUMN id SET DEFAULT nextval('supplier_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: test; Owner: -
--

ALTER TABLE ONLY supplier_type ALTER COLUMN id SET DEFAULT nextval('supplier_type_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: test; Owner: -
--

ALTER TABLE ONLY task ALTER COLUMN id SET DEFAULT nextval('task_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: test; Owner: -
--

ALTER TABLE ONLY ticket ALTER COLUMN id SET DEFAULT nextval('ticket_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: test; Owner: -
--

ALTER TABLE ONLY ticket_class ALTER COLUMN id SET DEFAULT nextval('ticket_class_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: test; Owner: -
--

ALTER TABLE ONLY tour ALTER COLUMN id SET DEFAULT nextval('tour_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: test; Owner: -
--

ALTER TABLE ONLY transfer ALTER COLUMN id SET DEFAULT nextval('transfer_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: test; Owner: -
--

ALTER TABLE ONLY transport ALTER COLUMN id SET DEFAULT nextval('transport_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: test; Owner: -
--

ALTER TABLE ONLY upload ALTER COLUMN id SET DEFAULT nextval('upload_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: test; Owner: -
--

ALTER TABLE ONLY "user" ALTER COLUMN id SET DEFAULT nextval('user_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: test; Owner: -
--

ALTER TABLE ONLY vat ALTER COLUMN id SET DEFAULT nextval('vat_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: test; Owner: -
--

ALTER TABLE ONLY visa ALTER COLUMN id SET DEFAULT nextval('visa_id_seq'::regclass);


SET search_path = company_en, pg_catalog;

--
-- Data for Name: accomodation; Type: TABLE DATA; Schema: company_en; Owner: -
--

COPY accomodation (id, resource_id, name) FROM stdin;
\.


--
-- Name: accomodation_id_seq; Type: SEQUENCE SET; Schema: company_en; Owner: -
--

SELECT pg_catalog.setval('accomodation_id_seq', 1, true);


--
-- Data for Name: account; Type: TABLE DATA; Schema: company_en; Owner: -
--

COPY account (id, resource_id, currency_id, account_type, name, display_text, status, descr) FROM stdin;
\.


--
-- Name: account_id_seq; Type: SEQUENCE SET; Schema: company_en; Owner: -
--

SELECT pg_catalog.setval('account_id_seq', 1, true);


--
-- Data for Name: account_item; Type: TABLE DATA; Schema: company_en; Owner: -
--

COPY account_item (id, resource_id, parent_id, name, type, status, descr) FROM stdin;
\.


--
-- Name: account_item_id_seq; Type: SEQUENCE SET; Schema: company_en; Owner: -
--

SELECT pg_catalog.setval('account_item_id_seq', 2, true);


--
-- Data for Name: address; Type: TABLE DATA; Schema: company_en; Owner: -
--

COPY address (id, resource_id, location_id, zip_code, address) FROM stdin;
\.


--
-- Name: address_id_seq; Type: SEQUENCE SET; Schema: company_en; Owner: -
--

SELECT pg_catalog.setval('address_id_seq', 1, true);


--
-- Data for Name: advsource; Type: TABLE DATA; Schema: company_en; Owner: -
--

COPY advsource (id, resource_id, name) FROM stdin;
\.


--
-- Name: advsource_id_seq; Type: SEQUENCE SET; Schema: company_en; Owner: -
--

SELECT pg_catalog.setval('advsource_id_seq', 1, true);


--
-- Data for Name: alembic_version; Type: TABLE DATA; Schema: company_en; Owner: -
--

COPY alembic_version (version_num) FROM stdin;
0dde2b383d6b
\.


--
-- Data for Name: appointment; Type: TABLE DATA; Schema: company_en; Owner: -
--

COPY appointment (id, resource_id, date, employee_id, position_id, salary, currency_id) FROM stdin;
1	789	2014-02-02	2	4	1000.00	54
\.


--
-- Name: appointment_id_seq; Type: SEQUENCE SET; Schema: company_en; Owner: -
--

SELECT pg_catalog.setval('appointment_id_seq', 12, true);


--
-- Data for Name: bank; Type: TABLE DATA; Schema: company_en; Owner: -
--

COPY bank (id, resource_id, name) FROM stdin;
\.


--
-- Data for Name: bank_address; Type: TABLE DATA; Schema: company_en; Owner: -
--

COPY bank_address (bank_id, address_id) FROM stdin;
\.


--
-- Data for Name: bank_detail; Type: TABLE DATA; Schema: company_en; Owner: -
--

COPY bank_detail (id, resource_id, currency_id, bank_id, beneficiary, account, swift_code) FROM stdin;
\.


--
-- Name: bank_detail_id_seq; Type: SEQUENCE SET; Schema: company_en; Owner: -
--

SELECT pg_catalog.setval('bank_detail_id_seq', 1, true);


--
-- Name: bank_id_seq; Type: SEQUENCE SET; Schema: company_en; Owner: -
--

SELECT pg_catalog.setval('bank_id_seq', 1, true);


--
-- Data for Name: bperson; Type: TABLE DATA; Schema: company_en; Owner: -
--

COPY bperson (id, resource_id, first_name, last_name, second_name, position_name, status, descr) FROM stdin;
\.


--
-- Data for Name: bperson_contact; Type: TABLE DATA; Schema: company_en; Owner: -
--

COPY bperson_contact (bperson_id, contact_id) FROM stdin;
\.


--
-- Name: bperson_id_seq; Type: SEQUENCE SET; Schema: company_en; Owner: -
--

SELECT pg_catalog.setval('bperson_id_seq', 1, true);


--
-- Data for Name: calculation; Type: TABLE DATA; Schema: company_en; Owner: -
--

COPY calculation (id, resource_id, order_item_id, contract_id, price) FROM stdin;
\.


--
-- Name: calculation_id_seq; Type: SEQUENCE SET; Schema: company_en; Owner: -
--

SELECT pg_catalog.setval('calculation_id_seq', 1, true);


--
-- Data for Name: campaign; Type: TABLE DATA; Schema: company_en; Owner: -
--

COPY campaign (id, resource_id, name, subject, plain_content, html_content, start_dt, status) FROM stdin;
\.


--
-- Name: campaign_id_seq; Type: SEQUENCE SET; Schema: company_en; Owner: -
--

SELECT pg_catalog.setval('campaign_id_seq', 1, true);


--
-- Data for Name: cashflow; Type: TABLE DATA; Schema: company_en; Owner: -
--

COPY cashflow (id, subaccount_from_id, subaccount_to_id, account_item_id, sum, vat, date) FROM stdin;
\.


--
-- Name: cashflow_id_seq; Type: SEQUENCE SET; Schema: company_en; Owner: -
--

SELECT pg_catalog.setval('cashflow_id_seq', 1, true);


--
-- Data for Name: commission; Type: TABLE DATA; Schema: company_en; Owner: -
--

COPY commission (id, resource_id, service_id, percentage, price, currency_id, descr) FROM stdin;
\.


--
-- Name: commission_id_seq; Type: SEQUENCE SET; Schema: company_en; Owner: -
--

SELECT pg_catalog.setval('commission_id_seq', 1, true);


--
-- Data for Name: company; Type: TABLE DATA; Schema: company_en; Owner: -
--

COPY company (id, resource_id, currency_id, name, email, settings) FROM stdin;
1	1970	57	My Company	my.email@dot.com	{"locale": "en", "timezone": "America/Los_Angeles"}
\.


--
-- Name: company_id_seq; Type: SEQUENCE SET; Schema: company_en; Owner: -
--

SELECT pg_catalog.setval('company_id_seq', 1, true);


--
-- Data for Name: company_subaccount; Type: TABLE DATA; Schema: company_en; Owner: -
--

COPY company_subaccount (company_id, subaccount_id) FROM stdin;
\.


--
-- Data for Name: contact; Type: TABLE DATA; Schema: company_en; Owner: -
--

COPY contact (id, resource_id, contact_type, contact, status, descr) FROM stdin;
\.


--
-- Name: contact_id_seq; Type: SEQUENCE SET; Schema: company_en; Owner: -
--

SELECT pg_catalog.setval('contact_id_seq', 1, true);


--
-- Data for Name: contract; Type: TABLE DATA; Schema: company_en; Owner: -
--

COPY contract (id, resource_id, num, date, status, descr) FROM stdin;
\.


--
-- Data for Name: contract_commission; Type: TABLE DATA; Schema: company_en; Owner: -
--

COPY contract_commission (contract_id, commission_id) FROM stdin;
\.


--
-- Name: contract_id_seq; Type: SEQUENCE SET; Schema: company_en; Owner: -
--

SELECT pg_catalog.setval('contract_id_seq', 1, true);


--
-- Data for Name: country; Type: TABLE DATA; Schema: company_en; Owner: -
--

COPY country (id, resource_id, iso_code, name) FROM stdin;
3	878	UA	Ukraine
4	880	EG	Egypt
5	881	TR	Turkey
6	882	GB	United Kingdom
7	883	US	United States
8	884	TH	Thailand
9	1095	RU	Russian Federation
12	1164	HR	Croatia
13	1169	AE	United Arab Emirates
14	1178	ES	Spain
16	1339	CY	Cyprus
17	1343	IT	Italy
11	1100	DE	Germany
18	1351	GR	Greece
19	1646	FR	France
21	2270	PL	Poland
\.


--
-- Name: country_id_seq; Type: SEQUENCE SET; Schema: company_en; Owner: -
--

SELECT pg_catalog.setval('country_id_seq', 21, true);


--
-- Data for Name: crosspayment; Type: TABLE DATA; Schema: company_en; Owner: -
--

COPY crosspayment (id, resource_id, cashflow_id, descr) FROM stdin;
\.


--
-- Name: crosspayment_id_seq; Type: SEQUENCE SET; Schema: company_en; Owner: -
--

SELECT pg_catalog.setval('crosspayment_id_seq', 1, true);


--
-- Data for Name: currency; Type: TABLE DATA; Schema: company_en; Owner: -
--

COPY currency (id, resource_id, iso_code) FROM stdin;
44	849	RUB
50	1060	KZT
52	1168	BYR
54	1240	EUR
56	1310	UAH
57	1311	USD
\.


--
-- Name: currency_id_seq; Type: SEQUENCE SET; Schema: company_en; Owner: -
--

SELECT pg_catalog.setval('currency_id_seq', 57, true);


--
-- Data for Name: currency_rate; Type: TABLE DATA; Schema: company_en; Owner: -
--

COPY currency_rate (id, resource_id, currency_id, supplier_id, date, rate) FROM stdin;
\.


--
-- Name: currency_rate_id_seq; Type: SEQUENCE SET; Schema: company_en; Owner: -
--

SELECT pg_catalog.setval('currency_rate_id_seq', 1, true);


--
-- Data for Name: dismissal; Type: TABLE DATA; Schema: company_en; Owner: -
--

COPY dismissal (id, resource_id, date, employee_id) FROM stdin;
\.


--
-- Name: dismissal_id_seq; Type: SEQUENCE SET; Schema: company_en; Owner: -
--

SELECT pg_catalog.setval('dismissal_id_seq', 1, true);


--
-- Data for Name: employee; Type: TABLE DATA; Schema: company_en; Owner: -
--

COPY employee (id, resource_id, photo_upload_id, first_name, last_name, second_name, itn) FROM stdin;
2	784	\N	John	Doe	\N	\N
\.


--
-- Data for Name: employee_address; Type: TABLE DATA; Schema: company_en; Owner: -
--

COPY employee_address (employee_id, address_id) FROM stdin;
\.


--
-- Data for Name: employee_contact; Type: TABLE DATA; Schema: company_en; Owner: -
--

COPY employee_contact (employee_id, contact_id) FROM stdin;
\.


--
-- Name: employee_id_seq; Type: SEQUENCE SET; Schema: company_en; Owner: -
--

SELECT pg_catalog.setval('employee_id_seq', 32, true);


--
-- Data for Name: employee_notification; Type: TABLE DATA; Schema: company_en; Owner: -
--

COPY employee_notification (employee_id, notification_id, status) FROM stdin;
\.


--
-- Data for Name: employee_passport; Type: TABLE DATA; Schema: company_en; Owner: -
--

COPY employee_passport (employee_id, passport_id) FROM stdin;
\.


--
-- Data for Name: employee_subaccount; Type: TABLE DATA; Schema: company_en; Owner: -
--

COPY employee_subaccount (employee_id, subaccount_id) FROM stdin;
\.


--
-- Data for Name: employee_upload; Type: TABLE DATA; Schema: company_en; Owner: -
--

COPY employee_upload (employee_id, upload_id) FROM stdin;
\.


--
-- Data for Name: foodcat; Type: TABLE DATA; Schema: company_en; Owner: -
--

COPY foodcat (id, resource_id, name) FROM stdin;
\.


--
-- Name: foodcat_id_seq; Type: SEQUENCE SET; Schema: company_en; Owner: -
--

SELECT pg_catalog.setval('foodcat_id_seq', 1, true);


--
-- Data for Name: hotel; Type: TABLE DATA; Schema: company_en; Owner: -
--

COPY hotel (id, resource_id, hotelcat_id, location_id, name) FROM stdin;
\.


--
-- Name: hotel_id_seq; Type: SEQUENCE SET; Schema: company_en; Owner: -
--

SELECT pg_catalog.setval('hotel_id_seq', 1, true);


--
-- Data for Name: hotelcat; Type: TABLE DATA; Schema: company_en; Owner: -
--

COPY hotelcat (id, resource_id, name) FROM stdin;
\.


--
-- Name: hotelcat_id_seq; Type: SEQUENCE SET; Schema: company_en; Owner: -
--

SELECT pg_catalog.setval('hotelcat_id_seq', 1, true);


--
-- Data for Name: income; Type: TABLE DATA; Schema: company_en; Owner: -
--

COPY income (id, resource_id, invoice_id, account_item_id, sum, date, descr) FROM stdin;
\.


--
-- Data for Name: income_cashflow; Type: TABLE DATA; Schema: company_en; Owner: -
--

COPY income_cashflow (income_id, cashflow_id) FROM stdin;
\.


--
-- Name: income_id_seq; Type: SEQUENCE SET; Schema: company_en; Owner: -
--

SELECT pg_catalog.setval('income_id_seq', 1, true);


--
-- Data for Name: invoice; Type: TABLE DATA; Schema: company_en; Owner: -
--

COPY invoice (id, date, active_until, resource_id, order_id, account_id, descr) FROM stdin;
\.


--
-- Name: invoice_id_seq; Type: SEQUENCE SET; Schema: company_en; Owner: -
--

SELECT pg_catalog.setval('invoice_id_seq', 1, true);


--
-- Data for Name: invoice_item; Type: TABLE DATA; Schema: company_en; Owner: -
--

COPY invoice_item (id, invoice_id, order_item_id, price, vat, discount, descr) FROM stdin;
\.


--
-- Name: invoice_item_id_seq; Type: SEQUENCE SET; Schema: company_en; Owner: -
--

SELECT pg_catalog.setval('invoice_item_id_seq', 1, true);


--
-- Data for Name: lead; Type: TABLE DATA; Schema: company_en; Owner: -
--

COPY lead (id, lead_date, resource_id, advsource_id, customer_id, status, descr) FROM stdin;
\.


--
-- Name: lead_id_seq; Type: SEQUENCE SET; Schema: company_en; Owner: -
--

SELECT pg_catalog.setval('lead_id_seq', 1, true);


--
-- Data for Name: lead_item; Type: TABLE DATA; Schema: company_en; Owner: -
--

COPY lead_item (id, resource_id, lead_id, service_id, currency_id, price_from, price_to, descr) FROM stdin;
\.


--
-- Name: lead_item_id_seq; Type: SEQUENCE SET; Schema: company_en; Owner: -
--

SELECT pg_catalog.setval('lead_item_id_seq', 1, true);


--
-- Data for Name: lead_offer; Type: TABLE DATA; Schema: company_en; Owner: -
--

COPY lead_offer (id, resource_id, lead_id, service_id, currency_id, supplier_id, price, status, descr) FROM stdin;
\.


--
-- Name: lead_offer_id_seq; Type: SEQUENCE SET; Schema: company_en; Owner: -
--

SELECT pg_catalog.setval('lead_offer_id_seq', 1, true);


--
-- Data for Name: location; Type: TABLE DATA; Schema: company_en; Owner: -
--

COPY location (id, resource_id, region_id, name) FROM stdin;
\.


--
-- Name: location_id_seq; Type: SEQUENCE SET; Schema: company_en; Owner: -
--

SELECT pg_catalog.setval('location_id_seq', 1, true);


--
-- Data for Name: navigation; Type: TABLE DATA; Schema: company_en; Owner: -
--

COPY navigation (id, resource_id, position_id, parent_id, name, url, action, icon_cls, separator_before, sort_order) FROM stdin;
53	1394	4	\N	Finance	/	\N	fa fa-credit-card	f	7
156	1905	4	53	Billing	/	\N	\N	f	10
107	1777	4	\N	Home	/	\N	fa fa-home	f	1
32	998	4	\N	Sales	/	\N	fa fa-legal	f	2
21	864	4	\N	Clientage	/	\N	fa fa-briefcase	f	3
26	900	4	\N	Marketing	/	\N	fa fa-bullhorn	f	4
10	780	4	\N	HR	/	\N	fa fa-group	f	5
18	837	4	\N	Company	/	\N	fa fa-building-o	f	6
23	873	4	\N	Directories	/	\N	fa fa-book	f	8
152	1895	4	\N	Reports	/	\N	fa fa-pie-chart	f	9
155	1904	4	53	Payments	/	\N	\N	f	12
157	1906	4	53	Currencies		\N	\N	t	7
42	1080	4	159	Hotels List	/hotels	\N	\N	f	5
43	1089	4	158	Locations	/locations	\N	\N	f	3
50	1312	4	53	Services List	/services	\N	\N	f	6
45	1212	4	53	Banks	/banks	tab_open	\N	f	6
153	1896	4	152	Turnovers	/turnovers	tab_open	\N	f	2
51	1368	4	32	Invoices	/invoices	tab_open	\N	t	5
9	779	4	8	Resource Types	/resources_types	\N	\N	f	1
13	790	4	10	Employees	/employees	\N	\N	f	1
54	1395	4	157	Currencies Rates	/currencies_rates	\N	\N	f	8
55	1425	4	156	Accounts Items	/accounts_items	\N	\N	f	3
56	1434	4	155	Income Payments	/incomes	\N	\N	f	9
57	1436	4	156	Accounts	/accounts	\N	\N	f	1
14	791	4	10	Employees Appointments	/appointments	\N	\N	f	2
174	2514	4	156	Vat Settings	/vats	tab_open	\N	t	5
15	792	4	8	Users	/users	\N	\N	f	3
17	802	4	157	Currencies List	/currencies	\N	\N	f	7
19	838	4	18	Structures	/structures	\N	\N	f	1
20	863	4	18	Positions	/positions	\N	\N	f	2
22	866	4	21	Persons	/persons	\N	\N	f	1
24	874	4	158	Countries	/countries	\N	\N	f	4
25	879	4	158	Regions	/regions	\N	\N	f	3
27	902	4	26	Advertising Sources	/advsources	\N	\N	f	1
28	910	4	159	Hotels Categories	/hotelcats	\N	\N	f	6
29	911	4	159	Rooms Categories	/roomcats	\N	\N	f	7
30	955	4	159	Accomodations	/accomodations	tab_open	\N	f	10
31	956	4	159	Food Categories	/foodcats	\N	\N	f	9
61	1571	4	155	Outgoing Payments	/outgoings	\N	\N	f	10
150	1798	4	156	Subaccounts	/subaccounts	\N	\N	f	2
151	1885	4	155	Cross Payments	/crosspayments	\N	\N	f	11
36	1008	4	23	Business Persons	/bpersons	tab_open	\N	f	4
60	1550	4	23	Suppliers	/suppliers	tab_open	\N	f	1
165	1975	4	8	Company	/companies/edit	dialog_open	\N	t	4
166	2048	4	32	Leads	/leads	tab_open	\N	f	2
168	2101	4	32	Orders	/orders	tab_open	\N	f	4
158	1907	4	23	Geography	/	\N	\N	f	10
159	1908	4	23	Hotels	/	\N	\N	t	9
169	2128	4	23	Transfers	/transfers	tab_open	\N	t	5
170	2136	4	23	Transport	/transports	tab_open	\N	f	6
171	2219	4	23	Suppliers Types	/suppliers_types	tab_open	\N	f	3
172	2222	4	23	Contracts	/contracts	tab_open	\N	f	2
173	2245	4	23	Ticket Class	/tickets_classes	tab_open	\N	f	7
175	2552	4	23	Persons Categories	/persons_categories	tab_open	\N	f	8
236	2741	4	26	Campaigns	/campaigns	tab_open	\N	t	3
237	2883	4	10	Dismissals	/dismissals	tab_open	\N	t	3
8	778	4	\N	System	/	tab_open	fa fa-cog	f	11
239	2889	4	238	Assign resources	/assigns/assign	dialog_open	\N	f	1
238	2888	4	\N	Tools	/	tab_open	fa fa-gears	f	10
41	1079	\N	\N	Home	/	\N	fa fa-home	f	1
47	1253	\N	\N	For Test	/	\N	fa fa-credit-card	f	2
182	2602	\N	\N	Home	/	\N	fa fa-home	f	1
183	2603	\N	\N	Sales	/	\N	fa fa-legal	f	2
184	2604	\N	\N	Clientage	/	\N	fa fa-briefcase	f	3
228	2648	\N	188	Geography	/	\N	\N	f	10
185	2605	\N	\N	Marketing	/	\N	fa fa-bullhorn	f	4
188	2608	\N	\N	Directories	/	\N	fa fa-book	f	8
192	2612	\N	229	Hotels List	/hotels	\N	\N	f	5
193	2613	\N	228	Locations	/locations	\N	\N	f	3
197	2617	\N	183	Invoices	/invoices	tab_open	\N	t	5
211	2631	\N	184	Persons	/persons	\N	\N	f	1
212	2632	\N	228	Countries	/countries	\N	\N	f	4
213	2633	\N	228	Regions	/regions	\N	\N	f	3
214	2634	\N	185	Advertising Sources	/advsources	\N	\N	f	1
215	2635	\N	229	Hotels Categories	/hotelcats	\N	\N	f	6
216	2636	\N	229	Rooms Categories	/roomcats	\N	\N	f	7
217	2637	\N	229	Accomodations	/accomodations	tab_open	\N	f	10
218	2638	\N	229	Food Categories	/foodcats	\N	\N	f	9
222	2642	\N	188	Business Persons	/bpersons	tab_open	\N	f	4
223	2643	\N	188	Suppliers	/suppliers	tab_open	\N	f	1
226	2646	\N	183	Leads	/leads	tab_open	\N	f	2
227	2647	\N	183	Orders	/orders	tab_open	\N	f	4
229	2649	\N	188	Hotels	/	\N	\N	t	9
230	2650	\N	188	Transfers	/transfers	tab_open	\N	t	5
231	2651	\N	188	Transport	/transports	tab_open	\N	f	6
232	2652	\N	188	Suppliers Types	/suppliers_types	tab_open	\N	f	3
233	2653	\N	188	Contracts	/contracts	tab_open	\N	f	2
234	2654	\N	188	Ticket Class	/tickets_classes	tab_open	\N	f	7
235	2655	\N	188	Persons Categories	/persons_categories	tab_open	\N	f	8
\.


--
-- Name: navigation_id_seq; Type: SEQUENCE SET; Schema: company_en; Owner: -
--

SELECT pg_catalog.setval('navigation_id_seq', 239, true);


--
-- Data for Name: note; Type: TABLE DATA; Schema: company_en; Owner: -
--

COPY note (id, resource_id, title, descr) FROM stdin;
\.


--
-- Name: note_id_seq; Type: SEQUENCE SET; Schema: company_en; Owner: -
--

SELECT pg_catalog.setval('note_id_seq', 1, true);


--
-- Data for Name: note_resource; Type: TABLE DATA; Schema: company_en; Owner: -
--

COPY note_resource (note_id, resource_id) FROM stdin;
\.


--
-- Data for Name: note_upload; Type: TABLE DATA; Schema: company_en; Owner: -
--

COPY note_upload (note_id, upload_id) FROM stdin;
\.


--
-- Data for Name: notification; Type: TABLE DATA; Schema: company_en; Owner: -
--

COPY notification (id, resource_id, title, descr, url, created) FROM stdin;
\.


--
-- Name: notification_id_seq; Type: SEQUENCE SET; Schema: company_en; Owner: -
--

SELECT pg_catalog.setval('notification_id_seq', 1, true);


--
-- Data for Name: notification_resource; Type: TABLE DATA; Schema: company_en; Owner: -
--

COPY notification_resource (notification_id, resource_id) FROM stdin;
\.


--
-- Data for Name: order; Type: TABLE DATA; Schema: company_en; Owner: -
--

COPY "order" (id, deal_date, resource_id, customer_id, lead_id, advsource_id, status, descr) FROM stdin;
\.


--
-- Name: order_id_seq; Type: SEQUENCE SET; Schema: company_en; Owner: -
--

SELECT pg_catalog.setval('order_id_seq', 1, true);


--
-- Data for Name: order_item; Type: TABLE DATA; Schema: company_en; Owner: -
--

COPY order_item (id, resource_id, order_id, service_id, currency_id, supplier_id, price, discount_sum, discount_percent, status, status_date, status_info) FROM stdin;
\.


--
-- Name: order_item_id_seq; Type: SEQUENCE SET; Schema: company_en; Owner: -
--

SELECT pg_catalog.setval('order_item_id_seq', 1, true);


--
-- Data for Name: outgoing; Type: TABLE DATA; Schema: company_en; Owner: -
--

COPY outgoing (id, date, resource_id, account_item_id, subaccount_id, sum, descr) FROM stdin;
\.


--
-- Data for Name: outgoing_cashflow; Type: TABLE DATA; Schema: company_en; Owner: -
--

COPY outgoing_cashflow (outgoing_id, cashflow_id) FROM stdin;
\.


--
-- Name: outgoing_id_seq; Type: SEQUENCE SET; Schema: company_en; Owner: -
--

SELECT pg_catalog.setval('outgoing_id_seq', 1, true);


--
-- Data for Name: passport; Type: TABLE DATA; Schema: company_en; Owner: -
--

COPY passport (id, resource_id, country_id, passport_type, num, end_date, descr) FROM stdin;
\.


--
-- Name: passport_id_seq; Type: SEQUENCE SET; Schema: company_en; Owner: -
--

SELECT pg_catalog.setval('passport_id_seq', 1, true);


--
-- Data for Name: passport_upload; Type: TABLE DATA; Schema: company_en; Owner: -
--

COPY passport_upload (passport_id, upload_id) FROM stdin;
\.


--
-- Data for Name: permision; Type: TABLE DATA; Schema: company_en; Owner: -
--

COPY permision (id, resource_type_id, position_id, permisions, scope_type, structure_id) FROM stdin;
34	61	4	{view,add,edit,delete}	all	\N
21	1	4	{view}	all	\N
39	69	4	{view,add,edit,delete,assign}	all	\N
42	71	4	{view,add,edit,delete,assign}	all	\N
43	72	4	{view,add,edit,delete,assign}	all	\N
44	73	4	{view,add,edit,delete,assign}	all	\N
45	74	4	{view,add,edit,delete,assign}	all	\N
46	75	4	{view,add,edit,delete,assign}	all	\N
49	79	4	{view,add,edit,delete,assign}	all	\N
55	83	4	{view,add,edit,delete,assign}	all	\N
56	84	4	{view,add,edit,delete,assign}	all	\N
58	86	4	{view,add,edit,delete,assign}	all	\N
61	89	4	{view,add,edit,delete}	all	\N
62	90	4	{view,add,edit,delete}	all	\N
70	101	4	{view,add,edit,delete}	all	\N
63	91	4	{view,add,edit,delete,assign}	all	\N
79	110	4	{view,add,edit,delete}	all	\N
71	102	4	{view,add,edit,delete,assign}	all	\N
73	104	4	{view,add,edit,delete,assign}	all	\N
74	105	4	{view,add,edit,delete,assign}	all	\N
76	107	4	{view,add,edit,delete,assign}	all	\N
26	47	4	{view,add,edit,delete,assign}	all	\N
80	111	4	{view,add,edit,delete,assign}	all	\N
128	117	4	{view,add,edit,delete,assign}	all	\N
59	87	4	{view,add,edit,delete}	all	\N
22	2	4	{view,add,edit,delete,assign}	all	\N
38	41	4	{view,add,edit,delete,assign}	all	\N
40	39	4	{view,add,edit,delete,assign}	all	\N
35	65	4	{view,add,edit,delete,assign}	all	\N
37	67	4	{view,add,edit,delete,assign}	all	\N
41	70	4	{view,add,edit,delete,assign}	all	\N
132	121	4	{view}	all	\N
134	123	4	{view,close}	all	\N
137	126	4	{view,edit}	all	\N
164	152	4	{view,settings}	all	\N
165	153	4	{view,settings}	all	\N
75	106	4	{view,add,edit,delete,assign}	all	\N
24	12	4	{view,add,edit,delete,assign,settings}	all	\N
146	135	4	{view,add,edit,delete}	all	\N
141	130	4	{view,add,edit,delete,assign,order}	all	\N
148	137	4	{view,add,edit,delete}	all	\N
154	143	4	{view,add,edit,delete}	all	\N
149	138	4	{view,add,edit,delete,assign}	all	\N
150	139	4	{view,add,edit,delete,assign}	all	\N
151	140	4	{view,add,edit,delete,assign}	all	\N
152	141	4	{view,add,edit,delete,assign}	all	\N
155	144	4	{view,add,edit,delete}	all	\N
157	145	4	{view,add,edit,delete}	all	\N
158	146	4	{view,add,edit,delete}	all	\N
161	149	4	{view,add,edit,delete}	all	\N
160	148	4	{view,add,edit,delete,assign}	all	\N
163	151	4	{view,add,edit,delete,assign}	all	\N
129	118	4	{view,add,edit,delete}	all	\N
130	119	4	{view,add,edit,delete,autoload}	all	\N
32	59	4	{view,add,edit,delete,assign}	all	\N
48	78	4	{view,add,edit,delete,assign}	all	\N
65	93	4	{view,add,edit,delete,assign}	all	\N
72	103	4	{view,add,edit,delete,assign,settings}	all	\N
131	120	4	{view,add,edit,delete,assign}	all	\N
153	142	4	{view,add,edit,delete,assign}	all	\N
294	156	4	{view,add,edit,delete,settings,assign}	all	\N
30	55	4	{view,add,edit,delete,assign}	all	\N
297	159	4	{view,add,edit,delete,assign}	all	\N
298	160	4	{assign}	all	\N
145	134	4	{view,add,edit,delete,settings,assign,calculation,invoice,contract}	all	\N
\.


--
-- Name: permision_id_seq; Type: SEQUENCE SET; Schema: company_en; Owner: -
--

SELECT pg_catalog.setval('permision_id_seq', 298, true);


--
-- Data for Name: person; Type: TABLE DATA; Schema: company_en; Owner: -
--

COPY person (id, resource_id, person_category_id, first_name, last_name, second_name, birthday, gender, email_subscription, sms_subscription, descr) FROM stdin;
\.


--
-- Data for Name: person_address; Type: TABLE DATA; Schema: company_en; Owner: -
--

COPY person_address (person_id, address_id) FROM stdin;
\.


--
-- Data for Name: person_category; Type: TABLE DATA; Schema: company_en; Owner: -
--

COPY person_category (id, resource_id, name) FROM stdin;
\.


--
-- Name: person_category_id_seq; Type: SEQUENCE SET; Schema: company_en; Owner: -
--

SELECT pg_catalog.setval('person_category_id_seq', 1, true);


--
-- Data for Name: person_contact; Type: TABLE DATA; Schema: company_en; Owner: -
--

COPY person_contact (person_id, contact_id) FROM stdin;
\.


--
-- Name: person_id_seq; Type: SEQUENCE SET; Schema: company_en; Owner: -
--

SELECT pg_catalog.setval('person_id_seq', 1, true);


--
-- Data for Name: person_order_item; Type: TABLE DATA; Schema: company_en; Owner: -
--

COPY person_order_item (order_item_id, person_id) FROM stdin;
\.


--
-- Data for Name: person_passport; Type: TABLE DATA; Schema: company_en; Owner: -
--

COPY person_passport (person_id, passport_id) FROM stdin;
\.


--
-- Data for Name: person_subaccount; Type: TABLE DATA; Schema: company_en; Owner: -
--

COPY person_subaccount (person_id, subaccount_id) FROM stdin;
\.


--
-- Data for Name: position; Type: TABLE DATA; Schema: company_en; Owner: -
--

COPY "position" (id, resource_id, structure_id, name) FROM stdin;
4	772	32	Main Developer
\.


--
-- Name: position_id_seq; Type: SEQUENCE SET; Schema: company_en; Owner: -
--

SELECT pg_catalog.setval('position_id_seq', 8, true);


--
-- Data for Name: region; Type: TABLE DATA; Schema: company_en; Owner: -
--

COPY region (id, resource_id, country_id, name) FROM stdin;
\.


--
-- Name: region_id_seq; Type: SEQUENCE SET; Schema: company_en; Owner: -
--

SELECT pg_catalog.setval('region_id_seq', 1, true);


--
-- Data for Name: resource; Type: TABLE DATA; Schema: company_en; Owner: -
--

COPY resource (id, resource_type_id, maintainer_id, protected) FROM stdin;
12	12	2	\N
14	12	2	\N
16	12	2	\N
30	12	2	\N
31	12	2	\N
32	12	2	\N
33	12	2	\N
34	12	2	\N
35	12	2	\N
36	12	2	\N
37	12	2	\N
38	12	2	\N
39	12	2	\N
40	12	2	\N
43	12	2	\N
44	12	2	\N
45	12	2	\N
83	2	2	\N
84	2	2	\N
277	39	2	\N
913	72	2	\N
914	72	2	\N
915	72	2	\N
916	72	2	\N
917	72	2	\N
2890	93	2	f
918	72	2	\N
919	72	2	\N
928	73	2	\N
929	73	2	\N
930	73	2	\N
931	73	2	\N
932	73	2	\N
933	73	2	\N
935	73	2	\N
936	73	2	\N
937	73	2	\N
948	73	2	\N
949	73	2	\N
950	73	2	\N
952	73	2	\N
953	12	2	\N
954	12	2	\N
955	65	2	\N
956	65	2	\N
957	74	2	\N
958	74	2	\N
1647	39	2	f
2266	137	2	f
2267	134	2	f
2268	12	2	f
2269	105	2	f
1915	111	2	f
1917	110	2	f
1949	123	2	f
1961	123	2	f
2714	104	2	f
2715	119	2	f
2716	119	2	f
2717	119	2	f
2718	119	2	f
2881	69	2	f
2882	12	2	f
2883	65	2	f
278	39	2	\N
279	39	2	\N
280	39	2	\N
281	39	2	\N
282	39	2	\N
283	12	2	\N
286	41	2	\N
287	41	2	\N
288	41	2	\N
289	41	2	\N
938	73	2	\N
939	73	2	\N
961	74	2	\N
962	74	2	\N
963	74	2	\N
964	74	2	\N
965	74	2	\N
966	74	2	\N
967	74	2	\N
968	74	2	\N
969	74	2	\N
970	74	2	\N
971	74	2	\N
973	75	2	\N
975	75	2	\N
976	75	2	\N
977	75	2	\N
978	75	2	\N
979	75	2	\N
980	75	2	\N
981	75	2	\N
982	75	2	\N
983	75	2	\N
984	75	2	\N
1616	69	2	f
1619	69	2	f
1620	87	2	f
1621	87	2	f
1622	89	2	f
1623	90	2	f
1381	89	2	f
2439	117	2	f
2784	123	2	f
2786	2	2	f
2787	2	2	f
2788	12	2	f
2813	12	2	f
2814	87	2	f
2815	93	2	f
2842	119	2	f
290	41	2	\N
291	41	2	\N
884	70	2	\N
943	73	2	\N
944	73	2	\N
945	73	2	\N
946	73	2	\N
947	73	2	\N
998	65	2	\N
1005	78	2	\N
1007	12	2	\N
1008	65	2	\N
1009	79	2	\N
1325	83	2	f
1326	84	2	f
1327	83	2	f
1328	39	2	f
1329	84	2	f
1330	83	2	f
1331	83	2	f
1332	39	2	f
1333	84	2	f
1334	83	2	f
1335	83	2	f
1339	70	2	f
1340	39	2	f
1344	39	2	f
1345	84	2	f
1346	83	2	f
1350	83	2	f
1351	70	2	f
1352	39	2	f
1353	84	2	f
1354	83	2	f
1355	39	2	f
1356	84	2	f
1357	83	2	f
2231	78	2	f
2232	78	2	f
2233	78	2	f
1639	106	2	f
1640	87	2	f
1641	87	2	f
1642	89	2	f
1643	89	2	f
2047	119	2	f
1764	111	2	f
1766	111	2	f
1769	105	2	f
1771	111	2	f
1773	111	2	f
2285	135	2	f
2291	93	2	f
2292	12	2	f
2293	145	2	f
2048	65	2	f
2049	12	2	f
2050	87	2	f
2051	69	2	f
2052	130	2	f
2054	2	2	f
1906	65	2	f
1990	106	2	f
1991	106	2	f
2891	87	2	f
2892	69	2	f
1992	106	2	f
2029	119	2	f
2442	117	2	f
2546	110	2	f
2573	69	2	f
921	73	2	\N
1648	84	2	f
2458	106	2	f
2556	151	2	f
2557	151	2	f
2568	145	2	f
1649	83	2	f
1650	87	2	f
2569	130	2	f
2570	69	2	f
922	73	2	\N
923	73	2	\N
924	73	2	\N
1651	89	2	f
1652	90	2	f
1653	69	2	f
1657	103	2	f
925	73	2	\N
926	73	2	\N
1659	65	2	f
1882	106	2	f
1660	106	2	f
927	73	2	\N
2046	119	2	f
959	74	2	\N
960	74	2	\N
1714	110	2	f
985	75	2	\N
987	75	2	\N
1721	110	2	f
1884	12	2	f
1885	65	2	f
1888	117	2	f
1893	120	2	f
1894	12	2	f
1004	78	2	\N
1309	90	2	f
1310	41	2	f
1895	65	2	f
1311	41	2	f
1312	65	2	f
1313	12	2	f
1896	65	2	f
1314	102	2	f
1317	12	2	f
1320	83	2	f
1321	84	2	f
1322	83	2	f
1950	123	2	f
1951	90	2	f
1952	86	2	f
1907	65	2	f
1956	87	2	f
1958	93	2	f
1959	123	2	f
2104	135	2	f
1323	83	2	f
2105	135	2	f
2106	135	2	f
2107	12	2	f
2108	12	2	f
2111	83	2	f
2115	39	2	f
2119	90	2	f
2168	137	2	f
2171	93	2	f
2172	135	2	f
2173	137	2	f
1324	83	2	f
1358	83	2	f
1359	84	2	f
1360	83	2	f
2452	117	2	f
2457	106	2	f
1361	84	2	f
1365	39	2	f
1366	84	2	f
1367	83	2	f
1368	65	2	f
1371	87	2	f
1373	87	2	f
1374	90	2	f
1624	87	2	f
1625	89	2	f
1376	89	2	f
1626	69	2	f
1378	78	2	f
1627	69	2	f
1628	69	2	f
1379	87	2	f
1634	103	2	f
1380	87	2	f
1383	69	2	f
2260	135	2	f
2261	142	2	f
2262	135	2	f
2263	142	2	f
2264	134	2	f
2265	135	2	f
1780	105	2	f
1797	12	2	f
1798	65	2	f
1799	12	2	f
1804	118	2	f
2	2	2	\N
2127	12	2	f
3	2	2	\N
10	12	2	\N
1010	79	2	\N
1080	65	2	\N
1081	12	2	\N
1099	39	2	\N
2309	69	2	f
1100	70	2	\N
2128	65	2	f
2129	138	2	f
2130	138	2	f
2132	118	2	f
2440	117	2	f
2201	104	2	f
2459	106	2	f
2463	111	2	f
2465	120	2	f
2563	69	2	f
2564	145	2	f
2565	130	2	f
2203	104	2	f
2205	110	2	f
2234	78	2	f
2566	69	2	f
2133	123	2	f
2567	145	2	f
2571	145	2	f
2135	12	2	f
2572	130	2	f
2710	119	2	f
2711	119	2	f
2712	119	2	f
2713	119	2	f
2816	93	2	f
2817	123	2	f
2836	119	2	f
2136	65	2	f
2320	12	2	f
2327	87	2	f
2328	69	2	f
2583	12	2	f
2329	145	2	f
2330	145	2	f
2331	146	2	f
2837	135	2	f
2332	146	2	f
2333	130	2	f
2838	144	2	f
2855	119	2	f
2861	117	2	f
2862	117	2	f
2334	104	2	f
2335	104	2	f
2336	104	2	f
2235	78	2	f
2236	78	2	f
2337	104	2	f
2338	87	2	f
2339	69	2	f
2340	69	2	f
2237	78	2	f
2238	78	2	f
2239	78	2	f
1774	111	2	f
1777	65	2	f
1778	12	2	f
1800	118	2	f
2294	145	2	f
1801	118	2	f
2295	145	2	f
1802	118	2	f
2296	12	2	f
2297	145	2	f
2299	146	2	f
2300	145	2	f
2304	123	2	f
1910	106	2	f
1911	106	2	f
2075	93	2	f
2076	123	2	f
2077	12	2	f
2087	118	2	f
2088	130	2	f
2089	87	2	f
2090	69	2	f
2092	118	2	f
2095	87	2	f
2096	118	2	f
2097	118	2	f
2307	87	2	f
2120	101	2	f
2126	2	2	f
2341	135	2	f
2342	137	2	f
2343	135	2	f
2344	143	2	f
2030	119	2	f
2031	119	2	f
2308	87	2	f
2032	110	2	f
2038	119	2	f
2903	119	2	f
2514	65	2	f
2515	148	2	f
2516	12	2	f
2871	119	2	f
2517	149	2	f
2518	149	2	f
2904	103	2	f
2519	47	2	f
2520	149	2	f
2521	149	2	f
2522	149	2	f
2873	87	2	f
2874	87	2	f
2875	69	2	f
2876	145	2	f
2877	130	2	f
2878	87	2	f
2887	12	2	f
2888	65	2	f
2889	65	2	f
1316	102	2	f
1336	39	2	f
1362	83	2	f
1363	84	2	f
1364	83	2	f
1372	69	2	f
2523	149	2	f
2524	149	2	f
1375	69	2	f
2525	149	2	f
1382	90	2	f
2526	149	2	f
1385	84	2	f
2527	149	2	f
1386	83	2	f
2528	149	2	f
2529	119	2	f
2536	110	2	f
2537	119	2	f
2538	119	2	f
2574	145	2	f
2575	130	2	f
1387	87	2	f
1388	90	2	f
1389	69	2	f
1390	69	2	f
1391	90	2	f
1416	39	2	f
2270	70	2	f
2271	140	2	f
2272	78	2	f
2273	135	2	f
2286	137	2	f
2287	135	2	f
2288	142	2	f
2289	104	2	f
2290	104	2	f
1424	12	2	f
1425	65	2	f
1426	105	2	f
1431	105	2	f
1432	105	2	f
1433	12	2	f
1434	65	2	f
2576	69	2	f
2577	145	2	f
2578	145	2	f
2579	130	2	f
2580	69	2	f
2581	145	2	f
2582	130	2	f
2345	134	2	f
2366	87	2	f
2367	69	2	f
2368	145	2	f
2369	146	2	f
2370	118	2	f
2371	93	2	f
2372	130	2	f
2373	39	2	f
2648	65	2	f
2649	65	2	f
2650	65	2	f
2429	105	2	f
2430	105	2	f
2510	110	2	f
2511	86	2	f
2513	12	2	f
2544	148	2	f
907	71	2	\N
908	12	2	\N
909	12	2	\N
2589	89	2	f
2590	90	2	f
2545	86	2	f
2547	119	2	f
2548	119	2	f
2591	69	2	f
2592	123	2	f
2593	69	2	f
2594	87	2	f
2595	69	2	f
2596	145	2	f
2376	69	2	f
2377	135	2	f
2549	12	2	f
2378	137	2	f
2550	87	2	f
2379	135	2	f
2551	12	2	f
2552	65	2	f
2553	65	2	f
2554	65	2	f
2725	119	2	f
2726	110	2	f
2727	119	2	f
2728	119	2	f
2729	103	2	f
2730	93	2	f
2731	123	2	f
2732	148	2	f
2818	93	2	f
2819	123	2	f
2380	143	2	f
2381	93	2	f
2382	134	2	f
2383	104	2	f
2384	104	2	f
2385	104	2	f
2388	103	2	f
2389	105	2	f
2390	105	2	f
2391	105	2	f
2396	105	2	f
2397	105	2	f
2398	105	2	f
2415	105	2	f
2416	105	2	f
2670	146	2	f
2677	89	2	f
2678	69	2	f
2679	69	2	f
2680	89	2	f
2681	89	2	f
2424	105	2	f
2425	105	2	f
2426	105	2	f
2682	149	2	f
2683	89	2	f
2427	105	2	f
2428	105	2	f
2684	149	2	f
2685	89	2	f
2686	135	2	f
2431	105	2	f
2687	137	2	f
2690	134	2	f
2693	110	2	f
2694	110	2	f
2695	86	2	f
2530	119	2	f
2531	119	2	f
2532	119	2	f
2533	119	2	f
2534	119	2	f
2535	119	2	f
2539	110	2	f
2540	86	2	f
2541	119	2	f
2542	148	2	f
2543	148	2	f
2820	118	2	f
2821	87	2	f
2822	69	2	f
2823	145	2	f
1546	106	2	f
2824	130	2	f
1547	106	2	f
1548	12	2	f
1549	12	2	f
2825	146	2	f
2826	118	2	f
2827	135	2	f
2828	137	2	f
2841	104	2	f
2865	78	2	f
2866	117	2	f
2867	111	2	f
1550	65	2	f
1551	87	2	f
1552	87	2	f
2597	145	2	f
2636	65	2	f
2637	65	2	f
2638	65	2	f
2392	105	2	f
2393	105	2	f
2394	105	2	f
2395	105	2	f
2642	65	2	f
274	12	2	\N
292	41	2	\N
306	41	2	\N
706	12	2	\N
723	12	2	\N
725	55	2	\N
726	55	2	\N
728	55	2	\N
734	55	2	\N
743	55	2	\N
763	55	2	\N
764	12	2	\N
769	12	2	\N
2643	65	2	f
2646	65	2	f
2647	65	2	f
2651	65	2	f
2652	65	2	f
2653	65	2	f
771	55	2	\N
772	59	2	\N
837	65	2	\N
1067	78	2	\N
1068	12	2	\N
1164	70	2	\N
1165	39	2	\N
2654	65	2	f
2655	65	2	f
1168	41	2	\N
1169	70	2	\N
1185	39	2	\N
1195	87	2	\N
1198	12	2	\N
1261	89	2	f
1598	103	2	f
1807	90	2	f
1833	118	2	f
1839	103	2	f
1435	12	2	f
1436	65	2	f
1438	107	2	f
1439	107	2	f
1511	101	2	f
1512	101	2	f
1513	101	2	f
1521	12	2	f
1535	110	2	f
1536	110	2	f
1537	110	2	f
1538	110	2	f
1539	110	2	f
1540	110	2	f
1541	110	2	f
2417	105	2	f
1543	87	2	f
1544	87	2	f
1545	87	2	f
2659	87	2	f
2661	145	2	f
2662	130	2	f
2663	118	2	f
2418	105	2	f
2419	105	2	f
2420	105	2	f
2421	105	2	f
2422	105	2	f
2423	105	2	f
2698	110	2	f
2699	86	2	f
2700	119	2	f
2701	119	2	f
2879	69	2	f
773	12	2	\N
887	69	2	\N
2183	137	2	f
2660	69	2	f
2664	149	2	f
2665	149	2	f
2666	87	2	f
2667	69	2	f
2668	145	2	f
894	2	2	\N
896	39	2	\N
1011	12	2	\N
2669	130	2	f
2671	93	2	f
2672	123	2	f
2673	39	2	f
2839	119	2	f
2840	119	2	f
1278	39	2	f
1283	71	2	f
1284	69	2	f
1285	87	2	f
1286	89	2	f
1287	84	2	f
1288	90	2	f
1289	84	2	f
1290	39	2	f
1291	84	2	f
1292	83	2	f
1293	69	2	f
1294	69	2	f
1304	87	2	f
1306	90	2	f
1840	103	2	f
1849	12	2	f
1440	103	2	f
1442	103	2	f
1447	106	2	f
1448	106	2	f
1450	12	2	f
1452	12	2	f
1464	87	2	f
1465	69	2	f
1467	89	2	f
1472	69	2	f
1473	69	2	f
1485	106	2	f
1487	103	2	f
1500	106	2	f
1502	103	2	f
1503	103	2	f
1504	104	2	f
1505	104	2	f
1506	104	2	f
1507	107	2	f
1509	106	2	f
1514	101	2	f
1515	101	2	f
1516	87	2	f
1517	87	2	f
1518	87	2	f
1519	87	2	f
1553	79	2	f
2584	93	2	f
2585	87	2	f
2586	87	2	f
2587	87	2	f
2588	89	2	f
2633	65	2	f
2634	65	2	f
2635	65	2	f
2174	135	2	f
2175	137	2	f
2176	135	2	f
2177	137	2	f
2178	135	2	f
2179	137	2	f
2180	135	2	f
2181	137	2	f
2182	135	2	f
897	39	2	\N
898	39	2	\N
899	39	2	\N
900	65	2	\N
2435	146	2	f
901	12	2	\N
2450	103	2	f
902	65	2	\N
903	71	2	\N
2451	106	2	f
2486	101	2	f
2489	86	2	f
2490	86	2	f
2491	86	2	f
2493	87	2	f
2501	110	2	f
2502	110	2	f
2503	119	2	f
2505	110	2	f
2506	86	2	f
2507	110	2	f
2508	110	2	f
2737	106	2	f
2738	117	2	f
2739	69	2	f
2740	12	2	f
2832	119	2	f
2863	111	2	f
2864	140	2	f
2274	143	2	f
2275	134	2	f
2276	12	2	f
2277	105	2	f
2278	135	2	f
2279	144	2	f
2280	134	2	f
2281	104	2	f
2282	135	2	f
2284	134	2	f
1962	93	2	f
1963	123	2	f
1964	93	2	f
1965	123	2	f
1966	12	2	f
2098	118	2	f
2099	12	2	f
2100	12	2	f
1978	2	2	f
2101	65	2	f
1979	118	2	f
1985	93	2	f
1986	123	2	f
1987	103	2	f
1988	119	2	f
1989	12	2	f
2602	65	2	f
2603	65	2	f
2604	65	2	f
2605	65	2	f
2608	65	2	f
2612	65	2	f
2613	65	2	f
2617	65	2	f
2039	119	2	f
2044	119	2	f
2156	135	2	f
2157	137	2	f
2158	135	2	f
2159	137	2	f
2160	135	2	f
2161	137	2	f
2162	135	2	f
2163	137	2	f
2164	135	2	f
2165	137	2	f
2167	135	2	f
2045	119	2	f
2399	105	2	f
2400	105	2	f
2401	105	2	f
2402	105	2	f
2403	105	2	f
2704	119	2	f
2705	119	2	f
2706	119	2	f
2707	119	2	f
2708	119	2	f
2709	119	2	f
2434	130	2	f
775	12	2	\N
778	65	2	\N
779	65	2	\N
780	65	2	\N
784	47	2	\N
788	12	2	\N
789	67	2	\N
790	65	2	\N
791	65	2	\N
792	65	2	\N
794	55	2	\N
800	55	2	\N
801	55	2	\N
802	65	2	\N
1468	84	2	f
1469	90	2	f
1470	83	2	f
1471	69	2	f
1913	117	2	f
1510	101	2	f
1968	12	2	f
1970	126	2	f
1971	93	2	f
1972	123	2	f
1973	123	2	f
1975	65	2	f
1977	12	2	f
1554	101	2	f
1556	101	2	f
1559	87	2	f
1560	79	2	f
2137	139	2	f
2138	139	2	f
2139	139	2	f
2144	135	2	f
2145	137	2	f
2146	135	2	f
2147	137	2	f
838	65	2	\N
849	41	2	\N
851	41	2	\N
852	41	2	\N
853	41	2	\N
854	2	2	\N
855	2	2	\N
856	2	2	\N
864	65	2	\N
865	12	2	\N
866	65	2	\N
1307	90	2	f
1308	90	2	f
1337	84	2	f
1338	83	2	f
1347	39	2	f
1348	84	2	f
1349	83	2	f
1393	12	2	f
1394	65	2	f
1395	65	2	f
1396	104	2	f
1398	104	2	f
1400	104	2	f
1401	104	2	f
1402	104	2	f
1403	104	2	f
1404	87	2	f
1406	89	2	f
1407	90	2	f
1408	69	2	f
1409	69	2	f
1410	69	2	f
1411	69	2	f
2148	135	2	f
2149	137	2	f
2150	135	2	f
2187	135	2	f
2188	137	2	f
2189	135	2	f
2190	137	2	f
2674	84	2	f
2675	83	2	f
2676	87	2	f
1413	102	2	f
1414	90	2	f
1415	91	2	f
1417	84	2	f
1418	90	2	f
1419	91	2	f
1420	101	2	f
2152	135	2	f
2153	137	2	f
2154	135	2	f
2155	137	2	f
2184	135	2	f
2185	137	2	f
2186	134	2	f
2688	135	2	f
2880	87	2	f
904	71	2	\N
905	71	2	\N
906	71	2	\N
910	65	2	\N
911	65	2	\N
912	72	2	\N
1318	102	2	f
1319	84	2	f
2206	110	2	f
2207	110	2	f
1607	106	2	f
1608	105	2	f
1341	84	2	f
1609	105	2	f
2433	145	2	f
2689	143	2	f
2558	12	2	f
2559	151	2	f
1342	83	2	f
1343	70	2	f
1610	87	2	f
1611	87	2	f
1612	89	2	f
1613	89	2	f
1614	90	2	f
2560	69	2	f
2561	145	2	f
2562	130	2	f
2733	148	2	f
1615	69	2	f
2208	110	2	f
2209	110	2	f
2210	86	2	f
2211	110	2	f
2212	110	2	f
2213	86	2	f
2734	119	2	f
2735	119	2	f
2843	119	2	f
1370	90	2	f
1384	39	2	f
2283	137	2	f
1803	118	2	f
2301	146	2	f
2302	118	2	f
2303	93	2	f
1852	119	2	f
1898	105	2	f
1900	120	2	f
1901	120	2	f
1902	117	2	f
1903	111	2	f
1904	65	2	f
1905	65	2	f
1561	87	2	f
1562	87	2	f
1563	79	2	f
1564	101	2	f
2844	119	2	f
1569	101	2	f
1570	101	2	f
1571	65	2	f
1575	65	2	f
1576	86	2	f
2845	119	2	f
2846	119	2	f
2847	119	2	f
2848	119	2	f
2849	119	2	f
2850	119	2	f
2851	119	2	f
2852	110	2	f
2853	86	2	f
2854	119	2	f
1577	87	2	f
1578	79	2	f
1579	110	2	f
1580	78	2	f
1581	87	2	f
1582	89	2	f
2598	145	2	f
2599	130	2	f
2868	93	2	f
2869	93	2	f
2870	119	2	f
2151	137	2	f
988	75	2	\N
1003	12	2	\N
1060	41	2	\N
1078	12	2	\N
1088	12	2	\N
1089	65	2	\N
1090	39	2	\N
1091	84	2	\N
1093	84	2	\N
1095	70	2	\N
1096	39	2	\N
1199	89	2	\N
1204	87	2	\N
1205	89	2	\N
1206	89	2	\N
1257	87	2	f
1258	87	2	f
1644	90	2	f
1645	69	2	f
1646	70	2	f
1918	119	2	f
1919	12	2	f
1922	93	2	f
1924	118	2	f
1925	89	2	f
1926	90	2	f
1927	87	2	f
1930	93	2	f
1931	118	2	f
1933	93	2	f
1934	93	2	f
1935	93	2	f
1936	93	2	f
1940	93	2	f
1941	12	2	f
1945	123	2	f
1946	123	2	f
1947	123	2	f
1948	123	2	f
1954	12	2	f
1584	89	2	f
1585	90	2	f
1586	69	2	f
1587	39	2	f
1588	84	2	f
1589	84	2	f
1590	83	2	f
1591	87	2	f
1592	89	2	f
1593	69	2	f
1597	104	2	f
2631	65	2	f
2632	65	2	f
2702	119	2	f
2703	119	2	f
2829	93	2	f
2830	69	2	f
2831	134	2	f
2833	110	2	f
2834	86	2	f
2835	104	2	f
2858	103	2	f
2859	148	2	f
2860	106	2	f
885	47	2	\N
895	39	2	\N
940	73	2	\N
941	73	2	\N
942	73	2	\N
1259	87	2	f
1260	87	2	f
2200	104	2	f
2214	110	2	f
2215	86	2	f
2216	78	2	f
2217	12	2	f
2218	140	2	f
2219	65	2	f
2221	140	2	f
2222	65	2	f
2223	78	2	f
2224	78	2	f
2225	78	2	f
2226	78	2	f
2227	78	2	f
2228	78	2	f
2229	78	2	f
2230	78	2	f
1908	65	2	f
2055	12	2	f
2062	93	2	f
2063	93	2	f
2064	123	2	f
2065	118	2	f
2066	93	2	f
2067	123	2	f
2068	93	2	f
2069	123	2	f
2070	12	2	f
2305	145	2	f
2306	146	2	f
1993	106	2	f
2310	145	2	f
1994	106	2	f
2311	93	2	f
1995	106	2	f
1996	106	2	f
2312	130	2	f
1997	106	2	f
2313	145	2	f
2314	69	2	f
2000	103	2	f
2315	135	2	f
2001	106	2	f
2316	137	2	f
2002	106	2	f
2317	134	2	f
2005	103	2	f
2319	104	2	f
2006	106	2	f
2007	106	2	f
2009	93	2	f
2010	123	2	f
2011	110	2	f
2012	118	2	f
2013	87	2	f
2014	89	2	f
2015	90	2	f
2016	93	2	f
2017	69	2	f
2018	87	2	f
2019	89	2	f
2020	69	2	f
2023	104	2	f
2024	104	2	f
2026	103	2	f
2027	106	2	f
2028	106	2	f
2436	93	2	f
2437	146	2	f
2438	117	2	f
1880	106	2	f
1881	106	2	f
2374	84	2	f
2375	83	2	f
2413	105	2	f
871	69	2	\N
872	12	2	\N
873	65	2	\N
874	65	2	\N
876	41	2	\N
878	70	2	\N
2857	119	2	f
879	65	2	\N
880	70	2	\N
881	70	2	\N
882	70	2	\N
883	70	2	\N
1079	65	2	\N
1097	84	2	\N
1101	39	2	\N
1102	84	2	\N
1159	78	2	\N
1170	39	2	\N
1178	70	2	\N
1179	39	2	\N
1189	12	2	\N
1190	12	2	\N
1191	86	2	\N
1192	86	2	\N
1193	87	2	\N
1194	87	2	\N
1200	89	2	\N
1201	87	2	\N
1210	90	2	\N
1211	12	2	\N
1212	65	2	\N
1213	90	2	\N
1214	91	2	\N
1225	12	2	\N
1230	93	2	\N
1243	87	2	f
1244	87	2	f
1253	65	2	f
1263	87	2	f
1264	87	2	f
1265	89	2	f
1268	12	2	f
2197	93	2	f
2198	123	2	f
2199	105	2	f
2240	78	2	f
2241	78	2	f
2242	78	2	f
2243	12	2	f
2244	12	2	f
2245	65	2	f
2246	105	2	f
2247	102	2	f
2248	141	2	f
2249	141	2	f
2254	135	2	f
2255	142	2	f
2256	135	2	f
2257	142	2	f
2258	135	2	f
2259	142	2	f
1853	119	2	f
1854	119	2	f
1855	119	2	f
1859	119	2	f
1860	119	2	f
1865	117	2	f
1866	117	2	f
1867	117	2	f
1868	117	2	f
1869	69	2	f
1870	78	2	f
1872	118	2	f
1873	105	2	f
1875	106	2	f
1876	106	2	f
863	65	2	\N
870	69	2	\N
875	70	2	\N
1207	12	2	\N
1209	90	2	\N
1218	39	2	\N
1221	12	2	\N
1227	93	2	\N
1240	41	2	f
1241	39	2	f
1282	87	2	f
1980	93	2	f
1981	118	2	f
1982	93	2	f
1983	93	2	f
1984	123	2	f
2404	105	2	f
2405	105	2	f
2406	105	2	f
2407	105	2	f
2408	105	2	f
2409	105	2	f
2410	105	2	f
2411	105	2	f
2412	105	2	f
2414	105	2	f
2432	105	2	f
2719	119	2	f
2720	119	2	f
2721	119	2	f
2722	119	2	f
2723	104	2	f
2724	119	2	f
2736	119	2	f
2741	65	2	f
2742	12	2	f
2779	123	2	f
2780	123	2	f
2781	123	2	f
2782	123	2	f
2783	123	2	f
2466	117	2	f
2467	111	2	f
2468	119	2	f
2469	119	2	f
2470	119	2	f
2475	90	2	f
2484	2	2	f
1932	93	2	f
1939	93	2	f
2131	93	2	f
2893	145	2	f
2894	130	2	f
2895	39	2	f
2896	84	2	f
2897	83	2	f
2898	69	2	f
2899	135	2	f
2900	137	2	f
2901	93	2	f
2902	134	2	f
\.


--
-- Name: resource_id_seq; Type: SEQUENCE SET; Schema: company_en; Owner: -
--

SELECT pg_catalog.setval('resource_id_seq', 2905, true);


--
-- Data for Name: resource_log; Type: TABLE DATA; Schema: company_en; Owner: -
--

COPY resource_log (id, resource_id, employee_id, comment, modifydt) FROM stdin;
142	83	2	\N	2013-12-07 16:38:38.11618+02
143	84	2	\N	2013-12-07 16:39:56.788641+02
144	3	2	\N	2013-12-07 16:41:27.65259+02
145	2	2	\N	2013-12-07 16:41:31.748494+02
146	83	2	\N	2013-12-07 16:58:05.802634+02
147	83	2	\N	2013-12-07 17:00:14.544264+02
4836	794	2	\N	2014-02-05 19:54:07.5415+02
5406	1192	2	\N	2014-04-06 19:21:11.278173+03
5407	1005	2	\N	2014-04-06 19:21:55.315341+03
4845	283	2	\N	2014-02-06 11:38:41.090464+02
2	10	2	\N	2013-11-16 19:00:14.24272+02
4	12	2	\N	2013-11-16 19:00:15.497284+02
6	14	2	\N	2013-11-16 19:00:16.696731+02
8	16	2	\N	2013-11-16 19:00:17.960761+02
5427	1204	2	\N	2014-04-09 18:54:09.146902+03
12	30	2	\N	2013-11-23 19:26:00.193553+02
13	30	2	\N	2013-11-23 22:02:37.363677+02
14	10	2	\N	2013-11-23 22:11:01.634598+02
15	30	2	\N	2013-11-23 22:11:14.939938+02
16	30	2	\N	2013-11-23 22:11:38.396085+02
19	30	2	\N	2013-11-24 10:30:59.830287+02
20	30	2	\N	2013-11-24 10:31:22.936737+02
21	30	2	\N	2013-11-24 10:38:08.07328+02
22	30	2	\N	2013-11-24 10:38:10.703187+02
23	30	2	\N	2013-11-24 10:38:11.896934+02
24	30	2	\N	2013-11-24 10:42:19.397852+02
25	30	2	\N	2013-11-24 10:42:50.772172+02
26	30	2	\N	2013-11-24 10:45:56.399572+02
27	30	2	\N	2013-11-24 10:48:29.950669+02
28	30	2	\N	2013-11-24 10:49:23.616693+02
29	30	2	\N	2013-11-24 10:50:05.878643+02
30	30	2	\N	2013-11-24 10:51:02.465585+02
31	30	2	\N	2013-11-24 10:54:21.011765+02
32	30	2	\N	2013-11-24 10:54:28.775552+02
33	30	2	\N	2013-11-24 10:58:34.152869+02
34	30	2	\N	2013-11-24 10:58:36.766104+02
35	30	2	\N	2013-11-24 10:58:38.767749+02
36	30	2	\N	2013-11-24 10:58:42.533162+02
37	30	2	\N	2013-11-24 10:58:43.55758+02
38	30	2	\N	2013-11-24 10:58:47.40587+02
39	30	2	\N	2013-11-24 11:00:56.130675+02
40	30	2	\N	2013-11-24 11:01:17.637578+02
41	30	2	\N	2013-11-24 11:01:20.639413+02
42	30	2	\N	2013-11-24 11:01:25.957588+02
43	30	2	\N	2013-11-24 11:01:28.015301+02
44	30	2	\N	2013-11-24 11:01:49.505153+02
45	30	2	\N	2013-11-24 11:01:54.465064+02
46	30	2	\N	2013-11-24 11:01:56.828797+02
47	30	2	\N	2013-11-24 11:02:00.873006+02
48	30	2	\N	2013-11-24 11:02:06.385907+02
49	30	2	\N	2013-11-24 11:02:08.474309+02
50	30	2	\N	2013-11-24 11:02:11.823259+02
51	30	2	\N	2013-11-24 11:02:15.084044+02
52	30	2	\N	2013-11-24 11:23:59.150304+02
53	30	2	\N	2013-11-24 12:41:22.004561+02
54	30	2	\N	2013-11-24 12:41:27.704243+02
55	30	2	\N	2013-11-24 12:41:32.588516+02
5430	1207	2	\N	2014-04-09 20:43:13.852066+03
5459	1227	2	\N	2014-04-19 13:04:24.512333+03
5467	1230	2	\N	2014-04-23 11:53:28.979784+03
5468	1230	2	\N	2014-04-23 11:53:45.572462+03
5537	1306	2	\N	2014-04-30 11:04:50.581045+03
66	16	2	\N	2013-11-30 12:57:27.26941+02
67	31	2	\N	2013-11-30 14:25:42.040654+02
68	32	2	\N	2013-11-30 14:27:55.708736+02
69	33	2	\N	2013-11-30 14:28:30.596329+02
70	34	2	\N	2013-11-30 14:29:07.205192+02
71	35	2	\N	2013-11-30 14:30:10.653134+02
72	36	2	\N	2013-11-30 14:31:39.751221+02
73	37	2	\N	2013-11-30 14:32:36.035677+02
74	38	2	\N	2013-11-30 14:55:27.691288+02
75	39	2	\N	2013-11-30 14:58:07.249714+02
76	40	2	\N	2013-11-30 14:58:34.364695+02
79	43	2	\N	2013-11-30 15:08:29.574538+02
80	43	2	\N	2013-11-30 15:08:52.114395+02
81	43	2	\N	2013-11-30 15:09:21.51485+02
82	44	2	\N	2013-11-30 15:09:54.961188+02
83	45	2	\N	2013-12-01 13:04:27.697583+02
84	45	2	\N	2013-12-01 13:04:40.716328+02
85	14	2	\N	2013-12-01 14:31:19.374571+02
87	12	2	\N	2013-12-01 18:21:35.266219+02
104	10	2	\N	2013-12-02 20:43:38.334769+02
130	10	2	\N	2013-12-06 21:10:25.807719+02
4796	769	2	\N	2014-01-22 22:21:45.451623+02
4820	16	2	\N	2014-02-01 21:09:43.821944+02
5408	1192	2	\N	2014-04-06 19:22:16.361504+03
5409	1005	2	\N	2014-04-06 19:22:18.74271+03
4822	784	2	\N	2014-02-01 21:23:07.460721+02
5410	1193	2	\N	2014-04-06 19:30:25.125445+03
5411	1194	2	\N	2014-04-06 19:30:51.85642+03
5412	1195	2	\N	2014-04-06 19:32:30.207073+03
5428	1205	2	\N	2014-04-09 19:17:37.483997+03
5431	1209	2	\N	2014-04-09 20:49:45.884539+03
4843	800	2	\N	2014-02-05 19:58:31.619612+02
4844	801	2	\N	2014-02-05 19:58:49.632624+02
4951	885	2	\N	2014-02-14 21:23:40.101298+02
4952	885	2	\N	2014-02-14 21:25:13.866935+02
4974	849	2	\N	2014-02-23 22:41:46.113064+02
4977	884	2	\N	2014-02-23 22:42:22.595852+02
5143	1003	2	\N	2014-03-04 21:05:09.565466+02
5144	1004	2	\N	2014-03-04 21:08:53.227171+02
5145	1005	2	\N	2014-03-04 21:09:15.542733+02
5471	1240	2	\N	2014-04-26 13:10:19.27836+03
5538	1307	2	\N	2014-04-30 11:08:33.655971+03
5544	1313	2	\N	2014-05-16 22:03:29.897662+03
361	274	2	\N	2013-12-14 17:16:08.962259+02
365	277	2	\N	2013-12-14 18:56:05.189747+02
366	278	2	\N	2013-12-14 18:56:17.77025+02
367	279	2	\N	2013-12-14 18:56:45.919492+02
368	280	2	\N	2013-12-14 19:10:07.617582+02
369	281	2	\N	2013-12-14 19:10:25.311427+02
370	281	2	\N	2013-12-14 19:10:59.35028+02
371	281	2	\N	2013-12-14 19:12:14.211139+02
372	282	2	\N	2013-12-14 19:14:22.861495+02
373	278	2	\N	2013-12-14 19:14:33.853691+02
374	282	2	\N	2013-12-14 19:14:41.964012+02
375	283	2	\N	2013-12-14 19:16:35.738242+02
4882	706	2	\N	2014-02-08 19:59:59.160282+02
377	283	2	\N	2013-12-14 19:18:21.622933+02
5147	1004	2	\N	2014-03-04 21:17:22.306545+02
5148	1004	2	\N	2014-03-04 21:23:04.343461+02
386	286	2	\N	2013-12-14 20:46:34.653533+02
387	287	2	\N	2013-12-14 20:46:47.37835+02
388	288	2	\N	2013-12-14 20:47:08.024243+02
389	289	2	\N	2013-12-14 20:47:28.256516+02
390	290	2	\N	2013-12-14 20:52:40.953492+02
391	291	2	\N	2013-12-14 20:53:08.057165+02
392	292	2	\N	2013-12-14 20:53:33.598708+02
5149	1004	2	\N	2014-03-04 21:23:17.093243+02
5150	1004	2	\N	2014-03-04 21:23:25.611509+02
4799	771	2	\N	2014-01-25 16:05:28.799345+02
4800	771	2	\N	2014-01-25 16:05:38.705799+02
4801	772	2	\N	2014-01-25 16:06:28.321244+02
4826	788	2	\N	2014-02-01 22:03:21.899916+02
5151	1004	2	\N	2014-03-04 21:23:52.466966+02
5152	1004	2	\N	2014-03-04 21:24:11.351815+02
5153	1004	2	\N	2014-03-04 21:24:20.614224+02
5429	1206	2	\N	2014-04-09 19:21:09.215561+03
5154	1004	2	\N	2014-03-04 21:35:47.600889+02
5155	1004	2	\N	2014-03-04 21:36:05.835492+02
5156	1004	2	\N	2014-03-04 21:36:16.322673+02
5432	1210	2	\N	2014-04-12 13:10:08.842351+03
5472	1241	2	\N	2014-04-26 19:16:28.009797+03
5539	1308	2	\N	2014-04-30 11:20:34.938154+03
5545	1314	2	\N	2014-05-17 13:42:16.369317+03
422	306	2	\N	2013-12-15 21:45:32.990838+02
4802	773	2	\N	2014-01-25 23:45:37.762081+02
4827	789	2	\N	2014-02-02 16:45:11.830435+02
4954	887	2	\N	2014-02-15 12:32:09.199652+02
5415	1198	2	\N	2014-04-08 09:35:59.21042+03
4979	885	2	\N	2014-02-24 12:50:26.694026+02
4981	784	2	\N	2014-02-24 12:50:33.322359+02
5157	1004	2	\N	2014-03-07 22:30:15.652582+02
5230	894	2	\N	2014-03-16 11:54:19.683752+02
5231	894	2	\N	2014-03-16 11:54:28.171778+02
5232	894	2	\N	2014-03-16 11:54:33.774318+02
5270	1004	2	\N	2014-03-17 10:50:39.781432+02
5465	1230	2	\N	2014-04-19 21:03:03.225866+03
5509	1278	2	\N	2014-04-29 10:09:19.421905+03
5540	1309	2	\N	2014-04-30 11:32:51.070911+03
5547	1316	2	\N	2014-05-17 14:00:25.111543+03
4927	865	2	\N	2014-02-09 13:26:19.008763+02
4804	775	2	\N	2014-01-26 15:30:50.636495+02
4828	3	2	\N	2014-02-02 17:45:50.239397+02
5416	1199	2	\N	2014-04-08 10:15:32.411146+03
5434	1211	2	\N	2014-04-12 14:16:34.33498+03
5435	1211	2	\N	2014-04-12 14:16:53.40729+03
4982	895	2	\N	2014-02-25 19:06:42.158245+02
5158	1007	2	\N	2014-03-08 10:30:25.61786+02
5198	3	2	\N	2014-03-11 13:14:05.142514+02
5233	1060	2	\N	2014-03-16 12:26:38.52955+02
5437	1213	2	\N	2014-04-12 14:32:08.840037+03
5466	1227	2	\N	2014-04-19 21:37:55.580038+03
5474	1243	2	\N	2014-04-26 22:38:44.326007+03
5541	1310	2	\N	2014-04-30 22:45:27.579715+03
5548	1317	2	\N	2014-05-17 14:54:57.813145+03
5549	1318	2	\N	2014-05-17 15:24:32.954365+03
5550	1319	2	\N	2014-05-17 15:53:28.880817+03
5551	1320	2	\N	2014-05-17 15:53:34.139717+03
5552	1321	2	\N	2014-05-17 15:55:03.155317+03
5553	1322	2	\N	2014-05-17 15:55:07.534203+03
5557	1326	2	\N	2014-05-17 15:59:13.891973+03
5558	1327	2	\N	2014-05-17 15:59:17.045556+03
5559	1328	2	\N	2014-05-17 16:00:04.660539+03
5560	1329	2	\N	2014-05-17 16:00:08.901641+03
5561	1330	2	\N	2014-05-17 16:00:10.337355+03
5566	1335	2	\N	2014-05-17 16:02:19.447311+03
5570	1339	2	\N	2014-05-17 16:06:26.675372+03
5571	1340	2	\N	2014-05-17 16:06:28.503991+03
5572	1341	2	\N	2014-05-17 16:06:29.727144+03
5573	1342	2	\N	2014-05-17 16:06:31.81672+03
5574	1343	2	\N	2014-05-17 16:07:44.265465+03
5575	1344	2	\N	2014-05-17 16:07:45.972655+03
5576	1345	2	\N	2014-05-17 16:07:47.259172+03
5577	1346	2	\N	2014-05-17 16:07:49.146563+03
5581	1350	2	\N	2014-05-17 16:09:55.923893+03
5582	1351	2	\N	2014-05-17 16:13:13.017272+03
5583	1352	2	\N	2014-05-17 16:13:14.609527+03
5584	1353	2	\N	2014-05-17 16:13:16.568079+03
5585	1354	2	\N	2014-05-17 16:13:17.732756+03
5370	1159	2	\N	2014-04-02 19:52:15.193771+03
5417	1200	2	\N	2014-04-08 10:35:59.014802+03
4890	784	2	\N	2014-02-08 21:26:51.98617+02
4929	870	2	\N	2014-02-09 14:57:54.403714+02
4983	896	2	\N	2014-02-25 19:37:56.226615+02
4984	897	2	\N	2014-02-25 19:38:21.395798+02
4985	898	2	\N	2014-02-25 19:38:30.353048+02
4986	899	2	\N	2014-02-25 19:39:23.588225+02
4988	901	2	\N	2014-02-25 19:47:57.884012+02
5160	1009	2	\N	2014-03-08 10:49:52.0599+02
5199	3	2	\N	2014-03-12 12:05:31.953558+02
5438	1214	2	\N	2014-04-12 14:36:07.046988+03
5475	1244	2	\N	2014-04-26 22:39:00.40778+03
5542	1311	2	\N	2014-04-30 22:45:36.089534+03
5554	1323	2	\N	2014-05-17 15:55:54.008685+03
5555	1324	2	\N	2014-05-17 15:56:55.63522+03
5556	1325	2	\N	2014-05-17 15:58:29.508912+03
5562	1331	2	\N	2014-05-17 16:00:49.21287+03
5563	1332	2	\N	2014-05-17 16:01:46.175183+03
5564	1333	2	\N	2014-05-17 16:01:47.950656+03
5565	1334	2	\N	2014-05-17 16:01:48.837764+03
5567	1336	2	\N	2014-05-17 16:03:41.796945+03
5568	1337	2	\N	2014-05-17 16:04:32.839289+03
5569	1338	2	\N	2014-05-17 16:04:34.363533+03
5578	1347	2	\N	2014-05-17 16:08:39.18466+03
5579	1348	2	\N	2014-05-17 16:08:56.863828+03
5580	1349	2	\N	2014-05-17 16:08:58.291349+03
4894	849	2	\N	2014-02-08 21:32:14.802948+02
4896	851	2	\N	2014-02-08 21:32:32.471247+02
4897	852	2	\N	2014-02-08 21:36:44.493917+02
4930	871	2	\N	2014-02-09 16:04:05.85568+02
5161	1009	2	\N	2014-03-08 10:52:32.854366+02
5162	1009	2	\N	2014-03-08 10:52:45.635015+02
5163	1009	2	\N	2014-03-08 10:52:53.515357+02
5164	1009	2	\N	2014-03-08 10:52:58.740536+02
5165	1010	2	\N	2014-03-08 10:54:40.946487+02
5166	1010	2	\N	2014-03-08 10:54:50.928085+02
5200	3	2	\N	2014-03-12 12:14:05.203771+02
5235	897	2	\N	2014-03-16 12:53:37.56753+02
5278	1067	2	\N	2014-03-18 19:51:01.87448+02
5375	1164	2	\N	2014-04-02 20:56:42.084197+03
5376	1165	2	\N	2014-04-02 20:56:48.393173+03
5419	1201	2	\N	2014-04-08 10:38:31.154572+03
5440	1214	2	\N	2014-04-12 14:39:05.532456+03
5442	1214	2	\N	2014-04-12 14:43:11.754556+03
5513	1282	2	\N	2014-04-29 10:43:05.718429+03
5586	1355	2	\N	2014-05-17 16:14:39.7443+03
5587	1356	2	\N	2014-05-17 16:14:41.182697+03
5588	1357	2	\N	2014-05-17 16:14:43.239633+03
5590	1359	2	\N	2014-05-17 16:15:43.442935+03
5591	1360	2	\N	2014-05-17 16:15:45.790483+03
5596	1365	2	\N	2014-05-17 16:20:21.389915+03
5597	1366	2	\N	2014-05-17 16:20:22.473385+03
5598	1367	2	\N	2014-05-17 16:20:23.843632+03
4898	853	2	\N	2014-02-08 21:39:09.10029+02
4812	784	2	\N	2014-01-26 21:12:24.209136+02
4813	784	2	\N	2014-01-26 21:13:10.546575+02
4814	784	2	\N	2014-01-26 21:13:20.058093+02
4815	784	2	\N	2014-01-26 21:13:24.693933+02
4818	784	2	\N	2014-01-26 21:20:14.635984+02
4819	784	2	\N	2014-01-26 21:20:34.941868+02
4931	274	2	\N	2014-02-10 08:49:31.501202+02
4970	894	2	\N	2014-02-22 17:27:40.771678+02
4991	903	2	\N	2014-02-25 22:43:46.101171+02
4992	904	2	\N	2014-02-25 22:43:53.30222+02
4993	905	2	\N	2014-02-25 22:44:00.024066+02
4994	906	2	\N	2014-02-25 22:44:13.035203+02
4995	907	2	\N	2014-02-25 22:44:59.159297+02
5167	1009	2	\N	2014-03-08 10:57:02.535973+02
5168	1010	2	\N	2014-03-08 10:57:07.365849+02
5201	3	2	\N	2014-03-12 12:29:57.686858+02
5202	3	2	\N	2014-03-12 12:30:07.270368+02
5203	3	2	\N	2014-03-12 12:30:09.982217+02
5204	3	2	\N	2014-03-12 12:32:22.25189+02
5205	894	2	\N	2014-03-12 12:32:26.366205+02
5236	919	2	\N	2014-03-16 13:33:07.651832+02
5444	1218	2	\N	2014-04-12 15:00:38.646853+03
5447	1214	2	\N	2014-04-12 15:02:33.59771+03
5514	1283	2	\N	2014-04-29 12:06:08.689068+03
5515	1284	2	\N	2014-04-29 12:07:06.357367+03
5518	1287	2	\N	2014-04-29 12:09:55.486785+03
5520	1289	2	\N	2014-04-29 12:11:36.874588+03
5589	1358	2	\N	2014-05-17 16:15:09.836615+03
5592	1361	2	\N	2014-05-17 16:16:33.155307+03
5593	1362	2	\N	2014-05-17 16:16:42.585648+03
5594	1363	2	\N	2014-05-17 16:18:45.312153+03
5595	1364	2	\N	2014-05-17 16:18:46.752544+03
4932	872	2	\N	2014-02-10 14:29:53.759164+02
4996	908	2	\N	2014-02-25 23:15:44.304324+02
4997	909	2	\N	2014-02-25 23:16:53.455486+02
5000	912	2	\N	2014-02-25 23:21:05.038132+02
5001	913	2	\N	2014-02-25 23:21:10.720503+02
5002	914	2	\N	2014-02-25 23:21:15.803027+02
5003	915	2	\N	2014-02-25 23:21:21.245593+02
5004	916	2	\N	2014-02-25 23:21:27.843749+02
5005	917	2	\N	2014-02-25 23:21:40.705852+02
5006	918	2	\N	2014-02-25 23:21:45.161533+02
5007	918	2	\N	2014-02-25 23:21:53.74917+02
5008	918	2	\N	2014-02-25 23:21:57.599668+02
5009	919	2	\N	2014-02-25 23:22:22.789803+02
5011	921	2	\N	2014-02-25 23:22:59.534922+02
5012	922	2	\N	2014-02-25 23:23:04.765473+02
5013	923	2	\N	2014-02-25 23:23:16.649188+02
5014	924	2	\N	2014-02-25 23:23:30.151925+02
5015	925	2	\N	2014-02-25 23:25:11.120354+02
5016	926	2	\N	2014-02-25 23:26:11.314153+02
5017	927	2	\N	2014-02-25 23:26:34.378644+02
5018	928	2	\N	2014-02-25 23:26:49.163639+02
5019	929	2	\N	2014-02-25 23:27:07.84413+02
5020	930	2	\N	2014-02-25 23:27:30.797684+02
5021	931	2	\N	2014-02-25 23:27:45.611037+02
5022	932	2	\N	2014-02-25 23:28:05.678992+02
5023	933	2	\N	2014-02-25 23:28:21.001129+02
5025	935	2	\N	2014-02-25 23:28:49.565248+02
5026	936	2	\N	2014-02-25 23:29:05.034117+02
5027	937	2	\N	2014-02-25 23:29:16.11101+02
5028	938	2	\N	2014-02-25 23:29:28.82178+02
5029	939	2	\N	2014-02-25 23:29:41.159219+02
5030	940	2	\N	2014-02-25 23:29:57.589154+02
5031	941	2	\N	2014-02-25 23:30:12.260571+02
5032	942	2	\N	2014-02-25 23:30:25.705958+02
5033	943	2	\N	2014-02-25 23:30:39.278491+02
5034	944	2	\N	2014-02-25 23:30:54.230938+02
5035	945	2	\N	2014-02-25 23:31:08.136642+02
5036	946	2	\N	2014-02-25 23:31:21.084682+02
5037	947	2	\N	2014-02-25 23:31:35.443235+02
5038	948	2	\N	2014-02-25 23:31:50.036032+02
5039	949	2	\N	2014-02-25 23:32:16.232207+02
5040	950	2	\N	2014-02-25 23:32:51.784126+02
5169	1011	2	\N	2014-03-08 15:10:44.638516+02
5206	3	2	\N	2014-03-12 13:00:24.217557+02
5207	3	2	\N	2014-03-12 13:00:34.025605+02
5241	903	2	\N	2014-03-16 15:12:25.130202+02
5379	1168	2	\N	2014-04-03 12:39:52.988369+03
5380	1169	2	\N	2014-04-03 12:49:06.139328+03
5448	1221	2	\N	2014-04-12 16:44:14.810824+03
5516	1285	2	\N	2014-04-29 12:08:23.116251+03
5517	1286	2	\N	2014-04-29 12:09:10.712444+03
5522	1291	2	\N	2014-04-29 12:13:37.203069+03
5523	1292	2	\N	2014-04-29 12:14:34.180203+03
4900	854	2	\N	2014-02-08 21:47:34.439997+02
4901	855	2	\N	2014-02-08 21:54:55.399628+02
4936	875	2	\N	2014-02-10 15:58:53.177719+02
4937	875	2	\N	2014-02-10 15:59:03.43204+02
5042	952	2	\N	2014-02-25 23:33:14.57009+02
5043	939	2	\N	2014-02-25 23:33:37.281163+02
5044	938	2	\N	2014-02-25 23:33:44.033176+02
5045	937	2	\N	2014-02-25 23:33:51.697991+02
5046	936	2	\N	2014-02-25 23:33:56.981908+02
5047	935	2	\N	2014-02-25 23:34:03.037741+02
5049	933	2	\N	2014-02-25 23:34:27.937885+02
5050	932	2	\N	2014-02-25 23:34:34.767736+02
5051	931	2	\N	2014-02-25 23:34:39.075165+02
5052	930	2	\N	2014-02-25 23:34:43.896812+02
5053	929	2	\N	2014-02-25 23:34:48.70472+02
5054	928	2	\N	2014-02-25 23:34:54.494127+02
5055	927	2	\N	2014-02-25 23:35:00.125101+02
5056	926	2	\N	2014-02-25 23:35:05.399995+02
5057	925	2	\N	2014-02-25 23:35:10.409443+02
5058	924	2	\N	2014-02-25 23:35:16.447517+02
5059	923	2	\N	2014-02-25 23:35:21.959285+02
5060	922	2	\N	2014-02-25 23:35:27.383937+02
5061	921	2	\N	2014-02-25 23:35:31.660307+02
5063	919	2	\N	2014-02-25 23:35:43.645366+02
5064	918	2	\N	2014-02-25 23:35:47.480218+02
5065	917	2	\N	2014-02-25 23:35:52.042922+02
5066	916	2	\N	2014-02-25 23:35:57.409224+02
5067	915	2	\N	2014-02-25 23:36:01.802966+02
5068	914	2	\N	2014-02-25 23:36:05.670476+02
5069	913	2	\N	2014-02-25 23:36:10.129284+02
5070	912	2	\N	2014-02-25 23:36:14.468359+02
5286	1078	2	\N	2014-03-20 21:22:51.030666+02
5381	1170	2	\N	2014-04-03 12:49:07.793292+03
5519	1288	2	\N	2014-04-29 12:10:21.572462+03
5521	1290	2	\N	2014-04-29 12:13:35.434847+03
5603	1372	2	\N	2014-05-17 18:47:30.594446+03
5606	1375	2	\N	2014-05-17 18:55:21.896666+03
5613	1382	2	\N	2014-05-17 19:04:51.767284+03
5619	1388	2	\N	2014-05-17 19:09:44.578209+03
5622	1391	2	\N	2014-05-17 19:12:29.996417+03
4902	856	2	\N	2014-02-08 21:59:04.719245+02
4938	876	2	\N	2014-02-10 16:19:24.400952+02
5071	953	2	\N	2014-02-26 23:25:15.548581+02
5072	954	2	\N	2014-02-26 23:25:55.407709+02
5075	957	2	\N	2014-02-26 23:28:34.003373+02
5076	958	2	\N	2014-02-26 23:28:45.594179+02
5077	959	2	\N	2014-02-26 23:28:57.004231+02
5078	960	2	\N	2014-02-26 23:29:08.086342+02
5079	961	2	\N	2014-02-26 23:29:17.646283+02
5080	962	2	\N	2014-02-26 23:29:26.175631+02
5081	963	2	\N	2014-02-26 23:29:35.761623+02
5082	964	2	\N	2014-02-26 23:29:46.892804+02
5083	965	2	\N	2014-02-26 23:29:54.140342+02
5084	966	2	\N	2014-02-26 23:30:01.375033+02
5085	967	2	\N	2014-02-26 23:30:08.774222+02
5086	968	2	\N	2014-02-26 23:30:17.802323+02
5087	969	2	\N	2014-02-26 23:30:29.097872+02
5088	970	2	\N	2014-02-26 23:30:38.081009+02
5089	971	2	\N	2014-02-26 23:30:52.902609+02
5091	973	2	\N	2014-02-26 23:31:31.71567+02
5093	975	2	\N	2014-02-26 23:32:13.646357+02
5094	976	2	\N	2014-02-26 23:32:24.624636+02
5095	977	2	\N	2014-02-26 23:32:34.606814+02
5096	978	2	\N	2014-02-26 23:32:43.318943+02
5097	979	2	\N	2014-02-26 23:32:54.081989+02
5098	980	2	\N	2014-02-26 23:33:04.823892+02
5099	981	2	\N	2014-02-26 23:33:16.574818+02
5100	982	2	\N	2014-02-26 23:33:28.270884+02
5101	983	2	\N	2014-02-26 23:33:40.854578+02
5102	984	2	\N	2014-02-26 23:33:57.05943+02
5103	985	2	\N	2014-02-26 23:34:08.238483+02
5105	987	2	\N	2014-02-26 23:34:29.757456+02
5106	988	2	\N	2014-02-26 23:34:37.99873+02
5216	3	2	\N	2014-03-12 21:55:10.706584+02
5287	1079	2	\N	2014-03-22 12:57:07.526655+02
5524	1293	2	\N	2014-04-29 12:17:51.658135+03
5525	1294	2	\N	2014-04-29 12:18:27.913053+03
5601	1370	2	\N	2014-05-17 18:45:54.451262+03
5602	1371	2	\N	2014-05-17 18:47:17.628356+03
5604	1373	2	\N	2014-05-17 18:54:01.477094+03
5607	1376	2	\N	2014-05-17 18:56:40.07768+03
5609	1378	2	\N	2014-05-17 19:02:40.402053+03
5616	1385	2	\N	2014-05-17 19:07:13.667811+03
5617	1386	2	\N	2014-05-17 19:07:36.068126+03
5621	1390	2	\N	2014-05-17 19:11:55.084234+03
4789	763	2	\N	2014-01-12 19:51:49.157909+02
4903	854	2	\N	2014-02-08 22:16:58.906498+02
4904	3	2	\N	2014-02-08 22:17:06.939369+02
4905	854	2	\N	2014-02-08 22:20:32.280238+02
4906	784	2	\N	2014-02-08 22:21:01.290541+02
5484	1253	2	\N	2014-04-28 00:03:49.599015+03
5289	1081	2	\N	2014-03-22 17:57:05.076581+02
5605	1374	2	\N	2014-05-17 18:55:03.070735+03
5611	1380	2	\N	2014-05-17 19:03:57.212913+03
5614	1383	2	\N	2014-05-17 19:04:59.867959+03
5618	1387	2	\N	2014-05-17 19:09:22.594353+03
5624	1393	2	\N	2014-05-18 10:14:28.009945+03
4790	764	2	\N	2014-01-12 20:33:53.3138+02
4909	723	2	\N	2014-02-08 22:28:37.868751+02
4940	878	2	\N	2014-02-10 16:40:47.442615+02
5610	1379	2	\N	2014-05-17 19:03:38.443538+03
5612	1381	2	\N	2014-05-17 19:04:17.238286+03
5615	1384	2	\N	2014-05-17 19:07:10.869783+03
5620	1389	2	\N	2014-05-17 19:09:47.55779+03
5291	1088	2	\N	2014-03-22 18:51:18.985681+02
5292	1081	2	\N	2014-03-22 18:51:44.158872+02
5458	1225	2	\N	2014-04-13 12:01:26.796233+03
5627	1396	2	\N	2014-05-18 11:58:47.293591+03
4917	764	2	\N	2014-02-09 00:53:58.264629+02
4918	769	2	\N	2014-02-09 00:57:04.796409+02
4919	775	2	\N	2014-02-09 00:57:24.917548+02
4920	788	2	\N	2014-02-09 00:57:42.02056+02
4942	878	2	\N	2014-02-10 22:47:18.374976+02
4943	880	2	\N	2014-02-10 22:48:37.279277+02
4944	881	2	\N	2014-02-10 22:49:24.829434+02
4945	882	2	\N	2014-02-10 22:49:56.066237+02
4946	883	2	\N	2014-02-10 22:50:06.121122+02
4947	884	2	\N	2014-02-10 22:50:26.035905+02
4948	884	2	\N	2014-02-10 22:53:06.689693+02
5294	1090	2	\N	2014-03-22 20:34:50.666418+02
5295	1091	2	\N	2014-03-22 20:36:11.95663+02
5298	1093	2	\N	2014-03-22 20:40:16.040605+02
5629	1398	2	\N	2014-05-18 12:12:21.975254+03
4949	764	2	\N	2014-02-11 19:47:14.055452+02
5488	1257	2	\N	2014-04-28 12:34:34.363475+03
5300	1095	2	\N	2014-03-22 20:52:34.596466+02
5301	1096	2	\N	2014-03-22 20:52:44.740475+02
5302	1097	2	\N	2014-03-22 20:53:03.099066+02
5489	1258	2	\N	2014-04-28 12:34:55.433659+03
5304	1099	2	\N	2014-03-22 20:57:07.889521+02
5535	1304	2	\N	2014-04-29 16:15:23.221696+03
5389	1178	2	\N	2014-04-05 19:40:06.274566+03
5390	1179	2	\N	2014-04-05 19:40:10.823684+03
5490	1259	2	\N	2014-04-28 12:58:44.196537+03
5305	1100	2	\N	2014-03-22 21:00:41.76813+02
5306	1101	2	\N	2014-03-22 21:00:48.529148+02
5307	1102	2	\N	2014-03-22 21:01:34.517288+02
5491	1260	2	\N	2014-04-28 12:59:00.104464+03
5631	1400	2	\N	2014-05-18 13:37:21.801854+03
5632	1401	2	\N	2014-05-18 13:37:41.402585+03
5633	1402	2	\N	2014-05-18 13:44:45.628784+03
5492	1261	2	\N	2014-04-28 13:04:58.29173+03
5634	1403	2	\N	2014-05-18 15:48:34.956287+03
5256	1067	2	\N	2014-03-16 19:34:31.935568+02
5494	1263	2	\N	2014-04-28 13:08:06.602496+03
5635	1404	2	\N	2014-05-18 19:18:07.615122+03
5636	1406	2	\N	2014-05-18 19:18:56.831097+03
5639	1409	2	\N	2014-05-18 19:22:05.971396+03
5394	1185	2	\N	2014-04-05 20:56:20.797318+03
5257	1067	2	\N	2014-03-16 19:55:56.894484+02
5495	1264	2	\N	2014-04-28 13:08:25.610345+03
5637	1407	2	\N	2014-05-18 19:19:36.399614+03
5641	1411	2	\N	2014-05-18 19:23:45.119721+03
5496	1265	2	\N	2014-04-28 13:08:54.519921+03
5638	1408	2	\N	2014-05-18 19:19:43.401474+03
5258	1067	2	\N	2014-03-16 20:09:16.532934+02
5311	1097	2	\N	2014-03-24 19:59:44.290142+02
5640	1410	2	\N	2014-05-18 19:23:00.415796+03
5643	1413	2	\N	2014-05-20 21:26:27.311927+03
5259	1068	2	\N	2014-03-16 20:15:31.769185+02
5499	1268	2	\N	2014-04-28 23:55:09.591646+03
5644	1414	2	\N	2014-05-24 17:02:57.354915+03
5645	1415	2	\N	2014-05-24 17:03:02.922541+03
5646	1416	2	\N	2014-05-24 17:06:48.542492+03
5647	1417	2	\N	2014-05-24 17:06:51.402853+03
5648	1418	2	\N	2014-05-24 17:07:25.101929+03
5649	1419	2	\N	2014-05-24 17:07:29.075778+03
5650	1420	2	\N	2014-05-24 17:24:17.546972+03
4120	16	2	\N	2014-01-01 13:19:09.979922+02
4131	14	2	\N	2014-01-01 18:45:07.902745+02
4144	706	2	\N	2014-01-03 16:12:41.015146+02
4145	706	2	\N	2014-01-03 16:13:23.197097+02
5402	1189	2	\N	2014-04-06 18:46:40.132797+03
5403	1190	2	\N	2014-04-06 18:47:22.030146+03
5138	865	2	\N	2014-03-03 21:09:34.254642+02
5404	1191	2	\N	2014-04-06 18:53:34.002074+03
5263	1009	2	\N	2014-03-16 21:40:10.728496+02
5264	1009	2	\N	2014-03-16 21:44:11.742442+02
5405	1192	2	\N	2014-04-06 19:20:55.890208+03
5140	865	2	\N	2014-03-03 21:57:11.59945+02
5265	1004	2	\N	2014-03-17 10:29:17.115979+02
5266	1004	2	\N	2014-03-17 10:29:24.701637+02
4744	723	2	\N	2014-01-04 23:58:55.624453+02
4746	725	2	\N	2014-01-05 01:09:00.405742+02
4747	726	2	\N	2014-01-05 01:09:15.602018+02
4749	728	2	\N	2014-01-05 01:13:50.125212+02
4756	734	2	\N	2014-01-05 12:36:48.48575+02
4765	743	2	\N	2014-01-05 13:20:17.173661+02
5654	1424	2	\N	2014-06-01 10:25:44.71461+03
5656	1426	2	\N	2014-06-01 12:15:53.295347+03
5661	1431	2	\N	2014-06-07 15:12:11.693366+03
5662	1432	2	\N	2014-06-07 15:12:40.323386+03
5663	1433	2	\N	2014-06-07 17:43:14.620483+03
5665	1435	2	\N	2014-06-07 21:01:18.691193+03
5667	1438	2	\N	2014-06-07 21:11:01.089928+03
5668	1439	2	\N	2014-06-07 21:11:46.797584+03
5669	1440	2	\N	2014-06-07 22:15:09.567299+03
5671	1442	2	\N	2014-06-07 22:16:04.586659+03
5676	1447	2	\N	2014-06-08 21:25:14.638119+03
5677	1448	2	\N	2014-06-08 21:25:35.09515+03
5679	1450	2	\N	2014-06-09 15:50:23.760428+03
5681	1452	2	\N	2014-06-09 17:20:44.311452+03
5693	1464	2	\N	2014-06-14 17:55:00.252916+03
5694	1465	2	\N	2014-06-14 17:55:08.213215+03
5695	1467	2	\N	2014-06-14 17:56:52.935007+03
5696	1468	2	\N	2014-06-14 17:58:15.339465+03
5697	1469	2	\N	2014-06-14 17:58:37.034547+03
5698	1470	2	\N	2014-06-14 18:00:56.71432+03
5699	1471	2	\N	2014-06-14 18:02:10.63169+03
5700	1472	2	\N	2014-06-14 18:02:54.98084+03
5701	1473	2	\N	2014-06-14 18:03:27.411198+03
5713	1485	2	\N	2014-06-15 15:17:28.256792+03
5715	1487	2	\N	2014-06-16 14:42:17.062016+03
5728	1500	2	\N	2014-06-18 16:59:05.631362+03
5730	1502	2	\N	2014-06-22 19:40:05.464875+03
5731	1503	2	\N	2014-06-22 19:40:20.79663+03
5732	1504	2	\N	2014-06-22 19:42:44.939368+03
5733	1505	2	\N	2014-06-22 19:43:05.103699+03
5734	1506	2	\N	2014-06-22 19:43:23.157992+03
5735	1507	2	\N	2014-06-22 19:46:21.388635+03
5737	1509	2	\N	2014-06-22 21:15:50.586549+03
5738	1510	2	\N	2014-06-24 20:30:44.36129+03
5739	1511	2	\N	2014-06-25 19:21:08.001771+03
5740	1512	2	\N	2014-06-25 19:37:43.544622+03
5741	1513	2	\N	2014-06-25 19:38:23.293423+03
5742	1514	2	\N	2014-06-25 19:38:46.712804+03
5743	1515	2	\N	2014-06-25 19:39:14.757449+03
5744	1516	2	\N	2014-06-25 20:37:42.602785+03
5745	1517	2	\N	2014-06-25 20:54:09.96009+03
5746	1518	2	\N	2014-06-25 20:54:50.943042+03
5747	1519	2	\N	2014-06-25 20:55:06.988343+03
5749	1521	2	\N	2014-06-26 21:02:19.488826+03
5750	1535	2	\N	2014-06-28 17:17:15.295903+03
5751	1536	2	\N	2014-06-28 17:31:39.626186+03
5752	1537	2	\N	2014-06-28 20:56:05.816704+03
5753	1538	2	\N	2014-06-28 20:57:41.600837+03
5754	1539	2	\N	2014-06-28 20:59:59.522314+03
5755	1540	2	\N	2014-06-28 21:00:26.365557+03
5756	1541	2	\N	2014-06-28 21:00:51.086753+03
5758	1543	2	\N	2014-06-28 21:25:57.336069+03
5759	1544	2	\N	2014-06-28 21:26:14.894807+03
5760	1545	2	\N	2014-06-28 21:26:35.413657+03
5761	1546	2	\N	2014-07-02 23:01:03.321441+03
5762	1547	2	\N	2014-07-02 23:03:30.755887+03
5763	1548	2	\N	2014-07-26 18:07:46.336433+03
5764	1549	2	\N	2014-08-16 20:09:11.73959+03
5766	1551	2	\N	2014-08-16 20:23:59.980051+03
5767	1552	2	\N	2014-08-16 20:24:12.305446+03
5768	1553	2	\N	2014-08-16 20:24:15.930016+03
5769	1554	2	\N	2014-08-16 20:25:09.403552+03
5771	1556	2	\N	2014-08-16 20:51:19.103778+03
5773	1559	2	\N	2014-08-16 21:13:14.302214+03
5774	1560	2	\N	2014-08-16 21:13:18.107616+03
5775	1561	2	\N	2014-08-16 21:22:35.752473+03
5776	1562	2	\N	2014-08-16 21:23:02.397566+03
5777	1563	2	\N	2014-08-16 21:23:05.499294+03
5778	1564	2	\N	2014-08-16 21:24:08.813965+03
5783	1569	2	\N	2014-08-17 11:07:53.713228+03
5784	1570	2	\N	2014-08-17 11:09:10.292392+03
5790	1576	2	\N	2014-08-22 22:48:58.176695+03
5791	1577	2	\N	2014-08-22 22:49:31.584667+03
5792	1578	2	\N	2014-08-22 22:49:35.101959+03
5793	1579	2	\N	2014-08-22 22:50:20.197271+03
5794	1580	2	\N	2014-08-22 22:50:49.188036+03
5795	1581	2	\N	2014-08-22 22:51:29.357367+03
5796	1582	2	\N	2014-08-22 22:52:03.171722+03
5797	1584	2	\N	2014-08-22 22:58:38.326467+03
5798	1585	2	\N	2014-08-22 22:59:28.534906+03
5799	1586	2	\N	2014-08-22 22:59:41.71816+03
5800	1587	2	\N	2014-08-22 23:01:39.676197+03
5801	1588	2	\N	2014-08-22 23:02:11.872661+03
5802	1589	2	\N	2014-08-22 23:04:10.670971+03
5803	1590	2	\N	2014-08-22 23:04:40.181387+03
5804	1591	2	\N	2014-08-22 23:05:46.128053+03
5805	1592	2	\N	2014-08-22 23:06:07.780481+03
5806	1593	2	\N	2014-08-22 23:06:12.342153+03
5810	1597	2	\N	2014-08-22 23:14:17.280337+03
5811	1598	2	\N	2014-08-22 23:35:58.491964+03
5820	1607	2	\N	2014-08-23 13:37:30.044239+03
5821	1608	2	\N	2014-08-23 16:14:22.910225+03
5822	1609	2	\N	2014-08-23 16:16:24.823791+03
5823	1610	2	\N	2014-08-24 14:10:51.002759+03
5824	1611	2	\N	2014-08-24 14:11:19.783792+03
5825	1612	2	\N	2014-08-24 14:11:36.729128+03
5826	1613	2	\N	2014-08-24 14:11:54.849623+03
5827	1614	2	\N	2014-08-24 14:48:54.04485+03
5828	1615	2	\N	2014-08-24 14:48:55.715304+03
5829	1616	2	\N	2014-08-24 14:49:59.373945+03
5832	1619	2	\N	2014-08-24 15:01:16.140346+03
5833	1620	2	\N	2014-08-24 15:02:15.884894+03
5834	1621	2	\N	2014-08-24 15:02:43.162974+03
5835	1622	2	\N	2014-08-24 15:03:06.67481+03
5836	1623	2	\N	2014-08-24 15:03:53.276198+03
5837	1624	2	\N	2014-08-24 15:08:02.737031+03
5838	1625	2	\N	2014-08-24 15:08:18.61161+03
5839	1626	2	\N	2014-08-24 15:08:29.0077+03
5840	1627	2	\N	2014-08-24 15:10:13.736496+03
5841	1628	2	\N	2014-08-24 15:10:44.233145+03
5847	1634	2	\N	2014-08-24 15:21:09.48427+03
5852	1639	2	\N	2014-08-25 15:20:24.884947+03
5853	1640	2	\N	2014-08-26 19:55:53.569882+03
5854	1641	2	\N	2014-08-26 19:56:28.320221+03
5858	1645	2	\N	2014-08-26 20:01:19.187139+03
5860	1647	2	\N	2014-08-26 20:04:08.078366+03
5862	1649	2	\N	2014-08-26 20:04:48.124422+03
5855	1642	2	\N	2014-08-26 19:56:46.695581+03
5856	1643	2	\N	2014-08-26 19:57:13.160198+03
5857	1644	2	\N	2014-08-26 20:01:16.129984+03
5859	1646	2	\N	2014-08-26 20:04:06.105786+03
5861	1648	2	\N	2014-08-26 20:04:09.378364+03
5863	1650	2	\N	2014-08-26 20:06:13.193356+03
5864	1651	2	\N	2014-08-26 20:06:36.249641+03
5865	1652	2	\N	2014-08-26 20:07:23.412381+03
5866	1653	2	\N	2014-08-26 20:07:31.899383+03
5870	1657	2	\N	2014-08-26 20:13:28.887297+03
5873	1660	2	\N	2014-08-31 16:37:37.888486+03
5919	1714	2	\N	2014-09-14 13:27:15.677766+03
5926	1721	2	\N	2014-09-14 14:49:51.512979+03
5967	1764	2	\N	2014-09-14 21:51:09.963908+03
5968	1766	2	\N	2014-09-28 17:08:27.946698+03
5971	1769	2	\N	2014-10-01 20:37:18.107894+03
5972	1771	2	\N	2014-10-01 21:39:17.299667+03
5973	1773	2	\N	2014-10-01 22:04:03.074823+03
5974	1774	2	\N	2014-10-01 22:17:44.949656+03
5977	1777	2	\N	2014-10-03 20:35:01.628264+03
5978	1778	2	\N	2014-10-04 21:45:17.702702+03
5980	1780	2	\N	2014-10-05 12:49:28.270538+03
5982	1797	2	\N	2014-10-05 21:08:02.025119+03
5983	1798	2	\N	2014-10-05 22:07:40.176836+03
5984	1799	2	\N	2014-10-09 20:49:57.476724+03
5985	1800	2	\N	2014-10-09 21:44:48.304991+03
5986	1801	2	\N	2014-10-09 21:45:57.042916+03
5987	1802	2	\N	2014-10-09 21:51:36.274928+03
5988	1797	2	\N	2014-10-09 21:58:44.274487+03
5989	1803	2	\N	2014-10-10 21:20:08.467997+03
5990	1804	2	\N	2014-10-10 21:48:32.795064+03
5991	1797	2	\N	2014-10-10 21:48:40.224687+03
5994	1797	2	\N	2014-10-10 22:43:03.886027+03
5995	1807	2	\N	2014-10-12 12:18:58.609492+03
5996	1419	2	\N	2014-10-12 12:21:41.297126+03
5999	1419	2	\N	2014-10-12 14:03:13.921521+03
6000	1419	2	\N	2014-10-12 14:03:56.458732+03
6002	1797	2	\N	2014-10-12 14:08:19.225786+03
6003	1797	2	\N	2014-10-12 14:08:29.322661+03
6005	1797	2	\N	2014-10-12 14:09:47.667654+03
6006	1797	2	\N	2014-10-12 14:10:15.511498+03
6008	894	2	\N	2014-10-12 14:15:30.839116+03
6010	894	2	\N	2014-10-12 14:15:50.178579+03
6011	894	2	\N	2014-10-12 14:16:00.712168+03
6014	1507	2	\N	2014-10-12 14:21:53.792753+03
6015	1507	2	\N	2014-10-12 14:22:06.118134+03
6016	1439	2	\N	2014-10-12 14:22:17.008412+03
6017	1438	2	\N	2014-10-12 14:22:21.965321+03
6020	1780	2	\N	2014-10-12 14:25:19.014258+03
6021	1780	2	\N	2014-10-12 14:25:28.403238+03
6022	1780	2	\N	2014-10-12 14:25:37.930302+03
6025	1413	2	\N	2014-10-12 14:31:06.237149+03
6026	1413	2	\N	2014-10-12 14:31:16.507549+03
6029	1415	2	\N	2014-10-12 14:34:22.672887+03
6030	1415	2	\N	2014-10-12 14:34:32.05391+03
6043	1657	2	\N	2014-10-12 15:41:58.778177+03
6045	1657	2	\N	2014-10-12 15:42:13.36551+03
6046	1657	2	\N	2014-10-12 15:42:24.726059+03
6050	1653	2	\N	2014-10-12 16:27:20.425954+03
6051	1653	2	\N	2014-10-12 16:27:45.783221+03
6053	1283	2	\N	2014-10-12 16:28:08.925372+03
6054	1283	2	\N	2014-10-12 16:28:17.376186+03
6055	1833	2	\N	2014-10-12 16:29:10.045595+03
6056	784	2	\N	2014-10-12 16:29:11.936722+03
6066	998	2	\N	2014-10-18 11:46:31.67705+03
6075	1657	2	\N	2014-10-18 23:25:55.139592+03
6076	1657	2	\N	2014-10-18 23:26:04.397861+03
6077	1839	2	\N	2014-10-18 23:26:44.642232+03
6078	1634	2	\N	2014-10-18 23:26:52.975425+03
6079	1598	2	\N	2014-10-18 23:27:05.648811+03
6080	1502	2	\N	2014-10-18 23:27:11.743763+03
6081	1503	2	\N	2014-10-18 23:27:18.622533+03
6082	1440	2	\N	2014-10-18 23:27:25.765119+03
6083	1442	2	\N	2014-10-18 23:27:32.509568+03
6084	1840	2	\N	2014-10-18 23:35:01.43267+03
6114	1598	2	\N	2014-10-25 20:24:45.191774+03
6115	1840	2	\N	2014-10-25 20:25:16.419372+03
6116	1839	2	\N	2014-10-25 20:25:25.421645+03
6117	1657	2	\N	2014-10-25 20:25:34.041679+03
6118	1634	2	\N	2014-10-25 20:25:41.778509+03
6119	1598	2	\N	2014-10-25 20:25:49.974159+03
6120	1503	2	\N	2014-10-25 20:25:56.790041+03
6121	1502	2	\N	2014-10-25 20:26:11.552957+03
6122	1487	2	\N	2014-10-25 20:26:20.033323+03
6123	1442	2	\N	2014-10-25 20:26:26.124436+03
6124	1440	2	\N	2014-10-25 20:26:33.450119+03
6125	1660	2	\N	2014-10-25 20:27:51.453322+03
6126	1639	2	\N	2014-10-25 20:27:59.032748+03
6127	1607	2	\N	2014-10-25 20:28:26.48561+03
6128	1547	2	\N	2014-10-25 20:31:18.593123+03
6129	1546	2	\N	2014-10-25 20:31:27.322575+03
6130	1509	2	\N	2014-10-25 20:31:34.596003+03
6131	1500	2	\N	2014-10-25 20:31:41.235636+03
6132	1485	2	\N	2014-10-25 20:31:48.295128+03
6133	1448	2	\N	2014-10-25 20:31:55.364673+03
6134	1447	2	\N	2014-10-25 20:32:03.232605+03
6135	864	2	\N	2014-10-25 22:27:41.085522+03
6136	900	2	\N	2014-10-25 22:27:48.659618+03
6137	780	2	\N	2014-10-25 22:27:56.462817+03
6138	837	2	\N	2014-10-25 22:28:02.931936+03
6139	1394	2	\N	2014-10-25 22:28:08.943421+03
6140	873	2	\N	2014-10-25 22:28:16.618586+03
6141	778	2	\N	2014-10-25 22:28:22.956578+03
6142	1659	2	\N	2014-10-25 22:39:28.23436+03
6144	1849	2	\N	2014-10-25 23:00:37.016264+03
6145	1852	2	\N	2014-10-28 19:57:41.751563+02
6146	1853	2	\N	2014-10-28 20:23:48.907733+02
6147	1854	2	\N	2014-10-28 20:24:58.380434+02
6148	1855	2	\N	2014-10-28 20:25:08.681569+02
6151	1859	2	\N	2014-10-29 12:48:22.905378+02
6152	1860	2	\N	2014-10-30 22:03:33.988542+02
6157	1865	2	\N	2014-11-03 21:33:49.462196+02
6158	1866	2	\N	2014-11-03 21:38:54.729983+02
6159	1867	2	\N	2014-11-03 21:39:31.824693+02
6160	1868	2	\N	2014-11-03 21:40:02.647787+02
6161	1869	2	\N	2014-11-05 21:10:08.261088+02
6162	1870	2	\N	2014-11-05 21:10:38.427296+02
6164	1872	2	\N	2014-11-08 19:05:48.520641+02
6165	1868	2	\N	2014-11-08 19:07:32.928999+02
6166	1868	2	\N	2014-11-08 19:07:58.653299+02
6167	1873	2	\N	2014-11-09 14:14:33.279838+02
6168	1433	2	\N	2014-11-09 14:15:02.053975+02
6170	1875	2	\N	2014-11-09 20:43:57.157494+02
6171	1876	2	\N	2014-11-09 20:50:09.776581+02
6172	1876	2	\N	2014-11-09 21:46:07.106741+02
6173	1876	2	\N	2014-11-09 21:46:46.766703+02
6174	1876	2	\N	2014-11-12 18:42:47.24628+02
6175	1876	2	\N	2014-11-12 18:43:00.917409+02
6176	1876	2	\N	2014-11-12 18:43:51.052257+02
6177	1876	2	\N	2014-11-12 18:49:19.486465+02
6178	1876	2	\N	2014-11-12 18:49:50.992411+02
6182	1880	2	\N	2014-11-12 18:58:13.464317+02
6183	1881	2	\N	2014-11-12 18:58:13.464317+02
6184	1876	2	\N	2014-11-12 19:19:20.155903+02
6185	1880	2	\N	2014-11-12 19:20:04.488842+02
6186	1882	2	\N	2014-11-12 19:21:49.754499+02
6187	1882	2	\N	2014-11-12 20:48:55.295948+02
6188	1876	2	\N	2014-11-13 18:36:19.360925+02
6189	1876	2	\N	2014-11-13 18:36:40.275356+02
6190	1876	2	\N	2014-11-13 18:36:53.848561+02
6191	1876	2	\N	2014-11-13 18:37:04.828162+02
6192	1876	2	\N	2014-11-13 18:44:14.058824+02
6193	1880	2	\N	2014-11-14 13:23:46.652293+02
6196	1884	2	\N	2014-11-15 12:46:51.68956+02
6197	1885	2	\N	2014-11-15 12:55:58.618287+02
6200	1647	2	\N	2014-11-15 19:54:17.589811+02
6201	1647	2	\N	2014-11-15 19:57:05.325517+02
6202	1587	2	\N	2014-11-15 19:57:11.689531+02
6204	1888	2	\N	2014-11-15 20:54:18.530252+02
6209	1893	2	\N	2014-11-15 21:10:00.852505+02
6210	1894	2	\N	2014-11-16 11:36:20.360008+02
6211	1895	2	\N	2014-11-16 11:38:31.304748+02
6212	1896	2	\N	2014-11-16 11:52:22.859107+02
6214	1896	2	\N	2014-11-16 17:28:25.282664+02
6215	1898	2	\N	2014-11-18 19:36:00.947451+02
6217	1900	2	\N	2014-11-18 19:59:41.794255+02
6218	1901	2	\N	2014-11-18 20:00:50.313385+02
6219	1902	2	\N	2014-11-18 20:05:55.399398+02
6220	1903	2	\N	2014-11-18 20:06:23.495804+02
6221	1225	2	\N	2014-11-20 20:55:40.655878+02
6222	1904	2	\N	2014-11-21 20:47:35.513987+02
6223	1434	2	\N	2014-11-21 20:48:05.829054+02
6224	1571	2	\N	2014-11-21 20:48:27.000088+02
6225	1885	2	\N	2014-11-21 20:48:44.475673+02
6226	1905	2	\N	2014-11-21 21:17:50.885382+02
6227	1436	2	\N	2014-11-21 21:19:06.360097+02
6228	1798	2	\N	2014-11-21 21:19:19.899746+02
6229	1425	2	\N	2014-11-21 21:19:42.772209+02
6230	802	2	\N	2014-11-21 21:20:02.792752+02
6231	1906	2	\N	2014-11-21 21:20:18.443474+02
6232	802	2	\N	2014-11-21 21:20:33.430037+02
6233	1395	2	\N	2014-11-21 21:20:55.244524+02
6234	1907	2	\N	2014-11-21 21:25:23.260941+02
6235	879	2	\N	2014-11-21 21:26:01.060638+02
6236	1089	2	\N	2014-11-21 21:34:19.776611+02
6237	874	2	\N	2014-11-21 21:34:45.906696+02
6238	1080	2	\N	2014-11-21 21:35:09.652432+02
6239	1908	2	\N	2014-11-21 21:35:29.643627+02
6240	910	2	\N	2014-11-21 21:36:10.21074+02
6241	1080	2	\N	2014-11-21 21:36:26.556412+02
6242	911	2	\N	2014-11-21 21:36:37.408083+02
6243	956	2	\N	2014-11-21 21:36:56.333028+02
6244	955	2	\N	2014-11-21 21:37:09.845857+02
6246	1896	2	\N	2014-11-21 21:43:10.139464+02
6247	1910	2	\N	2014-11-22 17:58:53.151533+02
6248	1911	2	\N	2014-11-22 17:58:53.151533+02
6251	1903	2	\N	2014-11-23 17:42:18.707964+02
6253	1903	2	\N	2014-11-23 18:15:04.669498+02
6254	1913	2	\N	2014-11-23 18:22:07.34092+02
6255	1915	2	\N	2014-11-23 18:25:34.975922+02
6257	1917	2	\N	2014-11-23 18:40:26.695236+02
6258	1918	2	\N	2014-11-23 18:40:42.249218+02
6259	1919	2	\N	2014-11-27 21:56:12.900683+02
6265	1906	2	\N	2014-11-28 22:02:27.025943+02
6266	1908	2	\N	2014-11-28 22:03:25.613427+02
6267	1919	2	\N	2014-11-30 11:21:31.130821+02
6270	1368	2	\N	2014-11-30 18:22:02.736241+02
6271	1922	2	\N	2014-12-07 14:34:35.538855+02
6276	1924	2	\N	2014-12-07 21:40:24.739542+02
6277	1925	2	\N	2014-12-07 21:41:09.94037+02
6278	1926	2	\N	2014-12-07 21:41:37.63455+02
6279	1471	2	\N	2014-12-07 21:41:39.584636+02
6280	1927	2	\N	2014-12-07 21:42:12.893528+02
6281	1471	2	\N	2014-12-07 21:42:14.781639+02
6285	1930	2	\N	2014-12-08 21:43:55.101305+02
6286	1869	2	\N	2014-12-08 21:46:09.685953+02
6287	1931	2	\N	2014-12-08 21:52:00.685674+02
6288	1930	2	\N	2014-12-08 21:53:17.580512+02
6289	1932	2	\N	2014-12-11 22:45:01.994257+02
6290	1933	2	\N	2014-12-11 22:46:28.273472+02
6291	1934	2	\N	2014-12-11 22:50:30.21811+02
6293	1935	2	\N	2014-12-11 22:53:00.765244+02
6295	1935	2	\N	2014-12-11 22:53:42.569877+02
6297	1936	2	\N	2014-12-13 21:35:47.599877+02
6298	1939	2	\N	2014-12-13 21:37:02.820409+02
6299	1939	2	\N	2014-12-13 21:37:54.352906+02
6300	1936	2	\N	2014-12-13 21:55:38.627009+02
6301	1933	2	\N	2014-12-13 21:55:57.253566+02
6302	1933	2	\N	2014-12-13 21:57:41.570228+02
6303	1933	2	\N	2014-12-13 22:01:39.804954+02
6304	1936	2	\N	2014-12-13 22:01:54.801501+02
6305	1936	2	\N	2014-12-13 22:03:25.347584+02
6306	1933	2	\N	2014-12-13 22:03:37.415197+02
6307	1939	2	\N	2014-12-13 22:03:52.016284+02
6308	1936	2	\N	2014-12-13 22:10:55.202627+02
6309	1936	2	\N	2014-12-13 22:11:45.388631+02
6310	1936	2	\N	2014-12-14 11:10:18.568487+02
6311	1936	2	\N	2014-12-14 11:10:54.616091+02
6312	1936	2	\N	2014-12-14 11:12:20.116844+02
6313	1933	2	\N	2014-12-14 11:12:44.366886+02
6314	1936	2	\N	2014-12-14 11:14:36.987112+02
6315	1933	2	\N	2014-12-14 11:14:46.937016+02
6316	1940	2	\N	2014-12-14 11:16:18.397912+02
6317	1941	2	\N	2014-12-14 17:51:15.587939+02
6318	1940	2	\N	2014-12-14 19:37:37.036036+02
6319	1936	2	\N	2014-12-14 19:37:54.381361+02
6320	1940	2	\N	2014-12-14 19:41:49.794566+02
6321	1940	2	\N	2014-12-14 19:44:37.781977+02
6322	1940	2	\N	2014-12-14 19:48:08.98232+02
6323	1940	2	\N	2014-12-14 19:50:28.583831+02
6324	1940	2	\N	2014-12-14 20:30:31.46273+02
6325	1936	2	\N	2014-12-14 20:30:45.990313+02
6326	1940	2	\N	2014-12-14 20:33:08.50634+02
6327	1940	2	\N	2014-12-14 20:34:47.73587+02
6328	1940	2	\N	2014-12-14 20:37:41.082704+02
6329	1653	2	\N	2014-12-19 21:31:43.967187+02
6330	1653	2	\N	2014-12-19 21:37:31.746728+02
6331	1951	2	\N	2014-12-19 21:38:17.300837+02
6332	725	2	\N	2014-12-19 21:38:20.726452+02
6333	1952	2	\N	2014-12-19 21:42:56.792366+02
6334	1870	2	\N	2014-12-19 21:43:03.803839+02
6335	1906	2	\N	2014-12-20 16:10:55.310323+02
6338	1869	2	\N	2014-12-20 17:01:25.535753+02
6339	1869	2	\N	2014-12-20 17:03:12.810766+02
6340	1869	2	\N	2014-12-20 17:03:22.550854+02
6341	1628	2	\N	2014-12-20 17:05:00.135486+02
6342	1869	2	\N	2014-12-20 17:05:08.130568+02
6343	1626	2	\N	2014-12-20 17:50:11.179188+02
6344	1615	2	\N	2014-12-20 17:50:33.508978+02
6345	1954	2	\N	2014-12-20 18:18:17.329483+02
6346	1954	2	\N	2014-12-20 18:18:27.668631+02
6349	1225	2	\N	2014-12-21 12:57:50.837529+02
6350	1433	2	\N	2014-12-21 12:57:59.036844+02
6351	1954	2	\N	2014-12-21 13:04:30.43023+02
6355	1956	2	\N	2014-12-21 14:58:01.627945+02
6356	1383	2	\N	2014-12-21 14:58:04.4436+02
6357	1383	2	\N	2014-12-21 14:58:18.134114+02
6387	1958	2	\N	2014-12-21 19:20:00.336409+02
6388	1958	2	\N	2014-12-21 19:40:10.412709+02
6389	1958	2	\N	2014-12-21 19:43:18.014602+02
6393	1962	2	\N	2014-12-24 21:32:53.618984+02
6400	1964	2	\N	2014-12-25 21:05:49.345482+02
6411	1317	2	\N	2014-12-27 14:48:10.519499+02
6412	1840	2	\N	2014-12-27 16:05:27.016889+02
6413	1840	2	\N	2014-12-27 16:32:05.180181+02
6414	1840	2	\N	2014-12-27 16:45:52.831401+02
6415	1966	2	\N	2014-12-27 19:34:56.371248+02
6418	1966	2	\N	2014-12-31 19:10:29.989911+02
6420	1968	2	\N	2015-01-03 12:32:10.846571+02
6422	1970	2	\N	2015-01-03 12:35:21.670372+02
6423	1971	2	\N	2015-01-04 12:45:51.571627+02
6424	1840	2	\N	2015-01-04 12:45:53.947837+02
6425	1971	2	\N	2015-01-04 12:46:35.715575+02
6426	1971	2	\N	2015-01-04 14:05:54.230775+02
6428	1975	2	\N	2015-01-04 14:47:53.838979+02
6430	1977	2	\N	2015-01-04 16:44:50.635763+02
6431	1975	2	\N	2015-01-04 16:54:32.711408+02
6432	1975	2	\N	2015-01-04 17:11:52.039507+02
6433	1975	2	\N	2015-01-04 17:31:46.570967+02
6434	1975	2	\N	2015-01-07 14:12:48.405815+02
6435	1975	2	\N	2015-01-07 14:22:19.046581+02
6436	1978	2	\N	2015-01-07 18:00:22.111119+02
6437	1979	2	\N	2015-01-07 18:22:39.961593+02
6438	1980	2	\N	2015-01-07 18:22:48.978415+02
6439	1981	2	\N	2015-01-07 18:23:19.524712+02
6440	3	2	\N	2015-01-07 18:23:30.384627+02
6441	1982	2	\N	2015-01-07 18:30:42.662112+02
6442	3	2	\N	2015-01-07 18:30:49.411934+02
6443	3	2	\N	2015-01-07 18:31:24.902432+02
6444	784	2	\N	2015-01-08 13:21:17.321066+02
6445	784	2	\N	2015-01-08 13:27:01.529898+02
6446	784	2	\N	2015-01-08 14:19:17.153858+02
6447	784	2	\N	2015-01-08 14:20:23.527059+02
6448	784	2	\N	2015-01-09 10:59:22.101268+02
6453	1983	2	\N	2015-01-13 17:00:57.932019+02
6454	1985	2	\N	2015-01-13 17:03:06.725248+02
6455	1985	2	\N	2015-01-14 21:32:00.651438+02
6457	1987	2	\N	2015-01-15 20:30:02.464255+02
6458	1988	2	\N	2015-01-15 21:27:50.402917+02
6459	1989	2	\N	2015-01-17 15:06:55.170629+02
6460	1990	2	\N	2015-01-17 19:50:58.298272+02
6461	1991	2	\N	2015-01-17 19:50:58.298272+02
6462	1992	2	\N	2015-01-17 19:51:20.956564+02
6463	1990	2	\N	2015-01-17 21:28:18.900625+02
6464	1993	2	\N	2015-01-17 21:28:36.972519+02
6465	1994	2	\N	2015-01-17 21:50:01.04394+02
6466	1995	2	\N	2015-01-17 21:50:14.61181+02
6467	1996	2	\N	2015-01-17 21:54:58.910426+02
6468	1997	2	\N	2015-01-17 21:54:58.910426+02
6471	2000	2	\N	2015-01-17 21:56:46.645017+02
6472	2001	2	\N	2015-01-17 21:57:17.28338+02
6473	2002	2	\N	2015-01-17 21:57:17.28338+02
6476	2005	2	\N	2015-01-17 22:00:19.139836+02
6477	2006	2	\N	2015-01-17 22:00:39.986496+02
6478	2007	2	\N	2015-01-17 22:00:39.986496+02
6479	2000	2	\N	2015-01-17 22:01:41.277766+02
6480	2009	2	\N	2015-01-21 21:44:18.418746+02
6481	1985	2	\N	2015-02-01 13:03:47.123323+02
6482	2009	2	\N	2015-02-01 13:05:09.626214+02
6483	2011	2	\N	2015-02-01 13:23:15.549518+02
6484	1004	2	\N	2015-02-01 13:23:17.930893+02
6485	2012	2	\N	2015-02-01 13:51:03.67962+02
6486	1470	2	\N	2015-02-01 13:51:06.125989+02
6487	2013	2	\N	2015-02-01 15:08:04.506074+02
6488	2014	2	\N	2015-02-01 15:08:25.548868+02
6489	2015	2	\N	2015-02-01 15:09:02.223788+02
6490	2016	2	\N	2015-02-01 15:09:49.640295+02
6491	2017	2	\N	2015-02-01 15:09:55.959842+02
6492	2018	2	\N	2015-02-01 15:12:43.612773+02
6493	2019	2	\N	2015-02-01 15:13:13.911124+02
6494	2020	2	\N	2015-02-01 15:13:27.313034+02
6497	2023	2	\N	2015-02-01 15:16:10.834689+02
6498	2024	2	\N	2015-02-01 15:16:30.308954+02
6501	2026	2	\N	2015-02-01 15:27:12.501194+02
6502	2026	2	\N	2015-02-01 15:27:30.084405+02
6503	2027	2	\N	2015-02-01 15:27:55.689729+02
6504	2028	2	\N	2015-02-01 15:27:55.689729+02
6505	2029	2	\N	2015-02-01 19:41:31.921287+02
6506	2030	2	\N	2015-02-01 19:49:07.587188+02
6507	2031	2	\N	2015-02-01 19:49:18.380376+02
6508	2032	2	\N	2015-02-01 19:51:03.621123+02
6509	1004	2	\N	2015-02-01 19:51:06.683043+02
6515	2038	2	\N	2015-02-01 19:53:59.085718+02
6516	2039	2	\N	2015-02-01 19:53:59.085718+02
6521	2044	2	\N	2015-02-01 19:54:52.686809+02
6522	2045	2	\N	2015-02-01 19:54:52.686809+02
6523	2046	2	\N	2015-02-01 19:54:52.686809+02
6524	2047	2	\N	2015-02-01 19:54:52.686809+02
6525	2048	2	\N	2015-02-03 20:05:38.797054+02
6526	2048	2	\N	2015-02-03 20:06:16.781057+02
6528	2049	2	\N	2015-02-03 21:27:11.659126+02
6529	2048	2	\N	2015-02-03 21:27:36.200475+02
6530	2050	2	\N	2015-02-04 21:04:02.527314+02
6531	2051	2	\N	2015-02-04 21:04:04.474427+02
6532	2051	2	\N	2015-02-04 21:11:28.094987+02
6533	2052	2	\N	2015-02-04 21:11:39.281593+02
6534	2051	2	\N	2015-02-23 21:04:13.639992+02
6535	1648	2	\N	2015-02-24 14:58:15.754816+02
6537	2054	2	\N	2015-02-24 21:04:26.838046+02
6539	2054	2	\N	2015-02-24 21:06:08.284296+02
6541	2054	2	\N	2015-02-24 21:06:27.830735+02
6542	2055	2	\N	2015-03-03 16:25:23.003263+02
6553	2051	2	\N	2015-03-05 21:22:31.156271+02
6554	2052	2	\N	2015-03-05 21:22:34.187754+02
6555	2049	2	\N	2015-03-07 13:59:54.391614+02
6556	2049	2	\N	2015-03-07 14:00:01.858793+02
6557	2049	2	\N	2015-03-07 14:00:08.905813+02
6558	2049	2	\N	2015-03-07 17:41:13.176137+02
6559	2049	2	\N	2015-03-07 17:41:24.454712+02
6560	2016	2	\N	2015-03-07 19:11:45.990005+02
6561	1971	2	\N	2015-03-07 20:39:22.05432+02
6562	1939	2	\N	2015-03-07 20:41:30.911568+02
6563	1964	2	\N	2015-03-07 20:41:40.386597+02
6564	1962	2	\N	2015-03-07 20:41:47.24255+02
6565	2009	2	\N	2015-03-07 20:41:57.590912+02
6566	1958	2	\N	2015-03-07 20:42:08.257141+02
6567	2062	2	\N	2015-03-07 20:44:22.388688+02
6568	1958	2	\N	2015-03-07 20:44:57.143369+02
6569	1922	2	\N	2015-03-07 21:16:33.311167+02
6570	1930	2	\N	2015-03-07 21:18:30.204883+02
6571	1980	2	\N	2015-03-07 21:18:36.892234+02
6572	1930	2	\N	2015-03-07 21:21:01.745845+02
6573	1982	2	\N	2015-03-07 21:45:35.899441+02
6574	1983	2	\N	2015-03-07 21:45:46.115364+02
6575	1985	2	\N	2015-03-07 21:45:53.837217+02
6576	2016	2	\N	2015-03-07 21:46:03.965785+02
6577	1940	2	\N	2015-03-07 21:46:13.798132+02
6578	1932	2	\N	2015-03-07 21:46:22.868946+02
6579	1934	2	\N	2015-03-07 21:46:33.42948+02
6580	1935	2	\N	2015-03-07 21:46:42.582075+02
6581	1936	2	\N	2015-03-07 21:46:53.561952+02
6582	1933	2	\N	2015-03-07 21:47:06.74156+02
6584	1922	2	\N	2015-03-08 18:02:14.423833+02
6585	1922	2	\N	2015-03-08 18:02:24.288542+02
6586	1989	2	\N	2015-03-08 18:07:00.091644+02
6587	1922	2	\N	2015-03-08 18:17:03.971743+02
6588	1922	2	\N	2015-03-08 18:29:12.5349+02
6589	2063	2	\N	2015-03-08 18:41:45.468589+02
6590	1989	2	\N	2015-03-08 18:41:51.822924+02
6592	2065	2	\N	2015-03-09 14:02:38.899688+02
6593	2066	2	\N	2015-03-09 17:16:22.759831+02
6594	2068	2	\N	2015-03-09 19:28:40.834898+02
6595	1980	2	\N	2015-03-09 19:37:29.594475+02
6596	1389	2	\N	2015-03-15 19:00:11.360402+02
6597	1389	2	\N	2015-03-15 19:07:00.022851+02
6598	1389	2	\N	2015-03-15 19:08:22.540227+02
6599	2070	2	\N	2015-03-21 15:11:50.495946+02
6600	1989	2	\N	2015-03-21 15:11:59.182752+02
6603	2052	2	\N	2015-03-21 16:50:40.821135+02
6605	2052	2	\N	2015-03-21 16:52:47.683727+02
6606	2075	2	\N	2015-03-21 17:05:47.83578+02
6607	2075	2	\N	2015-03-21 17:06:12.331454+02
6608	2052	2	\N	2015-03-21 17:06:35.32059+02
6609	2070	2	\N	2015-03-21 17:48:31.664941+02
6610	2077	2	\N	2015-03-21 17:49:14.645342+02
6618	2052	2	\N	2015-03-21 18:16:06.930298+02
6621	2052	2	\N	2015-03-21 18:19:16.455929+02
6622	2087	2	\N	2015-03-21 18:20:19.713186+02
6623	2052	2	\N	2015-03-21 18:20:29.187736+02
6624	2052	2	\N	2015-03-21 19:28:39.349206+02
6625	2052	2	\N	2015-03-21 19:30:14.844869+02
6626	2052	2	\N	2015-03-21 19:33:54.902921+02
6627	2052	2	\N	2015-03-21 19:34:11.317898+02
6628	2052	2	\N	2015-03-21 19:35:55.581037+02
6629	2052	2	\N	2015-03-21 19:36:06.902031+02
6630	2052	2	\N	2015-03-21 19:36:15.834648+02
6631	2052	2	\N	2015-03-21 19:36:28.227499+02
6632	2052	2	\N	2015-03-21 19:36:44.271289+02
6633	2088	2	\N	2015-03-21 19:36:44.271289+02
6634	2089	2	\N	2015-03-21 19:38:07.835672+02
6635	2090	2	\N	2015-03-21 19:38:10.203402+02
6637	2052	2	\N	2015-03-21 19:40:18.868487+02
6638	2052	2	\N	2015-03-21 19:41:03.761402+02
6639	2052	2	\N	2015-03-21 19:42:48.725752+02
6640	2052	2	\N	2015-03-21 19:43:52.346215+02
6641	2092	2	\N	2015-03-21 20:11:35.939948+02
6642	2052	2	\N	2015-03-21 20:11:42.394011+02
6643	2052	2	\N	2015-03-21 20:12:01.524624+02
6646	2052	2	\N	2015-03-21 21:14:06.180767+02
6647	2095	2	\N	2015-03-21 22:03:40.435063+02
6648	2051	2	\N	2015-03-21 22:03:42.699321+02
6649	2088	2	\N	2015-03-21 22:03:45.19164+02
6650	2052	2	\N	2015-03-21 22:12:59.222848+02
6651	971	2	\N	2015-03-22 16:55:09.922468+02
6652	2096	2	\N	2015-03-22 17:22:28.394236+02
6653	970	2	\N	2015-03-22 17:22:30.31308+02
6654	971	2	\N	2015-03-22 17:32:58.675826+02
6655	2097	2	\N	2015-03-22 17:35:36.969555+02
6656	2052	2	\N	2015-03-22 17:35:38.710629+02
6657	2052	2	\N	2015-03-22 17:35:54.667572+02
6658	2052	2	\N	2015-03-22 17:36:02.394493+02
6659	1413	2	\N	2015-03-22 21:10:23.96026+02
6660	2098	2	\N	2015-03-22 21:12:12.040889+02
6661	1413	2	\N	2015-03-22 21:12:14.574907+02
6662	953	2	\N	2015-03-23 10:52:07.126828+02
6663	955	2	\N	2015-03-23 10:52:46.434534+02
6664	955	2	\N	2015-03-23 10:53:07.107505+02
6665	971	2	\N	2015-03-23 11:17:09.549645+02
6666	971	2	\N	2015-03-23 11:17:14.786132+02
6667	971	2	\N	2015-03-23 22:30:47.611278+02
6668	2099	2	\N	2015-03-24 19:25:49.743645+02
6669	2100	2	\N	2015-03-24 19:26:22.746874+02
6670	2101	2	\N	2015-03-24 19:30:50.825716+02
6671	1413	2	\N	2015-03-24 21:27:29.027714+02
6672	1413	2	\N	2015-03-24 21:27:56.025596+02
6673	2104	2	\N	2015-03-25 22:08:36.018637+02
6674	2105	2	\N	2015-03-25 22:09:11.121353+02
6675	2106	2	\N	2015-03-25 22:10:32.26983+02
6676	2107	2	\N	2015-03-27 21:02:27.365736+02
6677	1413	2	\N	2015-03-27 22:11:48.664734+02
6678	1318	2	\N	2015-03-27 22:11:57.175441+02
6679	2108	2	\N	2015-03-27 22:14:09.702895+02
6680	1413	2	\N	2015-03-27 22:14:23.177174+02
6681	1975	2	\N	2015-03-29 14:54:09.090695+03
6682	1975	2	\N	2015-03-29 14:56:05.558074+03
6683	2054	2	\N	2015-03-29 18:10:37.298528+03
6684	2054	2	\N	2015-03-29 18:10:44.494853+03
6685	2054	2	\N	2015-03-29 18:11:59.351954+03
6686	894	2	\N	2015-03-29 18:12:33.345883+03
6687	2108	2	\N	2015-03-29 18:41:14.962865+03
6688	2108	2	\N	2015-03-29 18:41:28.932911+03
6689	2108	2	\N	2015-03-29 18:41:35.361837+03
6693	1578	2	\N	2015-03-29 19:28:18.094577+03
6694	1563	2	\N	2015-03-29 19:28:26.306719+03
6695	1560	2	\N	2015-03-29 19:28:31.032916+03
6696	1649	2	\N	2015-03-29 20:30:21.118741+03
6698	2111	2	\N	2015-03-29 20:32:08.188477+03
6699	918	2	\N	2015-03-29 20:45:02.042426+03
6700	918	2	\N	2015-03-29 20:45:08.391579+03
6701	917	2	\N	2015-03-29 20:45:13.080299+03
6702	916	2	\N	2015-03-29 20:45:17.094049+03
6703	952	2	\N	2015-03-29 20:51:29.823177+03
6705	988	2	\N	2015-03-29 20:57:38.470567+03
6707	971	2	\N	2015-03-29 21:04:32.587955+03
6709	1647	2	\N	2015-03-29 21:11:13.101083+03
6710	2115	2	\N	2015-03-29 21:11:20.771189+03
6711	1648	2	\N	2015-03-29 21:19:19.348961+03
6713	1646	2	\N	2015-03-29 21:25:36.400114+03
6715	1419	2	\N	2015-03-31 18:55:34.756779+03
6716	1415	2	\N	2015-03-31 18:55:54.50919+03
6718	1507	2	\N	2015-03-31 19:11:10.805316+03
6719	1507	2	\N	2015-03-31 19:11:17.000092+03
6720	1507	2	\N	2015-03-31 19:11:23.716877+03
6721	1898	2	\N	2015-03-31 19:19:08.662529+03
6722	1898	2	\N	2015-03-31 19:19:13.979595+03
6723	1898	2	\N	2015-03-31 19:19:19.541915+03
6724	2119	2	\N	2015-03-31 19:31:32.255315+03
6725	1419	2	\N	2015-03-31 19:31:35.171043+03
6726	2120	2	\N	2015-03-31 21:42:30.209371+03
6727	2107	2	\N	2015-04-06 22:18:27.344977+03
6728	2054	2	\N	2015-04-22 09:31:23.533867+03
6729	2126	2	\N	2015-04-22 10:21:50.083529+03
6730	2126	2	\N	2015-04-22 10:34:35.83663+03
6731	2127	2	\N	2015-04-22 15:08:30.934237+03
6732	2128	2	\N	2015-04-22 15:09:24.597951+03
6733	2129	2	\N	2015-04-22 15:30:21.099029+03
6734	2130	2	\N	2015-04-22 15:30:28.848383+03
6735	2131	2	\N	2015-04-22 15:33:06.666889+03
6736	2126	2	\N	2015-04-22 15:33:09.520564+03
6737	2132	2	\N	2015-04-22 15:34:13.439147+03
6738	2126	2	\N	2015-04-22 15:34:14.494849+03
6739	2126	2	\N	2015-04-22 15:34:41.240196+03
6740	2130	2	\N	2015-04-24 21:16:26.897843+03
6741	953	2	\N	2015-04-24 21:38:02.133997+03
6742	955	2	\N	2015-04-24 21:39:08.574084+03
6743	2108	2	\N	2015-04-25 13:14:21.858762+03
6745	2135	2	\N	2015-04-25 16:39:24.611492+03
6746	2128	2	\N	2015-04-25 16:59:29.339712+03
6747	2136	2	\N	2015-04-25 16:59:52.412523+03
6748	2137	2	\N	2015-04-25 21:29:39.820793+03
6749	2138	2	\N	2015-04-25 21:29:47.819244+03
6750	2139	2	\N	2015-04-25 21:29:55.72108+03
6751	2144	2	\N	2015-04-26 00:17:08.072699+03
6752	2145	2	\N	2015-04-26 00:17:08.072699+03
6753	2146	2	\N	2015-04-26 00:22:46.640907+03
6754	2147	2	\N	2015-04-26 00:22:46.640907+03
6755	2148	2	\N	2015-04-26 00:26:59.761945+03
6756	2149	2	\N	2015-04-26 00:26:59.761945+03
6757	2150	2	\N	2015-04-26 00:30:11.687983+03
6758	2151	2	\N	2015-04-26 00:30:11.687983+03
6759	2152	2	\N	2015-04-26 00:36:42.355592+03
6760	2153	2	\N	2015-04-26 00:36:42.355592+03
6761	2154	2	\N	2015-04-26 00:44:52.209962+03
6762	2155	2	\N	2015-04-26 00:44:52.209962+03
6763	2156	2	\N	2015-04-26 09:56:13.81422+03
6764	2157	2	\N	2015-04-26 09:56:13.81422+03
6765	2158	2	\N	2015-04-26 10:00:13.021078+03
6766	2159	2	\N	2015-04-26 10:00:13.021078+03
6767	2160	2	\N	2015-04-26 10:09:07.981749+03
6768	2161	2	\N	2015-04-26 10:09:07.981749+03
6769	2162	2	\N	2015-04-26 10:11:20.869074+03
6770	2163	2	\N	2015-04-26 10:11:20.869074+03
6771	2164	2	\N	2015-04-26 10:23:35.980962+03
6772	2165	2	\N	2015-04-26 10:23:35.980962+03
6774	2167	2	\N	2015-04-26 10:30:42.474899+03
6775	2168	2	\N	2015-04-26 10:30:42.474899+03
6778	2171	2	\N	2015-04-26 10:38:49.924523+03
6779	2172	2	\N	2015-04-26 10:41:15.682562+03
6780	2173	2	\N	2015-04-26 10:41:15.682562+03
6781	2174	2	\N	2015-04-26 10:51:18.425172+03
6782	2175	2	\N	2015-04-26 10:51:18.425172+03
6783	2176	2	\N	2015-04-26 10:54:26.243589+03
6784	2177	2	\N	2015-04-26 10:54:26.243589+03
6785	2178	2	\N	2015-04-26 10:57:26.669326+03
6786	2179	2	\N	2015-04-26 10:57:26.669326+03
6787	2180	2	\N	2015-04-26 11:08:04.739521+03
6788	2181	2	\N	2015-04-26 11:08:04.739521+03
6789	2182	2	\N	2015-04-26 11:13:10.975009+03
6790	2183	2	\N	2015-04-26 11:13:10.975009+03
6791	2184	2	\N	2015-04-26 13:03:25.416787+03
6792	2185	2	\N	2015-04-26 13:03:25.416787+03
6793	2186	2	\N	2015-04-26 13:42:49.969814+03
6794	2187	2	\N	2015-04-26 14:04:42.384772+03
6795	2188	2	\N	2015-04-26 14:04:42.384772+03
6796	2189	2	\N	2015-04-26 14:05:26.994527+03
6797	2190	2	\N	2015-04-26 14:05:26.994527+03
6798	2186	2	\N	2015-04-26 14:05:29.313624+03
6801	2197	2	\N	2015-05-03 13:21:34.120955+03
6802	2197	2	\N	2015-05-03 13:23:12.828981+03
6803	2197	2	\N	2015-05-03 13:34:38.831852+03
6804	2197	2	\N	2015-05-03 13:40:51.674186+03
6805	2199	2	\N	2015-05-03 23:18:19.876372+03
6806	1780	2	\N	2015-05-03 23:18:33.103558+03
6807	1368	2	\N	2015-05-04 19:21:58.460934+03
6808	1368	2	\N	2015-05-04 19:22:20.533133+03
6809	2200	2	\N	2015-05-04 20:57:01.637182+03
6810	2201	2	\N	2015-05-04 20:58:33.565049+03
6811	2203	2	\N	2015-05-04 21:30:33.485239+03
6812	1003	2	\N	2015-05-08 21:15:22.303904+03
6813	2205	2	\N	2015-05-08 22:38:40.1563+03
6814	2206	2	\N	2015-05-08 22:40:57.101857+03
6815	2207	2	\N	2015-05-08 22:43:00.228497+03
6816	2208	2	\N	2015-05-08 22:43:46.205549+03
6817	2209	2	\N	2015-05-09 15:04:04.437709+03
6818	2210	2	\N	2015-05-09 15:18:42.295591+03
6819	2211	2	\N	2015-05-09 15:20:41.04877+03
6820	2212	2	\N	2015-05-09 15:21:16.54612+03
6821	2213	2	\N	2015-05-09 15:21:20.750661+03
6822	2214	2	\N	2015-05-09 15:27:46.304009+03
6823	2215	2	\N	2015-05-09 15:27:52.157735+03
6824	2216	2	\N	2015-05-09 15:32:20.738122+03
6825	2216	2	\N	2015-05-09 15:34:43.153612+03
6826	2216	2	\N	2015-05-09 15:35:37.080548+03
6827	2216	2	\N	2015-05-09 15:36:20.491648+03
6828	2216	2	\N	2015-05-09 15:36:28.290218+03
6829	2217	2	\N	2015-05-09 16:10:30.715652+03
6830	2218	2	\N	2015-05-09 16:40:29.294581+03
6831	2216	2	\N	2015-05-09 16:40:47.688279+03
6832	2219	2	\N	2015-05-09 16:52:43.81748+03
6833	1550	2	\N	2015-05-09 16:53:04.04708+03
6834	1008	2	\N	2015-05-09 16:53:15.905297+03
6836	2218	2	\N	2015-05-09 16:56:24.612587+03
6837	2221	2	\N	2015-05-09 16:58:37.060459+03
6838	2216	2	\N	2015-05-09 17:04:04.921556+03
6839	2216	2	\N	2015-05-09 17:04:48.531212+03
6840	1563	2	\N	2015-05-09 19:32:44.822595+03
6841	2222	2	\N	2015-05-09 19:43:25.178079+03
6842	2215	2	\N	2015-05-09 20:07:16.539791+03
6843	2216	2	\N	2015-05-09 20:07:46.078918+03
6844	2223	2	\N	2015-05-09 20:08:53.78535+03
6845	2224	2	\N	2015-05-09 20:09:23.379411+03
6846	2225	2	\N	2015-05-09 20:09:44.887962+03
6847	2226	2	\N	2015-05-09 20:17:22.088876+03
6848	2227	2	\N	2015-05-09 20:29:08.971941+03
6849	2228	2	\N	2015-05-09 20:29:24.701653+03
6850	2229	2	\N	2015-05-09 20:29:40.419576+03
6851	2224	2	\N	2015-05-09 20:29:49.729598+03
6852	2230	2	\N	2015-05-09 20:30:09.233291+03
6853	2231	2	\N	2015-05-09 20:30:23.623593+03
6854	2232	2	\N	2015-05-09 20:30:35.560504+03
6855	2233	2	\N	2015-05-09 20:30:51.356148+03
6856	2234	2	\N	2015-05-09 20:31:09.312334+03
6857	2235	2	\N	2015-05-09 20:31:21.029136+03
6858	2236	2	\N	2015-05-09 20:31:43.127575+03
6859	2237	2	\N	2015-05-09 20:31:57.326798+03
6860	2238	2	\N	2015-05-09 20:32:20.746647+03
6861	2239	2	\N	2015-05-09 20:32:35.107871+03
6862	2240	2	\N	2015-05-09 20:32:50.419187+03
6863	2241	2	\N	2015-05-09 20:33:01.999568+03
6864	2242	2	\N	2015-05-09 20:33:16.190303+03
6865	2236	2	\N	2015-05-09 20:54:08.857766+03
6866	2216	2	\N	2015-05-09 21:04:14.03464+03
6867	1578	2	\N	2015-05-09 21:16:42.718164+03
6868	2243	2	\N	2015-05-10 13:44:27.494956+03
6869	2244	2	\N	2015-05-10 13:45:29.048699+03
6870	2245	2	\N	2015-05-10 13:46:40.29071+03
6871	2246	2	\N	2015-05-10 14:01:26.829403+03
6872	2247	2	\N	2015-05-10 14:01:57.254972+03
6873	2248	2	\N	2015-05-10 14:10:42.034833+03
6874	2249	2	\N	2015-05-10 14:10:53.000133+03
6875	2254	2	\N	2015-05-10 14:35:53.336283+03
6876	2255	2	\N	2015-05-10 14:35:53.336283+03
6877	2256	2	\N	2015-05-10 14:39:45.730714+03
6878	2257	2	\N	2015-05-10 14:39:45.730714+03
6879	2258	2	\N	2015-05-10 14:45:11.098493+03
6880	2259	2	\N	2015-05-10 14:45:11.098493+03
6881	2260	2	\N	2015-05-10 14:53:32.27851+03
6882	2261	2	\N	2015-05-10 14:53:32.27851+03
6883	2262	2	\N	2015-05-10 14:57:13.121414+03
6884	2263	2	\N	2015-05-10 14:57:13.121414+03
6885	2264	2	\N	2015-05-10 14:57:55.441966+03
6886	2265	2	\N	2015-05-10 15:07:20.399588+03
6887	2266	2	\N	2015-05-10 15:07:20.399588+03
6888	2267	2	\N	2015-05-10 15:07:27.786314+03
6889	2268	2	\N	2015-05-10 16:04:17.22685+03
6890	2269	2	\N	2015-05-10 16:04:56.471262+03
6891	1318	2	\N	2015-05-10 16:05:16.31159+03
6892	2270	2	\N	2015-05-10 16:07:24.626275+03
6893	2271	2	\N	2015-05-10 16:08:32.663974+03
6894	2272	2	\N	2015-05-10 16:08:35.587577+03
6895	2273	2	\N	2015-05-10 16:08:47.271902+03
6896	2274	2	\N	2015-05-10 16:08:47.271902+03
6897	2275	2	\N	2015-05-10 16:09:34.650716+03
6898	2276	2	\N	2015-05-10 22:11:18.586994+03
6899	2277	2	\N	2015-05-10 22:12:40.523328+03
6900	1314	2	\N	2015-05-10 22:12:56.872348+03
6901	2278	2	\N	2015-05-10 22:14:48.438204+03
6902	2279	2	\N	2015-05-10 22:14:48.438204+03
6903	2280	2	\N	2015-05-10 22:19:21.083289+03
6904	2280	2	\N	2015-05-13 21:55:52.759278+03
6905	2275	2	\N	2015-05-13 21:56:48.008072+03
6906	2267	2	\N	2015-05-13 21:56:54.031403+03
6907	2264	2	\N	2015-05-13 21:56:59.496539+03
6908	2281	2	\N	2015-05-16 15:29:57.002389+03
6909	2282	2	\N	2015-05-16 15:34:53.800182+03
6910	2283	2	\N	2015-05-16 15:34:53.800182+03
6911	2284	2	\N	2015-05-16 15:36:09.929045+03
6912	2285	2	\N	2015-05-16 15:45:33.371911+03
6913	2286	2	\N	2015-05-16 15:45:33.371911+03
6914	2287	2	\N	2015-05-16 15:48:18.436182+03
6915	2288	2	\N	2015-05-16 15:48:18.436182+03
6916	2289	2	\N	2015-05-17 21:30:51.134604+03
6917	2280	2	\N	2015-05-17 21:31:00.094313+03
6918	2290	2	\N	2015-05-17 21:31:39.003456+03
6919	2280	2	\N	2015-05-17 21:31:48.129633+03
6920	2284	2	\N	2015-05-17 22:02:03.373006+03
6921	2284	2	\N	2015-05-17 22:02:31.027832+03
6922	2291	2	\N	2015-05-18 16:39:17.24427+03
6923	2284	2	\N	2015-05-18 16:40:09.305094+03
6924	2284	2	\N	2015-05-18 20:31:39.659544+03
6925	2284	2	\N	2015-05-18 20:34:34.03653+03
6926	2284	2	\N	2015-05-18 21:22:46.805573+03
6927	2292	2	\N	2015-05-24 12:55:28.784478+03
6928	1212	2	\N	2015-05-24 13:06:21.488837+03
6929	2293	2	\N	2015-05-24 15:06:40.212091+03
6930	2294	2	\N	2015-05-24 15:11:44.965777+03
6931	2295	2	\N	2015-05-24 16:49:53.513439+03
6932	2296	2	\N	2015-05-24 16:50:41.467323+03
6933	2297	2	\N	2015-05-24 16:55:00.642026+03
6934	2299	2	\N	2015-05-24 16:57:39.672043+03
6935	2300	2	\N	2015-05-24 17:03:51.85238+03
6936	2088	2	\N	2015-05-24 17:03:55.878998+03
6937	2301	2	\N	2015-05-24 17:04:54.502108+03
6938	2088	2	\N	2015-05-24 17:10:16.729607+03
6939	2088	2	\N	2015-05-24 17:10:29.437025+03
6940	2088	2	\N	2015-05-24 17:15:30.592241+03
6941	2302	2	\N	2015-05-24 17:16:33.029089+03
6942	2075	2	\N	2015-05-24 17:16:41.742578+03
6943	2303	2	\N	2015-05-24 17:17:17.81127+03
6944	2088	2	\N	2015-05-24 17:17:21.677682+03
6945	2305	2	\N	2015-05-24 20:37:07.412723+03
6946	2052	2	\N	2015-05-24 20:37:10.892479+03
6947	2088	2	\N	2015-05-24 21:01:25.501241+03
6948	2052	2	\N	2015-05-24 21:13:25.598747+03
6949	2306	2	\N	2015-05-24 21:14:39.628922+03
6950	2052	2	\N	2015-05-24 21:14:43.723121+03
6951	2280	2	\N	2015-05-24 21:21:32.476216+03
6952	2280	2	\N	2015-05-24 21:22:00.849383+03
6953	2280	2	\N	2015-05-24 21:22:09.702717+03
6954	2307	2	\N	2015-05-24 21:32:02.910902+03
6955	2308	2	\N	2015-05-24 21:32:24.738611+03
6956	2309	2	\N	2015-05-24 21:32:31.516248+03
6957	2310	2	\N	2015-05-24 21:33:17.528061+03
6958	2311	2	\N	2015-05-24 21:35:46.300244+03
6959	2312	2	\N	2015-05-24 21:36:06.190691+03
6960	2312	2	\N	2015-05-24 21:36:27.205265+03
6961	2313	2	\N	2015-05-25 21:31:05.718794+03
6962	2312	2	\N	2015-05-25 21:31:08.674137+03
6963	2314	2	\N	2015-05-26 20:44:11.702313+03
6964	2315	2	\N	2015-05-26 20:44:48.242189+03
6965	2316	2	\N	2015-05-26 20:44:48.242189+03
6966	2317	2	\N	2015-05-26 20:45:01.161364+03
6967	2284	2	\N	2015-05-28 13:46:35.94219+03
6968	2317	2	\N	2015-05-28 13:46:45.92498+03
6969	2280	2	\N	2015-05-28 13:46:51.874219+03
6970	1507	2	\N	2015-05-31 21:55:12.660877+03
6971	1507	2	\N	2015-05-31 21:56:27.809825+03
6972	1439	2	\N	2015-05-31 21:57:11.520889+03
6973	1507	2	\N	2015-05-31 21:58:33.173778+03
6974	1507	2	\N	2015-05-31 22:00:02.964614+03
6975	1507	2	\N	2015-05-31 22:00:38.733485+03
6976	1507	2	\N	2015-05-31 22:11:01.827304+03
6977	1507	2	\N	2015-06-01 09:54:54.423199+03
6978	2284	2	\N	2015-06-01 11:22:28.244232+03
6979	2319	2	\N	2015-06-01 11:37:24.071069+03
6980	2320	2	\N	2015-06-01 12:56:01.185317+03
6986	2327	2	\N	2015-06-02 13:22:30.670092+03
6987	2328	2	\N	2015-06-02 13:22:36.147873+03
6988	2329	2	\N	2015-06-02 13:23:35.222007+03
6989	2330	2	\N	2015-06-02 13:24:32.384898+03
6990	2331	2	\N	2015-06-02 13:25:52.745886+03
6991	2332	2	\N	2015-06-02 13:27:31.983851+03
6992	2333	2	\N	2015-06-02 13:27:36.950926+03
6993	2334	2	\N	2015-06-02 13:28:43.733459+03
6994	2335	2	\N	2015-06-02 13:29:10.771807+03
6995	2336	2	\N	2015-06-02 13:29:57.138464+03
6996	2337	2	\N	2015-06-02 13:30:11.199071+03
6997	2338	2	\N	2015-06-02 13:34:47.558077+03
6998	2339	2	\N	2015-06-02 13:34:50.130325+03
6999	2340	2	\N	2015-06-02 13:35:46.336511+03
7000	2341	2	\N	2015-06-02 13:36:09.066506+03
7001	2342	2	\N	2015-06-02 13:36:09.066506+03
7002	2343	2	\N	2015-06-02 13:37:26.99598+03
7003	2344	2	\N	2015-06-02 13:37:26.99598+03
7004	2345	2	\N	2015-06-02 13:37:42.100766+03
7023	2345	2	\N	2015-06-06 20:33:35.089301+03
7024	2366	2	\N	2015-06-06 21:47:05.357423+03
7025	2367	2	\N	2015-06-06 21:47:08.978477+03
7026	2368	2	\N	2015-06-06 21:49:00.661472+03
7027	2369	2	\N	2015-06-06 21:50:18.211354+03
7028	2370	2	\N	2015-06-06 21:51:07.167429+03
7029	2371	2	\N	2015-06-06 21:52:21.362863+03
7030	2372	2	\N	2015-06-06 21:52:25.91268+03
7031	2367	2	\N	2015-06-06 22:01:59.580344+03
7032	2373	2	\N	2015-06-06 22:05:50.240364+03
7033	2374	2	\N	2015-06-06 22:06:07.223567+03
7034	2375	2	\N	2015-06-06 22:06:55.79185+03
7035	2376	2	\N	2015-06-06 22:07:46.643073+03
7036	2377	2	\N	2015-06-06 22:08:11.14074+03
7037	2378	2	\N	2015-06-06 22:08:11.14074+03
7038	2379	2	\N	2015-06-06 22:10:53.894076+03
7039	2380	2	\N	2015-06-06 22:10:53.894076+03
7040	2381	2	\N	2015-06-06 22:12:04.71986+03
7041	2382	2	\N	2015-06-06 22:12:17.899878+03
7042	2372	2	\N	2015-06-06 22:12:34.850437+03
7043	2383	2	\N	2015-06-06 22:34:30.822368+03
7044	2384	2	\N	2015-06-06 22:35:06.098136+03
7045	2385	2	\N	2015-06-06 22:35:22.838833+03
7046	2382	2	\N	2015-06-06 22:36:33.646314+03
7047	2388	2	\N	2015-06-06 22:43:36.614024+03
7048	2382	2	\N	2015-06-07 15:30:58.294045+03
7049	2247	2	\N	2015-06-07 17:10:29.033956+03
7050	1413	2	\N	2015-06-07 17:10:56.929199+03
7051	1318	2	\N	2015-06-07 17:11:36.862031+03
7052	1314	2	\N	2015-06-07 17:12:28.161782+03
7053	1431	2	\N	2015-06-07 19:55:54.571452+03
7054	1898	2	\N	2015-06-07 19:59:40.465993+03
7055	1898	2	\N	2015-06-07 20:00:47.882499+03
7056	1432	2	\N	2015-06-07 20:00:59.808075+03
7057	1608	2	\N	2015-06-07 20:01:30.177316+03
7058	1609	2	\N	2015-06-07 20:02:19.266681+03
7059	1769	2	\N	2015-06-07 20:03:05.939338+03
7060	1780	2	\N	2015-06-07 20:04:36.345782+03
7061	1873	2	\N	2015-06-07 20:05:07.816356+03
7062	1898	2	\N	2015-06-07 20:05:26.076509+03
7063	2199	2	\N	2015-06-07 20:05:57.959925+03
7064	2246	2	\N	2015-06-07 20:06:32.075272+03
7065	2246	2	\N	2015-06-07 20:06:41.085651+03
7066	2269	2	\N	2015-06-07 20:07:23.767588+03
7067	2277	2	\N	2015-06-07 20:07:57.192127+03
7068	1426	2	\N	2015-06-07 20:09:52.309668+03
7069	2389	2	\N	2015-06-07 20:10:03.246206+03
7070	2390	2	\N	2015-06-07 20:10:21.42447+03
7071	2391	2	\N	2015-06-07 20:10:54.694938+03
7072	2392	2	\N	2015-06-07 20:11:12.709328+03
7073	2393	2	\N	2015-06-07 20:11:33.449675+03
7074	2394	2	\N	2015-06-07 20:11:54.80775+03
7075	2395	2	\N	2015-06-07 20:12:24.648998+03
7076	2396	2	\N	2015-06-07 20:12:47.549001+03
7077	2397	2	\N	2015-06-07 20:13:09.482196+03
7078	2398	2	\N	2015-06-07 20:13:26.815118+03
7079	2399	2	\N	2015-06-07 20:13:43.442647+03
7080	2400	2	\N	2015-06-07 20:13:57.868779+03
7081	2401	2	\N	2015-06-07 20:14:15.895967+03
7082	2402	2	\N	2015-06-07 20:14:42.501203+03
7083	2403	2	\N	2015-06-07 20:15:33.611845+03
7084	2404	2	\N	2015-06-07 20:15:53.460657+03
7085	2405	2	\N	2015-06-07 20:16:10.772685+03
7086	2406	2	\N	2015-06-07 20:16:32.442601+03
7087	2407	2	\N	2015-06-07 20:16:56.509083+03
7088	2408	2	\N	2015-06-07 20:17:19.457924+03
7089	2409	2	\N	2015-06-07 20:17:39.828441+03
7090	2410	2	\N	2015-06-07 20:17:59.953522+03
7091	2411	2	\N	2015-06-07 20:18:15.36941+03
7092	2412	2	\N	2015-06-07 20:18:33.319787+03
7093	2413	2	\N	2015-06-07 20:18:53.786993+03
7094	2414	2	\N	2015-06-07 20:19:17.251882+03
7095	2415	2	\N	2015-06-07 20:34:54.782206+03
7096	2416	2	\N	2015-06-07 20:35:11.96143+03
7097	2417	2	\N	2015-06-07 20:35:33.998015+03
7098	2418	2	\N	2015-06-07 20:36:01.596002+03
7099	2419	2	\N	2015-06-07 20:36:15.960332+03
7100	2420	2	\N	2015-06-07 20:36:35.413228+03
7101	2421	2	\N	2015-06-07 20:37:30.352425+03
7102	2422	2	\N	2015-06-07 20:37:53.888785+03
7103	2423	2	\N	2015-06-07 20:38:10.610447+03
7104	2424	2	\N	2015-06-07 20:38:59.517394+03
7105	2425	2	\N	2015-06-07 20:39:26.415211+03
7106	2426	2	\N	2015-06-07 20:40:05.840226+03
7107	2427	2	\N	2015-06-07 20:40:46.537019+03
7108	2428	2	\N	2015-06-07 20:41:01.3009+03
7109	2429	2	\N	2015-06-07 20:41:17.634439+03
7110	2430	2	\N	2015-06-07 20:41:36.56949+03
7111	2431	2	\N	2015-06-07 20:41:54.944525+03
7112	2432	2	\N	2015-06-07 20:42:11.063081+03
7113	2433	2	\N	2015-06-10 21:10:55.543668+03
7114	2434	2	\N	2015-06-10 21:10:58.272269+03
7115	2434	2	\N	2015-06-10 21:11:16.546457+03
7116	2435	2	\N	2015-06-10 21:11:49.343497+03
7117	2436	2	\N	2015-06-10 21:12:20.087946+03
7119	2437	2	\N	2015-06-10 21:13:28.379702+03
7120	2434	2	\N	2015-06-10 21:13:35.658848+03
7118	2434	2	\N	2015-06-10 21:12:30.557424+03
7121	2434	2	\N	2015-06-13 11:08:16.884538+03
7122	2438	2	\N	2015-06-13 12:24:23.664338+03
7123	2439	2	\N	2015-06-13 12:25:12.11639+03
7124	2440	2	\N	2015-06-13 12:25:55.053099+03
7125	2439	2	\N	2015-06-13 12:28:23.509307+03
7126	1431	2	\N	2015-06-13 16:13:14.891511+03
7127	2269	2	\N	2015-06-13 16:29:21.58833+03
7128	2391	2	\N	2015-06-13 16:29:38.922876+03
7130	2442	2	\N	2015-06-13 17:22:11.365048+03
7162	2450	2	\N	2015-06-13 19:58:22.391173+03
7163	2317	2	\N	2015-06-13 19:58:33.103367+03
7164	2451	2	\N	2015-06-13 19:59:50.784052+03
7165	2452	2	\N	2015-06-13 19:59:50.784052+03
7166	2317	2	\N	2015-06-13 20:00:28.712308+03
7167	2317	2	\N	2015-06-13 20:01:26.421434+03
7168	2317	2	\N	2015-06-13 20:03:24.653457+03
7176	2451	2	\N	2015-06-14 10:07:32.690694+03
7177	2451	2	\N	2015-06-14 10:16:32.619194+03
7178	2451	2	\N	2015-06-14 13:13:57.393431+03
7179	2451	2	\N	2015-06-14 13:21:50.094038+03
7180	2451	2	\N	2015-06-14 13:22:37.050016+03
7181	2451	2	\N	2015-06-14 13:23:13.387606+03
7182	2451	2	\N	2015-06-14 13:23:25.25704+03
7183	2457	2	\N	2015-06-14 13:25:18.074212+03
7184	2451	2	\N	2015-06-14 13:26:56.97373+03
7185	2458	2	\N	2015-06-14 13:28:59.472857+03
7186	2459	2	\N	2015-06-14 13:29:40.688494+03
7187	2457	2	\N	2015-06-14 14:17:22.935487+03
7199	2463	2	\N	2015-06-14 16:30:22.760587+03
7201	2463	2	\N	2015-06-14 16:43:36.808614+03
7202	2465	2	\N	2015-06-14 18:28:13.295968+03
7203	2466	2	\N	2015-06-14 18:50:25.96227+03
7204	2467	2	\N	2015-06-14 18:50:57.662486+03
7205	2468	2	\N	2015-06-17 21:13:39.6663+03
7206	2469	2	\N	2015-06-17 21:13:39.6663+03
7207	2469	2	\N	2015-06-17 21:39:31.5421+03
7208	2470	2	\N	2015-06-17 21:39:43.056809+03
7211	2296	2	\N	2015-06-17 22:28:24.889672+03
7212	2296	2	\N	2015-06-17 22:28:44.137455+03
7213	2296	2	\N	2015-06-17 22:28:55.531055+03
7214	2296	2	\N	2015-06-17 22:29:04.688414+03
7217	1190	2	\N	2015-06-18 08:41:45.975909+03
7218	1190	2	\N	2015-06-18 08:41:55.712142+03
7219	2475	2	\N	2015-06-18 08:47:40.598128+03
7229	2484	2	\N	2015-06-18 09:11:44.190988+03
7232	2486	2	\N	2015-06-19 08:53:30.530081+03
7235	2489	2	\N	2015-06-19 08:57:56.925224+03
7236	2490	2	\N	2015-06-19 08:58:47.001543+03
7237	2491	2	\N	2015-06-19 09:01:01.141859+03
7239	2493	2	\N	2015-06-19 09:05:15.381515+03
7241	1010	2	\N	2015-06-19 09:18:51.710345+03
7244	2129	2	\N	2015-06-19 09:22:37.844576+03
7248	2137	2	\N	2015-06-19 09:24:18.706637+03
7250	2248	2	\N	2015-06-19 09:24:53.046897+03
7252	2484	2	\N	2015-06-20 10:13:59.32685+03
7253	2501	2	\N	2015-06-20 10:23:36.01186+03
7254	2490	2	\N	2015-06-20 10:24:30.090794+03
7255	2502	2	\N	2015-06-20 10:25:23.92051+03
7256	2490	2	\N	2015-06-20 10:25:26.171733+03
7257	2503	2	\N	2015-06-20 10:58:18.119129+03
7259	2505	2	\N	2015-06-20 11:21:58.139735+03
7260	2506	2	\N	2015-06-20 11:22:00.401736+03
7261	2507	2	\N	2015-06-20 11:22:46.430212+03
7262	2506	2	\N	2015-06-20 11:22:51.478424+03
7263	2508	2	\N	2015-06-20 11:23:54.736317+03
7264	2506	2	\N	2015-06-20 11:23:56.167951+03
7265	2345	2	\N	2015-06-20 11:26:36.603828+03
7266	2345	2	\N	2015-06-20 11:27:18.047841+03
7268	2345	2	\N	2015-06-20 11:46:46.13788+03
7269	2510	2	\N	2015-06-20 11:50:12.161837+03
7270	2511	2	\N	2015-06-20 11:50:13.525526+03
7272	2463	2	\N	2015-06-20 23:00:10.769493+03
7273	2467	2	\N	2015-06-20 23:00:18.463896+03
7274	2459	2	\N	2015-06-20 23:00:44.920864+03
7275	2458	2	\N	2015-06-20 23:00:51.132288+03
7276	2457	2	\N	2015-06-20 23:00:57.565186+03
7277	2451	2	\N	2015-06-20 23:01:04.368039+03
7278	2451	2	\N	2015-06-20 23:04:17.342527+03
7279	2457	2	\N	2015-06-20 23:04:23.315461+03
7280	2458	2	\N	2015-06-20 23:04:30.160097+03
7281	2459	2	\N	2015-06-20 23:04:35.721205+03
7282	1896	2	\N	2015-06-21 11:16:22.975624+03
7285	2459	2	\N	2015-06-21 11:19:17.963777+03
7286	2458	2	\N	2015-06-21 11:19:23.880837+03
7287	2457	2	\N	2015-06-21 11:19:29.44712+03
7288	2451	2	\N	2015-06-21 11:19:35.471458+03
7289	2467	2	\N	2015-06-21 11:19:54.443461+03
7290	2463	2	\N	2015-06-21 11:20:00.085347+03
7291	2465	2	\N	2015-06-21 11:21:33.270335+03
7292	2513	2	\N	2015-06-23 22:26:54.54596+03
7293	778	2	\N	2015-06-23 22:31:51.561928+03
7294	2514	2	\N	2015-06-23 22:34:29.078834+03
7295	2514	2	\N	2015-06-23 22:36:01.548881+03
7296	2513	2	\N	2015-06-23 22:42:58.979814+03
7297	2514	2	\N	2015-06-23 22:46:14.322892+03
7298	2515	2	\N	2015-06-23 22:48:32.462285+03
7306	784	2	\N	2015-06-27 17:39:03.474446+03
7307	784	2	\N	2015-06-27 17:52:48.813097+03
7308	885	2	\N	2015-06-27 17:53:15.731358+03
7312	784	2	\N	2015-06-27 19:50:37.220816+03
7313	784	2	\N	2015-06-27 19:50:45.528129+03
7314	784	2	\N	2015-06-27 19:50:53.618877+03
7315	784	2	\N	2015-06-27 19:52:29.5324+03
7317	2516	2	\N	2015-06-27 20:34:38.335917+03
7318	2517	2	\N	2015-06-27 21:02:52.190849+03
7319	2518	2	\N	2015-06-27 22:00:11.577645+03
7320	784	2	\N	2015-06-27 22:13:51.726755+03
7321	2519	2	\N	2015-06-27 22:13:51.726755+03
7322	2520	2	\N	2015-06-27 22:14:31.050053+03
7323	2521	2	\N	2015-06-27 22:15:06.48124+03
7324	2522	2	\N	2015-06-27 22:27:54.400494+03
7325	2523	2	\N	2015-06-27 22:40:18.037224+03
7326	2524	2	\N	2015-06-27 22:42:17.60206+03
7327	2525	2	\N	2015-06-27 22:42:37.767083+03
7328	784	2	\N	2015-06-27 22:49:09.961687+03
7329	784	2	\N	2015-06-27 22:49:28.712758+03
7330	784	2	\N	2015-06-27 22:49:40.054287+03
7331	2526	2	\N	2015-06-28 15:48:24.134048+03
7332	2527	2	\N	2015-06-28 15:49:06.934643+03
7333	1930	2	\N	2015-06-28 15:49:08.476175+03
7334	1930	2	\N	2015-06-28 15:49:15.43238+03
7335	1286	2	\N	2015-06-28 16:19:06.654271+03
7336	1284	2	\N	2015-06-28 16:19:08.822984+03
7337	2528	2	\N	2015-06-28 16:27:58.214962+03
7338	2529	2	\N	2015-07-04 20:12:31.951644+03
7339	2530	2	\N	2015-07-04 20:16:08.99227+03
7340	2531	2	\N	2015-07-04 20:16:08.99227+03
7341	2532	2	\N	2015-07-04 20:36:07.167824+03
7342	2533	2	\N	2015-07-04 20:36:07.167824+03
7343	2534	2	\N	2015-07-04 20:57:32.449165+03
7344	2491	2	\N	2015-07-04 20:58:12.716739+03
7345	2535	2	\N	2015-07-04 20:58:36.935951+03
7346	2536	2	\N	2015-07-04 20:59:39.366864+03
7347	2491	2	\N	2015-07-04 20:59:49.220324+03
7348	2537	2	\N	2015-07-04 21:00:02.518034+03
7349	2538	2	\N	2015-07-04 21:13:08.541103+03
7350	2539	2	\N	2015-07-04 21:14:30.611204+03
7351	2540	2	\N	2015-07-04 21:14:32.763289+03
7352	2541	2	\N	2015-07-04 21:14:50.821175+03
7353	2450	2	\N	2015-07-04 21:16:23.905581+03
7354	2542	2	\N	2015-07-04 21:17:54.658173+03
7355	2450	2	\N	2015-07-04 21:20:36.496307+03
7356	2450	2	\N	2015-07-04 21:22:20.163177+03
7357	2450	2	\N	2015-07-04 21:25:41.863118+03
7358	2543	2	\N	2015-07-04 21:26:56.584606+03
7359	2544	2	\N	2015-07-04 21:27:23.469843+03
7360	2388	2	\N	2015-07-04 21:27:31.474854+03
7361	2545	2	\N	2015-07-04 21:30:18.47115+03
7362	2546	2	\N	2015-07-04 21:30:37.579131+03
7363	2545	2	\N	2015-07-04 21:30:38.730906+03
7364	2547	2	\N	2015-07-04 21:30:51.680567+03
7365	2548	2	\N	2015-07-04 21:30:51.680567+03
7366	2388	2	\N	2015-07-04 21:31:14.422776+03
7367	2451	2	\N	2015-07-05 14:30:51.54628+03
7368	2457	2	\N	2015-07-05 14:33:01.814653+03
7369	2458	2	\N	2015-07-05 14:33:47.939925+03
7370	2459	2	\N	2015-07-05 14:33:59.629688+03
7371	2451	2	\N	2015-07-05 14:39:43.167129+03
7372	2467	2	\N	2015-07-05 14:49:52.691681+03
7373	2463	2	\N	2015-07-05 14:50:06.470488+03
7374	2549	2	\N	2015-07-05 15:34:32.780638+03
7376	2434	2	\N	2015-07-05 19:13:53.412323+03
7377	3	2	\N	2015-07-17 19:31:34.831317+03
7378	894	2	\N	2015-07-17 19:34:30.132569+03
7379	2054	2	\N	2015-07-17 19:34:44.345599+03
7380	2126	2	\N	2015-07-17 19:35:00.154065+03
7381	2484	2	\N	2015-07-17 19:35:15.872953+03
7382	2550	2	\N	2015-07-18 10:57:05.728016+03
7383	1372	2	\N	2015-07-18 10:57:08.110977+03
7384	1372	2	\N	2015-07-18 10:57:38.113606+03
7385	2551	2	\N	2015-07-18 11:02:48.147598+03
7386	2552	2	\N	2015-07-18 11:22:14.245467+03
7387	2552	2	\N	2015-07-18 11:24:17.241528+03
7388	2553	2	\N	2015-07-18 11:32:44.472503+03
7389	2554	2	\N	2015-07-18 11:46:38.401629+03
7390	2554	2	\N	2015-07-18 11:47:52.858154+03
7392	2556	2	\N	2015-07-18 11:55:59.961331+03
7393	1372	2	\N	2015-07-18 11:56:18.816278+03
7394	1375	2	\N	2015-07-18 11:56:26.8815+03
7395	2557	2	\N	2015-07-18 12:01:04.237446+03
7396	887	2	\N	2015-07-18 12:01:06.541839+03
7397	2376	2	\N	2015-07-18 12:01:31.956124+03
7398	2556	2	\N	2015-07-18 12:01:52.672293+03
7399	2558	2	\N	2015-07-19 10:20:48.263335+03
7400	2559	2	\N	2015-07-19 14:41:19.72071+03
7401	2560	2	\N	2015-07-19 14:41:25.622087+03
7402	2561	2	\N	2015-07-19 14:42:40.770503+03
7403	2562	2	\N	2015-07-19 14:42:45.815524+03
7404	2563	2	\N	2015-07-19 15:12:51.840188+03
7405	2564	2	\N	2015-07-19 15:13:34.062285+03
7406	2565	2	\N	2015-07-19 15:13:36.341158+03
7407	2566	2	\N	2015-07-19 15:17:50.040034+03
7408	2567	2	\N	2015-07-19 15:18:18.066263+03
7409	2568	2	\N	2015-07-19 15:19:23.078636+03
7410	2569	2	\N	2015-07-19 15:19:33.135472+03
7411	2570	2	\N	2015-07-19 15:20:45.489438+03
7412	2571	2	\N	2015-07-19 15:21:40.944498+03
7413	2572	2	\N	2015-07-19 15:21:50.318605+03
7414	2573	2	\N	2015-07-19 16:03:41.362252+03
7415	2574	2	\N	2015-07-19 16:04:11.184096+03
7416	2575	2	\N	2015-07-19 16:04:13.848246+03
7417	2576	2	\N	2015-07-19 16:05:08.205201+03
7418	2577	2	\N	2015-07-19 16:06:12.10907+03
7419	2578	2	\N	2015-07-19 16:06:39.117569+03
7420	2579	2	\N	2015-07-19 16:06:40.986562+03
7421	2580	2	\N	2015-07-19 16:07:27.111556+03
7422	2581	2	\N	2015-07-19 16:08:00.994992+03
7423	2582	2	\N	2015-07-19 16:08:03.06528+03
7424	2583	2	\N	2015-07-19 22:56:54.154484+03
7425	2584	2	\N	2015-07-19 23:47:28.340347+03
7426	2585	2	\N	2015-07-19 23:52:14.447269+03
7427	2586	2	\N	2015-07-19 23:52:36.403304+03
7428	2587	2	\N	2015-07-19 23:52:50.958041+03
7429	2588	2	\N	2015-07-19 23:53:14.681932+03
7430	2589	2	\N	2015-07-19 23:54:00.547115+03
7431	2590	2	\N	2015-07-19 23:54:44.372371+03
7432	2591	2	\N	2015-07-19 23:54:52.387429+03
7433	2593	2	\N	2015-07-19 23:56:11.09679+03
7434	2594	2	\N	2015-07-19 23:56:44.56359+03
7435	2595	2	\N	2015-07-19 23:56:46.53373+03
7436	1932	2	\N	2015-07-20 00:00:04.645587+03
7437	2596	2	\N	2015-07-20 00:04:50.031308+03
7438	2597	2	\N	2015-07-20 00:05:29.444039+03
7439	2598	2	\N	2015-07-20 00:06:05.823851+03
7440	2599	2	\N	2015-07-20 00:06:07.921437+03
7443	2602	2	\N	2015-07-20 23:51:41.323724+03
7444	2603	2	\N	2015-07-20 23:51:41.323724+03
7445	2604	2	\N	2015-07-20 23:51:41.323724+03
7446	2605	2	\N	2015-07-20 23:51:41.323724+03
7449	2608	2	\N	2015-07-20 23:51:41.323724+03
7453	2612	2	\N	2015-07-20 23:51:41.323724+03
7454	2613	2	\N	2015-07-20 23:51:41.323724+03
7458	2617	2	\N	2015-07-20 23:51:41.323724+03
7472	2631	2	\N	2015-07-20 23:51:41.323724+03
7473	2632	2	\N	2015-07-20 23:51:41.323724+03
7474	2633	2	\N	2015-07-20 23:51:41.323724+03
7475	2634	2	\N	2015-07-20 23:51:41.323724+03
7476	2635	2	\N	2015-07-20 23:51:41.323724+03
7477	2636	2	\N	2015-07-20 23:51:41.323724+03
7478	2637	2	\N	2015-07-20 23:51:41.323724+03
7479	2638	2	\N	2015-07-20 23:51:41.323724+03
7483	2642	2	\N	2015-07-20 23:51:41.323724+03
7484	2643	2	\N	2015-07-20 23:51:41.323724+03
7487	2646	2	\N	2015-07-20 23:51:41.323724+03
7488	2647	2	\N	2015-07-20 23:51:41.323724+03
7489	2648	2	\N	2015-07-20 23:51:41.323724+03
7490	2649	2	\N	2015-07-20 23:51:41.323724+03
7491	2650	2	\N	2015-07-20 23:51:41.323724+03
7492	2651	2	\N	2015-07-20 23:51:41.323724+03
7493	2652	2	\N	2015-07-20 23:51:41.323724+03
7494	2653	2	\N	2015-07-20 23:51:41.323724+03
7495	2654	2	\N	2015-07-20 23:51:41.323724+03
7496	2655	2	\N	2015-07-20 23:51:41.323724+03
7498	894	2	\N	2015-07-20 23:59:14.903581+03
7503	2663	2	\N	2015-07-21 00:42:13.515989+03
7504	2664	2	\N	2015-07-21 00:44:32.068557+03
7505	2662	2	\N	2015-07-21 00:45:19.305589+03
7507	894	2	\N	2015-07-22 09:52:23.690178+03
7508	885	2	\N	2015-07-22 09:53:01.082145+03
7509	2665	2	\N	2015-07-22 09:53:01.082145+03
7510	885	2	\N	2015-07-22 09:53:36.087021+03
7511	2272	2	\N	2015-07-22 10:46:42.444349+03
7512	2272	2	\N	2015-07-22 10:47:14.111233+03
7513	2666	2	\N	2015-07-22 10:50:02.98887+03
7514	2667	2	\N	2015-07-22 10:50:08.679496+03
7515	2668	2	\N	2015-07-22 10:51:11.924694+03
7516	2669	2	\N	2015-07-22 10:51:14.586916+03
7517	2669	2	\N	2015-07-22 11:46:47.662266+03
7518	2670	2	\N	2015-07-22 11:49:53.983401+03
7519	2671	2	\N	2015-07-22 11:53:39.590503+03
7520	2669	2	\N	2015-07-22 11:53:54.403754+03
7521	2669	2	\N	2015-07-22 11:54:14.136266+03
7522	2669	2	\N	2015-07-22 12:24:29.892068+03
7523	2673	2	\N	2015-07-22 12:28:35.92606+03
7524	2674	2	\N	2015-07-22 12:28:39.345269+03
7525	2675	2	\N	2015-07-22 12:44:17.155133+03
7526	2676	2	\N	2015-07-22 12:45:19.167404+03
7527	2677	2	\N	2015-07-22 12:45:42.418521+03
7528	2678	2	\N	2015-07-22 12:45:46.782121+03
7529	2679	2	\N	2015-07-22 12:46:34.868393+03
7530	2678	2	\N	2015-07-22 12:47:12.553819+03
7531	2680	2	\N	2015-07-22 12:47:32.725361+03
7532	2681	2	\N	2015-07-22 12:47:48.511246+03
7533	2682	2	\N	2015-07-22 13:40:37.786999+03
7534	2681	2	\N	2015-07-22 13:40:39.941316+03
7535	2681	2	\N	2015-07-22 13:40:55.710058+03
7536	2683	2	\N	2015-07-22 13:41:40.486853+03
7537	2684	2	\N	2015-07-22 13:41:59.700406+03
7538	2685	2	\N	2015-07-22 13:42:00.973433+03
7539	2667	2	\N	2015-07-22 13:42:02.635972+03
7540	2685	2	\N	2015-07-22 13:46:08.824214+03
7541	2667	2	\N	2015-07-22 13:46:13.399464+03
7542	2686	2	\N	2015-07-22 13:47:12.099197+03
7543	2687	2	\N	2015-07-22 13:47:12.099197+03
7544	2688	2	\N	2015-07-22 13:50:14.404321+03
7545	2689	2	\N	2015-07-22 13:50:14.404321+03
7546	2690	2	\N	2015-07-22 13:53:17.909433+03
7547	2690	2	\N	2015-07-22 13:53:48.33605+03
7550	2693	2	\N	2015-07-22 14:07:31.992976+03
7551	2694	2	\N	2015-07-22 14:08:00.072596+03
7552	2695	2	\N	2015-07-22 14:08:45.393051+03
7555	2698	2	\N	2015-07-22 14:13:47.912163+03
7556	2699	2	\N	2015-07-22 14:14:01.749177+03
7557	2700	2	\N	2015-07-22 14:14:10.709485+03
7558	2701	2	\N	2015-07-22 14:14:10.709485+03
7559	2699	2	\N	2015-07-22 14:16:42.964801+03
7560	2702	2	\N	2015-07-22 14:17:00.761945+03
7561	2703	2	\N	2015-07-22 14:17:00.761945+03
7562	2704	2	\N	2015-07-22 14:19:56.751612+03
7563	2705	2	\N	2015-07-22 14:19:56.751612+03
7564	2699	2	\N	2015-07-22 14:20:42.704316+03
7565	2706	2	\N	2015-07-22 14:21:02.027005+03
7566	2707	2	\N	2015-07-22 14:21:02.027005+03
7567	2699	2	\N	2015-07-22 14:21:39.869597+03
7568	2699	2	\N	2015-07-22 14:21:46.984305+03
7569	2708	2	\N	2015-07-22 14:21:59.287338+03
7570	2709	2	\N	2015-07-22 14:21:59.287338+03
7571	2699	2	\N	2015-07-22 14:22:26.322903+03
7572	2710	2	\N	2015-07-22 14:22:35.509695+03
7573	2711	2	\N	2015-07-22 14:22:35.509695+03
7574	2699	2	\N	2015-07-22 14:23:19.576335+03
7575	2712	2	\N	2015-07-22 14:23:36.759685+03
7576	2713	2	\N	2015-07-22 14:23:36.759685+03
7577	2714	2	\N	2015-07-22 14:30:40.877306+03
7578	2715	2	\N	2015-07-22 14:32:25.925422+03
7579	2716	2	\N	2015-07-22 14:32:25.925422+03
7580	2714	2	\N	2015-07-22 14:32:56.995021+03
7581	2717	2	\N	2015-07-22 14:33:08.574387+03
7582	2718	2	\N	2015-07-22 14:33:08.574387+03
7583	2719	2	\N	2015-07-22 14:50:07.747456+03
7584	2720	2	\N	2015-07-22 14:50:07.747456+03
7585	2721	2	\N	2015-07-22 14:53:19.652254+03
7586	2722	2	\N	2015-07-22 14:53:19.652254+03
7587	2723	2	\N	2015-07-22 15:02:17.721876+03
7588	2724	2	\N	2015-07-22 15:02:27.84792+03
7589	2725	2	\N	2015-07-22 15:02:27.84792+03
7590	2726	2	\N	2015-07-22 15:04:12.042101+03
7591	2699	2	\N	2015-07-22 15:04:47.591373+03
7592	2727	2	\N	2015-07-22 15:05:43.153662+03
7593	2728	2	\N	2015-07-22 15:05:43.153662+03
7594	2729	2	\N	2015-07-22 15:13:21.269737+03
7595	2730	2	\N	2015-07-22 15:19:08.113264+03
7596	2729	2	\N	2015-07-22 15:19:11.19218+03
7597	2729	2	\N	2015-07-22 15:35:51.754061+03
7598	2732	2	\N	2015-07-22 15:38:41.939351+03
7599	2729	2	\N	2015-07-22 15:40:32.555996+03
7600	2729	2	\N	2015-07-22 15:55:13.336651+03
7601	2515	2	\N	2015-07-22 15:57:29.189389+03
7602	2729	2	\N	2015-07-22 15:57:36.719306+03
7603	2733	2	\N	2015-07-22 15:58:23.119691+03
7604	2729	2	\N	2015-07-22 15:58:35.528196+03
7605	2450	2	\N	2015-07-22 15:58:59.916186+03
7606	2317	2	\N	2015-07-22 15:59:20.404832+03
7607	2734	2	\N	2015-07-22 15:59:27.667185+03
7608	2735	2	\N	2015-07-22 15:59:52.422862+03
7609	2736	2	\N	2015-07-22 15:59:52.422862+03
7610	2388	2	\N	2015-07-22 16:00:09.725539+03
7611	2450	2	\N	2015-07-22 16:00:21.306194+03
7612	1438	2	\N	2015-07-22 18:57:24.829162+03
7613	2737	2	\N	2015-07-22 19:50:41.44109+03
7614	2738	2	\N	2015-07-22 19:50:41.44109+03
7615	2739	2	\N	2015-07-22 22:10:17.173605+03
7616	2739	2	\N	2015-07-22 22:27:10.60758+03
7617	2740	2	\N	2015-10-05 21:56:31.033698+03
7618	2741	2	\N	2015-10-05 22:00:37.025784+03
7619	2741	2	\N	2015-10-05 22:01:11.294026+03
7620	2740	2	\N	2015-10-11 15:30:17.608326+03
7621	2740	2	\N	2015-10-11 15:49:02.820999+03
7622	2742	2	\N	2015-10-11 16:29:26.485453+03
7655	2741	2	\N	2015-10-19 21:00:27.348936+03
7656	2484	2	\N	2015-10-24 14:58:32.749242+03
7657	2779	2	\N	2015-10-24 14:58:32.749242+03
7658	2484	2	\N	2015-10-24 14:59:57.669772+03
7659	2780	2	\N	2015-10-24 14:59:57.669772+03
7660	894	2	\N	2015-10-24 15:00:56.289933+03
7661	2781	2	\N	2015-10-24 15:00:56.289933+03
7662	885	2	\N	2015-10-24 15:02:23.825848+03
7663	894	2	\N	2015-10-24 15:06:44.559696+03
7664	2782	2	\N	2015-10-24 15:06:44.559696+03
7665	894	2	\N	2015-10-24 15:13:07.98256+03
7666	2783	2	\N	2015-10-24 15:13:07.98256+03
7667	894	2	\N	2015-10-24 15:16:03.818888+03
7668	2784	2	\N	2015-10-24 15:16:03.818888+03
7670	2786	2	\N	2015-10-24 15:24:48.816087+03
7671	2787	2	\N	2015-10-24 15:30:54.642902+03
7672	2739	2	\N	2015-10-31 09:47:11.166446+02
7673	2739	2	\N	2015-10-31 09:48:54.569182+02
7674	2739	2	\N	2015-10-31 09:52:21.217177+02
7675	2739	2	\N	2015-10-31 09:52:28.501825+02
7676	2739	2	\N	2015-10-31 10:25:38.872091+02
7677	2593	2	\N	2015-10-31 10:32:28.375294+02
7678	2788	2	\N	2015-10-31 11:46:02.329007+02
7679	2741	2	\N	2015-10-31 11:48:54.106885+02
7698	2813	2	\N	2015-11-22 21:52:45.311354+02
7699	2814	2	\N	2015-11-22 21:57:07.211721+02
7700	2739	2	\N	2015-11-22 21:57:09.506917+02
7701	2739	2	\N	2015-11-22 22:03:49.302367+02
7702	2815	2	\N	2015-11-29 18:03:23.32558+02
7703	2816	2	\N	2015-11-29 18:05:24.319676+02
7704	2818	2	\N	2015-11-29 19:06:37.534692+02
7705	2820	2	\N	2016-01-02 19:03:39.167822+02
7706	1930	2	\N	2016-01-02 19:03:41.6491+02
7707	2821	2	\N	2016-01-02 20:11:21.358279+02
7708	2822	2	\N	2016-01-02 20:11:24.233178+02
7709	2823	2	\N	2016-01-02 20:12:21.682793+02
7710	2824	2	\N	2016-01-02 20:12:46.762385+02
7711	2825	2	\N	2016-01-02 20:15:08.259398+02
7712	2824	2	\N	2016-01-02 20:15:26.352748+02
7713	2826	2	\N	2016-01-02 20:15:55.52191+02
7714	2824	2	\N	2016-01-02 20:17:19.972235+02
7715	2822	2	\N	2016-01-02 20:21:41.413863+02
7716	2827	2	\N	2016-01-02 20:24:24.220398+02
7717	2828	2	\N	2016-01-02 20:24:24.220398+02
7718	2829	2	\N	2016-01-02 20:25:00.491155+02
7719	2830	2	\N	2016-01-02 20:25:43.115841+02
7720	2831	2	\N	2016-01-02 20:26:37.333884+02
7721	2832	2	\N	2016-01-02 20:27:25.581765+02
7722	2833	2	\N	2016-01-02 20:36:13.937348+02
7723	2834	2	\N	2016-01-02 20:36:20.489746+02
7724	2834	2	\N	2016-01-02 20:36:41.364121+02
7725	2835	2	\N	2016-01-02 20:42:25.330155+02
7726	2836	2	\N	2016-01-02 20:42:56.538052+02
7727	2837	2	\N	2016-01-02 20:50:50.737933+02
7728	2838	2	\N	2016-01-02 20:50:50.737933+02
7729	2831	2	\N	2016-01-02 20:50:54.803525+02
7730	2839	2	\N	2016-01-02 20:51:13.095185+02
7731	2840	2	\N	2016-01-02 20:51:13.095185+02
7732	2841	2	\N	2016-01-02 20:52:40.961629+02
7733	2540	2	\N	2016-01-02 20:53:36.703713+02
7734	2842	2	\N	2016-01-02 20:53:48.427475+02
7735	2843	2	\N	2016-01-02 20:53:48.427475+02
7736	2844	2	\N	2016-01-02 21:00:05.527737+02
7737	2845	2	\N	2016-01-02 21:00:05.527737+02
7738	2846	2	\N	2016-01-02 21:03:59.88429+02
7739	2847	2	\N	2016-01-02 21:03:59.88429+02
7740	2848	2	\N	2016-01-02 21:08:47.993297+02
7741	2849	2	\N	2016-01-02 21:08:47.993297+02
7742	2850	2	\N	2016-01-02 21:16:40.983488+02
7743	2851	2	\N	2016-01-02 21:16:40.983488+02
7744	2852	2	\N	2016-01-02 21:36:46.646531+02
7745	2853	2	\N	2016-01-02 21:36:49.099159+02
7746	2854	2	\N	2016-01-02 21:37:14.376182+02
7747	2855	2	\N	2016-01-02 21:37:14.376182+02
7748	2853	2	\N	2016-01-02 21:38:33.232425+02
7749	2853	2	\N	2016-01-02 21:39:02.581845+02
7752	2857	2	\N	2016-01-02 21:39:38.718674+02
7755	2858	2	\N	2016-01-02 21:48:47.109583+02
7756	2858	2	\N	2016-01-02 21:49:26.302355+02
7757	2858	2	\N	2016-01-02 21:50:13.774213+02
7759	2841	2	\N	2016-01-02 22:14:54.924705+02
7763	2858	2	\N	2016-01-02 22:21:07.90205+02
7750	2853	2	\N	2016-01-02 21:39:16.771773+02
7753	2858	2	\N	2016-01-02 21:43:29.317483+02
7754	2859	2	\N	2016-01-02 21:48:34.392885+02
7758	2858	2	\N	2016-01-02 21:50:34.02702+02
7760	2835	2	\N	2016-01-02 22:15:05.490599+02
7761	2858	2	\N	2016-01-02 22:15:28.276336+02
7762	2858	2	\N	2016-01-02 22:20:37.944351+02
7764	2858	2	\N	2016-01-02 22:23:01.500364+02
7765	2858	2	\N	2016-01-02 22:24:07.265807+02
7766	2858	2	\N	2016-01-02 22:57:12.346032+02
7767	2858	2	\N	2016-01-02 22:57:27.435802+02
7768	2858	2	\N	2016-01-02 22:58:10.983876+02
7769	2860	2	\N	2016-01-02 23:22:02.986231+02
7770	2861	2	\N	2016-01-02 23:22:02.986231+02
7771	2862	2	\N	2016-01-02 23:29:14.591921+02
7772	2863	2	\N	2016-01-02 23:29:43.595496+02
7773	2864	2	\N	2016-01-02 23:32:59.025447+02
7774	2865	2	\N	2016-01-02 23:33:17.678918+02
7775	2866	2	\N	2016-01-02 23:33:24.314299+02
7776	2867	2	\N	2016-01-02 23:34:03.051927+02
7777	2824	2	\N	2016-01-02 23:39:00.961892+02
7778	2868	2	\N	2016-01-30 20:55:14.786454+02
7779	2869	2	\N	2016-01-30 20:59:30.856249+02
7780	2830	2	\N	2016-01-30 21:00:27.913502+02
7781	2830	2	\N	2016-01-30 21:01:18.072032+02
7782	2830	2	\N	2016-01-30 21:01:36.444194+02
7783	2830	2	\N	2016-02-06 15:26:53.662979+02
7784	2830	2	\N	2016-02-06 15:33:10.739181+02
7785	2830	2	\N	2016-02-06 15:34:22.381065+02
7786	2830	2	\N	2016-02-06 15:35:20.238203+02
7787	2830	2	\N	2016-02-06 15:36:19.423459+02
7788	2830	2	\N	2016-02-06 15:45:57.869458+02
7789	2830	2	\N	2016-02-06 15:55:27.857802+02
7790	2830	2	\N	2016-02-06 16:02:20.536632+02
7791	2830	2	\N	2016-02-06 16:19:02.587853+02
7792	2830	2	\N	2016-02-06 16:19:14.340638+02
7793	2830	2	\N	2016-02-06 16:19:40.099469+02
7794	2870	2	\N	2016-02-07 17:23:20.218116+02
7795	2871	2	\N	2016-02-07 17:23:20.218116+02
7799	2873	2	\N	2016-02-07 21:19:25.018357+02
7800	2874	2	\N	2016-02-07 21:20:02.361201+02
7801	2875	2	\N	2016-02-07 21:20:21.884033+02
7802	2876	2	\N	2016-02-07 21:21:03.816914+02
7803	2877	2	\N	2016-02-07 21:21:07.920879+02
7804	2788	2	\N	2016-05-09 12:53:56.945117+03
7805	2878	2	\N	2016-05-09 12:57:37.410132+03
7806	2879	2	\N	2016-05-09 12:58:01.601364+03
7807	2875	2	\N	2016-05-09 14:19:09.461648+03
7808	2879	2	\N	2016-05-09 14:19:09.461648+03
7809	2875	2	\N	2016-05-09 14:21:24.121089+03
7810	2879	2	\N	2016-05-09 14:21:24.121089+03
7811	2877	2	\N	2016-05-09 19:49:23.40543+03
7812	2877	2	\N	2016-05-09 20:42:10.779147+03
7813	2877	2	\N	2016-05-09 20:59:03.503884+03
7814	2877	2	\N	2016-05-09 20:59:20.181507+03
7815	2880	2	\N	2016-05-14 12:24:09.362992+03
7816	2881	2	\N	2016-05-14 12:24:17.0673+03
7817	2882	2	\N	2016-05-14 12:40:37.631348+03
7818	2883	2	\N	2016-05-14 12:42:08.065152+03
7822	2887	2	\N	2016-05-14 19:24:38.497791+03
7823	2882	2	\N	2016-05-14 19:25:04.0458+03
7824	2888	2	\N	2016-05-14 19:26:49.355068+03
7825	2889	2	\N	2016-05-14 19:27:41.044427+03
7826	2888	2	\N	2016-05-14 19:28:16.54874+03
7827	2889	2	\N	2016-05-14 19:33:22.988649+03
7828	2131	2	\N	2016-05-15 18:01:05.003665+03
7829	1932	2	\N	2016-05-15 18:01:28.601998+03
7830	1939	2	\N	2016-05-15 18:01:28.601998+03
7831	2131	2	\N	2016-05-15 18:01:28.601998+03
7832	2890	2	\N	2016-05-15 18:35:21.882133+03
7847	1849	2	\N	2016-05-22 20:11:06.601318+03
7848	2903	2	\N	2016-05-22 20:42:01.686171+03
7849	2904	2	\N	2016-05-22 20:43:32.285069+03
\.


--
-- Name: resource_log_id_seq; Type: SEQUENCE SET; Schema: company_en; Owner: -
--

SELECT pg_catalog.setval('resource_log_id_seq', 7850, true);


--
-- Data for Name: resource_type; Type: TABLE DATA; Schema: company_en; Owner: -
--

COPY resource_type (id, resource_id, name, humanize, resource_name, module, settings, descr, status) FROM stdin;
145	2292	leads_items	Leads Items	LeadsItemsResource	travelcrm.resources.leads_items	null	Leads Items	0
87	1190	contacts	Contacts	ContactsResource	travelcrm.resources.contacts	null	Contacts for persons, business persons etc.	0
148	2513	vats	Vat	VatsResource	travelcrm.resources.vats	null	Vat for accounts and services	0
2	10	users	Users	UsersResource	travelcrm.resources.users	null	Users list	0
149	2516	uploads	Uploads	UploadsResource	travelcrm.resources.uploads	null	Uploads for any type of resources	0
151	2551	persons_categories	Persons Categories	PersonsCategoriesResource	travelcrm.resources.persons_categories	null	Categorise your clients with categories of persons	0
1	773		Home	Root	travelcrm.resources	null	Home Page of Travelcrm	0
12	16	resources_types	Resources Types	ResourcesTypesResource	travelcrm.resources.resources_types	null	Resources types list	0
39	274	regions	Regions	RegionsResource	travelcrm.resources.regions	null		0
41	283	currencies	Currencies	CurrenciesResource	travelcrm.resources.currencies	null		0
47	706	employees	Employees	EmployeesResource	travelcrm.resources.employees	null	Employees Container Datagrid	0
55	723	structures	Structures	StructuresResource	travelcrm.resources.structures	null	Companies structures is a tree of company structure. It's can be offices, filials, departments and so and so	0
59	764	positions	Positions	PositionsResource	travelcrm.resources.positions	null	Companies positions is a point of company structure where emplyees can be appointed	0
61	769	permisions	Permisions	PermisionsResource	travelcrm.resources.permisions	null	Permisions list of company structure position. It's list of resources and permisions	0
65	775	navigations	Navigations	NavigationsResource	travelcrm.resources.navigations	null	Navigations list of company structure position.	0
67	788	appointments	Appointments	AppointmentsResource	travelcrm.resources.appointments	null	Employees to positions of company appointments	0
69	865	persons	Persons	PersonsResource	travelcrm.resources.persons	null	Persons directory. Person can be client or potential client	0
70	872	countries	Countries	CountriesResource	travelcrm.resources.countries	null	Countries directory	0
71	901	advsources	Advertises Sources	AdvsourcesResource	travelcrm.resources.advsources	null	Types of advertises	0
72	908	hotelcats	Hotels Categories	HotelcatsResource	travelcrm.resources.hotelcats	null	Hotels categories	0
73	909	roomcats	Rooms Categories	RoomcatsResource	travelcrm.resources.roomcats	null	Categories of the rooms	0
75	954	foodcats	Foods Categories	FoodcatsResource	travelcrm.resources.foodcats	null	Food types in hotels	0
78	1003	suppliers	Suppliers	SuppliersResource	travelcrm.resources.suppliers	null	Suppliers, such as touroperators, aircompanies, IATA etc.	0
79	1007	bpersons	Business Persons	BPersonsResource	travelcrm.resources.bpersons	null	Business Persons is not clients it's simple business contacts that can be referenced objects that needs to have contacts	0
83	1081	hotels	Hotels	HotelsResource	travelcrm.resources.hotels	null	Hotels directory	0
84	1088	locations	Locations	LocationsResource	travelcrm.resources.locations	null	Locations list is list of cities, vilages etc. places to use to identify part of region	0
86	1189	contracts	Contracts	ContractsResource	travelcrm.resources.contracts	null	Licences list for any type of resources as need	0
89	1198	passports	Passports	PassportsResource	travelcrm.resources.passports	null	Clients persons passports lists	0
90	1207	addresses	Addresses	AddressesResource	travelcrm.resources.addresses	null	Addresses of any type of resources, such as persons, bpersons, hotels etc.	0
91	1211	banks	Banks	BanksResource	travelcrm.resources.banks	null	Banks list to create bank details and for other reasons	0
93	1225	tasks	Tasks	TasksResource	travelcrm.resources.tasks	null	Task manager	0
101	1268	banks_details	Banks Details	BanksDetailsResource	travelcrm.resources.banks_details	null	Banks Details that can be attached to any client or business partner to define account	0
102	1313	services	Services	ServicesResource	travelcrm.resources.services	null	Additional Services that can be provide with tours sales or separate	0
104	1393	currencies_rates	Currency Rates	CurrenciesRatesResource	travelcrm.resources.currencies_rates	null	Currencies Rates. Values from this dir used by billing to calc prices in base currency.	0
105	1424	accounts_items	Accounts Items	AccountsItemsResource	travelcrm.resources.accounts_items	null	Finance accounts items	0
106	1433	incomes	Incomes	IncomesResource	travelcrm.resources.incomes	{"account_item_id": 8}	Incomes Payments Document for invoices	0
107	1435	accounts	Accounts	AccountsResource	travelcrm.resources.accounts	null	Billing Accounts. It can be bank accouts, cash accounts etc. and has company wide visible	0
117	1797	subaccounts	Subaccounts	SubaccountsResource	travelcrm.resources.subaccounts	null	Subaccounts are accounts from other objects such as clients, touroperators and so on	0
118	1799	notes	Notes	NotesResource	travelcrm.resources.notes	null	Resources Notes	0
121	1894	turnovers	Turnovers	TurnoversResource	travelcrm.resources.turnovers	null	Turnovers on Accounts and Subaccounts	0
126	1968	companies	Companies	CompaniesResource	travelcrm.resources.companies	null	Multicompanies functionality	0
130	2049	leads	Leads	LeadsResource	travelcrm.resources.leads	null	Leads that can be converted into contacts	0
135	2100	orders_items	Orders Items	OrdersItemsResource	travelcrm.resources.orders_items	null	Orders Items	0
137	2108	tours	Tours	ToursResource	travelcrm.resources.tours	null	Tour Service	0
74	953	accomodations	Accomodations	AccomodationsResource	travelcrm.resources.accomodations	null	Accomodations Types list	0
110	1521	commissions	Commissions	CommissionsResource	travelcrm.resources.commissions	null	Services sales commissions	0
111	1548	outgoings	Outgoings	OutgoingsResource	travelcrm.resources.outgoings	null	Outgoings payments for touroperators, suppliers, payback payments and so on	0
134	2099	orders	Orders	OrdersResource	travelcrm.resources.orders	{"html_template": "GNU GENERAL PUBLIC LICENSE\\r\\n\\r\\nVersion 3, 29 June 2007\\r\\n\\r\\nCopyright \\u00a9 2007 Free Software Foundation, Inc. <http://fsf.org/>\\r\\n\\r\\nEveryone is permitted to copy and distribute verbatim copies of this license document, but changing it is not allowed.\\r\\n\\r\\nPreamble\\r\\n\\r\\nThe GNU General Public License is a free, copyleft license for software and other kinds of works.\\r\\n\\r\\nThe licenses for most software and other practical works are designed to take away your freedom to share and change the works. By contrast, the GNU General Public License is intended to guarantee your freedom to share and change all versions of a program--to make sure it remains free software for all its users. We, the Free Software Foundation, use the GNU General Public License for most of our software; it applies also to any other work released this way by its authors. You can apply it to your programs, too.\\r\\n\\r\\nWhen we speak of free software, we are referring to freedom, not price. Our General Public Licenses are designed to make sure that you have the freedom to distribute copies of free software (and charge for them if you wish), that you receive source code or can get it if you want it, that you can change the software or use pieces of it in new free programs, and that you know you can do these things.\\r\\n\\r\\nTo protect your rights, we need to prevent others from denying you these rights or asking you to surrender the rights. Therefore, you have certain responsibilities if you distribute copies of the software, or if you modify it: responsibilities to respect the freedom of others.\\r\\n\\r\\nFor example, if you distribute copies of such a program, whether gratis or for a fee, you must pass on to the recipients the same freedoms that you received. You must make sure that they, too, receive or can get the source code. And you must show them these terms so they know their rights.\\r\\n\\r\\nDevelopers that use the GNU GPL protect your rights with two steps: (1) assert copyright on the software, and (2) offer you this License giving you legal permission to copy, distribute and/or modify it.\\r\\n\\r\\nFor the developers' and authors' protection, the GPL clearly explains that there is no warranty for this free software. For both users' and authors' sake, the GPL requires that modified versions be marked as changed, so that their problems will not be attributed erroneously to authors of previous versions.\\r\\n\\r\\nSome devices are designed to deny users access to install or run modified versions of the software inside them, although the manufacturer can do so. This is fundamentally incompatible with the aim of protecting users' freedom to change the software. The systematic pattern of such abuse occurs in the area of products for individuals to use, which is precisely where it is most unacceptable. Therefore, we have designed this version of the GPL to prohibit the practice for those products. If such problems arise substantially in other domains, we stand ready to extend this provision to those domains in future versions of the GPL, as needed to protect the freedom of users.\\r\\n\\r\\nFinally, every program is threatened constantly by software patents. States should not allow patents to restrict development and use of software on general-purpose computers, but in those that do, we wish to avoid the special danger that patents applied to a free program could make it effectively proprietary. To prevent this, the GPL assures that patents cannot be used to render the program non-free.\\r\\n\\r\\nThe precise terms and conditions for copying, distribution and modification follow.\\r\\n\\r\\nTERMS AND CONDITIONS\\r\\n\\r\\n0. Definitions.\\r\\n\\r\\n\\u201cThis License\\u201d refers to version 3 of the GNU General Public License.\\r\\n\\r\\n\\u201cCopyright\\u201d also means copyright-like laws that apply to other kinds of works, such as semiconductor masks.\\r\\n\\r\\n\\u201cThe Program\\u201d refers to any copyrightable work licensed under this License. Each licensee is addressed as \\u201cyou\\u201d. \\u201cLicensees\\u201d and \\u201crecipients\\u201d may be individuals or organizations.\\r\\n\\r\\nTo \\u201cmodify\\u201d a work means to copy from or adapt all or part of the work in a fashion requiring copyright permission, other than the making of an exact copy. The resulting work is called a \\u201cmodified version\\u201d of the earlier work or a work \\u201cbased on\\u201d the earlier work.\\r\\n\\r\\nA \\u201ccovered work\\u201d means either the unmodified Program or a work based on the Program.\\r\\n\\r\\nTo \\u201cpropagate\\u201d a work means to do anything with it that, without permission, would make you directly or secondarily liable for infringement under applicable copyright law, except executing it on a computer or modifying a private copy. Propagation includes copying, distribution (with or without modification), making available to the public, and in some countries other activities as well.\\r\\n\\r\\nTo \\u201cconvey\\u201d a work means any kind of propagation that enables other parties to make or receive copies. Mere interaction with a user through a computer network, with no transfer of a copy, is not conveying.\\r\\n\\r\\nAn interactive user interface displays \\u201cAppropriate Legal Notices\\u201d to the extent that it includes a convenient and prominently visible feature that (1) displays an appropriate copyright notice, and (2) tells the user that there is no warranty for the work (except to the extent that warranties are provided), that licensees may convey the work under this License, and how to view a copy of this License. If the interface presents a list of user commands or options, such as a menu, a prominent item in the list meets this criterion.\\r\\n\\r\\n1. Source Code.\\r\\n\\r\\nThe \\u201csource code\\u201d for a work means the preferred form of the work for making modifications to it. \\u201cObject code\\u201d means any non-source form of a work.\\r\\n\\r\\nA \\u201cStandard Interface\\u201d means an interface that either is an official standard defined by a recognized standards body, or, in the case of interfaces specified for a particular programming language, one that is widely used among developers working in that language.\\r\\n\\r\\nThe \\u201cSystem Libraries\\u201d of an executable work include anything, other than the work as a whole, that (a) is included in the normal form of packaging a Major Component, but which is not part of that Major Component, and (b) serves only to enable use of the work with that Major Component, or to implement a Standard Interface for which an implementation is available to the public in source code form. A \\u201cMajor Component\\u201d, in this context, means a major essential component (kernel, window system, and so on) of the specific operating system (if any) on which the executable work runs, or a compiler used to produce the work, or an object code interpreter used to run it.\\r\\n\\r\\nThe \\u201cCorresponding Source\\u201d for a work in object code form means all the source code needed to generate, install, and (for an executable work) run the object code and to modify the work, including scripts to control those activities. However, it does not include the work's System Libraries, or general-purpose tools or generally available free programs which are used unmodified in performing those activities but which are not part of the work. For example, Corresponding Source includes interface definition files associated with source files for the work, and the source code for shared libraries and dynamically linked subprograms that the work is specifically designed to require, such as by intimate data communication or control flow between those subprograms and other parts of the work.\\r\\n\\r\\nThe Corresponding Source need not include anything that users can regenerate automatically from other parts of the Corresponding Source.\\r\\n\\r\\nThe Corresponding Source for a work in source code form is that same work.\\r\\n\\r\\n2. Basic Permissions.\\r\\n\\r\\nAll rights granted under this License are granted for the term of copyright on the Program, and are irrevocable provided the stated conditions are met. This License explicitly affirms your unlimited permission to run the unmodified Program. The output from running a covered work is covered by this License only if the output, given its content, constitutes a covered work. This License acknowledges your rights of fair use or other equivalent, as provided by copyright law.\\r\\n\\r\\nYou may make, run and propagate covered works that you do not convey, without conditions so long as your license otherwise remains in force. You may convey covered works to others for the sole purpose of having them make modifications exclusively for you, or provide you with facilities for running those works, provided that you comply with the terms of this License in conveying all material for which you do not control copyright. Those thus making or running the covered works for you must do so exclusively on your behalf, under your direction and control, on terms that prohibit them from making any copies of your copyrighted material outside their relationship with you.\\r\\n\\r\\nConveying under any other circumstances is permitted solely under the conditions stated below. Sublicensing is not allowed; section 10 makes it unnecessary.\\r\\n\\r\\n3. Protecting Users' Legal Rights From Anti-Circumvention Law.\\r\\n\\r\\nNo covered work shall be deemed part of an effective technological measure under any applicable law fulfilling obligations under article 11 of the WIPO copyright treaty adopted on 20 December 1996, or similar laws prohibiting or restricting circumvention of such measures.\\r\\n\\r\\nWhen you convey a covered work, you waive any legal power to forbid circumvention of technological measures to the extent such circumvention is effected by exercising rights under this License with respect to the covered work, and you disclaim any intention to limit operation or modification of the work as a means of enforcing, against the work's users, your or third parties' legal rights to forbid circumvention of technological measures.\\r\\n\\r\\n4. Conveying Verbatim Copies.\\r\\n\\r\\nYou may convey verbatim copies of the Program's source code as you receive it, in any medium, provided that you conspicuously and appropriately publish on each copy an appropriate copyright notice; keep intact all notices stating that this License and any non-permissive terms added in accord with section 7 apply to the code; keep intact all notices of the absence of any warranty; and give all recipients a copy of this License along with the Program.\\r\\n\\r\\nYou may charge any price or no price for each copy that you convey, and you may offer support or warranty protection for a fee.\\r\\n\\r\\n5. Conveying Modified Source Versions.\\r\\n\\r\\nYou may convey a work based on the Program, or the modifications to produce it from the Program, in the form of source code under the terms of section 4, provided that you also meet all of these conditions:\\r\\n\\r\\na) The work must carry prominent notices stating that you modified it, and giving a relevant date.\\r\\nb) The work must carry prominent notices stating that it is released under this License and any conditions added under section 7. This requirement modifies the requirement in section 4 to \\u201ckeep intact all notices\\u201d.\\r\\nc) You must license the entire work, as a whole, under this License to anyone who comes into possession of a copy. This License will therefore apply, along with any applicable section 7 additional terms, to the whole of the work, and all its parts, regardless of how they are packaged. This License gives no permission to license the work in any other way, but it does not invalidate such permission if you have separately received it.\\r\\nd) If the work has interactive user interfaces, each must display Appropriate Legal Notices; however, if the Program has interactive interfaces that do not display Appropriate Legal Notices, your work need not make them do so.\\r\\nA compilation of a covered work with other separate and independent works, which are not by their nature extensions of the covered work, and which are not combined with it such as to form a larger program, in or on a volume of a storage or distribution medium, is called an \\u201caggregate\\u201d if the compilation and its resulting copyright are not used to limit the access or legal rights of the compilation's users beyond what the individual works permit. Inclusion of a covered work in an aggregate does not cause this License to apply to the other parts of the aggregate.\\r\\n\\r\\n6. Conveying Non-Source Forms.\\r\\n\\r\\nYou may convey a covered work in object code form under the terms of sections 4 and 5, provided that you also convey the machine-readable Corresponding Source under the terms of this License, in one of these ways:\\r\\n\\r\\na) Convey the object code in, or embodied in, a physical product (including a physical distribution medium), accompanied by the Corresponding Source fixed on a durable physical medium customarily used for software interchange.\\r\\nb) Convey the object code in, or embodied in, a physical product (including a physical distribution medium), accompanied by a written offer, valid for at least three years and valid for as long as you offer spare parts or customer support for that product model, to give anyone who possesses the object code either (1) a copy of the Corresponding Source for all the software in the product that is covered by this License, on a durable physical medium customarily used for software interchange, for a price no more than your reasonable cost of physically performing this conveying of source, or (2) access to copy the Corresponding Source from a network server at no charge.\\r\\nc) Convey individual copies of the object code with a copy of the written offer to provide the Corresponding Source. This alternative is allowed only occasionally and noncommercially, and only if you received the object code with such an offer, in accord with subsection 6b.\\r\\nd) Convey the object code by offering access from a designated place (gratis or for a charge), and offer equivalent access to the Corresponding Source in the same way through the same place at no further charge. You need not require recipients to copy the Corresponding Source along with the object code. If the place to copy the object code is a network server, the Corresponding Source may be on a different server (operated by you or a third party) that supports equivalent copying facilities, provided you maintain clear directions next to the object code saying where to find the Corresponding Source. Regardless of what server hosts the Corresponding Source, you remain obligated to ensure that it is available for as long as needed to satisfy these requirements.\\r\\ne) Convey the object code using peer-to-peer transmission, provided you inform other peers where the object code and Corresponding Source of the work are being offered to the general public at no charge under subsection 6d.\\r\\nA separable portion of the object code, whose source code is excluded from the Corresponding Source as a System Library, need not be included in conveying the object code work.\\r\\n\\r\\nA \\u201cUser Product\\u201d is either (1) a \\u201cconsumer product\\u201d, which means any tangible personal property which is normally used for personal, family, or household purposes, or (2) anything designed or sold for incorporation into a dwelling. In determining whether a product is a consumer product, doubtful cases shall be resolved in favor of coverage. For a particular product received by a particular user, \\u201cnormally used\\u201d refers to a typical or common use of that class of product, regardless of the status of the particular user or of the way in which the particular user actually uses, or expects or is expected to use, the product. A product is a consumer product regardless of whether the product has substantial commercial, industrial or non-consumer uses, unless such uses represent the only significant mode of use of the product.\\r\\n\\r\\n\\u201cInstallation Information\\u201d for a User Product means any methods, procedures, authorization keys, or other information required to install and execute modified versions of a covered work in that User Product from a modified version of its Corresponding Source. The information must suffice to ensure that the continued functioning of the modified object code is in no case prevented or interfered with solely because modification has been made.\\r\\n\\r\\nIf you convey an object code work under this section in, or with, or specifically for use in, a User Product, and the conveying occurs as part of a transaction in which the right of possession and use of the User Product is transferred to the recipient in perpetuity or for a fixed term (regardless of how the transaction is characterized), the Corresponding Source conveyed under this section must be accompanied by the Installation Information. But this requirement does not apply if neither you nor any third party retains the ability to install modified object code on the User Product (for example, the work has been installed in ROM).\\r\\n\\r\\nThe requirement to provide Installation Information does not include a requirement to continue to provide support service, warranty, or updates for a work that has been modified or installed by the recipient, or for the User Product in which it has been modified or installed. Access to a network may be denied when the modification itself materially and adversely affects the operation of the network or violates the rules and protocols for communication across the network.\\r\\n\\r\\nCorresponding Source conveyed, and Installation Information provided, in accord with this section must be in a format that is publicly documented (and with an implementation available to the public in source code form), and must require no special password or key for unpacking, reading or copying.\\r\\n\\r\\n7. Additional Terms.\\r\\n\\r\\n\\u201cAdditional permissions\\u201d are terms that supplement the terms of this License by making exceptions from one or more of its conditions. Additional permissions that are applicable to the entire Program shall be treated as though they were included in this License, to the extent that they are valid under applicable law. If additional permissions apply only to part of the Program, that part may be used separately under those permissions, but the entire Program remains governed by this License without regard to the additional permissions.\\r\\n\\r\\nWhen you convey a copy of a covered work, you may at your option remove any additional permissions from that copy, or from any part of it. (Additional permissions may be written to require their own removal in certain cases when you modify the work.) You may place additional permissions on material, added by you to a covered work, for which you have or can give appropriate copyright permission.\\r\\n\\r\\nNotwithstanding any other provision of this License, for material you add to a covered work, you may (if authorized by the copyright holders of that material) supplement the terms of this License with terms:\\r\\n\\r\\na) Disclaiming warranty or limiting liability differently from the terms of sections 15 and 16 of this License; or\\r\\nb) Requiring preservation of specified reasonable legal notices or author attributions in that material or in the Appropriate Legal Notices displayed by works containing it; or\\r\\nc) Prohibiting misrepresentation of the origin of that material, or requiring that modified versions of such material be marked in reasonable ways as different from the original version; or\\r\\nd) Limiting the use for publicity purposes of names of licensors or authors of the material; or\\r\\ne) Declining to grant rights under trademark law for use of some trade names, trademarks, or service marks; or\\r\\nf) Requiring indemnification of licensors and authors of that material by anyone who conveys the material (or modified versions of it) with contractual assumptions of liability to the recipient, for any liability that these contractual assumptions directly impose on those licensors and authors.\\r\\nAll other non-permissive additional terms are considered \\u201cfurther restrictions\\u201d within the meaning of section 10. If the Program as you received it, or any part of it, contains a notice stating that it is governed by this License along with a term that is a further restriction, you may remove that term. If a license document contains a further restriction but permits relicensing or conveying under this License, you may add to a covered work material governed by the terms of that license document, provided that the further restriction does not survive such relicensing or conveying.\\r\\n\\r\\nIf you add terms to a covered work in accord with this section, you must place, in the relevant source files, a statement of the additional terms that apply to those files, or a notice indicating where to find the applicable terms.\\r\\n\\r\\nAdditional terms, permissive or non-permissive, may be stated in the form of a separately written license, or stated as exceptions; the above requirements apply either way.\\r\\n\\r\\n8. Termination.\\r\\n\\r\\nYou may not propagate or modify a covered work except as expressly provided under this License. Any attempt otherwise to propagate or modify it is void, and will automatically terminate your rights under this License (including any patent licenses granted under the third paragraph of section 11).\\r\\n\\r\\nHowever, if you cease all violation of this License, then your license from a particular copyright holder is reinstated (a) provisionally, unless and until the copyright holder explicitly and finally terminates your license, and (b) permanently, if the copyright holder fails to notify you of the violation by some reasonable means prior to 60 days after the cessation.\\r\\n\\r\\nMoreover, your license from a particular copyright holder is reinstated permanently if the copyright holder notifies you of the violation by some reasonable means, this is the first time you have received notice of violation of this License (for any work) from that copyright holder, and you cure the violation prior to 30 days after your receipt of the notice.\\r\\n\\r\\nTermination of your rights under this section does not terminate the licenses of parties who have received copies or rights from you under this License. If your rights have been terminated and not permanently reinstated, you do not qualify to receive new licenses for the same material under section 10.\\r\\n\\r\\n9. Acceptance Not Required for Having Copies.\\r\\n\\r\\nYou are not required to accept this License in order to receive or run a copy of the Program. Ancillary propagation of a covered work occurring solely as a consequence of using peer-to-peer transmission to receive a copy likewise does not require acceptance. However, nothing other than this License grants you permission to propagate or modify any covered work. These actions infringe copyright if you do not accept this License. Therefore, by modifying or propagating a covered work, you indicate your acceptance of this License to do so.\\r\\n\\r\\n10. Automatic Licensing of Downstream Recipients.\\r\\n\\r\\nEach time you convey a covered work, the recipient automatically receives a license from the original licensors, to run, modify and propagate that work, subject to this License. You are not responsible for enforcing compliance by third parties with this License.\\r\\n\\r\\nAn \\u201centity transaction\\u201d is a transaction transferring control of an organization, or substantially all assets of one, or subdividing an organization, or merging organizations. If propagation of a covered work results from an entity transaction, each party to that transaction who receives a copy of the work also receives whatever licenses to the work the party's predecessor in interest had or could give under the previous paragraph, plus a right to possession of the Corresponding Source of the work from the predecessor in interest, if the predecessor has it or can get it with reasonable efforts.\\r\\n\\r\\nYou may not impose any further restrictions on the exercise of the rights granted or affirmed under this License. For example, you may not impose a license fee, royalty, or other charge for exercise of rights granted under this License, and you may not initiate litigation (including a cross-claim or counterclaim in a lawsuit) alleging that any patent claim is infringed by making, using, selling, offering for sale, or importing the Program or any portion of it.\\r\\n\\r\\n11. Patents.\\r\\n\\r\\nA \\u201ccontributor\\u201d is a copyright holder who authorizes use under this License of the Program or a work on which the Program is based. The work thus licensed is called the contributor's \\u201ccontributor version\\u201d.\\r\\n\\r\\nA contributor's \\u201cessential patent claims\\u201d are all patent claims owned or controlled by the contributor, whether already acquired or hereafter acquired, that would be infringed by some manner, permitted by this License, of making, using, or selling its contributor version, but do not include claims that would be infringed only as a consequence of further modification of the contributor version. For purposes of this definition, \\u201ccontrol\\u201d includes the right to grant patent sublicenses in a manner consistent with the requirements of this License.\\r\\n\\r\\nEach contributor grants you a non-exclusive, worldwide, royalty-free patent license under the contributor's essential patent claims, to make, use, sell, offer for sale, import and otherwise run, modify and propagate the contents of its contributor version.\\r\\n\\r\\nIn the following three paragraphs, a \\u201cpatent license\\u201d is any express agreement or commitment, however denominated, not to enforce a patent (such as an express permission to practice a patent or covenant not to sue for patent infringement). To \\u201cgrant\\u201d such a patent license to a party means to make such an agreement or commitment not to enforce a patent against the party.\\r\\n\\r\\nIf you convey a covered work, knowingly relying on a patent license, and the Corresponding Source of the work is not available for anyone to copy, free of charge and under the terms of this License, through a publicly available network server or other readily accessible means, then you must either (1) cause the Corresponding Source to be so available, or (2) arrange to deprive yourself of the benefit of the patent license for this particular work, or (3) arrange, in a manner consistent with the requirements of this License, to extend the patent license to downstream recipients. \\u201cKnowingly relying\\u201d means you have actual knowledge that, but for the patent license, your conveying the covered work in a country, or your recipient's use of the covered work in a country, would infringe one or more identifiable patents in that country that you have reason to believe are valid.\\r\\n\\r\\nIf, pursuant to or in connection with a single transaction or arrangement, you convey, or propagate by procuring conveyance of, a covered work, and grant a patent license to some of the parties receiving the covered work authorizing them to use, propagate, modify or convey a specific copy of the covered work, then the patent license you grant is automatically extended to all recipients of the covered work and works based on it.\\r\\n\\r\\nA patent license is \\u201cdiscriminatory\\u201d if it does not include within the scope of its coverage, prohibits the exercise of, or is conditioned on the non-exercise of one or more of the rights that are specifically granted under this License. You may not convey a covered work if you are a party to an arrangement with a third party that is in the business of distributing software, under which you make payment to the third party based on the extent of your activity of conveying the work, and under which the third party grants, to any of the parties who would receive the covered work from you, a discriminatory patent license (a) in connection with copies of the covered work conveyed by you (or copies made from those copies), or (b) primarily for and in connection with specific products or compilations that contain the covered work, unless you entered into that arrangement, or that patent license was granted, prior to 28 March 2007.\\r\\n\\r\\nNothing in this License shall be construed as excluding or limiting any implied license or other defenses to infringement that may otherwise be available to you under applicable patent law.\\r\\n\\r\\n12. No Surrender of Others' Freedom.\\r\\n\\r\\nIf conditions are imposed on you (whether by court order, agreement or otherwise) that contradict the conditions of this License, they do not excuse you from the conditions of this License. If you cannot convey a covered work so as to satisfy simultaneously your obligations under this License and any other pertinent obligations, then as a consequence you may not convey it at all. For example, if you agree to terms that obligate you to collect a royalty for further conveying from those to whom you convey the Program, the only way you could satisfy both those terms and this License would be to refrain entirely from conveying the Program.\\r\\n\\r\\n13. Use with the GNU Affero General Public License.\\r\\n\\r\\nNotwithstanding any other provision of this License, you have permission to link or combine any covered work with a work licensed under version 3 of the GNU Affero General Public License into a single combined work, and to convey the resulting work. The terms of this License will continue to apply to the part which is the covered work, but the special requirements of the GNU Affero General Public License, section 13, concerning interaction through a network will apply to the combination as such.\\r\\n\\r\\n14. Revised Versions of this License.\\r\\n\\r\\nThe Free Software Foundation may publish revised and/or new versions of the GNU General Public License from time to time. Such new versions will be similar in spirit to the present version, but may differ in detail to address new problems or concerns.\\r\\n\\r\\nEach version is given a distinguishing version number. If the Program specifies that a certain numbered version of the GNU General Public License \\u201cor any later version\\u201d applies to it, you have the option of following the terms and conditions either of that numbered version or of any later version published by the Free Software Foundation. If the Program does not specify a version number of the GNU General Public License, you may choose any version ever published by the Free Software Foundation.\\r\\n\\r\\nIf the Program specifies that a proxy can decide which future versions of the GNU General Public License can be used, that proxy's public statement of acceptance of a version permanently authorizes you to choose that version for the Program.\\r\\n\\r\\nLater license versions may give you additional or different permissions. However, no additional obligations are imposed on any author or copyright holder as a result of your choosing to follow a later version.\\r\\n\\r\\n15. Disclaimer of Warranty.\\r\\n\\r\\nTHERE IS NO WARRANTY FOR THE PROGRAM, TO THE EXTENT PERMITTED BY APPLICABLE LAW. EXCEPT WHEN OTHERWISE STATED IN WRITING THE COPYRIGHT HOLDERS AND/OR OTHER PARTIES PROVIDE THE PROGRAM \\u201cAS IS\\u201d WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE. THE ENTIRE RISK AS TO THE QUALITY AND PERFORMANCE OF THE PROGRAM IS WITH YOU. SHOULD THE PROGRAM PROVE DEFECTIVE, YOU ASSUME THE COST OF ALL NECESSARY SERVICING, REPAIR OR CORRECTION.\\r\\n\\r\\n16. Limitation of Liability.\\r\\n\\r\\nIN NO EVENT UNLESS REQUIRED BY APPLICABLE LAW OR AGREED TO IN WRITING WILL ANY COPYRIGHT HOLDER, OR ANY OTHER PARTY WHO MODIFIES AND/OR CONVEYS THE PROGRAM AS PERMITTED ABOVE, BE LIABLE TO YOU FOR DAMAGES, INCLUDING ANY GENERAL, SPECIAL, INCIDENTAL OR CONSEQUENTIAL DAMAGES ARISING OUT OF THE USE OR INABILITY TO USE THE PROGRAM (INCLUDING BUT NOT LIMITED TO LOSS OF DATA OR DATA BEING RENDERED INACCURATE OR LOSSES SUSTAINED BY YOU OR THIRD PARTIES OR A FAILURE OF THE PROGRAM TO OPERATE WITH ANY OTHER PROGRAMS), EVEN IF SUCH HOLDER OR OTHER PARTY HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES.\\r\\n\\r\\n17. Interpretation of Sections 15 and 16.\\r\\n\\r\\nIf the disclaimer of warranty and limitation of liability provided above cannot be given local legal effect according to their terms, reviewing courts shall apply local law that most closely approximates an absolute waiver of all civil liability in connection with the Program, unless a warranty or assumption of liability accompanies a copy of the Program in return for a fee.\\r\\n\\r\\nEND OF TERMS AND CONDITIONS\\r\\n\\r\\nHow to Apply These Terms to Your New Programs\\r\\n\\r\\nIf you develop a new program, and you want it to be of the greatest possible use to the public, the best way to achieve this is to make it free software which everyone can redistribute and change under these terms.\\r\\n\\r\\nTo do so, attach the following notices to the program. It is safest to attach them to the start of each source file to most effectively state the exclusion of warranty; and each file should have at least the \\u201ccopyright\\u201d line and a pointer to where the full notice is found.\\r\\n\\r\\n    <one line to give the program's name and a brief idea of what it does.>\\r\\n    Copyright (C) <year>  <name of author>\\r\\n\\r\\n    This program is free software: you can redistribute it and/or modify\\r\\n    it under the terms of the GNU General Public License as published by\\r\\n    the Free Software Foundation, either version 3 of the License, or\\r\\n    (at your option) any later version.\\r\\n\\r\\n    This program is distributed in the hope that it will be useful,\\r\\n    but WITHOUT ANY WARRANTY; without even the implied warranty of\\r\\n    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the\\r\\n    GNU General Public License for more details.\\r\\n\\r\\n    You should have received a copy of the GNU General Public License\\r\\n    along with this program.  If not, see <http://www.gnu.org/licenses/>.\\r\\nAlso add information on how to contact you by electronic and paper mail.\\r\\n\\r\\nIf the program does terminal interaction, make it output a short notice like this when it starts in an interactive mode:\\r\\n\\r\\n    <program>  Copyright (C) <year>  <name of author>\\r\\n    This program comes with ABSOLUTELY NO WARRANTY; for details type `show w'.\\r\\n    This is free software, and you are welcome to redistribute it\\r\\n    under certain conditions; type `show c' for details.\\r\\nThe hypothetical commands `show w' and `show c' should show the appropriate parts of the General Public License. Of course, your program's commands might be different; for a GUI interface, you would use an \\u201cabout box\\u201d.\\r\\n\\r\\nYou should also get your employer (if you work as a programmer) or school, if any, to sign a \\u201ccopyright disclaimer\\u201d for the program, if necessary. For more information on this, and how to apply and follow the GNU GPL, see <http://www.gnu.org/licenses/>.\\r\\n\\r\\nThe GNU General Public License does not permit incorporating your program into proprietary programs. If your program is a subroutine library, you may consider it more useful to permit linking proprietary applications with the library. If this is what you want to do, use the GNU Lesser General Public License instead of this License. But first, please read <http://www.gnu.org/philosophy/why-not-lgpl.html>."}	Orders	0
146	2296	leads_offers	Leads Offers	LeadsOffersResource	travelcrm.resources.leads_offers	null	Leads Offers	0
152	2558	leads_stats	Leads Stats	LeadsStatsResource	travelcrm.resources.leads_stats	{"column_index": 0}	Portlet with leads statistics	0
120	1884	crosspayments	Cross Payments	CrosspaymentsResource	travelcrm.resources.crosspayments	null	Cross payments between accounts and subaccounts. This document is for balance corrections to.	0
153	2583	activities	Activities	ActivitiesResource	travelcrm.resources.activities	{"column_index": 1}	My last activities	0
123	1941	notifications	Notifications	NotificationsResource	travelcrm.resources.notifications	null	Employee Notifications	0
138	2127	transfers	Transfers	TransfersResource	travelcrm.resources.transfers	null	Transfers for tours	0
139	2135	transports	Transports	TransportsResource	travelcrm.resources.transports	null	Transports Types List	0
140	2217	suppliers_types	Suppliers Types	SuppliersTypesResource	travelcrm.resources.suppliers_types	null	Suppliers Types list	0
141	2243	tickets_classes	Tickets Classes	TicketsClassesResource	travelcrm.resources.tickets_classes	null	Tickets Classes list, such as first class, business class etc	0
142	2244	tickets	Tickets	TicketsResource	travelcrm.resources.tickets	null	Ticket is a service for sale tickets of any type	0
143	2268	visas	Visas	VisasResource	travelcrm.resources.visas	null	Visa is a service for sale visas	0
144	2276	spassports	Passports Services	SpassportsResource	travelcrm.resources.spassports	null	Service formulation of foreign passports	0
156	2788	campaigns	Campaigns	CampaignsResource	travelcrm.resources.campaigns	{"host_smpp": "94.249.146.183", "port_smtp": "2525", "username_smtp": "mazvv@mail.ru", "password_smtp": "GmA67mpqqYjKQ", "port_smpp": "29900", "system_type_smpp": "transceiver", "password_smpp": "korn17", "username_smpp": "mazvv", "host_smtp": "smtp-pulse.com", "default_sender_smtp": "mazvv@mail.ru"}	Marketings campaigns	0
160	2887	assigns	Assign resources	AssignsResource	travelcrm.resources.assigns	null	Assigns all resources between employees	0
159	2882	dismissals	Dismissals	DismissalsResource	travelcrm.resources.dismissals	null	Dismissal employees	0
119	1849	calculations	Calculations	CalculationsResource	travelcrm.resources.calculations	null	Calculations of Sale Documents	0
103	1317	invoices	Invoices	InvoicesResource	travelcrm.resources.invoices	{"active_days": 3, "html_template": "<!doctype html>\\r\\n<html>\\r\\n<head>\\r\\n    <meta charset=\\"utf-8\\">\\r\\n    <title>${_(u'Invoice')} - ${invoice.id}</title>\\r\\n    \\r\\n    <style>\\r\\n    .invoice-box{\\r\\n        max-width:800px;\\r\\n        margin:auto;\\r\\n        padding:30px;\\r\\n        border:1px solid #eee;\\r\\n        box-shadow:0 0 10px rgba(0, 0, 0, .15);\\r\\n        font-size:16px;\\r\\n        line-height:24px;\\r\\n        font-family:'Helvetica Neue', 'Helvetica', Helvetica, Arial, sans-serif;\\r\\n        color:#555;\\r\\n    }\\r\\n    \\r\\n    .invoice-box table{\\r\\n        width:100%;\\r\\n        line-height:inherit;\\r\\n        text-align:left;\\r\\n    }\\r\\n    \\r\\n    .invoice-box table td{\\r\\n        padding:5px;\\r\\n        vertical-align:top;\\r\\n    }\\r\\n    \\r\\n    .invoice-box table tr td:nth-child(2){\\r\\n        text-align:right;\\r\\n    }\\r\\n    \\r\\n    .invoice-box table tr.top table td{\\r\\n        padding-bottom:20px;\\r\\n    }\\r\\n    \\r\\n    .invoice-box table tr.top table td.title{\\r\\n        font-size:45px;\\r\\n        line-height:45px;\\r\\n        color:#333;\\r\\n    }\\r\\n    \\r\\n    .invoice-box table tr.information table td{\\r\\n        padding-bottom:40px;\\r\\n    }\\r\\n    \\r\\n    .invoice-box table tr.heading td{\\r\\n        background:#eee;\\r\\n        border-bottom:1px solid #ddd;\\r\\n        font-weight:bold;\\r\\n    }\\r\\n    \\r\\n    .invoice-box table tr.details td{\\r\\n        padding-bottom:20px;\\r\\n    }\\r\\n    \\r\\n    .invoice-box table tr.item td{\\r\\n        border-bottom:1px solid #eee;\\r\\n    }\\r\\n    \\r\\n    .invoice-box table tr.item.last td{\\r\\n        border-bottom:none;\\r\\n    }\\r\\n    \\r\\n    .invoice-box table tr.total td:nth-child(2){\\r\\n        border-top:2px solid #eee;\\r\\n        font-weight:bold;\\r\\n    }\\r\\n    \\r\\n    @media only screen and (max-width: 600px) {\\r\\n        .invoice-box table tr.top table td{\\r\\n            width:100%;\\r\\n            display:block;\\r\\n            text-align:center;\\r\\n        }\\r\\n        \\r\\n        .invoice-box table tr.information table td{\\r\\n            width:100%;\\r\\n            display:block;\\r\\n            text-align:center;\\r\\n        }\\r\\n    }\\r\\n    </style>\\r\\n</head>\\r\\n\\r\\n<body>\\r\\n    <div class=\\"invoice-box\\">\\r\\n        <table cellpadding=\\"0\\" cellspacing=\\"0\\">\\r\\n            <tr class=\\"top\\">\\r\\n                <td colspan=\\"6\\">\\r\\n                    <table>\\r\\n                        <tr>\\r\\n                            <td class=\\"title\\">\\r\\n                                <img src=\\"http://nextstepwebs.com/images/logo.png\\" style=\\"width:100%; max-width:300px;\\">\\r\\n                            </td>\\r\\n                            \\r\\n                            <td>\\r\\n                                ${_(u'Invoice')} #: ${invoice.id}<br>\\r\\n                                ${_(u'Created')}: ${h.common.format_date(invoice.date)}<br>\\r\\n                                ${_(u'Due')}: ${h.common.format_date(invoice.active_until)}\\r\\n                            </td>\\r\\n                        </tr>\\r\\n                    </table>\\r\\n                </td>\\r\\n            </tr>\\r\\n            \\r\\n            <tr class=\\"information\\">\\r\\n                <td colspan=\\"6\\">\\r\\n                    <table>\\r\\n                        <tr>\\r\\n                            <td>\\r\\n                                ${structure.company.name}<br>\\r\\n                                % if structure.addresses:\\r\\n                                <%\\r\\n                                    address = structure.addresses[0]\\r\\n                                %>\\r\\n                                ${address.zip_code}, ${address.location.region.country.name}\\r\\n                                ${address.location.region.name}, ${address.location.name}<br>\\r\\n                                ${address.address}<br>\\r\\n                                % endif\\r\\n                                % if structure.contacts:\\r\\n                                <%\\r\\n                                    contacts = [contact.contact for contact in structure.contacts if contact.is_status_active()]\\r\\n                                %>\\r\\n                                ${', '.join(contacts)}\\r\\n                                % endif\\r\\n                            </td>\\r\\n                            \\r\\n                            <td>\\r\\n                                ${invoice.order.customer.name}<br>\\r\\n                                % if invoice.order.customer.addresses:\\r\\n                                <%\\r\\n                                    address = invoice.order.customer.addresses[0]\\r\\n                                %>\\r\\n                                ${address.zip_code}, ${address.location.region.country.name}\\r\\n                                ${address.location.region.name}, ${address.location.name}<br>\\r\\n                                ${address.address}<br>\\r\\n                                % endif\\r\\n                                % if invoice.order.customer.contacts:\\r\\n                                <%\\r\\n                                    contacts = [contact.contact for contact in invoice.order.customer.contacts if contact.is_status_active()]\\r\\n                                %>\\r\\n                                ${', '.join(contacts)}\\r\\n                                % endif\\r\\n                            </td>\\r\\n                        </tr>\\r\\n                    </table>\\r\\n                </td>\\r\\n            </tr>\\r\\n            \\r\\n            <tr class=\\"heading\\">\\r\\n                <td class=\\"first\\">\\r\\n                    ${_(u'Service')}\\r\\n                </td>\\r\\n                <td></td>\\r\\n                <td style=\\"text-align: right;\\">\\r\\n                    ${_(u'Price')}\\r\\n                </td>\\r\\n                <td style=\\"text-align: right;\\">\\r\\n                    ${_(u'Discount')}\\r\\n                </td>\\r\\n                <td style=\\"text-align: right;\\">\\r\\n                    ${_(u'Vat')}\\r\\n                </td>\\r\\n                <td style=\\"text-align: right;\\">\\r\\n                    ${_(u'Final price')}\\r\\n                </td>\\r\\n            </tr>\\r\\n\\r\\n            % for invoice_item in invoice.invoices_items:\\r\\n            <tr class=\\"item\\">\\r\\n                <td class=\\"first\\">\\r\\n                    ${invoice_item.order_item.service.display_text}\\r\\n                </td>\\r\\n                <td style=\\"text-align: right;\\">\\r\\n                    ${invoice.account.currency.iso_code}\\r\\n                </td>\\r\\n                <td style=\\"text-align: right;\\">\\r\\n                    ${invoice_item.price}\\r\\n                </td>\\r\\n                <td style=\\"text-align: right;\\">\\r\\n                    ${invoice_item.discount}\\r\\n                </td>\\r\\n                <td style=\\"text-align: right;\\">\\r\\n                    ${invoice_item.vat}\\r\\n                </td>\\r\\n                <td style=\\"text-align: right;\\">\\r\\n                    ${invoice_item.final_price}\\r\\n                </td>\\r\\n            </tr>\\r\\n            % endfor\\r\\n\\r\\n            <tr class=\\"total\\">\\r\\n                <td colspan=\\"5\\"></td>\\r\\n                <td>\\r\\n                   ${_(u'Total')}: ${invoice.final_price}\\r\\n                </td>\\r\\n            </tr>\\r\\n        </table>\\r\\n    </div>\\r\\n</body>\\r\\n</html>"}	Invoices list. Invoice can't be created manualy - only using source document such as Tours	0
\.


--
-- Name: resource_type_id_seq; Type: SEQUENCE SET; Schema: company_en; Owner: -
--

SELECT pg_catalog.setval('resource_type_id_seq', 160, true);


--
-- Data for Name: roomcat; Type: TABLE DATA; Schema: company_en; Owner: -
--

COPY roomcat (id, resource_id, name) FROM stdin;
\.


--
-- Name: roomcat_id_seq; Type: SEQUENCE SET; Schema: company_en; Owner: -
--

SELECT pg_catalog.setval('roomcat_id_seq', 1, true);


--
-- Data for Name: service; Type: TABLE DATA; Schema: company_en; Owner: -
--

COPY service (id, resource_id, resource_type_id, name, display_text, descr) FROM stdin;
7	2247	142	Ticket	Ticket booking service	\N
5	1413	137	Tour	Tour booking service	Use this service for tour sales
4	1318	143	A visa	The issues for visas	\N
1	1314	144	Foreign Passport Service	Formulation of foreign passport	\N
\.


--
-- Name: service_id_seq; Type: SEQUENCE SET; Schema: company_en; Owner: -
--

SELECT pg_catalog.setval('service_id_seq', 7, true);


--
-- Data for Name: spassport; Type: TABLE DATA; Schema: company_en; Owner: -
--

COPY spassport (id, resource_id, photo_done, docs_receive_date, docs_transfer_date, passport_receive_date, descr) FROM stdin;
\.


--
-- Name: spassport_id_seq; Type: SEQUENCE SET; Schema: company_en; Owner: -
--

SELECT pg_catalog.setval('spassport_id_seq', 1, true);


--
-- Data for Name: spassport_order_item; Type: TABLE DATA; Schema: company_en; Owner: -
--

COPY spassport_order_item (order_item_id, spassport_id) FROM stdin;
\.


--
-- Data for Name: structure; Type: TABLE DATA; Schema: company_en; Owner: -
--

COPY structure (id, resource_id, parent_id, company_id, name) FROM stdin;
32	725	\N	1	Head Office
\.


--
-- Data for Name: structure_address; Type: TABLE DATA; Schema: company_en; Owner: -
--

COPY structure_address (structure_id, address_id) FROM stdin;
\.


--
-- Data for Name: structure_bank_detail; Type: TABLE DATA; Schema: company_en; Owner: -
--

COPY structure_bank_detail (structure_id, bank_detail_id) FROM stdin;
\.


--
-- Data for Name: structure_contact; Type: TABLE DATA; Schema: company_en; Owner: -
--

COPY structure_contact (structure_id, contact_id) FROM stdin;
\.


--
-- Name: structure_id_seq; Type: SEQUENCE SET; Schema: company_en; Owner: -
--

SELECT pg_catalog.setval('structure_id_seq', 32, true);


--
-- Data for Name: subaccount; Type: TABLE DATA; Schema: company_en; Owner: -
--

COPY subaccount (id, resource_id, account_id, name, status, descr) FROM stdin;
\.


--
-- Name: subaccount_id_seq; Type: SEQUENCE SET; Schema: company_en; Owner: -
--

SELECT pg_catalog.setval('subaccount_id_seq', 1, true);


--
-- Data for Name: supplier; Type: TABLE DATA; Schema: company_en; Owner: -
--

COPY supplier (id, resource_id, supplier_type_id, name, status, descr) FROM stdin;
\.


--
-- Data for Name: supplier_bank_detail; Type: TABLE DATA; Schema: company_en; Owner: -
--

COPY supplier_bank_detail (supplier_id, bank_detail_id) FROM stdin;
\.


--
-- Data for Name: supplier_bperson; Type: TABLE DATA; Schema: company_en; Owner: -
--

COPY supplier_bperson (supplier_id, bperson_id) FROM stdin;
\.


--
-- Data for Name: supplier_contract; Type: TABLE DATA; Schema: company_en; Owner: -
--

COPY supplier_contract (supplier_id, contract_id) FROM stdin;
\.


--
-- Name: supplier_id_seq; Type: SEQUENCE SET; Schema: company_en; Owner: -
--

SELECT pg_catalog.setval('supplier_id_seq', 1, true);


--
-- Data for Name: supplier_subaccount; Type: TABLE DATA; Schema: company_en; Owner: -
--

COPY supplier_subaccount (supplier_id, subaccount_id) FROM stdin;
\.


--
-- Data for Name: supplier_type; Type: TABLE DATA; Schema: company_en; Owner: -
--

COPY supplier_type (id, resource_id, name, descr) FROM stdin;
\.


--
-- Name: supplier_type_id_seq; Type: SEQUENCE SET; Schema: company_en; Owner: -
--

SELECT pg_catalog.setval('supplier_type_id_seq', 1, true);


--
-- Data for Name: task; Type: TABLE DATA; Schema: company_en; Owner: -
--

COPY task (id, resource_id, title, deadline, reminder, descr, status) FROM stdin;
\.


--
-- Name: task_id_seq; Type: SEQUENCE SET; Schema: company_en; Owner: -
--

SELECT pg_catalog.setval('task_id_seq', 1, true);


--
-- Data for Name: task_resource; Type: TABLE DATA; Schema: company_en; Owner: -
--

COPY task_resource (task_id, resource_id) FROM stdin;
\.


--
-- Data for Name: task_upload; Type: TABLE DATA; Schema: company_en; Owner: -
--

COPY task_upload (task_id, upload_id) FROM stdin;
\.


--
-- Data for Name: ticket; Type: TABLE DATA; Schema: company_en; Owner: -
--

COPY ticket (id, resource_id, start_location_id, end_location_id, ticket_class_id, transport_id, start_dt, start_additional_info, end_dt, end_additional_info, adults, children, descr) FROM stdin;
\.


--
-- Data for Name: ticket_class; Type: TABLE DATA; Schema: company_en; Owner: -
--

COPY ticket_class (id, resource_id, name) FROM stdin;
\.


--
-- Name: ticket_class_id_seq; Type: SEQUENCE SET; Schema: company_en; Owner: -
--

SELECT pg_catalog.setval('ticket_class_id_seq', 1, true);


--
-- Name: ticket_id_seq; Type: SEQUENCE SET; Schema: company_en; Owner: -
--

SELECT pg_catalog.setval('ticket_id_seq', 1, true);


--
-- Data for Name: ticket_order_item; Type: TABLE DATA; Schema: company_en; Owner: -
--

COPY ticket_order_item (order_item_id, ticket_id) FROM stdin;
\.


--
-- Data for Name: tour; Type: TABLE DATA; Schema: company_en; Owner: -
--

COPY tour (id, resource_id, start_location_id, start_transport_id, end_location_id, end_transport_id, hotel_id, accomodation_id, foodcat_id, roomcat_id, transfer_id, adults, children, start_date, start_additional_info, end_date, end_additional_info, descr) FROM stdin;
\.


--
-- Name: tour_id_seq; Type: SEQUENCE SET; Schema: company_en; Owner: -
--

SELECT pg_catalog.setval('tour_id_seq', 1, true);


--
-- Data for Name: tour_order_item; Type: TABLE DATA; Schema: company_en; Owner: -
--

COPY tour_order_item (order_item_id, tour_id) FROM stdin;
\.


--
-- Data for Name: transfer; Type: TABLE DATA; Schema: company_en; Owner: -
--

COPY transfer (id, resource_id, name) FROM stdin;
\.


--
-- Name: transfer_id_seq; Type: SEQUENCE SET; Schema: company_en; Owner: -
--

SELECT pg_catalog.setval('transfer_id_seq', 1, true);


--
-- Data for Name: transport; Type: TABLE DATA; Schema: company_en; Owner: -
--

COPY transport (id, resource_id, name) FROM stdin;
\.


--
-- Name: transport_id_seq; Type: SEQUENCE SET; Schema: company_en; Owner: -
--

SELECT pg_catalog.setval('transport_id_seq', 1, true);


--
-- Data for Name: upload; Type: TABLE DATA; Schema: company_en; Owner: -
--

COPY upload (id, resource_id, name, path, size, media_type, descr) FROM stdin;
\.


--
-- Name: upload_id_seq; Type: SEQUENCE SET; Schema: company_en; Owner: -
--

SELECT pg_catalog.setval('upload_id_seq', 1, true);


--
-- Data for Name: user; Type: TABLE DATA; Schema: company_en; Owner: -
--

COPY "user" (id, resource_id, employee_id, username, email, password) FROM stdin;
2	3	2	admin	admin@mail.ru	adminadmin
\.


--
-- Name: user_id_seq; Type: SEQUENCE SET; Schema: company_en; Owner: -
--

SELECT pg_catalog.setval('user_id_seq', 34, true);


--
-- Data for Name: vat; Type: TABLE DATA; Schema: company_en; Owner: -
--

COPY vat (id, resource_id, account_id, service_id, date, vat, calc_method, descr) FROM stdin;
\.


--
-- Name: vat_id_seq; Type: SEQUENCE SET; Schema: company_en; Owner: -
--

SELECT pg_catalog.setval('vat_id_seq', 1, true);


--
-- Data for Name: visa; Type: TABLE DATA; Schema: company_en; Owner: -
--

COPY visa (id, resource_id, country_id, start_date, end_date, type, descr) FROM stdin;
\.


--
-- Name: visa_id_seq; Type: SEQUENCE SET; Schema: company_en; Owner: -
--

SELECT pg_catalog.setval('visa_id_seq', 1, true);


--
-- Data for Name: visa_order_item; Type: TABLE DATA; Schema: company_en; Owner: -
--

COPY visa_order_item (order_item_id, visa_id) FROM stdin;
\.


SET search_path = company_ru, pg_catalog;

--
-- Data for Name: accomodation; Type: TABLE DATA; Schema: company_ru; Owner: -
--

COPY accomodation (id, resource_id, name) FROM stdin;
\.


--
-- Name: accomodation_id_seq; Type: SEQUENCE SET; Schema: company_ru; Owner: -
--

SELECT pg_catalog.setval('accomodation_id_seq', 1, true);


--
-- Data for Name: account; Type: TABLE DATA; Schema: company_ru; Owner: -
--

COPY account (id, resource_id, currency_id, account_type, name, display_text, status, descr) FROM stdin;
\.


--
-- Name: account_id_seq; Type: SEQUENCE SET; Schema: company_ru; Owner: -
--

SELECT pg_catalog.setval('account_id_seq', 1, true);


--
-- Data for Name: account_item; Type: TABLE DATA; Schema: company_ru; Owner: -
--

COPY account_item (id, resource_id, parent_id, name, type, status, descr) FROM stdin;
\.


--
-- Name: account_item_id_seq; Type: SEQUENCE SET; Schema: company_ru; Owner: -
--

SELECT pg_catalog.setval('account_item_id_seq', 1, true);


--
-- Data for Name: address; Type: TABLE DATA; Schema: company_ru; Owner: -
--

COPY address (id, resource_id, location_id, zip_code, address) FROM stdin;
\.


--
-- Name: address_id_seq; Type: SEQUENCE SET; Schema: company_ru; Owner: -
--

SELECT pg_catalog.setval('address_id_seq', 1, true);


--
-- Data for Name: advsource; Type: TABLE DATA; Schema: company_ru; Owner: -
--

COPY advsource (id, resource_id, name) FROM stdin;
\.


--
-- Name: advsource_id_seq; Type: SEQUENCE SET; Schema: company_ru; Owner: -
--

SELECT pg_catalog.setval('advsource_id_seq', 1, true);


--
-- Data for Name: alembic_version; Type: TABLE DATA; Schema: company_ru; Owner: -
--

COPY alembic_version (version_num) FROM stdin;
0dde2b383d6b
\.


--
-- Data for Name: appointment; Type: TABLE DATA; Schema: company_ru; Owner: -
--

COPY appointment (id, resource_id, date, employee_id, position_id, salary, currency_id) FROM stdin;
1	789	2014-02-02	2	4	1000.00	54
\.


--
-- Name: appointment_id_seq; Type: SEQUENCE SET; Schema: company_ru; Owner: -
--

SELECT pg_catalog.setval('appointment_id_seq', 12, true);


--
-- Data for Name: bank; Type: TABLE DATA; Schema: company_ru; Owner: -
--

COPY bank (id, resource_id, name) FROM stdin;
\.


--
-- Data for Name: bank_address; Type: TABLE DATA; Schema: company_ru; Owner: -
--

COPY bank_address (bank_id, address_id) FROM stdin;
\.


--
-- Data for Name: bank_detail; Type: TABLE DATA; Schema: company_ru; Owner: -
--

COPY bank_detail (id, resource_id, currency_id, bank_id, beneficiary, account, swift_code) FROM stdin;
\.


--
-- Name: bank_detail_id_seq; Type: SEQUENCE SET; Schema: company_ru; Owner: -
--

SELECT pg_catalog.setval('bank_detail_id_seq', 1, true);


--
-- Name: bank_id_seq; Type: SEQUENCE SET; Schema: company_ru; Owner: -
--

SELECT pg_catalog.setval('bank_id_seq', 1, true);


--
-- Data for Name: bperson; Type: TABLE DATA; Schema: company_ru; Owner: -
--

COPY bperson (id, resource_id, first_name, last_name, second_name, position_name, status, descr) FROM stdin;
\.


--
-- Data for Name: bperson_contact; Type: TABLE DATA; Schema: company_ru; Owner: -
--

COPY bperson_contact (bperson_id, contact_id) FROM stdin;
\.


--
-- Name: bperson_id_seq; Type: SEQUENCE SET; Schema: company_ru; Owner: -
--

SELECT pg_catalog.setval('bperson_id_seq', 1, true);


--
-- Data for Name: calculation; Type: TABLE DATA; Schema: company_ru; Owner: -
--

COPY calculation (id, resource_id, order_item_id, contract_id, price) FROM stdin;
\.


--
-- Name: calculation_id_seq; Type: SEQUENCE SET; Schema: company_ru; Owner: -
--

SELECT pg_catalog.setval('calculation_id_seq', 1, true);


--
-- Data for Name: campaign; Type: TABLE DATA; Schema: company_ru; Owner: -
--

COPY campaign (id, resource_id, name, subject, plain_content, html_content, start_dt, status) FROM stdin;
\.


--
-- Name: campaign_id_seq; Type: SEQUENCE SET; Schema: company_ru; Owner: -
--

SELECT pg_catalog.setval('campaign_id_seq', 1, true);


--
-- Data for Name: cashflow; Type: TABLE DATA; Schema: company_ru; Owner: -
--

COPY cashflow (id, subaccount_from_id, subaccount_to_id, account_item_id, sum, vat, date) FROM stdin;
\.


--
-- Name: cashflow_id_seq; Type: SEQUENCE SET; Schema: company_ru; Owner: -
--

SELECT pg_catalog.setval('cashflow_id_seq', 1, true);


--
-- Data for Name: commission; Type: TABLE DATA; Schema: company_ru; Owner: -
--

COPY commission (id, resource_id, service_id, percentage, price, currency_id, descr) FROM stdin;
\.


--
-- Name: commission_id_seq; Type: SEQUENCE SET; Schema: company_ru; Owner: -
--

SELECT pg_catalog.setval('commission_id_seq', 1, true);


--
-- Data for Name: company; Type: TABLE DATA; Schema: company_ru; Owner: -
--

COPY company (id, resource_id, currency_id, name, email, settings) FROM stdin;
1	1970	56	Моя компания	my.email@gmail.com	{"locale": "ru", "timezone": "Europe/Kiev"}
\.


--
-- Name: company_id_seq; Type: SEQUENCE SET; Schema: company_ru; Owner: -
--

SELECT pg_catalog.setval('company_id_seq', 1, true);


--
-- Data for Name: company_subaccount; Type: TABLE DATA; Schema: company_ru; Owner: -
--

COPY company_subaccount (company_id, subaccount_id) FROM stdin;
\.


--
-- Data for Name: contact; Type: TABLE DATA; Schema: company_ru; Owner: -
--

COPY contact (id, resource_id, contact_type, contact, status, descr) FROM stdin;
\.


--
-- Name: contact_id_seq; Type: SEQUENCE SET; Schema: company_ru; Owner: -
--

SELECT pg_catalog.setval('contact_id_seq', 1, true);


--
-- Data for Name: contract; Type: TABLE DATA; Schema: company_ru; Owner: -
--

COPY contract (id, resource_id, num, date, status, descr) FROM stdin;
\.


--
-- Data for Name: contract_commission; Type: TABLE DATA; Schema: company_ru; Owner: -
--

COPY contract_commission (contract_id, commission_id) FROM stdin;
\.


--
-- Name: contract_id_seq; Type: SEQUENCE SET; Schema: company_ru; Owner: -
--

SELECT pg_catalog.setval('contract_id_seq', 1, true);


--
-- Data for Name: country; Type: TABLE DATA; Schema: company_ru; Owner: -
--

COPY country (id, resource_id, iso_code, name) FROM stdin;
9	1095	RU	Российская Федерация
3	878	UA	Украина
\.


--
-- Name: country_id_seq; Type: SEQUENCE SET; Schema: company_ru; Owner: -
--

SELECT pg_catalog.setval('country_id_seq', 21, true);


--
-- Data for Name: crosspayment; Type: TABLE DATA; Schema: company_ru; Owner: -
--

COPY crosspayment (id, resource_id, cashflow_id, descr) FROM stdin;
\.


--
-- Name: crosspayment_id_seq; Type: SEQUENCE SET; Schema: company_ru; Owner: -
--

SELECT pg_catalog.setval('crosspayment_id_seq', 1, true);


--
-- Data for Name: currency; Type: TABLE DATA; Schema: company_ru; Owner: -
--

COPY currency (id, resource_id, iso_code) FROM stdin;
44	849	RUB
54	1240	EUR
56	1310	UAH
57	1311	USD
\.


--
-- Name: currency_id_seq; Type: SEQUENCE SET; Schema: company_ru; Owner: -
--

SELECT pg_catalog.setval('currency_id_seq', 57, true);


--
-- Data for Name: currency_rate; Type: TABLE DATA; Schema: company_ru; Owner: -
--

COPY currency_rate (id, resource_id, currency_id, supplier_id, date, rate) FROM stdin;
\.


--
-- Name: currency_rate_id_seq; Type: SEQUENCE SET; Schema: company_ru; Owner: -
--

SELECT pg_catalog.setval('currency_rate_id_seq', 1, true);


--
-- Data for Name: dismissal; Type: TABLE DATA; Schema: company_ru; Owner: -
--

COPY dismissal (id, resource_id, date, employee_id) FROM stdin;
\.


--
-- Name: dismissal_id_seq; Type: SEQUENCE SET; Schema: company_ru; Owner: -
--

SELECT pg_catalog.setval('dismissal_id_seq', 1, true);


--
-- Data for Name: employee; Type: TABLE DATA; Schema: company_ru; Owner: -
--

COPY employee (id, resource_id, photo_upload_id, first_name, last_name, second_name, itn) FROM stdin;
2	784	\N	Иван	Иванов	\N	\N
\.


--
-- Data for Name: employee_address; Type: TABLE DATA; Schema: company_ru; Owner: -
--

COPY employee_address (employee_id, address_id) FROM stdin;
\.


--
-- Data for Name: employee_contact; Type: TABLE DATA; Schema: company_ru; Owner: -
--

COPY employee_contact (employee_id, contact_id) FROM stdin;
\.


--
-- Name: employee_id_seq; Type: SEQUENCE SET; Schema: company_ru; Owner: -
--

SELECT pg_catalog.setval('employee_id_seq', 32, true);


--
-- Data for Name: employee_notification; Type: TABLE DATA; Schema: company_ru; Owner: -
--

COPY employee_notification (employee_id, notification_id, status) FROM stdin;
\.


--
-- Data for Name: employee_passport; Type: TABLE DATA; Schema: company_ru; Owner: -
--

COPY employee_passport (employee_id, passport_id) FROM stdin;
\.


--
-- Data for Name: employee_subaccount; Type: TABLE DATA; Schema: company_ru; Owner: -
--

COPY employee_subaccount (employee_id, subaccount_id) FROM stdin;
\.


--
-- Data for Name: employee_upload; Type: TABLE DATA; Schema: company_ru; Owner: -
--

COPY employee_upload (employee_id, upload_id) FROM stdin;
\.


--
-- Data for Name: foodcat; Type: TABLE DATA; Schema: company_ru; Owner: -
--

COPY foodcat (id, resource_id, name) FROM stdin;
\.


--
-- Name: foodcat_id_seq; Type: SEQUENCE SET; Schema: company_ru; Owner: -
--

SELECT pg_catalog.setval('foodcat_id_seq', 1, true);


--
-- Data for Name: hotel; Type: TABLE DATA; Schema: company_ru; Owner: -
--

COPY hotel (id, resource_id, hotelcat_id, location_id, name) FROM stdin;
\.


--
-- Name: hotel_id_seq; Type: SEQUENCE SET; Schema: company_ru; Owner: -
--

SELECT pg_catalog.setval('hotel_id_seq', 1, true);


--
-- Data for Name: hotelcat; Type: TABLE DATA; Schema: company_ru; Owner: -
--

COPY hotelcat (id, resource_id, name) FROM stdin;
\.


--
-- Name: hotelcat_id_seq; Type: SEQUENCE SET; Schema: company_ru; Owner: -
--

SELECT pg_catalog.setval('hotelcat_id_seq', 1, true);


--
-- Data for Name: income; Type: TABLE DATA; Schema: company_ru; Owner: -
--

COPY income (id, resource_id, invoice_id, account_item_id, sum, date, descr) FROM stdin;
\.


--
-- Data for Name: income_cashflow; Type: TABLE DATA; Schema: company_ru; Owner: -
--

COPY income_cashflow (income_id, cashflow_id) FROM stdin;
\.


--
-- Name: income_id_seq; Type: SEQUENCE SET; Schema: company_ru; Owner: -
--

SELECT pg_catalog.setval('income_id_seq', 1, true);


--
-- Data for Name: invoice; Type: TABLE DATA; Schema: company_ru; Owner: -
--

COPY invoice (id, date, active_until, resource_id, order_id, account_id, descr) FROM stdin;
\.


--
-- Name: invoice_id_seq; Type: SEQUENCE SET; Schema: company_ru; Owner: -
--

SELECT pg_catalog.setval('invoice_id_seq', 1, true);


--
-- Data for Name: invoice_item; Type: TABLE DATA; Schema: company_ru; Owner: -
--

COPY invoice_item (id, invoice_id, order_item_id, price, vat, discount, descr) FROM stdin;
\.


--
-- Name: invoice_item_id_seq; Type: SEQUENCE SET; Schema: company_ru; Owner: -
--

SELECT pg_catalog.setval('invoice_item_id_seq', 1, true);


--
-- Data for Name: lead; Type: TABLE DATA; Schema: company_ru; Owner: -
--

COPY lead (id, lead_date, resource_id, advsource_id, customer_id, status, descr) FROM stdin;
\.


--
-- Name: lead_id_seq; Type: SEQUENCE SET; Schema: company_ru; Owner: -
--

SELECT pg_catalog.setval('lead_id_seq', 1, true);


--
-- Data for Name: lead_item; Type: TABLE DATA; Schema: company_ru; Owner: -
--

COPY lead_item (id, resource_id, lead_id, service_id, currency_id, price_from, price_to, descr) FROM stdin;
\.


--
-- Name: lead_item_id_seq; Type: SEQUENCE SET; Schema: company_ru; Owner: -
--

SELECT pg_catalog.setval('lead_item_id_seq', 1, true);


--
-- Data for Name: lead_offer; Type: TABLE DATA; Schema: company_ru; Owner: -
--

COPY lead_offer (id, resource_id, lead_id, service_id, currency_id, supplier_id, price, status, descr) FROM stdin;
\.


--
-- Name: lead_offer_id_seq; Type: SEQUENCE SET; Schema: company_ru; Owner: -
--

SELECT pg_catalog.setval('lead_offer_id_seq', 1, true);


--
-- Data for Name: location; Type: TABLE DATA; Schema: company_ru; Owner: -
--

COPY location (id, resource_id, region_id, name) FROM stdin;
\.


--
-- Name: location_id_seq; Type: SEQUENCE SET; Schema: company_ru; Owner: -
--

SELECT pg_catalog.setval('location_id_seq', 1, true);


--
-- Data for Name: navigation; Type: TABLE DATA; Schema: company_ru; Owner: -
--

COPY navigation (id, resource_id, position_id, parent_id, name, url, action, icon_cls, separator_before, sort_order) FROM stdin;
10	780	4	\N	HR	/	\N	fa fa-group	f	5
8	778	4	\N	Система	/	tab_open	fa fa-cog	f	11
31	956	4	159	Категории питания	/foodcats	\N	\N	f	9
9	779	4	8	Типы ресурсов	/resources_types	\N	\N	f	1
13	790	4	10	Сотрудники	/employees	\N	\N	f	1
14	791	4	10	Назначения сотрудников	/appointments	\N	\N	f	2
15	792	4	8	Пользователи	/users	\N	\N	f	3
17	802	4	157	Валюты	/currencies	\N	\N	f	7
18	837	4	\N	Компания	/	\N	fa fa-building-o	f	6
19	838	4	18	Структура	/structures	\N	\N	f	1
32	998	4	\N	Продажи	/	\N	fa fa-legal	f	2
20	863	4	18	Должности	/positions	\N	\N	f	2
36	1008	4	23	Бизнес контакты	/bpersons	tab_open	\N	f	4
21	864	4	\N	Клиенты	/	\N	fa fa-briefcase	f	3
22	866	4	21	Физ. лица	/persons	\N	\N	f	1
23	873	4	\N	Справочники	/	\N	fa fa-book	f	8
24	874	4	158	Страны	/countries	\N	\N	f	4
25	879	4	158	Регионы	/regions	\N	\N	f	3
26	900	4	\N	Маркетинг	/	\N	fa fa-bullhorn	f	4
27	902	4	26	Источники	/advsources	\N	\N	f	1
28	910	4	159	Категории отелей	/hotelcats	\N	\N	f	6
29	911	4	159	Категории номеров	/roomcats	\N	\N	f	7
30	955	4	159	Размещение	/accomodations	tab_open	\N	f	10
236	2741	4	26	Кампании	/campaigns	tab_open	\N	t	3
43	1089	4	158	Местоположение	/locations	\N	\N	f	3
45	1212	4	53	Банки	/banks	tab_open	\N	f	6
50	1312	4	53	Сервисы	/services	\N	\N	f	6
51	1368	4	32	Инвойсы	/invoices	tab_open	\N	t	5
152	1895	4	\N	Отчеты	/	\N	fa fa-pie-chart	f	9
53	1394	4	\N	Финансы	/	\N	fa fa-credit-card	f	7
54	1395	4	157	Курсы валют	/currencies_rates	\N	\N	f	8
153	1896	4	152	Обороты	/turnovers	tab_open	\N	f	2
56	1434	4	155	Входящие платежи	/incomes	\N	\N	f	9
55	1425	4	156	Статьи учета	/accounts_items	\N	\N	f	3
57	1436	4	156	Счета	/accounts	\N	\N	f	1
60	1550	4	23	Поставщики	/suppliers	tab_open	\N	f	1
61	1571	4	155	Исходящие платежи	/outgoings	\N	\N	f	10
107	1777	4	\N	Домашняя	/	\N	fa fa-home	f	1
150	1798	4	156	Субсчета	/subaccounts	\N	\N	f	2
151	1885	4	155	Кросс платежи	/crosspayments	\N	\N	f	11
155	1904	4	53	Платежи	/	\N	\N	f	12
156	1905	4	53	Биллинг	/	\N	\N	f	10
157	1906	4	53	Валюты		\N	\N	t	7
158	1907	4	23	География	/	\N	\N	f	10
159	1908	4	23	Отели	/	\N	\N	t	9
42	1080	4	159	Справочник отелей	/hotels	\N	\N	f	5
165	1975	4	8	Компания	/companies/edit	dialog_open	\N	t	4
166	2048	4	32	Лиды	/leads	tab_open	\N	f	2
168	2101	4	32	Заявки	/orders	tab_open	\N	f	4
169	2128	4	23	Трансферы	/transfers	tab_open	\N	t	5
170	2136	4	23	Транспорт	/transports	tab_open	\N	f	6
171	2219	4	23	Типы поставщиков	/suppliers_types	tab_open	\N	f	3
172	2222	4	23	Контракты	/contracts	tab_open	\N	f	2
173	2245	4	23	Классы билетов	/tickets_classes	tab_open	\N	f	7
174	2514	4	156	Настройки НДС	/vats	tab_open	\N	t	5
175	2552	4	23	Категории физ. лиц	/persons_categories	tab_open	\N	f	8
237	2883	4	10	Увольнения	/dismissals	tab_open	\N	t	3
239	2889	4	238	Делегировать ресурсы	/assigns/assign	dialog_open	\N	f	1
238	2888	4	8	Инструменты	/	tab_open	fa fa-gears	t	10
\.


--
-- Name: navigation_id_seq; Type: SEQUENCE SET; Schema: company_ru; Owner: -
--

SELECT pg_catalog.setval('navigation_id_seq', 239, true);


--
-- Data for Name: note; Type: TABLE DATA; Schema: company_ru; Owner: -
--

COPY note (id, resource_id, title, descr) FROM stdin;
\.


--
-- Name: note_id_seq; Type: SEQUENCE SET; Schema: company_ru; Owner: -
--

SELECT pg_catalog.setval('note_id_seq', 1, true);


--
-- Data for Name: note_resource; Type: TABLE DATA; Schema: company_ru; Owner: -
--

COPY note_resource (note_id, resource_id) FROM stdin;
\.


--
-- Data for Name: note_upload; Type: TABLE DATA; Schema: company_ru; Owner: -
--

COPY note_upload (note_id, upload_id) FROM stdin;
\.


--
-- Data for Name: notification; Type: TABLE DATA; Schema: company_ru; Owner: -
--

COPY notification (id, resource_id, title, descr, url, created) FROM stdin;
\.


--
-- Name: notification_id_seq; Type: SEQUENCE SET; Schema: company_ru; Owner: -
--

SELECT pg_catalog.setval('notification_id_seq', 1, true);


--
-- Data for Name: notification_resource; Type: TABLE DATA; Schema: company_ru; Owner: -
--

COPY notification_resource (notification_id, resource_id) FROM stdin;
\.


--
-- Data for Name: order; Type: TABLE DATA; Schema: company_ru; Owner: -
--

COPY "order" (id, deal_date, resource_id, customer_id, lead_id, advsource_id, status, descr) FROM stdin;
\.


--
-- Name: order_id_seq; Type: SEQUENCE SET; Schema: company_ru; Owner: -
--

SELECT pg_catalog.setval('order_id_seq', 1, true);


--
-- Data for Name: order_item; Type: TABLE DATA; Schema: company_ru; Owner: -
--

COPY order_item (id, resource_id, order_id, service_id, currency_id, supplier_id, price, discount_sum, discount_percent, status, status_date, status_info) FROM stdin;
\.


--
-- Name: order_item_id_seq; Type: SEQUENCE SET; Schema: company_ru; Owner: -
--

SELECT pg_catalog.setval('order_item_id_seq', 1, true);


--
-- Data for Name: outgoing; Type: TABLE DATA; Schema: company_ru; Owner: -
--

COPY outgoing (id, date, resource_id, account_item_id, subaccount_id, sum, descr) FROM stdin;
\.


--
-- Data for Name: outgoing_cashflow; Type: TABLE DATA; Schema: company_ru; Owner: -
--

COPY outgoing_cashflow (outgoing_id, cashflow_id) FROM stdin;
\.


--
-- Name: outgoing_id_seq; Type: SEQUENCE SET; Schema: company_ru; Owner: -
--

SELECT pg_catalog.setval('outgoing_id_seq', 1, true);


--
-- Data for Name: passport; Type: TABLE DATA; Schema: company_ru; Owner: -
--

COPY passport (id, resource_id, country_id, passport_type, num, end_date, descr) FROM stdin;
\.


--
-- Name: passport_id_seq; Type: SEQUENCE SET; Schema: company_ru; Owner: -
--

SELECT pg_catalog.setval('passport_id_seq', 1, true);


--
-- Data for Name: passport_upload; Type: TABLE DATA; Schema: company_ru; Owner: -
--

COPY passport_upload (passport_id, upload_id) FROM stdin;
\.


--
-- Data for Name: permision; Type: TABLE DATA; Schema: company_ru; Owner: -
--

COPY permision (id, resource_type_id, position_id, permisions, scope_type, structure_id) FROM stdin;
34	61	4	{view,add,edit,delete}	all	\N
21	1	4	{view}	all	\N
39	69	4	{view,add,edit,delete,assign}	all	\N
42	71	4	{view,add,edit,delete,assign}	all	\N
43	72	4	{view,add,edit,delete,assign}	all	\N
44	73	4	{view,add,edit,delete,assign}	all	\N
45	74	4	{view,add,edit,delete,assign}	all	\N
46	75	4	{view,add,edit,delete,assign}	all	\N
49	79	4	{view,add,edit,delete,assign}	all	\N
55	83	4	{view,add,edit,delete,assign}	all	\N
56	84	4	{view,add,edit,delete,assign}	all	\N
58	86	4	{view,add,edit,delete,assign}	all	\N
61	89	4	{view,add,edit,delete}	all	\N
62	90	4	{view,add,edit,delete}	all	\N
70	101	4	{view,add,edit,delete}	all	\N
63	91	4	{view,add,edit,delete,assign}	all	\N
79	110	4	{view,add,edit,delete}	all	\N
71	102	4	{view,add,edit,delete,assign}	all	\N
73	104	4	{view,add,edit,delete,assign}	all	\N
74	105	4	{view,add,edit,delete,assign}	all	\N
76	107	4	{view,add,edit,delete,assign}	all	\N
26	47	4	{view,add,edit,delete,assign}	all	\N
80	111	4	{view,add,edit,delete,assign}	all	\N
128	117	4	{view,add,edit,delete,assign}	all	\N
59	87	4	{view,add,edit,delete}	all	\N
22	2	4	{view,add,edit,delete,assign}	all	\N
38	41	4	{view,add,edit,delete,assign}	all	\N
40	39	4	{view,add,edit,delete,assign}	all	\N
35	65	4	{view,add,edit,delete,assign}	all	\N
37	67	4	{view,add,edit,delete,assign}	all	\N
41	70	4	{view,add,edit,delete,assign}	all	\N
132	121	4	{view}	all	\N
134	123	4	{view,close}	all	\N
137	126	4	{view,edit}	all	\N
164	152	4	{view,settings}	all	\N
165	153	4	{view,settings}	all	\N
75	106	4	{view,add,edit,delete,assign}	all	\N
24	12	4	{view,add,edit,delete,assign,settings}	all	\N
146	135	4	{view,add,edit,delete}	all	\N
141	130	4	{view,add,edit,delete,assign,order}	all	\N
148	137	4	{view,add,edit,delete}	all	\N
154	143	4	{view,add,edit,delete}	all	\N
149	138	4	{view,add,edit,delete,assign}	all	\N
150	139	4	{view,add,edit,delete,assign}	all	\N
151	140	4	{view,add,edit,delete,assign}	all	\N
152	141	4	{view,add,edit,delete,assign}	all	\N
155	144	4	{view,add,edit,delete}	all	\N
157	145	4	{view,add,edit,delete}	all	\N
158	146	4	{view,add,edit,delete}	all	\N
161	149	4	{view,add,edit,delete}	all	\N
160	148	4	{view,add,edit,delete,assign}	all	\N
163	151	4	{view,add,edit,delete,assign}	all	\N
129	118	4	{view,add,edit,delete}	all	\N
130	119	4	{view,add,edit,delete,autoload}	all	\N
32	59	4	{view,add,edit,delete,assign}	all	\N
48	78	4	{view,add,edit,delete,assign}	all	\N
65	93	4	{view,add,edit,delete,assign}	all	\N
72	103	4	{view,add,edit,delete,assign,settings}	all	\N
131	120	4	{view,add,edit,delete,assign}	all	\N
153	142	4	{view,add,edit,delete,assign}	all	\N
294	156	4	{view,add,edit,delete,settings,assign}	all	\N
30	55	4	{view,add,edit,delete,assign}	all	\N
297	159	4	{view,add,edit,delete,assign}	all	\N
298	160	4	{assign}	all	\N
145	134	4	{view,add,edit,delete,settings,assign,calculation,invoice,contract}	all	\N
\.


--
-- Name: permision_id_seq; Type: SEQUENCE SET; Schema: company_ru; Owner: -
--

SELECT pg_catalog.setval('permision_id_seq', 298, true);


--
-- Data for Name: person; Type: TABLE DATA; Schema: company_ru; Owner: -
--

COPY person (id, resource_id, person_category_id, first_name, last_name, second_name, birthday, gender, email_subscription, sms_subscription, descr) FROM stdin;
\.


--
-- Data for Name: person_address; Type: TABLE DATA; Schema: company_ru; Owner: -
--

COPY person_address (person_id, address_id) FROM stdin;
\.


--
-- Data for Name: person_category; Type: TABLE DATA; Schema: company_ru; Owner: -
--

COPY person_category (id, resource_id, name) FROM stdin;
\.


--
-- Name: person_category_id_seq; Type: SEQUENCE SET; Schema: company_ru; Owner: -
--

SELECT pg_catalog.setval('person_category_id_seq', 1, true);


--
-- Data for Name: person_contact; Type: TABLE DATA; Schema: company_ru; Owner: -
--

COPY person_contact (person_id, contact_id) FROM stdin;
\.


--
-- Name: person_id_seq; Type: SEQUENCE SET; Schema: company_ru; Owner: -
--

SELECT pg_catalog.setval('person_id_seq', 1, true);


--
-- Data for Name: person_order_item; Type: TABLE DATA; Schema: company_ru; Owner: -
--

COPY person_order_item (order_item_id, person_id) FROM stdin;
\.


--
-- Data for Name: person_passport; Type: TABLE DATA; Schema: company_ru; Owner: -
--

COPY person_passport (person_id, passport_id) FROM stdin;
\.


--
-- Data for Name: person_subaccount; Type: TABLE DATA; Schema: company_ru; Owner: -
--

COPY person_subaccount (person_id, subaccount_id) FROM stdin;
\.


--
-- Data for Name: position; Type: TABLE DATA; Schema: company_ru; Owner: -
--

COPY "position" (id, resource_id, structure_id, name) FROM stdin;
4	772	32	Главный разработчик
\.


--
-- Name: position_id_seq; Type: SEQUENCE SET; Schema: company_ru; Owner: -
--

SELECT pg_catalog.setval('position_id_seq', 8, true);


--
-- Data for Name: region; Type: TABLE DATA; Schema: company_ru; Owner: -
--

COPY region (id, resource_id, country_id, name) FROM stdin;
\.


--
-- Name: region_id_seq; Type: SEQUENCE SET; Schema: company_ru; Owner: -
--

SELECT pg_catalog.setval('region_id_seq', 1, true);


--
-- Data for Name: resource; Type: TABLE DATA; Schema: company_ru; Owner: -
--

COPY resource (id, resource_type_id, maintainer_id, protected) FROM stdin;
12	12	2	\N
14	12	2	\N
16	12	2	\N
30	12	2	\N
31	12	2	\N
32	12	2	\N
33	12	2	\N
34	12	2	\N
35	12	2	\N
36	12	2	\N
37	12	2	\N
38	12	2	\N
39	12	2	\N
40	12	2	\N
43	12	2	\N
44	12	2	\N
45	12	2	\N
83	2	2	\N
84	2	2	\N
277	39	2	\N
913	72	2	\N
914	72	2	\N
915	72	2	\N
916	72	2	\N
917	72	2	\N
2890	93	2	f
918	72	2	\N
919	72	2	\N
928	73	2	\N
929	73	2	\N
930	73	2	\N
931	73	2	\N
932	73	2	\N
933	73	2	\N
935	73	2	\N
936	73	2	\N
937	73	2	\N
948	73	2	\N
949	73	2	\N
950	73	2	\N
952	73	2	\N
953	12	2	\N
954	12	2	\N
955	65	2	\N
956	65	2	\N
957	74	2	\N
958	74	2	\N
1647	39	2	f
2266	137	2	f
2267	134	2	f
2268	12	2	f
2269	105	2	f
1915	111	2	f
1917	110	2	f
1949	123	2	f
1961	123	2	f
2714	104	2	f
2715	119	2	f
2716	119	2	f
2717	119	2	f
2718	119	2	f
2881	69	2	f
2882	12	2	f
2883	65	2	f
278	39	2	\N
279	39	2	\N
280	39	2	\N
281	39	2	\N
282	39	2	\N
283	12	2	\N
286	41	2	\N
287	41	2	\N
288	41	2	\N
289	41	2	\N
938	73	2	\N
939	73	2	\N
961	74	2	\N
962	74	2	\N
963	74	2	\N
964	74	2	\N
965	74	2	\N
966	74	2	\N
967	74	2	\N
968	74	2	\N
969	74	2	\N
970	74	2	\N
971	74	2	\N
973	75	2	\N
975	75	2	\N
976	75	2	\N
977	75	2	\N
978	75	2	\N
979	75	2	\N
980	75	2	\N
981	75	2	\N
982	75	2	\N
983	75	2	\N
984	75	2	\N
1616	69	2	f
1619	69	2	f
1620	87	2	f
1621	87	2	f
1622	89	2	f
1623	90	2	f
1381	89	2	f
2439	117	2	f
2784	123	2	f
1932	93	2	f
2786	2	2	f
2787	2	2	f
2788	12	2	f
2813	12	2	f
2814	87	2	f
2815	93	2	f
2842	119	2	f
290	41	2	\N
291	41	2	\N
943	73	2	\N
944	73	2	\N
945	73	2	\N
946	73	2	\N
947	73	2	\N
998	65	2	\N
1005	78	2	\N
1007	12	2	\N
1008	65	2	\N
1009	79	2	\N
1325	83	2	f
1326	84	2	f
1327	83	2	f
1328	39	2	f
1329	84	2	f
1330	83	2	f
1331	83	2	f
1332	39	2	f
1333	84	2	f
1334	83	2	f
1335	83	2	f
1340	39	2	f
1344	39	2	f
1345	84	2	f
1346	83	2	f
1350	83	2	f
1352	39	2	f
1353	84	2	f
1354	83	2	f
1355	39	2	f
1356	84	2	f
1357	83	2	f
2231	78	2	f
2232	78	2	f
2233	78	2	f
1639	106	2	f
1640	87	2	f
1641	87	2	f
1642	89	2	f
1643	89	2	f
2047	119	2	f
1764	111	2	f
1766	111	2	f
1769	105	2	f
1771	111	2	f
1773	111	2	f
2285	135	2	f
2291	93	2	f
2292	12	2	f
2293	145	2	f
2048	65	2	f
2049	12	2	f
2050	87	2	f
2051	69	2	f
2052	130	2	f
1939	93	2	f
2054	2	2	f
1906	65	2	f
1990	106	2	f
1991	106	2	f
1992	106	2	f
2029	119	2	f
2442	117	2	f
2546	110	2	f
2573	69	2	f
921	73	2	\N
1648	84	2	f
2458	106	2	f
2556	151	2	f
2557	151	2	f
2568	145	2	f
1649	83	2	f
1650	87	2	f
2569	130	2	f
2570	69	2	f
922	73	2	\N
923	73	2	\N
924	73	2	\N
1651	89	2	f
1652	90	2	f
1653	69	2	f
925	73	2	\N
926	73	2	\N
1659	65	2	f
1882	106	2	f
1660	106	2	f
927	73	2	\N
2046	119	2	f
959	74	2	\N
960	74	2	\N
1714	110	2	f
985	75	2	\N
987	75	2	\N
1721	110	2	f
1884	12	2	f
1885	65	2	f
1888	117	2	f
1893	120	2	f
1894	12	2	f
1004	78	2	\N
1309	90	2	f
1310	41	2	f
1895	65	2	f
1311	41	2	f
1312	65	2	f
1313	12	2	f
1896	65	2	f
1314	102	2	f
1317	12	2	f
1320	83	2	f
1321	84	2	f
1322	83	2	f
1950	123	2	f
1951	90	2	f
1952	86	2	f
1907	65	2	f
1956	87	2	f
1958	93	2	f
1959	123	2	f
2104	135	2	f
1323	83	2	f
2105	135	2	f
2106	135	2	f
2107	12	2	f
2108	12	2	f
2111	83	2	f
2115	39	2	f
2119	90	2	f
2168	137	2	f
2171	93	2	f
2172	135	2	f
2173	137	2	f
1324	83	2	f
1358	83	2	f
1359	84	2	f
1360	83	2	f
2452	117	2	f
2457	106	2	f
1361	84	2	f
1365	39	2	f
1366	84	2	f
1367	83	2	f
1368	65	2	f
1371	87	2	f
1373	87	2	f
1374	90	2	f
1624	87	2	f
1625	89	2	f
1376	89	2	f
1626	69	2	f
1378	78	2	f
1627	69	2	f
1628	69	2	f
1379	87	2	f
1380	87	2	f
1383	69	2	f
2260	135	2	f
2261	142	2	f
2262	135	2	f
2263	142	2	f
2264	134	2	f
2265	135	2	f
1780	105	2	f
1797	12	2	f
1798	65	2	f
1799	12	2	f
1804	118	2	f
2	2	2	\N
2127	12	2	f
3	2	2	\N
10	12	2	\N
1010	79	2	\N
1080	65	2	\N
1081	12	2	\N
1099	39	2	\N
2309	69	2	f
2128	65	2	f
2129	138	2	f
2130	138	2	f
2132	118	2	f
2440	117	2	f
2201	104	2	f
2459	106	2	f
2463	111	2	f
2465	120	2	f
2563	69	2	f
2564	145	2	f
2565	130	2	f
2203	104	2	f
2205	110	2	f
2234	78	2	f
2566	69	2	f
2133	123	2	f
2567	145	2	f
2571	145	2	f
2135	12	2	f
2572	130	2	f
2710	119	2	f
2711	119	2	f
2712	119	2	f
2713	119	2	f
2816	93	2	f
2817	123	2	f
2836	119	2	f
2136	65	2	f
2320	12	2	f
2327	87	2	f
2328	69	2	f
2583	12	2	f
2329	145	2	f
2330	145	2	f
2331	146	2	f
2837	135	2	f
2332	146	2	f
2333	130	2	f
2838	144	2	f
2855	119	2	f
2861	117	2	f
2862	117	2	f
2334	104	2	f
2335	104	2	f
2336	104	2	f
2235	78	2	f
2236	78	2	f
2337	104	2	f
2338	87	2	f
2339	69	2	f
2340	69	2	f
2237	78	2	f
2238	78	2	f
2239	78	2	f
1774	111	2	f
1775	59	2	f
1777	65	2	f
1778	12	2	f
1800	118	2	f
2294	145	2	f
1801	118	2	f
2295	145	2	f
1802	118	2	f
2296	12	2	f
2297	145	2	f
2299	146	2	f
2300	145	2	f
2304	123	2	f
1910	106	2	f
1911	106	2	f
2075	93	2	f
2076	123	2	f
2077	12	2	f
2087	118	2	f
2088	130	2	f
2089	87	2	f
2090	69	2	f
2092	118	2	f
2095	87	2	f
2096	118	2	f
2097	118	2	f
2307	87	2	f
2120	101	2	f
2126	2	2	f
2341	135	2	f
2342	137	2	f
2343	135	2	f
2344	143	2	f
2030	119	2	f
2031	119	2	f
2308	87	2	f
2032	110	2	f
2038	119	2	f
2903	119	2	f
2514	65	2	f
2515	148	2	f
2516	12	2	f
2871	119	2	f
2517	149	2	f
2518	149	2	f
2519	47	2	f
2520	149	2	f
2521	149	2	f
2522	149	2	f
2873	87	2	f
2874	87	2	f
2875	69	2	f
2876	145	2	f
2877	130	2	f
2878	87	2	f
2887	12	2	f
2888	65	2	f
2889	65	2	f
1316	102	2	f
1336	39	2	f
1362	83	2	f
1363	84	2	f
1364	83	2	f
1372	69	2	f
2523	149	2	f
2524	149	2	f
1375	69	2	f
2525	149	2	f
1382	90	2	f
2526	149	2	f
1385	84	2	f
2527	149	2	f
1386	83	2	f
2528	149	2	f
2529	119	2	f
2536	110	2	f
2537	119	2	f
2538	119	2	f
2574	145	2	f
2575	130	2	f
1387	87	2	f
1388	90	2	f
1389	69	2	f
1390	69	2	f
1391	90	2	f
1416	39	2	f
2271	140	2	f
2272	78	2	f
2273	135	2	f
2286	137	2	f
2287	135	2	f
2288	142	2	f
2289	104	2	f
2290	104	2	f
1424	12	2	f
1425	65	2	f
1426	105	2	f
1431	105	2	f
1432	105	2	f
1433	12	2	f
1434	65	2	f
2576	69	2	f
2577	145	2	f
2578	145	2	f
2579	130	2	f
2580	69	2	f
2581	145	2	f
2582	130	2	f
2345	134	2	f
2366	87	2	f
2367	69	2	f
2368	145	2	f
2369	146	2	f
2370	118	2	f
2371	93	2	f
2372	130	2	f
2373	39	2	f
2648	65	2	f
2649	65	2	f
2650	65	2	f
2429	105	2	f
2430	105	2	f
2510	110	2	f
2511	86	2	f
2513	12	2	f
2544	148	2	f
907	71	2	\N
908	12	2	\N
909	12	2	\N
2131	93	2	f
2891	87	2	f
2892	69	2	f
2893	145	2	f
2894	130	2	f
2589	89	2	f
2590	90	2	f
2545	86	2	f
2547	119	2	f
2548	119	2	f
2591	69	2	f
2592	123	2	f
2593	69	2	f
2594	87	2	f
2595	69	2	f
2596	145	2	f
2376	69	2	f
2377	135	2	f
2549	12	2	f
2378	137	2	f
2550	87	2	f
2379	135	2	f
2551	12	2	f
2552	65	2	f
2553	65	2	f
2554	65	2	f
2725	119	2	f
2726	110	2	f
2727	119	2	f
2728	119	2	f
2730	93	2	f
2731	123	2	f
2732	148	2	f
2818	93	2	f
2819	123	2	f
2380	143	2	f
2381	93	2	f
2382	134	2	f
2383	104	2	f
2384	104	2	f
2385	104	2	f
2389	105	2	f
2390	105	2	f
2391	105	2	f
2396	105	2	f
2397	105	2	f
2398	105	2	f
2415	105	2	f
2416	105	2	f
2670	146	2	f
2677	89	2	f
2678	69	2	f
2679	69	2	f
2680	89	2	f
2681	89	2	f
2424	105	2	f
2425	105	2	f
2426	105	2	f
2682	149	2	f
2683	89	2	f
2427	105	2	f
2428	105	2	f
2684	149	2	f
2685	89	2	f
2686	135	2	f
2431	105	2	f
2687	137	2	f
2690	134	2	f
2693	110	2	f
2694	110	2	f
2695	86	2	f
2530	119	2	f
2531	119	2	f
2532	119	2	f
2533	119	2	f
2534	119	2	f
2535	119	2	f
2539	110	2	f
2540	86	2	f
2541	119	2	f
2542	148	2	f
2543	148	2	f
2820	118	2	f
2821	87	2	f
2822	69	2	f
2823	145	2	f
1546	106	2	f
2824	130	2	f
1547	106	2	f
1548	12	2	f
1549	12	2	f
2825	146	2	f
2826	118	2	f
2827	135	2	f
2828	137	2	f
2841	104	2	f
2865	78	2	f
2866	117	2	f
2867	111	2	f
1550	65	2	f
1551	87	2	f
1552	87	2	f
2597	145	2	f
2636	65	2	f
2637	65	2	f
2638	65	2	f
2392	105	2	f
2393	105	2	f
2394	105	2	f
2395	105	2	f
2642	65	2	f
274	12	2	\N
292	41	2	\N
306	41	2	\N
706	12	2	\N
723	12	2	\N
725	55	2	\N
726	55	2	\N
728	55	2	\N
734	55	2	\N
743	55	2	\N
763	55	2	\N
764	12	2	\N
769	12	2	\N
2643	65	2	f
2646	65	2	f
2647	65	2	f
2651	65	2	f
2652	65	2	f
2653	65	2	f
771	55	2	\N
772	59	2	\N
837	65	2	\N
2895	39	2	f
1067	78	2	\N
1068	12	2	\N
1165	39	2	\N
2654	65	2	f
2655	65	2	f
2896	84	2	f
1185	39	2	\N
1195	87	2	\N
1198	12	2	\N
1261	89	2	f
1807	90	2	f
1833	118	2	f
1435	12	2	f
1436	65	2	f
1438	107	2	f
1439	107	2	f
1511	101	2	f
1512	101	2	f
1513	101	2	f
1521	12	2	f
1535	110	2	f
1536	110	2	f
1537	110	2	f
1538	110	2	f
1539	110	2	f
1540	110	2	f
1541	110	2	f
2897	83	2	f
2417	105	2	f
1543	87	2	f
1544	87	2	f
1545	87	2	f
2659	87	2	f
2661	145	2	f
2662	130	2	f
2663	118	2	f
2418	105	2	f
2419	105	2	f
2420	105	2	f
2421	105	2	f
2422	105	2	f
2423	105	2	f
2698	110	2	f
2699	86	2	f
2700	119	2	f
2701	119	2	f
2879	69	2	f
773	12	2	\N
887	69	2	\N
2183	137	2	f
2660	69	2	f
2664	149	2	f
2665	149	2	f
2666	87	2	f
2667	69	2	f
2898	69	2	f
2668	145	2	f
2899	135	2	f
894	2	2	\N
896	39	2	\N
1011	12	2	\N
2669	130	2	f
2671	93	2	f
2672	123	2	f
2673	39	2	f
2839	119	2	f
2840	119	2	f
1278	39	2	f
1283	71	2	f
1284	69	2	f
1285	87	2	f
1286	89	2	f
1287	84	2	f
1288	90	2	f
1289	84	2	f
1290	39	2	f
1291	84	2	f
1292	83	2	f
1293	69	2	f
1294	69	2	f
1304	87	2	f
1306	90	2	f
1849	12	2	f
1447	106	2	f
1448	106	2	f
1450	12	2	f
1452	12	2	f
1464	87	2	f
1465	69	2	f
1467	89	2	f
1472	69	2	f
1473	69	2	f
1485	106	2	f
1500	106	2	f
1504	104	2	f
1505	104	2	f
1506	104	2	f
1507	107	2	f
1509	106	2	f
1514	101	2	f
1515	101	2	f
1516	87	2	f
1517	87	2	f
1518	87	2	f
1519	87	2	f
1553	79	2	f
2584	93	2	f
2585	87	2	f
2586	87	2	f
2587	87	2	f
2588	89	2	f
2633	65	2	f
2634	65	2	f
2635	65	2	f
2174	135	2	f
2175	137	2	f
2176	135	2	f
2177	137	2	f
2178	135	2	f
2179	137	2	f
2180	135	2	f
2181	137	2	f
2182	135	2	f
897	39	2	\N
898	39	2	\N
899	39	2	\N
900	65	2	\N
2435	146	2	f
901	12	2	\N
902	65	2	\N
903	71	2	\N
2451	106	2	f
2486	101	2	f
2489	86	2	f
2490	86	2	f
2491	86	2	f
2493	87	2	f
2501	110	2	f
2502	110	2	f
2503	119	2	f
2505	110	2	f
2506	86	2	f
2507	110	2	f
2508	110	2	f
2737	106	2	f
2738	117	2	f
2739	69	2	f
2740	12	2	f
2832	119	2	f
2863	111	2	f
2864	140	2	f
2274	143	2	f
2275	134	2	f
2276	12	2	f
2277	105	2	f
2278	135	2	f
2279	144	2	f
2280	134	2	f
2281	104	2	f
2282	135	2	f
2284	134	2	f
1962	93	2	f
1963	123	2	f
1964	93	2	f
1965	123	2	f
1966	12	2	f
2098	118	2	f
2099	12	2	f
2100	12	2	f
1978	2	2	f
2101	65	2	f
1979	118	2	f
1985	93	2	f
1986	123	2	f
1988	119	2	f
1989	12	2	f
2602	65	2	f
2603	65	2	f
2604	65	2	f
2605	65	2	f
2608	65	2	f
2612	65	2	f
2613	65	2	f
2617	65	2	f
2039	119	2	f
2044	119	2	f
2156	135	2	f
2157	137	2	f
2158	135	2	f
2159	137	2	f
2160	135	2	f
2161	137	2	f
2162	135	2	f
2163	137	2	f
2164	135	2	f
2165	137	2	f
2167	135	2	f
2045	119	2	f
2399	105	2	f
2400	105	2	f
2401	105	2	f
2402	105	2	f
2403	105	2	f
2704	119	2	f
2705	119	2	f
2706	119	2	f
2707	119	2	f
2708	119	2	f
2709	119	2	f
2434	130	2	f
775	12	2	\N
778	65	2	\N
779	65	2	\N
780	65	2	\N
784	47	2	\N
788	12	2	\N
789	67	2	\N
790	65	2	\N
791	65	2	\N
792	65	2	\N
794	55	2	\N
800	55	2	\N
801	55	2	\N
802	65	2	\N
1468	84	2	f
1469	90	2	f
1470	83	2	f
1471	69	2	f
1913	117	2	f
1510	101	2	f
1968	12	2	f
1970	126	2	f
1971	93	2	f
1972	123	2	f
1973	123	2	f
1975	65	2	f
1977	12	2	f
1554	101	2	f
1556	101	2	f
1559	87	2	f
1560	79	2	f
2137	139	2	f
2138	139	2	f
2139	139	2	f
2144	135	2	f
2145	137	2	f
2146	135	2	f
2147	137	2	f
838	65	2	\N
849	41	2	\N
851	41	2	\N
852	41	2	\N
853	41	2	\N
854	2	2	\N
855	2	2	\N
856	2	2	\N
864	65	2	\N
865	12	2	\N
866	65	2	\N
1307	90	2	f
1308	90	2	f
1337	84	2	f
1338	83	2	f
1347	39	2	f
1348	84	2	f
1349	83	2	f
1393	12	2	f
1394	65	2	f
1395	65	2	f
1396	104	2	f
1398	104	2	f
1400	104	2	f
1401	104	2	f
1402	104	2	f
1403	104	2	f
1404	87	2	f
1406	89	2	f
1407	90	2	f
1408	69	2	f
1409	69	2	f
1410	69	2	f
1411	69	2	f
2148	135	2	f
2149	137	2	f
2150	135	2	f
2187	135	2	f
2188	137	2	f
2189	135	2	f
2190	137	2	f
2674	84	2	f
2675	83	2	f
2676	87	2	f
1413	102	2	f
1414	90	2	f
1415	91	2	f
1417	84	2	f
1418	90	2	f
1419	91	2	f
1420	101	2	f
2152	135	2	f
2153	137	2	f
2154	135	2	f
2155	137	2	f
2184	135	2	f
2185	137	2	f
2186	134	2	f
2688	135	2	f
2880	87	2	f
904	71	2	\N
905	71	2	\N
906	71	2	\N
910	65	2	\N
911	65	2	\N
912	72	2	\N
1318	102	2	f
1319	84	2	f
2206	110	2	f
2207	110	2	f
1607	106	2	f
1608	105	2	f
1341	84	2	f
1609	105	2	f
2433	145	2	f
2689	143	2	f
2558	12	2	f
2559	151	2	f
1342	83	2	f
1610	87	2	f
1611	87	2	f
1612	89	2	f
1613	89	2	f
1614	90	2	f
2560	69	2	f
2561	145	2	f
2562	130	2	f
2733	148	2	f
1615	69	2	f
2208	110	2	f
2209	110	2	f
2210	86	2	f
2211	110	2	f
2212	110	2	f
2213	86	2	f
2734	119	2	f
2735	119	2	f
2843	119	2	f
1370	90	2	f
1384	39	2	f
2283	137	2	f
1803	118	2	f
2301	146	2	f
2302	118	2	f
2303	93	2	f
1852	119	2	f
1898	105	2	f
1900	120	2	f
1901	120	2	f
1902	117	2	f
1903	111	2	f
1904	65	2	f
1905	65	2	f
1561	87	2	f
1562	87	2	f
1563	79	2	f
1564	101	2	f
2844	119	2	f
1569	101	2	f
1570	101	2	f
1571	65	2	f
1575	65	2	f
1576	86	2	f
2845	119	2	f
2846	119	2	f
2847	119	2	f
2848	119	2	f
2849	119	2	f
2850	119	2	f
2851	119	2	f
2852	110	2	f
2853	86	2	f
2854	119	2	f
1577	87	2	f
1578	79	2	f
1579	110	2	f
1580	78	2	f
1581	87	2	f
1582	89	2	f
2598	145	2	f
2599	130	2	f
2868	93	2	f
2869	93	2	f
2870	119	2	f
2151	137	2	f
988	75	2	\N
1003	12	2	\N
1078	12	2	\N
1088	12	2	\N
1089	65	2	\N
1090	39	2	\N
1091	84	2	\N
1093	84	2	\N
1095	70	2	\N
1096	39	2	\N
1199	89	2	\N
1204	87	2	\N
1205	89	2	\N
1206	89	2	\N
1252	59	2	f
1257	87	2	f
1258	87	2	f
1644	90	2	f
1645	69	2	f
1918	119	2	f
1919	12	2	f
1922	93	2	f
1924	118	2	f
1925	89	2	f
1926	90	2	f
1927	87	2	f
1930	93	2	f
1931	118	2	f
1933	93	2	f
1934	93	2	f
1935	93	2	f
1936	93	2	f
1940	93	2	f
1941	12	2	f
1945	123	2	f
1946	123	2	f
1947	123	2	f
1948	123	2	f
1954	12	2	f
1584	89	2	f
1585	90	2	f
1586	69	2	f
1587	39	2	f
1588	84	2	f
1589	84	2	f
1590	83	2	f
1591	87	2	f
1592	89	2	f
1593	69	2	f
1597	104	2	f
2631	65	2	f
2632	65	2	f
2702	119	2	f
2703	119	2	f
2829	93	2	f
2830	69	2	f
2831	134	2	f
2833	110	2	f
2834	86	2	f
2835	104	2	f
2859	148	2	f
2860	106	2	f
885	47	2	\N
895	39	2	\N
940	73	2	\N
941	73	2	\N
942	73	2	\N
1259	87	2	f
1260	87	2	f
2200	104	2	f
2214	110	2	f
2215	86	2	f
2216	78	2	f
2217	12	2	f
2218	140	2	f
2219	65	2	f
2221	140	2	f
2222	65	2	f
2223	78	2	f
2224	78	2	f
2225	78	2	f
2226	78	2	f
2227	78	2	f
2228	78	2	f
2229	78	2	f
2230	78	2	f
1908	65	2	f
2055	12	2	f
2062	93	2	f
2063	93	2	f
2064	123	2	f
2065	118	2	f
2066	93	2	f
2067	123	2	f
2068	93	2	f
2069	123	2	f
2070	12	2	f
2305	145	2	f
2306	146	2	f
1993	106	2	f
2310	145	2	f
1994	106	2	f
2311	93	2	f
1995	106	2	f
1996	106	2	f
2312	130	2	f
1997	106	2	f
2313	145	2	f
2314	69	2	f
2315	135	2	f
2001	106	2	f
2316	137	2	f
2002	106	2	f
2317	134	2	f
2319	104	2	f
2006	106	2	f
2007	106	2	f
2009	93	2	f
2010	123	2	f
2011	110	2	f
2012	118	2	f
2013	87	2	f
2014	89	2	f
2015	90	2	f
2016	93	2	f
2017	69	2	f
2018	87	2	f
2019	89	2	f
2020	69	2	f
2023	104	2	f
2024	104	2	f
2027	106	2	f
2028	106	2	f
2436	93	2	f
2437	146	2	f
2438	117	2	f
1880	106	2	f
1881	106	2	f
2374	84	2	f
2375	83	2	f
2413	105	2	f
871	69	2	\N
872	12	2	\N
873	65	2	\N
874	65	2	\N
876	41	2	\N
878	70	2	\N
2857	119	2	f
879	65	2	\N
1079	65	2	\N
1097	84	2	\N
1101	39	2	\N
1102	84	2	\N
1159	78	2	\N
1170	39	2	\N
1179	39	2	\N
1189	12	2	\N
1190	12	2	\N
1191	86	2	\N
1192	86	2	\N
1193	87	2	\N
1194	87	2	\N
1200	89	2	\N
1201	87	2	\N
1210	90	2	\N
1211	12	2	\N
1212	65	2	\N
1213	90	2	\N
1214	91	2	\N
1225	12	2	\N
1230	93	2	\N
1243	87	2	f
1244	87	2	f
1253	65	2	f
1263	87	2	f
1264	87	2	f
1265	89	2	f
1268	12	2	f
2197	93	2	f
2198	123	2	f
2199	105	2	f
2240	78	2	f
2241	78	2	f
2242	78	2	f
2243	12	2	f
2244	12	2	f
2245	65	2	f
2246	105	2	f
2247	102	2	f
2248	141	2	f
2249	141	2	f
2254	135	2	f
2255	142	2	f
2256	135	2	f
2257	142	2	f
2258	135	2	f
2259	142	2	f
1853	119	2	f
1854	119	2	f
1855	119	2	f
1859	119	2	f
1860	119	2	f
1865	117	2	f
1866	117	2	f
1867	117	2	f
1868	117	2	f
1869	69	2	f
1870	78	2	f
1872	118	2	f
1873	105	2	f
1875	106	2	f
1876	106	2	f
863	65	2	\N
870	69	2	\N
875	70	2	\N
1207	12	2	\N
1209	90	2	\N
1218	39	2	\N
1221	12	2	\N
1227	93	2	\N
1240	41	2	f
1241	39	2	f
1282	87	2	f
1980	93	2	f
1981	118	2	f
1982	93	2	f
1983	93	2	f
1984	123	2	f
2404	105	2	f
2405	105	2	f
2406	105	2	f
2407	105	2	f
2408	105	2	f
2409	105	2	f
2410	105	2	f
2411	105	2	f
2412	105	2	f
2414	105	2	f
2432	105	2	f
2719	119	2	f
2720	119	2	f
2721	119	2	f
2722	119	2	f
2723	104	2	f
2724	119	2	f
2736	119	2	f
2741	65	2	f
2742	12	2	f
2779	123	2	f
2780	123	2	f
2781	123	2	f
2782	123	2	f
2783	123	2	f
2466	117	2	f
2467	111	2	f
2468	119	2	f
2469	119	2	f
2470	119	2	f
2475	90	2	f
2900	137	2	f
2484	2	2	f
2901	93	2	f
2902	134	2	f
\.


--
-- Name: resource_id_seq; Type: SEQUENCE SET; Schema: company_ru; Owner: -
--

SELECT pg_catalog.setval('resource_id_seq', 2904, true);


--
-- Data for Name: resource_log; Type: TABLE DATA; Schema: company_ru; Owner: -
--

COPY resource_log (id, resource_id, employee_id, comment, modifydt) FROM stdin;
142	83	2	\N	2013-12-07 16:38:38.11618+02
143	84	2	\N	2013-12-07 16:39:56.788641+02
144	3	2	\N	2013-12-07 16:41:27.65259+02
145	2	2	\N	2013-12-07 16:41:31.748494+02
146	83	2	\N	2013-12-07 16:58:05.802634+02
147	83	2	\N	2013-12-07 17:00:14.544264+02
4836	794	2	\N	2014-02-05 19:54:07.5415+02
5406	1192	2	\N	2014-04-06 19:21:11.278173+03
5407	1005	2	\N	2014-04-06 19:21:55.315341+03
4845	283	2	\N	2014-02-06 11:38:41.090464+02
2	10	2	\N	2013-11-16 19:00:14.24272+02
4	12	2	\N	2013-11-16 19:00:15.497284+02
6	14	2	\N	2013-11-16 19:00:16.696731+02
8	16	2	\N	2013-11-16 19:00:17.960761+02
5427	1204	2	\N	2014-04-09 18:54:09.146902+03
12	30	2	\N	2013-11-23 19:26:00.193553+02
13	30	2	\N	2013-11-23 22:02:37.363677+02
14	10	2	\N	2013-11-23 22:11:01.634598+02
15	30	2	\N	2013-11-23 22:11:14.939938+02
16	30	2	\N	2013-11-23 22:11:38.396085+02
19	30	2	\N	2013-11-24 10:30:59.830287+02
20	30	2	\N	2013-11-24 10:31:22.936737+02
21	30	2	\N	2013-11-24 10:38:08.07328+02
22	30	2	\N	2013-11-24 10:38:10.703187+02
23	30	2	\N	2013-11-24 10:38:11.896934+02
24	30	2	\N	2013-11-24 10:42:19.397852+02
25	30	2	\N	2013-11-24 10:42:50.772172+02
26	30	2	\N	2013-11-24 10:45:56.399572+02
27	30	2	\N	2013-11-24 10:48:29.950669+02
28	30	2	\N	2013-11-24 10:49:23.616693+02
29	30	2	\N	2013-11-24 10:50:05.878643+02
30	30	2	\N	2013-11-24 10:51:02.465585+02
31	30	2	\N	2013-11-24 10:54:21.011765+02
32	30	2	\N	2013-11-24 10:54:28.775552+02
33	30	2	\N	2013-11-24 10:58:34.152869+02
34	30	2	\N	2013-11-24 10:58:36.766104+02
35	30	2	\N	2013-11-24 10:58:38.767749+02
36	30	2	\N	2013-11-24 10:58:42.533162+02
37	30	2	\N	2013-11-24 10:58:43.55758+02
38	30	2	\N	2013-11-24 10:58:47.40587+02
39	30	2	\N	2013-11-24 11:00:56.130675+02
40	30	2	\N	2013-11-24 11:01:17.637578+02
41	30	2	\N	2013-11-24 11:01:20.639413+02
42	30	2	\N	2013-11-24 11:01:25.957588+02
43	30	2	\N	2013-11-24 11:01:28.015301+02
44	30	2	\N	2013-11-24 11:01:49.505153+02
45	30	2	\N	2013-11-24 11:01:54.465064+02
46	30	2	\N	2013-11-24 11:01:56.828797+02
47	30	2	\N	2013-11-24 11:02:00.873006+02
48	30	2	\N	2013-11-24 11:02:06.385907+02
49	30	2	\N	2013-11-24 11:02:08.474309+02
50	30	2	\N	2013-11-24 11:02:11.823259+02
51	30	2	\N	2013-11-24 11:02:15.084044+02
52	30	2	\N	2013-11-24 11:23:59.150304+02
53	30	2	\N	2013-11-24 12:41:22.004561+02
54	30	2	\N	2013-11-24 12:41:27.704243+02
55	30	2	\N	2013-11-24 12:41:32.588516+02
5430	1207	2	\N	2014-04-09 20:43:13.852066+03
5459	1227	2	\N	2014-04-19 13:04:24.512333+03
5467	1230	2	\N	2014-04-23 11:53:28.979784+03
5468	1230	2	\N	2014-04-23 11:53:45.572462+03
5537	1306	2	\N	2014-04-30 11:04:50.581045+03
66	16	2	\N	2013-11-30 12:57:27.26941+02
67	31	2	\N	2013-11-30 14:25:42.040654+02
68	32	2	\N	2013-11-30 14:27:55.708736+02
69	33	2	\N	2013-11-30 14:28:30.596329+02
70	34	2	\N	2013-11-30 14:29:07.205192+02
71	35	2	\N	2013-11-30 14:30:10.653134+02
72	36	2	\N	2013-11-30 14:31:39.751221+02
73	37	2	\N	2013-11-30 14:32:36.035677+02
74	38	2	\N	2013-11-30 14:55:27.691288+02
75	39	2	\N	2013-11-30 14:58:07.249714+02
76	40	2	\N	2013-11-30 14:58:34.364695+02
79	43	2	\N	2013-11-30 15:08:29.574538+02
80	43	2	\N	2013-11-30 15:08:52.114395+02
81	43	2	\N	2013-11-30 15:09:21.51485+02
82	44	2	\N	2013-11-30 15:09:54.961188+02
83	45	2	\N	2013-12-01 13:04:27.697583+02
84	45	2	\N	2013-12-01 13:04:40.716328+02
85	14	2	\N	2013-12-01 14:31:19.374571+02
87	12	2	\N	2013-12-01 18:21:35.266219+02
104	10	2	\N	2013-12-02 20:43:38.334769+02
130	10	2	\N	2013-12-06 21:10:25.807719+02
4796	769	2	\N	2014-01-22 22:21:45.451623+02
4820	16	2	\N	2014-02-01 21:09:43.821944+02
5408	1192	2	\N	2014-04-06 19:22:16.361504+03
5409	1005	2	\N	2014-04-06 19:22:18.74271+03
4822	784	2	\N	2014-02-01 21:23:07.460721+02
5410	1193	2	\N	2014-04-06 19:30:25.125445+03
5411	1194	2	\N	2014-04-06 19:30:51.85642+03
5412	1195	2	\N	2014-04-06 19:32:30.207073+03
5428	1205	2	\N	2014-04-09 19:17:37.483997+03
5431	1209	2	\N	2014-04-09 20:49:45.884539+03
4843	800	2	\N	2014-02-05 19:58:31.619612+02
4844	801	2	\N	2014-02-05 19:58:49.632624+02
4951	885	2	\N	2014-02-14 21:23:40.101298+02
4952	885	2	\N	2014-02-14 21:25:13.866935+02
4974	849	2	\N	2014-02-23 22:41:46.113064+02
5143	1003	2	\N	2014-03-04 21:05:09.565466+02
5144	1004	2	\N	2014-03-04 21:08:53.227171+02
5145	1005	2	\N	2014-03-04 21:09:15.542733+02
5471	1240	2	\N	2014-04-26 13:10:19.27836+03
5538	1307	2	\N	2014-04-30 11:08:33.655971+03
5544	1313	2	\N	2014-05-16 22:03:29.897662+03
361	274	2	\N	2013-12-14 17:16:08.962259+02
365	277	2	\N	2013-12-14 18:56:05.189747+02
366	278	2	\N	2013-12-14 18:56:17.77025+02
367	279	2	\N	2013-12-14 18:56:45.919492+02
368	280	2	\N	2013-12-14 19:10:07.617582+02
369	281	2	\N	2013-12-14 19:10:25.311427+02
370	281	2	\N	2013-12-14 19:10:59.35028+02
371	281	2	\N	2013-12-14 19:12:14.211139+02
372	282	2	\N	2013-12-14 19:14:22.861495+02
373	278	2	\N	2013-12-14 19:14:33.853691+02
374	282	2	\N	2013-12-14 19:14:41.964012+02
375	283	2	\N	2013-12-14 19:16:35.738242+02
4882	706	2	\N	2014-02-08 19:59:59.160282+02
377	283	2	\N	2013-12-14 19:18:21.622933+02
5147	1004	2	\N	2014-03-04 21:17:22.306545+02
5148	1004	2	\N	2014-03-04 21:23:04.343461+02
386	286	2	\N	2013-12-14 20:46:34.653533+02
387	287	2	\N	2013-12-14 20:46:47.37835+02
388	288	2	\N	2013-12-14 20:47:08.024243+02
389	289	2	\N	2013-12-14 20:47:28.256516+02
390	290	2	\N	2013-12-14 20:52:40.953492+02
391	291	2	\N	2013-12-14 20:53:08.057165+02
392	292	2	\N	2013-12-14 20:53:33.598708+02
5149	1004	2	\N	2014-03-04 21:23:17.093243+02
5150	1004	2	\N	2014-03-04 21:23:25.611509+02
4799	771	2	\N	2014-01-25 16:05:28.799345+02
4800	771	2	\N	2014-01-25 16:05:38.705799+02
4801	772	2	\N	2014-01-25 16:06:28.321244+02
4826	788	2	\N	2014-02-01 22:03:21.899916+02
5151	1004	2	\N	2014-03-04 21:23:52.466966+02
5152	1004	2	\N	2014-03-04 21:24:11.351815+02
5153	1004	2	\N	2014-03-04 21:24:20.614224+02
5429	1206	2	\N	2014-04-09 19:21:09.215561+03
5154	1004	2	\N	2014-03-04 21:35:47.600889+02
5155	1004	2	\N	2014-03-04 21:36:05.835492+02
5156	1004	2	\N	2014-03-04 21:36:16.322673+02
5432	1210	2	\N	2014-04-12 13:10:08.842351+03
5472	1241	2	\N	2014-04-26 19:16:28.009797+03
5539	1308	2	\N	2014-04-30 11:20:34.938154+03
5545	1314	2	\N	2014-05-17 13:42:16.369317+03
422	306	2	\N	2013-12-15 21:45:32.990838+02
4802	773	2	\N	2014-01-25 23:45:37.762081+02
4827	789	2	\N	2014-02-02 16:45:11.830435+02
4954	887	2	\N	2014-02-15 12:32:09.199652+02
5415	1198	2	\N	2014-04-08 09:35:59.21042+03
4979	885	2	\N	2014-02-24 12:50:26.694026+02
4981	784	2	\N	2014-02-24 12:50:33.322359+02
5157	1004	2	\N	2014-03-07 22:30:15.652582+02
5230	894	2	\N	2014-03-16 11:54:19.683752+02
5231	894	2	\N	2014-03-16 11:54:28.171778+02
5232	894	2	\N	2014-03-16 11:54:33.774318+02
5270	1004	2	\N	2014-03-17 10:50:39.781432+02
5465	1230	2	\N	2014-04-19 21:03:03.225866+03
5509	1278	2	\N	2014-04-29 10:09:19.421905+03
5540	1309	2	\N	2014-04-30 11:32:51.070911+03
5547	1316	2	\N	2014-05-17 14:00:25.111543+03
4927	865	2	\N	2014-02-09 13:26:19.008763+02
4804	775	2	\N	2014-01-26 15:30:50.636495+02
4828	3	2	\N	2014-02-02 17:45:50.239397+02
5416	1199	2	\N	2014-04-08 10:15:32.411146+03
5434	1211	2	\N	2014-04-12 14:16:34.33498+03
5435	1211	2	\N	2014-04-12 14:16:53.40729+03
4982	895	2	\N	2014-02-25 19:06:42.158245+02
5158	1007	2	\N	2014-03-08 10:30:25.61786+02
5198	3	2	\N	2014-03-11 13:14:05.142514+02
5437	1213	2	\N	2014-04-12 14:32:08.840037+03
5466	1227	2	\N	2014-04-19 21:37:55.580038+03
5474	1243	2	\N	2014-04-26 22:38:44.326007+03
5541	1310	2	\N	2014-04-30 22:45:27.579715+03
5548	1317	2	\N	2014-05-17 14:54:57.813145+03
5549	1318	2	\N	2014-05-17 15:24:32.954365+03
5550	1319	2	\N	2014-05-17 15:53:28.880817+03
5551	1320	2	\N	2014-05-17 15:53:34.139717+03
5552	1321	2	\N	2014-05-17 15:55:03.155317+03
5553	1322	2	\N	2014-05-17 15:55:07.534203+03
5557	1326	2	\N	2014-05-17 15:59:13.891973+03
5558	1327	2	\N	2014-05-17 15:59:17.045556+03
5559	1328	2	\N	2014-05-17 16:00:04.660539+03
5560	1329	2	\N	2014-05-17 16:00:08.901641+03
5561	1330	2	\N	2014-05-17 16:00:10.337355+03
5566	1335	2	\N	2014-05-17 16:02:19.447311+03
5571	1340	2	\N	2014-05-17 16:06:28.503991+03
5572	1341	2	\N	2014-05-17 16:06:29.727144+03
5573	1342	2	\N	2014-05-17 16:06:31.81672+03
5575	1344	2	\N	2014-05-17 16:07:45.972655+03
5576	1345	2	\N	2014-05-17 16:07:47.259172+03
5577	1346	2	\N	2014-05-17 16:07:49.146563+03
5581	1350	2	\N	2014-05-17 16:09:55.923893+03
5583	1352	2	\N	2014-05-17 16:13:14.609527+03
5584	1353	2	\N	2014-05-17 16:13:16.568079+03
5585	1354	2	\N	2014-05-17 16:13:17.732756+03
5370	1159	2	\N	2014-04-02 19:52:15.193771+03
5417	1200	2	\N	2014-04-08 10:35:59.014802+03
4890	784	2	\N	2014-02-08 21:26:51.98617+02
4929	870	2	\N	2014-02-09 14:57:54.403714+02
4983	896	2	\N	2014-02-25 19:37:56.226615+02
4984	897	2	\N	2014-02-25 19:38:21.395798+02
4985	898	2	\N	2014-02-25 19:38:30.353048+02
4986	899	2	\N	2014-02-25 19:39:23.588225+02
4988	901	2	\N	2014-02-25 19:47:57.884012+02
5160	1009	2	\N	2014-03-08 10:49:52.0599+02
5199	3	2	\N	2014-03-12 12:05:31.953558+02
5438	1214	2	\N	2014-04-12 14:36:07.046988+03
5475	1244	2	\N	2014-04-26 22:39:00.40778+03
5542	1311	2	\N	2014-04-30 22:45:36.089534+03
5554	1323	2	\N	2014-05-17 15:55:54.008685+03
5555	1324	2	\N	2014-05-17 15:56:55.63522+03
5556	1325	2	\N	2014-05-17 15:58:29.508912+03
5562	1331	2	\N	2014-05-17 16:00:49.21287+03
5563	1332	2	\N	2014-05-17 16:01:46.175183+03
5564	1333	2	\N	2014-05-17 16:01:47.950656+03
5565	1334	2	\N	2014-05-17 16:01:48.837764+03
5567	1336	2	\N	2014-05-17 16:03:41.796945+03
5568	1337	2	\N	2014-05-17 16:04:32.839289+03
5569	1338	2	\N	2014-05-17 16:04:34.363533+03
5578	1347	2	\N	2014-05-17 16:08:39.18466+03
5579	1348	2	\N	2014-05-17 16:08:56.863828+03
5580	1349	2	\N	2014-05-17 16:08:58.291349+03
4894	849	2	\N	2014-02-08 21:32:14.802948+02
4896	851	2	\N	2014-02-08 21:32:32.471247+02
4897	852	2	\N	2014-02-08 21:36:44.493917+02
4930	871	2	\N	2014-02-09 16:04:05.85568+02
5161	1009	2	\N	2014-03-08 10:52:32.854366+02
5162	1009	2	\N	2014-03-08 10:52:45.635015+02
5163	1009	2	\N	2014-03-08 10:52:53.515357+02
5164	1009	2	\N	2014-03-08 10:52:58.740536+02
5165	1010	2	\N	2014-03-08 10:54:40.946487+02
5166	1010	2	\N	2014-03-08 10:54:50.928085+02
5200	3	2	\N	2014-03-12 12:14:05.203771+02
5235	897	2	\N	2014-03-16 12:53:37.56753+02
5278	1067	2	\N	2014-03-18 19:51:01.87448+02
5376	1165	2	\N	2014-04-02 20:56:48.393173+03
5419	1201	2	\N	2014-04-08 10:38:31.154572+03
5440	1214	2	\N	2014-04-12 14:39:05.532456+03
5442	1214	2	\N	2014-04-12 14:43:11.754556+03
5513	1282	2	\N	2014-04-29 10:43:05.718429+03
5586	1355	2	\N	2014-05-17 16:14:39.7443+03
5587	1356	2	\N	2014-05-17 16:14:41.182697+03
5588	1357	2	\N	2014-05-17 16:14:43.239633+03
5590	1359	2	\N	2014-05-17 16:15:43.442935+03
5591	1360	2	\N	2014-05-17 16:15:45.790483+03
5596	1365	2	\N	2014-05-17 16:20:21.389915+03
5597	1366	2	\N	2014-05-17 16:20:22.473385+03
5598	1367	2	\N	2014-05-17 16:20:23.843632+03
4898	853	2	\N	2014-02-08 21:39:09.10029+02
4812	784	2	\N	2014-01-26 21:12:24.209136+02
4813	784	2	\N	2014-01-26 21:13:10.546575+02
4814	784	2	\N	2014-01-26 21:13:20.058093+02
4815	784	2	\N	2014-01-26 21:13:24.693933+02
4818	784	2	\N	2014-01-26 21:20:14.635984+02
4819	784	2	\N	2014-01-26 21:20:34.941868+02
4931	274	2	\N	2014-02-10 08:49:31.501202+02
4970	894	2	\N	2014-02-22 17:27:40.771678+02
4991	903	2	\N	2014-02-25 22:43:46.101171+02
4992	904	2	\N	2014-02-25 22:43:53.30222+02
4993	905	2	\N	2014-02-25 22:44:00.024066+02
4994	906	2	\N	2014-02-25 22:44:13.035203+02
4995	907	2	\N	2014-02-25 22:44:59.159297+02
5167	1009	2	\N	2014-03-08 10:57:02.535973+02
5168	1010	2	\N	2014-03-08 10:57:07.365849+02
5201	3	2	\N	2014-03-12 12:29:57.686858+02
5202	3	2	\N	2014-03-12 12:30:07.270368+02
5203	3	2	\N	2014-03-12 12:30:09.982217+02
5204	3	2	\N	2014-03-12 12:32:22.25189+02
5205	894	2	\N	2014-03-12 12:32:26.366205+02
5236	919	2	\N	2014-03-16 13:33:07.651832+02
5444	1218	2	\N	2014-04-12 15:00:38.646853+03
5447	1214	2	\N	2014-04-12 15:02:33.59771+03
5514	1283	2	\N	2014-04-29 12:06:08.689068+03
5515	1284	2	\N	2014-04-29 12:07:06.357367+03
5518	1287	2	\N	2014-04-29 12:09:55.486785+03
5520	1289	2	\N	2014-04-29 12:11:36.874588+03
5589	1358	2	\N	2014-05-17 16:15:09.836615+03
5592	1361	2	\N	2014-05-17 16:16:33.155307+03
5593	1362	2	\N	2014-05-17 16:16:42.585648+03
5594	1363	2	\N	2014-05-17 16:18:45.312153+03
5595	1364	2	\N	2014-05-17 16:18:46.752544+03
4932	872	2	\N	2014-02-10 14:29:53.759164+02
4996	908	2	\N	2014-02-25 23:15:44.304324+02
4997	909	2	\N	2014-02-25 23:16:53.455486+02
5000	912	2	\N	2014-02-25 23:21:05.038132+02
5001	913	2	\N	2014-02-25 23:21:10.720503+02
5002	914	2	\N	2014-02-25 23:21:15.803027+02
5003	915	2	\N	2014-02-25 23:21:21.245593+02
5004	916	2	\N	2014-02-25 23:21:27.843749+02
5005	917	2	\N	2014-02-25 23:21:40.705852+02
5006	918	2	\N	2014-02-25 23:21:45.161533+02
5007	918	2	\N	2014-02-25 23:21:53.74917+02
5008	918	2	\N	2014-02-25 23:21:57.599668+02
5009	919	2	\N	2014-02-25 23:22:22.789803+02
5011	921	2	\N	2014-02-25 23:22:59.534922+02
5012	922	2	\N	2014-02-25 23:23:04.765473+02
5013	923	2	\N	2014-02-25 23:23:16.649188+02
5014	924	2	\N	2014-02-25 23:23:30.151925+02
5015	925	2	\N	2014-02-25 23:25:11.120354+02
5016	926	2	\N	2014-02-25 23:26:11.314153+02
5017	927	2	\N	2014-02-25 23:26:34.378644+02
5018	928	2	\N	2014-02-25 23:26:49.163639+02
5019	929	2	\N	2014-02-25 23:27:07.84413+02
5020	930	2	\N	2014-02-25 23:27:30.797684+02
5021	931	2	\N	2014-02-25 23:27:45.611037+02
5022	932	2	\N	2014-02-25 23:28:05.678992+02
5023	933	2	\N	2014-02-25 23:28:21.001129+02
5025	935	2	\N	2014-02-25 23:28:49.565248+02
5026	936	2	\N	2014-02-25 23:29:05.034117+02
5027	937	2	\N	2014-02-25 23:29:16.11101+02
5028	938	2	\N	2014-02-25 23:29:28.82178+02
5029	939	2	\N	2014-02-25 23:29:41.159219+02
5030	940	2	\N	2014-02-25 23:29:57.589154+02
5031	941	2	\N	2014-02-25 23:30:12.260571+02
5032	942	2	\N	2014-02-25 23:30:25.705958+02
5033	943	2	\N	2014-02-25 23:30:39.278491+02
5034	944	2	\N	2014-02-25 23:30:54.230938+02
5035	945	2	\N	2014-02-25 23:31:08.136642+02
5036	946	2	\N	2014-02-25 23:31:21.084682+02
5037	947	2	\N	2014-02-25 23:31:35.443235+02
5038	948	2	\N	2014-02-25 23:31:50.036032+02
5039	949	2	\N	2014-02-25 23:32:16.232207+02
5040	950	2	\N	2014-02-25 23:32:51.784126+02
5169	1011	2	\N	2014-03-08 15:10:44.638516+02
5206	3	2	\N	2014-03-12 13:00:24.217557+02
5207	3	2	\N	2014-03-12 13:00:34.025605+02
5241	903	2	\N	2014-03-16 15:12:25.130202+02
5448	1221	2	\N	2014-04-12 16:44:14.810824+03
5516	1285	2	\N	2014-04-29 12:08:23.116251+03
5517	1286	2	\N	2014-04-29 12:09:10.712444+03
5522	1291	2	\N	2014-04-29 12:13:37.203069+03
5523	1292	2	\N	2014-04-29 12:14:34.180203+03
4900	854	2	\N	2014-02-08 21:47:34.439997+02
4901	855	2	\N	2014-02-08 21:54:55.399628+02
4936	875	2	\N	2014-02-10 15:58:53.177719+02
4937	875	2	\N	2014-02-10 15:59:03.43204+02
5042	952	2	\N	2014-02-25 23:33:14.57009+02
5043	939	2	\N	2014-02-25 23:33:37.281163+02
5044	938	2	\N	2014-02-25 23:33:44.033176+02
5045	937	2	\N	2014-02-25 23:33:51.697991+02
5046	936	2	\N	2014-02-25 23:33:56.981908+02
5047	935	2	\N	2014-02-25 23:34:03.037741+02
5049	933	2	\N	2014-02-25 23:34:27.937885+02
5050	932	2	\N	2014-02-25 23:34:34.767736+02
5051	931	2	\N	2014-02-25 23:34:39.075165+02
5052	930	2	\N	2014-02-25 23:34:43.896812+02
5053	929	2	\N	2014-02-25 23:34:48.70472+02
5054	928	2	\N	2014-02-25 23:34:54.494127+02
5055	927	2	\N	2014-02-25 23:35:00.125101+02
5056	926	2	\N	2014-02-25 23:35:05.399995+02
5057	925	2	\N	2014-02-25 23:35:10.409443+02
5058	924	2	\N	2014-02-25 23:35:16.447517+02
5059	923	2	\N	2014-02-25 23:35:21.959285+02
5060	922	2	\N	2014-02-25 23:35:27.383937+02
5061	921	2	\N	2014-02-25 23:35:31.660307+02
5063	919	2	\N	2014-02-25 23:35:43.645366+02
5064	918	2	\N	2014-02-25 23:35:47.480218+02
5065	917	2	\N	2014-02-25 23:35:52.042922+02
5066	916	2	\N	2014-02-25 23:35:57.409224+02
5067	915	2	\N	2014-02-25 23:36:01.802966+02
5068	914	2	\N	2014-02-25 23:36:05.670476+02
5069	913	2	\N	2014-02-25 23:36:10.129284+02
5070	912	2	\N	2014-02-25 23:36:14.468359+02
5286	1078	2	\N	2014-03-20 21:22:51.030666+02
5381	1170	2	\N	2014-04-03 12:49:07.793292+03
5519	1288	2	\N	2014-04-29 12:10:21.572462+03
5521	1290	2	\N	2014-04-29 12:13:35.434847+03
5603	1372	2	\N	2014-05-17 18:47:30.594446+03
5606	1375	2	\N	2014-05-17 18:55:21.896666+03
5613	1382	2	\N	2014-05-17 19:04:51.767284+03
5619	1388	2	\N	2014-05-17 19:09:44.578209+03
5622	1391	2	\N	2014-05-17 19:12:29.996417+03
4902	856	2	\N	2014-02-08 21:59:04.719245+02
4938	876	2	\N	2014-02-10 16:19:24.400952+02
5071	953	2	\N	2014-02-26 23:25:15.548581+02
5072	954	2	\N	2014-02-26 23:25:55.407709+02
5075	957	2	\N	2014-02-26 23:28:34.003373+02
5076	958	2	\N	2014-02-26 23:28:45.594179+02
5077	959	2	\N	2014-02-26 23:28:57.004231+02
5078	960	2	\N	2014-02-26 23:29:08.086342+02
5079	961	2	\N	2014-02-26 23:29:17.646283+02
5080	962	2	\N	2014-02-26 23:29:26.175631+02
5081	963	2	\N	2014-02-26 23:29:35.761623+02
5082	964	2	\N	2014-02-26 23:29:46.892804+02
5083	965	2	\N	2014-02-26 23:29:54.140342+02
5084	966	2	\N	2014-02-26 23:30:01.375033+02
5085	967	2	\N	2014-02-26 23:30:08.774222+02
5086	968	2	\N	2014-02-26 23:30:17.802323+02
5087	969	2	\N	2014-02-26 23:30:29.097872+02
5088	970	2	\N	2014-02-26 23:30:38.081009+02
5089	971	2	\N	2014-02-26 23:30:52.902609+02
5091	973	2	\N	2014-02-26 23:31:31.71567+02
5093	975	2	\N	2014-02-26 23:32:13.646357+02
5094	976	2	\N	2014-02-26 23:32:24.624636+02
5095	977	2	\N	2014-02-26 23:32:34.606814+02
5096	978	2	\N	2014-02-26 23:32:43.318943+02
5097	979	2	\N	2014-02-26 23:32:54.081989+02
5098	980	2	\N	2014-02-26 23:33:04.823892+02
5099	981	2	\N	2014-02-26 23:33:16.574818+02
5100	982	2	\N	2014-02-26 23:33:28.270884+02
5101	983	2	\N	2014-02-26 23:33:40.854578+02
5102	984	2	\N	2014-02-26 23:33:57.05943+02
5103	985	2	\N	2014-02-26 23:34:08.238483+02
5105	987	2	\N	2014-02-26 23:34:29.757456+02
5106	988	2	\N	2014-02-26 23:34:37.99873+02
5216	3	2	\N	2014-03-12 21:55:10.706584+02
5287	1079	2	\N	2014-03-22 12:57:07.526655+02
5483	1252	2	\N	2014-04-27 01:03:22.219667+03
5524	1293	2	\N	2014-04-29 12:17:51.658135+03
5525	1294	2	\N	2014-04-29 12:18:27.913053+03
5601	1370	2	\N	2014-05-17 18:45:54.451262+03
5602	1371	2	\N	2014-05-17 18:47:17.628356+03
5604	1373	2	\N	2014-05-17 18:54:01.477094+03
5607	1376	2	\N	2014-05-17 18:56:40.07768+03
5609	1378	2	\N	2014-05-17 19:02:40.402053+03
5616	1385	2	\N	2014-05-17 19:07:13.667811+03
5617	1386	2	\N	2014-05-17 19:07:36.068126+03
5621	1390	2	\N	2014-05-17 19:11:55.084234+03
4789	763	2	\N	2014-01-12 19:51:49.157909+02
4903	854	2	\N	2014-02-08 22:16:58.906498+02
4904	3	2	\N	2014-02-08 22:17:06.939369+02
4905	854	2	\N	2014-02-08 22:20:32.280238+02
4906	784	2	\N	2014-02-08 22:21:01.290541+02
5484	1253	2	\N	2014-04-28 00:03:49.599015+03
5289	1081	2	\N	2014-03-22 17:57:05.076581+02
5605	1374	2	\N	2014-05-17 18:55:03.070735+03
5611	1380	2	\N	2014-05-17 19:03:57.212913+03
5614	1383	2	\N	2014-05-17 19:04:59.867959+03
5618	1387	2	\N	2014-05-17 19:09:22.594353+03
5624	1393	2	\N	2014-05-18 10:14:28.009945+03
4790	764	2	\N	2014-01-12 20:33:53.3138+02
4909	723	2	\N	2014-02-08 22:28:37.868751+02
4940	878	2	\N	2014-02-10 16:40:47.442615+02
5610	1379	2	\N	2014-05-17 19:03:38.443538+03
5612	1381	2	\N	2014-05-17 19:04:17.238286+03
5615	1384	2	\N	2014-05-17 19:07:10.869783+03
5620	1389	2	\N	2014-05-17 19:09:47.55779+03
5291	1088	2	\N	2014-03-22 18:51:18.985681+02
5292	1081	2	\N	2014-03-22 18:51:44.158872+02
5458	1225	2	\N	2014-04-13 12:01:26.796233+03
5627	1396	2	\N	2014-05-18 11:58:47.293591+03
4917	764	2	\N	2014-02-09 00:53:58.264629+02
4918	769	2	\N	2014-02-09 00:57:04.796409+02
4919	775	2	\N	2014-02-09 00:57:24.917548+02
4920	788	2	\N	2014-02-09 00:57:42.02056+02
4942	878	2	\N	2014-02-10 22:47:18.374976+02
5294	1090	2	\N	2014-03-22 20:34:50.666418+02
5295	1091	2	\N	2014-03-22 20:36:11.95663+02
5298	1093	2	\N	2014-03-22 20:40:16.040605+02
5629	1398	2	\N	2014-05-18 12:12:21.975254+03
4949	764	2	\N	2014-02-11 19:47:14.055452+02
5488	1257	2	\N	2014-04-28 12:34:34.363475+03
5300	1095	2	\N	2014-03-22 20:52:34.596466+02
5301	1096	2	\N	2014-03-22 20:52:44.740475+02
5302	1097	2	\N	2014-03-22 20:53:03.099066+02
5489	1258	2	\N	2014-04-28 12:34:55.433659+03
5304	1099	2	\N	2014-03-22 20:57:07.889521+02
5535	1304	2	\N	2014-04-29 16:15:23.221696+03
5390	1179	2	\N	2014-04-05 19:40:10.823684+03
5490	1259	2	\N	2014-04-28 12:58:44.196537+03
5306	1101	2	\N	2014-03-22 21:00:48.529148+02
5307	1102	2	\N	2014-03-22 21:01:34.517288+02
5491	1260	2	\N	2014-04-28 12:59:00.104464+03
5631	1400	2	\N	2014-05-18 13:37:21.801854+03
5632	1401	2	\N	2014-05-18 13:37:41.402585+03
5633	1402	2	\N	2014-05-18 13:44:45.628784+03
5492	1261	2	\N	2014-04-28 13:04:58.29173+03
5634	1403	2	\N	2014-05-18 15:48:34.956287+03
5256	1067	2	\N	2014-03-16 19:34:31.935568+02
5494	1263	2	\N	2014-04-28 13:08:06.602496+03
5635	1404	2	\N	2014-05-18 19:18:07.615122+03
5636	1406	2	\N	2014-05-18 19:18:56.831097+03
5639	1409	2	\N	2014-05-18 19:22:05.971396+03
5394	1185	2	\N	2014-04-05 20:56:20.797318+03
5257	1067	2	\N	2014-03-16 19:55:56.894484+02
5495	1264	2	\N	2014-04-28 13:08:25.610345+03
5637	1407	2	\N	2014-05-18 19:19:36.399614+03
5641	1411	2	\N	2014-05-18 19:23:45.119721+03
5496	1265	2	\N	2014-04-28 13:08:54.519921+03
5638	1408	2	\N	2014-05-18 19:19:43.401474+03
5258	1067	2	\N	2014-03-16 20:09:16.532934+02
5311	1097	2	\N	2014-03-24 19:59:44.290142+02
5640	1410	2	\N	2014-05-18 19:23:00.415796+03
5643	1413	2	\N	2014-05-20 21:26:27.311927+03
5259	1068	2	\N	2014-03-16 20:15:31.769185+02
5499	1268	2	\N	2014-04-28 23:55:09.591646+03
5644	1414	2	\N	2014-05-24 17:02:57.354915+03
5645	1415	2	\N	2014-05-24 17:03:02.922541+03
5646	1416	2	\N	2014-05-24 17:06:48.542492+03
5647	1417	2	\N	2014-05-24 17:06:51.402853+03
5648	1418	2	\N	2014-05-24 17:07:25.101929+03
5649	1419	2	\N	2014-05-24 17:07:29.075778+03
5650	1420	2	\N	2014-05-24 17:24:17.546972+03
4120	16	2	\N	2014-01-01 13:19:09.979922+02
4131	14	2	\N	2014-01-01 18:45:07.902745+02
4144	706	2	\N	2014-01-03 16:12:41.015146+02
4145	706	2	\N	2014-01-03 16:13:23.197097+02
5402	1189	2	\N	2014-04-06 18:46:40.132797+03
5403	1190	2	\N	2014-04-06 18:47:22.030146+03
5138	865	2	\N	2014-03-03 21:09:34.254642+02
5404	1191	2	\N	2014-04-06 18:53:34.002074+03
5263	1009	2	\N	2014-03-16 21:40:10.728496+02
5264	1009	2	\N	2014-03-16 21:44:11.742442+02
5405	1192	2	\N	2014-04-06 19:20:55.890208+03
5140	865	2	\N	2014-03-03 21:57:11.59945+02
5265	1004	2	\N	2014-03-17 10:29:17.115979+02
5266	1004	2	\N	2014-03-17 10:29:24.701637+02
4744	723	2	\N	2014-01-04 23:58:55.624453+02
4746	725	2	\N	2014-01-05 01:09:00.405742+02
4747	726	2	\N	2014-01-05 01:09:15.602018+02
4749	728	2	\N	2014-01-05 01:13:50.125212+02
4756	734	2	\N	2014-01-05 12:36:48.48575+02
4765	743	2	\N	2014-01-05 13:20:17.173661+02
5654	1424	2	\N	2014-06-01 10:25:44.71461+03
5656	1426	2	\N	2014-06-01 12:15:53.295347+03
5661	1431	2	\N	2014-06-07 15:12:11.693366+03
5662	1432	2	\N	2014-06-07 15:12:40.323386+03
5663	1433	2	\N	2014-06-07 17:43:14.620483+03
5665	1435	2	\N	2014-06-07 21:01:18.691193+03
5667	1438	2	\N	2014-06-07 21:11:01.089928+03
5668	1439	2	\N	2014-06-07 21:11:46.797584+03
5676	1447	2	\N	2014-06-08 21:25:14.638119+03
5677	1448	2	\N	2014-06-08 21:25:35.09515+03
5679	1450	2	\N	2014-06-09 15:50:23.760428+03
5681	1452	2	\N	2014-06-09 17:20:44.311452+03
5693	1464	2	\N	2014-06-14 17:55:00.252916+03
5694	1465	2	\N	2014-06-14 17:55:08.213215+03
5695	1467	2	\N	2014-06-14 17:56:52.935007+03
5696	1468	2	\N	2014-06-14 17:58:15.339465+03
5697	1469	2	\N	2014-06-14 17:58:37.034547+03
5698	1470	2	\N	2014-06-14 18:00:56.71432+03
5699	1471	2	\N	2014-06-14 18:02:10.63169+03
5700	1472	2	\N	2014-06-14 18:02:54.98084+03
5701	1473	2	\N	2014-06-14 18:03:27.411198+03
5713	1485	2	\N	2014-06-15 15:17:28.256792+03
5728	1500	2	\N	2014-06-18 16:59:05.631362+03
5732	1504	2	\N	2014-06-22 19:42:44.939368+03
5733	1505	2	\N	2014-06-22 19:43:05.103699+03
5734	1506	2	\N	2014-06-22 19:43:23.157992+03
5735	1507	2	\N	2014-06-22 19:46:21.388635+03
5737	1509	2	\N	2014-06-22 21:15:50.586549+03
5738	1510	2	\N	2014-06-24 20:30:44.36129+03
5739	1511	2	\N	2014-06-25 19:21:08.001771+03
5740	1512	2	\N	2014-06-25 19:37:43.544622+03
5741	1513	2	\N	2014-06-25 19:38:23.293423+03
5742	1514	2	\N	2014-06-25 19:38:46.712804+03
5743	1515	2	\N	2014-06-25 19:39:14.757449+03
5744	1516	2	\N	2014-06-25 20:37:42.602785+03
5745	1517	2	\N	2014-06-25 20:54:09.96009+03
5746	1518	2	\N	2014-06-25 20:54:50.943042+03
5747	1519	2	\N	2014-06-25 20:55:06.988343+03
5749	1521	2	\N	2014-06-26 21:02:19.488826+03
5750	1535	2	\N	2014-06-28 17:17:15.295903+03
5751	1536	2	\N	2014-06-28 17:31:39.626186+03
5752	1537	2	\N	2014-06-28 20:56:05.816704+03
5753	1538	2	\N	2014-06-28 20:57:41.600837+03
5754	1539	2	\N	2014-06-28 20:59:59.522314+03
5755	1540	2	\N	2014-06-28 21:00:26.365557+03
5756	1541	2	\N	2014-06-28 21:00:51.086753+03
5758	1543	2	\N	2014-06-28 21:25:57.336069+03
5759	1544	2	\N	2014-06-28 21:26:14.894807+03
5760	1545	2	\N	2014-06-28 21:26:35.413657+03
5761	1546	2	\N	2014-07-02 23:01:03.321441+03
5762	1547	2	\N	2014-07-02 23:03:30.755887+03
5763	1548	2	\N	2014-07-26 18:07:46.336433+03
5764	1549	2	\N	2014-08-16 20:09:11.73959+03
5766	1551	2	\N	2014-08-16 20:23:59.980051+03
5767	1552	2	\N	2014-08-16 20:24:12.305446+03
5768	1553	2	\N	2014-08-16 20:24:15.930016+03
5769	1554	2	\N	2014-08-16 20:25:09.403552+03
5771	1556	2	\N	2014-08-16 20:51:19.103778+03
5773	1559	2	\N	2014-08-16 21:13:14.302214+03
5774	1560	2	\N	2014-08-16 21:13:18.107616+03
5775	1561	2	\N	2014-08-16 21:22:35.752473+03
5776	1562	2	\N	2014-08-16 21:23:02.397566+03
5777	1563	2	\N	2014-08-16 21:23:05.499294+03
5778	1564	2	\N	2014-08-16 21:24:08.813965+03
5783	1569	2	\N	2014-08-17 11:07:53.713228+03
5784	1570	2	\N	2014-08-17 11:09:10.292392+03
5790	1576	2	\N	2014-08-22 22:48:58.176695+03
5791	1577	2	\N	2014-08-22 22:49:31.584667+03
5792	1578	2	\N	2014-08-22 22:49:35.101959+03
5793	1579	2	\N	2014-08-22 22:50:20.197271+03
5794	1580	2	\N	2014-08-22 22:50:49.188036+03
5795	1581	2	\N	2014-08-22 22:51:29.357367+03
5796	1582	2	\N	2014-08-22 22:52:03.171722+03
5797	1584	2	\N	2014-08-22 22:58:38.326467+03
5798	1585	2	\N	2014-08-22 22:59:28.534906+03
5799	1586	2	\N	2014-08-22 22:59:41.71816+03
5800	1587	2	\N	2014-08-22 23:01:39.676197+03
5801	1588	2	\N	2014-08-22 23:02:11.872661+03
5802	1589	2	\N	2014-08-22 23:04:10.670971+03
5803	1590	2	\N	2014-08-22 23:04:40.181387+03
5804	1591	2	\N	2014-08-22 23:05:46.128053+03
5805	1592	2	\N	2014-08-22 23:06:07.780481+03
5806	1593	2	\N	2014-08-22 23:06:12.342153+03
5810	1597	2	\N	2014-08-22 23:14:17.280337+03
5820	1607	2	\N	2014-08-23 13:37:30.044239+03
5821	1608	2	\N	2014-08-23 16:14:22.910225+03
5822	1609	2	\N	2014-08-23 16:16:24.823791+03
5823	1610	2	\N	2014-08-24 14:10:51.002759+03
5824	1611	2	\N	2014-08-24 14:11:19.783792+03
5825	1612	2	\N	2014-08-24 14:11:36.729128+03
5826	1613	2	\N	2014-08-24 14:11:54.849623+03
5827	1614	2	\N	2014-08-24 14:48:54.04485+03
5828	1615	2	\N	2014-08-24 14:48:55.715304+03
5829	1616	2	\N	2014-08-24 14:49:59.373945+03
5832	1619	2	\N	2014-08-24 15:01:16.140346+03
5833	1620	2	\N	2014-08-24 15:02:15.884894+03
5834	1621	2	\N	2014-08-24 15:02:43.162974+03
5835	1622	2	\N	2014-08-24 15:03:06.67481+03
5836	1623	2	\N	2014-08-24 15:03:53.276198+03
5837	1624	2	\N	2014-08-24 15:08:02.737031+03
5838	1625	2	\N	2014-08-24 15:08:18.61161+03
5839	1626	2	\N	2014-08-24 15:08:29.0077+03
5840	1627	2	\N	2014-08-24 15:10:13.736496+03
5841	1628	2	\N	2014-08-24 15:10:44.233145+03
5852	1639	2	\N	2014-08-25 15:20:24.884947+03
5853	1640	2	\N	2014-08-26 19:55:53.569882+03
5854	1641	2	\N	2014-08-26 19:56:28.320221+03
5858	1645	2	\N	2014-08-26 20:01:19.187139+03
5860	1647	2	\N	2014-08-26 20:04:08.078366+03
5862	1649	2	\N	2014-08-26 20:04:48.124422+03
5855	1642	2	\N	2014-08-26 19:56:46.695581+03
5856	1643	2	\N	2014-08-26 19:57:13.160198+03
5857	1644	2	\N	2014-08-26 20:01:16.129984+03
5861	1648	2	\N	2014-08-26 20:04:09.378364+03
5863	1650	2	\N	2014-08-26 20:06:13.193356+03
5864	1651	2	\N	2014-08-26 20:06:36.249641+03
5865	1652	2	\N	2014-08-26 20:07:23.412381+03
5866	1653	2	\N	2014-08-26 20:07:31.899383+03
5873	1660	2	\N	2014-08-31 16:37:37.888486+03
5919	1714	2	\N	2014-09-14 13:27:15.677766+03
5926	1721	2	\N	2014-09-14 14:49:51.512979+03
5967	1764	2	\N	2014-09-14 21:51:09.963908+03
5968	1766	2	\N	2014-09-28 17:08:27.946698+03
5971	1769	2	\N	2014-10-01 20:37:18.107894+03
5972	1771	2	\N	2014-10-01 21:39:17.299667+03
5973	1773	2	\N	2014-10-01 22:04:03.074823+03
5974	1774	2	\N	2014-10-01 22:17:44.949656+03
5975	1775	2	\N	2014-10-03 20:21:54.06353+03
5977	1777	2	\N	2014-10-03 20:35:01.628264+03
5978	1778	2	\N	2014-10-04 21:45:17.702702+03
5980	1780	2	\N	2014-10-05 12:49:28.270538+03
5982	1797	2	\N	2014-10-05 21:08:02.025119+03
5983	1798	2	\N	2014-10-05 22:07:40.176836+03
5984	1799	2	\N	2014-10-09 20:49:57.476724+03
5985	1800	2	\N	2014-10-09 21:44:48.304991+03
5986	1801	2	\N	2014-10-09 21:45:57.042916+03
5987	1802	2	\N	2014-10-09 21:51:36.274928+03
5988	1797	2	\N	2014-10-09 21:58:44.274487+03
5989	1803	2	\N	2014-10-10 21:20:08.467997+03
5990	1804	2	\N	2014-10-10 21:48:32.795064+03
5991	1797	2	\N	2014-10-10 21:48:40.224687+03
5994	1797	2	\N	2014-10-10 22:43:03.886027+03
5995	1807	2	\N	2014-10-12 12:18:58.609492+03
5996	1419	2	\N	2014-10-12 12:21:41.297126+03
5999	1419	2	\N	2014-10-12 14:03:13.921521+03
6000	1419	2	\N	2014-10-12 14:03:56.458732+03
6002	1797	2	\N	2014-10-12 14:08:19.225786+03
6003	1797	2	\N	2014-10-12 14:08:29.322661+03
6005	1797	2	\N	2014-10-12 14:09:47.667654+03
6006	1797	2	\N	2014-10-12 14:10:15.511498+03
6008	894	2	\N	2014-10-12 14:15:30.839116+03
6010	894	2	\N	2014-10-12 14:15:50.178579+03
6011	894	2	\N	2014-10-12 14:16:00.712168+03
6014	1507	2	\N	2014-10-12 14:21:53.792753+03
6015	1507	2	\N	2014-10-12 14:22:06.118134+03
6016	1439	2	\N	2014-10-12 14:22:17.008412+03
6017	1438	2	\N	2014-10-12 14:22:21.965321+03
6020	1780	2	\N	2014-10-12 14:25:19.014258+03
6021	1780	2	\N	2014-10-12 14:25:28.403238+03
6022	1780	2	\N	2014-10-12 14:25:37.930302+03
6025	1413	2	\N	2014-10-12 14:31:06.237149+03
6026	1413	2	\N	2014-10-12 14:31:16.507549+03
6029	1415	2	\N	2014-10-12 14:34:22.672887+03
6030	1415	2	\N	2014-10-12 14:34:32.05391+03
6050	1653	2	\N	2014-10-12 16:27:20.425954+03
6051	1653	2	\N	2014-10-12 16:27:45.783221+03
6053	1283	2	\N	2014-10-12 16:28:08.925372+03
6054	1283	2	\N	2014-10-12 16:28:17.376186+03
6055	1833	2	\N	2014-10-12 16:29:10.045595+03
6056	784	2	\N	2014-10-12 16:29:11.936722+03
6066	998	2	\N	2014-10-18 11:46:31.67705+03
6125	1660	2	\N	2014-10-25 20:27:51.453322+03
6126	1639	2	\N	2014-10-25 20:27:59.032748+03
6127	1607	2	\N	2014-10-25 20:28:26.48561+03
6128	1547	2	\N	2014-10-25 20:31:18.593123+03
6129	1546	2	\N	2014-10-25 20:31:27.322575+03
6130	1509	2	\N	2014-10-25 20:31:34.596003+03
6131	1500	2	\N	2014-10-25 20:31:41.235636+03
6132	1485	2	\N	2014-10-25 20:31:48.295128+03
6133	1448	2	\N	2014-10-25 20:31:55.364673+03
6134	1447	2	\N	2014-10-25 20:32:03.232605+03
6135	864	2	\N	2014-10-25 22:27:41.085522+03
6136	900	2	\N	2014-10-25 22:27:48.659618+03
6137	780	2	\N	2014-10-25 22:27:56.462817+03
6138	837	2	\N	2014-10-25 22:28:02.931936+03
6139	1394	2	\N	2014-10-25 22:28:08.943421+03
6140	873	2	\N	2014-10-25 22:28:16.618586+03
6141	778	2	\N	2014-10-25 22:28:22.956578+03
6142	1659	2	\N	2014-10-25 22:39:28.23436+03
6144	1849	2	\N	2014-10-25 23:00:37.016264+03
6145	1852	2	\N	2014-10-28 19:57:41.751563+02
6146	1853	2	\N	2014-10-28 20:23:48.907733+02
6147	1854	2	\N	2014-10-28 20:24:58.380434+02
6148	1855	2	\N	2014-10-28 20:25:08.681569+02
6151	1859	2	\N	2014-10-29 12:48:22.905378+02
6152	1860	2	\N	2014-10-30 22:03:33.988542+02
6157	1865	2	\N	2014-11-03 21:33:49.462196+02
6158	1866	2	\N	2014-11-03 21:38:54.729983+02
6159	1867	2	\N	2014-11-03 21:39:31.824693+02
6160	1868	2	\N	2014-11-03 21:40:02.647787+02
6161	1869	2	\N	2014-11-05 21:10:08.261088+02
6162	1870	2	\N	2014-11-05 21:10:38.427296+02
6164	1872	2	\N	2014-11-08 19:05:48.520641+02
6165	1868	2	\N	2014-11-08 19:07:32.928999+02
6166	1868	2	\N	2014-11-08 19:07:58.653299+02
6167	1873	2	\N	2014-11-09 14:14:33.279838+02
6168	1433	2	\N	2014-11-09 14:15:02.053975+02
6170	1875	2	\N	2014-11-09 20:43:57.157494+02
6171	1876	2	\N	2014-11-09 20:50:09.776581+02
6172	1876	2	\N	2014-11-09 21:46:07.106741+02
6173	1876	2	\N	2014-11-09 21:46:46.766703+02
6174	1876	2	\N	2014-11-12 18:42:47.24628+02
6175	1876	2	\N	2014-11-12 18:43:00.917409+02
6176	1876	2	\N	2014-11-12 18:43:51.052257+02
6177	1876	2	\N	2014-11-12 18:49:19.486465+02
6178	1876	2	\N	2014-11-12 18:49:50.992411+02
6182	1880	2	\N	2014-11-12 18:58:13.464317+02
6183	1881	2	\N	2014-11-12 18:58:13.464317+02
6184	1876	2	\N	2014-11-12 19:19:20.155903+02
6185	1880	2	\N	2014-11-12 19:20:04.488842+02
6186	1882	2	\N	2014-11-12 19:21:49.754499+02
6187	1882	2	\N	2014-11-12 20:48:55.295948+02
6188	1876	2	\N	2014-11-13 18:36:19.360925+02
6189	1876	2	\N	2014-11-13 18:36:40.275356+02
6190	1876	2	\N	2014-11-13 18:36:53.848561+02
6191	1876	2	\N	2014-11-13 18:37:04.828162+02
6192	1876	2	\N	2014-11-13 18:44:14.058824+02
6193	1880	2	\N	2014-11-14 13:23:46.652293+02
6196	1884	2	\N	2014-11-15 12:46:51.68956+02
6197	1885	2	\N	2014-11-15 12:55:58.618287+02
6200	1647	2	\N	2014-11-15 19:54:17.589811+02
6201	1647	2	\N	2014-11-15 19:57:05.325517+02
6202	1587	2	\N	2014-11-15 19:57:11.689531+02
6204	1888	2	\N	2014-11-15 20:54:18.530252+02
6209	1893	2	\N	2014-11-15 21:10:00.852505+02
6210	1894	2	\N	2014-11-16 11:36:20.360008+02
6211	1895	2	\N	2014-11-16 11:38:31.304748+02
6212	1896	2	\N	2014-11-16 11:52:22.859107+02
6214	1896	2	\N	2014-11-16 17:28:25.282664+02
6215	1898	2	\N	2014-11-18 19:36:00.947451+02
6217	1900	2	\N	2014-11-18 19:59:41.794255+02
6218	1901	2	\N	2014-11-18 20:00:50.313385+02
6219	1902	2	\N	2014-11-18 20:05:55.399398+02
6220	1903	2	\N	2014-11-18 20:06:23.495804+02
6221	1225	2	\N	2014-11-20 20:55:40.655878+02
6222	1904	2	\N	2014-11-21 20:47:35.513987+02
6223	1434	2	\N	2014-11-21 20:48:05.829054+02
6224	1571	2	\N	2014-11-21 20:48:27.000088+02
6225	1885	2	\N	2014-11-21 20:48:44.475673+02
6226	1905	2	\N	2014-11-21 21:17:50.885382+02
6227	1436	2	\N	2014-11-21 21:19:06.360097+02
6228	1798	2	\N	2014-11-21 21:19:19.899746+02
6229	1425	2	\N	2014-11-21 21:19:42.772209+02
6230	802	2	\N	2014-11-21 21:20:02.792752+02
6231	1906	2	\N	2014-11-21 21:20:18.443474+02
6232	802	2	\N	2014-11-21 21:20:33.430037+02
6233	1395	2	\N	2014-11-21 21:20:55.244524+02
6234	1907	2	\N	2014-11-21 21:25:23.260941+02
6235	879	2	\N	2014-11-21 21:26:01.060638+02
6236	1089	2	\N	2014-11-21 21:34:19.776611+02
6237	874	2	\N	2014-11-21 21:34:45.906696+02
6238	1080	2	\N	2014-11-21 21:35:09.652432+02
6239	1908	2	\N	2014-11-21 21:35:29.643627+02
6240	910	2	\N	2014-11-21 21:36:10.21074+02
6241	1080	2	\N	2014-11-21 21:36:26.556412+02
6242	911	2	\N	2014-11-21 21:36:37.408083+02
6243	956	2	\N	2014-11-21 21:36:56.333028+02
6244	955	2	\N	2014-11-21 21:37:09.845857+02
6246	1896	2	\N	2014-11-21 21:43:10.139464+02
6247	1910	2	\N	2014-11-22 17:58:53.151533+02
6248	1911	2	\N	2014-11-22 17:58:53.151533+02
6251	1903	2	\N	2014-11-23 17:42:18.707964+02
6253	1903	2	\N	2014-11-23 18:15:04.669498+02
6254	1913	2	\N	2014-11-23 18:22:07.34092+02
6255	1915	2	\N	2014-11-23 18:25:34.975922+02
6257	1917	2	\N	2014-11-23 18:40:26.695236+02
6258	1918	2	\N	2014-11-23 18:40:42.249218+02
6259	1919	2	\N	2014-11-27 21:56:12.900683+02
6265	1906	2	\N	2014-11-28 22:02:27.025943+02
6266	1908	2	\N	2014-11-28 22:03:25.613427+02
6267	1919	2	\N	2014-11-30 11:21:31.130821+02
6270	1368	2	\N	2014-11-30 18:22:02.736241+02
6271	1922	2	\N	2014-12-07 14:34:35.538855+02
6276	1924	2	\N	2014-12-07 21:40:24.739542+02
6277	1925	2	\N	2014-12-07 21:41:09.94037+02
6278	1926	2	\N	2014-12-07 21:41:37.63455+02
6279	1471	2	\N	2014-12-07 21:41:39.584636+02
6280	1927	2	\N	2014-12-07 21:42:12.893528+02
6281	1471	2	\N	2014-12-07 21:42:14.781639+02
6285	1930	2	\N	2014-12-08 21:43:55.101305+02
6286	1869	2	\N	2014-12-08 21:46:09.685953+02
6287	1931	2	\N	2014-12-08 21:52:00.685674+02
6288	1930	2	\N	2014-12-08 21:53:17.580512+02
6289	1932	2	\N	2014-12-11 22:45:01.994257+02
6290	1933	2	\N	2014-12-11 22:46:28.273472+02
6291	1934	2	\N	2014-12-11 22:50:30.21811+02
6293	1935	2	\N	2014-12-11 22:53:00.765244+02
6295	1935	2	\N	2014-12-11 22:53:42.569877+02
6297	1936	2	\N	2014-12-13 21:35:47.599877+02
6298	1939	2	\N	2014-12-13 21:37:02.820409+02
6299	1939	2	\N	2014-12-13 21:37:54.352906+02
6300	1936	2	\N	2014-12-13 21:55:38.627009+02
6301	1933	2	\N	2014-12-13 21:55:57.253566+02
6302	1933	2	\N	2014-12-13 21:57:41.570228+02
6303	1933	2	\N	2014-12-13 22:01:39.804954+02
6304	1936	2	\N	2014-12-13 22:01:54.801501+02
6305	1936	2	\N	2014-12-13 22:03:25.347584+02
6306	1933	2	\N	2014-12-13 22:03:37.415197+02
6307	1939	2	\N	2014-12-13 22:03:52.016284+02
6308	1936	2	\N	2014-12-13 22:10:55.202627+02
6309	1936	2	\N	2014-12-13 22:11:45.388631+02
6310	1936	2	\N	2014-12-14 11:10:18.568487+02
6311	1936	2	\N	2014-12-14 11:10:54.616091+02
6312	1936	2	\N	2014-12-14 11:12:20.116844+02
6313	1933	2	\N	2014-12-14 11:12:44.366886+02
6314	1936	2	\N	2014-12-14 11:14:36.987112+02
6315	1933	2	\N	2014-12-14 11:14:46.937016+02
6316	1940	2	\N	2014-12-14 11:16:18.397912+02
6317	1941	2	\N	2014-12-14 17:51:15.587939+02
6318	1940	2	\N	2014-12-14 19:37:37.036036+02
6319	1936	2	\N	2014-12-14 19:37:54.381361+02
6320	1940	2	\N	2014-12-14 19:41:49.794566+02
6321	1940	2	\N	2014-12-14 19:44:37.781977+02
6322	1940	2	\N	2014-12-14 19:48:08.98232+02
6323	1940	2	\N	2014-12-14 19:50:28.583831+02
6324	1940	2	\N	2014-12-14 20:30:31.46273+02
6325	1936	2	\N	2014-12-14 20:30:45.990313+02
6326	1940	2	\N	2014-12-14 20:33:08.50634+02
6327	1940	2	\N	2014-12-14 20:34:47.73587+02
6328	1940	2	\N	2014-12-14 20:37:41.082704+02
6329	1653	2	\N	2014-12-19 21:31:43.967187+02
6330	1653	2	\N	2014-12-19 21:37:31.746728+02
6331	1951	2	\N	2014-12-19 21:38:17.300837+02
6332	725	2	\N	2014-12-19 21:38:20.726452+02
6333	1952	2	\N	2014-12-19 21:42:56.792366+02
6334	1870	2	\N	2014-12-19 21:43:03.803839+02
6335	1906	2	\N	2014-12-20 16:10:55.310323+02
6338	1869	2	\N	2014-12-20 17:01:25.535753+02
6339	1869	2	\N	2014-12-20 17:03:12.810766+02
6340	1869	2	\N	2014-12-20 17:03:22.550854+02
6341	1628	2	\N	2014-12-20 17:05:00.135486+02
6342	1869	2	\N	2014-12-20 17:05:08.130568+02
6343	1626	2	\N	2014-12-20 17:50:11.179188+02
6344	1615	2	\N	2014-12-20 17:50:33.508978+02
6345	1954	2	\N	2014-12-20 18:18:17.329483+02
6346	1954	2	\N	2014-12-20 18:18:27.668631+02
6349	1225	2	\N	2014-12-21 12:57:50.837529+02
6350	1433	2	\N	2014-12-21 12:57:59.036844+02
6351	1954	2	\N	2014-12-21 13:04:30.43023+02
6355	1956	2	\N	2014-12-21 14:58:01.627945+02
6356	1383	2	\N	2014-12-21 14:58:04.4436+02
6357	1383	2	\N	2014-12-21 14:58:18.134114+02
6387	1958	2	\N	2014-12-21 19:20:00.336409+02
6388	1958	2	\N	2014-12-21 19:40:10.412709+02
6389	1958	2	\N	2014-12-21 19:43:18.014602+02
6393	1962	2	\N	2014-12-24 21:32:53.618984+02
6400	1964	2	\N	2014-12-25 21:05:49.345482+02
6411	1317	2	\N	2014-12-27 14:48:10.519499+02
6415	1966	2	\N	2014-12-27 19:34:56.371248+02
6418	1966	2	\N	2014-12-31 19:10:29.989911+02
6420	1968	2	\N	2015-01-03 12:32:10.846571+02
6422	1970	2	\N	2015-01-03 12:35:21.670372+02
6423	1971	2	\N	2015-01-04 12:45:51.571627+02
6425	1971	2	\N	2015-01-04 12:46:35.715575+02
6426	1971	2	\N	2015-01-04 14:05:54.230775+02
6428	1975	2	\N	2015-01-04 14:47:53.838979+02
6430	1977	2	\N	2015-01-04 16:44:50.635763+02
6431	1975	2	\N	2015-01-04 16:54:32.711408+02
6432	1975	2	\N	2015-01-04 17:11:52.039507+02
6433	1975	2	\N	2015-01-04 17:31:46.570967+02
6434	1975	2	\N	2015-01-07 14:12:48.405815+02
6435	1975	2	\N	2015-01-07 14:22:19.046581+02
6436	1978	2	\N	2015-01-07 18:00:22.111119+02
6437	1979	2	\N	2015-01-07 18:22:39.961593+02
6438	1980	2	\N	2015-01-07 18:22:48.978415+02
6439	1981	2	\N	2015-01-07 18:23:19.524712+02
6440	3	2	\N	2015-01-07 18:23:30.384627+02
6441	1982	2	\N	2015-01-07 18:30:42.662112+02
6442	3	2	\N	2015-01-07 18:30:49.411934+02
6443	3	2	\N	2015-01-07 18:31:24.902432+02
6444	784	2	\N	2015-01-08 13:21:17.321066+02
6445	784	2	\N	2015-01-08 13:27:01.529898+02
6446	784	2	\N	2015-01-08 14:19:17.153858+02
6447	784	2	\N	2015-01-08 14:20:23.527059+02
6448	784	2	\N	2015-01-09 10:59:22.101268+02
6453	1983	2	\N	2015-01-13 17:00:57.932019+02
6454	1985	2	\N	2015-01-13 17:03:06.725248+02
6455	1985	2	\N	2015-01-14 21:32:00.651438+02
6458	1988	2	\N	2015-01-15 21:27:50.402917+02
6459	1989	2	\N	2015-01-17 15:06:55.170629+02
6460	1990	2	\N	2015-01-17 19:50:58.298272+02
6461	1991	2	\N	2015-01-17 19:50:58.298272+02
6462	1992	2	\N	2015-01-17 19:51:20.956564+02
6463	1990	2	\N	2015-01-17 21:28:18.900625+02
6464	1993	2	\N	2015-01-17 21:28:36.972519+02
6465	1994	2	\N	2015-01-17 21:50:01.04394+02
6466	1995	2	\N	2015-01-17 21:50:14.61181+02
6467	1996	2	\N	2015-01-17 21:54:58.910426+02
6468	1997	2	\N	2015-01-17 21:54:58.910426+02
6472	2001	2	\N	2015-01-17 21:57:17.28338+02
6473	2002	2	\N	2015-01-17 21:57:17.28338+02
6477	2006	2	\N	2015-01-17 22:00:39.986496+02
6478	2007	2	\N	2015-01-17 22:00:39.986496+02
6480	2009	2	\N	2015-01-21 21:44:18.418746+02
6481	1985	2	\N	2015-02-01 13:03:47.123323+02
6482	2009	2	\N	2015-02-01 13:05:09.626214+02
6483	2011	2	\N	2015-02-01 13:23:15.549518+02
6484	1004	2	\N	2015-02-01 13:23:17.930893+02
6485	2012	2	\N	2015-02-01 13:51:03.67962+02
6486	1470	2	\N	2015-02-01 13:51:06.125989+02
6487	2013	2	\N	2015-02-01 15:08:04.506074+02
6488	2014	2	\N	2015-02-01 15:08:25.548868+02
6489	2015	2	\N	2015-02-01 15:09:02.223788+02
6490	2016	2	\N	2015-02-01 15:09:49.640295+02
6491	2017	2	\N	2015-02-01 15:09:55.959842+02
6492	2018	2	\N	2015-02-01 15:12:43.612773+02
6493	2019	2	\N	2015-02-01 15:13:13.911124+02
6494	2020	2	\N	2015-02-01 15:13:27.313034+02
6497	2023	2	\N	2015-02-01 15:16:10.834689+02
6498	2024	2	\N	2015-02-01 15:16:30.308954+02
6503	2027	2	\N	2015-02-01 15:27:55.689729+02
6504	2028	2	\N	2015-02-01 15:27:55.689729+02
6505	2029	2	\N	2015-02-01 19:41:31.921287+02
6506	2030	2	\N	2015-02-01 19:49:07.587188+02
6507	2031	2	\N	2015-02-01 19:49:18.380376+02
6508	2032	2	\N	2015-02-01 19:51:03.621123+02
6509	1004	2	\N	2015-02-01 19:51:06.683043+02
6515	2038	2	\N	2015-02-01 19:53:59.085718+02
6516	2039	2	\N	2015-02-01 19:53:59.085718+02
6521	2044	2	\N	2015-02-01 19:54:52.686809+02
6522	2045	2	\N	2015-02-01 19:54:52.686809+02
6523	2046	2	\N	2015-02-01 19:54:52.686809+02
6524	2047	2	\N	2015-02-01 19:54:52.686809+02
6525	2048	2	\N	2015-02-03 20:05:38.797054+02
6526	2048	2	\N	2015-02-03 20:06:16.781057+02
6528	2049	2	\N	2015-02-03 21:27:11.659126+02
6529	2048	2	\N	2015-02-03 21:27:36.200475+02
6530	2050	2	\N	2015-02-04 21:04:02.527314+02
6531	2051	2	\N	2015-02-04 21:04:04.474427+02
6532	2051	2	\N	2015-02-04 21:11:28.094987+02
6533	2052	2	\N	2015-02-04 21:11:39.281593+02
6534	2051	2	\N	2015-02-23 21:04:13.639992+02
6535	1648	2	\N	2015-02-24 14:58:15.754816+02
6537	2054	2	\N	2015-02-24 21:04:26.838046+02
6539	2054	2	\N	2015-02-24 21:06:08.284296+02
6541	2054	2	\N	2015-02-24 21:06:27.830735+02
6542	2055	2	\N	2015-03-03 16:25:23.003263+02
6553	2051	2	\N	2015-03-05 21:22:31.156271+02
6554	2052	2	\N	2015-03-05 21:22:34.187754+02
6555	2049	2	\N	2015-03-07 13:59:54.391614+02
6556	2049	2	\N	2015-03-07 14:00:01.858793+02
6557	2049	2	\N	2015-03-07 14:00:08.905813+02
6558	2049	2	\N	2015-03-07 17:41:13.176137+02
6559	2049	2	\N	2015-03-07 17:41:24.454712+02
6560	2016	2	\N	2015-03-07 19:11:45.990005+02
6561	1971	2	\N	2015-03-07 20:39:22.05432+02
6562	1939	2	\N	2015-03-07 20:41:30.911568+02
6563	1964	2	\N	2015-03-07 20:41:40.386597+02
6564	1962	2	\N	2015-03-07 20:41:47.24255+02
6565	2009	2	\N	2015-03-07 20:41:57.590912+02
6566	1958	2	\N	2015-03-07 20:42:08.257141+02
6567	2062	2	\N	2015-03-07 20:44:22.388688+02
6568	1958	2	\N	2015-03-07 20:44:57.143369+02
6569	1922	2	\N	2015-03-07 21:16:33.311167+02
6570	1930	2	\N	2015-03-07 21:18:30.204883+02
6571	1980	2	\N	2015-03-07 21:18:36.892234+02
6572	1930	2	\N	2015-03-07 21:21:01.745845+02
6573	1982	2	\N	2015-03-07 21:45:35.899441+02
6574	1983	2	\N	2015-03-07 21:45:46.115364+02
6575	1985	2	\N	2015-03-07 21:45:53.837217+02
6576	2016	2	\N	2015-03-07 21:46:03.965785+02
6577	1940	2	\N	2015-03-07 21:46:13.798132+02
6578	1932	2	\N	2015-03-07 21:46:22.868946+02
6579	1934	2	\N	2015-03-07 21:46:33.42948+02
6580	1935	2	\N	2015-03-07 21:46:42.582075+02
6581	1936	2	\N	2015-03-07 21:46:53.561952+02
6582	1933	2	\N	2015-03-07 21:47:06.74156+02
6584	1922	2	\N	2015-03-08 18:02:14.423833+02
6585	1922	2	\N	2015-03-08 18:02:24.288542+02
6586	1989	2	\N	2015-03-08 18:07:00.091644+02
6587	1922	2	\N	2015-03-08 18:17:03.971743+02
6588	1922	2	\N	2015-03-08 18:29:12.5349+02
6589	2063	2	\N	2015-03-08 18:41:45.468589+02
6590	1989	2	\N	2015-03-08 18:41:51.822924+02
6592	2065	2	\N	2015-03-09 14:02:38.899688+02
6593	2066	2	\N	2015-03-09 17:16:22.759831+02
6594	2068	2	\N	2015-03-09 19:28:40.834898+02
6595	1980	2	\N	2015-03-09 19:37:29.594475+02
6596	1389	2	\N	2015-03-15 19:00:11.360402+02
6597	1389	2	\N	2015-03-15 19:07:00.022851+02
6598	1389	2	\N	2015-03-15 19:08:22.540227+02
6599	2070	2	\N	2015-03-21 15:11:50.495946+02
6600	1989	2	\N	2015-03-21 15:11:59.182752+02
6603	2052	2	\N	2015-03-21 16:50:40.821135+02
6605	2052	2	\N	2015-03-21 16:52:47.683727+02
6606	2075	2	\N	2015-03-21 17:05:47.83578+02
6607	2075	2	\N	2015-03-21 17:06:12.331454+02
6608	2052	2	\N	2015-03-21 17:06:35.32059+02
6609	2070	2	\N	2015-03-21 17:48:31.664941+02
6610	2077	2	\N	2015-03-21 17:49:14.645342+02
6618	2052	2	\N	2015-03-21 18:16:06.930298+02
6621	2052	2	\N	2015-03-21 18:19:16.455929+02
6622	2087	2	\N	2015-03-21 18:20:19.713186+02
6623	2052	2	\N	2015-03-21 18:20:29.187736+02
6624	2052	2	\N	2015-03-21 19:28:39.349206+02
6625	2052	2	\N	2015-03-21 19:30:14.844869+02
6626	2052	2	\N	2015-03-21 19:33:54.902921+02
6627	2052	2	\N	2015-03-21 19:34:11.317898+02
6628	2052	2	\N	2015-03-21 19:35:55.581037+02
6629	2052	2	\N	2015-03-21 19:36:06.902031+02
6630	2052	2	\N	2015-03-21 19:36:15.834648+02
6631	2052	2	\N	2015-03-21 19:36:28.227499+02
6632	2052	2	\N	2015-03-21 19:36:44.271289+02
6633	2088	2	\N	2015-03-21 19:36:44.271289+02
6634	2089	2	\N	2015-03-21 19:38:07.835672+02
6635	2090	2	\N	2015-03-21 19:38:10.203402+02
6637	2052	2	\N	2015-03-21 19:40:18.868487+02
6638	2052	2	\N	2015-03-21 19:41:03.761402+02
6639	2052	2	\N	2015-03-21 19:42:48.725752+02
6640	2052	2	\N	2015-03-21 19:43:52.346215+02
6641	2092	2	\N	2015-03-21 20:11:35.939948+02
6642	2052	2	\N	2015-03-21 20:11:42.394011+02
6643	2052	2	\N	2015-03-21 20:12:01.524624+02
6646	2052	2	\N	2015-03-21 21:14:06.180767+02
6647	2095	2	\N	2015-03-21 22:03:40.435063+02
6648	2051	2	\N	2015-03-21 22:03:42.699321+02
6649	2088	2	\N	2015-03-21 22:03:45.19164+02
6650	2052	2	\N	2015-03-21 22:12:59.222848+02
6651	971	2	\N	2015-03-22 16:55:09.922468+02
6652	2096	2	\N	2015-03-22 17:22:28.394236+02
6653	970	2	\N	2015-03-22 17:22:30.31308+02
6654	971	2	\N	2015-03-22 17:32:58.675826+02
6655	2097	2	\N	2015-03-22 17:35:36.969555+02
6656	2052	2	\N	2015-03-22 17:35:38.710629+02
6657	2052	2	\N	2015-03-22 17:35:54.667572+02
6658	2052	2	\N	2015-03-22 17:36:02.394493+02
6659	1413	2	\N	2015-03-22 21:10:23.96026+02
6660	2098	2	\N	2015-03-22 21:12:12.040889+02
6661	1413	2	\N	2015-03-22 21:12:14.574907+02
6662	953	2	\N	2015-03-23 10:52:07.126828+02
6663	955	2	\N	2015-03-23 10:52:46.434534+02
6664	955	2	\N	2015-03-23 10:53:07.107505+02
6665	971	2	\N	2015-03-23 11:17:09.549645+02
6666	971	2	\N	2015-03-23 11:17:14.786132+02
6667	971	2	\N	2015-03-23 22:30:47.611278+02
6668	2099	2	\N	2015-03-24 19:25:49.743645+02
6669	2100	2	\N	2015-03-24 19:26:22.746874+02
6670	2101	2	\N	2015-03-24 19:30:50.825716+02
6671	1413	2	\N	2015-03-24 21:27:29.027714+02
6672	1413	2	\N	2015-03-24 21:27:56.025596+02
6673	2104	2	\N	2015-03-25 22:08:36.018637+02
6674	2105	2	\N	2015-03-25 22:09:11.121353+02
6675	2106	2	\N	2015-03-25 22:10:32.26983+02
6676	2107	2	\N	2015-03-27 21:02:27.365736+02
6677	1413	2	\N	2015-03-27 22:11:48.664734+02
6678	1318	2	\N	2015-03-27 22:11:57.175441+02
6679	2108	2	\N	2015-03-27 22:14:09.702895+02
6680	1413	2	\N	2015-03-27 22:14:23.177174+02
6681	1975	2	\N	2015-03-29 14:54:09.090695+03
6682	1975	2	\N	2015-03-29 14:56:05.558074+03
6683	2054	2	\N	2015-03-29 18:10:37.298528+03
6684	2054	2	\N	2015-03-29 18:10:44.494853+03
6685	2054	2	\N	2015-03-29 18:11:59.351954+03
6686	894	2	\N	2015-03-29 18:12:33.345883+03
6687	2108	2	\N	2015-03-29 18:41:14.962865+03
6688	2108	2	\N	2015-03-29 18:41:28.932911+03
6689	2108	2	\N	2015-03-29 18:41:35.361837+03
6693	1578	2	\N	2015-03-29 19:28:18.094577+03
6694	1563	2	\N	2015-03-29 19:28:26.306719+03
6695	1560	2	\N	2015-03-29 19:28:31.032916+03
6696	1649	2	\N	2015-03-29 20:30:21.118741+03
6698	2111	2	\N	2015-03-29 20:32:08.188477+03
6699	918	2	\N	2015-03-29 20:45:02.042426+03
6700	918	2	\N	2015-03-29 20:45:08.391579+03
6701	917	2	\N	2015-03-29 20:45:13.080299+03
6702	916	2	\N	2015-03-29 20:45:17.094049+03
6703	952	2	\N	2015-03-29 20:51:29.823177+03
6705	988	2	\N	2015-03-29 20:57:38.470567+03
6707	971	2	\N	2015-03-29 21:04:32.587955+03
6709	1647	2	\N	2015-03-29 21:11:13.101083+03
6710	2115	2	\N	2015-03-29 21:11:20.771189+03
6711	1648	2	\N	2015-03-29 21:19:19.348961+03
6715	1419	2	\N	2015-03-31 18:55:34.756779+03
6716	1415	2	\N	2015-03-31 18:55:54.50919+03
6718	1507	2	\N	2015-03-31 19:11:10.805316+03
6719	1507	2	\N	2015-03-31 19:11:17.000092+03
6720	1507	2	\N	2015-03-31 19:11:23.716877+03
6721	1898	2	\N	2015-03-31 19:19:08.662529+03
6722	1898	2	\N	2015-03-31 19:19:13.979595+03
6723	1898	2	\N	2015-03-31 19:19:19.541915+03
6724	2119	2	\N	2015-03-31 19:31:32.255315+03
6725	1419	2	\N	2015-03-31 19:31:35.171043+03
6726	2120	2	\N	2015-03-31 21:42:30.209371+03
6727	2107	2	\N	2015-04-06 22:18:27.344977+03
6728	2054	2	\N	2015-04-22 09:31:23.533867+03
6729	2126	2	\N	2015-04-22 10:21:50.083529+03
6730	2126	2	\N	2015-04-22 10:34:35.83663+03
6731	2127	2	\N	2015-04-22 15:08:30.934237+03
6732	2128	2	\N	2015-04-22 15:09:24.597951+03
6733	2129	2	\N	2015-04-22 15:30:21.099029+03
6734	2130	2	\N	2015-04-22 15:30:28.848383+03
6735	2131	2	\N	2015-04-22 15:33:06.666889+03
6736	2126	2	\N	2015-04-22 15:33:09.520564+03
6737	2132	2	\N	2015-04-22 15:34:13.439147+03
6738	2126	2	\N	2015-04-22 15:34:14.494849+03
6739	2126	2	\N	2015-04-22 15:34:41.240196+03
6740	2130	2	\N	2015-04-24 21:16:26.897843+03
6741	953	2	\N	2015-04-24 21:38:02.133997+03
6742	955	2	\N	2015-04-24 21:39:08.574084+03
6743	2108	2	\N	2015-04-25 13:14:21.858762+03
6745	2135	2	\N	2015-04-25 16:39:24.611492+03
6746	2128	2	\N	2015-04-25 16:59:29.339712+03
6747	2136	2	\N	2015-04-25 16:59:52.412523+03
6748	2137	2	\N	2015-04-25 21:29:39.820793+03
6749	2138	2	\N	2015-04-25 21:29:47.819244+03
6750	2139	2	\N	2015-04-25 21:29:55.72108+03
6751	2144	2	\N	2015-04-26 00:17:08.072699+03
6752	2145	2	\N	2015-04-26 00:17:08.072699+03
6753	2146	2	\N	2015-04-26 00:22:46.640907+03
6754	2147	2	\N	2015-04-26 00:22:46.640907+03
6755	2148	2	\N	2015-04-26 00:26:59.761945+03
6756	2149	2	\N	2015-04-26 00:26:59.761945+03
6757	2150	2	\N	2015-04-26 00:30:11.687983+03
6758	2151	2	\N	2015-04-26 00:30:11.687983+03
6759	2152	2	\N	2015-04-26 00:36:42.355592+03
6760	2153	2	\N	2015-04-26 00:36:42.355592+03
6761	2154	2	\N	2015-04-26 00:44:52.209962+03
6762	2155	2	\N	2015-04-26 00:44:52.209962+03
6763	2156	2	\N	2015-04-26 09:56:13.81422+03
6764	2157	2	\N	2015-04-26 09:56:13.81422+03
6765	2158	2	\N	2015-04-26 10:00:13.021078+03
6766	2159	2	\N	2015-04-26 10:00:13.021078+03
6767	2160	2	\N	2015-04-26 10:09:07.981749+03
6768	2161	2	\N	2015-04-26 10:09:07.981749+03
6769	2162	2	\N	2015-04-26 10:11:20.869074+03
6770	2163	2	\N	2015-04-26 10:11:20.869074+03
6771	2164	2	\N	2015-04-26 10:23:35.980962+03
6772	2165	2	\N	2015-04-26 10:23:35.980962+03
6774	2167	2	\N	2015-04-26 10:30:42.474899+03
6775	2168	2	\N	2015-04-26 10:30:42.474899+03
6778	2171	2	\N	2015-04-26 10:38:49.924523+03
6779	2172	2	\N	2015-04-26 10:41:15.682562+03
6780	2173	2	\N	2015-04-26 10:41:15.682562+03
6781	2174	2	\N	2015-04-26 10:51:18.425172+03
6782	2175	2	\N	2015-04-26 10:51:18.425172+03
6783	2176	2	\N	2015-04-26 10:54:26.243589+03
6784	2177	2	\N	2015-04-26 10:54:26.243589+03
6785	2178	2	\N	2015-04-26 10:57:26.669326+03
6786	2179	2	\N	2015-04-26 10:57:26.669326+03
6787	2180	2	\N	2015-04-26 11:08:04.739521+03
6788	2181	2	\N	2015-04-26 11:08:04.739521+03
6789	2182	2	\N	2015-04-26 11:13:10.975009+03
6790	2183	2	\N	2015-04-26 11:13:10.975009+03
6791	2184	2	\N	2015-04-26 13:03:25.416787+03
6792	2185	2	\N	2015-04-26 13:03:25.416787+03
6793	2186	2	\N	2015-04-26 13:42:49.969814+03
6794	2187	2	\N	2015-04-26 14:04:42.384772+03
6795	2188	2	\N	2015-04-26 14:04:42.384772+03
6796	2189	2	\N	2015-04-26 14:05:26.994527+03
6797	2190	2	\N	2015-04-26 14:05:26.994527+03
6798	2186	2	\N	2015-04-26 14:05:29.313624+03
6801	2197	2	\N	2015-05-03 13:21:34.120955+03
6802	2197	2	\N	2015-05-03 13:23:12.828981+03
6803	2197	2	\N	2015-05-03 13:34:38.831852+03
6804	2197	2	\N	2015-05-03 13:40:51.674186+03
6805	2199	2	\N	2015-05-03 23:18:19.876372+03
6806	1780	2	\N	2015-05-03 23:18:33.103558+03
6807	1368	2	\N	2015-05-04 19:21:58.460934+03
6808	1368	2	\N	2015-05-04 19:22:20.533133+03
6809	2200	2	\N	2015-05-04 20:57:01.637182+03
6810	2201	2	\N	2015-05-04 20:58:33.565049+03
6811	2203	2	\N	2015-05-04 21:30:33.485239+03
6812	1003	2	\N	2015-05-08 21:15:22.303904+03
6813	2205	2	\N	2015-05-08 22:38:40.1563+03
6814	2206	2	\N	2015-05-08 22:40:57.101857+03
6815	2207	2	\N	2015-05-08 22:43:00.228497+03
6816	2208	2	\N	2015-05-08 22:43:46.205549+03
6817	2209	2	\N	2015-05-09 15:04:04.437709+03
6818	2210	2	\N	2015-05-09 15:18:42.295591+03
6819	2211	2	\N	2015-05-09 15:20:41.04877+03
6820	2212	2	\N	2015-05-09 15:21:16.54612+03
6821	2213	2	\N	2015-05-09 15:21:20.750661+03
6822	2214	2	\N	2015-05-09 15:27:46.304009+03
6823	2215	2	\N	2015-05-09 15:27:52.157735+03
6824	2216	2	\N	2015-05-09 15:32:20.738122+03
6825	2216	2	\N	2015-05-09 15:34:43.153612+03
6826	2216	2	\N	2015-05-09 15:35:37.080548+03
6827	2216	2	\N	2015-05-09 15:36:20.491648+03
6828	2216	2	\N	2015-05-09 15:36:28.290218+03
6829	2217	2	\N	2015-05-09 16:10:30.715652+03
6830	2218	2	\N	2015-05-09 16:40:29.294581+03
6831	2216	2	\N	2015-05-09 16:40:47.688279+03
6832	2219	2	\N	2015-05-09 16:52:43.81748+03
6833	1550	2	\N	2015-05-09 16:53:04.04708+03
6834	1008	2	\N	2015-05-09 16:53:15.905297+03
6836	2218	2	\N	2015-05-09 16:56:24.612587+03
6837	2221	2	\N	2015-05-09 16:58:37.060459+03
6838	2216	2	\N	2015-05-09 17:04:04.921556+03
6839	2216	2	\N	2015-05-09 17:04:48.531212+03
6840	1563	2	\N	2015-05-09 19:32:44.822595+03
6841	2222	2	\N	2015-05-09 19:43:25.178079+03
6842	2215	2	\N	2015-05-09 20:07:16.539791+03
6843	2216	2	\N	2015-05-09 20:07:46.078918+03
6844	2223	2	\N	2015-05-09 20:08:53.78535+03
6845	2224	2	\N	2015-05-09 20:09:23.379411+03
6846	2225	2	\N	2015-05-09 20:09:44.887962+03
6847	2226	2	\N	2015-05-09 20:17:22.088876+03
6848	2227	2	\N	2015-05-09 20:29:08.971941+03
6849	2228	2	\N	2015-05-09 20:29:24.701653+03
6850	2229	2	\N	2015-05-09 20:29:40.419576+03
6851	2224	2	\N	2015-05-09 20:29:49.729598+03
6852	2230	2	\N	2015-05-09 20:30:09.233291+03
6853	2231	2	\N	2015-05-09 20:30:23.623593+03
6854	2232	2	\N	2015-05-09 20:30:35.560504+03
6855	2233	2	\N	2015-05-09 20:30:51.356148+03
6856	2234	2	\N	2015-05-09 20:31:09.312334+03
6857	2235	2	\N	2015-05-09 20:31:21.029136+03
6858	2236	2	\N	2015-05-09 20:31:43.127575+03
6859	2237	2	\N	2015-05-09 20:31:57.326798+03
6860	2238	2	\N	2015-05-09 20:32:20.746647+03
6861	2239	2	\N	2015-05-09 20:32:35.107871+03
6862	2240	2	\N	2015-05-09 20:32:50.419187+03
6863	2241	2	\N	2015-05-09 20:33:01.999568+03
6864	2242	2	\N	2015-05-09 20:33:16.190303+03
6865	2236	2	\N	2015-05-09 20:54:08.857766+03
6866	2216	2	\N	2015-05-09 21:04:14.03464+03
6867	1578	2	\N	2015-05-09 21:16:42.718164+03
6868	2243	2	\N	2015-05-10 13:44:27.494956+03
6869	2244	2	\N	2015-05-10 13:45:29.048699+03
6870	2245	2	\N	2015-05-10 13:46:40.29071+03
6871	2246	2	\N	2015-05-10 14:01:26.829403+03
6872	2247	2	\N	2015-05-10 14:01:57.254972+03
6873	2248	2	\N	2015-05-10 14:10:42.034833+03
6874	2249	2	\N	2015-05-10 14:10:53.000133+03
6875	2254	2	\N	2015-05-10 14:35:53.336283+03
6876	2255	2	\N	2015-05-10 14:35:53.336283+03
6877	2256	2	\N	2015-05-10 14:39:45.730714+03
6878	2257	2	\N	2015-05-10 14:39:45.730714+03
6879	2258	2	\N	2015-05-10 14:45:11.098493+03
6880	2259	2	\N	2015-05-10 14:45:11.098493+03
6881	2260	2	\N	2015-05-10 14:53:32.27851+03
6882	2261	2	\N	2015-05-10 14:53:32.27851+03
6883	2262	2	\N	2015-05-10 14:57:13.121414+03
6884	2263	2	\N	2015-05-10 14:57:13.121414+03
6885	2264	2	\N	2015-05-10 14:57:55.441966+03
6886	2265	2	\N	2015-05-10 15:07:20.399588+03
6887	2266	2	\N	2015-05-10 15:07:20.399588+03
6888	2267	2	\N	2015-05-10 15:07:27.786314+03
6889	2268	2	\N	2015-05-10 16:04:17.22685+03
6890	2269	2	\N	2015-05-10 16:04:56.471262+03
6891	1318	2	\N	2015-05-10 16:05:16.31159+03
6893	2271	2	\N	2015-05-10 16:08:32.663974+03
6894	2272	2	\N	2015-05-10 16:08:35.587577+03
6895	2273	2	\N	2015-05-10 16:08:47.271902+03
6896	2274	2	\N	2015-05-10 16:08:47.271902+03
6897	2275	2	\N	2015-05-10 16:09:34.650716+03
6898	2276	2	\N	2015-05-10 22:11:18.586994+03
6899	2277	2	\N	2015-05-10 22:12:40.523328+03
6900	1314	2	\N	2015-05-10 22:12:56.872348+03
6901	2278	2	\N	2015-05-10 22:14:48.438204+03
6902	2279	2	\N	2015-05-10 22:14:48.438204+03
6903	2280	2	\N	2015-05-10 22:19:21.083289+03
6904	2280	2	\N	2015-05-13 21:55:52.759278+03
6905	2275	2	\N	2015-05-13 21:56:48.008072+03
6906	2267	2	\N	2015-05-13 21:56:54.031403+03
6907	2264	2	\N	2015-05-13 21:56:59.496539+03
6908	2281	2	\N	2015-05-16 15:29:57.002389+03
6909	2282	2	\N	2015-05-16 15:34:53.800182+03
6910	2283	2	\N	2015-05-16 15:34:53.800182+03
6911	2284	2	\N	2015-05-16 15:36:09.929045+03
6912	2285	2	\N	2015-05-16 15:45:33.371911+03
6913	2286	2	\N	2015-05-16 15:45:33.371911+03
6914	2287	2	\N	2015-05-16 15:48:18.436182+03
6915	2288	2	\N	2015-05-16 15:48:18.436182+03
6916	2289	2	\N	2015-05-17 21:30:51.134604+03
6917	2280	2	\N	2015-05-17 21:31:00.094313+03
6918	2290	2	\N	2015-05-17 21:31:39.003456+03
6919	2280	2	\N	2015-05-17 21:31:48.129633+03
6920	2284	2	\N	2015-05-17 22:02:03.373006+03
6921	2284	2	\N	2015-05-17 22:02:31.027832+03
6922	2291	2	\N	2015-05-18 16:39:17.24427+03
6923	2284	2	\N	2015-05-18 16:40:09.305094+03
6924	2284	2	\N	2015-05-18 20:31:39.659544+03
6925	2284	2	\N	2015-05-18 20:34:34.03653+03
6926	2284	2	\N	2015-05-18 21:22:46.805573+03
6927	2292	2	\N	2015-05-24 12:55:28.784478+03
6928	1212	2	\N	2015-05-24 13:06:21.488837+03
6929	2293	2	\N	2015-05-24 15:06:40.212091+03
6930	2294	2	\N	2015-05-24 15:11:44.965777+03
6931	2295	2	\N	2015-05-24 16:49:53.513439+03
6932	2296	2	\N	2015-05-24 16:50:41.467323+03
6933	2297	2	\N	2015-05-24 16:55:00.642026+03
6934	2299	2	\N	2015-05-24 16:57:39.672043+03
6935	2300	2	\N	2015-05-24 17:03:51.85238+03
6936	2088	2	\N	2015-05-24 17:03:55.878998+03
6937	2301	2	\N	2015-05-24 17:04:54.502108+03
6938	2088	2	\N	2015-05-24 17:10:16.729607+03
6939	2088	2	\N	2015-05-24 17:10:29.437025+03
6940	2088	2	\N	2015-05-24 17:15:30.592241+03
6941	2302	2	\N	2015-05-24 17:16:33.029089+03
6942	2075	2	\N	2015-05-24 17:16:41.742578+03
6943	2303	2	\N	2015-05-24 17:17:17.81127+03
6944	2088	2	\N	2015-05-24 17:17:21.677682+03
6945	2305	2	\N	2015-05-24 20:37:07.412723+03
6946	2052	2	\N	2015-05-24 20:37:10.892479+03
6947	2088	2	\N	2015-05-24 21:01:25.501241+03
6948	2052	2	\N	2015-05-24 21:13:25.598747+03
6949	2306	2	\N	2015-05-24 21:14:39.628922+03
6950	2052	2	\N	2015-05-24 21:14:43.723121+03
6951	2280	2	\N	2015-05-24 21:21:32.476216+03
6952	2280	2	\N	2015-05-24 21:22:00.849383+03
6953	2280	2	\N	2015-05-24 21:22:09.702717+03
6954	2307	2	\N	2015-05-24 21:32:02.910902+03
6955	2308	2	\N	2015-05-24 21:32:24.738611+03
6956	2309	2	\N	2015-05-24 21:32:31.516248+03
6957	2310	2	\N	2015-05-24 21:33:17.528061+03
6958	2311	2	\N	2015-05-24 21:35:46.300244+03
6959	2312	2	\N	2015-05-24 21:36:06.190691+03
6960	2312	2	\N	2015-05-24 21:36:27.205265+03
6961	2313	2	\N	2015-05-25 21:31:05.718794+03
6962	2312	2	\N	2015-05-25 21:31:08.674137+03
6963	2314	2	\N	2015-05-26 20:44:11.702313+03
6964	2315	2	\N	2015-05-26 20:44:48.242189+03
6965	2316	2	\N	2015-05-26 20:44:48.242189+03
6966	2317	2	\N	2015-05-26 20:45:01.161364+03
6967	2284	2	\N	2015-05-28 13:46:35.94219+03
6968	2317	2	\N	2015-05-28 13:46:45.92498+03
6969	2280	2	\N	2015-05-28 13:46:51.874219+03
6970	1507	2	\N	2015-05-31 21:55:12.660877+03
6971	1507	2	\N	2015-05-31 21:56:27.809825+03
6972	1439	2	\N	2015-05-31 21:57:11.520889+03
6973	1507	2	\N	2015-05-31 21:58:33.173778+03
6974	1507	2	\N	2015-05-31 22:00:02.964614+03
6975	1507	2	\N	2015-05-31 22:00:38.733485+03
6976	1507	2	\N	2015-05-31 22:11:01.827304+03
6977	1507	2	\N	2015-06-01 09:54:54.423199+03
6978	2284	2	\N	2015-06-01 11:22:28.244232+03
6979	2319	2	\N	2015-06-01 11:37:24.071069+03
6980	2320	2	\N	2015-06-01 12:56:01.185317+03
6986	2327	2	\N	2015-06-02 13:22:30.670092+03
6987	2328	2	\N	2015-06-02 13:22:36.147873+03
6988	2329	2	\N	2015-06-02 13:23:35.222007+03
6989	2330	2	\N	2015-06-02 13:24:32.384898+03
6990	2331	2	\N	2015-06-02 13:25:52.745886+03
6991	2332	2	\N	2015-06-02 13:27:31.983851+03
6992	2333	2	\N	2015-06-02 13:27:36.950926+03
6993	2334	2	\N	2015-06-02 13:28:43.733459+03
6994	2335	2	\N	2015-06-02 13:29:10.771807+03
6995	2336	2	\N	2015-06-02 13:29:57.138464+03
6996	2337	2	\N	2015-06-02 13:30:11.199071+03
6997	2338	2	\N	2015-06-02 13:34:47.558077+03
6998	2339	2	\N	2015-06-02 13:34:50.130325+03
6999	2340	2	\N	2015-06-02 13:35:46.336511+03
7000	2341	2	\N	2015-06-02 13:36:09.066506+03
7001	2342	2	\N	2015-06-02 13:36:09.066506+03
7002	2343	2	\N	2015-06-02 13:37:26.99598+03
7003	2344	2	\N	2015-06-02 13:37:26.99598+03
7004	2345	2	\N	2015-06-02 13:37:42.100766+03
7023	2345	2	\N	2015-06-06 20:33:35.089301+03
7024	2366	2	\N	2015-06-06 21:47:05.357423+03
7025	2367	2	\N	2015-06-06 21:47:08.978477+03
7026	2368	2	\N	2015-06-06 21:49:00.661472+03
7027	2369	2	\N	2015-06-06 21:50:18.211354+03
7028	2370	2	\N	2015-06-06 21:51:07.167429+03
7029	2371	2	\N	2015-06-06 21:52:21.362863+03
7030	2372	2	\N	2015-06-06 21:52:25.91268+03
7031	2367	2	\N	2015-06-06 22:01:59.580344+03
7032	2373	2	\N	2015-06-06 22:05:50.240364+03
7033	2374	2	\N	2015-06-06 22:06:07.223567+03
7034	2375	2	\N	2015-06-06 22:06:55.79185+03
7035	2376	2	\N	2015-06-06 22:07:46.643073+03
7036	2377	2	\N	2015-06-06 22:08:11.14074+03
7037	2378	2	\N	2015-06-06 22:08:11.14074+03
7038	2379	2	\N	2015-06-06 22:10:53.894076+03
7039	2380	2	\N	2015-06-06 22:10:53.894076+03
7040	2381	2	\N	2015-06-06 22:12:04.71986+03
7041	2382	2	\N	2015-06-06 22:12:17.899878+03
7042	2372	2	\N	2015-06-06 22:12:34.850437+03
7043	2383	2	\N	2015-06-06 22:34:30.822368+03
7044	2384	2	\N	2015-06-06 22:35:06.098136+03
7045	2385	2	\N	2015-06-06 22:35:22.838833+03
7046	2382	2	\N	2015-06-06 22:36:33.646314+03
7048	2382	2	\N	2015-06-07 15:30:58.294045+03
7049	2247	2	\N	2015-06-07 17:10:29.033956+03
7050	1413	2	\N	2015-06-07 17:10:56.929199+03
7051	1318	2	\N	2015-06-07 17:11:36.862031+03
7052	1314	2	\N	2015-06-07 17:12:28.161782+03
7053	1431	2	\N	2015-06-07 19:55:54.571452+03
7054	1898	2	\N	2015-06-07 19:59:40.465993+03
7055	1898	2	\N	2015-06-07 20:00:47.882499+03
7056	1432	2	\N	2015-06-07 20:00:59.808075+03
7057	1608	2	\N	2015-06-07 20:01:30.177316+03
7058	1609	2	\N	2015-06-07 20:02:19.266681+03
7059	1769	2	\N	2015-06-07 20:03:05.939338+03
7060	1780	2	\N	2015-06-07 20:04:36.345782+03
7061	1873	2	\N	2015-06-07 20:05:07.816356+03
7062	1898	2	\N	2015-06-07 20:05:26.076509+03
7063	2199	2	\N	2015-06-07 20:05:57.959925+03
7064	2246	2	\N	2015-06-07 20:06:32.075272+03
7065	2246	2	\N	2015-06-07 20:06:41.085651+03
7066	2269	2	\N	2015-06-07 20:07:23.767588+03
7067	2277	2	\N	2015-06-07 20:07:57.192127+03
7068	1426	2	\N	2015-06-07 20:09:52.309668+03
7069	2389	2	\N	2015-06-07 20:10:03.246206+03
7070	2390	2	\N	2015-06-07 20:10:21.42447+03
7071	2391	2	\N	2015-06-07 20:10:54.694938+03
7072	2392	2	\N	2015-06-07 20:11:12.709328+03
7073	2393	2	\N	2015-06-07 20:11:33.449675+03
7074	2394	2	\N	2015-06-07 20:11:54.80775+03
7075	2395	2	\N	2015-06-07 20:12:24.648998+03
7076	2396	2	\N	2015-06-07 20:12:47.549001+03
7077	2397	2	\N	2015-06-07 20:13:09.482196+03
7078	2398	2	\N	2015-06-07 20:13:26.815118+03
7079	2399	2	\N	2015-06-07 20:13:43.442647+03
7080	2400	2	\N	2015-06-07 20:13:57.868779+03
7081	2401	2	\N	2015-06-07 20:14:15.895967+03
7082	2402	2	\N	2015-06-07 20:14:42.501203+03
7083	2403	2	\N	2015-06-07 20:15:33.611845+03
7084	2404	2	\N	2015-06-07 20:15:53.460657+03
7085	2405	2	\N	2015-06-07 20:16:10.772685+03
7086	2406	2	\N	2015-06-07 20:16:32.442601+03
7087	2407	2	\N	2015-06-07 20:16:56.509083+03
7088	2408	2	\N	2015-06-07 20:17:19.457924+03
7089	2409	2	\N	2015-06-07 20:17:39.828441+03
7090	2410	2	\N	2015-06-07 20:17:59.953522+03
7091	2411	2	\N	2015-06-07 20:18:15.36941+03
7092	2412	2	\N	2015-06-07 20:18:33.319787+03
7093	2413	2	\N	2015-06-07 20:18:53.786993+03
7094	2414	2	\N	2015-06-07 20:19:17.251882+03
7095	2415	2	\N	2015-06-07 20:34:54.782206+03
7096	2416	2	\N	2015-06-07 20:35:11.96143+03
7097	2417	2	\N	2015-06-07 20:35:33.998015+03
7098	2418	2	\N	2015-06-07 20:36:01.596002+03
7099	2419	2	\N	2015-06-07 20:36:15.960332+03
7100	2420	2	\N	2015-06-07 20:36:35.413228+03
7101	2421	2	\N	2015-06-07 20:37:30.352425+03
7102	2422	2	\N	2015-06-07 20:37:53.888785+03
7103	2423	2	\N	2015-06-07 20:38:10.610447+03
7104	2424	2	\N	2015-06-07 20:38:59.517394+03
7105	2425	2	\N	2015-06-07 20:39:26.415211+03
7106	2426	2	\N	2015-06-07 20:40:05.840226+03
7107	2427	2	\N	2015-06-07 20:40:46.537019+03
7108	2428	2	\N	2015-06-07 20:41:01.3009+03
7109	2429	2	\N	2015-06-07 20:41:17.634439+03
7110	2430	2	\N	2015-06-07 20:41:36.56949+03
7111	2431	2	\N	2015-06-07 20:41:54.944525+03
7112	2432	2	\N	2015-06-07 20:42:11.063081+03
7113	2433	2	\N	2015-06-10 21:10:55.543668+03
7114	2434	2	\N	2015-06-10 21:10:58.272269+03
7115	2434	2	\N	2015-06-10 21:11:16.546457+03
7116	2435	2	\N	2015-06-10 21:11:49.343497+03
7117	2436	2	\N	2015-06-10 21:12:20.087946+03
7119	2437	2	\N	2015-06-10 21:13:28.379702+03
7120	2434	2	\N	2015-06-10 21:13:35.658848+03
7118	2434	2	\N	2015-06-10 21:12:30.557424+03
7121	2434	2	\N	2015-06-13 11:08:16.884538+03
7122	2438	2	\N	2015-06-13 12:24:23.664338+03
7123	2439	2	\N	2015-06-13 12:25:12.11639+03
7124	2440	2	\N	2015-06-13 12:25:55.053099+03
7125	2439	2	\N	2015-06-13 12:28:23.509307+03
7126	1431	2	\N	2015-06-13 16:13:14.891511+03
7127	2269	2	\N	2015-06-13 16:29:21.58833+03
7128	2391	2	\N	2015-06-13 16:29:38.922876+03
7130	2442	2	\N	2015-06-13 17:22:11.365048+03
7163	2317	2	\N	2015-06-13 19:58:33.103367+03
7164	2451	2	\N	2015-06-13 19:59:50.784052+03
7165	2452	2	\N	2015-06-13 19:59:50.784052+03
7166	2317	2	\N	2015-06-13 20:00:28.712308+03
7167	2317	2	\N	2015-06-13 20:01:26.421434+03
7168	2317	2	\N	2015-06-13 20:03:24.653457+03
7176	2451	2	\N	2015-06-14 10:07:32.690694+03
7177	2451	2	\N	2015-06-14 10:16:32.619194+03
7178	2451	2	\N	2015-06-14 13:13:57.393431+03
7179	2451	2	\N	2015-06-14 13:21:50.094038+03
7180	2451	2	\N	2015-06-14 13:22:37.050016+03
7181	2451	2	\N	2015-06-14 13:23:13.387606+03
7182	2451	2	\N	2015-06-14 13:23:25.25704+03
7183	2457	2	\N	2015-06-14 13:25:18.074212+03
7184	2451	2	\N	2015-06-14 13:26:56.97373+03
7185	2458	2	\N	2015-06-14 13:28:59.472857+03
7186	2459	2	\N	2015-06-14 13:29:40.688494+03
7187	2457	2	\N	2015-06-14 14:17:22.935487+03
7199	2463	2	\N	2015-06-14 16:30:22.760587+03
7201	2463	2	\N	2015-06-14 16:43:36.808614+03
7202	2465	2	\N	2015-06-14 18:28:13.295968+03
7203	2466	2	\N	2015-06-14 18:50:25.96227+03
7204	2467	2	\N	2015-06-14 18:50:57.662486+03
7205	2468	2	\N	2015-06-17 21:13:39.6663+03
7206	2469	2	\N	2015-06-17 21:13:39.6663+03
7207	2469	2	\N	2015-06-17 21:39:31.5421+03
7208	2470	2	\N	2015-06-17 21:39:43.056809+03
7211	2296	2	\N	2015-06-17 22:28:24.889672+03
7212	2296	2	\N	2015-06-17 22:28:44.137455+03
7213	2296	2	\N	2015-06-17 22:28:55.531055+03
7214	2296	2	\N	2015-06-17 22:29:04.688414+03
7217	1190	2	\N	2015-06-18 08:41:45.975909+03
7218	1190	2	\N	2015-06-18 08:41:55.712142+03
7219	2475	2	\N	2015-06-18 08:47:40.598128+03
7229	2484	2	\N	2015-06-18 09:11:44.190988+03
7232	2486	2	\N	2015-06-19 08:53:30.530081+03
7235	2489	2	\N	2015-06-19 08:57:56.925224+03
7236	2490	2	\N	2015-06-19 08:58:47.001543+03
7237	2491	2	\N	2015-06-19 09:01:01.141859+03
7239	2493	2	\N	2015-06-19 09:05:15.381515+03
7241	1010	2	\N	2015-06-19 09:18:51.710345+03
7244	2129	2	\N	2015-06-19 09:22:37.844576+03
7248	2137	2	\N	2015-06-19 09:24:18.706637+03
7250	2248	2	\N	2015-06-19 09:24:53.046897+03
7252	2484	2	\N	2015-06-20 10:13:59.32685+03
7253	2501	2	\N	2015-06-20 10:23:36.01186+03
7254	2490	2	\N	2015-06-20 10:24:30.090794+03
7255	2502	2	\N	2015-06-20 10:25:23.92051+03
7256	2490	2	\N	2015-06-20 10:25:26.171733+03
7257	2503	2	\N	2015-06-20 10:58:18.119129+03
7259	2505	2	\N	2015-06-20 11:21:58.139735+03
7260	2506	2	\N	2015-06-20 11:22:00.401736+03
7261	2507	2	\N	2015-06-20 11:22:46.430212+03
7262	2506	2	\N	2015-06-20 11:22:51.478424+03
7263	2508	2	\N	2015-06-20 11:23:54.736317+03
7264	2506	2	\N	2015-06-20 11:23:56.167951+03
7265	2345	2	\N	2015-06-20 11:26:36.603828+03
7266	2345	2	\N	2015-06-20 11:27:18.047841+03
7268	2345	2	\N	2015-06-20 11:46:46.13788+03
7269	2510	2	\N	2015-06-20 11:50:12.161837+03
7270	2511	2	\N	2015-06-20 11:50:13.525526+03
7272	2463	2	\N	2015-06-20 23:00:10.769493+03
7273	2467	2	\N	2015-06-20 23:00:18.463896+03
7274	2459	2	\N	2015-06-20 23:00:44.920864+03
7275	2458	2	\N	2015-06-20 23:00:51.132288+03
7276	2457	2	\N	2015-06-20 23:00:57.565186+03
7277	2451	2	\N	2015-06-20 23:01:04.368039+03
7278	2451	2	\N	2015-06-20 23:04:17.342527+03
7279	2457	2	\N	2015-06-20 23:04:23.315461+03
7280	2458	2	\N	2015-06-20 23:04:30.160097+03
7281	2459	2	\N	2015-06-20 23:04:35.721205+03
7282	1896	2	\N	2015-06-21 11:16:22.975624+03
7285	2459	2	\N	2015-06-21 11:19:17.963777+03
7286	2458	2	\N	2015-06-21 11:19:23.880837+03
7287	2457	2	\N	2015-06-21 11:19:29.44712+03
7288	2451	2	\N	2015-06-21 11:19:35.471458+03
7289	2467	2	\N	2015-06-21 11:19:54.443461+03
7290	2463	2	\N	2015-06-21 11:20:00.085347+03
7291	2465	2	\N	2015-06-21 11:21:33.270335+03
7292	2513	2	\N	2015-06-23 22:26:54.54596+03
7293	778	2	\N	2015-06-23 22:31:51.561928+03
7294	2514	2	\N	2015-06-23 22:34:29.078834+03
7295	2514	2	\N	2015-06-23 22:36:01.548881+03
7296	2513	2	\N	2015-06-23 22:42:58.979814+03
7297	2514	2	\N	2015-06-23 22:46:14.322892+03
7298	2515	2	\N	2015-06-23 22:48:32.462285+03
7306	784	2	\N	2015-06-27 17:39:03.474446+03
7307	784	2	\N	2015-06-27 17:52:48.813097+03
7308	885	2	\N	2015-06-27 17:53:15.731358+03
7312	784	2	\N	2015-06-27 19:50:37.220816+03
7313	784	2	\N	2015-06-27 19:50:45.528129+03
7314	784	2	\N	2015-06-27 19:50:53.618877+03
7315	784	2	\N	2015-06-27 19:52:29.5324+03
7317	2516	2	\N	2015-06-27 20:34:38.335917+03
7318	2517	2	\N	2015-06-27 21:02:52.190849+03
7319	2518	2	\N	2015-06-27 22:00:11.577645+03
7320	784	2	\N	2015-06-27 22:13:51.726755+03
7321	2519	2	\N	2015-06-27 22:13:51.726755+03
7322	2520	2	\N	2015-06-27 22:14:31.050053+03
7323	2521	2	\N	2015-06-27 22:15:06.48124+03
7324	2522	2	\N	2015-06-27 22:27:54.400494+03
7325	2523	2	\N	2015-06-27 22:40:18.037224+03
7326	2524	2	\N	2015-06-27 22:42:17.60206+03
7327	2525	2	\N	2015-06-27 22:42:37.767083+03
7328	784	2	\N	2015-06-27 22:49:09.961687+03
7329	784	2	\N	2015-06-27 22:49:28.712758+03
7330	784	2	\N	2015-06-27 22:49:40.054287+03
7331	2526	2	\N	2015-06-28 15:48:24.134048+03
7332	2527	2	\N	2015-06-28 15:49:06.934643+03
7333	1930	2	\N	2015-06-28 15:49:08.476175+03
7334	1930	2	\N	2015-06-28 15:49:15.43238+03
7335	1286	2	\N	2015-06-28 16:19:06.654271+03
7336	1284	2	\N	2015-06-28 16:19:08.822984+03
7337	2528	2	\N	2015-06-28 16:27:58.214962+03
7338	2529	2	\N	2015-07-04 20:12:31.951644+03
7339	2530	2	\N	2015-07-04 20:16:08.99227+03
7340	2531	2	\N	2015-07-04 20:16:08.99227+03
7341	2532	2	\N	2015-07-04 20:36:07.167824+03
7342	2533	2	\N	2015-07-04 20:36:07.167824+03
7343	2534	2	\N	2015-07-04 20:57:32.449165+03
7344	2491	2	\N	2015-07-04 20:58:12.716739+03
7345	2535	2	\N	2015-07-04 20:58:36.935951+03
7346	2536	2	\N	2015-07-04 20:59:39.366864+03
7347	2491	2	\N	2015-07-04 20:59:49.220324+03
7348	2537	2	\N	2015-07-04 21:00:02.518034+03
7349	2538	2	\N	2015-07-04 21:13:08.541103+03
7350	2539	2	\N	2015-07-04 21:14:30.611204+03
7351	2540	2	\N	2015-07-04 21:14:32.763289+03
7352	2541	2	\N	2015-07-04 21:14:50.821175+03
7354	2542	2	\N	2015-07-04 21:17:54.658173+03
7358	2543	2	\N	2015-07-04 21:26:56.584606+03
7359	2544	2	\N	2015-07-04 21:27:23.469843+03
7361	2545	2	\N	2015-07-04 21:30:18.47115+03
7362	2546	2	\N	2015-07-04 21:30:37.579131+03
7363	2545	2	\N	2015-07-04 21:30:38.730906+03
7364	2547	2	\N	2015-07-04 21:30:51.680567+03
7365	2548	2	\N	2015-07-04 21:30:51.680567+03
7367	2451	2	\N	2015-07-05 14:30:51.54628+03
7368	2457	2	\N	2015-07-05 14:33:01.814653+03
7369	2458	2	\N	2015-07-05 14:33:47.939925+03
7370	2459	2	\N	2015-07-05 14:33:59.629688+03
7371	2451	2	\N	2015-07-05 14:39:43.167129+03
7372	2467	2	\N	2015-07-05 14:49:52.691681+03
7373	2463	2	\N	2015-07-05 14:50:06.470488+03
7374	2549	2	\N	2015-07-05 15:34:32.780638+03
7376	2434	2	\N	2015-07-05 19:13:53.412323+03
7377	3	2	\N	2015-07-17 19:31:34.831317+03
7378	894	2	\N	2015-07-17 19:34:30.132569+03
7379	2054	2	\N	2015-07-17 19:34:44.345599+03
7380	2126	2	\N	2015-07-17 19:35:00.154065+03
7381	2484	2	\N	2015-07-17 19:35:15.872953+03
7382	2550	2	\N	2015-07-18 10:57:05.728016+03
7383	1372	2	\N	2015-07-18 10:57:08.110977+03
7384	1372	2	\N	2015-07-18 10:57:38.113606+03
7385	2551	2	\N	2015-07-18 11:02:48.147598+03
7386	2552	2	\N	2015-07-18 11:22:14.245467+03
7387	2552	2	\N	2015-07-18 11:24:17.241528+03
7388	2553	2	\N	2015-07-18 11:32:44.472503+03
7389	2554	2	\N	2015-07-18 11:46:38.401629+03
7390	2554	2	\N	2015-07-18 11:47:52.858154+03
7392	2556	2	\N	2015-07-18 11:55:59.961331+03
7393	1372	2	\N	2015-07-18 11:56:18.816278+03
7394	1375	2	\N	2015-07-18 11:56:26.8815+03
7395	2557	2	\N	2015-07-18 12:01:04.237446+03
7396	887	2	\N	2015-07-18 12:01:06.541839+03
7397	2376	2	\N	2015-07-18 12:01:31.956124+03
7398	2556	2	\N	2015-07-18 12:01:52.672293+03
7399	2558	2	\N	2015-07-19 10:20:48.263335+03
7400	2559	2	\N	2015-07-19 14:41:19.72071+03
7401	2560	2	\N	2015-07-19 14:41:25.622087+03
7402	2561	2	\N	2015-07-19 14:42:40.770503+03
7403	2562	2	\N	2015-07-19 14:42:45.815524+03
7404	2563	2	\N	2015-07-19 15:12:51.840188+03
7405	2564	2	\N	2015-07-19 15:13:34.062285+03
7406	2565	2	\N	2015-07-19 15:13:36.341158+03
7407	2566	2	\N	2015-07-19 15:17:50.040034+03
7408	2567	2	\N	2015-07-19 15:18:18.066263+03
7409	2568	2	\N	2015-07-19 15:19:23.078636+03
7410	2569	2	\N	2015-07-19 15:19:33.135472+03
7411	2570	2	\N	2015-07-19 15:20:45.489438+03
7412	2571	2	\N	2015-07-19 15:21:40.944498+03
7413	2572	2	\N	2015-07-19 15:21:50.318605+03
7414	2573	2	\N	2015-07-19 16:03:41.362252+03
7415	2574	2	\N	2015-07-19 16:04:11.184096+03
7416	2575	2	\N	2015-07-19 16:04:13.848246+03
7417	2576	2	\N	2015-07-19 16:05:08.205201+03
7418	2577	2	\N	2015-07-19 16:06:12.10907+03
7419	2578	2	\N	2015-07-19 16:06:39.117569+03
7420	2579	2	\N	2015-07-19 16:06:40.986562+03
7421	2580	2	\N	2015-07-19 16:07:27.111556+03
7422	2581	2	\N	2015-07-19 16:08:00.994992+03
7423	2582	2	\N	2015-07-19 16:08:03.06528+03
7424	2583	2	\N	2015-07-19 22:56:54.154484+03
7425	2584	2	\N	2015-07-19 23:47:28.340347+03
7426	2585	2	\N	2015-07-19 23:52:14.447269+03
7427	2586	2	\N	2015-07-19 23:52:36.403304+03
7428	2587	2	\N	2015-07-19 23:52:50.958041+03
7429	2588	2	\N	2015-07-19 23:53:14.681932+03
7430	2589	2	\N	2015-07-19 23:54:00.547115+03
7431	2590	2	\N	2015-07-19 23:54:44.372371+03
7432	2591	2	\N	2015-07-19 23:54:52.387429+03
7433	2593	2	\N	2015-07-19 23:56:11.09679+03
7434	2594	2	\N	2015-07-19 23:56:44.56359+03
7435	2595	2	\N	2015-07-19 23:56:46.53373+03
7436	1932	2	\N	2015-07-20 00:00:04.645587+03
7437	2596	2	\N	2015-07-20 00:04:50.031308+03
7438	2597	2	\N	2015-07-20 00:05:29.444039+03
7439	2598	2	\N	2015-07-20 00:06:05.823851+03
7440	2599	2	\N	2015-07-20 00:06:07.921437+03
7443	2602	2	\N	2015-07-20 23:51:41.323724+03
7444	2603	2	\N	2015-07-20 23:51:41.323724+03
7445	2604	2	\N	2015-07-20 23:51:41.323724+03
7446	2605	2	\N	2015-07-20 23:51:41.323724+03
7449	2608	2	\N	2015-07-20 23:51:41.323724+03
7453	2612	2	\N	2015-07-20 23:51:41.323724+03
7454	2613	2	\N	2015-07-20 23:51:41.323724+03
7458	2617	2	\N	2015-07-20 23:51:41.323724+03
7472	2631	2	\N	2015-07-20 23:51:41.323724+03
7473	2632	2	\N	2015-07-20 23:51:41.323724+03
7474	2633	2	\N	2015-07-20 23:51:41.323724+03
7475	2634	2	\N	2015-07-20 23:51:41.323724+03
7476	2635	2	\N	2015-07-20 23:51:41.323724+03
7477	2636	2	\N	2015-07-20 23:51:41.323724+03
7478	2637	2	\N	2015-07-20 23:51:41.323724+03
7479	2638	2	\N	2015-07-20 23:51:41.323724+03
7483	2642	2	\N	2015-07-20 23:51:41.323724+03
7484	2643	2	\N	2015-07-20 23:51:41.323724+03
7487	2646	2	\N	2015-07-20 23:51:41.323724+03
7488	2647	2	\N	2015-07-20 23:51:41.323724+03
7489	2648	2	\N	2015-07-20 23:51:41.323724+03
7490	2649	2	\N	2015-07-20 23:51:41.323724+03
7491	2650	2	\N	2015-07-20 23:51:41.323724+03
7492	2651	2	\N	2015-07-20 23:51:41.323724+03
7493	2652	2	\N	2015-07-20 23:51:41.323724+03
7494	2653	2	\N	2015-07-20 23:51:41.323724+03
7495	2654	2	\N	2015-07-20 23:51:41.323724+03
7496	2655	2	\N	2015-07-20 23:51:41.323724+03
7498	894	2	\N	2015-07-20 23:59:14.903581+03
7503	2663	2	\N	2015-07-21 00:42:13.515989+03
7504	2664	2	\N	2015-07-21 00:44:32.068557+03
7505	2662	2	\N	2015-07-21 00:45:19.305589+03
7507	894	2	\N	2015-07-22 09:52:23.690178+03
7508	885	2	\N	2015-07-22 09:53:01.082145+03
7509	2665	2	\N	2015-07-22 09:53:01.082145+03
7510	885	2	\N	2015-07-22 09:53:36.087021+03
7511	2272	2	\N	2015-07-22 10:46:42.444349+03
7512	2272	2	\N	2015-07-22 10:47:14.111233+03
7513	2666	2	\N	2015-07-22 10:50:02.98887+03
7514	2667	2	\N	2015-07-22 10:50:08.679496+03
7515	2668	2	\N	2015-07-22 10:51:11.924694+03
7516	2669	2	\N	2015-07-22 10:51:14.586916+03
7517	2669	2	\N	2015-07-22 11:46:47.662266+03
7518	2670	2	\N	2015-07-22 11:49:53.983401+03
7519	2671	2	\N	2015-07-22 11:53:39.590503+03
7520	2669	2	\N	2015-07-22 11:53:54.403754+03
7521	2669	2	\N	2015-07-22 11:54:14.136266+03
7522	2669	2	\N	2015-07-22 12:24:29.892068+03
7523	2673	2	\N	2015-07-22 12:28:35.92606+03
7524	2674	2	\N	2015-07-22 12:28:39.345269+03
7525	2675	2	\N	2015-07-22 12:44:17.155133+03
7526	2676	2	\N	2015-07-22 12:45:19.167404+03
7527	2677	2	\N	2015-07-22 12:45:42.418521+03
7528	2678	2	\N	2015-07-22 12:45:46.782121+03
7529	2679	2	\N	2015-07-22 12:46:34.868393+03
7530	2678	2	\N	2015-07-22 12:47:12.553819+03
7531	2680	2	\N	2015-07-22 12:47:32.725361+03
7532	2681	2	\N	2015-07-22 12:47:48.511246+03
7533	2682	2	\N	2015-07-22 13:40:37.786999+03
7534	2681	2	\N	2015-07-22 13:40:39.941316+03
7535	2681	2	\N	2015-07-22 13:40:55.710058+03
7536	2683	2	\N	2015-07-22 13:41:40.486853+03
7537	2684	2	\N	2015-07-22 13:41:59.700406+03
7538	2685	2	\N	2015-07-22 13:42:00.973433+03
7539	2667	2	\N	2015-07-22 13:42:02.635972+03
7540	2685	2	\N	2015-07-22 13:46:08.824214+03
7541	2667	2	\N	2015-07-22 13:46:13.399464+03
7542	2686	2	\N	2015-07-22 13:47:12.099197+03
7543	2687	2	\N	2015-07-22 13:47:12.099197+03
7544	2688	2	\N	2015-07-22 13:50:14.404321+03
7545	2689	2	\N	2015-07-22 13:50:14.404321+03
7546	2690	2	\N	2015-07-22 13:53:17.909433+03
7547	2690	2	\N	2015-07-22 13:53:48.33605+03
7550	2693	2	\N	2015-07-22 14:07:31.992976+03
7551	2694	2	\N	2015-07-22 14:08:00.072596+03
7552	2695	2	\N	2015-07-22 14:08:45.393051+03
7555	2698	2	\N	2015-07-22 14:13:47.912163+03
7556	2699	2	\N	2015-07-22 14:14:01.749177+03
7557	2700	2	\N	2015-07-22 14:14:10.709485+03
7558	2701	2	\N	2015-07-22 14:14:10.709485+03
7559	2699	2	\N	2015-07-22 14:16:42.964801+03
7560	2702	2	\N	2015-07-22 14:17:00.761945+03
7561	2703	2	\N	2015-07-22 14:17:00.761945+03
7562	2704	2	\N	2015-07-22 14:19:56.751612+03
7563	2705	2	\N	2015-07-22 14:19:56.751612+03
7564	2699	2	\N	2015-07-22 14:20:42.704316+03
7565	2706	2	\N	2015-07-22 14:21:02.027005+03
7566	2707	2	\N	2015-07-22 14:21:02.027005+03
7567	2699	2	\N	2015-07-22 14:21:39.869597+03
7568	2699	2	\N	2015-07-22 14:21:46.984305+03
7569	2708	2	\N	2015-07-22 14:21:59.287338+03
7570	2709	2	\N	2015-07-22 14:21:59.287338+03
7571	2699	2	\N	2015-07-22 14:22:26.322903+03
7572	2710	2	\N	2015-07-22 14:22:35.509695+03
7573	2711	2	\N	2015-07-22 14:22:35.509695+03
7574	2699	2	\N	2015-07-22 14:23:19.576335+03
7575	2712	2	\N	2015-07-22 14:23:36.759685+03
7576	2713	2	\N	2015-07-22 14:23:36.759685+03
7577	2714	2	\N	2015-07-22 14:30:40.877306+03
7578	2715	2	\N	2015-07-22 14:32:25.925422+03
7579	2716	2	\N	2015-07-22 14:32:25.925422+03
7580	2714	2	\N	2015-07-22 14:32:56.995021+03
7581	2717	2	\N	2015-07-22 14:33:08.574387+03
7582	2718	2	\N	2015-07-22 14:33:08.574387+03
7583	2719	2	\N	2015-07-22 14:50:07.747456+03
7584	2720	2	\N	2015-07-22 14:50:07.747456+03
7585	2721	2	\N	2015-07-22 14:53:19.652254+03
7586	2722	2	\N	2015-07-22 14:53:19.652254+03
7587	2723	2	\N	2015-07-22 15:02:17.721876+03
7588	2724	2	\N	2015-07-22 15:02:27.84792+03
7589	2725	2	\N	2015-07-22 15:02:27.84792+03
7590	2726	2	\N	2015-07-22 15:04:12.042101+03
7591	2699	2	\N	2015-07-22 15:04:47.591373+03
7592	2727	2	\N	2015-07-22 15:05:43.153662+03
7593	2728	2	\N	2015-07-22 15:05:43.153662+03
7595	2730	2	\N	2015-07-22 15:19:08.113264+03
7598	2732	2	\N	2015-07-22 15:38:41.939351+03
7601	2515	2	\N	2015-07-22 15:57:29.189389+03
7603	2733	2	\N	2015-07-22 15:58:23.119691+03
7606	2317	2	\N	2015-07-22 15:59:20.404832+03
7607	2734	2	\N	2015-07-22 15:59:27.667185+03
7608	2735	2	\N	2015-07-22 15:59:52.422862+03
7609	2736	2	\N	2015-07-22 15:59:52.422862+03
7612	1438	2	\N	2015-07-22 18:57:24.829162+03
7613	2737	2	\N	2015-07-22 19:50:41.44109+03
7614	2738	2	\N	2015-07-22 19:50:41.44109+03
7615	2739	2	\N	2015-07-22 22:10:17.173605+03
7616	2739	2	\N	2015-07-22 22:27:10.60758+03
7617	2740	2	\N	2015-10-05 21:56:31.033698+03
7618	2741	2	\N	2015-10-05 22:00:37.025784+03
7619	2741	2	\N	2015-10-05 22:01:11.294026+03
7620	2740	2	\N	2015-10-11 15:30:17.608326+03
7621	2740	2	\N	2015-10-11 15:49:02.820999+03
7622	2742	2	\N	2015-10-11 16:29:26.485453+03
7655	2741	2	\N	2015-10-19 21:00:27.348936+03
7656	2484	2	\N	2015-10-24 14:58:32.749242+03
7657	2779	2	\N	2015-10-24 14:58:32.749242+03
7658	2484	2	\N	2015-10-24 14:59:57.669772+03
7659	2780	2	\N	2015-10-24 14:59:57.669772+03
7660	894	2	\N	2015-10-24 15:00:56.289933+03
7661	2781	2	\N	2015-10-24 15:00:56.289933+03
7662	885	2	\N	2015-10-24 15:02:23.825848+03
7663	894	2	\N	2015-10-24 15:06:44.559696+03
7664	2782	2	\N	2015-10-24 15:06:44.559696+03
7665	894	2	\N	2015-10-24 15:13:07.98256+03
7666	2783	2	\N	2015-10-24 15:13:07.98256+03
7667	894	2	\N	2015-10-24 15:16:03.818888+03
7668	2784	2	\N	2015-10-24 15:16:03.818888+03
7670	2786	2	\N	2015-10-24 15:24:48.816087+03
7671	2787	2	\N	2015-10-24 15:30:54.642902+03
7672	2739	2	\N	2015-10-31 09:47:11.166446+02
7673	2739	2	\N	2015-10-31 09:48:54.569182+02
7674	2739	2	\N	2015-10-31 09:52:21.217177+02
7675	2739	2	\N	2015-10-31 09:52:28.501825+02
7676	2739	2	\N	2015-10-31 10:25:38.872091+02
7677	2593	2	\N	2015-10-31 10:32:28.375294+02
7678	2788	2	\N	2015-10-31 11:46:02.329007+02
7679	2741	2	\N	2015-10-31 11:48:54.106885+02
7698	2813	2	\N	2015-11-22 21:52:45.311354+02
7699	2814	2	\N	2015-11-22 21:57:07.211721+02
7700	2739	2	\N	2015-11-22 21:57:09.506917+02
7701	2739	2	\N	2015-11-22 22:03:49.302367+02
7702	2815	2	\N	2015-11-29 18:03:23.32558+02
7703	2816	2	\N	2015-11-29 18:05:24.319676+02
7704	2818	2	\N	2015-11-29 19:06:37.534692+02
7705	2820	2	\N	2016-01-02 19:03:39.167822+02
7706	1930	2	\N	2016-01-02 19:03:41.6491+02
7707	2821	2	\N	2016-01-02 20:11:21.358279+02
7708	2822	2	\N	2016-01-02 20:11:24.233178+02
7709	2823	2	\N	2016-01-02 20:12:21.682793+02
7710	2824	2	\N	2016-01-02 20:12:46.762385+02
7711	2825	2	\N	2016-01-02 20:15:08.259398+02
7712	2824	2	\N	2016-01-02 20:15:26.352748+02
7713	2826	2	\N	2016-01-02 20:15:55.52191+02
7714	2824	2	\N	2016-01-02 20:17:19.972235+02
7715	2822	2	\N	2016-01-02 20:21:41.413863+02
7716	2827	2	\N	2016-01-02 20:24:24.220398+02
7717	2828	2	\N	2016-01-02 20:24:24.220398+02
7718	2829	2	\N	2016-01-02 20:25:00.491155+02
7719	2830	2	\N	2016-01-02 20:25:43.115841+02
7720	2831	2	\N	2016-01-02 20:26:37.333884+02
7721	2832	2	\N	2016-01-02 20:27:25.581765+02
7722	2833	2	\N	2016-01-02 20:36:13.937348+02
7723	2834	2	\N	2016-01-02 20:36:20.489746+02
7724	2834	2	\N	2016-01-02 20:36:41.364121+02
7725	2835	2	\N	2016-01-02 20:42:25.330155+02
7726	2836	2	\N	2016-01-02 20:42:56.538052+02
7727	2837	2	\N	2016-01-02 20:50:50.737933+02
7728	2838	2	\N	2016-01-02 20:50:50.737933+02
7729	2831	2	\N	2016-01-02 20:50:54.803525+02
7730	2839	2	\N	2016-01-02 20:51:13.095185+02
7731	2840	2	\N	2016-01-02 20:51:13.095185+02
7732	2841	2	\N	2016-01-02 20:52:40.961629+02
7733	2540	2	\N	2016-01-02 20:53:36.703713+02
7734	2842	2	\N	2016-01-02 20:53:48.427475+02
7735	2843	2	\N	2016-01-02 20:53:48.427475+02
7736	2844	2	\N	2016-01-02 21:00:05.527737+02
7737	2845	2	\N	2016-01-02 21:00:05.527737+02
7738	2846	2	\N	2016-01-02 21:03:59.88429+02
7739	2847	2	\N	2016-01-02 21:03:59.88429+02
7740	2848	2	\N	2016-01-02 21:08:47.993297+02
7741	2849	2	\N	2016-01-02 21:08:47.993297+02
7742	2850	2	\N	2016-01-02 21:16:40.983488+02
7743	2851	2	\N	2016-01-02 21:16:40.983488+02
7744	2852	2	\N	2016-01-02 21:36:46.646531+02
7745	2853	2	\N	2016-01-02 21:36:49.099159+02
7746	2854	2	\N	2016-01-02 21:37:14.376182+02
7747	2855	2	\N	2016-01-02 21:37:14.376182+02
7748	2853	2	\N	2016-01-02 21:38:33.232425+02
7749	2853	2	\N	2016-01-02 21:39:02.581845+02
7752	2857	2	\N	2016-01-02 21:39:38.718674+02
7759	2841	2	\N	2016-01-02 22:14:54.924705+02
7750	2853	2	\N	2016-01-02 21:39:16.771773+02
7754	2859	2	\N	2016-01-02 21:48:34.392885+02
7760	2835	2	\N	2016-01-02 22:15:05.490599+02
7769	2860	2	\N	2016-01-02 23:22:02.986231+02
7770	2861	2	\N	2016-01-02 23:22:02.986231+02
7771	2862	2	\N	2016-01-02 23:29:14.591921+02
7772	2863	2	\N	2016-01-02 23:29:43.595496+02
7773	2864	2	\N	2016-01-02 23:32:59.025447+02
7774	2865	2	\N	2016-01-02 23:33:17.678918+02
7775	2866	2	\N	2016-01-02 23:33:24.314299+02
7776	2867	2	\N	2016-01-02 23:34:03.051927+02
7777	2824	2	\N	2016-01-02 23:39:00.961892+02
7778	2868	2	\N	2016-01-30 20:55:14.786454+02
7779	2869	2	\N	2016-01-30 20:59:30.856249+02
7780	2830	2	\N	2016-01-30 21:00:27.913502+02
7781	2830	2	\N	2016-01-30 21:01:18.072032+02
7782	2830	2	\N	2016-01-30 21:01:36.444194+02
7783	2830	2	\N	2016-02-06 15:26:53.662979+02
7784	2830	2	\N	2016-02-06 15:33:10.739181+02
7785	2830	2	\N	2016-02-06 15:34:22.381065+02
7786	2830	2	\N	2016-02-06 15:35:20.238203+02
7787	2830	2	\N	2016-02-06 15:36:19.423459+02
7788	2830	2	\N	2016-02-06 15:45:57.869458+02
7789	2830	2	\N	2016-02-06 15:55:27.857802+02
7790	2830	2	\N	2016-02-06 16:02:20.536632+02
7791	2830	2	\N	2016-02-06 16:19:02.587853+02
7792	2830	2	\N	2016-02-06 16:19:14.340638+02
7793	2830	2	\N	2016-02-06 16:19:40.099469+02
7794	2870	2	\N	2016-02-07 17:23:20.218116+02
7795	2871	2	\N	2016-02-07 17:23:20.218116+02
7799	2873	2	\N	2016-02-07 21:19:25.018357+02
7800	2874	2	\N	2016-02-07 21:20:02.361201+02
7801	2875	2	\N	2016-02-07 21:20:21.884033+02
7802	2876	2	\N	2016-02-07 21:21:03.816914+02
7803	2877	2	\N	2016-02-07 21:21:07.920879+02
7804	2788	2	\N	2016-05-09 12:53:56.945117+03
7805	2878	2	\N	2016-05-09 12:57:37.410132+03
7806	2879	2	\N	2016-05-09 12:58:01.601364+03
7807	2875	2	\N	2016-05-09 14:19:09.461648+03
7808	2879	2	\N	2016-05-09 14:19:09.461648+03
7809	2875	2	\N	2016-05-09 14:21:24.121089+03
7810	2879	2	\N	2016-05-09 14:21:24.121089+03
7811	2877	2	\N	2016-05-09 19:49:23.40543+03
7812	2877	2	\N	2016-05-09 20:42:10.779147+03
7813	2877	2	\N	2016-05-09 20:59:03.503884+03
7814	2877	2	\N	2016-05-09 20:59:20.181507+03
7815	2880	2	\N	2016-05-14 12:24:09.362992+03
7816	2881	2	\N	2016-05-14 12:24:17.0673+03
7817	2882	2	\N	2016-05-14 12:40:37.631348+03
7818	2883	2	\N	2016-05-14 12:42:08.065152+03
7822	2887	2	\N	2016-05-14 19:24:38.497791+03
7823	2882	2	\N	2016-05-14 19:25:04.0458+03
7824	2888	2	\N	2016-05-14 19:26:49.355068+03
7825	2889	2	\N	2016-05-14 19:27:41.044427+03
7826	2888	2	\N	2016-05-14 19:28:16.54874+03
7827	2889	2	\N	2016-05-14 19:33:22.988649+03
7828	2131	2	\N	2016-05-15 18:01:05.003665+03
7829	1932	2	\N	2016-05-15 18:01:28.601998+03
7830	1939	2	\N	2016-05-15 18:01:28.601998+03
7831	2131	2	\N	2016-05-15 18:01:28.601998+03
7832	2890	2	\N	2016-05-15 18:35:21.882133+03
7847	1849	2	\N	2016-05-22 20:11:06.601318+03
7848	2903	2	\N	2016-05-22 20:42:01.686171+03
7850	2888	2	\N	2016-06-12 18:45:48.22505+03
7851	772	2	\N	2016-06-12 18:46:48.423567+03
7852	725	2	\N	2016-06-12 18:47:13.092956+03
7853	784	2	\N	2016-06-12 18:49:28.974684+03
7854	784	2	\N	2016-06-12 18:51:26.23605+03
7855	2247	2	\N	2016-06-12 18:52:17.724152+03
7856	1413	2	\N	2016-06-12 18:52:55.036571+03
7857	1318	2	\N	2016-06-12 18:53:39.336876+03
7858	1314	2	\N	2016-06-12 18:54:40.013112+03
7859	1095	2	\N	2016-06-12 18:57:44.248305+03
7860	878	2	\N	2016-06-12 18:57:52.02832+03
7861	2887	2	\N	2016-06-12 19:00:45.455196+03
7862	2882	2	\N	2016-06-12 19:01:13.039783+03
7863	2788	2	\N	2016-06-12 19:01:30.584665+03
7864	2583	2	\N	2016-06-12 19:01:59.143077+03
7865	2558	2	\N	2016-06-12 19:02:36.175946+03
7866	2551	2	\N	2016-06-12 19:03:37.898942+03
7867	2516	2	\N	2016-06-12 19:04:06.271906+03
7868	2513	2	\N	2016-06-12 19:04:31.460583+03
7869	2296	2	\N	2016-06-12 19:05:05.227+03
7870	2292	2	\N	2016-06-12 19:06:37.050125+03
7871	2276	2	\N	2016-06-12 19:07:27.341086+03
7872	2268	2	\N	2016-06-12 19:07:46.312418+03
7873	2244	2	\N	2016-06-12 19:08:11.579054+03
7874	2243	2	\N	2016-06-12 19:08:39.453799+03
7875	2217	2	\N	2016-06-12 19:09:02.580116+03
7876	2135	2	\N	2016-06-12 19:09:39.794735+03
7877	2127	2	\N	2016-06-12 19:10:08.975875+03
7878	2108	2	\N	2016-06-12 19:10:27.895665+03
7879	2276	2	\N	2016-06-12 19:10:41.100754+03
7880	2100	2	\N	2016-06-12 19:11:17.465277+03
7881	2099	2	\N	2016-06-12 19:11:33.334036+03
7882	2049	2	\N	2016-06-12 19:11:50.921234+03
7883	1968	2	\N	2016-06-12 19:12:07.782103+03
7884	1941	2	\N	2016-06-12 19:12:30.504714+03
7885	1894	2	\N	2016-06-12 19:13:06.764103+03
7886	1884	2	\N	2016-06-12 19:14:14.633068+03
7887	1849	2	\N	2016-06-12 19:14:36.013047+03
7888	1799	2	\N	2016-06-12 19:14:52.646537+03
7889	1797	2	\N	2016-06-12 19:15:54.892109+03
7890	1548	2	\N	2016-06-12 19:16:37.7143+03
7891	1521	2	\N	2016-06-12 19:17:04.475532+03
7892	1435	2	\N	2016-06-12 19:17:55.308631+03
7893	1433	2	\N	2016-06-12 19:18:27.119556+03
7894	1424	2	\N	2016-06-12 19:18:54.681198+03
7895	1393	2	\N	2016-06-12 19:19:41.040229+03
7896	1317	2	\N	2016-06-12 19:20:07.122053+03
7897	1313	2	\N	2016-06-12 19:20:43.704349+03
7898	1268	2	\N	2016-06-12 19:21:17.457024+03
7899	1225	2	\N	2016-06-12 19:21:42.431685+03
7900	1211	2	\N	2016-06-12 19:21:57.927763+03
7901	1207	2	\N	2016-06-12 19:22:13.829139+03
7902	1198	2	\N	2016-06-12 19:22:32.264053+03
7903	1190	2	\N	2016-06-12 19:22:54.801074+03
7904	1189	2	\N	2016-06-12 19:23:36.149132+03
7905	1088	2	\N	2016-06-12 19:24:03.186521+03
7906	1081	2	\N	2016-06-12 19:24:18.841926+03
7907	1007	2	\N	2016-06-12 19:24:41.063226+03
7908	1003	2	\N	2016-06-12 19:25:01.6884+03
7909	954	2	\N	2016-06-12 19:25:21.828467+03
7910	953	2	\N	2016-06-12 19:25:35.283531+03
7911	909	2	\N	2016-06-12 19:25:55.660588+03
7912	954	2	\N	2016-06-12 19:26:03.832442+03
7913	908	2	\N	2016-06-12 19:26:22.461914+03
7914	901	2	\N	2016-06-12 19:26:39.035505+03
7915	872	2	\N	2016-06-12 19:26:48.439834+03
7916	865	2	\N	2016-06-12 19:27:18.908205+03
7917	788	2	\N	2016-06-12 19:27:47.009299+03
7918	775	2	\N	2016-06-12 19:28:17.716597+03
7919	769	2	\N	2016-06-12 19:28:58.268968+03
7920	764	2	\N	2016-06-12 19:29:16.089449+03
7921	723	2	\N	2016-06-12 19:29:30.976297+03
7922	706	2	\N	2016-06-12 19:29:46.837575+03
7923	283	2	\N	2016-06-12 19:29:57.083572+03
7924	274	2	\N	2016-06-12 19:30:06.053627+03
7925	16	2	\N	2016-06-12 19:30:19.35102+03
7926	10	2	\N	2016-06-12 19:30:32.966151+03
7927	2887	2	\N	2016-06-12 19:59:55.740881+03
\.


--
-- Name: resource_log_id_seq; Type: SEQUENCE SET; Schema: company_ru; Owner: -
--

SELECT pg_catalog.setval('resource_log_id_seq', 7927, true);


--
-- Data for Name: resource_type; Type: TABLE DATA; Schema: company_ru; Owner: -
--

COPY resource_type (id, resource_id, name, humanize, resource_name, module, settings, descr, status) FROM stdin;
149	2516	uploads	Загрузки	UploadsResource	travelcrm.resources.uploads	null	Загрузка файлов для всех типов ресурсов	0
148	2513	vats	НДС	VatsResource	travelcrm.resources.vats	null	Настройки НДС	0
146	2296	leads_offers	Предложения по лидам	LeadsOffersResource	travelcrm.resources.leads_offers	null	Список предложений по лиду	0
145	2292	leads_items	Список сервисов	LeadsItemsResource	travelcrm.resources.leads_items	null	Список сервисов в документе лида	0
137	2108	tours	Туры	ToursResource	travelcrm.resources.tours	null	Сервис оформления туров	0
134	2099	orders	Заявки	OrdersResource	travelcrm.resources.orders	{"html_template": "GNU GENERAL PUBLIC LICENSE\\r\\n\\r\\nVersion 3, 29 June 2007\\r\\n\\r\\nCopyright \\u00a9 2007 Free Software Foundation, Inc. <http://fsf.org/>\\r\\n\\r\\nEveryone is permitted to copy and distribute verbatim copies of this license document, but changing it is not allowed.\\r\\n\\r\\nPreamble\\r\\n\\r\\nThe GNU General Public License is a free, copyleft license for software and other kinds of works.\\r\\n\\r\\nThe licenses for most software and other practical works are designed to take away your freedom to share and change the works. By contrast, the GNU General Public License is intended to guarantee your freedom to share and change all versions of a program--to make sure it remains free software for all its users. We, the Free Software Foundation, use the GNU General Public License for most of our software; it applies also to any other work released this way by its authors. You can apply it to your programs, too.\\r\\n\\r\\nWhen we speak of free software, we are referring to freedom, not price. Our General Public Licenses are designed to make sure that you have the freedom to distribute copies of free software (and charge for them if you wish), that you receive source code or can get it if you want it, that you can change the software or use pieces of it in new free programs, and that you know you can do these things.\\r\\n\\r\\nTo protect your rights, we need to prevent others from denying you these rights or asking you to surrender the rights. Therefore, you have certain responsibilities if you distribute copies of the software, or if you modify it: responsibilities to respect the freedom of others.\\r\\n\\r\\nFor example, if you distribute copies of such a program, whether gratis or for a fee, you must pass on to the recipients the same freedoms that you received. You must make sure that they, too, receive or can get the source code. And you must show them these terms so they know their rights.\\r\\n\\r\\nDevelopers that use the GNU GPL protect your rights with two steps: (1) assert copyright on the software, and (2) offer you this License giving you legal permission to copy, distribute and/or modify it.\\r\\n\\r\\nFor the developers' and authors' protection, the GPL clearly explains that there is no warranty for this free software. For both users' and authors' sake, the GPL requires that modified versions be marked as changed, so that their problems will not be attributed erroneously to authors of previous versions.\\r\\n\\r\\nSome devices are designed to deny users access to install or run modified versions of the software inside them, although the manufacturer can do so. This is fundamentally incompatible with the aim of protecting users' freedom to change the software. The systematic pattern of such abuse occurs in the area of products for individuals to use, which is precisely where it is most unacceptable. Therefore, we have designed this version of the GPL to prohibit the practice for those products. If such problems arise substantially in other domains, we stand ready to extend this provision to those domains in future versions of the GPL, as needed to protect the freedom of users.\\r\\n\\r\\nFinally, every program is threatened constantly by software patents. States should not allow patents to restrict development and use of software on general-purpose computers, but in those that do, we wish to avoid the special danger that patents applied to a free program could make it effectively proprietary. To prevent this, the GPL assures that patents cannot be used to render the program non-free.\\r\\n\\r\\nThe precise terms and conditions for copying, distribution and modification follow.\\r\\n\\r\\nTERMS AND CONDITIONS\\r\\n\\r\\n0. Definitions.\\r\\n\\r\\n\\u201cThis License\\u201d refers to version 3 of the GNU General Public License.\\r\\n\\r\\n\\u201cCopyright\\u201d also means copyright-like laws that apply to other kinds of works, such as semiconductor masks.\\r\\n\\r\\n\\u201cThe Program\\u201d refers to any copyrightable work licensed under this License. Each licensee is addressed as \\u201cyou\\u201d. \\u201cLicensees\\u201d and \\u201crecipients\\u201d may be individuals or organizations.\\r\\n\\r\\nTo \\u201cmodify\\u201d a work means to copy from or adapt all or part of the work in a fashion requiring copyright permission, other than the making of an exact copy. The resulting work is called a \\u201cmodified version\\u201d of the earlier work or a work \\u201cbased on\\u201d the earlier work.\\r\\n\\r\\nA \\u201ccovered work\\u201d means either the unmodified Program or a work based on the Program.\\r\\n\\r\\nTo \\u201cpropagate\\u201d a work means to do anything with it that, without permission, would make you directly or secondarily liable for infringement under applicable copyright law, except executing it on a computer or modifying a private copy. Propagation includes copying, distribution (with or without modification), making available to the public, and in some countries other activities as well.\\r\\n\\r\\nTo \\u201cconvey\\u201d a work means any kind of propagation that enables other parties to make or receive copies. Mere interaction with a user through a computer network, with no transfer of a copy, is not conveying.\\r\\n\\r\\nAn interactive user interface displays \\u201cAppropriate Legal Notices\\u201d to the extent that it includes a convenient and prominently visible feature that (1) displays an appropriate copyright notice, and (2) tells the user that there is no warranty for the work (except to the extent that warranties are provided), that licensees may convey the work under this License, and how to view a copy of this License. If the interface presents a list of user commands or options, such as a menu, a prominent item in the list meets this criterion.\\r\\n\\r\\n1. Source Code.\\r\\n\\r\\nThe \\u201csource code\\u201d for a work means the preferred form of the work for making modifications to it. \\u201cObject code\\u201d means any non-source form of a work.\\r\\n\\r\\nA \\u201cStandard Interface\\u201d means an interface that either is an official standard defined by a recognized standards body, or, in the case of interfaces specified for a particular programming language, one that is widely used among developers working in that language.\\r\\n\\r\\nThe \\u201cSystem Libraries\\u201d of an executable work include anything, other than the work as a whole, that (a) is included in the normal form of packaging a Major Component, but which is not part of that Major Component, and (b) serves only to enable use of the work with that Major Component, or to implement a Standard Interface for which an implementation is available to the public in source code form. A \\u201cMajor Component\\u201d, in this context, means a major essential component (kernel, window system, and so on) of the specific operating system (if any) on which the executable work runs, or a compiler used to produce the work, or an object code interpreter used to run it.\\r\\n\\r\\nThe \\u201cCorresponding Source\\u201d for a work in object code form means all the source code needed to generate, install, and (for an executable work) run the object code and to modify the work, including scripts to control those activities. However, it does not include the work's System Libraries, or general-purpose tools or generally available free programs which are used unmodified in performing those activities but which are not part of the work. For example, Corresponding Source includes interface definition files associated with source files for the work, and the source code for shared libraries and dynamically linked subprograms that the work is specifically designed to require, such as by intimate data communication or control flow between those subprograms and other parts of the work.\\r\\n\\r\\nThe Corresponding Source need not include anything that users can regenerate automatically from other parts of the Corresponding Source.\\r\\n\\r\\nThe Corresponding Source for a work in source code form is that same work.\\r\\n\\r\\n2. Basic Permissions.\\r\\n\\r\\nAll rights granted under this License are granted for the term of copyright on the Program, and are irrevocable provided the stated conditions are met. This License explicitly affirms your unlimited permission to run the unmodified Program. The output from running a covered work is covered by this License only if the output, given its content, constitutes a covered work. This License acknowledges your rights of fair use or other equivalent, as provided by copyright law.\\r\\n\\r\\nYou may make, run and propagate covered works that you do not convey, without conditions so long as your license otherwise remains in force. You may convey covered works to others for the sole purpose of having them make modifications exclusively for you, or provide you with facilities for running those works, provided that you comply with the terms of this License in conveying all material for which you do not control copyright. Those thus making or running the covered works for you must do so exclusively on your behalf, under your direction and control, on terms that prohibit them from making any copies of your copyrighted material outside their relationship with you.\\r\\n\\r\\nConveying under any other circumstances is permitted solely under the conditions stated below. Sublicensing is not allowed; section 10 makes it unnecessary.\\r\\n\\r\\n3. Protecting Users' Legal Rights From Anti-Circumvention Law.\\r\\n\\r\\nNo covered work shall be deemed part of an effective technological measure under any applicable law fulfilling obligations under article 11 of the WIPO copyright treaty adopted on 20 December 1996, or similar laws prohibiting or restricting circumvention of such measures.\\r\\n\\r\\nWhen you convey a covered work, you waive any legal power to forbid circumvention of technological measures to the extent such circumvention is effected by exercising rights under this License with respect to the covered work, and you disclaim any intention to limit operation or modification of the work as a means of enforcing, against the work's users, your or third parties' legal rights to forbid circumvention of technological measures.\\r\\n\\r\\n4. Conveying Verbatim Copies.\\r\\n\\r\\nYou may convey verbatim copies of the Program's source code as you receive it, in any medium, provided that you conspicuously and appropriately publish on each copy an appropriate copyright notice; keep intact all notices stating that this License and any non-permissive terms added in accord with section 7 apply to the code; keep intact all notices of the absence of any warranty; and give all recipients a copy of this License along with the Program.\\r\\n\\r\\nYou may charge any price or no price for each copy that you convey, and you may offer support or warranty protection for a fee.\\r\\n\\r\\n5. Conveying Modified Source Versions.\\r\\n\\r\\nYou may convey a work based on the Program, or the modifications to produce it from the Program, in the form of source code under the terms of section 4, provided that you also meet all of these conditions:\\r\\n\\r\\na) The work must carry prominent notices stating that you modified it, and giving a relevant date.\\r\\nb) The work must carry prominent notices stating that it is released under this License and any conditions added under section 7. This requirement modifies the requirement in section 4 to \\u201ckeep intact all notices\\u201d.\\r\\nc) You must license the entire work, as a whole, under this License to anyone who comes into possession of a copy. This License will therefore apply, along with any applicable section 7 additional terms, to the whole of the work, and all its parts, regardless of how they are packaged. This License gives no permission to license the work in any other way, but it does not invalidate such permission if you have separately received it.\\r\\nd) If the work has interactive user interfaces, each must display Appropriate Legal Notices; however, if the Program has interactive interfaces that do not display Appropriate Legal Notices, your work need not make them do so.\\r\\nA compilation of a covered work with other separate and independent works, which are not by their nature extensions of the covered work, and which are not combined with it such as to form a larger program, in or on a volume of a storage or distribution medium, is called an \\u201caggregate\\u201d if the compilation and its resulting copyright are not used to limit the access or legal rights of the compilation's users beyond what the individual works permit. Inclusion of a covered work in an aggregate does not cause this License to apply to the other parts of the aggregate.\\r\\n\\r\\n6. Conveying Non-Source Forms.\\r\\n\\r\\nYou may convey a covered work in object code form under the terms of sections 4 and 5, provided that you also convey the machine-readable Corresponding Source under the terms of this License, in one of these ways:\\r\\n\\r\\na) Convey the object code in, or embodied in, a physical product (including a physical distribution medium), accompanied by the Corresponding Source fixed on a durable physical medium customarily used for software interchange.\\r\\nb) Convey the object code in, or embodied in, a physical product (including a physical distribution medium), accompanied by a written offer, valid for at least three years and valid for as long as you offer spare parts or customer support for that product model, to give anyone who possesses the object code either (1) a copy of the Corresponding Source for all the software in the product that is covered by this License, on a durable physical medium customarily used for software interchange, for a price no more than your reasonable cost of physically performing this conveying of source, or (2) access to copy the Corresponding Source from a network server at no charge.\\r\\nc) Convey individual copies of the object code with a copy of the written offer to provide the Corresponding Source. This alternative is allowed only occasionally and noncommercially, and only if you received the object code with such an offer, in accord with subsection 6b.\\r\\nd) Convey the object code by offering access from a designated place (gratis or for a charge), and offer equivalent access to the Corresponding Source in the same way through the same place at no further charge. You need not require recipients to copy the Corresponding Source along with the object code. If the place to copy the object code is a network server, the Corresponding Source may be on a different server (operated by you or a third party) that supports equivalent copying facilities, provided you maintain clear directions next to the object code saying where to find the Corresponding Source. Regardless of what server hosts the Corresponding Source, you remain obligated to ensure that it is available for as long as needed to satisfy these requirements.\\r\\ne) Convey the object code using peer-to-peer transmission, provided you inform other peers where the object code and Corresponding Source of the work are being offered to the general public at no charge under subsection 6d.\\r\\nA separable portion of the object code, whose source code is excluded from the Corresponding Source as a System Library, need not be included in conveying the object code work.\\r\\n\\r\\nA \\u201cUser Product\\u201d is either (1) a \\u201cconsumer product\\u201d, which means any tangible personal property which is normally used for personal, family, or household purposes, or (2) anything designed or sold for incorporation into a dwelling. In determining whether a product is a consumer product, doubtful cases shall be resolved in favor of coverage. For a particular product received by a particular user, \\u201cnormally used\\u201d refers to a typical or common use of that class of product, regardless of the status of the particular user or of the way in which the particular user actually uses, or expects or is expected to use, the product. A product is a consumer product regardless of whether the product has substantial commercial, industrial or non-consumer uses, unless such uses represent the only significant mode of use of the product.\\r\\n\\r\\n\\u201cInstallation Information\\u201d for a User Product means any methods, procedures, authorization keys, or other information required to install and execute modified versions of a covered work in that User Product from a modified version of its Corresponding Source. The information must suffice to ensure that the continued functioning of the modified object code is in no case prevented or interfered with solely because modification has been made.\\r\\n\\r\\nIf you convey an object code work under this section in, or with, or specifically for use in, a User Product, and the conveying occurs as part of a transaction in which the right of possession and use of the User Product is transferred to the recipient in perpetuity or for a fixed term (regardless of how the transaction is characterized), the Corresponding Source conveyed under this section must be accompanied by the Installation Information. But this requirement does not apply if neither you nor any third party retains the ability to install modified object code on the User Product (for example, the work has been installed in ROM).\\r\\n\\r\\nThe requirement to provide Installation Information does not include a requirement to continue to provide support service, warranty, or updates for a work that has been modified or installed by the recipient, or for the User Product in which it has been modified or installed. Access to a network may be denied when the modification itself materially and adversely affects the operation of the network or violates the rules and protocols for communication across the network.\\r\\n\\r\\nCorresponding Source conveyed, and Installation Information provided, in accord with this section must be in a format that is publicly documented (and with an implementation available to the public in source code form), and must require no special password or key for unpacking, reading or copying.\\r\\n\\r\\n7. Additional Terms.\\r\\n\\r\\n\\u201cAdditional permissions\\u201d are terms that supplement the terms of this License by making exceptions from one or more of its conditions. Additional permissions that are applicable to the entire Program shall be treated as though they were included in this License, to the extent that they are valid under applicable law. If additional permissions apply only to part of the Program, that part may be used separately under those permissions, but the entire Program remains governed by this License without regard to the additional permissions.\\r\\n\\r\\nWhen you convey a copy of a covered work, you may at your option remove any additional permissions from that copy, or from any part of it. (Additional permissions may be written to require their own removal in certain cases when you modify the work.) You may place additional permissions on material, added by you to a covered work, for which you have or can give appropriate copyright permission.\\r\\n\\r\\nNotwithstanding any other provision of this License, for material you add to a covered work, you may (if authorized by the copyright holders of that material) supplement the terms of this License with terms:\\r\\n\\r\\na) Disclaiming warranty or limiting liability differently from the terms of sections 15 and 16 of this License; or\\r\\nb) Requiring preservation of specified reasonable legal notices or author attributions in that material or in the Appropriate Legal Notices displayed by works containing it; or\\r\\nc) Prohibiting misrepresentation of the origin of that material, or requiring that modified versions of such material be marked in reasonable ways as different from the original version; or\\r\\nd) Limiting the use for publicity purposes of names of licensors or authors of the material; or\\r\\ne) Declining to grant rights under trademark law for use of some trade names, trademarks, or service marks; or\\r\\nf) Requiring indemnification of licensors and authors of that material by anyone who conveys the material (or modified versions of it) with contractual assumptions of liability to the recipient, for any liability that these contractual assumptions directly impose on those licensors and authors.\\r\\nAll other non-permissive additional terms are considered \\u201cfurther restrictions\\u201d within the meaning of section 10. If the Program as you received it, or any part of it, contains a notice stating that it is governed by this License along with a term that is a further restriction, you may remove that term. If a license document contains a further restriction but permits relicensing or conveying under this License, you may add to a covered work material governed by the terms of that license document, provided that the further restriction does not survive such relicensing or conveying.\\r\\n\\r\\nIf you add terms to a covered work in accord with this section, you must place, in the relevant source files, a statement of the additional terms that apply to those files, or a notice indicating where to find the applicable terms.\\r\\n\\r\\nAdditional terms, permissive or non-permissive, may be stated in the form of a separately written license, or stated as exceptions; the above requirements apply either way.\\r\\n\\r\\n8. Termination.\\r\\n\\r\\nYou may not propagate or modify a covered work except as expressly provided under this License. Any attempt otherwise to propagate or modify it is void, and will automatically terminate your rights under this License (including any patent licenses granted under the third paragraph of section 11).\\r\\n\\r\\nHowever, if you cease all violation of this License, then your license from a particular copyright holder is reinstated (a) provisionally, unless and until the copyright holder explicitly and finally terminates your license, and (b) permanently, if the copyright holder fails to notify you of the violation by some reasonable means prior to 60 days after the cessation.\\r\\n\\r\\nMoreover, your license from a particular copyright holder is reinstated permanently if the copyright holder notifies you of the violation by some reasonable means, this is the first time you have received notice of violation of this License (for any work) from that copyright holder, and you cure the violation prior to 30 days after your receipt of the notice.\\r\\n\\r\\nTermination of your rights under this section does not terminate the licenses of parties who have received copies or rights from you under this License. If your rights have been terminated and not permanently reinstated, you do not qualify to receive new licenses for the same material under section 10.\\r\\n\\r\\n9. Acceptance Not Required for Having Copies.\\r\\n\\r\\nYou are not required to accept this License in order to receive or run a copy of the Program. Ancillary propagation of a covered work occurring solely as a consequence of using peer-to-peer transmission to receive a copy likewise does not require acceptance. However, nothing other than this License grants you permission to propagate or modify any covered work. These actions infringe copyright if you do not accept this License. Therefore, by modifying or propagating a covered work, you indicate your acceptance of this License to do so.\\r\\n\\r\\n10. Automatic Licensing of Downstream Recipients.\\r\\n\\r\\nEach time you convey a covered work, the recipient automatically receives a license from the original licensors, to run, modify and propagate that work, subject to this License. You are not responsible for enforcing compliance by third parties with this License.\\r\\n\\r\\nAn \\u201centity transaction\\u201d is a transaction transferring control of an organization, or substantially all assets of one, or subdividing an organization, or merging organizations. If propagation of a covered work results from an entity transaction, each party to that transaction who receives a copy of the work also receives whatever licenses to the work the party's predecessor in interest had or could give under the previous paragraph, plus a right to possession of the Corresponding Source of the work from the predecessor in interest, if the predecessor has it or can get it with reasonable efforts.\\r\\n\\r\\nYou may not impose any further restrictions on the exercise of the rights granted or affirmed under this License. For example, you may not impose a license fee, royalty, or other charge for exercise of rights granted under this License, and you may not initiate litigation (including a cross-claim or counterclaim in a lawsuit) alleging that any patent claim is infringed by making, using, selling, offering for sale, or importing the Program or any portion of it.\\r\\n\\r\\n11. Patents.\\r\\n\\r\\nA \\u201ccontributor\\u201d is a copyright holder who authorizes use under this License of the Program or a work on which the Program is based. The work thus licensed is called the contributor's \\u201ccontributor version\\u201d.\\r\\n\\r\\nA contributor's \\u201cessential patent claims\\u201d are all patent claims owned or controlled by the contributor, whether already acquired or hereafter acquired, that would be infringed by some manner, permitted by this License, of making, using, or selling its contributor version, but do not include claims that would be infringed only as a consequence of further modification of the contributor version. For purposes of this definition, \\u201ccontrol\\u201d includes the right to grant patent sublicenses in a manner consistent with the requirements of this License.\\r\\n\\r\\nEach contributor grants you a non-exclusive, worldwide, royalty-free patent license under the contributor's essential patent claims, to make, use, sell, offer for sale, import and otherwise run, modify and propagate the contents of its contributor version.\\r\\n\\r\\nIn the following three paragraphs, a \\u201cpatent license\\u201d is any express agreement or commitment, however denominated, not to enforce a patent (such as an express permission to practice a patent or covenant not to sue for patent infringement). To \\u201cgrant\\u201d such a patent license to a party means to make such an agreement or commitment not to enforce a patent against the party.\\r\\n\\r\\nIf you convey a covered work, knowingly relying on a patent license, and the Corresponding Source of the work is not available for anyone to copy, free of charge and under the terms of this License, through a publicly available network server or other readily accessible means, then you must either (1) cause the Corresponding Source to be so available, or (2) arrange to deprive yourself of the benefit of the patent license for this particular work, or (3) arrange, in a manner consistent with the requirements of this License, to extend the patent license to downstream recipients. \\u201cKnowingly relying\\u201d means you have actual knowledge that, but for the patent license, your conveying the covered work in a country, or your recipient's use of the covered work in a country, would infringe one or more identifiable patents in that country that you have reason to believe are valid.\\r\\n\\r\\nIf, pursuant to or in connection with a single transaction or arrangement, you convey, or propagate by procuring conveyance of, a covered work, and grant a patent license to some of the parties receiving the covered work authorizing them to use, propagate, modify or convey a specific copy of the covered work, then the patent license you grant is automatically extended to all recipients of the covered work and works based on it.\\r\\n\\r\\nA patent license is \\u201cdiscriminatory\\u201d if it does not include within the scope of its coverage, prohibits the exercise of, or is conditioned on the non-exercise of one or more of the rights that are specifically granted under this License. You may not convey a covered work if you are a party to an arrangement with a third party that is in the business of distributing software, under which you make payment to the third party based on the extent of your activity of conveying the work, and under which the third party grants, to any of the parties who would receive the covered work from you, a discriminatory patent license (a) in connection with copies of the covered work conveyed by you (or copies made from those copies), or (b) primarily for and in connection with specific products or compilations that contain the covered work, unless you entered into that arrangement, or that patent license was granted, prior to 28 March 2007.\\r\\n\\r\\nNothing in this License shall be construed as excluding or limiting any implied license or other defenses to infringement that may otherwise be available to you under applicable patent law.\\r\\n\\r\\n12. No Surrender of Others' Freedom.\\r\\n\\r\\nIf conditions are imposed on you (whether by court order, agreement or otherwise) that contradict the conditions of this License, they do not excuse you from the conditions of this License. If you cannot convey a covered work so as to satisfy simultaneously your obligations under this License and any other pertinent obligations, then as a consequence you may not convey it at all. For example, if you agree to terms that obligate you to collect a royalty for further conveying from those to whom you convey the Program, the only way you could satisfy both those terms and this License would be to refrain entirely from conveying the Program.\\r\\n\\r\\n13. Use with the GNU Affero General Public License.\\r\\n\\r\\nNotwithstanding any other provision of this License, you have permission to link or combine any covered work with a work licensed under version 3 of the GNU Affero General Public License into a single combined work, and to convey the resulting work. The terms of this License will continue to apply to the part which is the covered work, but the special requirements of the GNU Affero General Public License, section 13, concerning interaction through a network will apply to the combination as such.\\r\\n\\r\\n14. Revised Versions of this License.\\r\\n\\r\\nThe Free Software Foundation may publish revised and/or new versions of the GNU General Public License from time to time. Such new versions will be similar in spirit to the present version, but may differ in detail to address new problems or concerns.\\r\\n\\r\\nEach version is given a distinguishing version number. If the Program specifies that a certain numbered version of the GNU General Public License \\u201cor any later version\\u201d applies to it, you have the option of following the terms and conditions either of that numbered version or of any later version published by the Free Software Foundation. If the Program does not specify a version number of the GNU General Public License, you may choose any version ever published by the Free Software Foundation.\\r\\n\\r\\nIf the Program specifies that a proxy can decide which future versions of the GNU General Public License can be used, that proxy's public statement of acceptance of a version permanently authorizes you to choose that version for the Program.\\r\\n\\r\\nLater license versions may give you additional or different permissions. However, no additional obligations are imposed on any author or copyright holder as a result of your choosing to follow a later version.\\r\\n\\r\\n15. Disclaimer of Warranty.\\r\\n\\r\\nTHERE IS NO WARRANTY FOR THE PROGRAM, TO THE EXTENT PERMITTED BY APPLICABLE LAW. EXCEPT WHEN OTHERWISE STATED IN WRITING THE COPYRIGHT HOLDERS AND/OR OTHER PARTIES PROVIDE THE PROGRAM \\u201cAS IS\\u201d WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE. THE ENTIRE RISK AS TO THE QUALITY AND PERFORMANCE OF THE PROGRAM IS WITH YOU. SHOULD THE PROGRAM PROVE DEFECTIVE, YOU ASSUME THE COST OF ALL NECESSARY SERVICING, REPAIR OR CORRECTION.\\r\\n\\r\\n16. Limitation of Liability.\\r\\n\\r\\nIN NO EVENT UNLESS REQUIRED BY APPLICABLE LAW OR AGREED TO IN WRITING WILL ANY COPYRIGHT HOLDER, OR ANY OTHER PARTY WHO MODIFIES AND/OR CONVEYS THE PROGRAM AS PERMITTED ABOVE, BE LIABLE TO YOU FOR DAMAGES, INCLUDING ANY GENERAL, SPECIAL, INCIDENTAL OR CONSEQUENTIAL DAMAGES ARISING OUT OF THE USE OR INABILITY TO USE THE PROGRAM (INCLUDING BUT NOT LIMITED TO LOSS OF DATA OR DATA BEING RENDERED INACCURATE OR LOSSES SUSTAINED BY YOU OR THIRD PARTIES OR A FAILURE OF THE PROGRAM TO OPERATE WITH ANY OTHER PROGRAMS), EVEN IF SUCH HOLDER OR OTHER PARTY HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES.\\r\\n\\r\\n17. Interpretation of Sections 15 and 16.\\r\\n\\r\\nIf the disclaimer of warranty and limitation of liability provided above cannot be given local legal effect according to their terms, reviewing courts shall apply local law that most closely approximates an absolute waiver of all civil liability in connection with the Program, unless a warranty or assumption of liability accompanies a copy of the Program in return for a fee.\\r\\n\\r\\nEND OF TERMS AND CONDITIONS\\r\\n\\r\\nHow to Apply These Terms to Your New Programs\\r\\n\\r\\nIf you develop a new program, and you want it to be of the greatest possible use to the public, the best way to achieve this is to make it free software which everyone can redistribute and change under these terms.\\r\\n\\r\\nTo do so, attach the following notices to the program. It is safest to attach them to the start of each source file to most effectively state the exclusion of warranty; and each file should have at least the \\u201ccopyright\\u201d line and a pointer to where the full notice is found.\\r\\n\\r\\n    <one line to give the program's name and a brief idea of what it does.>\\r\\n    Copyright (C) <year>  <name of author>\\r\\n\\r\\n    This program is free software: you can redistribute it and/or modify\\r\\n    it under the terms of the GNU General Public License as published by\\r\\n    the Free Software Foundation, either version 3 of the License, or\\r\\n    (at your option) any later version.\\r\\n\\r\\n    This program is distributed in the hope that it will be useful,\\r\\n    but WITHOUT ANY WARRANTY; without even the implied warranty of\\r\\n    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the\\r\\n    GNU General Public License for more details.\\r\\n\\r\\n    You should have received a copy of the GNU General Public License\\r\\n    along with this program.  If not, see <http://www.gnu.org/licenses/>.\\r\\nAlso add information on how to contact you by electronic and paper mail.\\r\\n\\r\\nIf the program does terminal interaction, make it output a short notice like this when it starts in an interactive mode:\\r\\n\\r\\n    <program>  Copyright (C) <year>  <name of author>\\r\\n    This program comes with ABSOLUTELY NO WARRANTY; for details type `show w'.\\r\\n    This is free software, and you are welcome to redistribute it\\r\\n    under certain conditions; type `show c' for details.\\r\\nThe hypothetical commands `show w' and `show c' should show the appropriate parts of the General Public License. Of course, your program's commands might be different; for a GUI interface, you would use an \\u201cabout box\\u201d.\\r\\n\\r\\nYou should also get your employer (if you work as a programmer) or school, if any, to sign a \\u201ccopyright disclaimer\\u201d for the program, if necessary. For more information on this, and how to apply and follow the GNU GPL, see <http://www.gnu.org/licenses/>.\\r\\n\\r\\nThe GNU General Public License does not permit incorporating your program into proprietary programs. If your program is a subroutine library, you may consider it more useful to permit linking proprietary applications with the library. If this is what you want to do, use the GNU Lesser General Public License instead of this License. But first, please read <http://www.gnu.org/philosophy/why-not-lgpl.html>."}	Список заявок	0
130	2049	leads	Лиды	LeadsResource	travelcrm.resources.leads	null	Список лидов	0
126	1968	companies	Компании	CompaniesResource	travelcrm.resources.companies	null		0
121	1894	turnovers	Обороты	TurnoversResource	travelcrm.resources.turnovers	null	Отчет по оборотам для счетов и субсчетов	0
118	1799	notes	Заметки	NotesResource	travelcrm.resources.notes	null	Заметки к ресурсам	0
117	1797	subaccounts	Субсчета	SubaccountsResource	travelcrm.resources.subaccounts	null	Субсчета это счета для других объектов, типа физ лиц, поставщиков, сотрудников	0
111	1548	outgoings	Исходящие платежи	OutgoingsResource	travelcrm.resources.outgoings	null	Исходящие платежи в пользу поставщиков, клиентов и тд.	0
110	1521	commissions	Комиссии	CommissionsResource	travelcrm.resources.commissions	null	Справочник комиссия для сервисов	0
107	1435	accounts	Счета	AccountsResource	travelcrm.resources.accounts	null	Счета учета денежных средств компании. Это банковские счета, касса и тд.	0
106	1433	incomes	Входящие платежи	IncomesResource	travelcrm.resources.incomes	{"account_item_id": 8}	Платежи на счета компании по инвойсам	0
104	1393	currencies_rates	Курсы валют	CurrenciesRatesResource	travelcrm.resources.currencies_rates	null	Курсы валют, используются для расчетов при заказе услуг и при калькуляциях	0
102	1313	services	Сервисы	ServicesResource	travelcrm.resources.services	null	Список доступных сервисов для продажи	0
101	1268	banks_details	Банковские реквизиты	BanksDetailsResource	travelcrm.resources.banks_details	null	Банковские реквизиты	0
93	1225	tasks	Задачи	TasksResource	travelcrm.resources.tasks	null	Управление задачами	0
91	1211	banks	Банки	BanksResource	travelcrm.resources.banks	null	Справочник банков	0
90	1207	addresses	Адреса	AddressesResource	travelcrm.resources.addresses	null	Справочник адресов	0
89	1198	passports	Паспорта	PassportsResource	travelcrm.resources.passports	null	Справочник паспортных данных	0
87	1190	contacts	Контакты	ContactsResource	travelcrm.resources.contacts	null	Справочник контакных данных	0
84	1088	locations	Местоположение	LocationsResource	travelcrm.resources.locations	null	Города, поселки и тд	0
83	1081	hotels	Отели	HotelsResource	travelcrm.resources.hotels	null	Справочник отелей	0
79	1007	bpersons	Бизнес контакты	BPersonsResource	travelcrm.resources.bpersons	null	Справочник бизнес контактов	0
78	1003	suppliers	Поставщики	SuppliersResource	travelcrm.resources.suppliers	null	Поставщики	0
72	908	hotelcats	Категории отелей	HotelcatsResource	travelcrm.resources.hotelcats	null		0
74	953	accomodations	Размещение	AccomodationsResource	travelcrm.resources.accomodations	null		0
73	909	roomcats	Категории номеров	RoomcatsResource	travelcrm.resources.roomcats	null		0
75	954	foodcats	Категории питания	FoodcatsResource	travelcrm.resources.foodcats	null		0
71	901	advsources	Реклама	AdvsourcesResource	travelcrm.resources.advsources	null	Источники рекламы	0
70	872	countries	Страны	CountriesResource	travelcrm.resources.countries	null		0
69	865	persons	Физ. лица	PersonsResource	travelcrm.resources.persons	null	Справочник клиентов физ. лиц	0
67	788	appointments	Назначения сотрудников	AppointmentsResource	travelcrm.resources.appointments	null	Назначения сотрудников на должности	0
65	775	navigations	Навигация	NavigationsResource	travelcrm.resources.navigations	null	Меню навигации для должностей	0
61	769	permisions	Доступ	PermisionsResource	travelcrm.resources.permisions	null	Список прав доступа для должности в разрезе типов ресурсов.	0
59	764	positions	Должности	PositionsResource	travelcrm.resources.positions	null	Список должностей	0
55	723	structures	Структура	StructuresResource	travelcrm.resources.structures	null	Структура компании	0
47	706	employees	Сотрудники	EmployeesResource	travelcrm.resources.employees	null	Справочник сотрудников	0
41	283	currencies	Валюты	CurrenciesResource	travelcrm.resources.currencies	null		0
39	274	regions	Регионы	RegionsResource	travelcrm.resources.regions	null		0
12	16	resources_types	Типы ресурсов	ResourcesTypesResource	travelcrm.resources.resources_types	null		0
2	10	users	Пользователи	UsersResource	travelcrm.resources.users	null		0
1	773		Домашняя	Root	travelcrm.resources	null	Home Page of Travelcrm	0
159	2882	dismissals	Увольнения	DismissalsResource	travelcrm.resources.dismissals	null	Документ увольнения сотрудников	0
156	2788	campaigns	Кампании	CampaignsResource	travelcrm.resources.campaigns	{"host_smpp": "94.249.146.183", "port_smtp": "2525", "username_smtp": "mazvv@mail.ru", "password_smtp": "GmA67mpqqYjKQ", "port_smpp": "29900", "system_type_smpp": "transceiver", "password_smpp": "korn17", "username_smpp": "mazvv", "host_smtp": "smtp-pulse.com", "default_sender_smtp": "mazvv@mail.ru"}	Маркетинговые кампании	0
153	2583	activities	Активность	ActivitiesResource	travelcrm.resources.activities	{"column_index": 1}	Показывает последний лог активности пользователя	0
152	2558	leads_stats	Статистика лидов	LeadsStatsResource	travelcrm.resources.leads_stats	{"column_index": 0}	Портлет, который отображает динамику лидов	0
151	2551	persons_categories	Категории физ. лиц	PersonsCategoriesResource	travelcrm.resources.persons_categories	null	Присваивайте категории свои клиентам	0
123	1941	notifications	Уведомления	NotificationsResource	travelcrm.resources.notifications	null	Уведомления для сотрудников	0
143	2268	visas	Визы	VisasResource	travelcrm.resources.visas	null	Сервис по оформлению виз	0
142	2244	tickets	Билеты	TicketsResource	travelcrm.resources.tickets	null	Сервис бронирования билетов	0
141	2243	tickets_classes	Классы билетов	TicketsClassesResource	travelcrm.resources.tickets_classes	null	Справочник классов билетов	0
140	2217	suppliers_types	Типы поставщиков	SuppliersTypesResource	travelcrm.resources.suppliers_types	null	Справочник типов поставщиков	0
139	2135	transports	Транспорт	TransportsResource	travelcrm.resources.transports	null	Справочник типов транспорта, типа авиа, авто, жд...	0
138	2127	transfers	Типы трансферов	TransfersResource	travelcrm.resources.transfers	null	Справочник типов трансферов	0
144	2276	spassports	Загран. паспорта	SpassportsResource	travelcrm.resources.spassports	null	Сервис по оформлению загран. паспортов	0
135	2100	orders_items	Содержание заявки	OrdersItemsResource	travelcrm.resources.orders_items	null	Позиции в заявке на сервисы	0
120	1884	crosspayments	Кросс платежи	CrosspaymentsResource	travelcrm.resources.crosspayments	null	Платежи между счетами / субсчетами. Может быть использовано для корректировок, инициализации баланса и тд.	0
119	1849	calculations	Калькуляции	CalculationsResource	travelcrm.resources.calculations	null	Калькуляции для заявок	0
105	1424	accounts_items	Статьи учета	AccountsItemsResource	travelcrm.resources.accounts_items	null	План счетов компании	0
103	1317	invoices	Инвойсы	InvoicesResource	travelcrm.resources.invoices	{"active_days": 3, "html_template": "<!doctype html>\\r\\n<html>\\r\\n<head>\\r\\n    <meta charset=\\"utf-8\\">\\r\\n    <title>${_(u'Invoice')} - ${invoice.id}</title>\\r\\n    \\r\\n    <style>\\r\\n    .invoice-box{\\r\\n        max-width:800px;\\r\\n        margin:auto;\\r\\n        padding:30px;\\r\\n        border:1px solid #eee;\\r\\n        box-shadow:0 0 10px rgba(0, 0, 0, .15);\\r\\n        font-size:16px;\\r\\n        line-height:24px;\\r\\n        font-family:'Helvetica Neue', 'Helvetica', Helvetica, Arial, sans-serif;\\r\\n        color:#555;\\r\\n    }\\r\\n    \\r\\n    .invoice-box table{\\r\\n        width:100%;\\r\\n        line-height:inherit;\\r\\n        text-align:left;\\r\\n    }\\r\\n    \\r\\n    .invoice-box table td{\\r\\n        padding:5px;\\r\\n        vertical-align:top;\\r\\n    }\\r\\n    \\r\\n    .invoice-box table tr td:nth-child(2){\\r\\n        text-align:right;\\r\\n    }\\r\\n    \\r\\n    .invoice-box table tr.top table td{\\r\\n        padding-bottom:20px;\\r\\n    }\\r\\n    \\r\\n    .invoice-box table tr.top table td.title{\\r\\n        font-size:45px;\\r\\n        line-height:45px;\\r\\n        color:#333;\\r\\n    }\\r\\n    \\r\\n    .invoice-box table tr.information table td{\\r\\n        padding-bottom:40px;\\r\\n    }\\r\\n    \\r\\n    .invoice-box table tr.heading td{\\r\\n        background:#eee;\\r\\n        border-bottom:1px solid #ddd;\\r\\n        font-weight:bold;\\r\\n    }\\r\\n    \\r\\n    .invoice-box table tr.details td{\\r\\n        padding-bottom:20px;\\r\\n    }\\r\\n    \\r\\n    .invoice-box table tr.item td{\\r\\n        border-bottom:1px solid #eee;\\r\\n    }\\r\\n    \\r\\n    .invoice-box table tr.item.last td{\\r\\n        border-bottom:none;\\r\\n    }\\r\\n    \\r\\n    .invoice-box table tr.total td:nth-child(2){\\r\\n        border-top:2px solid #eee;\\r\\n        font-weight:bold;\\r\\n    }\\r\\n    \\r\\n    @media only screen and (max-width: 600px) {\\r\\n        .invoice-box table tr.top table td{\\r\\n            width:100%;\\r\\n            display:block;\\r\\n            text-align:center;\\r\\n        }\\r\\n        \\r\\n        .invoice-box table tr.information table td{\\r\\n            width:100%;\\r\\n            display:block;\\r\\n            text-align:center;\\r\\n        }\\r\\n    }\\r\\n    </style>\\r\\n</head>\\r\\n\\r\\n<body>\\r\\n    <div class=\\"invoice-box\\">\\r\\n        <table cellpadding=\\"0\\" cellspacing=\\"0\\">\\r\\n            <tr class=\\"top\\">\\r\\n                <td colspan=\\"6\\">\\r\\n                    <table>\\r\\n                        <tr>\\r\\n                            <td class=\\"title\\">\\r\\n                                <img src=\\"http://nextstepwebs.com/images/logo.png\\" style=\\"width:100%; max-width:300px;\\">\\r\\n                            </td>\\r\\n                            \\r\\n                            <td>\\r\\n                                ${_(u'Invoice')} #: ${invoice.id}<br>\\r\\n                                ${_(u'Created')}: ${h.common.format_date(invoice.date)}<br>\\r\\n                                ${_(u'Due')}: ${h.common.format_date(invoice.active_until)}\\r\\n                            </td>\\r\\n                        </tr>\\r\\n                    </table>\\r\\n                </td>\\r\\n            </tr>\\r\\n            \\r\\n            <tr class=\\"information\\">\\r\\n                <td colspan=\\"6\\">\\r\\n                    <table>\\r\\n                        <tr>\\r\\n                            <td>\\r\\n                                ${structure.company.name}<br>\\r\\n                                % if structure.addresses:\\r\\n                                <%\\r\\n                                    address = structure.addresses[0]\\r\\n                                %>\\r\\n                                ${address.zip_code}, ${address.location.region.country.name}\\r\\n                                ${address.location.region.name}, ${address.location.name}<br>\\r\\n                                ${address.address}<br>\\r\\n                                % endif\\r\\n                                % if structure.contacts:\\r\\n                                <%\\r\\n                                    contacts = [contact.contact for contact in structure.contacts if contact.is_status_active()]\\r\\n                                %>\\r\\n                                ${', '.join(contacts)}\\r\\n                                % endif\\r\\n                            </td>\\r\\n                            \\r\\n                            <td>\\r\\n                                ${invoice.order.customer.name}<br>\\r\\n                                % if invoice.order.customer.addresses:\\r\\n                                <%\\r\\n                                    address = invoice.order.customer.addresses[0]\\r\\n                                %>\\r\\n                                ${address.zip_code}, ${address.location.region.country.name}\\r\\n                                ${address.location.region.name}, ${address.location.name}<br>\\r\\n                                ${address.address}<br>\\r\\n                                % endif\\r\\n                                % if invoice.order.customer.contacts:\\r\\n                                <%\\r\\n                                    contacts = [contact.contact for contact in invoice.order.customer.contacts if contact.is_status_active()]\\r\\n                                %>\\r\\n                                ${', '.join(contacts)}\\r\\n                                % endif\\r\\n                            </td>\\r\\n                        </tr>\\r\\n                    </table>\\r\\n                </td>\\r\\n            </tr>\\r\\n            \\r\\n            <tr class=\\"heading\\">\\r\\n                <td class=\\"first\\">\\r\\n                    ${_(u'Service')}\\r\\n                </td>\\r\\n                <td></td>\\r\\n                <td style=\\"text-align: right;\\">\\r\\n                    ${_(u'Price')}\\r\\n                </td>\\r\\n                <td style=\\"text-align: right;\\">\\r\\n                    ${_(u'Discount')}\\r\\n                </td>\\r\\n                <td style=\\"text-align: right;\\">\\r\\n                    ${_(u'Vat')}\\r\\n                </td>\\r\\n                <td style=\\"text-align: right;\\">\\r\\n                    ${_(u'Final price')}\\r\\n                </td>\\r\\n            </tr>\\r\\n\\r\\n            % for invoice_item in invoice.invoices_items:\\r\\n            <tr class=\\"item\\">\\r\\n                <td class=\\"first\\">\\r\\n                    ${invoice_item.order_item.service.display_text}\\r\\n                </td>\\r\\n                <td style=\\"text-align: right;\\">\\r\\n                    ${invoice.account.currency.iso_code}\\r\\n                </td>\\r\\n                <td style=\\"text-align: right;\\">\\r\\n                    ${invoice_item.price}\\r\\n                </td>\\r\\n                <td style=\\"text-align: right;\\">\\r\\n                    ${invoice_item.discount}\\r\\n                </td>\\r\\n                <td style=\\"text-align: right;\\">\\r\\n                    ${invoice_item.vat}\\r\\n                </td>\\r\\n                <td style=\\"text-align: right;\\">\\r\\n                    ${invoice_item.final_price}\\r\\n                </td>\\r\\n            </tr>\\r\\n            % endfor\\r\\n\\r\\n            <tr class=\\"total\\">\\r\\n                <td colspan=\\"5\\"></td>\\r\\n                <td>\\r\\n                   ${_(u'Total')}: ${invoice.final_price}\\r\\n                </td>\\r\\n            </tr>\\r\\n        </table>\\r\\n    </div>\\r\\n</body>\\r\\n</html>"}	Список инвойсов	0
86	1189	contracts	Контракты	ContractsResource	travelcrm.resources.contracts	null	Контракты с поставщиками, используются при калькуляциях	0
160	2887	assigns	Перенос ресурсов	AssignsResource	travelcrm.resources.assigns	null	Инструмент передачи сопровождения ресурсов между сотрудниками	0
\.


--
-- Name: resource_type_id_seq; Type: SEQUENCE SET; Schema: company_ru; Owner: -
--

SELECT pg_catalog.setval('resource_type_id_seq', 160, true);


--
-- Data for Name: roomcat; Type: TABLE DATA; Schema: company_ru; Owner: -
--

COPY roomcat (id, resource_id, name) FROM stdin;
\.


--
-- Name: roomcat_id_seq; Type: SEQUENCE SET; Schema: company_ru; Owner: -
--

SELECT pg_catalog.setval('roomcat_id_seq', 1, true);


--
-- Data for Name: service; Type: TABLE DATA; Schema: company_ru; Owner: -
--

COPY service (id, resource_id, resource_type_id, name, display_text, descr) FROM stdin;
7	2247	142	Билеты	Бронирование билетов	\N
5	1413	137	Туры	Бронирование групповых туров	Этот сервис используется для продаж групповых туров
4	1318	143	Визы	Услуги по оформлению виз	Используйте этот сервис для продаж услуг по оформлению виз
1	1314	144	Загран. паспорт	Помощь в оформлении загран. паспорта	Используйте этот сервис для продаж услуг по оформлению загран. паспортов
\.


--
-- Name: service_id_seq; Type: SEQUENCE SET; Schema: company_ru; Owner: -
--

SELECT pg_catalog.setval('service_id_seq', 7, true);


--
-- Data for Name: spassport; Type: TABLE DATA; Schema: company_ru; Owner: -
--

COPY spassport (id, resource_id, photo_done, docs_receive_date, docs_transfer_date, passport_receive_date, descr) FROM stdin;
\.


--
-- Name: spassport_id_seq; Type: SEQUENCE SET; Schema: company_ru; Owner: -
--

SELECT pg_catalog.setval('spassport_id_seq', 1, true);


--
-- Data for Name: spassport_order_item; Type: TABLE DATA; Schema: company_ru; Owner: -
--

COPY spassport_order_item (order_item_id, spassport_id) FROM stdin;
\.


--
-- Data for Name: structure; Type: TABLE DATA; Schema: company_ru; Owner: -
--

COPY structure (id, resource_id, parent_id, company_id, name) FROM stdin;
32	725	\N	1	Головной офис
\.


--
-- Data for Name: structure_address; Type: TABLE DATA; Schema: company_ru; Owner: -
--

COPY structure_address (structure_id, address_id) FROM stdin;
\.


--
-- Data for Name: structure_bank_detail; Type: TABLE DATA; Schema: company_ru; Owner: -
--

COPY structure_bank_detail (structure_id, bank_detail_id) FROM stdin;
\.


--
-- Data for Name: structure_contact; Type: TABLE DATA; Schema: company_ru; Owner: -
--

COPY structure_contact (structure_id, contact_id) FROM stdin;
\.


--
-- Name: structure_id_seq; Type: SEQUENCE SET; Schema: company_ru; Owner: -
--

SELECT pg_catalog.setval('structure_id_seq', 32, true);


--
-- Data for Name: subaccount; Type: TABLE DATA; Schema: company_ru; Owner: -
--

COPY subaccount (id, resource_id, account_id, name, status, descr) FROM stdin;
\.


--
-- Name: subaccount_id_seq; Type: SEQUENCE SET; Schema: company_ru; Owner: -
--

SELECT pg_catalog.setval('subaccount_id_seq', 1, true);


--
-- Data for Name: supplier; Type: TABLE DATA; Schema: company_ru; Owner: -
--

COPY supplier (id, resource_id, supplier_type_id, name, status, descr) FROM stdin;
\.


--
-- Data for Name: supplier_bank_detail; Type: TABLE DATA; Schema: company_ru; Owner: -
--

COPY supplier_bank_detail (supplier_id, bank_detail_id) FROM stdin;
\.


--
-- Data for Name: supplier_bperson; Type: TABLE DATA; Schema: company_ru; Owner: -
--

COPY supplier_bperson (supplier_id, bperson_id) FROM stdin;
\.


--
-- Data for Name: supplier_contract; Type: TABLE DATA; Schema: company_ru; Owner: -
--

COPY supplier_contract (supplier_id, contract_id) FROM stdin;
\.


--
-- Name: supplier_id_seq; Type: SEQUENCE SET; Schema: company_ru; Owner: -
--

SELECT pg_catalog.setval('supplier_id_seq', 1, true);


--
-- Data for Name: supplier_subaccount; Type: TABLE DATA; Schema: company_ru; Owner: -
--

COPY supplier_subaccount (supplier_id, subaccount_id) FROM stdin;
\.


--
-- Data for Name: supplier_type; Type: TABLE DATA; Schema: company_ru; Owner: -
--

COPY supplier_type (id, resource_id, name, descr) FROM stdin;
\.


--
-- Name: supplier_type_id_seq; Type: SEQUENCE SET; Schema: company_ru; Owner: -
--

SELECT pg_catalog.setval('supplier_type_id_seq', 1, true);


--
-- Data for Name: task; Type: TABLE DATA; Schema: company_ru; Owner: -
--

COPY task (id, resource_id, title, deadline, reminder, descr, status) FROM stdin;
\.


--
-- Name: task_id_seq; Type: SEQUENCE SET; Schema: company_ru; Owner: -
--

SELECT pg_catalog.setval('task_id_seq', 1, true);


--
-- Data for Name: task_resource; Type: TABLE DATA; Schema: company_ru; Owner: -
--

COPY task_resource (task_id, resource_id) FROM stdin;
\.


--
-- Data for Name: task_upload; Type: TABLE DATA; Schema: company_ru; Owner: -
--

COPY task_upload (task_id, upload_id) FROM stdin;
\.


--
-- Data for Name: ticket; Type: TABLE DATA; Schema: company_ru; Owner: -
--

COPY ticket (id, resource_id, start_location_id, end_location_id, ticket_class_id, transport_id, start_dt, start_additional_info, end_dt, end_additional_info, adults, children, descr) FROM stdin;
\.


--
-- Data for Name: ticket_class; Type: TABLE DATA; Schema: company_ru; Owner: -
--

COPY ticket_class (id, resource_id, name) FROM stdin;
\.


--
-- Name: ticket_class_id_seq; Type: SEQUENCE SET; Schema: company_ru; Owner: -
--

SELECT pg_catalog.setval('ticket_class_id_seq', 1, true);


--
-- Name: ticket_id_seq; Type: SEQUENCE SET; Schema: company_ru; Owner: -
--

SELECT pg_catalog.setval('ticket_id_seq', 1, true);


--
-- Data for Name: ticket_order_item; Type: TABLE DATA; Schema: company_ru; Owner: -
--

COPY ticket_order_item (order_item_id, ticket_id) FROM stdin;
\.


--
-- Data for Name: tour; Type: TABLE DATA; Schema: company_ru; Owner: -
--

COPY tour (id, resource_id, start_location_id, start_transport_id, end_location_id, end_transport_id, hotel_id, accomodation_id, foodcat_id, roomcat_id, transfer_id, adults, children, start_date, start_additional_info, end_date, end_additional_info, descr) FROM stdin;
\.


--
-- Name: tour_id_seq; Type: SEQUENCE SET; Schema: company_ru; Owner: -
--

SELECT pg_catalog.setval('tour_id_seq', 1, true);


--
-- Data for Name: tour_order_item; Type: TABLE DATA; Schema: company_ru; Owner: -
--

COPY tour_order_item (order_item_id, tour_id) FROM stdin;
\.


--
-- Data for Name: transfer; Type: TABLE DATA; Schema: company_ru; Owner: -
--

COPY transfer (id, resource_id, name) FROM stdin;
\.


--
-- Name: transfer_id_seq; Type: SEQUENCE SET; Schema: company_ru; Owner: -
--

SELECT pg_catalog.setval('transfer_id_seq', 1, true);


--
-- Data for Name: transport; Type: TABLE DATA; Schema: company_ru; Owner: -
--

COPY transport (id, resource_id, name) FROM stdin;
\.


--
-- Name: transport_id_seq; Type: SEQUENCE SET; Schema: company_ru; Owner: -
--

SELECT pg_catalog.setval('transport_id_seq', 1, true);


--
-- Data for Name: upload; Type: TABLE DATA; Schema: company_ru; Owner: -
--

COPY upload (id, resource_id, name, path, size, media_type, descr) FROM stdin;
\.


--
-- Name: upload_id_seq; Type: SEQUENCE SET; Schema: company_ru; Owner: -
--

SELECT pg_catalog.setval('upload_id_seq', 1, true);


--
-- Data for Name: user; Type: TABLE DATA; Schema: company_ru; Owner: -
--

COPY "user" (id, resource_id, employee_id, username, email, password) FROM stdin;
2	3	2	admin	admin@mail.ru	adminadmin
\.


--
-- Name: user_id_seq; Type: SEQUENCE SET; Schema: company_ru; Owner: -
--

SELECT pg_catalog.setval('user_id_seq', 34, true);


--
-- Data for Name: vat; Type: TABLE DATA; Schema: company_ru; Owner: -
--

COPY vat (id, resource_id, account_id, service_id, date, vat, calc_method, descr) FROM stdin;
\.


--
-- Name: vat_id_seq; Type: SEQUENCE SET; Schema: company_ru; Owner: -
--

SELECT pg_catalog.setval('vat_id_seq', 1, true);


--
-- Data for Name: visa; Type: TABLE DATA; Schema: company_ru; Owner: -
--

COPY visa (id, resource_id, country_id, start_date, end_date, type, descr) FROM stdin;
\.


--
-- Name: visa_id_seq; Type: SEQUENCE SET; Schema: company_ru; Owner: -
--

SELECT pg_catalog.setval('visa_id_seq', 1, true);


--
-- Data for Name: visa_order_item; Type: TABLE DATA; Schema: company_ru; Owner: -
--

COPY visa_order_item (order_item_id, visa_id) FROM stdin;
\.


SET search_path = demo_ru, pg_catalog;

--
-- Data for Name: accomodation; Type: TABLE DATA; Schema: demo_ru; Owner: -
--

COPY accomodation (id, resource_id, name) FROM stdin;
\.


--
-- Name: accomodation_id_seq; Type: SEQUENCE SET; Schema: demo_ru; Owner: -
--

SELECT pg_catalog.setval('accomodation_id_seq', 1, true);


--
-- Data for Name: account; Type: TABLE DATA; Schema: demo_ru; Owner: -
--

COPY account (id, resource_id, currency_id, account_type, name, display_text, status, descr) FROM stdin;
\.


--
-- Name: account_id_seq; Type: SEQUENCE SET; Schema: demo_ru; Owner: -
--

SELECT pg_catalog.setval('account_id_seq', 1, true);


--
-- Data for Name: account_item; Type: TABLE DATA; Schema: demo_ru; Owner: -
--

COPY account_item (id, resource_id, parent_id, name, type, status, descr) FROM stdin;
\.


--
-- Name: account_item_id_seq; Type: SEQUENCE SET; Schema: demo_ru; Owner: -
--

SELECT pg_catalog.setval('account_item_id_seq', 1, true);


--
-- Data for Name: address; Type: TABLE DATA; Schema: demo_ru; Owner: -
--

COPY address (id, resource_id, location_id, zip_code, address) FROM stdin;
\.


--
-- Name: address_id_seq; Type: SEQUENCE SET; Schema: demo_ru; Owner: -
--

SELECT pg_catalog.setval('address_id_seq', 1, true);


--
-- Data for Name: advsource; Type: TABLE DATA; Schema: demo_ru; Owner: -
--

COPY advsource (id, resource_id, name) FROM stdin;
\.


--
-- Name: advsource_id_seq; Type: SEQUENCE SET; Schema: demo_ru; Owner: -
--

SELECT pg_catalog.setval('advsource_id_seq', 1, true);


--
-- Data for Name: alembic_version; Type: TABLE DATA; Schema: demo_ru; Owner: -
--

COPY alembic_version (version_num) FROM stdin;
0dde2b383d6b
\.


--
-- Data for Name: appointment; Type: TABLE DATA; Schema: demo_ru; Owner: -
--

COPY appointment (id, resource_id, date, employee_id, position_id, salary, currency_id) FROM stdin;
1	789	2014-02-02	2	4	1000.00	54
\.


--
-- Name: appointment_id_seq; Type: SEQUENCE SET; Schema: demo_ru; Owner: -
--

SELECT pg_catalog.setval('appointment_id_seq', 1, true);


--
-- Data for Name: bank; Type: TABLE DATA; Schema: demo_ru; Owner: -
--

COPY bank (id, resource_id, name) FROM stdin;
\.


--
-- Data for Name: bank_address; Type: TABLE DATA; Schema: demo_ru; Owner: -
--

COPY bank_address (bank_id, address_id) FROM stdin;
\.


--
-- Data for Name: bank_detail; Type: TABLE DATA; Schema: demo_ru; Owner: -
--

COPY bank_detail (id, resource_id, currency_id, bank_id, beneficiary, account, swift_code) FROM stdin;
\.


--
-- Name: bank_detail_id_seq; Type: SEQUENCE SET; Schema: demo_ru; Owner: -
--

SELECT pg_catalog.setval('bank_detail_id_seq', 1, true);


--
-- Name: bank_id_seq; Type: SEQUENCE SET; Schema: demo_ru; Owner: -
--

SELECT pg_catalog.setval('bank_id_seq', 1, true);


--
-- Data for Name: bperson; Type: TABLE DATA; Schema: demo_ru; Owner: -
--

COPY bperson (id, resource_id, first_name, last_name, second_name, position_name, status, descr) FROM stdin;
\.


--
-- Data for Name: bperson_contact; Type: TABLE DATA; Schema: demo_ru; Owner: -
--

COPY bperson_contact (bperson_id, contact_id) FROM stdin;
\.


--
-- Name: bperson_id_seq; Type: SEQUENCE SET; Schema: demo_ru; Owner: -
--

SELECT pg_catalog.setval('bperson_id_seq', 1, true);


--
-- Data for Name: calculation; Type: TABLE DATA; Schema: demo_ru; Owner: -
--

COPY calculation (id, resource_id, order_item_id, contract_id, price) FROM stdin;
\.


--
-- Name: calculation_id_seq; Type: SEQUENCE SET; Schema: demo_ru; Owner: -
--

SELECT pg_catalog.setval('calculation_id_seq', 1, true);


--
-- Data for Name: campaign; Type: TABLE DATA; Schema: demo_ru; Owner: -
--

COPY campaign (id, resource_id, name, subject, plain_content, html_content, start_dt, status) FROM stdin;
\.


--
-- Name: campaign_id_seq; Type: SEQUENCE SET; Schema: demo_ru; Owner: -
--

SELECT pg_catalog.setval('campaign_id_seq', 1, true);


--
-- Data for Name: cashflow; Type: TABLE DATA; Schema: demo_ru; Owner: -
--

COPY cashflow (id, subaccount_from_id, subaccount_to_id, account_item_id, sum, vat, date) FROM stdin;
\.


--
-- Name: cashflow_id_seq; Type: SEQUENCE SET; Schema: demo_ru; Owner: -
--

SELECT pg_catalog.setval('cashflow_id_seq', 1, true);


--
-- Data for Name: commission; Type: TABLE DATA; Schema: demo_ru; Owner: -
--

COPY commission (id, resource_id, service_id, percentage, price, currency_id, descr) FROM stdin;
\.


--
-- Name: commission_id_seq; Type: SEQUENCE SET; Schema: demo_ru; Owner: -
--

SELECT pg_catalog.setval('commission_id_seq', 1, true);


--
-- Data for Name: company; Type: TABLE DATA; Schema: demo_ru; Owner: -
--

COPY company (id, resource_id, currency_id, name, email, settings) FROM stdin;
1	1970	56	Моя компания	demo_ru@mail.ru	{"locale": "ru", "timezone": "Europe/Kiev"}
\.


--
-- Name: company_id_seq; Type: SEQUENCE SET; Schema: demo_ru; Owner: -
--

SELECT pg_catalog.setval('company_id_seq', 1, true);


--
-- Data for Name: company_subaccount; Type: TABLE DATA; Schema: demo_ru; Owner: -
--

COPY company_subaccount (company_id, subaccount_id) FROM stdin;
\.


--
-- Data for Name: contact; Type: TABLE DATA; Schema: demo_ru; Owner: -
--

COPY contact (id, resource_id, contact_type, contact, status, descr) FROM stdin;
\.


--
-- Name: contact_id_seq; Type: SEQUENCE SET; Schema: demo_ru; Owner: -
--

SELECT pg_catalog.setval('contact_id_seq', 1, true);


--
-- Data for Name: contract; Type: TABLE DATA; Schema: demo_ru; Owner: -
--

COPY contract (id, resource_id, num, date, status, descr) FROM stdin;
\.


--
-- Data for Name: contract_commission; Type: TABLE DATA; Schema: demo_ru; Owner: -
--

COPY contract_commission (contract_id, commission_id) FROM stdin;
\.


--
-- Name: contract_id_seq; Type: SEQUENCE SET; Schema: demo_ru; Owner: -
--

SELECT pg_catalog.setval('contract_id_seq', 1, true);


--
-- Data for Name: country; Type: TABLE DATA; Schema: demo_ru; Owner: -
--

COPY country (id, resource_id, iso_code, name) FROM stdin;
9	1095	RU	Российская Федерация
3	878	UA	Украина
\.


--
-- Name: country_id_seq; Type: SEQUENCE SET; Schema: demo_ru; Owner: -
--

SELECT pg_catalog.setval('country_id_seq', 9, true);


--
-- Data for Name: crosspayment; Type: TABLE DATA; Schema: demo_ru; Owner: -
--

COPY crosspayment (id, resource_id, cashflow_id, descr) FROM stdin;
\.


--
-- Name: crosspayment_id_seq; Type: SEQUENCE SET; Schema: demo_ru; Owner: -
--

SELECT pg_catalog.setval('crosspayment_id_seq', 1, true);


--
-- Data for Name: currency; Type: TABLE DATA; Schema: demo_ru; Owner: -
--

COPY currency (id, resource_id, iso_code) FROM stdin;
44	849	RUB
54	1240	EUR
56	1310	UAH
57	1311	USD
\.


--
-- Name: currency_id_seq; Type: SEQUENCE SET; Schema: demo_ru; Owner: -
--

SELECT pg_catalog.setval('currency_id_seq', 57, true);


--
-- Data for Name: currency_rate; Type: TABLE DATA; Schema: demo_ru; Owner: -
--

COPY currency_rate (id, resource_id, currency_id, supplier_id, date, rate) FROM stdin;
\.


--
-- Name: currency_rate_id_seq; Type: SEQUENCE SET; Schema: demo_ru; Owner: -
--

SELECT pg_catalog.setval('currency_rate_id_seq', 1, true);


--
-- Data for Name: dismissal; Type: TABLE DATA; Schema: demo_ru; Owner: -
--

COPY dismissal (id, resource_id, date, employee_id) FROM stdin;
\.


--
-- Name: dismissal_id_seq; Type: SEQUENCE SET; Schema: demo_ru; Owner: -
--

SELECT pg_catalog.setval('dismissal_id_seq', 1, true);


--
-- Data for Name: employee; Type: TABLE DATA; Schema: demo_ru; Owner: -
--

COPY employee (id, resource_id, photo_upload_id, first_name, last_name, second_name, itn) FROM stdin;
2	784	\N	Иван	Иванов	\N	\N
\.


--
-- Data for Name: employee_address; Type: TABLE DATA; Schema: demo_ru; Owner: -
--

COPY employee_address (employee_id, address_id) FROM stdin;
\.


--
-- Data for Name: employee_contact; Type: TABLE DATA; Schema: demo_ru; Owner: -
--

COPY employee_contact (employee_id, contact_id) FROM stdin;
\.


--
-- Name: employee_id_seq; Type: SEQUENCE SET; Schema: demo_ru; Owner: -
--

SELECT pg_catalog.setval('employee_id_seq', 2, true);


--
-- Data for Name: employee_notification; Type: TABLE DATA; Schema: demo_ru; Owner: -
--

COPY employee_notification (employee_id, notification_id, status) FROM stdin;
\.


--
-- Data for Name: employee_passport; Type: TABLE DATA; Schema: demo_ru; Owner: -
--

COPY employee_passport (employee_id, passport_id) FROM stdin;
\.


--
-- Data for Name: employee_subaccount; Type: TABLE DATA; Schema: demo_ru; Owner: -
--

COPY employee_subaccount (employee_id, subaccount_id) FROM stdin;
\.


--
-- Data for Name: employee_upload; Type: TABLE DATA; Schema: demo_ru; Owner: -
--

COPY employee_upload (employee_id, upload_id) FROM stdin;
\.


--
-- Data for Name: foodcat; Type: TABLE DATA; Schema: demo_ru; Owner: -
--

COPY foodcat (id, resource_id, name) FROM stdin;
\.


--
-- Name: foodcat_id_seq; Type: SEQUENCE SET; Schema: demo_ru; Owner: -
--

SELECT pg_catalog.setval('foodcat_id_seq', 1, true);


--
-- Data for Name: hotel; Type: TABLE DATA; Schema: demo_ru; Owner: -
--

COPY hotel (id, resource_id, hotelcat_id, location_id, name) FROM stdin;
\.


--
-- Name: hotel_id_seq; Type: SEQUENCE SET; Schema: demo_ru; Owner: -
--

SELECT pg_catalog.setval('hotel_id_seq', 1, true);


--
-- Data for Name: hotelcat; Type: TABLE DATA; Schema: demo_ru; Owner: -
--

COPY hotelcat (id, resource_id, name) FROM stdin;
\.


--
-- Name: hotelcat_id_seq; Type: SEQUENCE SET; Schema: demo_ru; Owner: -
--

SELECT pg_catalog.setval('hotelcat_id_seq', 1, true);


--
-- Data for Name: income; Type: TABLE DATA; Schema: demo_ru; Owner: -
--

COPY income (id, resource_id, invoice_id, account_item_id, sum, date, descr) FROM stdin;
\.


--
-- Data for Name: income_cashflow; Type: TABLE DATA; Schema: demo_ru; Owner: -
--

COPY income_cashflow (income_id, cashflow_id) FROM stdin;
\.


--
-- Name: income_id_seq; Type: SEQUENCE SET; Schema: demo_ru; Owner: -
--

SELECT pg_catalog.setval('income_id_seq', 1, true);


--
-- Data for Name: invoice; Type: TABLE DATA; Schema: demo_ru; Owner: -
--

COPY invoice (id, date, active_until, resource_id, order_id, account_id, descr) FROM stdin;
\.


--
-- Name: invoice_id_seq; Type: SEQUENCE SET; Schema: demo_ru; Owner: -
--

SELECT pg_catalog.setval('invoice_id_seq', 1, true);


--
-- Data for Name: invoice_item; Type: TABLE DATA; Schema: demo_ru; Owner: -
--

COPY invoice_item (id, invoice_id, order_item_id, price, vat, discount, descr) FROM stdin;
\.


--
-- Name: invoice_item_id_seq; Type: SEQUENCE SET; Schema: demo_ru; Owner: -
--

SELECT pg_catalog.setval('invoice_item_id_seq', 1, true);


--
-- Data for Name: lead; Type: TABLE DATA; Schema: demo_ru; Owner: -
--

COPY lead (id, lead_date, resource_id, advsource_id, customer_id, status, descr) FROM stdin;
\.


--
-- Name: lead_id_seq; Type: SEQUENCE SET; Schema: demo_ru; Owner: -
--

SELECT pg_catalog.setval('lead_id_seq', 1, true);


--
-- Data for Name: lead_item; Type: TABLE DATA; Schema: demo_ru; Owner: -
--

COPY lead_item (id, resource_id, lead_id, service_id, currency_id, price_from, price_to, descr) FROM stdin;
\.


--
-- Name: lead_item_id_seq; Type: SEQUENCE SET; Schema: demo_ru; Owner: -
--

SELECT pg_catalog.setval('lead_item_id_seq', 1, true);


--
-- Data for Name: lead_offer; Type: TABLE DATA; Schema: demo_ru; Owner: -
--

COPY lead_offer (id, resource_id, lead_id, service_id, currency_id, supplier_id, price, status, descr) FROM stdin;
\.


--
-- Name: lead_offer_id_seq; Type: SEQUENCE SET; Schema: demo_ru; Owner: -
--

SELECT pg_catalog.setval('lead_offer_id_seq', 1, true);


--
-- Data for Name: location; Type: TABLE DATA; Schema: demo_ru; Owner: -
--

COPY location (id, resource_id, region_id, name) FROM stdin;
\.


--
-- Name: location_id_seq; Type: SEQUENCE SET; Schema: demo_ru; Owner: -
--

SELECT pg_catalog.setval('location_id_seq', 1, true);


--
-- Data for Name: navigation; Type: TABLE DATA; Schema: demo_ru; Owner: -
--

COPY navigation (id, resource_id, position_id, parent_id, name, url, action, icon_cls, separator_before, sort_order) FROM stdin;
10	780	4	\N	HR	/	\N	fa fa-group	f	5
8	778	4	\N	Система	/	tab_open	fa fa-cog	f	11
31	956	4	159	Категории питания	/foodcats	\N	\N	f	9
9	779	4	8	Типы ресурсов	/resources_types	\N	\N	f	1
13	790	4	10	Сотрудники	/employees	\N	\N	f	1
14	791	4	10	Назначения сотрудников	/appointments	\N	\N	f	2
15	792	4	8	Пользователи	/users	\N	\N	f	3
17	802	4	157	Валюты	/currencies	\N	\N	f	7
18	837	4	\N	Компания	/	\N	fa fa-building-o	f	6
19	838	4	18	Структура	/structures	\N	\N	f	1
32	998	4	\N	Продажи	/	\N	fa fa-legal	f	2
20	863	4	18	Должности	/positions	\N	\N	f	2
36	1008	4	23	Бизнес контакты	/bpersons	tab_open	\N	f	4
21	864	4	\N	Клиенты	/	\N	fa fa-briefcase	f	3
22	866	4	21	Физ. лица	/persons	\N	\N	f	1
23	873	4	\N	Справочники	/	\N	fa fa-book	f	8
24	874	4	158	Страны	/countries	\N	\N	f	4
25	879	4	158	Регионы	/regions	\N	\N	f	3
26	900	4	\N	Маркетинг	/	\N	fa fa-bullhorn	f	4
27	902	4	26	Источники	/advsources	\N	\N	f	1
28	910	4	159	Категории отелей	/hotelcats	\N	\N	f	6
29	911	4	159	Категории номеров	/roomcats	\N	\N	f	7
30	955	4	159	Размещение	/accomodations	tab_open	\N	f	10
236	2741	4	26	Кампании	/campaigns	tab_open	\N	t	3
43	1089	4	158	Местоположение	/locations	\N	\N	f	3
45	1212	4	53	Банки	/banks	tab_open	\N	f	6
50	1312	4	53	Сервисы	/services	\N	\N	f	6
51	1368	4	32	Инвойсы	/invoices	tab_open	\N	t	5
152	1895	4	\N	Отчеты	/	\N	fa fa-pie-chart	f	9
53	1394	4	\N	Финансы	/	\N	fa fa-credit-card	f	7
54	1395	4	157	Курсы валют	/currencies_rates	\N	\N	f	8
153	1896	4	152	Обороты	/turnovers	tab_open	\N	f	2
56	1434	4	155	Входящие платежи	/incomes	\N	\N	f	9
55	1425	4	156	Статьи учета	/accounts_items	\N	\N	f	3
57	1436	4	156	Счета	/accounts	\N	\N	f	1
60	1550	4	23	Поставщики	/suppliers	tab_open	\N	f	1
61	1571	4	155	Исходящие платежи	/outgoings	\N	\N	f	10
107	1777	4	\N	Домашняя	/	\N	fa fa-home	f	1
150	1798	4	156	Субсчета	/subaccounts	\N	\N	f	2
151	1885	4	155	Кросс платежи	/crosspayments	\N	\N	f	11
155	1904	4	53	Платежи	/	\N	\N	f	12
156	1905	4	53	Биллинг	/	\N	\N	f	10
157	1906	4	53	Валюты		\N	\N	t	7
158	1907	4	23	География	/	\N	\N	f	10
159	1908	4	23	Отели	/	\N	\N	t	9
42	1080	4	159	Справочник отелей	/hotels	\N	\N	f	5
165	1975	4	8	Компания	/companies/edit	dialog_open	\N	t	4
166	2048	4	32	Лиды	/leads	tab_open	\N	f	2
168	2101	4	32	Заявки	/orders	tab_open	\N	f	4
169	2128	4	23	Трансферы	/transfers	tab_open	\N	t	5
170	2136	4	23	Транспорт	/transports	tab_open	\N	f	6
171	2219	4	23	Типы поставщиков	/suppliers_types	tab_open	\N	f	3
172	2222	4	23	Контракты	/contracts	tab_open	\N	f	2
173	2245	4	23	Классы билетов	/tickets_classes	tab_open	\N	f	7
174	2514	4	156	Настройки НДС	/vats	tab_open	\N	t	5
175	2552	4	23	Категории физ. лиц	/persons_categories	tab_open	\N	f	8
237	2883	4	10	Увольнения	/dismissals	tab_open	\N	t	3
239	2889	4	238	Делегировать ресурсы	/assigns/assign	dialog_open	\N	f	1
238	2888	4	8	Инструменты	/	tab_open	fa fa-gears	t	10
\.


--
-- Name: navigation_id_seq; Type: SEQUENCE SET; Schema: demo_ru; Owner: -
--

SELECT pg_catalog.setval('navigation_id_seq', 239, true);


--
-- Data for Name: note; Type: TABLE DATA; Schema: demo_ru; Owner: -
--

COPY note (id, resource_id, title, descr) FROM stdin;
\.


--
-- Name: note_id_seq; Type: SEQUENCE SET; Schema: demo_ru; Owner: -
--

SELECT pg_catalog.setval('note_id_seq', 1, true);


--
-- Data for Name: note_resource; Type: TABLE DATA; Schema: demo_ru; Owner: -
--

COPY note_resource (note_id, resource_id) FROM stdin;
\.


--
-- Data for Name: note_upload; Type: TABLE DATA; Schema: demo_ru; Owner: -
--

COPY note_upload (note_id, upload_id) FROM stdin;
\.


--
-- Data for Name: notification; Type: TABLE DATA; Schema: demo_ru; Owner: -
--

COPY notification (id, resource_id, title, descr, url, created) FROM stdin;
\.


--
-- Name: notification_id_seq; Type: SEQUENCE SET; Schema: demo_ru; Owner: -
--

SELECT pg_catalog.setval('notification_id_seq', 1, true);


--
-- Data for Name: notification_resource; Type: TABLE DATA; Schema: demo_ru; Owner: -
--

COPY notification_resource (notification_id, resource_id) FROM stdin;
\.


--
-- Data for Name: order; Type: TABLE DATA; Schema: demo_ru; Owner: -
--

COPY "order" (id, deal_date, resource_id, customer_id, lead_id, advsource_id, status, descr) FROM stdin;
\.


--
-- Name: order_id_seq; Type: SEQUENCE SET; Schema: demo_ru; Owner: -
--

SELECT pg_catalog.setval('order_id_seq', 1, true);


--
-- Data for Name: order_item; Type: TABLE DATA; Schema: demo_ru; Owner: -
--

COPY order_item (id, resource_id, order_id, service_id, currency_id, supplier_id, price, discount_sum, discount_percent, status, status_date, status_info) FROM stdin;
\.


--
-- Name: order_item_id_seq; Type: SEQUENCE SET; Schema: demo_ru; Owner: -
--

SELECT pg_catalog.setval('order_item_id_seq', 1, true);


--
-- Data for Name: outgoing; Type: TABLE DATA; Schema: demo_ru; Owner: -
--

COPY outgoing (id, date, resource_id, account_item_id, subaccount_id, sum, descr) FROM stdin;
\.


--
-- Data for Name: outgoing_cashflow; Type: TABLE DATA; Schema: demo_ru; Owner: -
--

COPY outgoing_cashflow (outgoing_id, cashflow_id) FROM stdin;
\.


--
-- Name: outgoing_id_seq; Type: SEQUENCE SET; Schema: demo_ru; Owner: -
--

SELECT pg_catalog.setval('outgoing_id_seq', 1, true);


--
-- Data for Name: passport; Type: TABLE DATA; Schema: demo_ru; Owner: -
--

COPY passport (id, resource_id, country_id, passport_type, num, end_date, descr) FROM stdin;
\.


--
-- Name: passport_id_seq; Type: SEQUENCE SET; Schema: demo_ru; Owner: -
--

SELECT pg_catalog.setval('passport_id_seq', 1, true);


--
-- Data for Name: passport_upload; Type: TABLE DATA; Schema: demo_ru; Owner: -
--

COPY passport_upload (passport_id, upload_id) FROM stdin;
\.


--
-- Data for Name: permision; Type: TABLE DATA; Schema: demo_ru; Owner: -
--

COPY permision (id, resource_type_id, position_id, permisions, scope_type, structure_id) FROM stdin;
34	61	4	{view,add,edit,delete}	all	\N
21	1	4	{view}	all	\N
39	69	4	{view,add,edit,delete,assign}	all	\N
42	71	4	{view,add,edit,delete,assign}	all	\N
43	72	4	{view,add,edit,delete,assign}	all	\N
44	73	4	{view,add,edit,delete,assign}	all	\N
45	74	4	{view,add,edit,delete,assign}	all	\N
46	75	4	{view,add,edit,delete,assign}	all	\N
49	79	4	{view,add,edit,delete,assign}	all	\N
55	83	4	{view,add,edit,delete,assign}	all	\N
56	84	4	{view,add,edit,delete,assign}	all	\N
58	86	4	{view,add,edit,delete,assign}	all	\N
61	89	4	{view,add,edit,delete}	all	\N
62	90	4	{view,add,edit,delete}	all	\N
70	101	4	{view,add,edit,delete}	all	\N
63	91	4	{view,add,edit,delete,assign}	all	\N
79	110	4	{view,add,edit,delete}	all	\N
71	102	4	{view,add,edit,delete,assign}	all	\N
73	104	4	{view,add,edit,delete,assign}	all	\N
74	105	4	{view,add,edit,delete,assign}	all	\N
76	107	4	{view,add,edit,delete,assign}	all	\N
26	47	4	{view,add,edit,delete,assign}	all	\N
80	111	4	{view,add,edit,delete,assign}	all	\N
128	117	4	{view,add,edit,delete,assign}	all	\N
59	87	4	{view,add,edit,delete}	all	\N
22	2	4	{view,add,edit,delete,assign}	all	\N
38	41	4	{view,add,edit,delete,assign}	all	\N
40	39	4	{view,add,edit,delete,assign}	all	\N
35	65	4	{view,add,edit,delete,assign}	all	\N
37	67	4	{view,add,edit,delete,assign}	all	\N
41	70	4	{view,add,edit,delete,assign}	all	\N
132	121	4	{view}	all	\N
134	123	4	{view,close}	all	\N
137	126	4	{view,edit}	all	\N
164	152	4	{view,settings}	all	\N
165	153	4	{view,settings}	all	\N
75	106	4	{view,add,edit,delete,assign}	all	\N
24	12	4	{view,add,edit,delete,assign,settings}	all	\N
146	135	4	{view,add,edit,delete}	all	\N
141	130	4	{view,add,edit,delete,assign,order}	all	\N
148	137	4	{view,add,edit,delete}	all	\N
154	143	4	{view,add,edit,delete}	all	\N
149	138	4	{view,add,edit,delete,assign}	all	\N
150	139	4	{view,add,edit,delete,assign}	all	\N
151	140	4	{view,add,edit,delete,assign}	all	\N
152	141	4	{view,add,edit,delete,assign}	all	\N
155	144	4	{view,add,edit,delete}	all	\N
157	145	4	{view,add,edit,delete}	all	\N
158	146	4	{view,add,edit,delete}	all	\N
161	149	4	{view,add,edit,delete}	all	\N
160	148	4	{view,add,edit,delete,assign}	all	\N
163	151	4	{view,add,edit,delete,assign}	all	\N
129	118	4	{view,add,edit,delete}	all	\N
130	119	4	{view,add,edit,delete,autoload}	all	\N
32	59	4	{view,add,edit,delete,assign}	all	\N
48	78	4	{view,add,edit,delete,assign}	all	\N
65	93	4	{view,add,edit,delete,assign}	all	\N
72	103	4	{view,add,edit,delete,assign,settings}	all	\N
131	120	4	{view,add,edit,delete,assign}	all	\N
153	142	4	{view,add,edit,delete,assign}	all	\N
294	156	4	{view,add,edit,delete,settings,assign}	all	\N
30	55	4	{view,add,edit,delete,assign}	all	\N
297	159	4	{view,add,edit,delete,assign}	all	\N
298	160	4	{assign}	all	\N
145	134	4	{view,add,edit,delete,settings,assign,calculation,invoice,contract}	all	\N
\.


--
-- Name: permision_id_seq; Type: SEQUENCE SET; Schema: demo_ru; Owner: -
--

SELECT pg_catalog.setval('permision_id_seq', 298, true);


--
-- Data for Name: person; Type: TABLE DATA; Schema: demo_ru; Owner: -
--

COPY person (id, resource_id, person_category_id, first_name, last_name, second_name, birthday, gender, email_subscription, sms_subscription, descr) FROM stdin;
\.


--
-- Data for Name: person_address; Type: TABLE DATA; Schema: demo_ru; Owner: -
--

COPY person_address (person_id, address_id) FROM stdin;
\.


--
-- Data for Name: person_category; Type: TABLE DATA; Schema: demo_ru; Owner: -
--

COPY person_category (id, resource_id, name) FROM stdin;
\.


--
-- Name: person_category_id_seq; Type: SEQUENCE SET; Schema: demo_ru; Owner: -
--

SELECT pg_catalog.setval('person_category_id_seq', 1, true);


--
-- Data for Name: person_contact; Type: TABLE DATA; Schema: demo_ru; Owner: -
--

COPY person_contact (person_id, contact_id) FROM stdin;
\.


--
-- Name: person_id_seq; Type: SEQUENCE SET; Schema: demo_ru; Owner: -
--

SELECT pg_catalog.setval('person_id_seq', 1, true);


--
-- Data for Name: person_order_item; Type: TABLE DATA; Schema: demo_ru; Owner: -
--

COPY person_order_item (order_item_id, person_id) FROM stdin;
\.


--
-- Data for Name: person_passport; Type: TABLE DATA; Schema: demo_ru; Owner: -
--

COPY person_passport (person_id, passport_id) FROM stdin;
\.


--
-- Data for Name: person_subaccount; Type: TABLE DATA; Schema: demo_ru; Owner: -
--

COPY person_subaccount (person_id, subaccount_id) FROM stdin;
\.


--
-- Data for Name: position; Type: TABLE DATA; Schema: demo_ru; Owner: -
--

COPY "position" (id, resource_id, structure_id, name) FROM stdin;
4	772	32	Главный разработчик
\.


--
-- Name: position_id_seq; Type: SEQUENCE SET; Schema: demo_ru; Owner: -
--

SELECT pg_catalog.setval('position_id_seq', 4, true);


--
-- Data for Name: region; Type: TABLE DATA; Schema: demo_ru; Owner: -
--

COPY region (id, resource_id, country_id, name) FROM stdin;
\.


--
-- Name: region_id_seq; Type: SEQUENCE SET; Schema: demo_ru; Owner: -
--

SELECT pg_catalog.setval('region_id_seq', 1, true);


--
-- Data for Name: resource; Type: TABLE DATA; Schema: demo_ru; Owner: -
--

COPY resource (id, resource_type_id, maintainer_id, protected) FROM stdin;
12	12	2	\N
14	12	2	\N
16	12	2	\N
30	12	2	\N
31	12	2	\N
32	12	2	\N
33	12	2	\N
34	12	2	\N
35	12	2	\N
36	12	2	\N
37	12	2	\N
38	12	2	\N
39	12	2	\N
40	12	2	\N
43	12	2	\N
44	12	2	\N
45	12	2	\N
83	2	2	\N
84	2	2	\N
277	39	2	\N
913	72	2	\N
914	72	2	\N
915	72	2	\N
916	72	2	\N
917	72	2	\N
2890	93	2	f
918	72	2	\N
919	72	2	\N
928	73	2	\N
929	73	2	\N
930	73	2	\N
931	73	2	\N
932	73	2	\N
933	73	2	\N
935	73	2	\N
936	73	2	\N
937	73	2	\N
948	73	2	\N
949	73	2	\N
950	73	2	\N
952	73	2	\N
953	12	2	\N
954	12	2	\N
955	65	2	\N
956	65	2	\N
957	74	2	\N
958	74	2	\N
1647	39	2	f
2266	137	2	f
2267	134	2	f
2268	12	2	f
2269	105	2	f
1915	111	2	f
1917	110	2	f
1949	123	2	f
1961	123	2	f
2714	104	2	f
2715	119	2	f
2716	119	2	f
2717	119	2	f
2718	119	2	f
2881	69	2	f
2882	12	2	f
2883	65	2	f
278	39	2	\N
279	39	2	\N
280	39	2	\N
281	39	2	\N
282	39	2	\N
283	12	2	\N
286	41	2	\N
287	41	2	\N
288	41	2	\N
289	41	2	\N
938	73	2	\N
939	73	2	\N
961	74	2	\N
962	74	2	\N
963	74	2	\N
964	74	2	\N
965	74	2	\N
966	74	2	\N
967	74	2	\N
968	74	2	\N
969	74	2	\N
970	74	2	\N
971	74	2	\N
973	75	2	\N
975	75	2	\N
976	75	2	\N
977	75	2	\N
978	75	2	\N
979	75	2	\N
980	75	2	\N
981	75	2	\N
982	75	2	\N
983	75	2	\N
984	75	2	\N
1616	69	2	f
1619	69	2	f
1620	87	2	f
1621	87	2	f
1622	89	2	f
1623	90	2	f
1381	89	2	f
2439	117	2	f
2784	123	2	f
1932	93	2	f
2786	2	2	f
2787	2	2	f
2788	12	2	f
2813	12	2	f
2814	87	2	f
2815	93	2	f
2842	119	2	f
290	41	2	\N
291	41	2	\N
943	73	2	\N
944	73	2	\N
945	73	2	\N
946	73	2	\N
947	73	2	\N
998	65	2	\N
1005	78	2	\N
1007	12	2	\N
1008	65	2	\N
1009	79	2	\N
1325	83	2	f
1326	84	2	f
1327	83	2	f
1328	39	2	f
1329	84	2	f
1330	83	2	f
1331	83	2	f
1332	39	2	f
1333	84	2	f
1334	83	2	f
1335	83	2	f
1340	39	2	f
1344	39	2	f
1345	84	2	f
1346	83	2	f
1350	83	2	f
1352	39	2	f
1353	84	2	f
1354	83	2	f
1355	39	2	f
1356	84	2	f
1357	83	2	f
2231	78	2	f
2232	78	2	f
2233	78	2	f
1639	106	2	f
1640	87	2	f
1641	87	2	f
1642	89	2	f
1643	89	2	f
2047	119	2	f
1764	111	2	f
1766	111	2	f
1769	105	2	f
1771	111	2	f
1773	111	2	f
2285	135	2	f
2291	93	2	f
2292	12	2	f
2293	145	2	f
2048	65	2	f
2049	12	2	f
2050	87	2	f
2051	69	2	f
2052	130	2	f
1939	93	2	f
2054	2	2	f
1906	65	2	f
1990	106	2	f
1991	106	2	f
1992	106	2	f
2029	119	2	f
2442	117	2	f
2546	110	2	f
2573	69	2	f
921	73	2	\N
1648	84	2	f
2458	106	2	f
2556	151	2	f
2557	151	2	f
2568	145	2	f
1649	83	2	f
1650	87	2	f
2569	130	2	f
2570	69	2	f
922	73	2	\N
923	73	2	\N
924	73	2	\N
1651	89	2	f
1652	90	2	f
1653	69	2	f
925	73	2	\N
926	73	2	\N
1659	65	2	f
1882	106	2	f
1660	106	2	f
927	73	2	\N
2046	119	2	f
959	74	2	\N
960	74	2	\N
1714	110	2	f
985	75	2	\N
987	75	2	\N
1721	110	2	f
1884	12	2	f
1885	65	2	f
1888	117	2	f
1893	120	2	f
1894	12	2	f
1004	78	2	\N
1309	90	2	f
1310	41	2	f
1895	65	2	f
1311	41	2	f
1312	65	2	f
1313	12	2	f
1896	65	2	f
1314	102	2	f
1317	12	2	f
1320	83	2	f
1321	84	2	f
1322	83	2	f
1950	123	2	f
1951	90	2	f
1952	86	2	f
1907	65	2	f
1956	87	2	f
1958	93	2	f
1959	123	2	f
2104	135	2	f
1323	83	2	f
2105	135	2	f
2106	135	2	f
2107	12	2	f
2108	12	2	f
2111	83	2	f
2115	39	2	f
2119	90	2	f
2168	137	2	f
2171	93	2	f
2172	135	2	f
2173	137	2	f
1324	83	2	f
1358	83	2	f
1359	84	2	f
1360	83	2	f
2452	117	2	f
2457	106	2	f
1361	84	2	f
1365	39	2	f
1366	84	2	f
1367	83	2	f
1368	65	2	f
1371	87	2	f
1373	87	2	f
1374	90	2	f
1624	87	2	f
1625	89	2	f
1376	89	2	f
1626	69	2	f
1378	78	2	f
1627	69	2	f
1628	69	2	f
1379	87	2	f
1380	87	2	f
1383	69	2	f
2260	135	2	f
2261	142	2	f
2262	135	2	f
2263	142	2	f
2264	134	2	f
2265	135	2	f
1780	105	2	f
1797	12	2	f
1798	65	2	f
1799	12	2	f
1804	118	2	f
2	2	2	\N
2127	12	2	f
3	2	2	\N
10	12	2	\N
1010	79	2	\N
1080	65	2	\N
1081	12	2	\N
1099	39	2	\N
2309	69	2	f
2128	65	2	f
2129	138	2	f
2130	138	2	f
2132	118	2	f
2440	117	2	f
2201	104	2	f
2459	106	2	f
2463	111	2	f
2465	120	2	f
2563	69	2	f
2564	145	2	f
2565	130	2	f
2203	104	2	f
2205	110	2	f
2234	78	2	f
2566	69	2	f
2133	123	2	f
2567	145	2	f
2571	145	2	f
2135	12	2	f
2572	130	2	f
2710	119	2	f
2711	119	2	f
2712	119	2	f
2713	119	2	f
2816	93	2	f
2817	123	2	f
2836	119	2	f
2136	65	2	f
2320	12	2	f
2327	87	2	f
2328	69	2	f
2583	12	2	f
2329	145	2	f
2330	145	2	f
2331	146	2	f
2837	135	2	f
2332	146	2	f
2333	130	2	f
2838	144	2	f
2855	119	2	f
2861	117	2	f
2862	117	2	f
2334	104	2	f
2335	104	2	f
2336	104	2	f
2235	78	2	f
2236	78	2	f
2337	104	2	f
2338	87	2	f
2339	69	2	f
2340	69	2	f
2237	78	2	f
2238	78	2	f
2239	78	2	f
1774	111	2	f
1775	59	2	f
1777	65	2	f
1778	12	2	f
1800	118	2	f
2294	145	2	f
1801	118	2	f
2295	145	2	f
1802	118	2	f
2296	12	2	f
2297	145	2	f
2299	146	2	f
2300	145	2	f
2304	123	2	f
1910	106	2	f
1911	106	2	f
2075	93	2	f
2076	123	2	f
2077	12	2	f
2087	118	2	f
2088	130	2	f
2089	87	2	f
2090	69	2	f
2092	118	2	f
2095	87	2	f
2096	118	2	f
2097	118	2	f
2307	87	2	f
2120	101	2	f
2126	2	2	f
2341	135	2	f
2342	137	2	f
2343	135	2	f
2344	143	2	f
2030	119	2	f
2031	119	2	f
2308	87	2	f
2032	110	2	f
2038	119	2	f
2903	119	2	f
2514	65	2	f
2515	148	2	f
2516	12	2	f
2871	119	2	f
2517	149	2	f
2518	149	2	f
2519	47	2	f
2520	149	2	f
2521	149	2	f
2522	149	2	f
2873	87	2	f
2874	87	2	f
2875	69	2	f
2876	145	2	f
2877	130	2	f
2878	87	2	f
2887	12	2	f
2888	65	2	f
2889	65	2	f
1316	102	2	f
1336	39	2	f
1362	83	2	f
1363	84	2	f
1364	83	2	f
1372	69	2	f
2523	149	2	f
2524	149	2	f
1375	69	2	f
2525	149	2	f
1382	90	2	f
2526	149	2	f
1385	84	2	f
2527	149	2	f
1386	83	2	f
2528	149	2	f
2529	119	2	f
2536	110	2	f
2537	119	2	f
2538	119	2	f
2574	145	2	f
2575	130	2	f
1387	87	2	f
1388	90	2	f
1389	69	2	f
1390	69	2	f
1391	90	2	f
1416	39	2	f
2271	140	2	f
2272	78	2	f
2273	135	2	f
2286	137	2	f
2287	135	2	f
2288	142	2	f
2289	104	2	f
2290	104	2	f
1424	12	2	f
1425	65	2	f
1426	105	2	f
1431	105	2	f
1432	105	2	f
1433	12	2	f
1434	65	2	f
2576	69	2	f
2577	145	2	f
2578	145	2	f
2579	130	2	f
2580	69	2	f
2581	145	2	f
2582	130	2	f
2345	134	2	f
2366	87	2	f
2367	69	2	f
2368	145	2	f
2369	146	2	f
2370	118	2	f
2371	93	2	f
2372	130	2	f
2373	39	2	f
2648	65	2	f
2649	65	2	f
2650	65	2	f
2429	105	2	f
2430	105	2	f
2510	110	2	f
2511	86	2	f
2513	12	2	f
2544	148	2	f
907	71	2	\N
908	12	2	\N
909	12	2	\N
2131	93	2	f
2891	87	2	f
2892	69	2	f
2893	145	2	f
2894	130	2	f
2589	89	2	f
2590	90	2	f
2545	86	2	f
2547	119	2	f
2548	119	2	f
2591	69	2	f
2592	123	2	f
2593	69	2	f
2594	87	2	f
2595	69	2	f
2596	145	2	f
2376	69	2	f
2377	135	2	f
2549	12	2	f
2378	137	2	f
2550	87	2	f
2379	135	2	f
2551	12	2	f
2552	65	2	f
2553	65	2	f
2554	65	2	f
2725	119	2	f
2726	110	2	f
2727	119	2	f
2728	119	2	f
2730	93	2	f
2731	123	2	f
2732	148	2	f
2818	93	2	f
2819	123	2	f
2380	143	2	f
2381	93	2	f
2382	134	2	f
2383	104	2	f
2384	104	2	f
2385	104	2	f
2389	105	2	f
2390	105	2	f
2391	105	2	f
2396	105	2	f
2397	105	2	f
2398	105	2	f
2415	105	2	f
2416	105	2	f
2670	146	2	f
2677	89	2	f
2678	69	2	f
2679	69	2	f
2680	89	2	f
2681	89	2	f
2424	105	2	f
2425	105	2	f
2426	105	2	f
2682	149	2	f
2683	89	2	f
2427	105	2	f
2428	105	2	f
2684	149	2	f
2685	89	2	f
2686	135	2	f
2431	105	2	f
2687	137	2	f
2690	134	2	f
2693	110	2	f
2694	110	2	f
2695	86	2	f
2530	119	2	f
2531	119	2	f
2532	119	2	f
2533	119	2	f
2534	119	2	f
2535	119	2	f
2539	110	2	f
2540	86	2	f
2541	119	2	f
2542	148	2	f
2543	148	2	f
2820	118	2	f
2821	87	2	f
2822	69	2	f
2823	145	2	f
1546	106	2	f
2824	130	2	f
1547	106	2	f
1548	12	2	f
1549	12	2	f
2825	146	2	f
2826	118	2	f
2827	135	2	f
2828	137	2	f
2841	104	2	f
2865	78	2	f
2866	117	2	f
2867	111	2	f
1550	65	2	f
1551	87	2	f
1552	87	2	f
2597	145	2	f
2636	65	2	f
2637	65	2	f
2638	65	2	f
2392	105	2	f
2393	105	2	f
2394	105	2	f
2395	105	2	f
2642	65	2	f
274	12	2	\N
292	41	2	\N
306	41	2	\N
706	12	2	\N
723	12	2	\N
725	55	2	\N
726	55	2	\N
728	55	2	\N
734	55	2	\N
743	55	2	\N
763	55	2	\N
764	12	2	\N
769	12	2	\N
2643	65	2	f
2646	65	2	f
2647	65	2	f
2651	65	2	f
2652	65	2	f
2653	65	2	f
771	55	2	\N
772	59	2	\N
837	65	2	\N
2895	39	2	f
1067	78	2	\N
1068	12	2	\N
1165	39	2	\N
2654	65	2	f
2655	65	2	f
2896	84	2	f
1185	39	2	\N
1195	87	2	\N
1198	12	2	\N
1261	89	2	f
1807	90	2	f
1833	118	2	f
1435	12	2	f
1436	65	2	f
1438	107	2	f
1439	107	2	f
1511	101	2	f
1512	101	2	f
1513	101	2	f
1521	12	2	f
1535	110	2	f
1536	110	2	f
1537	110	2	f
1538	110	2	f
1539	110	2	f
1540	110	2	f
1541	110	2	f
2897	83	2	f
2417	105	2	f
1543	87	2	f
1544	87	2	f
1545	87	2	f
2659	87	2	f
2661	145	2	f
2662	130	2	f
2663	118	2	f
2418	105	2	f
2419	105	2	f
2420	105	2	f
2421	105	2	f
2422	105	2	f
2423	105	2	f
2698	110	2	f
2699	86	2	f
2700	119	2	f
2701	119	2	f
2879	69	2	f
773	12	2	\N
887	69	2	\N
2183	137	2	f
2660	69	2	f
2664	149	2	f
2665	149	2	f
2666	87	2	f
2667	69	2	f
2898	69	2	f
2668	145	2	f
2899	135	2	f
894	2	2	\N
896	39	2	\N
1011	12	2	\N
2669	130	2	f
2671	93	2	f
2672	123	2	f
2673	39	2	f
2839	119	2	f
2840	119	2	f
1278	39	2	f
1283	71	2	f
1284	69	2	f
1285	87	2	f
1286	89	2	f
1287	84	2	f
1288	90	2	f
1289	84	2	f
1290	39	2	f
1291	84	2	f
1292	83	2	f
1293	69	2	f
1294	69	2	f
1304	87	2	f
1306	90	2	f
1849	12	2	f
1447	106	2	f
1448	106	2	f
1450	12	2	f
1452	12	2	f
1464	87	2	f
1465	69	2	f
1467	89	2	f
1472	69	2	f
1473	69	2	f
1485	106	2	f
1500	106	2	f
1504	104	2	f
1505	104	2	f
1506	104	2	f
1507	107	2	f
1509	106	2	f
1514	101	2	f
1515	101	2	f
1516	87	2	f
1517	87	2	f
1518	87	2	f
1519	87	2	f
1553	79	2	f
2584	93	2	f
2585	87	2	f
2586	87	2	f
2587	87	2	f
2588	89	2	f
2633	65	2	f
2634	65	2	f
2635	65	2	f
2174	135	2	f
2175	137	2	f
2176	135	2	f
2177	137	2	f
2178	135	2	f
2179	137	2	f
2180	135	2	f
2181	137	2	f
2182	135	2	f
897	39	2	\N
898	39	2	\N
899	39	2	\N
900	65	2	\N
2435	146	2	f
901	12	2	\N
902	65	2	\N
903	71	2	\N
2451	106	2	f
2486	101	2	f
2489	86	2	f
2490	86	2	f
2491	86	2	f
2493	87	2	f
2501	110	2	f
2502	110	2	f
2503	119	2	f
2505	110	2	f
2506	86	2	f
2507	110	2	f
2508	110	2	f
2737	106	2	f
2738	117	2	f
2739	69	2	f
2740	12	2	f
2832	119	2	f
2863	111	2	f
2864	140	2	f
2274	143	2	f
2275	134	2	f
2276	12	2	f
2277	105	2	f
2278	135	2	f
2279	144	2	f
2280	134	2	f
2281	104	2	f
2282	135	2	f
2284	134	2	f
1962	93	2	f
1963	123	2	f
1964	93	2	f
1965	123	2	f
1966	12	2	f
2098	118	2	f
2099	12	2	f
2100	12	2	f
1978	2	2	f
2101	65	2	f
1979	118	2	f
1985	93	2	f
1986	123	2	f
1988	119	2	f
1989	12	2	f
2602	65	2	f
2603	65	2	f
2604	65	2	f
2605	65	2	f
2608	65	2	f
2612	65	2	f
2613	65	2	f
2617	65	2	f
2039	119	2	f
2044	119	2	f
2156	135	2	f
2157	137	2	f
2158	135	2	f
2159	137	2	f
2160	135	2	f
2161	137	2	f
2162	135	2	f
2163	137	2	f
2164	135	2	f
2165	137	2	f
2167	135	2	f
2045	119	2	f
2399	105	2	f
2400	105	2	f
2401	105	2	f
2402	105	2	f
2403	105	2	f
2704	119	2	f
2705	119	2	f
2706	119	2	f
2707	119	2	f
2708	119	2	f
2709	119	2	f
2434	130	2	f
775	12	2	\N
778	65	2	\N
779	65	2	\N
780	65	2	\N
784	47	2	\N
788	12	2	\N
789	67	2	\N
790	65	2	\N
791	65	2	\N
792	65	2	\N
794	55	2	\N
800	55	2	\N
801	55	2	\N
802	65	2	\N
1468	84	2	f
1469	90	2	f
1470	83	2	f
1471	69	2	f
1913	117	2	f
1510	101	2	f
1968	12	2	f
1970	126	2	f
1971	93	2	f
1972	123	2	f
1973	123	2	f
1975	65	2	f
1977	12	2	f
1554	101	2	f
1556	101	2	f
1559	87	2	f
1560	79	2	f
2137	139	2	f
2138	139	2	f
2139	139	2	f
2144	135	2	f
2145	137	2	f
2146	135	2	f
2147	137	2	f
838	65	2	\N
849	41	2	\N
851	41	2	\N
852	41	2	\N
853	41	2	\N
854	2	2	\N
855	2	2	\N
856	2	2	\N
864	65	2	\N
865	12	2	\N
866	65	2	\N
1307	90	2	f
1308	90	2	f
1337	84	2	f
1338	83	2	f
1347	39	2	f
1348	84	2	f
1349	83	2	f
1393	12	2	f
1394	65	2	f
1395	65	2	f
1396	104	2	f
1398	104	2	f
1400	104	2	f
1401	104	2	f
1402	104	2	f
1403	104	2	f
1404	87	2	f
1406	89	2	f
1407	90	2	f
1408	69	2	f
1409	69	2	f
1410	69	2	f
1411	69	2	f
2148	135	2	f
2149	137	2	f
2150	135	2	f
2187	135	2	f
2188	137	2	f
2189	135	2	f
2190	137	2	f
2674	84	2	f
2675	83	2	f
2676	87	2	f
1413	102	2	f
1414	90	2	f
1415	91	2	f
1417	84	2	f
1418	90	2	f
1419	91	2	f
1420	101	2	f
2152	135	2	f
2153	137	2	f
2154	135	2	f
2155	137	2	f
2184	135	2	f
2185	137	2	f
2186	134	2	f
2688	135	2	f
2880	87	2	f
904	71	2	\N
905	71	2	\N
906	71	2	\N
910	65	2	\N
911	65	2	\N
912	72	2	\N
1318	102	2	f
1319	84	2	f
2206	110	2	f
2207	110	2	f
1607	106	2	f
1608	105	2	f
1341	84	2	f
1609	105	2	f
2433	145	2	f
2689	143	2	f
2558	12	2	f
2559	151	2	f
1342	83	2	f
1610	87	2	f
1611	87	2	f
1612	89	2	f
1613	89	2	f
1614	90	2	f
2560	69	2	f
2561	145	2	f
2562	130	2	f
2733	148	2	f
1615	69	2	f
2208	110	2	f
2209	110	2	f
2210	86	2	f
2211	110	2	f
2212	110	2	f
2213	86	2	f
2734	119	2	f
2735	119	2	f
2843	119	2	f
1370	90	2	f
1384	39	2	f
2283	137	2	f
1803	118	2	f
2301	146	2	f
2302	118	2	f
2303	93	2	f
1852	119	2	f
1898	105	2	f
1900	120	2	f
1901	120	2	f
1902	117	2	f
1903	111	2	f
1904	65	2	f
1905	65	2	f
1561	87	2	f
1562	87	2	f
1563	79	2	f
1564	101	2	f
2844	119	2	f
1569	101	2	f
1570	101	2	f
1571	65	2	f
1575	65	2	f
1576	86	2	f
2845	119	2	f
2846	119	2	f
2847	119	2	f
2848	119	2	f
2849	119	2	f
2850	119	2	f
2851	119	2	f
2852	110	2	f
2853	86	2	f
2854	119	2	f
1577	87	2	f
1578	79	2	f
1579	110	2	f
1580	78	2	f
1581	87	2	f
1582	89	2	f
2598	145	2	f
2599	130	2	f
2868	93	2	f
2869	93	2	f
2870	119	2	f
2151	137	2	f
988	75	2	\N
1003	12	2	\N
1078	12	2	\N
1088	12	2	\N
1089	65	2	\N
1090	39	2	\N
1091	84	2	\N
1093	84	2	\N
1095	70	2	\N
1096	39	2	\N
1199	89	2	\N
1204	87	2	\N
1205	89	2	\N
1206	89	2	\N
1252	59	2	f
1257	87	2	f
1258	87	2	f
1644	90	2	f
1645	69	2	f
1918	119	2	f
1919	12	2	f
1922	93	2	f
1924	118	2	f
1925	89	2	f
1926	90	2	f
1927	87	2	f
1930	93	2	f
1931	118	2	f
1933	93	2	f
1934	93	2	f
1935	93	2	f
1936	93	2	f
1940	93	2	f
1941	12	2	f
1945	123	2	f
1946	123	2	f
1947	123	2	f
1948	123	2	f
1954	12	2	f
1584	89	2	f
1585	90	2	f
1586	69	2	f
1587	39	2	f
1588	84	2	f
1589	84	2	f
1590	83	2	f
1591	87	2	f
1592	89	2	f
1593	69	2	f
1597	104	2	f
2631	65	2	f
2632	65	2	f
2702	119	2	f
2703	119	2	f
2829	93	2	f
2830	69	2	f
2831	134	2	f
2833	110	2	f
2834	86	2	f
2835	104	2	f
2859	148	2	f
2860	106	2	f
885	47	2	\N
895	39	2	\N
940	73	2	\N
941	73	2	\N
942	73	2	\N
1259	87	2	f
1260	87	2	f
2200	104	2	f
2214	110	2	f
2215	86	2	f
2216	78	2	f
2217	12	2	f
2218	140	2	f
2219	65	2	f
2221	140	2	f
2222	65	2	f
2223	78	2	f
2224	78	2	f
2225	78	2	f
2226	78	2	f
2227	78	2	f
2228	78	2	f
2229	78	2	f
2230	78	2	f
1908	65	2	f
2055	12	2	f
2062	93	2	f
2063	93	2	f
2064	123	2	f
2065	118	2	f
2066	93	2	f
2067	123	2	f
2068	93	2	f
2069	123	2	f
2070	12	2	f
2305	145	2	f
2306	146	2	f
1993	106	2	f
2310	145	2	f
1994	106	2	f
2311	93	2	f
1995	106	2	f
1996	106	2	f
2312	130	2	f
1997	106	2	f
2313	145	2	f
2314	69	2	f
2315	135	2	f
2001	106	2	f
2316	137	2	f
2002	106	2	f
2317	134	2	f
2319	104	2	f
2006	106	2	f
2007	106	2	f
2009	93	2	f
2010	123	2	f
2011	110	2	f
2012	118	2	f
2013	87	2	f
2014	89	2	f
2015	90	2	f
2016	93	2	f
2017	69	2	f
2018	87	2	f
2019	89	2	f
2020	69	2	f
2023	104	2	f
2024	104	2	f
2027	106	2	f
2028	106	2	f
2436	93	2	f
2437	146	2	f
2438	117	2	f
1880	106	2	f
1881	106	2	f
2374	84	2	f
2375	83	2	f
2413	105	2	f
871	69	2	\N
872	12	2	\N
873	65	2	\N
874	65	2	\N
876	41	2	\N
878	70	2	\N
2857	119	2	f
879	65	2	\N
1079	65	2	\N
1097	84	2	\N
1101	39	2	\N
1102	84	2	\N
1159	78	2	\N
1170	39	2	\N
1179	39	2	\N
1189	12	2	\N
1190	12	2	\N
1191	86	2	\N
1192	86	2	\N
1193	87	2	\N
1194	87	2	\N
1200	89	2	\N
1201	87	2	\N
1210	90	2	\N
1211	12	2	\N
1212	65	2	\N
1213	90	2	\N
1214	91	2	\N
1225	12	2	\N
1230	93	2	\N
1243	87	2	f
1244	87	2	f
1253	65	2	f
1263	87	2	f
1264	87	2	f
1265	89	2	f
1268	12	2	f
2197	93	2	f
2198	123	2	f
2199	105	2	f
2240	78	2	f
2241	78	2	f
2242	78	2	f
2243	12	2	f
2244	12	2	f
2245	65	2	f
2246	105	2	f
2247	102	2	f
2248	141	2	f
2249	141	2	f
2254	135	2	f
2255	142	2	f
2256	135	2	f
2257	142	2	f
2258	135	2	f
2259	142	2	f
1853	119	2	f
1854	119	2	f
1855	119	2	f
1859	119	2	f
1860	119	2	f
1865	117	2	f
1866	117	2	f
1867	117	2	f
1868	117	2	f
1869	69	2	f
1870	78	2	f
1872	118	2	f
1873	105	2	f
1875	106	2	f
1876	106	2	f
863	65	2	\N
870	69	2	\N
875	70	2	\N
1207	12	2	\N
1209	90	2	\N
1218	39	2	\N
1221	12	2	\N
1227	93	2	\N
1240	41	2	f
1241	39	2	f
1282	87	2	f
1980	93	2	f
1981	118	2	f
1982	93	2	f
1983	93	2	f
1984	123	2	f
2404	105	2	f
2405	105	2	f
2406	105	2	f
2407	105	2	f
2408	105	2	f
2409	105	2	f
2410	105	2	f
2411	105	2	f
2412	105	2	f
2414	105	2	f
2432	105	2	f
2719	119	2	f
2720	119	2	f
2721	119	2	f
2722	119	2	f
2723	104	2	f
2724	119	2	f
2736	119	2	f
2741	65	2	f
2742	12	2	f
2779	123	2	f
2780	123	2	f
2781	123	2	f
2782	123	2	f
2783	123	2	f
2466	117	2	f
2467	111	2	f
2468	119	2	f
2469	119	2	f
2470	119	2	f
2475	90	2	f
2900	137	2	f
2484	2	2	f
2901	93	2	f
2902	134	2	f
\.


--
-- Name: resource_id_seq; Type: SEQUENCE SET; Schema: demo_ru; Owner: -
--

SELECT pg_catalog.setval('resource_id_seq', 2903, true);


--
-- Data for Name: resource_log; Type: TABLE DATA; Schema: demo_ru; Owner: -
--

COPY resource_log (id, resource_id, employee_id, comment, modifydt) FROM stdin;
142	83	2	\N	2013-12-07 16:38:38.11618+02
143	84	2	\N	2013-12-07 16:39:56.788641+02
144	3	2	\N	2013-12-07 16:41:27.65259+02
145	2	2	\N	2013-12-07 16:41:31.748494+02
146	83	2	\N	2013-12-07 16:58:05.802634+02
147	83	2	\N	2013-12-07 17:00:14.544264+02
4836	794	2	\N	2014-02-05 19:54:07.5415+02
5406	1192	2	\N	2014-04-06 19:21:11.278173+03
5407	1005	2	\N	2014-04-06 19:21:55.315341+03
4845	283	2	\N	2014-02-06 11:38:41.090464+02
2	10	2	\N	2013-11-16 19:00:14.24272+02
4	12	2	\N	2013-11-16 19:00:15.497284+02
6	14	2	\N	2013-11-16 19:00:16.696731+02
8	16	2	\N	2013-11-16 19:00:17.960761+02
5427	1204	2	\N	2014-04-09 18:54:09.146902+03
12	30	2	\N	2013-11-23 19:26:00.193553+02
13	30	2	\N	2013-11-23 22:02:37.363677+02
14	10	2	\N	2013-11-23 22:11:01.634598+02
15	30	2	\N	2013-11-23 22:11:14.939938+02
16	30	2	\N	2013-11-23 22:11:38.396085+02
19	30	2	\N	2013-11-24 10:30:59.830287+02
20	30	2	\N	2013-11-24 10:31:22.936737+02
21	30	2	\N	2013-11-24 10:38:08.07328+02
22	30	2	\N	2013-11-24 10:38:10.703187+02
23	30	2	\N	2013-11-24 10:38:11.896934+02
24	30	2	\N	2013-11-24 10:42:19.397852+02
25	30	2	\N	2013-11-24 10:42:50.772172+02
26	30	2	\N	2013-11-24 10:45:56.399572+02
27	30	2	\N	2013-11-24 10:48:29.950669+02
28	30	2	\N	2013-11-24 10:49:23.616693+02
29	30	2	\N	2013-11-24 10:50:05.878643+02
30	30	2	\N	2013-11-24 10:51:02.465585+02
31	30	2	\N	2013-11-24 10:54:21.011765+02
32	30	2	\N	2013-11-24 10:54:28.775552+02
33	30	2	\N	2013-11-24 10:58:34.152869+02
34	30	2	\N	2013-11-24 10:58:36.766104+02
35	30	2	\N	2013-11-24 10:58:38.767749+02
36	30	2	\N	2013-11-24 10:58:42.533162+02
37	30	2	\N	2013-11-24 10:58:43.55758+02
38	30	2	\N	2013-11-24 10:58:47.40587+02
39	30	2	\N	2013-11-24 11:00:56.130675+02
40	30	2	\N	2013-11-24 11:01:17.637578+02
41	30	2	\N	2013-11-24 11:01:20.639413+02
42	30	2	\N	2013-11-24 11:01:25.957588+02
43	30	2	\N	2013-11-24 11:01:28.015301+02
44	30	2	\N	2013-11-24 11:01:49.505153+02
45	30	2	\N	2013-11-24 11:01:54.465064+02
46	30	2	\N	2013-11-24 11:01:56.828797+02
47	30	2	\N	2013-11-24 11:02:00.873006+02
48	30	2	\N	2013-11-24 11:02:06.385907+02
49	30	2	\N	2013-11-24 11:02:08.474309+02
50	30	2	\N	2013-11-24 11:02:11.823259+02
51	30	2	\N	2013-11-24 11:02:15.084044+02
52	30	2	\N	2013-11-24 11:23:59.150304+02
53	30	2	\N	2013-11-24 12:41:22.004561+02
54	30	2	\N	2013-11-24 12:41:27.704243+02
55	30	2	\N	2013-11-24 12:41:32.588516+02
5430	1207	2	\N	2014-04-09 20:43:13.852066+03
5459	1227	2	\N	2014-04-19 13:04:24.512333+03
5467	1230	2	\N	2014-04-23 11:53:28.979784+03
5468	1230	2	\N	2014-04-23 11:53:45.572462+03
5537	1306	2	\N	2014-04-30 11:04:50.581045+03
66	16	2	\N	2013-11-30 12:57:27.26941+02
67	31	2	\N	2013-11-30 14:25:42.040654+02
68	32	2	\N	2013-11-30 14:27:55.708736+02
69	33	2	\N	2013-11-30 14:28:30.596329+02
70	34	2	\N	2013-11-30 14:29:07.205192+02
71	35	2	\N	2013-11-30 14:30:10.653134+02
72	36	2	\N	2013-11-30 14:31:39.751221+02
73	37	2	\N	2013-11-30 14:32:36.035677+02
74	38	2	\N	2013-11-30 14:55:27.691288+02
75	39	2	\N	2013-11-30 14:58:07.249714+02
76	40	2	\N	2013-11-30 14:58:34.364695+02
79	43	2	\N	2013-11-30 15:08:29.574538+02
80	43	2	\N	2013-11-30 15:08:52.114395+02
81	43	2	\N	2013-11-30 15:09:21.51485+02
82	44	2	\N	2013-11-30 15:09:54.961188+02
83	45	2	\N	2013-12-01 13:04:27.697583+02
84	45	2	\N	2013-12-01 13:04:40.716328+02
85	14	2	\N	2013-12-01 14:31:19.374571+02
87	12	2	\N	2013-12-01 18:21:35.266219+02
104	10	2	\N	2013-12-02 20:43:38.334769+02
130	10	2	\N	2013-12-06 21:10:25.807719+02
4796	769	2	\N	2014-01-22 22:21:45.451623+02
4820	16	2	\N	2014-02-01 21:09:43.821944+02
5408	1192	2	\N	2014-04-06 19:22:16.361504+03
5409	1005	2	\N	2014-04-06 19:22:18.74271+03
4822	784	2	\N	2014-02-01 21:23:07.460721+02
5410	1193	2	\N	2014-04-06 19:30:25.125445+03
5411	1194	2	\N	2014-04-06 19:30:51.85642+03
5412	1195	2	\N	2014-04-06 19:32:30.207073+03
5428	1205	2	\N	2014-04-09 19:17:37.483997+03
5431	1209	2	\N	2014-04-09 20:49:45.884539+03
4843	800	2	\N	2014-02-05 19:58:31.619612+02
4844	801	2	\N	2014-02-05 19:58:49.632624+02
4951	885	2	\N	2014-02-14 21:23:40.101298+02
4952	885	2	\N	2014-02-14 21:25:13.866935+02
4974	849	2	\N	2014-02-23 22:41:46.113064+02
5143	1003	2	\N	2014-03-04 21:05:09.565466+02
5144	1004	2	\N	2014-03-04 21:08:53.227171+02
5145	1005	2	\N	2014-03-04 21:09:15.542733+02
5471	1240	2	\N	2014-04-26 13:10:19.27836+03
5538	1307	2	\N	2014-04-30 11:08:33.655971+03
5544	1313	2	\N	2014-05-16 22:03:29.897662+03
361	274	2	\N	2013-12-14 17:16:08.962259+02
365	277	2	\N	2013-12-14 18:56:05.189747+02
366	278	2	\N	2013-12-14 18:56:17.77025+02
367	279	2	\N	2013-12-14 18:56:45.919492+02
368	280	2	\N	2013-12-14 19:10:07.617582+02
369	281	2	\N	2013-12-14 19:10:25.311427+02
370	281	2	\N	2013-12-14 19:10:59.35028+02
371	281	2	\N	2013-12-14 19:12:14.211139+02
372	282	2	\N	2013-12-14 19:14:22.861495+02
373	278	2	\N	2013-12-14 19:14:33.853691+02
374	282	2	\N	2013-12-14 19:14:41.964012+02
375	283	2	\N	2013-12-14 19:16:35.738242+02
4882	706	2	\N	2014-02-08 19:59:59.160282+02
377	283	2	\N	2013-12-14 19:18:21.622933+02
5147	1004	2	\N	2014-03-04 21:17:22.306545+02
5148	1004	2	\N	2014-03-04 21:23:04.343461+02
386	286	2	\N	2013-12-14 20:46:34.653533+02
387	287	2	\N	2013-12-14 20:46:47.37835+02
388	288	2	\N	2013-12-14 20:47:08.024243+02
389	289	2	\N	2013-12-14 20:47:28.256516+02
390	290	2	\N	2013-12-14 20:52:40.953492+02
391	291	2	\N	2013-12-14 20:53:08.057165+02
392	292	2	\N	2013-12-14 20:53:33.598708+02
5149	1004	2	\N	2014-03-04 21:23:17.093243+02
5150	1004	2	\N	2014-03-04 21:23:25.611509+02
4799	771	2	\N	2014-01-25 16:05:28.799345+02
4800	771	2	\N	2014-01-25 16:05:38.705799+02
4801	772	2	\N	2014-01-25 16:06:28.321244+02
4826	788	2	\N	2014-02-01 22:03:21.899916+02
5151	1004	2	\N	2014-03-04 21:23:52.466966+02
5152	1004	2	\N	2014-03-04 21:24:11.351815+02
5153	1004	2	\N	2014-03-04 21:24:20.614224+02
5429	1206	2	\N	2014-04-09 19:21:09.215561+03
5154	1004	2	\N	2014-03-04 21:35:47.600889+02
5155	1004	2	\N	2014-03-04 21:36:05.835492+02
5156	1004	2	\N	2014-03-04 21:36:16.322673+02
5432	1210	2	\N	2014-04-12 13:10:08.842351+03
5472	1241	2	\N	2014-04-26 19:16:28.009797+03
5539	1308	2	\N	2014-04-30 11:20:34.938154+03
5545	1314	2	\N	2014-05-17 13:42:16.369317+03
422	306	2	\N	2013-12-15 21:45:32.990838+02
4802	773	2	\N	2014-01-25 23:45:37.762081+02
4827	789	2	\N	2014-02-02 16:45:11.830435+02
4954	887	2	\N	2014-02-15 12:32:09.199652+02
5415	1198	2	\N	2014-04-08 09:35:59.21042+03
4979	885	2	\N	2014-02-24 12:50:26.694026+02
4981	784	2	\N	2014-02-24 12:50:33.322359+02
5157	1004	2	\N	2014-03-07 22:30:15.652582+02
5230	894	2	\N	2014-03-16 11:54:19.683752+02
5231	894	2	\N	2014-03-16 11:54:28.171778+02
5232	894	2	\N	2014-03-16 11:54:33.774318+02
5270	1004	2	\N	2014-03-17 10:50:39.781432+02
5465	1230	2	\N	2014-04-19 21:03:03.225866+03
5509	1278	2	\N	2014-04-29 10:09:19.421905+03
5540	1309	2	\N	2014-04-30 11:32:51.070911+03
5547	1316	2	\N	2014-05-17 14:00:25.111543+03
4927	865	2	\N	2014-02-09 13:26:19.008763+02
4804	775	2	\N	2014-01-26 15:30:50.636495+02
4828	3	2	\N	2014-02-02 17:45:50.239397+02
5416	1199	2	\N	2014-04-08 10:15:32.411146+03
5434	1211	2	\N	2014-04-12 14:16:34.33498+03
5435	1211	2	\N	2014-04-12 14:16:53.40729+03
4982	895	2	\N	2014-02-25 19:06:42.158245+02
5158	1007	2	\N	2014-03-08 10:30:25.61786+02
5198	3	2	\N	2014-03-11 13:14:05.142514+02
5437	1213	2	\N	2014-04-12 14:32:08.840037+03
5466	1227	2	\N	2014-04-19 21:37:55.580038+03
5474	1243	2	\N	2014-04-26 22:38:44.326007+03
5541	1310	2	\N	2014-04-30 22:45:27.579715+03
5548	1317	2	\N	2014-05-17 14:54:57.813145+03
5549	1318	2	\N	2014-05-17 15:24:32.954365+03
5550	1319	2	\N	2014-05-17 15:53:28.880817+03
5551	1320	2	\N	2014-05-17 15:53:34.139717+03
5552	1321	2	\N	2014-05-17 15:55:03.155317+03
5553	1322	2	\N	2014-05-17 15:55:07.534203+03
5557	1326	2	\N	2014-05-17 15:59:13.891973+03
5558	1327	2	\N	2014-05-17 15:59:17.045556+03
5559	1328	2	\N	2014-05-17 16:00:04.660539+03
5560	1329	2	\N	2014-05-17 16:00:08.901641+03
5561	1330	2	\N	2014-05-17 16:00:10.337355+03
5566	1335	2	\N	2014-05-17 16:02:19.447311+03
5571	1340	2	\N	2014-05-17 16:06:28.503991+03
5572	1341	2	\N	2014-05-17 16:06:29.727144+03
5573	1342	2	\N	2014-05-17 16:06:31.81672+03
5575	1344	2	\N	2014-05-17 16:07:45.972655+03
5576	1345	2	\N	2014-05-17 16:07:47.259172+03
5577	1346	2	\N	2014-05-17 16:07:49.146563+03
5581	1350	2	\N	2014-05-17 16:09:55.923893+03
5583	1352	2	\N	2014-05-17 16:13:14.609527+03
5584	1353	2	\N	2014-05-17 16:13:16.568079+03
5585	1354	2	\N	2014-05-17 16:13:17.732756+03
5370	1159	2	\N	2014-04-02 19:52:15.193771+03
5417	1200	2	\N	2014-04-08 10:35:59.014802+03
4890	784	2	\N	2014-02-08 21:26:51.98617+02
4929	870	2	\N	2014-02-09 14:57:54.403714+02
4983	896	2	\N	2014-02-25 19:37:56.226615+02
4984	897	2	\N	2014-02-25 19:38:21.395798+02
4985	898	2	\N	2014-02-25 19:38:30.353048+02
4986	899	2	\N	2014-02-25 19:39:23.588225+02
4988	901	2	\N	2014-02-25 19:47:57.884012+02
5160	1009	2	\N	2014-03-08 10:49:52.0599+02
5199	3	2	\N	2014-03-12 12:05:31.953558+02
5438	1214	2	\N	2014-04-12 14:36:07.046988+03
5475	1244	2	\N	2014-04-26 22:39:00.40778+03
5542	1311	2	\N	2014-04-30 22:45:36.089534+03
5554	1323	2	\N	2014-05-17 15:55:54.008685+03
5555	1324	2	\N	2014-05-17 15:56:55.63522+03
5556	1325	2	\N	2014-05-17 15:58:29.508912+03
5562	1331	2	\N	2014-05-17 16:00:49.21287+03
5563	1332	2	\N	2014-05-17 16:01:46.175183+03
5564	1333	2	\N	2014-05-17 16:01:47.950656+03
5565	1334	2	\N	2014-05-17 16:01:48.837764+03
5567	1336	2	\N	2014-05-17 16:03:41.796945+03
5568	1337	2	\N	2014-05-17 16:04:32.839289+03
5569	1338	2	\N	2014-05-17 16:04:34.363533+03
5578	1347	2	\N	2014-05-17 16:08:39.18466+03
5579	1348	2	\N	2014-05-17 16:08:56.863828+03
5580	1349	2	\N	2014-05-17 16:08:58.291349+03
4894	849	2	\N	2014-02-08 21:32:14.802948+02
4896	851	2	\N	2014-02-08 21:32:32.471247+02
4897	852	2	\N	2014-02-08 21:36:44.493917+02
4930	871	2	\N	2014-02-09 16:04:05.85568+02
5161	1009	2	\N	2014-03-08 10:52:32.854366+02
5162	1009	2	\N	2014-03-08 10:52:45.635015+02
5163	1009	2	\N	2014-03-08 10:52:53.515357+02
5164	1009	2	\N	2014-03-08 10:52:58.740536+02
5165	1010	2	\N	2014-03-08 10:54:40.946487+02
5166	1010	2	\N	2014-03-08 10:54:50.928085+02
5200	3	2	\N	2014-03-12 12:14:05.203771+02
5235	897	2	\N	2014-03-16 12:53:37.56753+02
5278	1067	2	\N	2014-03-18 19:51:01.87448+02
5376	1165	2	\N	2014-04-02 20:56:48.393173+03
5419	1201	2	\N	2014-04-08 10:38:31.154572+03
5440	1214	2	\N	2014-04-12 14:39:05.532456+03
5442	1214	2	\N	2014-04-12 14:43:11.754556+03
5513	1282	2	\N	2014-04-29 10:43:05.718429+03
5586	1355	2	\N	2014-05-17 16:14:39.7443+03
5587	1356	2	\N	2014-05-17 16:14:41.182697+03
5588	1357	2	\N	2014-05-17 16:14:43.239633+03
5590	1359	2	\N	2014-05-17 16:15:43.442935+03
5591	1360	2	\N	2014-05-17 16:15:45.790483+03
5596	1365	2	\N	2014-05-17 16:20:21.389915+03
5597	1366	2	\N	2014-05-17 16:20:22.473385+03
5598	1367	2	\N	2014-05-17 16:20:23.843632+03
4898	853	2	\N	2014-02-08 21:39:09.10029+02
4812	784	2	\N	2014-01-26 21:12:24.209136+02
4813	784	2	\N	2014-01-26 21:13:10.546575+02
4814	784	2	\N	2014-01-26 21:13:20.058093+02
4815	784	2	\N	2014-01-26 21:13:24.693933+02
4818	784	2	\N	2014-01-26 21:20:14.635984+02
4819	784	2	\N	2014-01-26 21:20:34.941868+02
4931	274	2	\N	2014-02-10 08:49:31.501202+02
4970	894	2	\N	2014-02-22 17:27:40.771678+02
4991	903	2	\N	2014-02-25 22:43:46.101171+02
4992	904	2	\N	2014-02-25 22:43:53.30222+02
4993	905	2	\N	2014-02-25 22:44:00.024066+02
4994	906	2	\N	2014-02-25 22:44:13.035203+02
4995	907	2	\N	2014-02-25 22:44:59.159297+02
5167	1009	2	\N	2014-03-08 10:57:02.535973+02
5168	1010	2	\N	2014-03-08 10:57:07.365849+02
5201	3	2	\N	2014-03-12 12:29:57.686858+02
5202	3	2	\N	2014-03-12 12:30:07.270368+02
5203	3	2	\N	2014-03-12 12:30:09.982217+02
5204	3	2	\N	2014-03-12 12:32:22.25189+02
5205	894	2	\N	2014-03-12 12:32:26.366205+02
5236	919	2	\N	2014-03-16 13:33:07.651832+02
5444	1218	2	\N	2014-04-12 15:00:38.646853+03
5447	1214	2	\N	2014-04-12 15:02:33.59771+03
5514	1283	2	\N	2014-04-29 12:06:08.689068+03
5515	1284	2	\N	2014-04-29 12:07:06.357367+03
5518	1287	2	\N	2014-04-29 12:09:55.486785+03
5520	1289	2	\N	2014-04-29 12:11:36.874588+03
5589	1358	2	\N	2014-05-17 16:15:09.836615+03
5592	1361	2	\N	2014-05-17 16:16:33.155307+03
5593	1362	2	\N	2014-05-17 16:16:42.585648+03
5594	1363	2	\N	2014-05-17 16:18:45.312153+03
5595	1364	2	\N	2014-05-17 16:18:46.752544+03
4932	872	2	\N	2014-02-10 14:29:53.759164+02
4996	908	2	\N	2014-02-25 23:15:44.304324+02
4997	909	2	\N	2014-02-25 23:16:53.455486+02
5000	912	2	\N	2014-02-25 23:21:05.038132+02
5001	913	2	\N	2014-02-25 23:21:10.720503+02
5002	914	2	\N	2014-02-25 23:21:15.803027+02
5003	915	2	\N	2014-02-25 23:21:21.245593+02
5004	916	2	\N	2014-02-25 23:21:27.843749+02
5005	917	2	\N	2014-02-25 23:21:40.705852+02
5006	918	2	\N	2014-02-25 23:21:45.161533+02
5007	918	2	\N	2014-02-25 23:21:53.74917+02
5008	918	2	\N	2014-02-25 23:21:57.599668+02
5009	919	2	\N	2014-02-25 23:22:22.789803+02
5011	921	2	\N	2014-02-25 23:22:59.534922+02
5012	922	2	\N	2014-02-25 23:23:04.765473+02
5013	923	2	\N	2014-02-25 23:23:16.649188+02
5014	924	2	\N	2014-02-25 23:23:30.151925+02
5015	925	2	\N	2014-02-25 23:25:11.120354+02
5016	926	2	\N	2014-02-25 23:26:11.314153+02
5017	927	2	\N	2014-02-25 23:26:34.378644+02
5018	928	2	\N	2014-02-25 23:26:49.163639+02
5019	929	2	\N	2014-02-25 23:27:07.84413+02
5020	930	2	\N	2014-02-25 23:27:30.797684+02
5021	931	2	\N	2014-02-25 23:27:45.611037+02
5022	932	2	\N	2014-02-25 23:28:05.678992+02
5023	933	2	\N	2014-02-25 23:28:21.001129+02
5025	935	2	\N	2014-02-25 23:28:49.565248+02
5026	936	2	\N	2014-02-25 23:29:05.034117+02
5027	937	2	\N	2014-02-25 23:29:16.11101+02
5028	938	2	\N	2014-02-25 23:29:28.82178+02
5029	939	2	\N	2014-02-25 23:29:41.159219+02
5030	940	2	\N	2014-02-25 23:29:57.589154+02
5031	941	2	\N	2014-02-25 23:30:12.260571+02
5032	942	2	\N	2014-02-25 23:30:25.705958+02
5033	943	2	\N	2014-02-25 23:30:39.278491+02
5034	944	2	\N	2014-02-25 23:30:54.230938+02
5035	945	2	\N	2014-02-25 23:31:08.136642+02
5036	946	2	\N	2014-02-25 23:31:21.084682+02
5037	947	2	\N	2014-02-25 23:31:35.443235+02
5038	948	2	\N	2014-02-25 23:31:50.036032+02
5039	949	2	\N	2014-02-25 23:32:16.232207+02
5040	950	2	\N	2014-02-25 23:32:51.784126+02
5169	1011	2	\N	2014-03-08 15:10:44.638516+02
5206	3	2	\N	2014-03-12 13:00:24.217557+02
5207	3	2	\N	2014-03-12 13:00:34.025605+02
5241	903	2	\N	2014-03-16 15:12:25.130202+02
5448	1221	2	\N	2014-04-12 16:44:14.810824+03
5516	1285	2	\N	2014-04-29 12:08:23.116251+03
5517	1286	2	\N	2014-04-29 12:09:10.712444+03
5522	1291	2	\N	2014-04-29 12:13:37.203069+03
5523	1292	2	\N	2014-04-29 12:14:34.180203+03
4900	854	2	\N	2014-02-08 21:47:34.439997+02
4901	855	2	\N	2014-02-08 21:54:55.399628+02
4936	875	2	\N	2014-02-10 15:58:53.177719+02
4937	875	2	\N	2014-02-10 15:59:03.43204+02
5042	952	2	\N	2014-02-25 23:33:14.57009+02
5043	939	2	\N	2014-02-25 23:33:37.281163+02
5044	938	2	\N	2014-02-25 23:33:44.033176+02
5045	937	2	\N	2014-02-25 23:33:51.697991+02
5046	936	2	\N	2014-02-25 23:33:56.981908+02
5047	935	2	\N	2014-02-25 23:34:03.037741+02
5049	933	2	\N	2014-02-25 23:34:27.937885+02
5050	932	2	\N	2014-02-25 23:34:34.767736+02
5051	931	2	\N	2014-02-25 23:34:39.075165+02
5052	930	2	\N	2014-02-25 23:34:43.896812+02
5053	929	2	\N	2014-02-25 23:34:48.70472+02
5054	928	2	\N	2014-02-25 23:34:54.494127+02
5055	927	2	\N	2014-02-25 23:35:00.125101+02
5056	926	2	\N	2014-02-25 23:35:05.399995+02
5057	925	2	\N	2014-02-25 23:35:10.409443+02
5058	924	2	\N	2014-02-25 23:35:16.447517+02
5059	923	2	\N	2014-02-25 23:35:21.959285+02
5060	922	2	\N	2014-02-25 23:35:27.383937+02
5061	921	2	\N	2014-02-25 23:35:31.660307+02
5063	919	2	\N	2014-02-25 23:35:43.645366+02
5064	918	2	\N	2014-02-25 23:35:47.480218+02
5065	917	2	\N	2014-02-25 23:35:52.042922+02
5066	916	2	\N	2014-02-25 23:35:57.409224+02
5067	915	2	\N	2014-02-25 23:36:01.802966+02
5068	914	2	\N	2014-02-25 23:36:05.670476+02
5069	913	2	\N	2014-02-25 23:36:10.129284+02
5070	912	2	\N	2014-02-25 23:36:14.468359+02
5286	1078	2	\N	2014-03-20 21:22:51.030666+02
5381	1170	2	\N	2014-04-03 12:49:07.793292+03
5519	1288	2	\N	2014-04-29 12:10:21.572462+03
5521	1290	2	\N	2014-04-29 12:13:35.434847+03
5603	1372	2	\N	2014-05-17 18:47:30.594446+03
5606	1375	2	\N	2014-05-17 18:55:21.896666+03
5613	1382	2	\N	2014-05-17 19:04:51.767284+03
5619	1388	2	\N	2014-05-17 19:09:44.578209+03
5622	1391	2	\N	2014-05-17 19:12:29.996417+03
4902	856	2	\N	2014-02-08 21:59:04.719245+02
4938	876	2	\N	2014-02-10 16:19:24.400952+02
5071	953	2	\N	2014-02-26 23:25:15.548581+02
5072	954	2	\N	2014-02-26 23:25:55.407709+02
5075	957	2	\N	2014-02-26 23:28:34.003373+02
5076	958	2	\N	2014-02-26 23:28:45.594179+02
5077	959	2	\N	2014-02-26 23:28:57.004231+02
5078	960	2	\N	2014-02-26 23:29:08.086342+02
5079	961	2	\N	2014-02-26 23:29:17.646283+02
5080	962	2	\N	2014-02-26 23:29:26.175631+02
5081	963	2	\N	2014-02-26 23:29:35.761623+02
5082	964	2	\N	2014-02-26 23:29:46.892804+02
5083	965	2	\N	2014-02-26 23:29:54.140342+02
5084	966	2	\N	2014-02-26 23:30:01.375033+02
5085	967	2	\N	2014-02-26 23:30:08.774222+02
5086	968	2	\N	2014-02-26 23:30:17.802323+02
5087	969	2	\N	2014-02-26 23:30:29.097872+02
5088	970	2	\N	2014-02-26 23:30:38.081009+02
5089	971	2	\N	2014-02-26 23:30:52.902609+02
5091	973	2	\N	2014-02-26 23:31:31.71567+02
5093	975	2	\N	2014-02-26 23:32:13.646357+02
5094	976	2	\N	2014-02-26 23:32:24.624636+02
5095	977	2	\N	2014-02-26 23:32:34.606814+02
5096	978	2	\N	2014-02-26 23:32:43.318943+02
5097	979	2	\N	2014-02-26 23:32:54.081989+02
5098	980	2	\N	2014-02-26 23:33:04.823892+02
5099	981	2	\N	2014-02-26 23:33:16.574818+02
5100	982	2	\N	2014-02-26 23:33:28.270884+02
5101	983	2	\N	2014-02-26 23:33:40.854578+02
5102	984	2	\N	2014-02-26 23:33:57.05943+02
5103	985	2	\N	2014-02-26 23:34:08.238483+02
5105	987	2	\N	2014-02-26 23:34:29.757456+02
5106	988	2	\N	2014-02-26 23:34:37.99873+02
5216	3	2	\N	2014-03-12 21:55:10.706584+02
5287	1079	2	\N	2014-03-22 12:57:07.526655+02
5483	1252	2	\N	2014-04-27 01:03:22.219667+03
5524	1293	2	\N	2014-04-29 12:17:51.658135+03
5525	1294	2	\N	2014-04-29 12:18:27.913053+03
5601	1370	2	\N	2014-05-17 18:45:54.451262+03
5602	1371	2	\N	2014-05-17 18:47:17.628356+03
5604	1373	2	\N	2014-05-17 18:54:01.477094+03
5607	1376	2	\N	2014-05-17 18:56:40.07768+03
5609	1378	2	\N	2014-05-17 19:02:40.402053+03
5616	1385	2	\N	2014-05-17 19:07:13.667811+03
5617	1386	2	\N	2014-05-17 19:07:36.068126+03
5621	1390	2	\N	2014-05-17 19:11:55.084234+03
4789	763	2	\N	2014-01-12 19:51:49.157909+02
4903	854	2	\N	2014-02-08 22:16:58.906498+02
4904	3	2	\N	2014-02-08 22:17:06.939369+02
4905	854	2	\N	2014-02-08 22:20:32.280238+02
4906	784	2	\N	2014-02-08 22:21:01.290541+02
5484	1253	2	\N	2014-04-28 00:03:49.599015+03
5289	1081	2	\N	2014-03-22 17:57:05.076581+02
5605	1374	2	\N	2014-05-17 18:55:03.070735+03
5611	1380	2	\N	2014-05-17 19:03:57.212913+03
5614	1383	2	\N	2014-05-17 19:04:59.867959+03
5618	1387	2	\N	2014-05-17 19:09:22.594353+03
5624	1393	2	\N	2014-05-18 10:14:28.009945+03
4790	764	2	\N	2014-01-12 20:33:53.3138+02
4909	723	2	\N	2014-02-08 22:28:37.868751+02
4940	878	2	\N	2014-02-10 16:40:47.442615+02
5610	1379	2	\N	2014-05-17 19:03:38.443538+03
5612	1381	2	\N	2014-05-17 19:04:17.238286+03
5615	1384	2	\N	2014-05-17 19:07:10.869783+03
5620	1389	2	\N	2014-05-17 19:09:47.55779+03
5291	1088	2	\N	2014-03-22 18:51:18.985681+02
5292	1081	2	\N	2014-03-22 18:51:44.158872+02
5458	1225	2	\N	2014-04-13 12:01:26.796233+03
5627	1396	2	\N	2014-05-18 11:58:47.293591+03
4917	764	2	\N	2014-02-09 00:53:58.264629+02
4918	769	2	\N	2014-02-09 00:57:04.796409+02
4919	775	2	\N	2014-02-09 00:57:24.917548+02
4920	788	2	\N	2014-02-09 00:57:42.02056+02
4942	878	2	\N	2014-02-10 22:47:18.374976+02
5294	1090	2	\N	2014-03-22 20:34:50.666418+02
5295	1091	2	\N	2014-03-22 20:36:11.95663+02
5298	1093	2	\N	2014-03-22 20:40:16.040605+02
5629	1398	2	\N	2014-05-18 12:12:21.975254+03
4949	764	2	\N	2014-02-11 19:47:14.055452+02
5488	1257	2	\N	2014-04-28 12:34:34.363475+03
5300	1095	2	\N	2014-03-22 20:52:34.596466+02
5301	1096	2	\N	2014-03-22 20:52:44.740475+02
5302	1097	2	\N	2014-03-22 20:53:03.099066+02
5489	1258	2	\N	2014-04-28 12:34:55.433659+03
5304	1099	2	\N	2014-03-22 20:57:07.889521+02
5535	1304	2	\N	2014-04-29 16:15:23.221696+03
5390	1179	2	\N	2014-04-05 19:40:10.823684+03
5490	1259	2	\N	2014-04-28 12:58:44.196537+03
5306	1101	2	\N	2014-03-22 21:00:48.529148+02
5307	1102	2	\N	2014-03-22 21:01:34.517288+02
5491	1260	2	\N	2014-04-28 12:59:00.104464+03
5631	1400	2	\N	2014-05-18 13:37:21.801854+03
5632	1401	2	\N	2014-05-18 13:37:41.402585+03
5633	1402	2	\N	2014-05-18 13:44:45.628784+03
5492	1261	2	\N	2014-04-28 13:04:58.29173+03
5634	1403	2	\N	2014-05-18 15:48:34.956287+03
5256	1067	2	\N	2014-03-16 19:34:31.935568+02
5494	1263	2	\N	2014-04-28 13:08:06.602496+03
5635	1404	2	\N	2014-05-18 19:18:07.615122+03
5636	1406	2	\N	2014-05-18 19:18:56.831097+03
5639	1409	2	\N	2014-05-18 19:22:05.971396+03
5394	1185	2	\N	2014-04-05 20:56:20.797318+03
5257	1067	2	\N	2014-03-16 19:55:56.894484+02
5495	1264	2	\N	2014-04-28 13:08:25.610345+03
5637	1407	2	\N	2014-05-18 19:19:36.399614+03
5641	1411	2	\N	2014-05-18 19:23:45.119721+03
5496	1265	2	\N	2014-04-28 13:08:54.519921+03
5638	1408	2	\N	2014-05-18 19:19:43.401474+03
5258	1067	2	\N	2014-03-16 20:09:16.532934+02
5311	1097	2	\N	2014-03-24 19:59:44.290142+02
5640	1410	2	\N	2014-05-18 19:23:00.415796+03
5643	1413	2	\N	2014-05-20 21:26:27.311927+03
5259	1068	2	\N	2014-03-16 20:15:31.769185+02
5499	1268	2	\N	2014-04-28 23:55:09.591646+03
5644	1414	2	\N	2014-05-24 17:02:57.354915+03
5645	1415	2	\N	2014-05-24 17:03:02.922541+03
5646	1416	2	\N	2014-05-24 17:06:48.542492+03
5647	1417	2	\N	2014-05-24 17:06:51.402853+03
5648	1418	2	\N	2014-05-24 17:07:25.101929+03
5649	1419	2	\N	2014-05-24 17:07:29.075778+03
5650	1420	2	\N	2014-05-24 17:24:17.546972+03
4120	16	2	\N	2014-01-01 13:19:09.979922+02
4131	14	2	\N	2014-01-01 18:45:07.902745+02
4144	706	2	\N	2014-01-03 16:12:41.015146+02
4145	706	2	\N	2014-01-03 16:13:23.197097+02
5402	1189	2	\N	2014-04-06 18:46:40.132797+03
5403	1190	2	\N	2014-04-06 18:47:22.030146+03
5138	865	2	\N	2014-03-03 21:09:34.254642+02
5404	1191	2	\N	2014-04-06 18:53:34.002074+03
5263	1009	2	\N	2014-03-16 21:40:10.728496+02
5264	1009	2	\N	2014-03-16 21:44:11.742442+02
5405	1192	2	\N	2014-04-06 19:20:55.890208+03
5140	865	2	\N	2014-03-03 21:57:11.59945+02
5265	1004	2	\N	2014-03-17 10:29:17.115979+02
5266	1004	2	\N	2014-03-17 10:29:24.701637+02
4744	723	2	\N	2014-01-04 23:58:55.624453+02
4746	725	2	\N	2014-01-05 01:09:00.405742+02
4747	726	2	\N	2014-01-05 01:09:15.602018+02
4749	728	2	\N	2014-01-05 01:13:50.125212+02
4756	734	2	\N	2014-01-05 12:36:48.48575+02
4765	743	2	\N	2014-01-05 13:20:17.173661+02
5654	1424	2	\N	2014-06-01 10:25:44.71461+03
5656	1426	2	\N	2014-06-01 12:15:53.295347+03
5661	1431	2	\N	2014-06-07 15:12:11.693366+03
5662	1432	2	\N	2014-06-07 15:12:40.323386+03
5663	1433	2	\N	2014-06-07 17:43:14.620483+03
5665	1435	2	\N	2014-06-07 21:01:18.691193+03
5667	1438	2	\N	2014-06-07 21:11:01.089928+03
5668	1439	2	\N	2014-06-07 21:11:46.797584+03
5676	1447	2	\N	2014-06-08 21:25:14.638119+03
5677	1448	2	\N	2014-06-08 21:25:35.09515+03
5679	1450	2	\N	2014-06-09 15:50:23.760428+03
5681	1452	2	\N	2014-06-09 17:20:44.311452+03
5693	1464	2	\N	2014-06-14 17:55:00.252916+03
5694	1465	2	\N	2014-06-14 17:55:08.213215+03
5695	1467	2	\N	2014-06-14 17:56:52.935007+03
5696	1468	2	\N	2014-06-14 17:58:15.339465+03
5697	1469	2	\N	2014-06-14 17:58:37.034547+03
5698	1470	2	\N	2014-06-14 18:00:56.71432+03
5699	1471	2	\N	2014-06-14 18:02:10.63169+03
5700	1472	2	\N	2014-06-14 18:02:54.98084+03
5701	1473	2	\N	2014-06-14 18:03:27.411198+03
5713	1485	2	\N	2014-06-15 15:17:28.256792+03
5728	1500	2	\N	2014-06-18 16:59:05.631362+03
5732	1504	2	\N	2014-06-22 19:42:44.939368+03
5733	1505	2	\N	2014-06-22 19:43:05.103699+03
5734	1506	2	\N	2014-06-22 19:43:23.157992+03
5735	1507	2	\N	2014-06-22 19:46:21.388635+03
5737	1509	2	\N	2014-06-22 21:15:50.586549+03
5738	1510	2	\N	2014-06-24 20:30:44.36129+03
5739	1511	2	\N	2014-06-25 19:21:08.001771+03
5740	1512	2	\N	2014-06-25 19:37:43.544622+03
5741	1513	2	\N	2014-06-25 19:38:23.293423+03
5742	1514	2	\N	2014-06-25 19:38:46.712804+03
5743	1515	2	\N	2014-06-25 19:39:14.757449+03
5744	1516	2	\N	2014-06-25 20:37:42.602785+03
5745	1517	2	\N	2014-06-25 20:54:09.96009+03
5746	1518	2	\N	2014-06-25 20:54:50.943042+03
5747	1519	2	\N	2014-06-25 20:55:06.988343+03
5749	1521	2	\N	2014-06-26 21:02:19.488826+03
5750	1535	2	\N	2014-06-28 17:17:15.295903+03
5751	1536	2	\N	2014-06-28 17:31:39.626186+03
5752	1537	2	\N	2014-06-28 20:56:05.816704+03
5753	1538	2	\N	2014-06-28 20:57:41.600837+03
5754	1539	2	\N	2014-06-28 20:59:59.522314+03
5755	1540	2	\N	2014-06-28 21:00:26.365557+03
5756	1541	2	\N	2014-06-28 21:00:51.086753+03
5758	1543	2	\N	2014-06-28 21:25:57.336069+03
5759	1544	2	\N	2014-06-28 21:26:14.894807+03
5760	1545	2	\N	2014-06-28 21:26:35.413657+03
5761	1546	2	\N	2014-07-02 23:01:03.321441+03
5762	1547	2	\N	2014-07-02 23:03:30.755887+03
5763	1548	2	\N	2014-07-26 18:07:46.336433+03
5764	1549	2	\N	2014-08-16 20:09:11.73959+03
5766	1551	2	\N	2014-08-16 20:23:59.980051+03
5767	1552	2	\N	2014-08-16 20:24:12.305446+03
5768	1553	2	\N	2014-08-16 20:24:15.930016+03
5769	1554	2	\N	2014-08-16 20:25:09.403552+03
5771	1556	2	\N	2014-08-16 20:51:19.103778+03
5773	1559	2	\N	2014-08-16 21:13:14.302214+03
5774	1560	2	\N	2014-08-16 21:13:18.107616+03
5775	1561	2	\N	2014-08-16 21:22:35.752473+03
5776	1562	2	\N	2014-08-16 21:23:02.397566+03
5777	1563	2	\N	2014-08-16 21:23:05.499294+03
5778	1564	2	\N	2014-08-16 21:24:08.813965+03
5783	1569	2	\N	2014-08-17 11:07:53.713228+03
5784	1570	2	\N	2014-08-17 11:09:10.292392+03
5790	1576	2	\N	2014-08-22 22:48:58.176695+03
5791	1577	2	\N	2014-08-22 22:49:31.584667+03
5792	1578	2	\N	2014-08-22 22:49:35.101959+03
5793	1579	2	\N	2014-08-22 22:50:20.197271+03
5794	1580	2	\N	2014-08-22 22:50:49.188036+03
5795	1581	2	\N	2014-08-22 22:51:29.357367+03
5796	1582	2	\N	2014-08-22 22:52:03.171722+03
5797	1584	2	\N	2014-08-22 22:58:38.326467+03
5798	1585	2	\N	2014-08-22 22:59:28.534906+03
5799	1586	2	\N	2014-08-22 22:59:41.71816+03
5800	1587	2	\N	2014-08-22 23:01:39.676197+03
5801	1588	2	\N	2014-08-22 23:02:11.872661+03
5802	1589	2	\N	2014-08-22 23:04:10.670971+03
5803	1590	2	\N	2014-08-22 23:04:40.181387+03
5804	1591	2	\N	2014-08-22 23:05:46.128053+03
5805	1592	2	\N	2014-08-22 23:06:07.780481+03
5806	1593	2	\N	2014-08-22 23:06:12.342153+03
5810	1597	2	\N	2014-08-22 23:14:17.280337+03
5820	1607	2	\N	2014-08-23 13:37:30.044239+03
5821	1608	2	\N	2014-08-23 16:14:22.910225+03
5822	1609	2	\N	2014-08-23 16:16:24.823791+03
5823	1610	2	\N	2014-08-24 14:10:51.002759+03
5824	1611	2	\N	2014-08-24 14:11:19.783792+03
5825	1612	2	\N	2014-08-24 14:11:36.729128+03
5826	1613	2	\N	2014-08-24 14:11:54.849623+03
5827	1614	2	\N	2014-08-24 14:48:54.04485+03
5828	1615	2	\N	2014-08-24 14:48:55.715304+03
5829	1616	2	\N	2014-08-24 14:49:59.373945+03
5832	1619	2	\N	2014-08-24 15:01:16.140346+03
5833	1620	2	\N	2014-08-24 15:02:15.884894+03
5834	1621	2	\N	2014-08-24 15:02:43.162974+03
5835	1622	2	\N	2014-08-24 15:03:06.67481+03
5836	1623	2	\N	2014-08-24 15:03:53.276198+03
5837	1624	2	\N	2014-08-24 15:08:02.737031+03
5838	1625	2	\N	2014-08-24 15:08:18.61161+03
5839	1626	2	\N	2014-08-24 15:08:29.0077+03
5840	1627	2	\N	2014-08-24 15:10:13.736496+03
5841	1628	2	\N	2014-08-24 15:10:44.233145+03
5852	1639	2	\N	2014-08-25 15:20:24.884947+03
5853	1640	2	\N	2014-08-26 19:55:53.569882+03
5854	1641	2	\N	2014-08-26 19:56:28.320221+03
5858	1645	2	\N	2014-08-26 20:01:19.187139+03
5860	1647	2	\N	2014-08-26 20:04:08.078366+03
5862	1649	2	\N	2014-08-26 20:04:48.124422+03
5855	1642	2	\N	2014-08-26 19:56:46.695581+03
5856	1643	2	\N	2014-08-26 19:57:13.160198+03
5857	1644	2	\N	2014-08-26 20:01:16.129984+03
5861	1648	2	\N	2014-08-26 20:04:09.378364+03
5863	1650	2	\N	2014-08-26 20:06:13.193356+03
5864	1651	2	\N	2014-08-26 20:06:36.249641+03
5865	1652	2	\N	2014-08-26 20:07:23.412381+03
5866	1653	2	\N	2014-08-26 20:07:31.899383+03
5873	1660	2	\N	2014-08-31 16:37:37.888486+03
5919	1714	2	\N	2014-09-14 13:27:15.677766+03
5926	1721	2	\N	2014-09-14 14:49:51.512979+03
5967	1764	2	\N	2014-09-14 21:51:09.963908+03
5968	1766	2	\N	2014-09-28 17:08:27.946698+03
5971	1769	2	\N	2014-10-01 20:37:18.107894+03
5972	1771	2	\N	2014-10-01 21:39:17.299667+03
5973	1773	2	\N	2014-10-01 22:04:03.074823+03
5974	1774	2	\N	2014-10-01 22:17:44.949656+03
5975	1775	2	\N	2014-10-03 20:21:54.06353+03
5977	1777	2	\N	2014-10-03 20:35:01.628264+03
5978	1778	2	\N	2014-10-04 21:45:17.702702+03
5980	1780	2	\N	2014-10-05 12:49:28.270538+03
5982	1797	2	\N	2014-10-05 21:08:02.025119+03
5983	1798	2	\N	2014-10-05 22:07:40.176836+03
5984	1799	2	\N	2014-10-09 20:49:57.476724+03
5985	1800	2	\N	2014-10-09 21:44:48.304991+03
5986	1801	2	\N	2014-10-09 21:45:57.042916+03
5987	1802	2	\N	2014-10-09 21:51:36.274928+03
5988	1797	2	\N	2014-10-09 21:58:44.274487+03
5989	1803	2	\N	2014-10-10 21:20:08.467997+03
5990	1804	2	\N	2014-10-10 21:48:32.795064+03
5991	1797	2	\N	2014-10-10 21:48:40.224687+03
5994	1797	2	\N	2014-10-10 22:43:03.886027+03
5995	1807	2	\N	2014-10-12 12:18:58.609492+03
5996	1419	2	\N	2014-10-12 12:21:41.297126+03
5999	1419	2	\N	2014-10-12 14:03:13.921521+03
6000	1419	2	\N	2014-10-12 14:03:56.458732+03
6002	1797	2	\N	2014-10-12 14:08:19.225786+03
6003	1797	2	\N	2014-10-12 14:08:29.322661+03
6005	1797	2	\N	2014-10-12 14:09:47.667654+03
6006	1797	2	\N	2014-10-12 14:10:15.511498+03
6008	894	2	\N	2014-10-12 14:15:30.839116+03
6010	894	2	\N	2014-10-12 14:15:50.178579+03
6011	894	2	\N	2014-10-12 14:16:00.712168+03
6014	1507	2	\N	2014-10-12 14:21:53.792753+03
6015	1507	2	\N	2014-10-12 14:22:06.118134+03
6016	1439	2	\N	2014-10-12 14:22:17.008412+03
6017	1438	2	\N	2014-10-12 14:22:21.965321+03
6020	1780	2	\N	2014-10-12 14:25:19.014258+03
6021	1780	2	\N	2014-10-12 14:25:28.403238+03
6022	1780	2	\N	2014-10-12 14:25:37.930302+03
6025	1413	2	\N	2014-10-12 14:31:06.237149+03
6026	1413	2	\N	2014-10-12 14:31:16.507549+03
6029	1415	2	\N	2014-10-12 14:34:22.672887+03
6030	1415	2	\N	2014-10-12 14:34:32.05391+03
6050	1653	2	\N	2014-10-12 16:27:20.425954+03
6051	1653	2	\N	2014-10-12 16:27:45.783221+03
6053	1283	2	\N	2014-10-12 16:28:08.925372+03
6054	1283	2	\N	2014-10-12 16:28:17.376186+03
6055	1833	2	\N	2014-10-12 16:29:10.045595+03
6056	784	2	\N	2014-10-12 16:29:11.936722+03
6066	998	2	\N	2014-10-18 11:46:31.67705+03
6125	1660	2	\N	2014-10-25 20:27:51.453322+03
6126	1639	2	\N	2014-10-25 20:27:59.032748+03
6127	1607	2	\N	2014-10-25 20:28:26.48561+03
6128	1547	2	\N	2014-10-25 20:31:18.593123+03
6129	1546	2	\N	2014-10-25 20:31:27.322575+03
6130	1509	2	\N	2014-10-25 20:31:34.596003+03
6131	1500	2	\N	2014-10-25 20:31:41.235636+03
6132	1485	2	\N	2014-10-25 20:31:48.295128+03
6133	1448	2	\N	2014-10-25 20:31:55.364673+03
6134	1447	2	\N	2014-10-25 20:32:03.232605+03
6135	864	2	\N	2014-10-25 22:27:41.085522+03
6136	900	2	\N	2014-10-25 22:27:48.659618+03
6137	780	2	\N	2014-10-25 22:27:56.462817+03
6138	837	2	\N	2014-10-25 22:28:02.931936+03
6139	1394	2	\N	2014-10-25 22:28:08.943421+03
6140	873	2	\N	2014-10-25 22:28:16.618586+03
6141	778	2	\N	2014-10-25 22:28:22.956578+03
6142	1659	2	\N	2014-10-25 22:39:28.23436+03
6144	1849	2	\N	2014-10-25 23:00:37.016264+03
6145	1852	2	\N	2014-10-28 19:57:41.751563+02
6146	1853	2	\N	2014-10-28 20:23:48.907733+02
6147	1854	2	\N	2014-10-28 20:24:58.380434+02
6148	1855	2	\N	2014-10-28 20:25:08.681569+02
6151	1859	2	\N	2014-10-29 12:48:22.905378+02
6152	1860	2	\N	2014-10-30 22:03:33.988542+02
6157	1865	2	\N	2014-11-03 21:33:49.462196+02
6158	1866	2	\N	2014-11-03 21:38:54.729983+02
6159	1867	2	\N	2014-11-03 21:39:31.824693+02
6160	1868	2	\N	2014-11-03 21:40:02.647787+02
6161	1869	2	\N	2014-11-05 21:10:08.261088+02
6162	1870	2	\N	2014-11-05 21:10:38.427296+02
6164	1872	2	\N	2014-11-08 19:05:48.520641+02
6165	1868	2	\N	2014-11-08 19:07:32.928999+02
6166	1868	2	\N	2014-11-08 19:07:58.653299+02
6167	1873	2	\N	2014-11-09 14:14:33.279838+02
6168	1433	2	\N	2014-11-09 14:15:02.053975+02
6170	1875	2	\N	2014-11-09 20:43:57.157494+02
6171	1876	2	\N	2014-11-09 20:50:09.776581+02
6172	1876	2	\N	2014-11-09 21:46:07.106741+02
6173	1876	2	\N	2014-11-09 21:46:46.766703+02
6174	1876	2	\N	2014-11-12 18:42:47.24628+02
6175	1876	2	\N	2014-11-12 18:43:00.917409+02
6176	1876	2	\N	2014-11-12 18:43:51.052257+02
6177	1876	2	\N	2014-11-12 18:49:19.486465+02
6178	1876	2	\N	2014-11-12 18:49:50.992411+02
6182	1880	2	\N	2014-11-12 18:58:13.464317+02
6183	1881	2	\N	2014-11-12 18:58:13.464317+02
6184	1876	2	\N	2014-11-12 19:19:20.155903+02
6185	1880	2	\N	2014-11-12 19:20:04.488842+02
6186	1882	2	\N	2014-11-12 19:21:49.754499+02
6187	1882	2	\N	2014-11-12 20:48:55.295948+02
6188	1876	2	\N	2014-11-13 18:36:19.360925+02
6189	1876	2	\N	2014-11-13 18:36:40.275356+02
6190	1876	2	\N	2014-11-13 18:36:53.848561+02
6191	1876	2	\N	2014-11-13 18:37:04.828162+02
6192	1876	2	\N	2014-11-13 18:44:14.058824+02
6193	1880	2	\N	2014-11-14 13:23:46.652293+02
6196	1884	2	\N	2014-11-15 12:46:51.68956+02
6197	1885	2	\N	2014-11-15 12:55:58.618287+02
6200	1647	2	\N	2014-11-15 19:54:17.589811+02
6201	1647	2	\N	2014-11-15 19:57:05.325517+02
6202	1587	2	\N	2014-11-15 19:57:11.689531+02
6204	1888	2	\N	2014-11-15 20:54:18.530252+02
6209	1893	2	\N	2014-11-15 21:10:00.852505+02
6210	1894	2	\N	2014-11-16 11:36:20.360008+02
6211	1895	2	\N	2014-11-16 11:38:31.304748+02
6212	1896	2	\N	2014-11-16 11:52:22.859107+02
6214	1896	2	\N	2014-11-16 17:28:25.282664+02
6215	1898	2	\N	2014-11-18 19:36:00.947451+02
6217	1900	2	\N	2014-11-18 19:59:41.794255+02
6218	1901	2	\N	2014-11-18 20:00:50.313385+02
6219	1902	2	\N	2014-11-18 20:05:55.399398+02
6220	1903	2	\N	2014-11-18 20:06:23.495804+02
6221	1225	2	\N	2014-11-20 20:55:40.655878+02
6222	1904	2	\N	2014-11-21 20:47:35.513987+02
6223	1434	2	\N	2014-11-21 20:48:05.829054+02
6224	1571	2	\N	2014-11-21 20:48:27.000088+02
6225	1885	2	\N	2014-11-21 20:48:44.475673+02
6226	1905	2	\N	2014-11-21 21:17:50.885382+02
6227	1436	2	\N	2014-11-21 21:19:06.360097+02
6228	1798	2	\N	2014-11-21 21:19:19.899746+02
6229	1425	2	\N	2014-11-21 21:19:42.772209+02
6230	802	2	\N	2014-11-21 21:20:02.792752+02
6231	1906	2	\N	2014-11-21 21:20:18.443474+02
6232	802	2	\N	2014-11-21 21:20:33.430037+02
6233	1395	2	\N	2014-11-21 21:20:55.244524+02
6234	1907	2	\N	2014-11-21 21:25:23.260941+02
6235	879	2	\N	2014-11-21 21:26:01.060638+02
6236	1089	2	\N	2014-11-21 21:34:19.776611+02
6237	874	2	\N	2014-11-21 21:34:45.906696+02
6238	1080	2	\N	2014-11-21 21:35:09.652432+02
6239	1908	2	\N	2014-11-21 21:35:29.643627+02
6240	910	2	\N	2014-11-21 21:36:10.21074+02
6241	1080	2	\N	2014-11-21 21:36:26.556412+02
6242	911	2	\N	2014-11-21 21:36:37.408083+02
6243	956	2	\N	2014-11-21 21:36:56.333028+02
6244	955	2	\N	2014-11-21 21:37:09.845857+02
6246	1896	2	\N	2014-11-21 21:43:10.139464+02
6247	1910	2	\N	2014-11-22 17:58:53.151533+02
6248	1911	2	\N	2014-11-22 17:58:53.151533+02
6251	1903	2	\N	2014-11-23 17:42:18.707964+02
6253	1903	2	\N	2014-11-23 18:15:04.669498+02
6254	1913	2	\N	2014-11-23 18:22:07.34092+02
6255	1915	2	\N	2014-11-23 18:25:34.975922+02
6257	1917	2	\N	2014-11-23 18:40:26.695236+02
6258	1918	2	\N	2014-11-23 18:40:42.249218+02
6259	1919	2	\N	2014-11-27 21:56:12.900683+02
6265	1906	2	\N	2014-11-28 22:02:27.025943+02
6266	1908	2	\N	2014-11-28 22:03:25.613427+02
6267	1919	2	\N	2014-11-30 11:21:31.130821+02
6270	1368	2	\N	2014-11-30 18:22:02.736241+02
6271	1922	2	\N	2014-12-07 14:34:35.538855+02
6276	1924	2	\N	2014-12-07 21:40:24.739542+02
6277	1925	2	\N	2014-12-07 21:41:09.94037+02
6278	1926	2	\N	2014-12-07 21:41:37.63455+02
6279	1471	2	\N	2014-12-07 21:41:39.584636+02
6280	1927	2	\N	2014-12-07 21:42:12.893528+02
6281	1471	2	\N	2014-12-07 21:42:14.781639+02
6285	1930	2	\N	2014-12-08 21:43:55.101305+02
6286	1869	2	\N	2014-12-08 21:46:09.685953+02
6287	1931	2	\N	2014-12-08 21:52:00.685674+02
6288	1930	2	\N	2014-12-08 21:53:17.580512+02
6289	1932	2	\N	2014-12-11 22:45:01.994257+02
6290	1933	2	\N	2014-12-11 22:46:28.273472+02
6291	1934	2	\N	2014-12-11 22:50:30.21811+02
6293	1935	2	\N	2014-12-11 22:53:00.765244+02
6295	1935	2	\N	2014-12-11 22:53:42.569877+02
6297	1936	2	\N	2014-12-13 21:35:47.599877+02
6298	1939	2	\N	2014-12-13 21:37:02.820409+02
6299	1939	2	\N	2014-12-13 21:37:54.352906+02
6300	1936	2	\N	2014-12-13 21:55:38.627009+02
6301	1933	2	\N	2014-12-13 21:55:57.253566+02
6302	1933	2	\N	2014-12-13 21:57:41.570228+02
6303	1933	2	\N	2014-12-13 22:01:39.804954+02
6304	1936	2	\N	2014-12-13 22:01:54.801501+02
6305	1936	2	\N	2014-12-13 22:03:25.347584+02
6306	1933	2	\N	2014-12-13 22:03:37.415197+02
6307	1939	2	\N	2014-12-13 22:03:52.016284+02
6308	1936	2	\N	2014-12-13 22:10:55.202627+02
6309	1936	2	\N	2014-12-13 22:11:45.388631+02
6310	1936	2	\N	2014-12-14 11:10:18.568487+02
6311	1936	2	\N	2014-12-14 11:10:54.616091+02
6312	1936	2	\N	2014-12-14 11:12:20.116844+02
6313	1933	2	\N	2014-12-14 11:12:44.366886+02
6314	1936	2	\N	2014-12-14 11:14:36.987112+02
6315	1933	2	\N	2014-12-14 11:14:46.937016+02
6316	1940	2	\N	2014-12-14 11:16:18.397912+02
6317	1941	2	\N	2014-12-14 17:51:15.587939+02
6318	1940	2	\N	2014-12-14 19:37:37.036036+02
6319	1936	2	\N	2014-12-14 19:37:54.381361+02
6320	1940	2	\N	2014-12-14 19:41:49.794566+02
6321	1940	2	\N	2014-12-14 19:44:37.781977+02
6322	1940	2	\N	2014-12-14 19:48:08.98232+02
6323	1940	2	\N	2014-12-14 19:50:28.583831+02
6324	1940	2	\N	2014-12-14 20:30:31.46273+02
6325	1936	2	\N	2014-12-14 20:30:45.990313+02
6326	1940	2	\N	2014-12-14 20:33:08.50634+02
6327	1940	2	\N	2014-12-14 20:34:47.73587+02
6328	1940	2	\N	2014-12-14 20:37:41.082704+02
6329	1653	2	\N	2014-12-19 21:31:43.967187+02
6330	1653	2	\N	2014-12-19 21:37:31.746728+02
6331	1951	2	\N	2014-12-19 21:38:17.300837+02
6332	725	2	\N	2014-12-19 21:38:20.726452+02
6333	1952	2	\N	2014-12-19 21:42:56.792366+02
6334	1870	2	\N	2014-12-19 21:43:03.803839+02
6335	1906	2	\N	2014-12-20 16:10:55.310323+02
6338	1869	2	\N	2014-12-20 17:01:25.535753+02
6339	1869	2	\N	2014-12-20 17:03:12.810766+02
6340	1869	2	\N	2014-12-20 17:03:22.550854+02
6341	1628	2	\N	2014-12-20 17:05:00.135486+02
6342	1869	2	\N	2014-12-20 17:05:08.130568+02
6343	1626	2	\N	2014-12-20 17:50:11.179188+02
6344	1615	2	\N	2014-12-20 17:50:33.508978+02
6345	1954	2	\N	2014-12-20 18:18:17.329483+02
6346	1954	2	\N	2014-12-20 18:18:27.668631+02
6349	1225	2	\N	2014-12-21 12:57:50.837529+02
6350	1433	2	\N	2014-12-21 12:57:59.036844+02
6351	1954	2	\N	2014-12-21 13:04:30.43023+02
6355	1956	2	\N	2014-12-21 14:58:01.627945+02
6356	1383	2	\N	2014-12-21 14:58:04.4436+02
6357	1383	2	\N	2014-12-21 14:58:18.134114+02
6387	1958	2	\N	2014-12-21 19:20:00.336409+02
6388	1958	2	\N	2014-12-21 19:40:10.412709+02
6389	1958	2	\N	2014-12-21 19:43:18.014602+02
6393	1962	2	\N	2014-12-24 21:32:53.618984+02
6400	1964	2	\N	2014-12-25 21:05:49.345482+02
6411	1317	2	\N	2014-12-27 14:48:10.519499+02
6415	1966	2	\N	2014-12-27 19:34:56.371248+02
6418	1966	2	\N	2014-12-31 19:10:29.989911+02
6420	1968	2	\N	2015-01-03 12:32:10.846571+02
6422	1970	2	\N	2015-01-03 12:35:21.670372+02
6423	1971	2	\N	2015-01-04 12:45:51.571627+02
6425	1971	2	\N	2015-01-04 12:46:35.715575+02
6426	1971	2	\N	2015-01-04 14:05:54.230775+02
6428	1975	2	\N	2015-01-04 14:47:53.838979+02
6430	1977	2	\N	2015-01-04 16:44:50.635763+02
6431	1975	2	\N	2015-01-04 16:54:32.711408+02
6432	1975	2	\N	2015-01-04 17:11:52.039507+02
6433	1975	2	\N	2015-01-04 17:31:46.570967+02
6434	1975	2	\N	2015-01-07 14:12:48.405815+02
6435	1975	2	\N	2015-01-07 14:22:19.046581+02
6436	1978	2	\N	2015-01-07 18:00:22.111119+02
6437	1979	2	\N	2015-01-07 18:22:39.961593+02
6438	1980	2	\N	2015-01-07 18:22:48.978415+02
6439	1981	2	\N	2015-01-07 18:23:19.524712+02
6440	3	2	\N	2015-01-07 18:23:30.384627+02
6441	1982	2	\N	2015-01-07 18:30:42.662112+02
6442	3	2	\N	2015-01-07 18:30:49.411934+02
6443	3	2	\N	2015-01-07 18:31:24.902432+02
6444	784	2	\N	2015-01-08 13:21:17.321066+02
6445	784	2	\N	2015-01-08 13:27:01.529898+02
6446	784	2	\N	2015-01-08 14:19:17.153858+02
6447	784	2	\N	2015-01-08 14:20:23.527059+02
6448	784	2	\N	2015-01-09 10:59:22.101268+02
6453	1983	2	\N	2015-01-13 17:00:57.932019+02
6454	1985	2	\N	2015-01-13 17:03:06.725248+02
6455	1985	2	\N	2015-01-14 21:32:00.651438+02
6458	1988	2	\N	2015-01-15 21:27:50.402917+02
6459	1989	2	\N	2015-01-17 15:06:55.170629+02
6460	1990	2	\N	2015-01-17 19:50:58.298272+02
6461	1991	2	\N	2015-01-17 19:50:58.298272+02
6462	1992	2	\N	2015-01-17 19:51:20.956564+02
6463	1990	2	\N	2015-01-17 21:28:18.900625+02
6464	1993	2	\N	2015-01-17 21:28:36.972519+02
6465	1994	2	\N	2015-01-17 21:50:01.04394+02
6466	1995	2	\N	2015-01-17 21:50:14.61181+02
6467	1996	2	\N	2015-01-17 21:54:58.910426+02
6468	1997	2	\N	2015-01-17 21:54:58.910426+02
6472	2001	2	\N	2015-01-17 21:57:17.28338+02
6473	2002	2	\N	2015-01-17 21:57:17.28338+02
6477	2006	2	\N	2015-01-17 22:00:39.986496+02
6478	2007	2	\N	2015-01-17 22:00:39.986496+02
6480	2009	2	\N	2015-01-21 21:44:18.418746+02
6481	1985	2	\N	2015-02-01 13:03:47.123323+02
6482	2009	2	\N	2015-02-01 13:05:09.626214+02
6483	2011	2	\N	2015-02-01 13:23:15.549518+02
6484	1004	2	\N	2015-02-01 13:23:17.930893+02
6485	2012	2	\N	2015-02-01 13:51:03.67962+02
6486	1470	2	\N	2015-02-01 13:51:06.125989+02
6487	2013	2	\N	2015-02-01 15:08:04.506074+02
6488	2014	2	\N	2015-02-01 15:08:25.548868+02
6489	2015	2	\N	2015-02-01 15:09:02.223788+02
6490	2016	2	\N	2015-02-01 15:09:49.640295+02
6491	2017	2	\N	2015-02-01 15:09:55.959842+02
6492	2018	2	\N	2015-02-01 15:12:43.612773+02
6493	2019	2	\N	2015-02-01 15:13:13.911124+02
6494	2020	2	\N	2015-02-01 15:13:27.313034+02
6497	2023	2	\N	2015-02-01 15:16:10.834689+02
6498	2024	2	\N	2015-02-01 15:16:30.308954+02
6503	2027	2	\N	2015-02-01 15:27:55.689729+02
6504	2028	2	\N	2015-02-01 15:27:55.689729+02
6505	2029	2	\N	2015-02-01 19:41:31.921287+02
6506	2030	2	\N	2015-02-01 19:49:07.587188+02
6507	2031	2	\N	2015-02-01 19:49:18.380376+02
6508	2032	2	\N	2015-02-01 19:51:03.621123+02
6509	1004	2	\N	2015-02-01 19:51:06.683043+02
6515	2038	2	\N	2015-02-01 19:53:59.085718+02
6516	2039	2	\N	2015-02-01 19:53:59.085718+02
6521	2044	2	\N	2015-02-01 19:54:52.686809+02
6522	2045	2	\N	2015-02-01 19:54:52.686809+02
6523	2046	2	\N	2015-02-01 19:54:52.686809+02
6524	2047	2	\N	2015-02-01 19:54:52.686809+02
6525	2048	2	\N	2015-02-03 20:05:38.797054+02
6526	2048	2	\N	2015-02-03 20:06:16.781057+02
6528	2049	2	\N	2015-02-03 21:27:11.659126+02
6529	2048	2	\N	2015-02-03 21:27:36.200475+02
6530	2050	2	\N	2015-02-04 21:04:02.527314+02
6531	2051	2	\N	2015-02-04 21:04:04.474427+02
6532	2051	2	\N	2015-02-04 21:11:28.094987+02
6533	2052	2	\N	2015-02-04 21:11:39.281593+02
6534	2051	2	\N	2015-02-23 21:04:13.639992+02
6535	1648	2	\N	2015-02-24 14:58:15.754816+02
6537	2054	2	\N	2015-02-24 21:04:26.838046+02
6539	2054	2	\N	2015-02-24 21:06:08.284296+02
6541	2054	2	\N	2015-02-24 21:06:27.830735+02
6542	2055	2	\N	2015-03-03 16:25:23.003263+02
6553	2051	2	\N	2015-03-05 21:22:31.156271+02
6554	2052	2	\N	2015-03-05 21:22:34.187754+02
6555	2049	2	\N	2015-03-07 13:59:54.391614+02
6556	2049	2	\N	2015-03-07 14:00:01.858793+02
6557	2049	2	\N	2015-03-07 14:00:08.905813+02
6558	2049	2	\N	2015-03-07 17:41:13.176137+02
6559	2049	2	\N	2015-03-07 17:41:24.454712+02
6560	2016	2	\N	2015-03-07 19:11:45.990005+02
6561	1971	2	\N	2015-03-07 20:39:22.05432+02
6562	1939	2	\N	2015-03-07 20:41:30.911568+02
6563	1964	2	\N	2015-03-07 20:41:40.386597+02
6564	1962	2	\N	2015-03-07 20:41:47.24255+02
6565	2009	2	\N	2015-03-07 20:41:57.590912+02
6566	1958	2	\N	2015-03-07 20:42:08.257141+02
6567	2062	2	\N	2015-03-07 20:44:22.388688+02
6568	1958	2	\N	2015-03-07 20:44:57.143369+02
6569	1922	2	\N	2015-03-07 21:16:33.311167+02
6570	1930	2	\N	2015-03-07 21:18:30.204883+02
6571	1980	2	\N	2015-03-07 21:18:36.892234+02
6572	1930	2	\N	2015-03-07 21:21:01.745845+02
6573	1982	2	\N	2015-03-07 21:45:35.899441+02
6574	1983	2	\N	2015-03-07 21:45:46.115364+02
6575	1985	2	\N	2015-03-07 21:45:53.837217+02
6576	2016	2	\N	2015-03-07 21:46:03.965785+02
6577	1940	2	\N	2015-03-07 21:46:13.798132+02
6578	1932	2	\N	2015-03-07 21:46:22.868946+02
6579	1934	2	\N	2015-03-07 21:46:33.42948+02
6580	1935	2	\N	2015-03-07 21:46:42.582075+02
6581	1936	2	\N	2015-03-07 21:46:53.561952+02
6582	1933	2	\N	2015-03-07 21:47:06.74156+02
6584	1922	2	\N	2015-03-08 18:02:14.423833+02
6585	1922	2	\N	2015-03-08 18:02:24.288542+02
6586	1989	2	\N	2015-03-08 18:07:00.091644+02
6587	1922	2	\N	2015-03-08 18:17:03.971743+02
6588	1922	2	\N	2015-03-08 18:29:12.5349+02
6589	2063	2	\N	2015-03-08 18:41:45.468589+02
6590	1989	2	\N	2015-03-08 18:41:51.822924+02
6592	2065	2	\N	2015-03-09 14:02:38.899688+02
6593	2066	2	\N	2015-03-09 17:16:22.759831+02
6594	2068	2	\N	2015-03-09 19:28:40.834898+02
6595	1980	2	\N	2015-03-09 19:37:29.594475+02
6596	1389	2	\N	2015-03-15 19:00:11.360402+02
6597	1389	2	\N	2015-03-15 19:07:00.022851+02
6598	1389	2	\N	2015-03-15 19:08:22.540227+02
6599	2070	2	\N	2015-03-21 15:11:50.495946+02
6600	1989	2	\N	2015-03-21 15:11:59.182752+02
6603	2052	2	\N	2015-03-21 16:50:40.821135+02
6605	2052	2	\N	2015-03-21 16:52:47.683727+02
6606	2075	2	\N	2015-03-21 17:05:47.83578+02
6607	2075	2	\N	2015-03-21 17:06:12.331454+02
6608	2052	2	\N	2015-03-21 17:06:35.32059+02
6609	2070	2	\N	2015-03-21 17:48:31.664941+02
6610	2077	2	\N	2015-03-21 17:49:14.645342+02
6618	2052	2	\N	2015-03-21 18:16:06.930298+02
6621	2052	2	\N	2015-03-21 18:19:16.455929+02
6622	2087	2	\N	2015-03-21 18:20:19.713186+02
6623	2052	2	\N	2015-03-21 18:20:29.187736+02
6624	2052	2	\N	2015-03-21 19:28:39.349206+02
6625	2052	2	\N	2015-03-21 19:30:14.844869+02
6626	2052	2	\N	2015-03-21 19:33:54.902921+02
6627	2052	2	\N	2015-03-21 19:34:11.317898+02
6628	2052	2	\N	2015-03-21 19:35:55.581037+02
6629	2052	2	\N	2015-03-21 19:36:06.902031+02
6630	2052	2	\N	2015-03-21 19:36:15.834648+02
6631	2052	2	\N	2015-03-21 19:36:28.227499+02
6632	2052	2	\N	2015-03-21 19:36:44.271289+02
6633	2088	2	\N	2015-03-21 19:36:44.271289+02
6634	2089	2	\N	2015-03-21 19:38:07.835672+02
6635	2090	2	\N	2015-03-21 19:38:10.203402+02
6637	2052	2	\N	2015-03-21 19:40:18.868487+02
6638	2052	2	\N	2015-03-21 19:41:03.761402+02
6639	2052	2	\N	2015-03-21 19:42:48.725752+02
6640	2052	2	\N	2015-03-21 19:43:52.346215+02
6641	2092	2	\N	2015-03-21 20:11:35.939948+02
6642	2052	2	\N	2015-03-21 20:11:42.394011+02
6643	2052	2	\N	2015-03-21 20:12:01.524624+02
6646	2052	2	\N	2015-03-21 21:14:06.180767+02
6647	2095	2	\N	2015-03-21 22:03:40.435063+02
6648	2051	2	\N	2015-03-21 22:03:42.699321+02
6649	2088	2	\N	2015-03-21 22:03:45.19164+02
6650	2052	2	\N	2015-03-21 22:12:59.222848+02
6651	971	2	\N	2015-03-22 16:55:09.922468+02
6652	2096	2	\N	2015-03-22 17:22:28.394236+02
6653	970	2	\N	2015-03-22 17:22:30.31308+02
6654	971	2	\N	2015-03-22 17:32:58.675826+02
6655	2097	2	\N	2015-03-22 17:35:36.969555+02
6656	2052	2	\N	2015-03-22 17:35:38.710629+02
6657	2052	2	\N	2015-03-22 17:35:54.667572+02
6658	2052	2	\N	2015-03-22 17:36:02.394493+02
6659	1413	2	\N	2015-03-22 21:10:23.96026+02
6660	2098	2	\N	2015-03-22 21:12:12.040889+02
6661	1413	2	\N	2015-03-22 21:12:14.574907+02
6662	953	2	\N	2015-03-23 10:52:07.126828+02
6663	955	2	\N	2015-03-23 10:52:46.434534+02
6664	955	2	\N	2015-03-23 10:53:07.107505+02
6665	971	2	\N	2015-03-23 11:17:09.549645+02
6666	971	2	\N	2015-03-23 11:17:14.786132+02
6667	971	2	\N	2015-03-23 22:30:47.611278+02
6668	2099	2	\N	2015-03-24 19:25:49.743645+02
6669	2100	2	\N	2015-03-24 19:26:22.746874+02
6670	2101	2	\N	2015-03-24 19:30:50.825716+02
6671	1413	2	\N	2015-03-24 21:27:29.027714+02
6672	1413	2	\N	2015-03-24 21:27:56.025596+02
6673	2104	2	\N	2015-03-25 22:08:36.018637+02
6674	2105	2	\N	2015-03-25 22:09:11.121353+02
6675	2106	2	\N	2015-03-25 22:10:32.26983+02
6676	2107	2	\N	2015-03-27 21:02:27.365736+02
6677	1413	2	\N	2015-03-27 22:11:48.664734+02
6678	1318	2	\N	2015-03-27 22:11:57.175441+02
6679	2108	2	\N	2015-03-27 22:14:09.702895+02
6680	1413	2	\N	2015-03-27 22:14:23.177174+02
6681	1975	2	\N	2015-03-29 14:54:09.090695+03
6682	1975	2	\N	2015-03-29 14:56:05.558074+03
6683	2054	2	\N	2015-03-29 18:10:37.298528+03
6684	2054	2	\N	2015-03-29 18:10:44.494853+03
6685	2054	2	\N	2015-03-29 18:11:59.351954+03
6686	894	2	\N	2015-03-29 18:12:33.345883+03
6687	2108	2	\N	2015-03-29 18:41:14.962865+03
6688	2108	2	\N	2015-03-29 18:41:28.932911+03
6689	2108	2	\N	2015-03-29 18:41:35.361837+03
6693	1578	2	\N	2015-03-29 19:28:18.094577+03
6694	1563	2	\N	2015-03-29 19:28:26.306719+03
6695	1560	2	\N	2015-03-29 19:28:31.032916+03
6696	1649	2	\N	2015-03-29 20:30:21.118741+03
6698	2111	2	\N	2015-03-29 20:32:08.188477+03
6699	918	2	\N	2015-03-29 20:45:02.042426+03
6700	918	2	\N	2015-03-29 20:45:08.391579+03
6701	917	2	\N	2015-03-29 20:45:13.080299+03
6702	916	2	\N	2015-03-29 20:45:17.094049+03
6703	952	2	\N	2015-03-29 20:51:29.823177+03
6705	988	2	\N	2015-03-29 20:57:38.470567+03
6707	971	2	\N	2015-03-29 21:04:32.587955+03
6709	1647	2	\N	2015-03-29 21:11:13.101083+03
6710	2115	2	\N	2015-03-29 21:11:20.771189+03
6711	1648	2	\N	2015-03-29 21:19:19.348961+03
6715	1419	2	\N	2015-03-31 18:55:34.756779+03
6716	1415	2	\N	2015-03-31 18:55:54.50919+03
6718	1507	2	\N	2015-03-31 19:11:10.805316+03
6719	1507	2	\N	2015-03-31 19:11:17.000092+03
6720	1507	2	\N	2015-03-31 19:11:23.716877+03
6721	1898	2	\N	2015-03-31 19:19:08.662529+03
6722	1898	2	\N	2015-03-31 19:19:13.979595+03
6723	1898	2	\N	2015-03-31 19:19:19.541915+03
6724	2119	2	\N	2015-03-31 19:31:32.255315+03
6725	1419	2	\N	2015-03-31 19:31:35.171043+03
6726	2120	2	\N	2015-03-31 21:42:30.209371+03
6727	2107	2	\N	2015-04-06 22:18:27.344977+03
6728	2054	2	\N	2015-04-22 09:31:23.533867+03
6729	2126	2	\N	2015-04-22 10:21:50.083529+03
6730	2126	2	\N	2015-04-22 10:34:35.83663+03
6731	2127	2	\N	2015-04-22 15:08:30.934237+03
6732	2128	2	\N	2015-04-22 15:09:24.597951+03
6733	2129	2	\N	2015-04-22 15:30:21.099029+03
6734	2130	2	\N	2015-04-22 15:30:28.848383+03
6735	2131	2	\N	2015-04-22 15:33:06.666889+03
6736	2126	2	\N	2015-04-22 15:33:09.520564+03
6737	2132	2	\N	2015-04-22 15:34:13.439147+03
6738	2126	2	\N	2015-04-22 15:34:14.494849+03
6739	2126	2	\N	2015-04-22 15:34:41.240196+03
6740	2130	2	\N	2015-04-24 21:16:26.897843+03
6741	953	2	\N	2015-04-24 21:38:02.133997+03
6742	955	2	\N	2015-04-24 21:39:08.574084+03
6743	2108	2	\N	2015-04-25 13:14:21.858762+03
6745	2135	2	\N	2015-04-25 16:39:24.611492+03
6746	2128	2	\N	2015-04-25 16:59:29.339712+03
6747	2136	2	\N	2015-04-25 16:59:52.412523+03
6748	2137	2	\N	2015-04-25 21:29:39.820793+03
6749	2138	2	\N	2015-04-25 21:29:47.819244+03
6750	2139	2	\N	2015-04-25 21:29:55.72108+03
6751	2144	2	\N	2015-04-26 00:17:08.072699+03
6752	2145	2	\N	2015-04-26 00:17:08.072699+03
6753	2146	2	\N	2015-04-26 00:22:46.640907+03
6754	2147	2	\N	2015-04-26 00:22:46.640907+03
6755	2148	2	\N	2015-04-26 00:26:59.761945+03
6756	2149	2	\N	2015-04-26 00:26:59.761945+03
6757	2150	2	\N	2015-04-26 00:30:11.687983+03
6758	2151	2	\N	2015-04-26 00:30:11.687983+03
6759	2152	2	\N	2015-04-26 00:36:42.355592+03
6760	2153	2	\N	2015-04-26 00:36:42.355592+03
6761	2154	2	\N	2015-04-26 00:44:52.209962+03
6762	2155	2	\N	2015-04-26 00:44:52.209962+03
6763	2156	2	\N	2015-04-26 09:56:13.81422+03
6764	2157	2	\N	2015-04-26 09:56:13.81422+03
6765	2158	2	\N	2015-04-26 10:00:13.021078+03
6766	2159	2	\N	2015-04-26 10:00:13.021078+03
6767	2160	2	\N	2015-04-26 10:09:07.981749+03
6768	2161	2	\N	2015-04-26 10:09:07.981749+03
6769	2162	2	\N	2015-04-26 10:11:20.869074+03
6770	2163	2	\N	2015-04-26 10:11:20.869074+03
6771	2164	2	\N	2015-04-26 10:23:35.980962+03
6772	2165	2	\N	2015-04-26 10:23:35.980962+03
6774	2167	2	\N	2015-04-26 10:30:42.474899+03
6775	2168	2	\N	2015-04-26 10:30:42.474899+03
6778	2171	2	\N	2015-04-26 10:38:49.924523+03
6779	2172	2	\N	2015-04-26 10:41:15.682562+03
6780	2173	2	\N	2015-04-26 10:41:15.682562+03
6781	2174	2	\N	2015-04-26 10:51:18.425172+03
6782	2175	2	\N	2015-04-26 10:51:18.425172+03
6783	2176	2	\N	2015-04-26 10:54:26.243589+03
6784	2177	2	\N	2015-04-26 10:54:26.243589+03
6785	2178	2	\N	2015-04-26 10:57:26.669326+03
6786	2179	2	\N	2015-04-26 10:57:26.669326+03
6787	2180	2	\N	2015-04-26 11:08:04.739521+03
6788	2181	2	\N	2015-04-26 11:08:04.739521+03
6789	2182	2	\N	2015-04-26 11:13:10.975009+03
6790	2183	2	\N	2015-04-26 11:13:10.975009+03
6791	2184	2	\N	2015-04-26 13:03:25.416787+03
6792	2185	2	\N	2015-04-26 13:03:25.416787+03
6793	2186	2	\N	2015-04-26 13:42:49.969814+03
6794	2187	2	\N	2015-04-26 14:04:42.384772+03
6795	2188	2	\N	2015-04-26 14:04:42.384772+03
6796	2189	2	\N	2015-04-26 14:05:26.994527+03
6797	2190	2	\N	2015-04-26 14:05:26.994527+03
6798	2186	2	\N	2015-04-26 14:05:29.313624+03
6801	2197	2	\N	2015-05-03 13:21:34.120955+03
6802	2197	2	\N	2015-05-03 13:23:12.828981+03
6803	2197	2	\N	2015-05-03 13:34:38.831852+03
6804	2197	2	\N	2015-05-03 13:40:51.674186+03
6805	2199	2	\N	2015-05-03 23:18:19.876372+03
6806	1780	2	\N	2015-05-03 23:18:33.103558+03
6807	1368	2	\N	2015-05-04 19:21:58.460934+03
6808	1368	2	\N	2015-05-04 19:22:20.533133+03
6809	2200	2	\N	2015-05-04 20:57:01.637182+03
6810	2201	2	\N	2015-05-04 20:58:33.565049+03
6811	2203	2	\N	2015-05-04 21:30:33.485239+03
6812	1003	2	\N	2015-05-08 21:15:22.303904+03
6813	2205	2	\N	2015-05-08 22:38:40.1563+03
6814	2206	2	\N	2015-05-08 22:40:57.101857+03
6815	2207	2	\N	2015-05-08 22:43:00.228497+03
6816	2208	2	\N	2015-05-08 22:43:46.205549+03
6817	2209	2	\N	2015-05-09 15:04:04.437709+03
6818	2210	2	\N	2015-05-09 15:18:42.295591+03
6819	2211	2	\N	2015-05-09 15:20:41.04877+03
6820	2212	2	\N	2015-05-09 15:21:16.54612+03
6821	2213	2	\N	2015-05-09 15:21:20.750661+03
6822	2214	2	\N	2015-05-09 15:27:46.304009+03
6823	2215	2	\N	2015-05-09 15:27:52.157735+03
6824	2216	2	\N	2015-05-09 15:32:20.738122+03
6825	2216	2	\N	2015-05-09 15:34:43.153612+03
6826	2216	2	\N	2015-05-09 15:35:37.080548+03
6827	2216	2	\N	2015-05-09 15:36:20.491648+03
6828	2216	2	\N	2015-05-09 15:36:28.290218+03
6829	2217	2	\N	2015-05-09 16:10:30.715652+03
6830	2218	2	\N	2015-05-09 16:40:29.294581+03
6831	2216	2	\N	2015-05-09 16:40:47.688279+03
6832	2219	2	\N	2015-05-09 16:52:43.81748+03
6833	1550	2	\N	2015-05-09 16:53:04.04708+03
6834	1008	2	\N	2015-05-09 16:53:15.905297+03
6836	2218	2	\N	2015-05-09 16:56:24.612587+03
6837	2221	2	\N	2015-05-09 16:58:37.060459+03
6838	2216	2	\N	2015-05-09 17:04:04.921556+03
6839	2216	2	\N	2015-05-09 17:04:48.531212+03
6840	1563	2	\N	2015-05-09 19:32:44.822595+03
6841	2222	2	\N	2015-05-09 19:43:25.178079+03
6842	2215	2	\N	2015-05-09 20:07:16.539791+03
6843	2216	2	\N	2015-05-09 20:07:46.078918+03
6844	2223	2	\N	2015-05-09 20:08:53.78535+03
6845	2224	2	\N	2015-05-09 20:09:23.379411+03
6846	2225	2	\N	2015-05-09 20:09:44.887962+03
6847	2226	2	\N	2015-05-09 20:17:22.088876+03
6848	2227	2	\N	2015-05-09 20:29:08.971941+03
6849	2228	2	\N	2015-05-09 20:29:24.701653+03
6850	2229	2	\N	2015-05-09 20:29:40.419576+03
6851	2224	2	\N	2015-05-09 20:29:49.729598+03
6852	2230	2	\N	2015-05-09 20:30:09.233291+03
6853	2231	2	\N	2015-05-09 20:30:23.623593+03
6854	2232	2	\N	2015-05-09 20:30:35.560504+03
6855	2233	2	\N	2015-05-09 20:30:51.356148+03
6856	2234	2	\N	2015-05-09 20:31:09.312334+03
6857	2235	2	\N	2015-05-09 20:31:21.029136+03
6858	2236	2	\N	2015-05-09 20:31:43.127575+03
6859	2237	2	\N	2015-05-09 20:31:57.326798+03
6860	2238	2	\N	2015-05-09 20:32:20.746647+03
6861	2239	2	\N	2015-05-09 20:32:35.107871+03
6862	2240	2	\N	2015-05-09 20:32:50.419187+03
6863	2241	2	\N	2015-05-09 20:33:01.999568+03
6864	2242	2	\N	2015-05-09 20:33:16.190303+03
6865	2236	2	\N	2015-05-09 20:54:08.857766+03
6866	2216	2	\N	2015-05-09 21:04:14.03464+03
6867	1578	2	\N	2015-05-09 21:16:42.718164+03
6868	2243	2	\N	2015-05-10 13:44:27.494956+03
6869	2244	2	\N	2015-05-10 13:45:29.048699+03
6870	2245	2	\N	2015-05-10 13:46:40.29071+03
6871	2246	2	\N	2015-05-10 14:01:26.829403+03
6872	2247	2	\N	2015-05-10 14:01:57.254972+03
6873	2248	2	\N	2015-05-10 14:10:42.034833+03
6874	2249	2	\N	2015-05-10 14:10:53.000133+03
6875	2254	2	\N	2015-05-10 14:35:53.336283+03
6876	2255	2	\N	2015-05-10 14:35:53.336283+03
6877	2256	2	\N	2015-05-10 14:39:45.730714+03
6878	2257	2	\N	2015-05-10 14:39:45.730714+03
6879	2258	2	\N	2015-05-10 14:45:11.098493+03
6880	2259	2	\N	2015-05-10 14:45:11.098493+03
6881	2260	2	\N	2015-05-10 14:53:32.27851+03
6882	2261	2	\N	2015-05-10 14:53:32.27851+03
6883	2262	2	\N	2015-05-10 14:57:13.121414+03
6884	2263	2	\N	2015-05-10 14:57:13.121414+03
6885	2264	2	\N	2015-05-10 14:57:55.441966+03
6886	2265	2	\N	2015-05-10 15:07:20.399588+03
6887	2266	2	\N	2015-05-10 15:07:20.399588+03
6888	2267	2	\N	2015-05-10 15:07:27.786314+03
6889	2268	2	\N	2015-05-10 16:04:17.22685+03
6890	2269	2	\N	2015-05-10 16:04:56.471262+03
6891	1318	2	\N	2015-05-10 16:05:16.31159+03
6893	2271	2	\N	2015-05-10 16:08:32.663974+03
6894	2272	2	\N	2015-05-10 16:08:35.587577+03
6895	2273	2	\N	2015-05-10 16:08:47.271902+03
6896	2274	2	\N	2015-05-10 16:08:47.271902+03
6897	2275	2	\N	2015-05-10 16:09:34.650716+03
6898	2276	2	\N	2015-05-10 22:11:18.586994+03
6899	2277	2	\N	2015-05-10 22:12:40.523328+03
6900	1314	2	\N	2015-05-10 22:12:56.872348+03
6901	2278	2	\N	2015-05-10 22:14:48.438204+03
6902	2279	2	\N	2015-05-10 22:14:48.438204+03
6903	2280	2	\N	2015-05-10 22:19:21.083289+03
6904	2280	2	\N	2015-05-13 21:55:52.759278+03
6905	2275	2	\N	2015-05-13 21:56:48.008072+03
6906	2267	2	\N	2015-05-13 21:56:54.031403+03
6907	2264	2	\N	2015-05-13 21:56:59.496539+03
6908	2281	2	\N	2015-05-16 15:29:57.002389+03
6909	2282	2	\N	2015-05-16 15:34:53.800182+03
6910	2283	2	\N	2015-05-16 15:34:53.800182+03
6911	2284	2	\N	2015-05-16 15:36:09.929045+03
6912	2285	2	\N	2015-05-16 15:45:33.371911+03
6913	2286	2	\N	2015-05-16 15:45:33.371911+03
6914	2287	2	\N	2015-05-16 15:48:18.436182+03
6915	2288	2	\N	2015-05-16 15:48:18.436182+03
6916	2289	2	\N	2015-05-17 21:30:51.134604+03
6917	2280	2	\N	2015-05-17 21:31:00.094313+03
6918	2290	2	\N	2015-05-17 21:31:39.003456+03
6919	2280	2	\N	2015-05-17 21:31:48.129633+03
6920	2284	2	\N	2015-05-17 22:02:03.373006+03
6921	2284	2	\N	2015-05-17 22:02:31.027832+03
6922	2291	2	\N	2015-05-18 16:39:17.24427+03
6923	2284	2	\N	2015-05-18 16:40:09.305094+03
6924	2284	2	\N	2015-05-18 20:31:39.659544+03
6925	2284	2	\N	2015-05-18 20:34:34.03653+03
6926	2284	2	\N	2015-05-18 21:22:46.805573+03
6927	2292	2	\N	2015-05-24 12:55:28.784478+03
6928	1212	2	\N	2015-05-24 13:06:21.488837+03
6929	2293	2	\N	2015-05-24 15:06:40.212091+03
6930	2294	2	\N	2015-05-24 15:11:44.965777+03
6931	2295	2	\N	2015-05-24 16:49:53.513439+03
6932	2296	2	\N	2015-05-24 16:50:41.467323+03
6933	2297	2	\N	2015-05-24 16:55:00.642026+03
6934	2299	2	\N	2015-05-24 16:57:39.672043+03
6935	2300	2	\N	2015-05-24 17:03:51.85238+03
6936	2088	2	\N	2015-05-24 17:03:55.878998+03
6937	2301	2	\N	2015-05-24 17:04:54.502108+03
6938	2088	2	\N	2015-05-24 17:10:16.729607+03
6939	2088	2	\N	2015-05-24 17:10:29.437025+03
6940	2088	2	\N	2015-05-24 17:15:30.592241+03
6941	2302	2	\N	2015-05-24 17:16:33.029089+03
6942	2075	2	\N	2015-05-24 17:16:41.742578+03
6943	2303	2	\N	2015-05-24 17:17:17.81127+03
6944	2088	2	\N	2015-05-24 17:17:21.677682+03
6945	2305	2	\N	2015-05-24 20:37:07.412723+03
6946	2052	2	\N	2015-05-24 20:37:10.892479+03
6947	2088	2	\N	2015-05-24 21:01:25.501241+03
6948	2052	2	\N	2015-05-24 21:13:25.598747+03
6949	2306	2	\N	2015-05-24 21:14:39.628922+03
6950	2052	2	\N	2015-05-24 21:14:43.723121+03
6951	2280	2	\N	2015-05-24 21:21:32.476216+03
6952	2280	2	\N	2015-05-24 21:22:00.849383+03
6953	2280	2	\N	2015-05-24 21:22:09.702717+03
6954	2307	2	\N	2015-05-24 21:32:02.910902+03
6955	2308	2	\N	2015-05-24 21:32:24.738611+03
6956	2309	2	\N	2015-05-24 21:32:31.516248+03
6957	2310	2	\N	2015-05-24 21:33:17.528061+03
6958	2311	2	\N	2015-05-24 21:35:46.300244+03
6959	2312	2	\N	2015-05-24 21:36:06.190691+03
6960	2312	2	\N	2015-05-24 21:36:27.205265+03
6961	2313	2	\N	2015-05-25 21:31:05.718794+03
6962	2312	2	\N	2015-05-25 21:31:08.674137+03
6963	2314	2	\N	2015-05-26 20:44:11.702313+03
6964	2315	2	\N	2015-05-26 20:44:48.242189+03
6965	2316	2	\N	2015-05-26 20:44:48.242189+03
6966	2317	2	\N	2015-05-26 20:45:01.161364+03
6967	2284	2	\N	2015-05-28 13:46:35.94219+03
6968	2317	2	\N	2015-05-28 13:46:45.92498+03
6969	2280	2	\N	2015-05-28 13:46:51.874219+03
6970	1507	2	\N	2015-05-31 21:55:12.660877+03
6971	1507	2	\N	2015-05-31 21:56:27.809825+03
6972	1439	2	\N	2015-05-31 21:57:11.520889+03
6973	1507	2	\N	2015-05-31 21:58:33.173778+03
6974	1507	2	\N	2015-05-31 22:00:02.964614+03
6975	1507	2	\N	2015-05-31 22:00:38.733485+03
6976	1507	2	\N	2015-05-31 22:11:01.827304+03
6977	1507	2	\N	2015-06-01 09:54:54.423199+03
6978	2284	2	\N	2015-06-01 11:22:28.244232+03
6979	2319	2	\N	2015-06-01 11:37:24.071069+03
6980	2320	2	\N	2015-06-01 12:56:01.185317+03
6986	2327	2	\N	2015-06-02 13:22:30.670092+03
6987	2328	2	\N	2015-06-02 13:22:36.147873+03
6988	2329	2	\N	2015-06-02 13:23:35.222007+03
6989	2330	2	\N	2015-06-02 13:24:32.384898+03
6990	2331	2	\N	2015-06-02 13:25:52.745886+03
6991	2332	2	\N	2015-06-02 13:27:31.983851+03
6992	2333	2	\N	2015-06-02 13:27:36.950926+03
6993	2334	2	\N	2015-06-02 13:28:43.733459+03
6994	2335	2	\N	2015-06-02 13:29:10.771807+03
6995	2336	2	\N	2015-06-02 13:29:57.138464+03
6996	2337	2	\N	2015-06-02 13:30:11.199071+03
6997	2338	2	\N	2015-06-02 13:34:47.558077+03
6998	2339	2	\N	2015-06-02 13:34:50.130325+03
6999	2340	2	\N	2015-06-02 13:35:46.336511+03
7000	2341	2	\N	2015-06-02 13:36:09.066506+03
7001	2342	2	\N	2015-06-02 13:36:09.066506+03
7002	2343	2	\N	2015-06-02 13:37:26.99598+03
7003	2344	2	\N	2015-06-02 13:37:26.99598+03
7004	2345	2	\N	2015-06-02 13:37:42.100766+03
7023	2345	2	\N	2015-06-06 20:33:35.089301+03
7024	2366	2	\N	2015-06-06 21:47:05.357423+03
7025	2367	2	\N	2015-06-06 21:47:08.978477+03
7026	2368	2	\N	2015-06-06 21:49:00.661472+03
7027	2369	2	\N	2015-06-06 21:50:18.211354+03
7028	2370	2	\N	2015-06-06 21:51:07.167429+03
7029	2371	2	\N	2015-06-06 21:52:21.362863+03
7030	2372	2	\N	2015-06-06 21:52:25.91268+03
7031	2367	2	\N	2015-06-06 22:01:59.580344+03
7032	2373	2	\N	2015-06-06 22:05:50.240364+03
7033	2374	2	\N	2015-06-06 22:06:07.223567+03
7034	2375	2	\N	2015-06-06 22:06:55.79185+03
7035	2376	2	\N	2015-06-06 22:07:46.643073+03
7036	2377	2	\N	2015-06-06 22:08:11.14074+03
7037	2378	2	\N	2015-06-06 22:08:11.14074+03
7038	2379	2	\N	2015-06-06 22:10:53.894076+03
7039	2380	2	\N	2015-06-06 22:10:53.894076+03
7040	2381	2	\N	2015-06-06 22:12:04.71986+03
7041	2382	2	\N	2015-06-06 22:12:17.899878+03
7042	2372	2	\N	2015-06-06 22:12:34.850437+03
7043	2383	2	\N	2015-06-06 22:34:30.822368+03
7044	2384	2	\N	2015-06-06 22:35:06.098136+03
7045	2385	2	\N	2015-06-06 22:35:22.838833+03
7046	2382	2	\N	2015-06-06 22:36:33.646314+03
7048	2382	2	\N	2015-06-07 15:30:58.294045+03
7049	2247	2	\N	2015-06-07 17:10:29.033956+03
7050	1413	2	\N	2015-06-07 17:10:56.929199+03
7051	1318	2	\N	2015-06-07 17:11:36.862031+03
7052	1314	2	\N	2015-06-07 17:12:28.161782+03
7053	1431	2	\N	2015-06-07 19:55:54.571452+03
7054	1898	2	\N	2015-06-07 19:59:40.465993+03
7055	1898	2	\N	2015-06-07 20:00:47.882499+03
7056	1432	2	\N	2015-06-07 20:00:59.808075+03
7057	1608	2	\N	2015-06-07 20:01:30.177316+03
7058	1609	2	\N	2015-06-07 20:02:19.266681+03
7059	1769	2	\N	2015-06-07 20:03:05.939338+03
7060	1780	2	\N	2015-06-07 20:04:36.345782+03
7061	1873	2	\N	2015-06-07 20:05:07.816356+03
7062	1898	2	\N	2015-06-07 20:05:26.076509+03
7063	2199	2	\N	2015-06-07 20:05:57.959925+03
7064	2246	2	\N	2015-06-07 20:06:32.075272+03
7065	2246	2	\N	2015-06-07 20:06:41.085651+03
7066	2269	2	\N	2015-06-07 20:07:23.767588+03
7067	2277	2	\N	2015-06-07 20:07:57.192127+03
7068	1426	2	\N	2015-06-07 20:09:52.309668+03
7069	2389	2	\N	2015-06-07 20:10:03.246206+03
7070	2390	2	\N	2015-06-07 20:10:21.42447+03
7071	2391	2	\N	2015-06-07 20:10:54.694938+03
7072	2392	2	\N	2015-06-07 20:11:12.709328+03
7073	2393	2	\N	2015-06-07 20:11:33.449675+03
7074	2394	2	\N	2015-06-07 20:11:54.80775+03
7075	2395	2	\N	2015-06-07 20:12:24.648998+03
7076	2396	2	\N	2015-06-07 20:12:47.549001+03
7077	2397	2	\N	2015-06-07 20:13:09.482196+03
7078	2398	2	\N	2015-06-07 20:13:26.815118+03
7079	2399	2	\N	2015-06-07 20:13:43.442647+03
7080	2400	2	\N	2015-06-07 20:13:57.868779+03
7081	2401	2	\N	2015-06-07 20:14:15.895967+03
7082	2402	2	\N	2015-06-07 20:14:42.501203+03
7083	2403	2	\N	2015-06-07 20:15:33.611845+03
7084	2404	2	\N	2015-06-07 20:15:53.460657+03
7085	2405	2	\N	2015-06-07 20:16:10.772685+03
7086	2406	2	\N	2015-06-07 20:16:32.442601+03
7087	2407	2	\N	2015-06-07 20:16:56.509083+03
7088	2408	2	\N	2015-06-07 20:17:19.457924+03
7089	2409	2	\N	2015-06-07 20:17:39.828441+03
7090	2410	2	\N	2015-06-07 20:17:59.953522+03
7091	2411	2	\N	2015-06-07 20:18:15.36941+03
7092	2412	2	\N	2015-06-07 20:18:33.319787+03
7093	2413	2	\N	2015-06-07 20:18:53.786993+03
7094	2414	2	\N	2015-06-07 20:19:17.251882+03
7095	2415	2	\N	2015-06-07 20:34:54.782206+03
7096	2416	2	\N	2015-06-07 20:35:11.96143+03
7097	2417	2	\N	2015-06-07 20:35:33.998015+03
7098	2418	2	\N	2015-06-07 20:36:01.596002+03
7099	2419	2	\N	2015-06-07 20:36:15.960332+03
7100	2420	2	\N	2015-06-07 20:36:35.413228+03
7101	2421	2	\N	2015-06-07 20:37:30.352425+03
7102	2422	2	\N	2015-06-07 20:37:53.888785+03
7103	2423	2	\N	2015-06-07 20:38:10.610447+03
7104	2424	2	\N	2015-06-07 20:38:59.517394+03
7105	2425	2	\N	2015-06-07 20:39:26.415211+03
7106	2426	2	\N	2015-06-07 20:40:05.840226+03
7107	2427	2	\N	2015-06-07 20:40:46.537019+03
7108	2428	2	\N	2015-06-07 20:41:01.3009+03
7109	2429	2	\N	2015-06-07 20:41:17.634439+03
7110	2430	2	\N	2015-06-07 20:41:36.56949+03
7111	2431	2	\N	2015-06-07 20:41:54.944525+03
7112	2432	2	\N	2015-06-07 20:42:11.063081+03
7113	2433	2	\N	2015-06-10 21:10:55.543668+03
7114	2434	2	\N	2015-06-10 21:10:58.272269+03
7115	2434	2	\N	2015-06-10 21:11:16.546457+03
7116	2435	2	\N	2015-06-10 21:11:49.343497+03
7117	2436	2	\N	2015-06-10 21:12:20.087946+03
7119	2437	2	\N	2015-06-10 21:13:28.379702+03
7120	2434	2	\N	2015-06-10 21:13:35.658848+03
7118	2434	2	\N	2015-06-10 21:12:30.557424+03
7121	2434	2	\N	2015-06-13 11:08:16.884538+03
7122	2438	2	\N	2015-06-13 12:24:23.664338+03
7123	2439	2	\N	2015-06-13 12:25:12.11639+03
7124	2440	2	\N	2015-06-13 12:25:55.053099+03
7125	2439	2	\N	2015-06-13 12:28:23.509307+03
7126	1431	2	\N	2015-06-13 16:13:14.891511+03
7127	2269	2	\N	2015-06-13 16:29:21.58833+03
7128	2391	2	\N	2015-06-13 16:29:38.922876+03
7130	2442	2	\N	2015-06-13 17:22:11.365048+03
7163	2317	2	\N	2015-06-13 19:58:33.103367+03
7164	2451	2	\N	2015-06-13 19:59:50.784052+03
7165	2452	2	\N	2015-06-13 19:59:50.784052+03
7166	2317	2	\N	2015-06-13 20:00:28.712308+03
7167	2317	2	\N	2015-06-13 20:01:26.421434+03
7168	2317	2	\N	2015-06-13 20:03:24.653457+03
7176	2451	2	\N	2015-06-14 10:07:32.690694+03
7177	2451	2	\N	2015-06-14 10:16:32.619194+03
7178	2451	2	\N	2015-06-14 13:13:57.393431+03
7179	2451	2	\N	2015-06-14 13:21:50.094038+03
7180	2451	2	\N	2015-06-14 13:22:37.050016+03
7181	2451	2	\N	2015-06-14 13:23:13.387606+03
7182	2451	2	\N	2015-06-14 13:23:25.25704+03
7183	2457	2	\N	2015-06-14 13:25:18.074212+03
7184	2451	2	\N	2015-06-14 13:26:56.97373+03
7185	2458	2	\N	2015-06-14 13:28:59.472857+03
7186	2459	2	\N	2015-06-14 13:29:40.688494+03
7187	2457	2	\N	2015-06-14 14:17:22.935487+03
7199	2463	2	\N	2015-06-14 16:30:22.760587+03
7201	2463	2	\N	2015-06-14 16:43:36.808614+03
7202	2465	2	\N	2015-06-14 18:28:13.295968+03
7203	2466	2	\N	2015-06-14 18:50:25.96227+03
7204	2467	2	\N	2015-06-14 18:50:57.662486+03
7205	2468	2	\N	2015-06-17 21:13:39.6663+03
7206	2469	2	\N	2015-06-17 21:13:39.6663+03
7207	2469	2	\N	2015-06-17 21:39:31.5421+03
7208	2470	2	\N	2015-06-17 21:39:43.056809+03
7211	2296	2	\N	2015-06-17 22:28:24.889672+03
7212	2296	2	\N	2015-06-17 22:28:44.137455+03
7213	2296	2	\N	2015-06-17 22:28:55.531055+03
7214	2296	2	\N	2015-06-17 22:29:04.688414+03
7217	1190	2	\N	2015-06-18 08:41:45.975909+03
7218	1190	2	\N	2015-06-18 08:41:55.712142+03
7219	2475	2	\N	2015-06-18 08:47:40.598128+03
7229	2484	2	\N	2015-06-18 09:11:44.190988+03
7232	2486	2	\N	2015-06-19 08:53:30.530081+03
7235	2489	2	\N	2015-06-19 08:57:56.925224+03
7236	2490	2	\N	2015-06-19 08:58:47.001543+03
7237	2491	2	\N	2015-06-19 09:01:01.141859+03
7239	2493	2	\N	2015-06-19 09:05:15.381515+03
7241	1010	2	\N	2015-06-19 09:18:51.710345+03
7244	2129	2	\N	2015-06-19 09:22:37.844576+03
7248	2137	2	\N	2015-06-19 09:24:18.706637+03
7250	2248	2	\N	2015-06-19 09:24:53.046897+03
7252	2484	2	\N	2015-06-20 10:13:59.32685+03
7253	2501	2	\N	2015-06-20 10:23:36.01186+03
7254	2490	2	\N	2015-06-20 10:24:30.090794+03
7255	2502	2	\N	2015-06-20 10:25:23.92051+03
7256	2490	2	\N	2015-06-20 10:25:26.171733+03
7257	2503	2	\N	2015-06-20 10:58:18.119129+03
7259	2505	2	\N	2015-06-20 11:21:58.139735+03
7260	2506	2	\N	2015-06-20 11:22:00.401736+03
7261	2507	2	\N	2015-06-20 11:22:46.430212+03
7262	2506	2	\N	2015-06-20 11:22:51.478424+03
7263	2508	2	\N	2015-06-20 11:23:54.736317+03
7264	2506	2	\N	2015-06-20 11:23:56.167951+03
7265	2345	2	\N	2015-06-20 11:26:36.603828+03
7266	2345	2	\N	2015-06-20 11:27:18.047841+03
7268	2345	2	\N	2015-06-20 11:46:46.13788+03
7269	2510	2	\N	2015-06-20 11:50:12.161837+03
7270	2511	2	\N	2015-06-20 11:50:13.525526+03
7272	2463	2	\N	2015-06-20 23:00:10.769493+03
7273	2467	2	\N	2015-06-20 23:00:18.463896+03
7274	2459	2	\N	2015-06-20 23:00:44.920864+03
7275	2458	2	\N	2015-06-20 23:00:51.132288+03
7276	2457	2	\N	2015-06-20 23:00:57.565186+03
7277	2451	2	\N	2015-06-20 23:01:04.368039+03
7278	2451	2	\N	2015-06-20 23:04:17.342527+03
7279	2457	2	\N	2015-06-20 23:04:23.315461+03
7280	2458	2	\N	2015-06-20 23:04:30.160097+03
7281	2459	2	\N	2015-06-20 23:04:35.721205+03
7282	1896	2	\N	2015-06-21 11:16:22.975624+03
7285	2459	2	\N	2015-06-21 11:19:17.963777+03
7286	2458	2	\N	2015-06-21 11:19:23.880837+03
7287	2457	2	\N	2015-06-21 11:19:29.44712+03
7288	2451	2	\N	2015-06-21 11:19:35.471458+03
7289	2467	2	\N	2015-06-21 11:19:54.443461+03
7290	2463	2	\N	2015-06-21 11:20:00.085347+03
7291	2465	2	\N	2015-06-21 11:21:33.270335+03
7292	2513	2	\N	2015-06-23 22:26:54.54596+03
7293	778	2	\N	2015-06-23 22:31:51.561928+03
7294	2514	2	\N	2015-06-23 22:34:29.078834+03
7295	2514	2	\N	2015-06-23 22:36:01.548881+03
7296	2513	2	\N	2015-06-23 22:42:58.979814+03
7297	2514	2	\N	2015-06-23 22:46:14.322892+03
7298	2515	2	\N	2015-06-23 22:48:32.462285+03
7306	784	2	\N	2015-06-27 17:39:03.474446+03
7307	784	2	\N	2015-06-27 17:52:48.813097+03
7308	885	2	\N	2015-06-27 17:53:15.731358+03
7312	784	2	\N	2015-06-27 19:50:37.220816+03
7313	784	2	\N	2015-06-27 19:50:45.528129+03
7314	784	2	\N	2015-06-27 19:50:53.618877+03
7315	784	2	\N	2015-06-27 19:52:29.5324+03
7317	2516	2	\N	2015-06-27 20:34:38.335917+03
7318	2517	2	\N	2015-06-27 21:02:52.190849+03
7319	2518	2	\N	2015-06-27 22:00:11.577645+03
7320	784	2	\N	2015-06-27 22:13:51.726755+03
7321	2519	2	\N	2015-06-27 22:13:51.726755+03
7322	2520	2	\N	2015-06-27 22:14:31.050053+03
7323	2521	2	\N	2015-06-27 22:15:06.48124+03
7324	2522	2	\N	2015-06-27 22:27:54.400494+03
7325	2523	2	\N	2015-06-27 22:40:18.037224+03
7326	2524	2	\N	2015-06-27 22:42:17.60206+03
7327	2525	2	\N	2015-06-27 22:42:37.767083+03
7328	784	2	\N	2015-06-27 22:49:09.961687+03
7329	784	2	\N	2015-06-27 22:49:28.712758+03
7330	784	2	\N	2015-06-27 22:49:40.054287+03
7331	2526	2	\N	2015-06-28 15:48:24.134048+03
7332	2527	2	\N	2015-06-28 15:49:06.934643+03
7333	1930	2	\N	2015-06-28 15:49:08.476175+03
7334	1930	2	\N	2015-06-28 15:49:15.43238+03
7335	1286	2	\N	2015-06-28 16:19:06.654271+03
7336	1284	2	\N	2015-06-28 16:19:08.822984+03
7337	2528	2	\N	2015-06-28 16:27:58.214962+03
7338	2529	2	\N	2015-07-04 20:12:31.951644+03
7339	2530	2	\N	2015-07-04 20:16:08.99227+03
7340	2531	2	\N	2015-07-04 20:16:08.99227+03
7341	2532	2	\N	2015-07-04 20:36:07.167824+03
7342	2533	2	\N	2015-07-04 20:36:07.167824+03
7343	2534	2	\N	2015-07-04 20:57:32.449165+03
7344	2491	2	\N	2015-07-04 20:58:12.716739+03
7345	2535	2	\N	2015-07-04 20:58:36.935951+03
7346	2536	2	\N	2015-07-04 20:59:39.366864+03
7347	2491	2	\N	2015-07-04 20:59:49.220324+03
7348	2537	2	\N	2015-07-04 21:00:02.518034+03
7349	2538	2	\N	2015-07-04 21:13:08.541103+03
7350	2539	2	\N	2015-07-04 21:14:30.611204+03
7351	2540	2	\N	2015-07-04 21:14:32.763289+03
7352	2541	2	\N	2015-07-04 21:14:50.821175+03
7354	2542	2	\N	2015-07-04 21:17:54.658173+03
7358	2543	2	\N	2015-07-04 21:26:56.584606+03
7359	2544	2	\N	2015-07-04 21:27:23.469843+03
7361	2545	2	\N	2015-07-04 21:30:18.47115+03
7362	2546	2	\N	2015-07-04 21:30:37.579131+03
7363	2545	2	\N	2015-07-04 21:30:38.730906+03
7364	2547	2	\N	2015-07-04 21:30:51.680567+03
7365	2548	2	\N	2015-07-04 21:30:51.680567+03
7367	2451	2	\N	2015-07-05 14:30:51.54628+03
7368	2457	2	\N	2015-07-05 14:33:01.814653+03
7369	2458	2	\N	2015-07-05 14:33:47.939925+03
7370	2459	2	\N	2015-07-05 14:33:59.629688+03
7371	2451	2	\N	2015-07-05 14:39:43.167129+03
7372	2467	2	\N	2015-07-05 14:49:52.691681+03
7373	2463	2	\N	2015-07-05 14:50:06.470488+03
7374	2549	2	\N	2015-07-05 15:34:32.780638+03
7376	2434	2	\N	2015-07-05 19:13:53.412323+03
7377	3	2	\N	2015-07-17 19:31:34.831317+03
7378	894	2	\N	2015-07-17 19:34:30.132569+03
7379	2054	2	\N	2015-07-17 19:34:44.345599+03
7380	2126	2	\N	2015-07-17 19:35:00.154065+03
7381	2484	2	\N	2015-07-17 19:35:15.872953+03
7382	2550	2	\N	2015-07-18 10:57:05.728016+03
7383	1372	2	\N	2015-07-18 10:57:08.110977+03
7384	1372	2	\N	2015-07-18 10:57:38.113606+03
7385	2551	2	\N	2015-07-18 11:02:48.147598+03
7386	2552	2	\N	2015-07-18 11:22:14.245467+03
7387	2552	2	\N	2015-07-18 11:24:17.241528+03
7388	2553	2	\N	2015-07-18 11:32:44.472503+03
7389	2554	2	\N	2015-07-18 11:46:38.401629+03
7390	2554	2	\N	2015-07-18 11:47:52.858154+03
7392	2556	2	\N	2015-07-18 11:55:59.961331+03
7393	1372	2	\N	2015-07-18 11:56:18.816278+03
7394	1375	2	\N	2015-07-18 11:56:26.8815+03
7395	2557	2	\N	2015-07-18 12:01:04.237446+03
7396	887	2	\N	2015-07-18 12:01:06.541839+03
7397	2376	2	\N	2015-07-18 12:01:31.956124+03
7398	2556	2	\N	2015-07-18 12:01:52.672293+03
7399	2558	2	\N	2015-07-19 10:20:48.263335+03
7400	2559	2	\N	2015-07-19 14:41:19.72071+03
7401	2560	2	\N	2015-07-19 14:41:25.622087+03
7402	2561	2	\N	2015-07-19 14:42:40.770503+03
7403	2562	2	\N	2015-07-19 14:42:45.815524+03
7404	2563	2	\N	2015-07-19 15:12:51.840188+03
7405	2564	2	\N	2015-07-19 15:13:34.062285+03
7406	2565	2	\N	2015-07-19 15:13:36.341158+03
7407	2566	2	\N	2015-07-19 15:17:50.040034+03
7408	2567	2	\N	2015-07-19 15:18:18.066263+03
7409	2568	2	\N	2015-07-19 15:19:23.078636+03
7410	2569	2	\N	2015-07-19 15:19:33.135472+03
7411	2570	2	\N	2015-07-19 15:20:45.489438+03
7412	2571	2	\N	2015-07-19 15:21:40.944498+03
7413	2572	2	\N	2015-07-19 15:21:50.318605+03
7414	2573	2	\N	2015-07-19 16:03:41.362252+03
7415	2574	2	\N	2015-07-19 16:04:11.184096+03
7416	2575	2	\N	2015-07-19 16:04:13.848246+03
7417	2576	2	\N	2015-07-19 16:05:08.205201+03
7418	2577	2	\N	2015-07-19 16:06:12.10907+03
7419	2578	2	\N	2015-07-19 16:06:39.117569+03
7420	2579	2	\N	2015-07-19 16:06:40.986562+03
7421	2580	2	\N	2015-07-19 16:07:27.111556+03
7422	2581	2	\N	2015-07-19 16:08:00.994992+03
7423	2582	2	\N	2015-07-19 16:08:03.06528+03
7424	2583	2	\N	2015-07-19 22:56:54.154484+03
7425	2584	2	\N	2015-07-19 23:47:28.340347+03
7426	2585	2	\N	2015-07-19 23:52:14.447269+03
7427	2586	2	\N	2015-07-19 23:52:36.403304+03
7428	2587	2	\N	2015-07-19 23:52:50.958041+03
7429	2588	2	\N	2015-07-19 23:53:14.681932+03
7430	2589	2	\N	2015-07-19 23:54:00.547115+03
7431	2590	2	\N	2015-07-19 23:54:44.372371+03
7432	2591	2	\N	2015-07-19 23:54:52.387429+03
7433	2593	2	\N	2015-07-19 23:56:11.09679+03
7434	2594	2	\N	2015-07-19 23:56:44.56359+03
7435	2595	2	\N	2015-07-19 23:56:46.53373+03
7436	1932	2	\N	2015-07-20 00:00:04.645587+03
7437	2596	2	\N	2015-07-20 00:04:50.031308+03
7438	2597	2	\N	2015-07-20 00:05:29.444039+03
7439	2598	2	\N	2015-07-20 00:06:05.823851+03
7440	2599	2	\N	2015-07-20 00:06:07.921437+03
7443	2602	2	\N	2015-07-20 23:51:41.323724+03
7444	2603	2	\N	2015-07-20 23:51:41.323724+03
7445	2604	2	\N	2015-07-20 23:51:41.323724+03
7446	2605	2	\N	2015-07-20 23:51:41.323724+03
7449	2608	2	\N	2015-07-20 23:51:41.323724+03
7453	2612	2	\N	2015-07-20 23:51:41.323724+03
7454	2613	2	\N	2015-07-20 23:51:41.323724+03
7458	2617	2	\N	2015-07-20 23:51:41.323724+03
7472	2631	2	\N	2015-07-20 23:51:41.323724+03
7473	2632	2	\N	2015-07-20 23:51:41.323724+03
7474	2633	2	\N	2015-07-20 23:51:41.323724+03
7475	2634	2	\N	2015-07-20 23:51:41.323724+03
7476	2635	2	\N	2015-07-20 23:51:41.323724+03
7477	2636	2	\N	2015-07-20 23:51:41.323724+03
7478	2637	2	\N	2015-07-20 23:51:41.323724+03
7479	2638	2	\N	2015-07-20 23:51:41.323724+03
7483	2642	2	\N	2015-07-20 23:51:41.323724+03
7484	2643	2	\N	2015-07-20 23:51:41.323724+03
7487	2646	2	\N	2015-07-20 23:51:41.323724+03
7488	2647	2	\N	2015-07-20 23:51:41.323724+03
7489	2648	2	\N	2015-07-20 23:51:41.323724+03
7490	2649	2	\N	2015-07-20 23:51:41.323724+03
7491	2650	2	\N	2015-07-20 23:51:41.323724+03
7492	2651	2	\N	2015-07-20 23:51:41.323724+03
7493	2652	2	\N	2015-07-20 23:51:41.323724+03
7494	2653	2	\N	2015-07-20 23:51:41.323724+03
7495	2654	2	\N	2015-07-20 23:51:41.323724+03
7496	2655	2	\N	2015-07-20 23:51:41.323724+03
7498	894	2	\N	2015-07-20 23:59:14.903581+03
7503	2663	2	\N	2015-07-21 00:42:13.515989+03
7504	2664	2	\N	2015-07-21 00:44:32.068557+03
7505	2662	2	\N	2015-07-21 00:45:19.305589+03
7507	894	2	\N	2015-07-22 09:52:23.690178+03
7508	885	2	\N	2015-07-22 09:53:01.082145+03
7509	2665	2	\N	2015-07-22 09:53:01.082145+03
7510	885	2	\N	2015-07-22 09:53:36.087021+03
7511	2272	2	\N	2015-07-22 10:46:42.444349+03
7512	2272	2	\N	2015-07-22 10:47:14.111233+03
7513	2666	2	\N	2015-07-22 10:50:02.98887+03
7514	2667	2	\N	2015-07-22 10:50:08.679496+03
7515	2668	2	\N	2015-07-22 10:51:11.924694+03
7516	2669	2	\N	2015-07-22 10:51:14.586916+03
7517	2669	2	\N	2015-07-22 11:46:47.662266+03
7518	2670	2	\N	2015-07-22 11:49:53.983401+03
7519	2671	2	\N	2015-07-22 11:53:39.590503+03
7520	2669	2	\N	2015-07-22 11:53:54.403754+03
7521	2669	2	\N	2015-07-22 11:54:14.136266+03
7522	2669	2	\N	2015-07-22 12:24:29.892068+03
7523	2673	2	\N	2015-07-22 12:28:35.92606+03
7524	2674	2	\N	2015-07-22 12:28:39.345269+03
7525	2675	2	\N	2015-07-22 12:44:17.155133+03
7526	2676	2	\N	2015-07-22 12:45:19.167404+03
7527	2677	2	\N	2015-07-22 12:45:42.418521+03
7528	2678	2	\N	2015-07-22 12:45:46.782121+03
7529	2679	2	\N	2015-07-22 12:46:34.868393+03
7530	2678	2	\N	2015-07-22 12:47:12.553819+03
7531	2680	2	\N	2015-07-22 12:47:32.725361+03
7532	2681	2	\N	2015-07-22 12:47:48.511246+03
7533	2682	2	\N	2015-07-22 13:40:37.786999+03
7534	2681	2	\N	2015-07-22 13:40:39.941316+03
7535	2681	2	\N	2015-07-22 13:40:55.710058+03
7536	2683	2	\N	2015-07-22 13:41:40.486853+03
7537	2684	2	\N	2015-07-22 13:41:59.700406+03
7538	2685	2	\N	2015-07-22 13:42:00.973433+03
7539	2667	2	\N	2015-07-22 13:42:02.635972+03
7540	2685	2	\N	2015-07-22 13:46:08.824214+03
7541	2667	2	\N	2015-07-22 13:46:13.399464+03
7542	2686	2	\N	2015-07-22 13:47:12.099197+03
7543	2687	2	\N	2015-07-22 13:47:12.099197+03
7544	2688	2	\N	2015-07-22 13:50:14.404321+03
7545	2689	2	\N	2015-07-22 13:50:14.404321+03
7546	2690	2	\N	2015-07-22 13:53:17.909433+03
7547	2690	2	\N	2015-07-22 13:53:48.33605+03
7550	2693	2	\N	2015-07-22 14:07:31.992976+03
7551	2694	2	\N	2015-07-22 14:08:00.072596+03
7552	2695	2	\N	2015-07-22 14:08:45.393051+03
7555	2698	2	\N	2015-07-22 14:13:47.912163+03
7556	2699	2	\N	2015-07-22 14:14:01.749177+03
7557	2700	2	\N	2015-07-22 14:14:10.709485+03
7558	2701	2	\N	2015-07-22 14:14:10.709485+03
7559	2699	2	\N	2015-07-22 14:16:42.964801+03
7560	2702	2	\N	2015-07-22 14:17:00.761945+03
7561	2703	2	\N	2015-07-22 14:17:00.761945+03
7562	2704	2	\N	2015-07-22 14:19:56.751612+03
7563	2705	2	\N	2015-07-22 14:19:56.751612+03
7564	2699	2	\N	2015-07-22 14:20:42.704316+03
7565	2706	2	\N	2015-07-22 14:21:02.027005+03
7566	2707	2	\N	2015-07-22 14:21:02.027005+03
7567	2699	2	\N	2015-07-22 14:21:39.869597+03
7568	2699	2	\N	2015-07-22 14:21:46.984305+03
7569	2708	2	\N	2015-07-22 14:21:59.287338+03
7570	2709	2	\N	2015-07-22 14:21:59.287338+03
7571	2699	2	\N	2015-07-22 14:22:26.322903+03
7572	2710	2	\N	2015-07-22 14:22:35.509695+03
7573	2711	2	\N	2015-07-22 14:22:35.509695+03
7574	2699	2	\N	2015-07-22 14:23:19.576335+03
7575	2712	2	\N	2015-07-22 14:23:36.759685+03
7576	2713	2	\N	2015-07-22 14:23:36.759685+03
7577	2714	2	\N	2015-07-22 14:30:40.877306+03
7578	2715	2	\N	2015-07-22 14:32:25.925422+03
7579	2716	2	\N	2015-07-22 14:32:25.925422+03
7580	2714	2	\N	2015-07-22 14:32:56.995021+03
7581	2717	2	\N	2015-07-22 14:33:08.574387+03
7582	2718	2	\N	2015-07-22 14:33:08.574387+03
7583	2719	2	\N	2015-07-22 14:50:07.747456+03
7584	2720	2	\N	2015-07-22 14:50:07.747456+03
7585	2721	2	\N	2015-07-22 14:53:19.652254+03
7586	2722	2	\N	2015-07-22 14:53:19.652254+03
7587	2723	2	\N	2015-07-22 15:02:17.721876+03
7588	2724	2	\N	2015-07-22 15:02:27.84792+03
7589	2725	2	\N	2015-07-22 15:02:27.84792+03
7590	2726	2	\N	2015-07-22 15:04:12.042101+03
7591	2699	2	\N	2015-07-22 15:04:47.591373+03
7592	2727	2	\N	2015-07-22 15:05:43.153662+03
7593	2728	2	\N	2015-07-22 15:05:43.153662+03
7595	2730	2	\N	2015-07-22 15:19:08.113264+03
7598	2732	2	\N	2015-07-22 15:38:41.939351+03
7601	2515	2	\N	2015-07-22 15:57:29.189389+03
7603	2733	2	\N	2015-07-22 15:58:23.119691+03
7606	2317	2	\N	2015-07-22 15:59:20.404832+03
7607	2734	2	\N	2015-07-22 15:59:27.667185+03
7608	2735	2	\N	2015-07-22 15:59:52.422862+03
7609	2736	2	\N	2015-07-22 15:59:52.422862+03
7612	1438	2	\N	2015-07-22 18:57:24.829162+03
7613	2737	2	\N	2015-07-22 19:50:41.44109+03
7614	2738	2	\N	2015-07-22 19:50:41.44109+03
7615	2739	2	\N	2015-07-22 22:10:17.173605+03
7616	2739	2	\N	2015-07-22 22:27:10.60758+03
7617	2740	2	\N	2015-10-05 21:56:31.033698+03
7618	2741	2	\N	2015-10-05 22:00:37.025784+03
7619	2741	2	\N	2015-10-05 22:01:11.294026+03
7620	2740	2	\N	2015-10-11 15:30:17.608326+03
7621	2740	2	\N	2015-10-11 15:49:02.820999+03
7622	2742	2	\N	2015-10-11 16:29:26.485453+03
7655	2741	2	\N	2015-10-19 21:00:27.348936+03
7656	2484	2	\N	2015-10-24 14:58:32.749242+03
7657	2779	2	\N	2015-10-24 14:58:32.749242+03
7658	2484	2	\N	2015-10-24 14:59:57.669772+03
7659	2780	2	\N	2015-10-24 14:59:57.669772+03
7660	894	2	\N	2015-10-24 15:00:56.289933+03
7661	2781	2	\N	2015-10-24 15:00:56.289933+03
7662	885	2	\N	2015-10-24 15:02:23.825848+03
7663	894	2	\N	2015-10-24 15:06:44.559696+03
7664	2782	2	\N	2015-10-24 15:06:44.559696+03
7665	894	2	\N	2015-10-24 15:13:07.98256+03
7666	2783	2	\N	2015-10-24 15:13:07.98256+03
7667	894	2	\N	2015-10-24 15:16:03.818888+03
7668	2784	2	\N	2015-10-24 15:16:03.818888+03
7670	2786	2	\N	2015-10-24 15:24:48.816087+03
7671	2787	2	\N	2015-10-24 15:30:54.642902+03
7672	2739	2	\N	2015-10-31 09:47:11.166446+02
7673	2739	2	\N	2015-10-31 09:48:54.569182+02
7674	2739	2	\N	2015-10-31 09:52:21.217177+02
7675	2739	2	\N	2015-10-31 09:52:28.501825+02
7676	2739	2	\N	2015-10-31 10:25:38.872091+02
7677	2593	2	\N	2015-10-31 10:32:28.375294+02
7678	2788	2	\N	2015-10-31 11:46:02.329007+02
7679	2741	2	\N	2015-10-31 11:48:54.106885+02
7698	2813	2	\N	2015-11-22 21:52:45.311354+02
7699	2814	2	\N	2015-11-22 21:57:07.211721+02
7700	2739	2	\N	2015-11-22 21:57:09.506917+02
7701	2739	2	\N	2015-11-22 22:03:49.302367+02
7702	2815	2	\N	2015-11-29 18:03:23.32558+02
7703	2816	2	\N	2015-11-29 18:05:24.319676+02
7704	2818	2	\N	2015-11-29 19:06:37.534692+02
7705	2820	2	\N	2016-01-02 19:03:39.167822+02
7706	1930	2	\N	2016-01-02 19:03:41.6491+02
7707	2821	2	\N	2016-01-02 20:11:21.358279+02
7708	2822	2	\N	2016-01-02 20:11:24.233178+02
7709	2823	2	\N	2016-01-02 20:12:21.682793+02
7710	2824	2	\N	2016-01-02 20:12:46.762385+02
7711	2825	2	\N	2016-01-02 20:15:08.259398+02
7712	2824	2	\N	2016-01-02 20:15:26.352748+02
7713	2826	2	\N	2016-01-02 20:15:55.52191+02
7714	2824	2	\N	2016-01-02 20:17:19.972235+02
7715	2822	2	\N	2016-01-02 20:21:41.413863+02
7716	2827	2	\N	2016-01-02 20:24:24.220398+02
7717	2828	2	\N	2016-01-02 20:24:24.220398+02
7718	2829	2	\N	2016-01-02 20:25:00.491155+02
7719	2830	2	\N	2016-01-02 20:25:43.115841+02
7720	2831	2	\N	2016-01-02 20:26:37.333884+02
7721	2832	2	\N	2016-01-02 20:27:25.581765+02
7722	2833	2	\N	2016-01-02 20:36:13.937348+02
7723	2834	2	\N	2016-01-02 20:36:20.489746+02
7724	2834	2	\N	2016-01-02 20:36:41.364121+02
7725	2835	2	\N	2016-01-02 20:42:25.330155+02
7726	2836	2	\N	2016-01-02 20:42:56.538052+02
7727	2837	2	\N	2016-01-02 20:50:50.737933+02
7728	2838	2	\N	2016-01-02 20:50:50.737933+02
7729	2831	2	\N	2016-01-02 20:50:54.803525+02
7730	2839	2	\N	2016-01-02 20:51:13.095185+02
7731	2840	2	\N	2016-01-02 20:51:13.095185+02
7732	2841	2	\N	2016-01-02 20:52:40.961629+02
7733	2540	2	\N	2016-01-02 20:53:36.703713+02
7734	2842	2	\N	2016-01-02 20:53:48.427475+02
7735	2843	2	\N	2016-01-02 20:53:48.427475+02
7736	2844	2	\N	2016-01-02 21:00:05.527737+02
7737	2845	2	\N	2016-01-02 21:00:05.527737+02
7738	2846	2	\N	2016-01-02 21:03:59.88429+02
7739	2847	2	\N	2016-01-02 21:03:59.88429+02
7740	2848	2	\N	2016-01-02 21:08:47.993297+02
7741	2849	2	\N	2016-01-02 21:08:47.993297+02
7742	2850	2	\N	2016-01-02 21:16:40.983488+02
7743	2851	2	\N	2016-01-02 21:16:40.983488+02
7744	2852	2	\N	2016-01-02 21:36:46.646531+02
7745	2853	2	\N	2016-01-02 21:36:49.099159+02
7746	2854	2	\N	2016-01-02 21:37:14.376182+02
7747	2855	2	\N	2016-01-02 21:37:14.376182+02
7748	2853	2	\N	2016-01-02 21:38:33.232425+02
7749	2853	2	\N	2016-01-02 21:39:02.581845+02
7752	2857	2	\N	2016-01-02 21:39:38.718674+02
7759	2841	2	\N	2016-01-02 22:14:54.924705+02
7750	2853	2	\N	2016-01-02 21:39:16.771773+02
7754	2859	2	\N	2016-01-02 21:48:34.392885+02
7760	2835	2	\N	2016-01-02 22:15:05.490599+02
7769	2860	2	\N	2016-01-02 23:22:02.986231+02
7770	2861	2	\N	2016-01-02 23:22:02.986231+02
7771	2862	2	\N	2016-01-02 23:29:14.591921+02
7772	2863	2	\N	2016-01-02 23:29:43.595496+02
7773	2864	2	\N	2016-01-02 23:32:59.025447+02
7774	2865	2	\N	2016-01-02 23:33:17.678918+02
7775	2866	2	\N	2016-01-02 23:33:24.314299+02
7776	2867	2	\N	2016-01-02 23:34:03.051927+02
7777	2824	2	\N	2016-01-02 23:39:00.961892+02
7778	2868	2	\N	2016-01-30 20:55:14.786454+02
7779	2869	2	\N	2016-01-30 20:59:30.856249+02
7780	2830	2	\N	2016-01-30 21:00:27.913502+02
7781	2830	2	\N	2016-01-30 21:01:18.072032+02
7782	2830	2	\N	2016-01-30 21:01:36.444194+02
7783	2830	2	\N	2016-02-06 15:26:53.662979+02
7784	2830	2	\N	2016-02-06 15:33:10.739181+02
7785	2830	2	\N	2016-02-06 15:34:22.381065+02
7786	2830	2	\N	2016-02-06 15:35:20.238203+02
7787	2830	2	\N	2016-02-06 15:36:19.423459+02
7788	2830	2	\N	2016-02-06 15:45:57.869458+02
7789	2830	2	\N	2016-02-06 15:55:27.857802+02
7790	2830	2	\N	2016-02-06 16:02:20.536632+02
7791	2830	2	\N	2016-02-06 16:19:02.587853+02
7792	2830	2	\N	2016-02-06 16:19:14.340638+02
7793	2830	2	\N	2016-02-06 16:19:40.099469+02
7794	2870	2	\N	2016-02-07 17:23:20.218116+02
7795	2871	2	\N	2016-02-07 17:23:20.218116+02
7799	2873	2	\N	2016-02-07 21:19:25.018357+02
7800	2874	2	\N	2016-02-07 21:20:02.361201+02
7801	2875	2	\N	2016-02-07 21:20:21.884033+02
7802	2876	2	\N	2016-02-07 21:21:03.816914+02
7803	2877	2	\N	2016-02-07 21:21:07.920879+02
7804	2788	2	\N	2016-05-09 12:53:56.945117+03
7805	2878	2	\N	2016-05-09 12:57:37.410132+03
7806	2879	2	\N	2016-05-09 12:58:01.601364+03
7807	2875	2	\N	2016-05-09 14:19:09.461648+03
7808	2879	2	\N	2016-05-09 14:19:09.461648+03
7809	2875	2	\N	2016-05-09 14:21:24.121089+03
7810	2879	2	\N	2016-05-09 14:21:24.121089+03
7811	2877	2	\N	2016-05-09 19:49:23.40543+03
7812	2877	2	\N	2016-05-09 20:42:10.779147+03
7813	2877	2	\N	2016-05-09 20:59:03.503884+03
7814	2877	2	\N	2016-05-09 20:59:20.181507+03
7815	2880	2	\N	2016-05-14 12:24:09.362992+03
7816	2881	2	\N	2016-05-14 12:24:17.0673+03
7817	2882	2	\N	2016-05-14 12:40:37.631348+03
7818	2883	2	\N	2016-05-14 12:42:08.065152+03
7822	2887	2	\N	2016-05-14 19:24:38.497791+03
7823	2882	2	\N	2016-05-14 19:25:04.0458+03
7824	2888	2	\N	2016-05-14 19:26:49.355068+03
7825	2889	2	\N	2016-05-14 19:27:41.044427+03
7826	2888	2	\N	2016-05-14 19:28:16.54874+03
7827	2889	2	\N	2016-05-14 19:33:22.988649+03
7828	2131	2	\N	2016-05-15 18:01:05.003665+03
7829	1932	2	\N	2016-05-15 18:01:28.601998+03
7830	1939	2	\N	2016-05-15 18:01:28.601998+03
7831	2131	2	\N	2016-05-15 18:01:28.601998+03
7832	2890	2	\N	2016-05-15 18:35:21.882133+03
7847	1849	2	\N	2016-05-22 20:11:06.601318+03
7848	2903	2	\N	2016-05-22 20:42:01.686171+03
7850	2888	2	\N	2016-06-12 18:45:48.22505+03
7851	772	2	\N	2016-06-12 18:46:48.423567+03
7852	725	2	\N	2016-06-12 18:47:13.092956+03
7853	784	2	\N	2016-06-12 18:49:28.974684+03
7854	784	2	\N	2016-06-12 18:51:26.23605+03
7855	2247	2	\N	2016-06-12 18:52:17.724152+03
7856	1413	2	\N	2016-06-12 18:52:55.036571+03
7857	1318	2	\N	2016-06-12 18:53:39.336876+03
7858	1314	2	\N	2016-06-12 18:54:40.013112+03
7859	1095	2	\N	2016-06-12 18:57:44.248305+03
7860	878	2	\N	2016-06-12 18:57:52.02832+03
7861	2887	2	\N	2016-06-12 19:00:45.455196+03
7862	2882	2	\N	2016-06-12 19:01:13.039783+03
7863	2788	2	\N	2016-06-12 19:01:30.584665+03
7864	2583	2	\N	2016-06-12 19:01:59.143077+03
7865	2558	2	\N	2016-06-12 19:02:36.175946+03
7866	2551	2	\N	2016-06-12 19:03:37.898942+03
7867	2516	2	\N	2016-06-12 19:04:06.271906+03
7868	2513	2	\N	2016-06-12 19:04:31.460583+03
7869	2296	2	\N	2016-06-12 19:05:05.227+03
7870	2292	2	\N	2016-06-12 19:06:37.050125+03
7871	2276	2	\N	2016-06-12 19:07:27.341086+03
7872	2268	2	\N	2016-06-12 19:07:46.312418+03
7873	2244	2	\N	2016-06-12 19:08:11.579054+03
7874	2243	2	\N	2016-06-12 19:08:39.453799+03
7875	2217	2	\N	2016-06-12 19:09:02.580116+03
7876	2135	2	\N	2016-06-12 19:09:39.794735+03
7877	2127	2	\N	2016-06-12 19:10:08.975875+03
7878	2108	2	\N	2016-06-12 19:10:27.895665+03
7879	2276	2	\N	2016-06-12 19:10:41.100754+03
7880	2100	2	\N	2016-06-12 19:11:17.465277+03
7881	2099	2	\N	2016-06-12 19:11:33.334036+03
7882	2049	2	\N	2016-06-12 19:11:50.921234+03
7883	1968	2	\N	2016-06-12 19:12:07.782103+03
7884	1941	2	\N	2016-06-12 19:12:30.504714+03
7885	1894	2	\N	2016-06-12 19:13:06.764103+03
7886	1884	2	\N	2016-06-12 19:14:14.633068+03
7887	1849	2	\N	2016-06-12 19:14:36.013047+03
7888	1799	2	\N	2016-06-12 19:14:52.646537+03
7889	1797	2	\N	2016-06-12 19:15:54.892109+03
7890	1548	2	\N	2016-06-12 19:16:37.7143+03
7891	1521	2	\N	2016-06-12 19:17:04.475532+03
7892	1435	2	\N	2016-06-12 19:17:55.308631+03
7893	1433	2	\N	2016-06-12 19:18:27.119556+03
7894	1424	2	\N	2016-06-12 19:18:54.681198+03
7895	1393	2	\N	2016-06-12 19:19:41.040229+03
7896	1317	2	\N	2016-06-12 19:20:07.122053+03
7897	1313	2	\N	2016-06-12 19:20:43.704349+03
7898	1268	2	\N	2016-06-12 19:21:17.457024+03
7899	1225	2	\N	2016-06-12 19:21:42.431685+03
7900	1211	2	\N	2016-06-12 19:21:57.927763+03
7901	1207	2	\N	2016-06-12 19:22:13.829139+03
7902	1198	2	\N	2016-06-12 19:22:32.264053+03
7903	1190	2	\N	2016-06-12 19:22:54.801074+03
7904	1189	2	\N	2016-06-12 19:23:36.149132+03
7905	1088	2	\N	2016-06-12 19:24:03.186521+03
7906	1081	2	\N	2016-06-12 19:24:18.841926+03
7907	1007	2	\N	2016-06-12 19:24:41.063226+03
7908	1003	2	\N	2016-06-12 19:25:01.6884+03
7909	954	2	\N	2016-06-12 19:25:21.828467+03
7910	953	2	\N	2016-06-12 19:25:35.283531+03
7911	909	2	\N	2016-06-12 19:25:55.660588+03
7912	954	2	\N	2016-06-12 19:26:03.832442+03
7913	908	2	\N	2016-06-12 19:26:22.461914+03
7914	901	2	\N	2016-06-12 19:26:39.035505+03
7915	872	2	\N	2016-06-12 19:26:48.439834+03
7916	865	2	\N	2016-06-12 19:27:18.908205+03
7917	788	2	\N	2016-06-12 19:27:47.009299+03
7918	775	2	\N	2016-06-12 19:28:17.716597+03
7919	769	2	\N	2016-06-12 19:28:58.268968+03
7920	764	2	\N	2016-06-12 19:29:16.089449+03
7921	723	2	\N	2016-06-12 19:29:30.976297+03
7922	706	2	\N	2016-06-12 19:29:46.837575+03
7923	283	2	\N	2016-06-12 19:29:57.083572+03
7924	274	2	\N	2016-06-12 19:30:06.053627+03
7925	16	2	\N	2016-06-12 19:30:19.35102+03
7926	10	2	\N	2016-06-12 19:30:32.966151+03
7927	2887	2	\N	2016-06-12 19:59:55.740881+03
\.


--
-- Name: resource_log_id_seq; Type: SEQUENCE SET; Schema: demo_ru; Owner: -
--

SELECT pg_catalog.setval('resource_log_id_seq', 7927, true);


--
-- Data for Name: resource_type; Type: TABLE DATA; Schema: demo_ru; Owner: -
--

COPY resource_type (id, resource_id, name, humanize, resource_name, module, settings, descr, status) FROM stdin;
149	2516	uploads	Загрузки	UploadsResource	travelcrm.resources.uploads	null	Загрузка файлов для всех типов ресурсов	0
148	2513	vats	НДС	VatsResource	travelcrm.resources.vats	null	Настройки НДС	0
146	2296	leads_offers	Предложения по лидам	LeadsOffersResource	travelcrm.resources.leads_offers	null	Список предложений по лиду	0
145	2292	leads_items	Список сервисов	LeadsItemsResource	travelcrm.resources.leads_items	null	Список сервисов в документе лида	0
137	2108	tours	Туры	ToursResource	travelcrm.resources.tours	null	Сервис оформления туров	0
134	2099	orders	Заявки	OrdersResource	travelcrm.resources.orders	{"html_template": "GNU GENERAL PUBLIC LICENSE\\r\\n\\r\\nVersion 3, 29 June 2007\\r\\n\\r\\nCopyright \\u00a9 2007 Free Software Foundation, Inc. <http://fsf.org/>\\r\\n\\r\\nEveryone is permitted to copy and distribute verbatim copies of this license document, but changing it is not allowed.\\r\\n\\r\\nPreamble\\r\\n\\r\\nThe GNU General Public License is a free, copyleft license for software and other kinds of works.\\r\\n\\r\\nThe licenses for most software and other practical works are designed to take away your freedom to share and change the works. By contrast, the GNU General Public License is intended to guarantee your freedom to share and change all versions of a program--to make sure it remains free software for all its users. We, the Free Software Foundation, use the GNU General Public License for most of our software; it applies also to any other work released this way by its authors. You can apply it to your programs, too.\\r\\n\\r\\nWhen we speak of free software, we are referring to freedom, not price. Our General Public Licenses are designed to make sure that you have the freedom to distribute copies of free software (and charge for them if you wish), that you receive source code or can get it if you want it, that you can change the software or use pieces of it in new free programs, and that you know you can do these things.\\r\\n\\r\\nTo protect your rights, we need to prevent others from denying you these rights or asking you to surrender the rights. Therefore, you have certain responsibilities if you distribute copies of the software, or if you modify it: responsibilities to respect the freedom of others.\\r\\n\\r\\nFor example, if you distribute copies of such a program, whether gratis or for a fee, you must pass on to the recipients the same freedoms that you received. You must make sure that they, too, receive or can get the source code. And you must show them these terms so they know their rights.\\r\\n\\r\\nDevelopers that use the GNU GPL protect your rights with two steps: (1) assert copyright on the software, and (2) offer you this License giving you legal permission to copy, distribute and/or modify it.\\r\\n\\r\\nFor the developers' and authors' protection, the GPL clearly explains that there is no warranty for this free software. For both users' and authors' sake, the GPL requires that modified versions be marked as changed, so that their problems will not be attributed erroneously to authors of previous versions.\\r\\n\\r\\nSome devices are designed to deny users access to install or run modified versions of the software inside them, although the manufacturer can do so. This is fundamentally incompatible with the aim of protecting users' freedom to change the software. The systematic pattern of such abuse occurs in the area of products for individuals to use, which is precisely where it is most unacceptable. Therefore, we have designed this version of the GPL to prohibit the practice for those products. If such problems arise substantially in other domains, we stand ready to extend this provision to those domains in future versions of the GPL, as needed to protect the freedom of users.\\r\\n\\r\\nFinally, every program is threatened constantly by software patents. States should not allow patents to restrict development and use of software on general-purpose computers, but in those that do, we wish to avoid the special danger that patents applied to a free program could make it effectively proprietary. To prevent this, the GPL assures that patents cannot be used to render the program non-free.\\r\\n\\r\\nThe precise terms and conditions for copying, distribution and modification follow.\\r\\n\\r\\nTERMS AND CONDITIONS\\r\\n\\r\\n0. Definitions.\\r\\n\\r\\n\\u201cThis License\\u201d refers to version 3 of the GNU General Public License.\\r\\n\\r\\n\\u201cCopyright\\u201d also means copyright-like laws that apply to other kinds of works, such as semiconductor masks.\\r\\n\\r\\n\\u201cThe Program\\u201d refers to any copyrightable work licensed under this License. Each licensee is addressed as \\u201cyou\\u201d. \\u201cLicensees\\u201d and \\u201crecipients\\u201d may be individuals or organizations.\\r\\n\\r\\nTo \\u201cmodify\\u201d a work means to copy from or adapt all or part of the work in a fashion requiring copyright permission, other than the making of an exact copy. The resulting work is called a \\u201cmodified version\\u201d of the earlier work or a work \\u201cbased on\\u201d the earlier work.\\r\\n\\r\\nA \\u201ccovered work\\u201d means either the unmodified Program or a work based on the Program.\\r\\n\\r\\nTo \\u201cpropagate\\u201d a work means to do anything with it that, without permission, would make you directly or secondarily liable for infringement under applicable copyright law, except executing it on a computer or modifying a private copy. Propagation includes copying, distribution (with or without modification), making available to the public, and in some countries other activities as well.\\r\\n\\r\\nTo \\u201cconvey\\u201d a work means any kind of propagation that enables other parties to make or receive copies. Mere interaction with a user through a computer network, with no transfer of a copy, is not conveying.\\r\\n\\r\\nAn interactive user interface displays \\u201cAppropriate Legal Notices\\u201d to the extent that it includes a convenient and prominently visible feature that (1) displays an appropriate copyright notice, and (2) tells the user that there is no warranty for the work (except to the extent that warranties are provided), that licensees may convey the work under this License, and how to view a copy of this License. If the interface presents a list of user commands or options, such as a menu, a prominent item in the list meets this criterion.\\r\\n\\r\\n1. Source Code.\\r\\n\\r\\nThe \\u201csource code\\u201d for a work means the preferred form of the work for making modifications to it. \\u201cObject code\\u201d means any non-source form of a work.\\r\\n\\r\\nA \\u201cStandard Interface\\u201d means an interface that either is an official standard defined by a recognized standards body, or, in the case of interfaces specified for a particular programming language, one that is widely used among developers working in that language.\\r\\n\\r\\nThe \\u201cSystem Libraries\\u201d of an executable work include anything, other than the work as a whole, that (a) is included in the normal form of packaging a Major Component, but which is not part of that Major Component, and (b) serves only to enable use of the work with that Major Component, or to implement a Standard Interface for which an implementation is available to the public in source code form. A \\u201cMajor Component\\u201d, in this context, means a major essential component (kernel, window system, and so on) of the specific operating system (if any) on which the executable work runs, or a compiler used to produce the work, or an object code interpreter used to run it.\\r\\n\\r\\nThe \\u201cCorresponding Source\\u201d for a work in object code form means all the source code needed to generate, install, and (for an executable work) run the object code and to modify the work, including scripts to control those activities. However, it does not include the work's System Libraries, or general-purpose tools or generally available free programs which are used unmodified in performing those activities but which are not part of the work. For example, Corresponding Source includes interface definition files associated with source files for the work, and the source code for shared libraries and dynamically linked subprograms that the work is specifically designed to require, such as by intimate data communication or control flow between those subprograms and other parts of the work.\\r\\n\\r\\nThe Corresponding Source need not include anything that users can regenerate automatically from other parts of the Corresponding Source.\\r\\n\\r\\nThe Corresponding Source for a work in source code form is that same work.\\r\\n\\r\\n2. Basic Permissions.\\r\\n\\r\\nAll rights granted under this License are granted for the term of copyright on the Program, and are irrevocable provided the stated conditions are met. This License explicitly affirms your unlimited permission to run the unmodified Program. The output from running a covered work is covered by this License only if the output, given its content, constitutes a covered work. This License acknowledges your rights of fair use or other equivalent, as provided by copyright law.\\r\\n\\r\\nYou may make, run and propagate covered works that you do not convey, without conditions so long as your license otherwise remains in force. You may convey covered works to others for the sole purpose of having them make modifications exclusively for you, or provide you with facilities for running those works, provided that you comply with the terms of this License in conveying all material for which you do not control copyright. Those thus making or running the covered works for you must do so exclusively on your behalf, under your direction and control, on terms that prohibit them from making any copies of your copyrighted material outside their relationship with you.\\r\\n\\r\\nConveying under any other circumstances is permitted solely under the conditions stated below. Sublicensing is not allowed; section 10 makes it unnecessary.\\r\\n\\r\\n3. Protecting Users' Legal Rights From Anti-Circumvention Law.\\r\\n\\r\\nNo covered work shall be deemed part of an effective technological measure under any applicable law fulfilling obligations under article 11 of the WIPO copyright treaty adopted on 20 December 1996, or similar laws prohibiting or restricting circumvention of such measures.\\r\\n\\r\\nWhen you convey a covered work, you waive any legal power to forbid circumvention of technological measures to the extent such circumvention is effected by exercising rights under this License with respect to the covered work, and you disclaim any intention to limit operation or modification of the work as a means of enforcing, against the work's users, your or third parties' legal rights to forbid circumvention of technological measures.\\r\\n\\r\\n4. Conveying Verbatim Copies.\\r\\n\\r\\nYou may convey verbatim copies of the Program's source code as you receive it, in any medium, provided that you conspicuously and appropriately publish on each copy an appropriate copyright notice; keep intact all notices stating that this License and any non-permissive terms added in accord with section 7 apply to the code; keep intact all notices of the absence of any warranty; and give all recipients a copy of this License along with the Program.\\r\\n\\r\\nYou may charge any price or no price for each copy that you convey, and you may offer support or warranty protection for a fee.\\r\\n\\r\\n5. Conveying Modified Source Versions.\\r\\n\\r\\nYou may convey a work based on the Program, or the modifications to produce it from the Program, in the form of source code under the terms of section 4, provided that you also meet all of these conditions:\\r\\n\\r\\na) The work must carry prominent notices stating that you modified it, and giving a relevant date.\\r\\nb) The work must carry prominent notices stating that it is released under this License and any conditions added under section 7. This requirement modifies the requirement in section 4 to \\u201ckeep intact all notices\\u201d.\\r\\nc) You must license the entire work, as a whole, under this License to anyone who comes into possession of a copy. This License will therefore apply, along with any applicable section 7 additional terms, to the whole of the work, and all its parts, regardless of how they are packaged. This License gives no permission to license the work in any other way, but it does not invalidate such permission if you have separately received it.\\r\\nd) If the work has interactive user interfaces, each must display Appropriate Legal Notices; however, if the Program has interactive interfaces that do not display Appropriate Legal Notices, your work need not make them do so.\\r\\nA compilation of a covered work with other separate and independent works, which are not by their nature extensions of the covered work, and which are not combined with it such as to form a larger program, in or on a volume of a storage or distribution medium, is called an \\u201caggregate\\u201d if the compilation and its resulting copyright are not used to limit the access or legal rights of the compilation's users beyond what the individual works permit. Inclusion of a covered work in an aggregate does not cause this License to apply to the other parts of the aggregate.\\r\\n\\r\\n6. Conveying Non-Source Forms.\\r\\n\\r\\nYou may convey a covered work in object code form under the terms of sections 4 and 5, provided that you also convey the machine-readable Corresponding Source under the terms of this License, in one of these ways:\\r\\n\\r\\na) Convey the object code in, or embodied in, a physical product (including a physical distribution medium), accompanied by the Corresponding Source fixed on a durable physical medium customarily used for software interchange.\\r\\nb) Convey the object code in, or embodied in, a physical product (including a physical distribution medium), accompanied by a written offer, valid for at least three years and valid for as long as you offer spare parts or customer support for that product model, to give anyone who possesses the object code either (1) a copy of the Corresponding Source for all the software in the product that is covered by this License, on a durable physical medium customarily used for software interchange, for a price no more than your reasonable cost of physically performing this conveying of source, or (2) access to copy the Corresponding Source from a network server at no charge.\\r\\nc) Convey individual copies of the object code with a copy of the written offer to provide the Corresponding Source. This alternative is allowed only occasionally and noncommercially, and only if you received the object code with such an offer, in accord with subsection 6b.\\r\\nd) Convey the object code by offering access from a designated place (gratis or for a charge), and offer equivalent access to the Corresponding Source in the same way through the same place at no further charge. You need not require recipients to copy the Corresponding Source along with the object code. If the place to copy the object code is a network server, the Corresponding Source may be on a different server (operated by you or a third party) that supports equivalent copying facilities, provided you maintain clear directions next to the object code saying where to find the Corresponding Source. Regardless of what server hosts the Corresponding Source, you remain obligated to ensure that it is available for as long as needed to satisfy these requirements.\\r\\ne) Convey the object code using peer-to-peer transmission, provided you inform other peers where the object code and Corresponding Source of the work are being offered to the general public at no charge under subsection 6d.\\r\\nA separable portion of the object code, whose source code is excluded from the Corresponding Source as a System Library, need not be included in conveying the object code work.\\r\\n\\r\\nA \\u201cUser Product\\u201d is either (1) a \\u201cconsumer product\\u201d, which means any tangible personal property which is normally used for personal, family, or household purposes, or (2) anything designed or sold for incorporation into a dwelling. In determining whether a product is a consumer product, doubtful cases shall be resolved in favor of coverage. For a particular product received by a particular user, \\u201cnormally used\\u201d refers to a typical or common use of that class of product, regardless of the status of the particular user or of the way in which the particular user actually uses, or expects or is expected to use, the product. A product is a consumer product regardless of whether the product has substantial commercial, industrial or non-consumer uses, unless such uses represent the only significant mode of use of the product.\\r\\n\\r\\n\\u201cInstallation Information\\u201d for a User Product means any methods, procedures, authorization keys, or other information required to install and execute modified versions of a covered work in that User Product from a modified version of its Corresponding Source. The information must suffice to ensure that the continued functioning of the modified object code is in no case prevented or interfered with solely because modification has been made.\\r\\n\\r\\nIf you convey an object code work under this section in, or with, or specifically for use in, a User Product, and the conveying occurs as part of a transaction in which the right of possession and use of the User Product is transferred to the recipient in perpetuity or for a fixed term (regardless of how the transaction is characterized), the Corresponding Source conveyed under this section must be accompanied by the Installation Information. But this requirement does not apply if neither you nor any third party retains the ability to install modified object code on the User Product (for example, the work has been installed in ROM).\\r\\n\\r\\nThe requirement to provide Installation Information does not include a requirement to continue to provide support service, warranty, or updates for a work that has been modified or installed by the recipient, or for the User Product in which it has been modified or installed. Access to a network may be denied when the modification itself materially and adversely affects the operation of the network or violates the rules and protocols for communication across the network.\\r\\n\\r\\nCorresponding Source conveyed, and Installation Information provided, in accord with this section must be in a format that is publicly documented (and with an implementation available to the public in source code form), and must require no special password or key for unpacking, reading or copying.\\r\\n\\r\\n7. Additional Terms.\\r\\n\\r\\n\\u201cAdditional permissions\\u201d are terms that supplement the terms of this License by making exceptions from one or more of its conditions. Additional permissions that are applicable to the entire Program shall be treated as though they were included in this License, to the extent that they are valid under applicable law. If additional permissions apply only to part of the Program, that part may be used separately under those permissions, but the entire Program remains governed by this License without regard to the additional permissions.\\r\\n\\r\\nWhen you convey a copy of a covered work, you may at your option remove any additional permissions from that copy, or from any part of it. (Additional permissions may be written to require their own removal in certain cases when you modify the work.) You may place additional permissions on material, added by you to a covered work, for which you have or can give appropriate copyright permission.\\r\\n\\r\\nNotwithstanding any other provision of this License, for material you add to a covered work, you may (if authorized by the copyright holders of that material) supplement the terms of this License with terms:\\r\\n\\r\\na) Disclaiming warranty or limiting liability differently from the terms of sections 15 and 16 of this License; or\\r\\nb) Requiring preservation of specified reasonable legal notices or author attributions in that material or in the Appropriate Legal Notices displayed by works containing it; or\\r\\nc) Prohibiting misrepresentation of the origin of that material, or requiring that modified versions of such material be marked in reasonable ways as different from the original version; or\\r\\nd) Limiting the use for publicity purposes of names of licensors or authors of the material; or\\r\\ne) Declining to grant rights under trademark law for use of some trade names, trademarks, or service marks; or\\r\\nf) Requiring indemnification of licensors and authors of that material by anyone who conveys the material (or modified versions of it) with contractual assumptions of liability to the recipient, for any liability that these contractual assumptions directly impose on those licensors and authors.\\r\\nAll other non-permissive additional terms are considered \\u201cfurther restrictions\\u201d within the meaning of section 10. If the Program as you received it, or any part of it, contains a notice stating that it is governed by this License along with a term that is a further restriction, you may remove that term. If a license document contains a further restriction but permits relicensing or conveying under this License, you may add to a covered work material governed by the terms of that license document, provided that the further restriction does not survive such relicensing or conveying.\\r\\n\\r\\nIf you add terms to a covered work in accord with this section, you must place, in the relevant source files, a statement of the additional terms that apply to those files, or a notice indicating where to find the applicable terms.\\r\\n\\r\\nAdditional terms, permissive or non-permissive, may be stated in the form of a separately written license, or stated as exceptions; the above requirements apply either way.\\r\\n\\r\\n8. Termination.\\r\\n\\r\\nYou may not propagate or modify a covered work except as expressly provided under this License. Any attempt otherwise to propagate or modify it is void, and will automatically terminate your rights under this License (including any patent licenses granted under the third paragraph of section 11).\\r\\n\\r\\nHowever, if you cease all violation of this License, then your license from a particular copyright holder is reinstated (a) provisionally, unless and until the copyright holder explicitly and finally terminates your license, and (b) permanently, if the copyright holder fails to notify you of the violation by some reasonable means prior to 60 days after the cessation.\\r\\n\\r\\nMoreover, your license from a particular copyright holder is reinstated permanently if the copyright holder notifies you of the violation by some reasonable means, this is the first time you have received notice of violation of this License (for any work) from that copyright holder, and you cure the violation prior to 30 days after your receipt of the notice.\\r\\n\\r\\nTermination of your rights under this section does not terminate the licenses of parties who have received copies or rights from you under this License. If your rights have been terminated and not permanently reinstated, you do not qualify to receive new licenses for the same material under section 10.\\r\\n\\r\\n9. Acceptance Not Required for Having Copies.\\r\\n\\r\\nYou are not required to accept this License in order to receive or run a copy of the Program. Ancillary propagation of a covered work occurring solely as a consequence of using peer-to-peer transmission to receive a copy likewise does not require acceptance. However, nothing other than this License grants you permission to propagate or modify any covered work. These actions infringe copyright if you do not accept this License. Therefore, by modifying or propagating a covered work, you indicate your acceptance of this License to do so.\\r\\n\\r\\n10. Automatic Licensing of Downstream Recipients.\\r\\n\\r\\nEach time you convey a covered work, the recipient automatically receives a license from the original licensors, to run, modify and propagate that work, subject to this License. You are not responsible for enforcing compliance by third parties with this License.\\r\\n\\r\\nAn \\u201centity transaction\\u201d is a transaction transferring control of an organization, or substantially all assets of one, or subdividing an organization, or merging organizations. If propagation of a covered work results from an entity transaction, each party to that transaction who receives a copy of the work also receives whatever licenses to the work the party's predecessor in interest had or could give under the previous paragraph, plus a right to possession of the Corresponding Source of the work from the predecessor in interest, if the predecessor has it or can get it with reasonable efforts.\\r\\n\\r\\nYou may not impose any further restrictions on the exercise of the rights granted or affirmed under this License. For example, you may not impose a license fee, royalty, or other charge for exercise of rights granted under this License, and you may not initiate litigation (including a cross-claim or counterclaim in a lawsuit) alleging that any patent claim is infringed by making, using, selling, offering for sale, or importing the Program or any portion of it.\\r\\n\\r\\n11. Patents.\\r\\n\\r\\nA \\u201ccontributor\\u201d is a copyright holder who authorizes use under this License of the Program or a work on which the Program is based. The work thus licensed is called the contributor's \\u201ccontributor version\\u201d.\\r\\n\\r\\nA contributor's \\u201cessential patent claims\\u201d are all patent claims owned or controlled by the contributor, whether already acquired or hereafter acquired, that would be infringed by some manner, permitted by this License, of making, using, or selling its contributor version, but do not include claims that would be infringed only as a consequence of further modification of the contributor version. For purposes of this definition, \\u201ccontrol\\u201d includes the right to grant patent sublicenses in a manner consistent with the requirements of this License.\\r\\n\\r\\nEach contributor grants you a non-exclusive, worldwide, royalty-free patent license under the contributor's essential patent claims, to make, use, sell, offer for sale, import and otherwise run, modify and propagate the contents of its contributor version.\\r\\n\\r\\nIn the following three paragraphs, a \\u201cpatent license\\u201d is any express agreement or commitment, however denominated, not to enforce a patent (such as an express permission to practice a patent or covenant not to sue for patent infringement). To \\u201cgrant\\u201d such a patent license to a party means to make such an agreement or commitment not to enforce a patent against the party.\\r\\n\\r\\nIf you convey a covered work, knowingly relying on a patent license, and the Corresponding Source of the work is not available for anyone to copy, free of charge and under the terms of this License, through a publicly available network server or other readily accessible means, then you must either (1) cause the Corresponding Source to be so available, or (2) arrange to deprive yourself of the benefit of the patent license for this particular work, or (3) arrange, in a manner consistent with the requirements of this License, to extend the patent license to downstream recipients. \\u201cKnowingly relying\\u201d means you have actual knowledge that, but for the patent license, your conveying the covered work in a country, or your recipient's use of the covered work in a country, would infringe one or more identifiable patents in that country that you have reason to believe are valid.\\r\\n\\r\\nIf, pursuant to or in connection with a single transaction or arrangement, you convey, or propagate by procuring conveyance of, a covered work, and grant a patent license to some of the parties receiving the covered work authorizing them to use, propagate, modify or convey a specific copy of the covered work, then the patent license you grant is automatically extended to all recipients of the covered work and works based on it.\\r\\n\\r\\nA patent license is \\u201cdiscriminatory\\u201d if it does not include within the scope of its coverage, prohibits the exercise of, or is conditioned on the non-exercise of one or more of the rights that are specifically granted under this License. You may not convey a covered work if you are a party to an arrangement with a third party that is in the business of distributing software, under which you make payment to the third party based on the extent of your activity of conveying the work, and under which the third party grants, to any of the parties who would receive the covered work from you, a discriminatory patent license (a) in connection with copies of the covered work conveyed by you (or copies made from those copies), or (b) primarily for and in connection with specific products or compilations that contain the covered work, unless you entered into that arrangement, or that patent license was granted, prior to 28 March 2007.\\r\\n\\r\\nNothing in this License shall be construed as excluding or limiting any implied license or other defenses to infringement that may otherwise be available to you under applicable patent law.\\r\\n\\r\\n12. No Surrender of Others' Freedom.\\r\\n\\r\\nIf conditions are imposed on you (whether by court order, agreement or otherwise) that contradict the conditions of this License, they do not excuse you from the conditions of this License. If you cannot convey a covered work so as to satisfy simultaneously your obligations under this License and any other pertinent obligations, then as a consequence you may not convey it at all. For example, if you agree to terms that obligate you to collect a royalty for further conveying from those to whom you convey the Program, the only way you could satisfy both those terms and this License would be to refrain entirely from conveying the Program.\\r\\n\\r\\n13. Use with the GNU Affero General Public License.\\r\\n\\r\\nNotwithstanding any other provision of this License, you have permission to link or combine any covered work with a work licensed under version 3 of the GNU Affero General Public License into a single combined work, and to convey the resulting work. The terms of this License will continue to apply to the part which is the covered work, but the special requirements of the GNU Affero General Public License, section 13, concerning interaction through a network will apply to the combination as such.\\r\\n\\r\\n14. Revised Versions of this License.\\r\\n\\r\\nThe Free Software Foundation may publish revised and/or new versions of the GNU General Public License from time to time. Such new versions will be similar in spirit to the present version, but may differ in detail to address new problems or concerns.\\r\\n\\r\\nEach version is given a distinguishing version number. If the Program specifies that a certain numbered version of the GNU General Public License \\u201cor any later version\\u201d applies to it, you have the option of following the terms and conditions either of that numbered version or of any later version published by the Free Software Foundation. If the Program does not specify a version number of the GNU General Public License, you may choose any version ever published by the Free Software Foundation.\\r\\n\\r\\nIf the Program specifies that a proxy can decide which future versions of the GNU General Public License can be used, that proxy's public statement of acceptance of a version permanently authorizes you to choose that version for the Program.\\r\\n\\r\\nLater license versions may give you additional or different permissions. However, no additional obligations are imposed on any author or copyright holder as a result of your choosing to follow a later version.\\r\\n\\r\\n15. Disclaimer of Warranty.\\r\\n\\r\\nTHERE IS NO WARRANTY FOR THE PROGRAM, TO THE EXTENT PERMITTED BY APPLICABLE LAW. EXCEPT WHEN OTHERWISE STATED IN WRITING THE COPYRIGHT HOLDERS AND/OR OTHER PARTIES PROVIDE THE PROGRAM \\u201cAS IS\\u201d WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE. THE ENTIRE RISK AS TO THE QUALITY AND PERFORMANCE OF THE PROGRAM IS WITH YOU. SHOULD THE PROGRAM PROVE DEFECTIVE, YOU ASSUME THE COST OF ALL NECESSARY SERVICING, REPAIR OR CORRECTION.\\r\\n\\r\\n16. Limitation of Liability.\\r\\n\\r\\nIN NO EVENT UNLESS REQUIRED BY APPLICABLE LAW OR AGREED TO IN WRITING WILL ANY COPYRIGHT HOLDER, OR ANY OTHER PARTY WHO MODIFIES AND/OR CONVEYS THE PROGRAM AS PERMITTED ABOVE, BE LIABLE TO YOU FOR DAMAGES, INCLUDING ANY GENERAL, SPECIAL, INCIDENTAL OR CONSEQUENTIAL DAMAGES ARISING OUT OF THE USE OR INABILITY TO USE THE PROGRAM (INCLUDING BUT NOT LIMITED TO LOSS OF DATA OR DATA BEING RENDERED INACCURATE OR LOSSES SUSTAINED BY YOU OR THIRD PARTIES OR A FAILURE OF THE PROGRAM TO OPERATE WITH ANY OTHER PROGRAMS), EVEN IF SUCH HOLDER OR OTHER PARTY HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES.\\r\\n\\r\\n17. Interpretation of Sections 15 and 16.\\r\\n\\r\\nIf the disclaimer of warranty and limitation of liability provided above cannot be given local legal effect according to their terms, reviewing courts shall apply local law that most closely approximates an absolute waiver of all civil liability in connection with the Program, unless a warranty or assumption of liability accompanies a copy of the Program in return for a fee.\\r\\n\\r\\nEND OF TERMS AND CONDITIONS\\r\\n\\r\\nHow to Apply These Terms to Your New Programs\\r\\n\\r\\nIf you develop a new program, and you want it to be of the greatest possible use to the public, the best way to achieve this is to make it free software which everyone can redistribute and change under these terms.\\r\\n\\r\\nTo do so, attach the following notices to the program. It is safest to attach them to the start of each source file to most effectively state the exclusion of warranty; and each file should have at least the \\u201ccopyright\\u201d line and a pointer to where the full notice is found.\\r\\n\\r\\n    <one line to give the program's name and a brief idea of what it does.>\\r\\n    Copyright (C) <year>  <name of author>\\r\\n\\r\\n    This program is free software: you can redistribute it and/or modify\\r\\n    it under the terms of the GNU General Public License as published by\\r\\n    the Free Software Foundation, either version 3 of the License, or\\r\\n    (at your option) any later version.\\r\\n\\r\\n    This program is distributed in the hope that it will be useful,\\r\\n    but WITHOUT ANY WARRANTY; without even the implied warranty of\\r\\n    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the\\r\\n    GNU General Public License for more details.\\r\\n\\r\\n    You should have received a copy of the GNU General Public License\\r\\n    along with this program.  If not, see <http://www.gnu.org/licenses/>.\\r\\nAlso add information on how to contact you by electronic and paper mail.\\r\\n\\r\\nIf the program does terminal interaction, make it output a short notice like this when it starts in an interactive mode:\\r\\n\\r\\n    <program>  Copyright (C) <year>  <name of author>\\r\\n    This program comes with ABSOLUTELY NO WARRANTY; for details type `show w'.\\r\\n    This is free software, and you are welcome to redistribute it\\r\\n    under certain conditions; type `show c' for details.\\r\\nThe hypothetical commands `show w' and `show c' should show the appropriate parts of the General Public License. Of course, your program's commands might be different; for a GUI interface, you would use an \\u201cabout box\\u201d.\\r\\n\\r\\nYou should also get your employer (if you work as a programmer) or school, if any, to sign a \\u201ccopyright disclaimer\\u201d for the program, if necessary. For more information on this, and how to apply and follow the GNU GPL, see <http://www.gnu.org/licenses/>.\\r\\n\\r\\nThe GNU General Public License does not permit incorporating your program into proprietary programs. If your program is a subroutine library, you may consider it more useful to permit linking proprietary applications with the library. If this is what you want to do, use the GNU Lesser General Public License instead of this License. But first, please read <http://www.gnu.org/philosophy/why-not-lgpl.html>."}	Список заявок	0
130	2049	leads	Лиды	LeadsResource	travelcrm.resources.leads	null	Список лидов	0
126	1968	companies	Компании	CompaniesResource	travelcrm.resources.companies	null		0
121	1894	turnovers	Обороты	TurnoversResource	travelcrm.resources.turnovers	null	Отчет по оборотам для счетов и субсчетов	0
118	1799	notes	Заметки	NotesResource	travelcrm.resources.notes	null	Заметки к ресурсам	0
117	1797	subaccounts	Субсчета	SubaccountsResource	travelcrm.resources.subaccounts	null	Субсчета это счета для других объектов, типа физ лиц, поставщиков, сотрудников	0
111	1548	outgoings	Исходящие платежи	OutgoingsResource	travelcrm.resources.outgoings	null	Исходящие платежи в пользу поставщиков, клиентов и тд.	0
110	1521	commissions	Комиссии	CommissionsResource	travelcrm.resources.commissions	null	Справочник комиссия для сервисов	0
107	1435	accounts	Счета	AccountsResource	travelcrm.resources.accounts	null	Счета учета денежных средств компании. Это банковские счета, касса и тд.	0
106	1433	incomes	Входящие платежи	IncomesResource	travelcrm.resources.incomes	{"account_item_id": 8}	Платежи на счета компании по инвойсам	0
104	1393	currencies_rates	Курсы валют	CurrenciesRatesResource	travelcrm.resources.currencies_rates	null	Курсы валют, используются для расчетов при заказе услуг и при калькуляциях	0
102	1313	services	Сервисы	ServicesResource	travelcrm.resources.services	null	Список доступных сервисов для продажи	0
101	1268	banks_details	Банковские реквизиты	BanksDetailsResource	travelcrm.resources.banks_details	null	Банковские реквизиты	0
93	1225	tasks	Задачи	TasksResource	travelcrm.resources.tasks	null	Управление задачами	0
91	1211	banks	Банки	BanksResource	travelcrm.resources.banks	null	Справочник банков	0
90	1207	addresses	Адреса	AddressesResource	travelcrm.resources.addresses	null	Справочник адресов	0
89	1198	passports	Паспорта	PassportsResource	travelcrm.resources.passports	null	Справочник паспортных данных	0
87	1190	contacts	Контакты	ContactsResource	travelcrm.resources.contacts	null	Справочник контакных данных	0
84	1088	locations	Местоположение	LocationsResource	travelcrm.resources.locations	null	Города, поселки и тд	0
83	1081	hotels	Отели	HotelsResource	travelcrm.resources.hotels	null	Справочник отелей	0
79	1007	bpersons	Бизнес контакты	BPersonsResource	travelcrm.resources.bpersons	null	Справочник бизнес контактов	0
78	1003	suppliers	Поставщики	SuppliersResource	travelcrm.resources.suppliers	null	Поставщики	0
72	908	hotelcats	Категории отелей	HotelcatsResource	travelcrm.resources.hotelcats	null		0
74	953	accomodations	Размещение	AccomodationsResource	travelcrm.resources.accomodations	null		0
73	909	roomcats	Категории номеров	RoomcatsResource	travelcrm.resources.roomcats	null		0
75	954	foodcats	Категории питания	FoodcatsResource	travelcrm.resources.foodcats	null		0
71	901	advsources	Реклама	AdvsourcesResource	travelcrm.resources.advsources	null	Источники рекламы	0
70	872	countries	Страны	CountriesResource	travelcrm.resources.countries	null		0
69	865	persons	Физ. лица	PersonsResource	travelcrm.resources.persons	null	Справочник клиентов физ. лиц	0
67	788	appointments	Назначения сотрудников	AppointmentsResource	travelcrm.resources.appointments	null	Назначения сотрудников на должности	0
65	775	navigations	Навигация	NavigationsResource	travelcrm.resources.navigations	null	Меню навигации для должностей	0
61	769	permisions	Доступ	PermisionsResource	travelcrm.resources.permisions	null	Список прав доступа для должности в разрезе типов ресурсов.	0
59	764	positions	Должности	PositionsResource	travelcrm.resources.positions	null	Список должностей	0
55	723	structures	Структура	StructuresResource	travelcrm.resources.structures	null	Структура компании	0
47	706	employees	Сотрудники	EmployeesResource	travelcrm.resources.employees	null	Справочник сотрудников	0
41	283	currencies	Валюты	CurrenciesResource	travelcrm.resources.currencies	null		0
39	274	regions	Регионы	RegionsResource	travelcrm.resources.regions	null		0
12	16	resources_types	Типы ресурсов	ResourcesTypesResource	travelcrm.resources.resources_types	null		0
2	10	users	Пользователи	UsersResource	travelcrm.resources.users	null		0
1	773		Домашняя	Root	travelcrm.resources	null	Home Page of Travelcrm	0
159	2882	dismissals	Увольнения	DismissalsResource	travelcrm.resources.dismissals	null	Документ увольнения сотрудников	0
156	2788	campaigns	Кампании	CampaignsResource	travelcrm.resources.campaigns	{"host_smpp": "94.249.146.183", "port_smtp": "2525", "username_smtp": "mazvv@mail.ru", "password_smtp": "GmA67mpqqYjKQ", "port_smpp": "29900", "system_type_smpp": "transceiver", "password_smpp": "korn17", "username_smpp": "mazvv", "host_smtp": "smtp-pulse.com", "default_sender_smtp": "mazvv@mail.ru"}	Маркетинговые кампании	0
153	2583	activities	Активность	ActivitiesResource	travelcrm.resources.activities	{"column_index": 1}	Показывает последний лог активности пользователя	0
152	2558	leads_stats	Статистика лидов	LeadsStatsResource	travelcrm.resources.leads_stats	{"column_index": 0}	Портлет, который отображает динамику лидов	0
151	2551	persons_categories	Категории физ. лиц	PersonsCategoriesResource	travelcrm.resources.persons_categories	null	Присваивайте категории свои клиентам	0
123	1941	notifications	Уведомления	NotificationsResource	travelcrm.resources.notifications	null	Уведомления для сотрудников	0
143	2268	visas	Визы	VisasResource	travelcrm.resources.visas	null	Сервис по оформлению виз	0
142	2244	tickets	Билеты	TicketsResource	travelcrm.resources.tickets	null	Сервис бронирования билетов	0
141	2243	tickets_classes	Классы билетов	TicketsClassesResource	travelcrm.resources.tickets_classes	null	Справочник классов билетов	0
140	2217	suppliers_types	Типы поставщиков	SuppliersTypesResource	travelcrm.resources.suppliers_types	null	Справочник типов поставщиков	0
139	2135	transports	Транспорт	TransportsResource	travelcrm.resources.transports	null	Справочник типов транспорта, типа авиа, авто, жд...	0
138	2127	transfers	Типы трансферов	TransfersResource	travelcrm.resources.transfers	null	Справочник типов трансферов	0
144	2276	spassports	Загран. паспорта	SpassportsResource	travelcrm.resources.spassports	null	Сервис по оформлению загран. паспортов	0
135	2100	orders_items	Содержание заявки	OrdersItemsResource	travelcrm.resources.orders_items	null	Позиции в заявке на сервисы	0
120	1884	crosspayments	Кросс платежи	CrosspaymentsResource	travelcrm.resources.crosspayments	null	Платежи между счетами / субсчетами. Может быть использовано для корректировок, инициализации баланса и тд.	0
119	1849	calculations	Калькуляции	CalculationsResource	travelcrm.resources.calculations	null	Калькуляции для заявок	0
105	1424	accounts_items	Статьи учета	AccountsItemsResource	travelcrm.resources.accounts_items	null	План счетов компании	0
103	1317	invoices	Инвойсы	InvoicesResource	travelcrm.resources.invoices	{"active_days": 3, "html_template": "<!doctype html>\\r\\n<html>\\r\\n<head>\\r\\n    <meta charset=\\"utf-8\\">\\r\\n    <title>${_(u'Invoice')} - ${invoice.id}</title>\\r\\n    \\r\\n    <style>\\r\\n    .invoice-box{\\r\\n        max-width:800px;\\r\\n        margin:auto;\\r\\n        padding:30px;\\r\\n        border:1px solid #eee;\\r\\n        box-shadow:0 0 10px rgba(0, 0, 0, .15);\\r\\n        font-size:16px;\\r\\n        line-height:24px;\\r\\n        font-family:'Helvetica Neue', 'Helvetica', Helvetica, Arial, sans-serif;\\r\\n        color:#555;\\r\\n    }\\r\\n    \\r\\n    .invoice-box table{\\r\\n        width:100%;\\r\\n        line-height:inherit;\\r\\n        text-align:left;\\r\\n    }\\r\\n    \\r\\n    .invoice-box table td{\\r\\n        padding:5px;\\r\\n        vertical-align:top;\\r\\n    }\\r\\n    \\r\\n    .invoice-box table tr td:nth-child(2){\\r\\n        text-align:right;\\r\\n    }\\r\\n    \\r\\n    .invoice-box table tr.top table td{\\r\\n        padding-bottom:20px;\\r\\n    }\\r\\n    \\r\\n    .invoice-box table tr.top table td.title{\\r\\n        font-size:45px;\\r\\n        line-height:45px;\\r\\n        color:#333;\\r\\n    }\\r\\n    \\r\\n    .invoice-box table tr.information table td{\\r\\n        padding-bottom:40px;\\r\\n    }\\r\\n    \\r\\n    .invoice-box table tr.heading td{\\r\\n        background:#eee;\\r\\n        border-bottom:1px solid #ddd;\\r\\n        font-weight:bold;\\r\\n    }\\r\\n    \\r\\n    .invoice-box table tr.details td{\\r\\n        padding-bottom:20px;\\r\\n    }\\r\\n    \\r\\n    .invoice-box table tr.item td{\\r\\n        border-bottom:1px solid #eee;\\r\\n    }\\r\\n    \\r\\n    .invoice-box table tr.item.last td{\\r\\n        border-bottom:none;\\r\\n    }\\r\\n    \\r\\n    .invoice-box table tr.total td:nth-child(2){\\r\\n        border-top:2px solid #eee;\\r\\n        font-weight:bold;\\r\\n    }\\r\\n    \\r\\n    @media only screen and (max-width: 600px) {\\r\\n        .invoice-box table tr.top table td{\\r\\n            width:100%;\\r\\n            display:block;\\r\\n            text-align:center;\\r\\n        }\\r\\n        \\r\\n        .invoice-box table tr.information table td{\\r\\n            width:100%;\\r\\n            display:block;\\r\\n            text-align:center;\\r\\n        }\\r\\n    }\\r\\n    </style>\\r\\n</head>\\r\\n\\r\\n<body>\\r\\n    <div class=\\"invoice-box\\">\\r\\n        <table cellpadding=\\"0\\" cellspacing=\\"0\\">\\r\\n            <tr class=\\"top\\">\\r\\n                <td colspan=\\"6\\">\\r\\n                    <table>\\r\\n                        <tr>\\r\\n                            <td class=\\"title\\">\\r\\n                                <img src=\\"http://nextstepwebs.com/images/logo.png\\" style=\\"width:100%; max-width:300px;\\">\\r\\n                            </td>\\r\\n                            \\r\\n                            <td>\\r\\n                                ${_(u'Invoice')} #: ${invoice.id}<br>\\r\\n                                ${_(u'Created')}: ${h.common.format_date(invoice.date)}<br>\\r\\n                                ${_(u'Due')}: ${h.common.format_date(invoice.active_until)}\\r\\n                            </td>\\r\\n                        </tr>\\r\\n                    </table>\\r\\n                </td>\\r\\n            </tr>\\r\\n            \\r\\n            <tr class=\\"information\\">\\r\\n                <td colspan=\\"6\\">\\r\\n                    <table>\\r\\n                        <tr>\\r\\n                            <td>\\r\\n                                ${structure.company.name}<br>\\r\\n                                % if structure.addresses:\\r\\n                                <%\\r\\n                                    address = structure.addresses[0]\\r\\n                                %>\\r\\n                                ${address.zip_code}, ${address.location.region.country.name}\\r\\n                                ${address.location.region.name}, ${address.location.name}<br>\\r\\n                                ${address.address}<br>\\r\\n                                % endif\\r\\n                                % if structure.contacts:\\r\\n                                <%\\r\\n                                    contacts = [contact.contact for contact in structure.contacts if contact.is_status_active()]\\r\\n                                %>\\r\\n                                ${', '.join(contacts)}\\r\\n                                % endif\\r\\n                            </td>\\r\\n                            \\r\\n                            <td>\\r\\n                                ${invoice.order.customer.name}<br>\\r\\n                                % if invoice.order.customer.addresses:\\r\\n                                <%\\r\\n                                    address = invoice.order.customer.addresses[0]\\r\\n                                %>\\r\\n                                ${address.zip_code}, ${address.location.region.country.name}\\r\\n                                ${address.location.region.name}, ${address.location.name}<br>\\r\\n                                ${address.address}<br>\\r\\n                                % endif\\r\\n                                % if invoice.order.customer.contacts:\\r\\n                                <%\\r\\n                                    contacts = [contact.contact for contact in invoice.order.customer.contacts if contact.is_status_active()]\\r\\n                                %>\\r\\n                                ${', '.join(contacts)}\\r\\n                                % endif\\r\\n                            </td>\\r\\n                        </tr>\\r\\n                    </table>\\r\\n                </td>\\r\\n            </tr>\\r\\n            \\r\\n            <tr class=\\"heading\\">\\r\\n                <td class=\\"first\\">\\r\\n                    ${_(u'Service')}\\r\\n                </td>\\r\\n                <td></td>\\r\\n                <td style=\\"text-align: right;\\">\\r\\n                    ${_(u'Price')}\\r\\n                </td>\\r\\n                <td style=\\"text-align: right;\\">\\r\\n                    ${_(u'Discount')}\\r\\n                </td>\\r\\n                <td style=\\"text-align: right;\\">\\r\\n                    ${_(u'Vat')}\\r\\n                </td>\\r\\n                <td style=\\"text-align: right;\\">\\r\\n                    ${_(u'Final price')}\\r\\n                </td>\\r\\n            </tr>\\r\\n\\r\\n            % for invoice_item in invoice.invoices_items:\\r\\n            <tr class=\\"item\\">\\r\\n                <td class=\\"first\\">\\r\\n                    ${invoice_item.order_item.service.display_text}\\r\\n                </td>\\r\\n                <td style=\\"text-align: right;\\">\\r\\n                    ${invoice.account.currency.iso_code}\\r\\n                </td>\\r\\n                <td style=\\"text-align: right;\\">\\r\\n                    ${invoice_item.price}\\r\\n                </td>\\r\\n                <td style=\\"text-align: right;\\">\\r\\n                    ${invoice_item.discount}\\r\\n                </td>\\r\\n                <td style=\\"text-align: right;\\">\\r\\n                    ${invoice_item.vat}\\r\\n                </td>\\r\\n                <td style=\\"text-align: right;\\">\\r\\n                    ${invoice_item.final_price}\\r\\n                </td>\\r\\n            </tr>\\r\\n            % endfor\\r\\n\\r\\n            <tr class=\\"total\\">\\r\\n                <td colspan=\\"5\\"></td>\\r\\n                <td>\\r\\n                   ${_(u'Total')}: ${invoice.final_price}\\r\\n                </td>\\r\\n            </tr>\\r\\n        </table>\\r\\n    </div>\\r\\n</body>\\r\\n</html>"}	Список инвойсов	0
86	1189	contracts	Контракты	ContractsResource	travelcrm.resources.contracts	null	Контракты с поставщиками, используются при калькуляциях	0
160	2887	assigns	Перенос ресурсов	AssignsResource	travelcrm.resources.assigns	null	Инструмент передачи сопровождения ресурсов между сотрудниками	0
\.


--
-- Name: resource_type_id_seq; Type: SEQUENCE SET; Schema: demo_ru; Owner: -
--

SELECT pg_catalog.setval('resource_type_id_seq', 160, true);


--
-- Data for Name: roomcat; Type: TABLE DATA; Schema: demo_ru; Owner: -
--

COPY roomcat (id, resource_id, name) FROM stdin;
\.


--
-- Name: roomcat_id_seq; Type: SEQUENCE SET; Schema: demo_ru; Owner: -
--

SELECT pg_catalog.setval('roomcat_id_seq', 1, true);


--
-- Data for Name: service; Type: TABLE DATA; Schema: demo_ru; Owner: -
--

COPY service (id, resource_id, resource_type_id, name, display_text, descr) FROM stdin;
7	2247	142	Билеты	Бронирование билетов	\N
5	1413	137	Туры	Бронирование групповых туров	Этот сервис используется для продаж групповых туров
4	1318	143	Визы	Услуги по оформлению виз	Используйте этот сервис для продаж услуг по оформлению виз
1	1314	144	Загран. паспорт	Помощь в оформлении загран. паспорта	Используйте этот сервис для продаж услуг по оформлению загран. паспортов
\.


--
-- Name: service_id_seq; Type: SEQUENCE SET; Schema: demo_ru; Owner: -
--

SELECT pg_catalog.setval('service_id_seq', 7, true);


--
-- Data for Name: spassport; Type: TABLE DATA; Schema: demo_ru; Owner: -
--

COPY spassport (id, resource_id, photo_done, docs_receive_date, docs_transfer_date, passport_receive_date, descr) FROM stdin;
\.


--
-- Name: spassport_id_seq; Type: SEQUENCE SET; Schema: demo_ru; Owner: -
--

SELECT pg_catalog.setval('spassport_id_seq', 1, true);


--
-- Data for Name: spassport_order_item; Type: TABLE DATA; Schema: demo_ru; Owner: -
--

COPY spassport_order_item (order_item_id, spassport_id) FROM stdin;
\.


--
-- Data for Name: structure; Type: TABLE DATA; Schema: demo_ru; Owner: -
--

COPY structure (id, resource_id, parent_id, company_id, name) FROM stdin;
32	725	\N	1	Головной офис
\.


--
-- Data for Name: structure_address; Type: TABLE DATA; Schema: demo_ru; Owner: -
--

COPY structure_address (structure_id, address_id) FROM stdin;
\.


--
-- Data for Name: structure_bank_detail; Type: TABLE DATA; Schema: demo_ru; Owner: -
--

COPY structure_bank_detail (structure_id, bank_detail_id) FROM stdin;
\.


--
-- Data for Name: structure_contact; Type: TABLE DATA; Schema: demo_ru; Owner: -
--

COPY structure_contact (structure_id, contact_id) FROM stdin;
\.


--
-- Name: structure_id_seq; Type: SEQUENCE SET; Schema: demo_ru; Owner: -
--

SELECT pg_catalog.setval('structure_id_seq', 32, true);


--
-- Data for Name: subaccount; Type: TABLE DATA; Schema: demo_ru; Owner: -
--

COPY subaccount (id, resource_id, account_id, name, status, descr) FROM stdin;
\.


--
-- Name: subaccount_id_seq; Type: SEQUENCE SET; Schema: demo_ru; Owner: -
--

SELECT pg_catalog.setval('subaccount_id_seq', 1, true);


--
-- Data for Name: supplier; Type: TABLE DATA; Schema: demo_ru; Owner: -
--

COPY supplier (id, resource_id, supplier_type_id, name, status, descr) FROM stdin;
\.


--
-- Data for Name: supplier_bank_detail; Type: TABLE DATA; Schema: demo_ru; Owner: -
--

COPY supplier_bank_detail (supplier_id, bank_detail_id) FROM stdin;
\.


--
-- Data for Name: supplier_bperson; Type: TABLE DATA; Schema: demo_ru; Owner: -
--

COPY supplier_bperson (supplier_id, bperson_id) FROM stdin;
\.


--
-- Data for Name: supplier_contract; Type: TABLE DATA; Schema: demo_ru; Owner: -
--

COPY supplier_contract (supplier_id, contract_id) FROM stdin;
\.


--
-- Name: supplier_id_seq; Type: SEQUENCE SET; Schema: demo_ru; Owner: -
--

SELECT pg_catalog.setval('supplier_id_seq', 1, true);


--
-- Data for Name: supplier_subaccount; Type: TABLE DATA; Schema: demo_ru; Owner: -
--

COPY supplier_subaccount (supplier_id, subaccount_id) FROM stdin;
\.


--
-- Data for Name: supplier_type; Type: TABLE DATA; Schema: demo_ru; Owner: -
--

COPY supplier_type (id, resource_id, name, descr) FROM stdin;
\.


--
-- Name: supplier_type_id_seq; Type: SEQUENCE SET; Schema: demo_ru; Owner: -
--

SELECT pg_catalog.setval('supplier_type_id_seq', 1, true);


--
-- Data for Name: task; Type: TABLE DATA; Schema: demo_ru; Owner: -
--

COPY task (id, resource_id, title, deadline, reminder, descr, status) FROM stdin;
\.


--
-- Name: task_id_seq; Type: SEQUENCE SET; Schema: demo_ru; Owner: -
--

SELECT pg_catalog.setval('task_id_seq', 1, true);


--
-- Data for Name: task_resource; Type: TABLE DATA; Schema: demo_ru; Owner: -
--

COPY task_resource (task_id, resource_id) FROM stdin;
\.


--
-- Data for Name: task_upload; Type: TABLE DATA; Schema: demo_ru; Owner: -
--

COPY task_upload (task_id, upload_id) FROM stdin;
\.


--
-- Data for Name: ticket; Type: TABLE DATA; Schema: demo_ru; Owner: -
--

COPY ticket (id, resource_id, start_location_id, end_location_id, ticket_class_id, transport_id, start_dt, start_additional_info, end_dt, end_additional_info, adults, children, descr) FROM stdin;
\.


--
-- Data for Name: ticket_class; Type: TABLE DATA; Schema: demo_ru; Owner: -
--

COPY ticket_class (id, resource_id, name) FROM stdin;
\.


--
-- Name: ticket_class_id_seq; Type: SEQUENCE SET; Schema: demo_ru; Owner: -
--

SELECT pg_catalog.setval('ticket_class_id_seq', 1, true);


--
-- Name: ticket_id_seq; Type: SEQUENCE SET; Schema: demo_ru; Owner: -
--

SELECT pg_catalog.setval('ticket_id_seq', 1, true);


--
-- Data for Name: ticket_order_item; Type: TABLE DATA; Schema: demo_ru; Owner: -
--

COPY ticket_order_item (order_item_id, ticket_id) FROM stdin;
\.


--
-- Data for Name: tour; Type: TABLE DATA; Schema: demo_ru; Owner: -
--

COPY tour (id, resource_id, start_location_id, start_transport_id, end_location_id, end_transport_id, hotel_id, accomodation_id, foodcat_id, roomcat_id, transfer_id, adults, children, start_date, start_additional_info, end_date, end_additional_info, descr) FROM stdin;
\.


--
-- Name: tour_id_seq; Type: SEQUENCE SET; Schema: demo_ru; Owner: -
--

SELECT pg_catalog.setval('tour_id_seq', 1, true);


--
-- Data for Name: tour_order_item; Type: TABLE DATA; Schema: demo_ru; Owner: -
--

COPY tour_order_item (order_item_id, tour_id) FROM stdin;
\.


--
-- Data for Name: transfer; Type: TABLE DATA; Schema: demo_ru; Owner: -
--

COPY transfer (id, resource_id, name) FROM stdin;
\.


--
-- Name: transfer_id_seq; Type: SEQUENCE SET; Schema: demo_ru; Owner: -
--

SELECT pg_catalog.setval('transfer_id_seq', 1, true);


--
-- Data for Name: transport; Type: TABLE DATA; Schema: demo_ru; Owner: -
--

COPY transport (id, resource_id, name) FROM stdin;
\.


--
-- Name: transport_id_seq; Type: SEQUENCE SET; Schema: demo_ru; Owner: -
--

SELECT pg_catalog.setval('transport_id_seq', 1, true);


--
-- Data for Name: upload; Type: TABLE DATA; Schema: demo_ru; Owner: -
--

COPY upload (id, resource_id, name, path, size, media_type, descr) FROM stdin;
\.


--
-- Name: upload_id_seq; Type: SEQUENCE SET; Schema: demo_ru; Owner: -
--

SELECT pg_catalog.setval('upload_id_seq', 1, true);


--
-- Data for Name: user; Type: TABLE DATA; Schema: demo_ru; Owner: -
--

COPY "user" (id, resource_id, employee_id, username, email, password) FROM stdin;
2	3	2	admin	admin@mail.ru	adminadmin
\.


--
-- Name: user_id_seq; Type: SEQUENCE SET; Schema: demo_ru; Owner: -
--

SELECT pg_catalog.setval('user_id_seq', 2, true);


--
-- Data for Name: vat; Type: TABLE DATA; Schema: demo_ru; Owner: -
--

COPY vat (id, resource_id, account_id, service_id, date, vat, calc_method, descr) FROM stdin;
\.


--
-- Name: vat_id_seq; Type: SEQUENCE SET; Schema: demo_ru; Owner: -
--

SELECT pg_catalog.setval('vat_id_seq', 1, true);


--
-- Data for Name: visa; Type: TABLE DATA; Schema: demo_ru; Owner: -
--

COPY visa (id, resource_id, country_id, start_date, end_date, type, descr) FROM stdin;
\.


--
-- Name: visa_id_seq; Type: SEQUENCE SET; Schema: demo_ru; Owner: -
--

SELECT pg_catalog.setval('visa_id_seq', 1, true);


--
-- Data for Name: visa_order_item; Type: TABLE DATA; Schema: demo_ru; Owner: -
--

COPY visa_order_item (order_item_id, visa_id) FROM stdin;
\.


SET search_path = public, pg_catalog;

--
-- Data for Name: accomodation; Type: TABLE DATA; Schema: public; Owner: -
--

COPY accomodation (id, resource_id, name) FROM stdin;
1	957	MB
2	958	HV
3	959	BGL
4	960	BG
5	961	Chale
6	962	Cabana
7	963	Cottage
8	964	Executive floor
9	965	SGL
10	966	DBL
11	967	TRPL
12	968	QDPL
13	969	ExB
14	970	Chld
15	971	ВО
\.


--
-- Name: accomodation_id_seq; Type: SEQUENCE SET; Schema: public; Owner: -
--

SELECT pg_catalog.setval('accomodation_id_seq', 17, true);


--
-- Data for Name: account; Type: TABLE DATA; Schema: public; Owner: -
--

COPY account (id, resource_id, currency_id, account_type, name, display_text, descr, status) FROM stdin;
3	1439	56	1	Main Cash Account	cash payment	\N	0
4	1507	54	1	Main Cash EUR Account	Main Cash EUR Account	\N	0
2	1438	56	0	Main Bank Account	displa text	\N	0
\.


--
-- Name: account_id_seq; Type: SEQUENCE SET; Schema: public; Owner: -
--

SELECT pg_catalog.setval('account_id_seq', 4, true);


--
-- Data for Name: account_item; Type: TABLE DATA; Schema: public; Owner: -
--

COPY account_item (id, resource_id, name, parent_id, type, status, descr) FROM stdin;
3	1432	Taxes	\N	0	0	\N
4	1608	Operating charges	\N	0	0	\N
5	1609	Internal cash flow	\N	0	0	\N
6	1769	Profit distribution	\N	0	0	\N
7	1780	Rent	2	0	0	\N
8	1873	POF	2	0	0	\N
9	1898	Communication	2	0	0	\N
10	2199	Marketing, Sales	2	0	0	\N
11	2246	Software	2	0	0	Sales of any type of tickets
13	2277	Other operating	2	0	0	\N
1	1426	Income Tax	3	0	0	\N
14	2389	VAT	3	0	0	\N
15	2390	Other taxes, fees	3	0	0	\N
17	2392	Return to the buyer	4	0	0	\N
18	2393	Payment of the tour operator	4	0	0	\N
19	2394	Return the tour operator	4	0	0	\N
20	2395	Other operating income	4	0	0	\N
21	2396	Other operating expenses	4	0	0	\N
22	2397	The money from bank to bank	5	0	0	\N
23	2398	The money from the cash to the account	5	0	0	\N
24	2399	Money from the account in cash	5	0	0	\N
25	2400	Conversion	5	0	0	\N
26	2401	Acquisition of fixed assets	6	0	0	\N
27	2402	The withdrawal of capital	6	0	0	\N
28	2403	Rental fee	7	0	0	\N
29	2404	Utility payments	7	0	0	\N
30	2405	POF payable	8	0	0	\N
31	2406	PIT	8	0	0	\N
32	2407	ERUs	8	0	0	\N
33	2408	Bonuses (bonus)	8	0	0	\N
34	2409	Telephone landline	9	0	0	\N
35	2410	Mobile Phones	9	0	0	\N
36	2411	Internet	9	0	0	\N
37	2412	Other	9	0	0	\N
38	2413	Outdoor advertising	10	0	0	\N
39	2414	Advertising in print media	10	0	0	\N
40	2415	Advertising on TV, radio	10	0	0	\N
41	2416	Promotions and presentations	10	0	0	\N
42	2417	Exhibitions	10	0	0	\N
43	2418	Advertising on the Internet	10	0	0	\N
44	2419	 Website Promotion	10	0	0	\N
45	2420	Mailing lists	10	0	0	\N
46	2421	Other marketing	10	0	0	\N
47	2422	The costs for the modernization of the local software	11	0	0	\N
48	2423	The cost of upgrading the website	11	0	0	\N
49	2424	Bank charges	12	0	0	\N
50	2425	Other cash and settlement services	12	0	0	\N
51	2426	Office supplies, office software	13	0	0	\N
52	2427	Representation	13	0	0	\N
53	2428	Staff Missions	13	0	0	\N
54	2429	Postage, courier services	13	0	0	\N
55	2430	Minor repairs of machinery	13	0	0	\N
56	2431	Purchase low-value goods	13	0	0	\N
57	2432	Other (not included in any of the articles)	13	0	0	\N
2	1431	Administrative expensive	\N	2	0	Group of items
12	2269	Cash and Settlement Services	2	2	0	\N
16	2391	Payment by the buyer	4	1	0	\N
\.


--
-- Name: account_item_id_seq; Type: SEQUENCE SET; Schema: public; Owner: -
--

SELECT pg_catalog.setval('account_item_id_seq', 57, true);


--
-- Data for Name: address; Type: TABLE DATA; Schema: public; Owner: -
--

COPY address (id, resource_id, location_id, zip_code, address) FROM stdin;
10	1288	14	02312	Bogdana Hmelnickogo Str
13	1308	5	12354	asdf asdf asdfsadf
14	1309	14	12345	dsfg sdfg sdfg sdfgsdfgdsf
15	1370	14	11111	Polyarnaya str., 18 A, 181
16	1374	14	11111	Polyarnaya str. 18 A, 181
17	1382	14	11111	Chavdar Elisabet, 13
18	1388	14	11111	Chavdar Elisabet, 13
19	1391	14	1111	Chavdar Elisabeth, 13
20	1407	14	11111	Radujnaya str., 56 a, 153
21	1414	14	01011	Leskova str., 9
22	1418	33	12345	Naberegnaya Pobedy, 50
23	1469	34	09909	Lavrska, str 34
24	1585	14	08967	Solomii Krushelnickoi, 34/3, ap. 45
25	1614	14	678565	Pobedy, 56/2, ap.67
26	1623	14	8934	Artema 8d, 47
27	1644	34	67234	Sichovih Strilciv, 2.
28	1652	14	54415	Vasilkovskaya 45/56, 19
29	1807	14	02121	Dekabristov str, filial #239
30	1926	14	123432	Arsenalna str
31	1951	14	02121	Gmiry str
32	2015	14	09878	Kikvidze 29, 56
33	2119	14	02121	Bazhana str.3
34	2475	34	fgfgf	fgfgfg
35	2590	14	06752	Vladimirskaya str, 12a, 33
\.


--
-- Name: address_id_seq; Type: SEQUENCE SET; Schema: public; Owner: -
--

SELECT pg_catalog.setval('address_id_seq', 35, true);


--
-- Data for Name: advsource; Type: TABLE DATA; Schema: public; Owner: -
--

COPY advsource (id, resource_id, name) FROM stdin;
2	904	Google.com
3	905	Yahoo.com
4	906	Recommendation
5	907	Second appeal
1	903	Internet Search Engines
6	1283	Undefined
\.


--
-- Name: advsource_id_seq; Type: SEQUENCE SET; Schema: public; Owner: -
--

SELECT pg_catalog.setval('advsource_id_seq', 6, true);


--
-- Data for Name: alembic_version; Type: TABLE DATA; Schema: public; Owner: -
--

COPY alembic_version (version_num) FROM stdin;
0dde2b383d6b
\.


--
-- Data for Name: appointment; Type: TABLE DATA; Schema: public; Owner: -
--

COPY appointment (id, resource_id, currency_id, employee_id, position_id, salary, date) FROM stdin;
1	789	54	2	4	1000.00	2014-02-02
6	892	54	7	5	4500.00	2014-02-22
8	1542	54	2	4	6500.00	2014-03-01
12	2658	56	7	6	12000.00	2015-05-01
\.


--
-- Data for Name: bank; Type: TABLE DATA; Schema: public; Owner: -
--

COPY bank (id, resource_id, name) FROM stdin;
1	1214	Bank of America
4	1415	Raiffaisen Bank Aval
5	1419	PrivatBank
\.


--
-- Data for Name: bank_address; Type: TABLE DATA; Schema: public; Owner: -
--

COPY bank_address (bank_id, address_id) FROM stdin;
5	29
5	33
\.


--
-- Data for Name: bank_detail; Type: TABLE DATA; Schema: public; Owner: -
--

COPY bank_detail (id, resource_id, currency_id, bank_id, beneficiary, account, swift_code) FROM stdin;
5	1420	56	4	LuxTravel, Inc	123456789	123456
6	1510	54	1	Coral Travel	12345	1234
7	1511	57	1	Coral LLC	98765	0987
8	1512	57	1	Coral LLc	0987654	12234
9	1513	56	5	Coral Travel Ukraine	567990	54343
10	1514	44	5	Coral LLc	123232321312	`12
11	1515	54	4	Coral LLC	1223456	55667
12	1554	56	5	Intertelecom	12345678	09876
13	1556	56	5	Intertelecom	12345678	09876
14	1564	56	4	Lun Real Estate	78900909	12343434
15	1569	56	5	Lun Real Estate Agency	987456152	671283
16	1570	56	4	Intertelecom Internet Service Provider	9878723847	84758GH
18	2120	57	4	sdghsdgh	sghsgh	dfghdfhgdfh
19	2486	57	5	ghgh	ggh	hghg
20	3639	56	4	SDfasdf	sdfasdf	asdfasdfasdf
21	3640	56	4	SDfasdf	sdfasdf	asdfasdfasdf
\.


--
-- Name: bank_detail_id_seq; Type: SEQUENCE SET; Schema: public; Owner: -
--

SELECT pg_catalog.setval('bank_detail_id_seq', 21, true);


--
-- Name: bank_id_seq; Type: SEQUENCE SET; Schema: public; Owner: -
--

SELECT pg_catalog.setval('bank_id_seq', 6, true);


--
-- Data for Name: bperson; Type: TABLE DATA; Schema: public; Owner: -
--

COPY bperson (id, resource_id, first_name, last_name, second_name, position_name, descr, status) FROM stdin;
1	1009	Alexandro	Riak		Sales Manager	\N	0
6	1560	Ivan	Gonchar		Account Manager	\N	0
5	1553	Sergey	Vlasov		Main account manager	\N	0
7	1563	Alexander	Tkachuk		manager		0
8	1578	Anna			Manager		0
2	1010	Umberto			Accounting		1
10	2915	Anton 	Andreev		manager		0
\.


--
-- Data for Name: bperson_contact; Type: TABLE DATA; Schema: public; Owner: -
--

COPY bperson_contact (bperson_id, contact_id) FROM stdin;
1	54
1	55
1	56
1	57
5	61
5	62
6	63
7	64
7	65
8	66
2	89
\.


--
-- Name: bperson_id_seq; Type: SEQUENCE SET; Schema: public; Owner: -
--

SELECT pg_catalog.setval('bperson_id_seq', 11, true);


--
-- Data for Name: calculation; Type: TABLE DATA; Schema: public; Owner: -
--

COPY calculation (id, resource_id, price, order_item_id, contract_id) FROM stdin;
33	2468	300.00	\N	\N
34	2469	54462.00	\N	\N
37	2503	3201.00	\N	\N
35	2470	300.00	\N	\N
41	2529	270.00	\N	\N
42	2530	270.00	\N	\N
43	2531	54462.75	\N	\N
46	2534	3201.00	\N	\N
47	2535	3201.00	\N	\N
48	2537	2788.50	40	\N
49	2538	1760.00	\N	\N
44	2532	270.00	\N	\N
45	2533	54462.75	\N	\N
57	2700	1496.40	\N	\N
58	2701	30.00	\N	\N
59	2702	1680.60	\N	\N
60	2703	30.00	\N	\N
61	2704	1715.00	\N	\N
62	2705	30.00	\N	\N
63	2706	1720.00	\N	\N
64	2707	30.00	\N	\N
65	2708	1525.80	\N	\N
66	2709	30.00	\N	\N
67	2710	1530.80	\N	\N
68	2711	30.00	\N	\N
69	2712	1525.80	\N	\N
70	2713	30.00	\N	\N
71	2715	1525.80	\N	\N
72	2716	30.00	\N	\N
73	2717	1398.95	\N	\N
74	2718	30.00	\N	\N
75	2719	1398.95	\N	\N
76	2720	30.00	\N	\N
77	2721	1398.95	\N	\N
78	2722	30.00	\N	\N
79	2724	1525.30	\N	\N
80	2725	30.00	\N	\N
81	2727	1525.30	44	\N
82	2728	26.70	45	\N
50	2541	1548.80	\N	\N
83	2734	1548.80	39	\N
51	2547	270.00	\N	\N
52	2548	47611.95	\N	\N
84	2735	270.00	43	\N
85	2736	50239.20	42	\N
86	2832	2024.00	\N	\N
87	2836	2091.66	\N	\N
88	2839	2090.15	\N	\N
89	2840	25.00	\N	\N
90	2842	2090.15	\N	\N
91	2843	25.00	\N	\N
92	2844	2090.15	\N	\N
93	2845	25.00	\N	\N
94	2846	2090.15	\N	\N
95	2847	25.00	\N	\N
96	2848	2090.15	\N	\N
97	2849	0.00	\N	\N
98	2850	2090.15	\N	60
99	2851	0.00	\N	\N
100	2854	2090.15	\N	60
101	2855	0.00	\N	\N
103	2857	15.50	\N	61
104	2870	2091.66	46	60
105	2871	15.92	47	61
106	2903	1663.20	48	58
107	3687	1223.95	54	65
\.


--
-- Name: calculation_id_seq; Type: SEQUENCE SET; Schema: public; Owner: -
--

SELECT pg_catalog.setval('calculation_id_seq', 107, true);


--
-- Data for Name: campaign; Type: TABLE DATA; Schema: public; Owner: -
--

COPY campaign (id, resource_id, name, subject, plain_content, html_content, start_dt, status) FROM stdin;
\.


--
-- Name: campaign_id_seq; Type: SEQUENCE SET; Schema: public; Owner: -
--

SELECT pg_catalog.setval('campaign_id_seq', 23, true);


--
-- Data for Name: cashflow; Type: TABLE DATA; Schema: public; Owner: -
--

COPY cashflow (id, subaccount_from_id, subaccount_to_id, account_item_id, sum, date, vat) FROM stdin;
216	19	\N	27	500.00	2015-06-14	\N
250	\N	22	16	380.00	2015-06-14	\N
251	22	18	\N	272.00	2015-06-14	20.65
252	\N	21	16	35500.00	2015-06-14	\N
253	21	19	\N	35500.00	2015-06-14	2356.80
254	\N	21	16	5000.00	2015-06-14	\N
255	21	19	\N	5000.00	2015-06-14	2356.80
256	\N	22	16	1400.73	2015-06-13	20.65
257	22	18	\N	1292.73	2015-06-13	\N
258	23	\N	18	15000.00	2015-06-14	\N
259	22	\N	17	108.00	2015-06-14	\N
260	\N	24	16	25000.00	2015-07-22	6856.68
261	24	20	\N	25000.00	2015-07-22	\N
262	\N	25	16	59782.12	2016-01-02	937.77
263	25	19	\N	59782.12	2016-01-02	\N
264	18	26	\N	1600.00	2016-01-02	\N
265	26	\N	18	1600.00	2016-01-02	\N
266	20	27	\N	760.35	2016-01-02	\N
267	27	\N	36	760.35	2016-01-02	\N
271	\N	28	16	34006.98	2016-07-18	404.85
272	28	19	\N	34006.98	2016-07-18	\N
280	19	23	\N	45000.00	2016-07-18	\N
281	23	\N	18	30000.00	2016-07-18	\N
284	23	\N	18	2000.00	2016-07-18	\N
\.


--
-- Data for Name: commission; Type: TABLE DATA; Schema: public; Owner: -
--

COPY commission (id, resource_id, service_id, percentage, price, currency_id, descr) FROM stdin;
36	2501	5	12.00	0.00	57	Commission for tours
37	2502	7	10.00	0.00	57	Tickets commission
38	2505	5	12.00	0.00	57	
39	2507	7	10.00	0.00	57	Tickets commission
40	2508	4	2.00	10.00	57	Visa service commission
41	2510	4	10.00	0.00	57	
42	2536	5	12.50	0.00	57	Commission value for tour service
43	2539	5	12.00	0.00	57	Tour commission
44	2546	5	12.00	0.00	57	
45	2693	5	12.00	0.00	57	Tour comission
46	2694	4	0.00	5.00	54	
47	2698	5	11.00	5.00	54	
48	2726	4	0.00	3.00	54	
49	2833	5	8.50	330.00	56	
50	2852	1	0.00	10.00	57	
53	3642	1	0.00	10.00	57	
54	3643	1	0.00	10.00	57	
55	3645	1	0.00	10.00	57	
56	3647	5	11.00	5.00	54	
57	3648	4	0.00	3.00	54	
58	3668	1	0.00	12.00	57	
59	3669	5	9.00	0.00	56	
60	3670	7	5.00	2.00	54	
61	3671	4	0.00	20.00	54	
\.


--
-- Name: commission_id_seq; Type: SEQUENCE SET; Schema: public; Owner: -
--

SELECT pg_catalog.setval('commission_id_seq', 61, true);


--
-- Name: companies_counter; Type: SEQUENCE SET; Schema: public; Owner: -
--

SELECT pg_catalog.setval('companies_counter', 1088, true);


--
-- Name: companies_positions_id_seq; Type: SEQUENCE SET; Schema: public; Owner: -
--

SELECT pg_catalog.setval('companies_positions_id_seq', 8, true);


--
-- Data for Name: company; Type: TABLE DATA; Schema: public; Owner: -
--

COPY company (id, resource_id, name, currency_id, settings, email) FROM stdin;
1	1970	Lux Travel Inc.	56	{"locale": "en", "timezone": "Europe/Kiev", "ip_limit": 1, "ips": [["127.0.0.1", "2016-07-19T13:46:21"]]}	lux.travel@gmai.com
\.


--
-- Name: company_id_seq; Type: SEQUENCE SET; Schema: public; Owner: -
--

SELECT pg_catalog.setval('company_id_seq', 14, true);


--
-- Data for Name: company_subaccount; Type: TABLE DATA; Schema: public; Owner: -
--

COPY company_subaccount (company_id, subaccount_id) FROM stdin;
1	18
1	19
1	20
\.


--
-- Data for Name: contact; Type: TABLE DATA; Schema: public; Owner: -
--

COPY contact (id, contact, resource_id, contact_type, descr, status) FROM stdin;
27	+380681983869	1193	0	\N	0
29	+380681983869	1195	0	\N	0
30	+380681983869	1201	0	\N	0
32	+380681983869	1204	0	\N	0
36	+380681983869	1244	0	\N	0
37	+380681983869	1257	0	\N	0
39	+380681983869	1259	0	\N	0
41	+380682523645	1263	0	\N	0
44	+380675625353	1282	0	\N	0
45	+380502355565	1285	0	\N	0
47	+380673566789	1371	0	\N	0
48	+380502314567	1373	0	\N	0
51	+380502232233	1387	0	\N	0
52	+380502354235	1404	0	\N	0
53	+380503435512	1464	0	\N	0
54	+380976543565	1516	0	\N	0
55	+380675643623	1517	0	\N	0
58	+380681983800	1543	0	\N	0
61	+380681234567	1551	0	\N	0
64	+380953434358	1561	0	\N	0
67	+380672568976	1581	0	\N	0
68	+380672346534	1591	0	\N	0
69	+380500567765	1610	0	\N	0
71	+380503435436	1620	0	\N	0
73	+380975642876	1624	0	\N	0
74	+380665638900	1640	0	\N	0
76	+380502235686	1650	0	\N	0
77	+380674523123	1927	0	\N	0
79	+380923435643	2013	0	\N	0
80	+380505674534	2018	0	\N	0
81	+380671238943	2050	0	\N	0
28	asdasd@mail.com	1194	1	\N	0
35	vitalii.mazur@gmail.com	1243	1	\N	0
38	vitalii.mazur@gmail.com	1258	1	\N	0
40	vitalii.mazur@gmail.com	1260	1	\N	0
42	a.koff@gmail.com	1264	1	\N	0
46	n.voevoda@gmail.com	1304	1	\N	0
57	ravak@myemail.com	1519	1	\N	0
60	info@travelcrm.org.ua	1545	1	\N	0
63	i_gonchar@i-tele.com	1559	1	\N	0
65	mega_tkach@ukr.net	1562	1	\N	0
70	artyuh87@gmail.com	1611	1	\N	0
72	grach18@ukr.net	1621	1	\N	0
75	karpuha1990@ukr.net	1641	1	\N	0
78	vitalii.mazur@gmail.com	1956	1	\N	0
49	travelcrm	1379	2	\N	0
56	ravak_skype	1518	2	\N	0
59	dorianyats	1544	2	\N	0
62	serge_vlasov	1552	2	\N	0
50	+380682345688	1380	0	\N	0
82	+380676775643	2089	0	\N	0
83	nikolay1987@mail.ru	2095	1	\N	0
66	AnnaNews	1577	2		1
84	+380672334345	2307	0		0
85	+380503435676	2308	0		1
86	+380674252212	2327	0		0
87	+380678521452	2338	0		0
88	+380502356543	2366	0		0
89	mazira@online.ua	2493	1		0
90	+380661234567	2550	0		1
91	+380500126753	2585	0	New phone	0
92	grisha_1972@mail.ru	2586	1		0
93	grishutka_super	2587	2		0
94	+380973498675	2594	0		0
95	valik_gopko	2659	2		0
96	+380673508989	2666	0		0
97	+380504538765	2676	0		0
98	+380681983869	2814	0		0
99	+380386754543	2821	0		0
100	+380675437656	2873	0		0
101	+380681995427	2874	0		0
102	elineckiy@gavab.com	2878	1		0
103	+380976868681	2880	0		0
104	+380670987654	2891	0		0
105	+380681234567	3675	0		0
\.


--
-- Name: contact_id_seq; Type: SEQUENCE SET; Schema: public; Owner: -
--

SELECT pg_catalog.setval('contact_id_seq', 105, true);


--
-- Data for Name: contract; Type: TABLE DATA; Schema: public; Owner: -
--

COPY contract (id, resource_id, date, num, descr, status) FROM stdin;
48	2210	2015-05-09	1234/56	Test contract	0
49	2213	2015-05-09	12345/67	Test agent contract for supplier	0
50	2215	2014-01-10	12/34	First contract	1
51	2489	2015-06-23	19/06		0
52	2490	2015-06-23	19/06		0
54	2506	2015-06-01	36542-89.77		0
55	2511	2015-06-01	678/90		0
53	2491	2015-06-01	19/06/15		0
57	2545	2015-06-01	TUI-09-15		0
58	2695	2015-08-01	#08-01		0
59	2699	2015-07-01	#07-01		0
60	2834	2016-01-01	TT-000139	New Tez Tour Contract	0
56	2540	2015-01-05	0987-97	Contract with teztour	1
61	2853	2016-01-01	TT-00154		0
64	3646	2016-01-01	TT-00154		0
65	3672	2016-07-01	TT-00155		0
\.


--
-- Data for Name: contract_commission; Type: TABLE DATA; Schema: public; Owner: -
--

COPY contract_commission (contract_id, commission_id) FROM stdin;
52	36
52	37
54	38
54	39
54	40
55	41
53	42
56	43
57	44
58	45
58	46
59	47
59	48
60	49
61	50
64	55
65	60
65	61
65	59
65	58
\.


--
-- Data for Name: country; Type: TABLE DATA; Schema: public; Owner: -
--

COPY country (id, resource_id, iso_code, name) FROM stdin;
3	878	UA	Ukraine
4	880	EG	Egypt
5	881	TR	Turkey
6	882	GB	United Kingdom
7	883	US	United States
8	884	TH	Thailand
9	1095	RU	Russian Federation
12	1164	HR	Croatia
13	1169	AE	United Arab Emirates
14	1178	ES	Spain
16	1339	CY	Cyprus
17	1343	IT	Italy
11	1100	DE	Germany
18	1351	GR	Greece
19	1646	FR	France
21	2270	PL	Poland
\.


--
-- Name: country_id_seq; Type: SEQUENCE SET; Schema: public; Owner: -
--

SELECT pg_catalog.setval('country_id_seq', 21, true);


--
-- Data for Name: crosspayment; Type: TABLE DATA; Schema: public; Owner: -
--

COPY crosspayment (id, resource_id, cashflow_id, descr) FROM stdin;
10	2465	216	The capital withdraw by CEO
\.


--
-- Name: crosspayment_id_seq; Type: SEQUENCE SET; Schema: public; Owner: -
--

SELECT pg_catalog.setval('crosspayment_id_seq', 11, true);


--
-- Data for Name: currency; Type: TABLE DATA; Schema: public; Owner: -
--

COPY currency (id, resource_id, iso_code) FROM stdin;
44	849	RUB
50	1060	KZT
52	1168	BYR
54	1240	EUR
56	1310	UAH
57	1311	USD
\.


--
-- Name: currency_id_seq; Type: SEQUENCE SET; Schema: public; Owner: -
--

SELECT pg_catalog.setval('currency_id_seq', 57, true);


--
-- Data for Name: currency_rate; Type: TABLE DATA; Schema: public; Owner: -
--

COPY currency_rate (id, resource_id, date, currency_id, rate, supplier_id) FROM stdin;
19	2281	2015-05-15	57	23.00	87
20	2289	2015-05-17	57	22.70	102
21	2290	2015-04-29	57	23.05	102
22	2319	2015-06-01	54	24.20	87
23	2334	2015-06-02	57	21.50	93
24	2335	2015-06-02	54	23.65	93
25	2336	2015-06-02	57	21.66	100
26	2337	2015-06-02	54	23.70	100
27	2383	2015-06-06	54	24.30	102
28	2384	2015-06-06	54	24.25	92
29	2385	2015-06-06	57	21.50	92
30	2714	2015-07-22	54	26.37	101
31	2723	2015-07-22	57	23.98	101
33	2841	2016-01-01	54	28.30	87
32	2835	2016-01-01	57	25.70	87
34	3673	2016-07-18	54	28.60	87
35	3674	2016-07-18	57	25.80	87
\.


--
-- Name: currency_rate_id_seq; Type: SEQUENCE SET; Schema: public; Owner: -
--

SELECT pg_catalog.setval('currency_rate_id_seq', 35, true);


--
-- Data for Name: dismissal; Type: TABLE DATA; Schema: public; Owner: -
--

COPY dismissal (id, resource_id, date, employee_id) FROM stdin;
\.


--
-- Name: dismissal_id_seq; Type: SEQUENCE SET; Schema: public; Owner: -
--

SELECT pg_catalog.setval('dismissal_id_seq', 5, true);


--
-- Data for Name: employee; Type: TABLE DATA; Schema: public; Owner: -
--

COPY employee (id, resource_id, first_name, last_name, second_name, itn, photo_upload_id) FROM stdin;
4	786	Oleg	Pogorelov		\N	\N
8	893	Oleg	Mazur	V.	\N	\N
9	1040	Halyna	Sereda		\N	\N
10	1041	Andrey	Shabanov		\N	\N
11	1042	Dymitrii	Veremeychuk		\N	\N
13	1044	Alexandra	Koff	\N	\N	\N
14	1045	Dima	Shkreba	\N	\N	\N
15	1046	Viktoriia	Lastovets	\N	\N	\N
12	1043	Denis	Yurin	\N	12	\N
30	2053	Igor	Mazur	\N	\N	\N
31	2477	Alina	Kabaeva	\N	344	\N
2	784	John	Doe	\N	\N	\N
7	885	Irina	Mazur	V.	\N	\N
32	2785	Charlize	Theron	\N	\N	\N
\.


--
-- Data for Name: employee_address; Type: TABLE DATA; Schema: public; Owner: -
--

COPY employee_address (employee_id, address_id) FROM stdin;
\.


--
-- Data for Name: employee_contact; Type: TABLE DATA; Schema: public; Owner: -
--

COPY employee_contact (employee_id, contact_id) FROM stdin;
13	42
13	41
2	60
2	58
2	59
\.


--
-- Name: employee_id_seq; Type: SEQUENCE SET; Schema: public; Owner: -
--

SELECT pg_catalog.setval('employee_id_seq', 34, true);


--
-- Data for Name: employee_notification; Type: TABLE DATA; Schema: public; Owner: -
--

COPY employee_notification (employee_id, notification_id, status) FROM stdin;
2	18	1
2	20	1
2	19	1
2	21	1
2	22	1
2	23	1
2	24	1
2	25	1
7	34	0
2	26	1
2	27	1
2	35	1
2	36	1
\.


--
-- Data for Name: employee_passport; Type: TABLE DATA; Schema: public; Owner: -
--

COPY employee_passport (employee_id, passport_id) FROM stdin;
13	7
\.


--
-- Data for Name: employee_subaccount; Type: TABLE DATA; Schema: public; Owner: -
--

COPY employee_subaccount (employee_id, subaccount_id) FROM stdin;
2	1
\.


--
-- Data for Name: employee_upload; Type: TABLE DATA; Schema: public; Owner: -
--

COPY employee_upload (employee_id, upload_id) FROM stdin;
\.


--
-- Name: employees_appointments_h_id_seq; Type: SEQUENCE SET; Schema: public; Owner: -
--

SELECT pg_catalog.setval('employees_appointments_h_id_seq', 17, true);


--
-- Data for Name: foodcat; Type: TABLE DATA; Schema: public; Owner: -
--

COPY foodcat (id, resource_id, name) FROM stdin;
1	973	ОВ
3	975	BB
4	976	HB
5	977	HB+
6	978	FB
7	979	FB+
8	980	EXTFB
9	981	Mini all inclusive
10	982	ALL
11	983	Continental Breakfast
12	984	English breakfast
13	985	American breakfast
15	987	UAL
16	988	UAI
\.


--
-- Name: foodcat_id_seq; Type: SEQUENCE SET; Schema: public; Owner: -
--

SELECT pg_catalog.setval('foodcat_id_seq', 17, true);


--
-- Data for Name: hotel; Type: TABLE DATA; Schema: public; Owner: -
--

COPY hotel (id, resource_id, hotelcat_id, name, location_id) FROM stdin;
10	1292	5	Hotel View Novi Vindolski	16
11	1320	5	PGS Kiris Resort	17
12	1322	5	Justiniano Club Park Conti	18
13	1323	5	PGS World Palace	17
14	1324	5	Concordia Celes Hotel	18
15	1325	5	Akka Alinda Hotel	17
16	1327	5	Grand Haber Hotel	19
17	1330	5	Belconti Resort	20
18	1331	3	Asdem Park	19
19	1334	4	Saphir	21
20	1335	4	Justiniano Club Alanya	18
21	1338	6	Euphoria Palm Beach	22
22	1342	4	Avlida	23
23	1346	3	Calypso	24
24	1349	4	Citta Del Mare	25
25	1350	4	Villa Adriatica	24
26	1354	4	Aldemar Cretan Village	26
27	1357	4	Estival Park Salou Hotel	27
28	1358	3	Playa Park	27
29	1360	4	Best Negresco	28
30	1362	4	Oasis Park & SPA	29
31	1364	5	The Desert Rose Resort	30
32	1367	4	Rehana Sharm Resort	31
33	1386	4	Fantasia	32
34	1470	5	Villa Augusto	21
35	1590	5	Lindos Blue	36
36	1649	5	Sezz Saint-Tropez	37
38	2111	5	Spirit of the Knights Boutique	36
39	2375	5	Radisson Blu Resort & Spa	39
40	2675	4	Frangiorgio Hotel Apartments	40
41	2897	5	Bodrum Butick Royal	41
42	3682	5	CRYSTAL PARAISO VERDE RESORT	42
\.


--
-- Name: hotel_id_seq; Type: SEQUENCE SET; Schema: public; Owner: -
--

SELECT pg_catalog.setval('hotel_id_seq', 42, true);


--
-- Data for Name: hotelcat; Type: TABLE DATA; Schema: public; Owner: -
--

COPY hotelcat (id, resource_id, name) FROM stdin;
1	912	1*
2	913	2*
3	914	3*
4	915	4*
5	916	5*
6	917	HV-1
7	918	HV-2
8	919	De Luxe
\.


--
-- Name: hotelcat_id_seq; Type: SEQUENCE SET; Schema: public; Owner: -
--

SELECT pg_catalog.setval('hotelcat_id_seq', 8, true);


--
-- Data for Name: income; Type: TABLE DATA; Schema: public; Owner: -
--

COPY income (id, resource_id, invoice_id, account_item_id, date, sum, descr) FROM stdin;
65	2457	31	16	2015-06-14	380.00	\N
66	2458	30	16	2015-06-14	35500.00	\N
67	2459	30	16	2015-06-14	5000.00	\N
60	2451	31	16	2015-06-13	1400.73	\N
68	2737	32	16	2015-07-22	25000.00	\N
69	2860	33	16	2016-01-02	59782.12	\N
70	3689	35	16	2016-07-18	34006.98	\N
\.


--
-- Data for Name: income_cashflow; Type: TABLE DATA; Schema: public; Owner: -
--

COPY income_cashflow (income_id, cashflow_id) FROM stdin;
65	250
65	251
66	252
66	253
67	254
67	255
60	256
60	257
68	260
68	261
69	262
69	263
70	271
70	272
\.


--
-- Name: income_id_seq; Type: SEQUENCE SET; Schema: public; Owner: -
--

SELECT pg_catalog.setval('income_id_seq', 70, true);


--
-- Data for Name: invoice; Type: TABLE DATA; Schema: public; Owner: -
--

COPY invoice (id, date, resource_id, account_id, active_until, order_id, descr) FROM stdin;
32	2015-07-22	2729	2	2015-07-25	10	\N
30	2015-06-06	2388	3	2015-06-09	9	\N
31	2015-06-13	2450	4	2015-06-16	7	\N
33	2016-01-02	2858	3	2016-01-05	11	\N
34	2016-05-22	2904	3	2016-05-25	12	\N
35	2016-07-18	3688	3	2016-07-31	15	\N
\.


--
-- Name: invoice_id_seq; Type: SEQUENCE SET; Schema: public; Owner: -
--

SELECT pg_catalog.setval('invoice_id_seq', 35, true);


--
-- Data for Name: invoice_item; Type: TABLE DATA; Schema: public; Owner: -
--

COPY invoice_item (id, invoice_id, price, vat, discount, descr, order_item_id) FROM stdin;
29	30	7290.00	1215.00	0.00	The issues for visas	43
32	32	41245.60	6736.78	824.91	Tour booking service	44
33	32	719.40	119.90	0.00	The issues for visas	45
30	30	57090.00	703.93	2627.25	Tour booking service	42
31	31	1672.73	33.45	0.00	Tour booking service	39
34	33	59110.00	898.86	0.00	Tour booking service	46
35	33	707.50	38.91	35.38	Formulation of foreign passport	47
36	34	45322.20	906.44	0.00	Tour booking service	48
37	35	34701.00	404.85	694.02	Tour booking service	54
\.


--
-- Name: invoice_item_id_seq; Type: SEQUENCE SET; Schema: public; Owner: -
--

SELECT pg_catalog.setval('invoice_item_id_seq', 37, true);


--
-- Data for Name: lead; Type: TABLE DATA; Schema: public; Owner: -
--

COPY lead (id, lead_date, resource_id, advsource_id, customer_id, status, descr) FROM stdin;
2	2015-02-04	2088	5	46	1	Test lead description
1	2015-02-04	2052	6	47	2	Cant to offer any proposition for customer
3	2015-05-24	2312	4	48	1	\N
4	2015-06-02	2333	2	50	0	\N
5	2015-06-06	2372	6	53	1	\N
6	2015-06-10	2434	6	53	3	\N
7	2015-07-18	2562	4	55	0	\N
9	2015-07-16	2569	2	57	0	\N
10	2015-07-14	2572	6	58	0	\N
11	2015-07-17	2575	6	59	0	\N
12	2015-07-17	2579	2	60	0	\N
13	2015-07-17	2582	6	61	0	\N
14	2015-07-20	2599	6	63	0	\N
15	2015-07-21	2662	6	65	1	\N
16	2015-07-22	2669	2	66	3	\N
17	2016-01-01	2824	6	70	0	\N
18	2016-02-07	2877	2	72	0	\N
19	2016-05-22	2894	5	75	0	\N
66	2016-05-22	2894	5	75	0	\N
67	2016-05-22	3659	5	75	0	\N
68	2016-07-18	3678	6	77	3	\N
\.


--
-- Name: lead_id_seq; Type: SEQUENCE SET; Schema: public; Owner: -
--

SELECT pg_catalog.setval('lead_id_seq', 68, true);


--
-- Data for Name: lead_item; Type: TABLE DATA; Schema: public; Owner: -
--

COPY lead_item (id, resource_id, lead_id, service_id, currency_id, price_from, price_to, descr) FROM stdin;
1	2293	\N	5	57	\N	3001.00	Tour in Turkey for 2 adult persons and one children for 7 days in 5*
2	2294	\N	4	57	\N	70.00	A visa for Schengen for one person
3	2295	\N	5	57	\N	3000.00	Turkey, 5*, 2 persons adult
4	2297	\N	5	57	\N	2500.00	Turkey, 10 days, 2 persons, 5*
5	2300	2	5	57	\N	2500.00	Turkey, 5*, 2 persons, the middle of Jule, 10 days
6	2305	1	4	\N	\N	\N	Schengen
7	2310	3	5	57	\N	1600.00	For 2 persons into Egypt or Turkey, exelent 4* or 5* with AI, 7 days, in the middle of JUNE
8	2313	3	1	\N	\N	\N	Need a foreign passport for two persons very QUICK!
9	2329	4	5	57	2500.00	3500.00	Turkey, 5* AI, 2 adults and child, Kemer prefered
10	2330	4	4	54	\N	70.00	EU visa for 2 persons
13	2561	7	5	56	\N	20000.00	Turkey, not less than 4* with AI for 2 person on 7 nights
15	2567	9	1	\N	\N	\N	Need a foreign passport
16	2568	9	5	57	\N	1500.00	Tour for 2 adult persons to Turkey
17	2571	10	5	57	\N	900.00	Want tour into Bulgary, for single adult person, 7 nights
18	2574	11	5	\N	\N	\N	Odessa tour, 4 days in good hotel
19	2577	12	5	54	\N	2000.00	Kiprus, for 7 nights for 3 persons (2 adults, 1 child), 5* pansionat, near the sea
20	2578	12	4	\N	\N	\N	Shengen to Germany for 2 persons
21	2581	13	1	\N	\N	\N	Foreign Passport for two persons very QUICK
22	2596	14	4	\N	\N	100.00	Shcengen NEEDS!
23	2597	14	7	\N	\N	\N	Kiev - Frankfurt, Avia, 1.08 for single peron business class
24	2598	14	1	\N	\N	\N	Foreign passport for single person and QUICK!
25	2661	15	5	57	\N	2200.00	OAE, 5* not less, UAI, for single person near the sea. Need perfect appartaments with SPA for 5 days
26	2668	16	5	57	1500.00	1700.00	Kiprus from 24.07 to 30.07 for 2 adult persons 4* or more.
27	2823	17	5	56	\N	60000.00	Egypt tour for 2 persons from fubruary begining
28	2876	18	5	57	\N	2000.00	Egypt, 4* al inclusive Sharm El Sheih
29	2893	19	5	57	\N	2000.00	Turkey for two persons 7 days Bodrum
471	3373	\N	7	\N	\N	\N	dfgsdfgsdfg 
690	3593	\N	5	\N	\N	\N	Turkey or Egypt on the end of July, 5* with UAI for 3 persons
12	2433	\N	5	\N	\N	\N	Turkey or Egypt on the end of July, 5* with UAI for 3 persons
11	2368	\N	5	57	2000.00	3000.00	Croatia for 2 persons, 5* on June or July beginings
700	2564	\N	4	54	\N	50.00	Shengen visas for 2 persons to Poland
14	2564	\N	4	54	\N	50.00	Shengen visas for 2 persons to Poland
716	3610	\N	4	54	\N	50.00	Shengen visas for 2 persons to Poland
79	2981	\N	4	\N	\N	100.00	Shcengen NEEDS!
43	2940	\N	5	57	\N	2000.00	Egypt, 4* al inclusive Sharm El Sheih
686	3588	\N	4	\N	\N	100.00	Shcengen NEEDS!
687	3589	\N	7	\N	\N	\N	Kiev - Frankfurt, Avia, 1.08 for single peron business class
691	3594	\N	5	\N	\N	\N	Turkey or Egypt on the end of July, 5* with UAI for 3 persons
688	3590	\N	1	\N	\N	\N	Foreign passport for single person and QUICK!
689	3592	\N	5	\N	\N	\N	Turkey or Egypt on the end of July, 5* with UAI for 3 persons
83	2985	\N	4	\N	\N	100.00	Shcengen NEEDS!
84	2986	\N	7	\N	\N	\N	Kiev - Frankfurt, Avia, 1.08 for single peron business class
85	2987	\N	1	\N	\N	\N	Foreign passport for single person and QUICK!
692	3596	\N	5	\N	\N	\N	Turkey or Egypt on the end of July, 5* with UAI for 3 persons
718	3612	\N	4	54	\N	50.00	Shengen visas for 2 persons to Poland
719	3613	\N	5	54	\N	2000.00	Kiprus, for 7 nights for 3 persons (2 adults, 1 child), 5* pansionat, near the sea
720	3614	\N	4	\N	\N	\N	Shengen to Germany for 2 persons
693	2433	\N	5	\N	\N	\N	Turkey or Egypt on the end of July, 5* with UAI for 3 persons
721	3616	\N	4	\N	\N	100.00	Shcengen NEEDS!
722	3617	\N	7	\N	\N	\N	Kiev - Frankfurt, Avia, 1.08 for single peron business class
723	3618	\N	1	\N	\N	\N	Foreign passport for single person and QUICK!
472	3374	\N	4	\N	\N	\N	dfg sdfgsdfg
90	2992	\N	4	\N	\N	100.00	Shcengen NEEDS!
91	2993	\N	7	\N	\N	\N	Kiev - Frankfurt, Avia, 1.08 for single peron business class
92	2994	\N	1	\N	\N	\N	Foreign passport for single person and QUICK!
93	2995	\N	4	\N	\N	100.00	Shcengen NEEDS!
94	2996	\N	7	\N	\N	\N	Kiev - Frankfurt, Avia, 1.08 for single peron business class
95	2997	\N	1	\N	\N	\N	Foreign passport for single person and QUICK!
96	2998	\N	4	\N	\N	100.00	Shcengen NEEDS!
97	2999	\N	7	\N	\N	\N	Kiev - Frankfurt, Avia, 1.08 for single peron business class
98	3000	\N	1	\N	\N	\N	Foreign passport for single person and QUICK!
99	3001	\N	4	\N	\N	100.00	Shcengen NEEDS!
100	3002	\N	7	\N	\N	\N	Kiev - Frankfurt, Avia, 1.08 for single peron business class
101	3003	\N	1	\N	\N	\N	Foreign passport for single person and QUICK!
102	3004	\N	4	\N	\N	100.00	Shcengen NEEDS!
103	3005	\N	7	\N	\N	\N	Kiev - Frankfurt, Avia, 1.08 for single peron business class
104	3006	\N	1	\N	\N	\N	Foreign passport for single person and QUICK!
105	3007	\N	4	\N	\N	100.00	Shcengen NEEDS!
106	3008	\N	7	\N	\N	\N	Kiev - Frankfurt, Avia, 1.08 for single peron business class
107	3009	\N	1	\N	\N	\N	Foreign passport for single person and QUICK!
108	3010	\N	4	\N	\N	100.00	Shcengen NEEDS!
109	3011	\N	7	\N	\N	\N	Kiev - Frankfurt, Avia, 1.08 for single peron business class
110	3012	\N	1	\N	\N	\N	Foreign passport for single person and QUICK!
111	3013	\N	4	\N	\N	100.00	Shcengen NEEDS!
112	3014	\N	7	\N	\N	\N	Kiev - Frankfurt, Avia, 1.08 for single peron business class
113	3015	\N	1	\N	\N	\N	Foreign passport for single person and QUICK!
114	3016	\N	4	\N	\N	100.00	Shcengen NEEDS!
115	3017	\N	7	\N	\N	\N	Kiev - Frankfurt, Avia, 1.08 for single peron business class
116	3018	\N	1	\N	\N	\N	Foreign passport for single person and QUICK!
117	3019	\N	4	\N	\N	100.00	Shcengen NEEDS!
118	3020	\N	7	\N	\N	\N	Kiev - Frankfurt, Avia, 1.08 for single peron business class
119	3021	\N	1	\N	\N	\N	Foreign passport for single person and QUICK!
120	3022	\N	4	\N	\N	100.00	Shcengen NEEDS!
121	3023	\N	7	\N	\N	\N	Kiev - Frankfurt, Avia, 1.08 for single peron business class
122	3024	\N	1	\N	\N	\N	Foreign passport for single person and QUICK!
123	3025	\N	4	\N	\N	100.00	Shcengen NEEDS!
124	3026	\N	7	\N	\N	\N	Kiev - Frankfurt, Avia, 1.08 for single peron business class
125	3027	\N	1	\N	\N	\N	Foreign passport for single person and QUICK!
126	3028	\N	4	\N	\N	100.00	Shcengen NEEDS!
127	3029	\N	7	\N	\N	\N	Kiev - Frankfurt, Avia, 1.08 for single peron business class
128	3030	\N	1	\N	\N	\N	Foreign passport for single person and QUICK!
129	3031	\N	4	\N	\N	100.00	Shcengen NEEDS!
130	3032	\N	7	\N	\N	\N	Kiev - Frankfurt, Avia, 1.08 for single peron business class
131	3033	\N	1	\N	\N	\N	Foreign passport for single person and QUICK!
132	3034	\N	4	\N	\N	100.00	Shcengen NEEDS!
133	3035	\N	7	\N	\N	\N	Kiev - Frankfurt, Avia, 1.08 for single peron business class
134	3036	\N	1	\N	\N	\N	Foreign passport for single person and QUICK!
135	3037	\N	4	\N	\N	100.00	Shcengen NEEDS!
136	3038	\N	7	\N	\N	\N	Kiev - Frankfurt, Avia, 1.08 for single peron business class
137	3039	\N	1	\N	\N	\N	Foreign passport for single person and QUICK!
138	3040	\N	4	\N	\N	100.00	Shcengen NEEDS!
139	3041	\N	7	\N	\N	\N	Kiev - Frankfurt, Avia, 1.08 for single peron business class
140	3042	\N	1	\N	\N	\N	Foreign passport for single person and QUICK!
141	3043	\N	4	\N	\N	100.00	Shcengen NEEDS!
142	3044	\N	7	\N	\N	\N	Kiev - Frankfurt, Avia, 1.08 for single peron business class
143	3045	\N	1	\N	\N	\N	Foreign passport for single person and QUICK!
144	3046	\N	4	\N	\N	100.00	Shcengen NEEDS!
145	3047	\N	7	\N	\N	\N	Kiev - Frankfurt, Avia, 1.08 for single peron business class
146	3048	\N	1	\N	\N	\N	Foreign passport for single person and QUICK!
147	3049	\N	4	\N	\N	100.00	Shcengen NEEDS!
148	3050	\N	7	\N	\N	\N	Kiev - Frankfurt, Avia, 1.08 for single peron business class
149	3051	\N	1	\N	\N	\N	Foreign passport for single person and QUICK!
150	3052	\N	4	\N	\N	100.00	Shcengen NEEDS!
151	3053	\N	7	\N	\N	\N	Kiev - Frankfurt, Avia, 1.08 for single peron business class
152	3054	\N	1	\N	\N	\N	Foreign passport for single person and QUICK!
153	3055	\N	4	\N	\N	100.00	Shcengen NEEDS!
154	3056	\N	7	\N	\N	\N	Kiev - Frankfurt, Avia, 1.08 for single peron business class
155	3057	\N	1	\N	\N	\N	Foreign passport for single person and QUICK!
156	3058	\N	4	\N	\N	100.00	Shcengen NEEDS!
157	3059	\N	7	\N	\N	\N	Kiev - Frankfurt, Avia, 1.08 for single peron business class
158	3060	\N	1	\N	\N	\N	Foreign passport for single person and QUICK!
159	3061	\N	4	\N	\N	100.00	Shcengen NEEDS!
160	3062	\N	7	\N	\N	\N	Kiev - Frankfurt, Avia, 1.08 for single peron business class
161	3063	\N	1	\N	\N	\N	Foreign passport for single person and QUICK!
162	3064	\N	4	\N	\N	100.00	Shcengen NEEDS!
163	3065	\N	7	\N	\N	\N	Kiev - Frankfurt, Avia, 1.08 for single peron business class
164	3066	\N	1	\N	\N	\N	Foreign passport for single person and QUICK!
165	3067	\N	4	\N	\N	100.00	Shcengen NEEDS!
166	3068	\N	7	\N	\N	\N	Kiev - Frankfurt, Avia, 1.08 for single peron business class
167	3069	\N	1	\N	\N	\N	Foreign passport for single person and QUICK!
168	3070	\N	4	\N	\N	100.00	Shcengen NEEDS!
169	3071	\N	7	\N	\N	\N	Kiev - Frankfurt, Avia, 1.08 for single peron business class
170	3072	\N	1	\N	\N	\N	Foreign passport for single person and QUICK!
171	3073	\N	4	\N	\N	100.00	Shcengen NEEDS!
172	3074	\N	7	\N	\N	\N	Kiev - Frankfurt, Avia, 1.08 for single peron business class
173	3075	\N	1	\N	\N	\N	Foreign passport for single person and QUICK!
174	3076	\N	4	\N	\N	100.00	Shcengen NEEDS!
175	3077	\N	7	\N	\N	\N	Kiev - Frankfurt, Avia, 1.08 for single peron business class
176	3078	\N	1	\N	\N	\N	Foreign passport for single person and QUICK!
177	3079	\N	4	\N	\N	100.00	Shcengen NEEDS!
178	3080	\N	7	\N	\N	\N	Kiev - Frankfurt, Avia, 1.08 for single peron business class
179	3081	\N	1	\N	\N	\N	Foreign passport for single person and QUICK!
180	3082	\N	4	\N	\N	100.00	Shcengen NEEDS!
181	3083	\N	7	\N	\N	\N	Kiev - Frankfurt, Avia, 1.08 for single peron business class
182	3084	\N	1	\N	\N	\N	Foreign passport for single person and QUICK!
183	3085	\N	4	\N	\N	100.00	Shcengen NEEDS!
184	3086	\N	7	\N	\N	\N	Kiev - Frankfurt, Avia, 1.08 for single peron business class
185	3087	\N	1	\N	\N	\N	Foreign passport for single person and QUICK!
186	3088	\N	4	\N	\N	100.00	Shcengen NEEDS!
187	3089	\N	7	\N	\N	\N	Kiev - Frankfurt, Avia, 1.08 for single peron business class
188	3090	\N	1	\N	\N	\N	Foreign passport for single person and QUICK!
189	3091	\N	4	\N	\N	100.00	Shcengen NEEDS!
190	3092	\N	7	\N	\N	\N	Kiev - Frankfurt, Avia, 1.08 for single peron business class
191	3093	\N	1	\N	\N	\N	Foreign passport for single person and QUICK!
192	3094	\N	4	\N	\N	100.00	Shcengen NEEDS!
193	3095	\N	7	\N	\N	\N	Kiev - Frankfurt, Avia, 1.08 for single peron business class
194	3096	\N	4	\N	\N	100.00	Shcengen NEEDS!
195	3097	\N	7	\N	\N	\N	Kiev - Frankfurt, Avia, 1.08 for single peron business class
196	3098	\N	1	\N	\N	\N	Foreign passport for single person and QUICK!
197	3099	\N	4	\N	\N	100.00	Shcengen NEEDS!
198	3100	\N	7	\N	\N	\N	Kiev - Frankfurt, Avia, 1.08 for single peron business class
199	3101	\N	1	\N	\N	\N	Foreign passport for single person and QUICK!
200	3102	\N	4	\N	\N	100.00	Shcengen NEEDS!
201	3103	\N	7	\N	\N	\N	Kiev - Frankfurt, Avia, 1.08 for single peron business class
202	3104	\N	1	\N	\N	\N	Foreign passport for single person and QUICK!
203	3105	\N	4	\N	\N	100.00	Shcengen NEEDS!
204	3106	\N	7	\N	\N	\N	Kiev - Frankfurt, Avia, 1.08 for single peron business class
205	3107	\N	1	\N	\N	\N	Foreign passport for single person and QUICK!
206	3108	\N	4	\N	\N	100.00	Shcengen NEEDS!
207	3109	\N	7	\N	\N	\N	Kiev - Frankfurt, Avia, 1.08 for single peron business class
208	3110	\N	1	\N	\N	\N	Foreign passport for single person and QUICK!
209	3111	\N	4	\N	\N	100.00	Shcengen NEEDS!
210	3112	\N	7	\N	\N	\N	Kiev - Frankfurt, Avia, 1.08 for single peron business class
211	3113	\N	1	\N	\N	\N	Foreign passport for single person and QUICK!
212	3114	\N	4	\N	\N	100.00	Shcengen NEEDS!
213	3115	\N	7	\N	\N	\N	Kiev - Frankfurt, Avia, 1.08 for single peron business class
214	3116	\N	1	\N	\N	\N	Foreign passport for single person and QUICK!
215	3117	\N	4	\N	\N	100.00	Shcengen NEEDS!
216	3118	\N	7	\N	\N	\N	Kiev - Frankfurt, Avia, 1.08 for single peron business class
217	3119	\N	1	\N	\N	\N	Foreign passport for single person and QUICK!
218	3120	\N	4	\N	\N	100.00	Shcengen NEEDS!
694	2433	\N	5	\N	\N	\N	Turkey or Egypt on the end of July, 5* with UAI for 3 persons
695	2433	\N	5	\N	\N	\N	Turkey or Egypt on the end of July, 5* with UAI for 3 persons
711	3605	\N	4	54	\N	50.00	Shengen visas for 2 persons to Poland
696	2368	\N	5	57	2000.00	3000.00	Croatia for 2 persons, 5* on June or July beginings
726	3658	67	5	57	\N	2000.00	Turkey for two persons 7 days Bodrum
219	3121	\N	7	\N	\N	\N	Kiev - Frankfurt, Avia, 1.08 for single peron business class
220	3122	\N	1	\N	\N	\N	Foreign passport for single person and QUICK!
221	3123	\N	4	\N	\N	100.00	Shcengen NEEDS!
222	3124	\N	7	\N	\N	\N	Kiev - Frankfurt, Avia, 1.08 for single peron business class
223	3125	\N	1	\N	\N	\N	Foreign passport for single person and QUICK!
224	3126	\N	4	\N	\N	100.00	Shcengen NEEDS!
225	3127	\N	7	\N	\N	\N	Kiev - Frankfurt, Avia, 1.08 for single peron business class
226	3128	\N	1	\N	\N	\N	Foreign passport for single person and QUICK!
227	3129	\N	4	\N	\N	100.00	Shcengen NEEDS!
228	3130	\N	7	\N	\N	\N	Kiev - Frankfurt, Avia, 1.08 for single peron business class
229	3131	\N	1	\N	\N	\N	Foreign passport for single person and QUICK!
230	3132	\N	4	\N	\N	100.00	Shcengen NEEDS!
231	3133	\N	7	\N	\N	\N	Kiev - Frankfurt, Avia, 1.08 for single peron business class
232	3134	\N	1	\N	\N	\N	Foreign passport for single person and QUICK!
233	3135	\N	4	\N	\N	100.00	Shcengen NEEDS!
234	3136	\N	7	\N	\N	\N	Kiev - Frankfurt, Avia, 1.08 for single peron business class
235	3137	\N	1	\N	\N	\N	Foreign passport for single person and QUICK!
236	3138	\N	4	\N	\N	100.00	Shcengen NEEDS!
237	3139	\N	7	\N	\N	\N	Kiev - Frankfurt, Avia, 1.08 for single peron business class
238	3140	\N	1	\N	\N	\N	Foreign passport for single person and QUICK!
239	3141	\N	4	\N	\N	100.00	Shcengen NEEDS!
240	3142	\N	7	\N	\N	\N	Kiev - Frankfurt, Avia, 1.08 for single peron business class
241	3143	\N	1	\N	\N	\N	Foreign passport for single person and QUICK!
242	3144	\N	4	\N	\N	100.00	Shcengen NEEDS!
243	3145	\N	7	\N	\N	\N	Kiev - Frankfurt, Avia, 1.08 for single peron business class
244	3146	\N	1	\N	\N	\N	Foreign passport for single person and QUICK!
245	3147	\N	4	\N	\N	100.00	Shcengen NEEDS!
246	3148	\N	7	\N	\N	\N	Kiev - Frankfurt, Avia, 1.08 for single peron business class
247	3149	\N	1	\N	\N	\N	Foreign passport for single person and QUICK!
248	3150	\N	4	\N	\N	100.00	Shcengen NEEDS!
249	3151	\N	7	\N	\N	\N	Kiev - Frankfurt, Avia, 1.08 for single peron business class
250	3152	\N	1	\N	\N	\N	Foreign passport for single person and QUICK!
251	3153	\N	4	\N	\N	100.00	Shcengen NEEDS!
252	3154	\N	7	\N	\N	\N	Kiev - Frankfurt, Avia, 1.08 for single peron business class
253	3155	\N	1	\N	\N	\N	Foreign passport for single person and QUICK!
254	3156	\N	4	\N	\N	100.00	Shcengen NEEDS!
255	3157	\N	7	\N	\N	\N	Kiev - Frankfurt, Avia, 1.08 for single peron business class
256	3158	\N	1	\N	\N	\N	Foreign passport for single person and QUICK!
257	3159	\N	4	\N	\N	100.00	Shcengen NEEDS!
258	3160	\N	7	\N	\N	\N	Kiev - Frankfurt, Avia, 1.08 for single peron business class
259	3161	\N	1	\N	\N	\N	Foreign passport for single person and QUICK!
260	3162	\N	4	\N	\N	100.00	Shcengen NEEDS!
261	3163	\N	7	\N	\N	\N	Kiev - Frankfurt, Avia, 1.08 for single peron business class
262	3164	\N	1	\N	\N	\N	Foreign passport for single person and QUICK!
263	3165	\N	4	\N	\N	100.00	Shcengen NEEDS!
264	3166	\N	7	\N	\N	\N	Kiev - Frankfurt, Avia, 1.08 for single peron business class
265	3167	\N	1	\N	\N	\N	Foreign passport for single person and QUICK!
266	3168	\N	4	\N	\N	100.00	Shcengen NEEDS!
267	3169	\N	7	\N	\N	\N	Kiev - Frankfurt, Avia, 1.08 for single peron business class
268	3170	\N	1	\N	\N	\N	Foreign passport for single person and QUICK!
269	3171	\N	4	\N	\N	100.00	Shcengen NEEDS!
270	3172	\N	7	\N	\N	\N	Kiev - Frankfurt, Avia, 1.08 for single peron business class
271	3173	\N	1	\N	\N	\N	Foreign passport for single person and QUICK!
272	3174	\N	4	\N	\N	100.00	Shcengen NEEDS!
273	3175	\N	7	\N	\N	\N	Kiev - Frankfurt, Avia, 1.08 for single peron business class
274	3176	\N	1	\N	\N	\N	Foreign passport for single person and QUICK!
275	3177	\N	1	\N	\N	\N	Foreign passport for single person and QUICK!
276	3178	\N	4	\N	\N	100.00	Shcengen NEEDS!
277	3179	\N	7	\N	\N	\N	Kiev - Frankfurt, Avia, 1.08 for single peron business class
278	3180	\N	1	\N	\N	\N	Foreign passport for single person and QUICK!
713	3607	\N	4	54	\N	50.00	Shengen visas for 2 persons to Poland
727	3677	68	5	\N	\N	\N	Turkey for 7 days
698	2564	\N	4	54	\N	50.00	Shengen visas for 2 persons to Poland
699	2564	\N	4	54	\N	50.00	Shengen visas for 2 persons to Poland
714	3608	\N	4	54	\N	50.00	Shengen visas for 2 persons to Poland
715	3609	\N	4	54	\N	50.00	Shengen visas for 2 persons to Poland
680	3582	\N	4	\N	\N	100.00	Shcengen NEEDS!
681	3583	\N	7	\N	\N	\N	Kiev - Frankfurt, Avia, 1.08 for single peron business class
682	3584	\N	1	\N	\N	\N	Foreign passport for single person and QUICK!
683	3585	\N	4	\N	\N	100.00	Shcengen NEEDS!
684	3586	\N	7	\N	\N	\N	Kiev - Frankfurt, Avia, 1.08 for single peron business class
685	3587	\N	1	\N	\N	\N	Foreign passport for single person and QUICK!
\.


--
-- Name: lead_item_id_seq; Type: SEQUENCE SET; Schema: public; Owner: -
--

SELECT pg_catalog.setval('lead_item_id_seq', 727, true);


--
-- Data for Name: lead_offer; Type: TABLE DATA; Schema: public; Owner: -
--

COPY lead_offer (id, resource_id, lead_id, service_id, currency_id, supplier_id, price, status, descr) FROM stdin;
2	2299	\N	5	57	87	2450.00	0	\N
3	2301	2	5	57	87	2250.00	0	Turkey, 5*, UAI, Kemer, 2 persons, 10 - 20 of Jule
4	2306	1	4	57	90	100.00	2	This price only
5	2331	4	5	57	93	3300.00	1	Turkey Kemer, 5* UAI for 2 persons and child
6	2332	4	4	54	100	65.00	1	for 2 person single visa
7	2369	5	5	56	92	57090.00	1	Radisson Blu Resort & Spa Dubrovnik Sun Gardens 5*, Croatia, Orashac, for 2 persons
9	2437	6	5	57	99	1400.00	1	Egypt, Sharm El Sheih, 5 UAI, 10 days for 2 adult persons and 1 child
8	2435	6	5	57	100	1800.00	2	Turkey Kemer for 7 days with AI for 2 adults and single child. Hotel is uknown this is hot tour with caurosel.\r\n\r\nThis offer was not approved by customer, its too expensive
10	2670	16	5	57	100	1720.00	1	4* pansionat, 2 adult from 24.07 to 30.07
11	2825	17	5	57	87	2300.00	1	Sharm el Sheih from 12.02-19.02
12	3680	68	5	57	87	1345.00	1	CRYSTAL PARAISO VERDE RESORT 5 *Тип номера: Standard 2 Расположен : - Линия :вторая Подогреваемый бассейн : - От центра / от аэропорта :50 / 40Количество номеров :668 Интернет : есть Территория отеля : 42 000 кв.м.
\.


--
-- Name: lead_offer_id_seq; Type: SEQUENCE SET; Schema: public; Owner: -
--

SELECT pg_catalog.setval('lead_offer_id_seq', 12, true);


--
-- Name: licence_id_seq; Type: SEQUENCE SET; Schema: public; Owner: -
--

SELECT pg_catalog.setval('licence_id_seq', 65, true);


--
-- Data for Name: location; Type: TABLE DATA; Schema: public; Owner: -
--

COPY location (id, resource_id, name, region_id) FROM stdin;
1	1091	Kestel	12
3	1093	Airport Julyany (Kiev)	7
5	1097	Simferopol	13
6	1102	Munich	15
14	1287	Kiev	7
15	1289	Borispol Airport	7
16	1291	Opatiya	23
17	1319	Kirish	10
18	1321	Okurcalar	12
19	1326	Kemer	10
20	1329	Belek	24
21	1333	Konacli	25
22	1337	Kizilagac	26
23	1341	Paphos	27
24	1345	Marino Centro	28
25	1348	Terrasini	29
26	1353	Hersonissos	30
27	1356	La Pineda	31
28	1359	Salou	31
29	1361	Lorett de Marr	18
30	1363	Hurgada	9
31	1366	Nabk Bey	32
32	1385	Svalyava	33
33	1417	Dnepropetrovsk	34
34	1468	Lviv	22
35	1588	Diagoras Airport	35
36	1589	Rhodos	35
37	1648	Saint-Tropez	36
39	2374	Orashac	38
40	2674	Larnaka	39
41	2896	Bodrum	40
42	3681	Bogazkent	24
\.


--
-- Name: location_id_seq; Type: SEQUENCE SET; Schema: public; Owner: -
--

SELECT pg_catalog.setval('location_id_seq', 42, true);


--
-- Data for Name: navigation; Type: TABLE DATA; Schema: public; Owner: -
--

COPY navigation (id, position_id, parent_id, name, url, icon_cls, sort_order, resource_id, separator_before, action) FROM stdin;
41	5	\N	Home	/	fa fa-home	1	1079	f	\N
47	5	\N	For Test	/	fa fa-credit-card	2	1253	f	\N
53	4	\N	Finance	/	fa fa-credit-card	7	1394	f	\N
156	4	53	Billing	/	\N	10	1905	f	\N
107	4	\N	Home	/	fa fa-home	1	1777	f	\N
32	4	\N	Sales	/	fa fa-legal	2	998	f	\N
21	4	\N	Clientage	/	fa fa-briefcase	3	864	f	\N
26	4	\N	Marketing	/	fa fa-bullhorn	4	900	f	\N
10	4	\N	HR	/	fa fa-group	5	780	f	\N
18	4	\N	Company	/	fa fa-building-o	6	837	f	\N
23	4	\N	Directories	/	fa fa-book	8	873	f	\N
152	4	\N	Reports	/	fa fa-pie-chart	9	1895	f	\N
155	4	53	Payments	/	\N	12	1904	f	\N
157	4	53	Currencies		\N	7	1906	t	\N
42	4	159	Hotels List	/hotels	\N	5	1080	f	\N
43	4	158	Locations	/locations	\N	3	1089	f	\N
50	4	53	Services List	/services	\N	6	1312	f	\N
45	4	53	Banks	/banks	\N	6	1212	f	tab_open
153	4	152	Turnovers	/turnovers	\N	2	1896	f	tab_open
51	4	32	Invoices	/invoices	\N	5	1368	t	tab_open
9	4	8	Resource Types	/resources_types	\N	1	779	f	\N
13	4	10	Employees	/employees	\N	1	790	f	\N
54	4	157	Currencies Rates	/currencies_rates	\N	8	1395	f	\N
55	4	156	Accounts Items	/accounts_items	\N	3	1425	f	\N
56	4	155	Income Payments	/incomes	\N	9	1434	f	\N
57	4	156	Accounts	/accounts	\N	1	1436	f	\N
14	4	10	Employees Appointments	/appointments	\N	2	791	f	\N
174	4	156	Vat Settings	/vats	\N	5	2514	t	tab_open
15	4	8	Users	/users	\N	3	792	f	\N
17	4	157	Currencies List	/currencies	\N	7	802	f	\N
19	4	18	Structures	/structures	\N	1	838	f	\N
20	4	18	Positions	/positions	\N	2	863	f	\N
22	4	21	Persons	/persons	\N	1	866	f	\N
24	4	158	Countries	/countries	\N	4	874	f	\N
25	4	158	Regions	/regions	\N	3	879	f	\N
27	4	26	Advertising Sources	/advsources	\N	1	902	f	\N
28	4	159	Hotels Categories	/hotelcats	\N	6	910	f	\N
29	4	159	Rooms Categories	/roomcats	\N	7	911	f	\N
30	4	159	Accomodations	/accomodations	\N	10	955	f	tab_open
31	4	159	Food Categories	/foodcats	\N	9	956	f	\N
61	4	155	Outgoing Payments	/outgoings	\N	10	1571	f	\N
150	4	156	Subaccounts	/subaccounts	\N	2	1798	f	\N
151	4	155	Cross Payments	/crosspayments	\N	11	1885	f	\N
36	4	23	Business Persons	/bpersons	\N	4	1008	f	tab_open
60	4	23	Suppliers	/suppliers	\N	1	1550	f	tab_open
165	4	8	Company	/companies/edit	\N	4	1975	t	dialog_open
166	4	32	Leads	/leads	\N	2	2048	f	tab_open
168	4	32	Orders	/orders	\N	4	2101	f	tab_open
158	4	23	Geography	/	\N	10	1907	f	\N
159	4	23	Hotels	/	\N	9	1908	t	\N
169	4	23	Transfers	/transfers	\N	5	2128	t	tab_open
170	4	23	Transport	/transports	\N	6	2136	f	tab_open
171	4	23	Suppliers Types	/suppliers_types	\N	3	2219	f	tab_open
172	4	23	Contracts	/contracts	\N	2	2222	f	tab_open
173	4	23	Ticket Class	/tickets_classes	\N	7	2245	f	tab_open
175	4	23	Persons Categories	/persons_categories	\N	8	2552	f	tab_open
182	6	\N	Home	/	fa fa-home	1	2602	f	\N
183	6	\N	Sales	/	fa fa-legal	2	2603	f	\N
184	6	\N	Clientage	/	fa fa-briefcase	3	2604	f	\N
185	6	\N	Marketing	/	fa fa-bullhorn	4	2605	f	\N
188	6	\N	Directories	/	fa fa-book	8	2608	f	\N
192	6	229	Hotels List	/hotels	\N	5	2612	f	\N
193	6	228	Locations	/locations	\N	3	2613	f	\N
197	6	183	Invoices	/invoices	\N	5	2617	t	tab_open
211	6	184	Persons	/persons	\N	1	2631	f	\N
212	6	228	Countries	/countries	\N	4	2632	f	\N
213	6	228	Regions	/regions	\N	3	2633	f	\N
214	6	185	Advertising Sources	/advsources	\N	1	2634	f	\N
215	6	229	Hotels Categories	/hotelcats	\N	6	2635	f	\N
216	6	229	Rooms Categories	/roomcats	\N	7	2636	f	\N
217	6	229	Accomodations	/accomodations	\N	10	2637	f	tab_open
218	6	229	Food Categories	/foodcats	\N	9	2638	f	\N
222	6	188	Business Persons	/bpersons	\N	4	2642	f	tab_open
223	6	188	Suppliers	/suppliers	\N	1	2643	f	tab_open
226	6	183	Leads	/leads	\N	2	2646	f	tab_open
227	6	183	Orders	/orders	\N	4	2647	f	tab_open
228	6	188	Geography	/	\N	10	2648	f	\N
229	6	188	Hotels	/	\N	9	2649	t	\N
230	6	188	Transfers	/transfers	\N	5	2650	t	tab_open
231	6	188	Transport	/transports	\N	6	2651	f	tab_open
232	6	188	Suppliers Types	/suppliers_types	\N	3	2652	f	tab_open
233	6	188	Contracts	/contracts	\N	2	2653	f	tab_open
234	6	188	Ticket Class	/tickets_classes	\N	7	2654	f	tab_open
235	6	188	Persons Categories	/persons_categories	\N	8	2655	f	tab_open
236	4	26	Campaigns	/campaigns	\N	3	2741	t	tab_open
237	4	10	Dismissals	/dismissals	\N	3	2883	t	tab_open
8	4	\N	System	/	fa fa-cog	11	778	f	tab_open
239	4	238	Assign resources	/assigns/assign	\N	1	2889	f	dialog_open
238	4	\N	Tools	/	fa fa-gears	10	2888	f	tab_open
\.


--
-- Data for Name: note; Type: TABLE DATA; Schema: public; Owner: -
--

COPY note (id, resource_id, title, descr) FROM stdin;
1	1800	Для тестирования	\N
2	1801	For testing purpose	\N
3	1802	This resource type is under qustion	<b>Seems we need new schema for accounting.</b>
4	1803	I had asked questions for expert in accounting	Alexander said that the most appopriate schema is to use accounts for each object such as persons, touroperators and so on
5	1804	Need to ask questions to expert	\N
18	1833	Main Developer of TravelCRM	The main developer of TravelCRM
24	1872	For users	This subaccount is for Person Garkaviy Andrew
25	1924	Passport detalized	There is no information about passport
26	1931	Resource Task	This is for resource only
27	1979	Test Note	Description to test note
28	1981	VIP User	This user is for VIP
29	2012	Good Hotel	Edit description for Hotels note
30	2065	Note without source resource	This note was created directly from Tools Panel
31	2087	Good customer	Good customer in any case
32	2092	Failure	Customer failure from offers
33	2096	For test purpose only	\N
34	2097	Failure 2	\N
35	2098	New property SERVICE_TYPE	Add new property for services - SERVICE_TYPE. There is 2 types - common and tour.
36	2132	New note for Lastovec	Test Note for User
42	2302	Cant call	\N
43	2370	Very promissed	Very promised client, redy to make business
59	2663	Details contacts	Need to details contacts for this person. He can be perfect VIP client
60	2820	Important	Make this very carefully
61	2826	offer taken	Offer taken by client\r\n
62	2909	New Note	hello, its test note
63	2919	title	it's simple note
64	2921	test	test notes
65	2923	note	note for source
66	2924	my note 1	my note 1
67	2925	sdfasdf	 sdfasdfs df
68	2926	werqwer 	qwer qwer
69	3630	zxvbzx vzxcv	zxc vzxcvzxcv
70	3631	zxvbzx vzxcv	zxc vzxcvzxcv
\.


--
-- Name: note_id_seq; Type: SEQUENCE SET; Schema: public; Owner: -
--

SELECT pg_catalog.setval('note_id_seq', 70, true);


--
-- Data for Name: note_resource; Type: TABLE DATA; Schema: public; Owner: -
--

COPY note_resource (note_id, resource_id) FROM stdin;
3	1797
5	1797
24	1868
29	1470
27	1980
33	970
42	2075
31	2088
32	2052
34	2052
43	2372
35	1413
18	784
28	3
36	2126
59	2662
61	2824
68	2658
62	2887
\.


--
-- Data for Name: note_upload; Type: TABLE DATA; Schema: public; Owner: -
--

COPY note_upload (note_id, upload_id) FROM stdin;
59	17
62	21
\.


--
-- Data for Name: notification; Type: TABLE DATA; Schema: public; Owner: -
--

COPY notification (id, resource_id, title, descr, created, url) FROM stdin;
3	1945	A reminder of the task #42	Do not forget about task!	2014-12-14 19:51:00.013635+02	\N
4	1946	A reminder of the task #42	Do not forget about task!	2014-12-14 20:31:00.012771+02	\N
5	1947	A reminder of the task #40	Do not forget about task!	2014-12-14 20:32:00.061386+02	\N
6	1948	A reminder of the task #42	Do not forget about task!	2014-12-14 20:34:00.011181+02	\N
7	1949	A reminder of the task #42	Do not forget about task!	2014-12-14 20:35:00.011903+02	\N
8	1950	A reminder of the task #42	Do not forget about task!	2014-12-14 20:38:00.01699+02	\N
9	1959	A reminder of the task #44	Do not forget about task!	2014-12-21 19:21:00.016784+02	\N
10	1961	Task: #44	Test new scheduler realization	2014-12-21 19:44:00.016315+02	\N
11	1963	Task: Test	Test	2014-12-24 21:33:00.014126+02	\N
12	1965	Task: For testing	For testing	2014-12-25 21:06:00.013657+02	\N
13	1972	Task: Check Payments	Check Payments	2015-01-04 12:46:00.019127+02	\N
14	1973	Task: Check Payments	Check Payments	2015-01-04 14:06:00.016859+02	\N
15	1984	Task: Test	Test	2015-01-13 17:01:00.018967+02	\N
16	1986	Task: Test 2	Test 2	2015-01-13 17:04:00.011637+02	\N
17	2010	Task: I decided to try to follow the postgres approach as directly as possible and came up with the following migration.	I decided to try to follow the postgres approach as directly as possible and came up with the following migration.	2015-01-21 21:45:00.013037+02	\N
18	2064	Task: Revert status after testing	Revert status after testing	2015-03-08 18:42:00.01327+02	\N
19	2067	Task: Notifications testing #2	Notifications testing #2	2015-03-09 17:17:00.020674+02	\N
20	2069	Task: Test Notification resource link	Test Notification resource link	2015-03-09 19:29:00.018282+02	\N
21	2076	Task: Call about discounts	Call about discounts	2015-03-21 17:10:00.014771+02	\N
22	2133	Task: Task For Lastovec	Task For Lastovec	2015-04-22 15:40:00.007831+03	\N
23	2198	Task: Check reminder	Check reminder	2015-05-03 13:35:00.039271+03	\N
24	2304	Task: Call about offer	Call about offer	2015-05-24 17:20:00.01303+03	\N
25	2592	Task: JEasyui 1.4.3 migration	JEasyui 1.4.3 migration	2015-07-19 23:55:00.094469+03	\N
26	2672	Task: Call to customer!	Call to customer!	2015-07-22 11:55:00.063723+03	\N
27	2731	Task: Check invoice	Check invoice	2015-07-22 15:20:00.039585+03	\N
29	2779	Your User profile was changed		2015-10-24 14:58:32.749242+03	\N
30	2780	Your User profile was changed		2015-10-24 14:59:57.669772+03	\N
31	2781	Your User profile was changed		2015-10-24 15:00:56.289933+03	\N
32	2782	Your User profile was changed		2015-10-24 15:06:44.559696+03	\N
33	2783	Your User profile was changed		2015-10-24 15:13:07.98256+03	\N
34	2784	Your User profile was changed		2015-10-24 15:16:03.818888+03	\N
35	2817	Test for notifications 2	Test for notifications 2	2015-11-29 18:06:00.016338+02	\N
36	2819	Check for notofications	Check for notofications	2015-11-29 19:07:00.054887+02	\N
\.


--
-- Name: notification_id_seq; Type: SEQUENCE SET; Schema: public; Owner: -
--

SELECT pg_catalog.setval('notification_id_seq', 36, true);


--
-- Data for Name: notification_resource; Type: TABLE DATA; Schema: public; Owner: -
--

COPY notification_resource (notification_id, resource_id) FROM stdin;
21	2075
29	2484
30	2484
31	894
32	894
34	894
\.


--
-- Data for Name: order; Type: TABLE DATA; Schema: public; Owner: -
--

COPY "order" (id, deal_date, resource_id, customer_id, advsource_id, descr, lead_id, status) FROM stdin;
4	2015-05-10	2275	17	4	\N	\N	0
3	2015-05-10	2267	43	5	\N	\N	0
2	2015-05-10	2264	44	6	\N	\N	0
5	2015-04-29	2280	42	1	Test description	\N	0
6	2015-05-16	2284	36	2	\N	\N	0
9	2015-06-06	2382	53	6	\N	5	1
8	2015-06-02	2345	50	2	\N	4	1
10	2015-07-22	2690	66	2	\N	16	1
7	2015-05-26	2317	48	4	For Lead testing	3	3
11	2016-01-02	2831	70	6	\N	17	0
12	2016-05-22	2902	75	5	\N	19	3
13	2016-05-22	2902	75	5	\N	19	3
14	2016-05-22	2902	75	5	\N	19	3
15	2016-07-18	3686	77	6	\N	68	1
\.


--
-- Name: order_id_seq; Type: SEQUENCE SET; Schema: public; Owner: -
--

SELECT pg_catalog.setval('order_id_seq', 15, true);


--
-- Data for Name: order_item; Type: TABLE DATA; Schema: public; Owner: -
--

COPY order_item (id, resource_id, order_id, service_id, currency_id, price, status, status_date, status_info, supplier_id, discount_sum, discount_percent) FROM stdin;
28	2254	\N	7	57	420.00	0	\N	\N	97	0.00	0.00
29	2256	\N	7	57	420.00	0	\N	\N	97	0.00	0.00
30	2258	\N	7	57	420.00	0	\N	\N	97	0.00	0.00
34	2273	4	4	57	150.00	1	2015-05-10	\N	102	0.00	0.00
33	2265	3	5	57	2400.00	0	\N	\N	94	0.00	0.00
31	2260	2	7	57	422.00	0	\N	\N	97	0.00	0.00
32	2262	2	7	57	387.00	0	\N	\N	97	0.00	0.00
37	2285	\N	5	57	2780.00	1	2015-05-16	\N	87	0.00	0.00
38	2287	\N	7	54	640.00	2	2015-05-16	\N	97	0.00	0.00
36	2282	6	5	57	3201.00	0	2015-05-16	\N	87	0.00	2.00
35	2278	5	1	57	40.00	1	2015-05-10	passport had been received by customer	102	0.00	0.00
40	2341	8	5	57	3300.00	1	2015-06-02	\N	93	0.00	3.00
43	2379	9	4	54	300.00	1	2015-06-06	#678975-HJYT	102	0.00	0.00
42	2377	9	5	56	57090.00	1	2015-06-06	#5677912TY	92	1200.00	2.50
39	2315	7	5	57	1760.00	1	2015-05-26	#878qweiu	87	0.00	0.00
41	2343	8	4	54	130.00	2	2015-06-20	#6509-9	100	0.00	2.00
44	2686	10	5	57	1720.00	1	2015-07-22	BOOKING #: 1239642	101	0.00	2.00
45	2688	10	4	57	30.00	1	2015-07-22	succesfully confirmed	101	0.00	0.00
46	2827	11	5	57	2300.00	1	2016-01-02	TREYW6754-16	87	0.00	0.00
47	2837	11	1	54	25.00	1	2016-02-01	\N	87	0.00	5.00
48	2899	12	5	57	1890.00	1	2016-05-22	\N	101	0.00	0.00
49	3660	\N	5	57	1890.00	1	2016-05-22	\N	101	0.00	0.00
50	3662	13	5	57	1890.00	1	2016-05-22	\N	101	0.00	0.00
51	3663	14	5	57	1890.00	1	2016-05-22	\N	101	0.00	0.00
52	3664	\N	5	57	2000.00	1	2016-05-22	\N	101	0.00	0.00
53	3666	\N	5	57	1890.00	1	2016-05-22	\N	101	0.00	0.00
54	3684	15	5	57	1345.00	1	2016-07-18	TYU-0908732	87	0.00	2.00
\.


--
-- Name: order_item_id_seq; Type: SEQUENCE SET; Schema: public; Owner: -
--

SELECT pg_catalog.setval('order_item_id_seq', 54, true);


--
-- Data for Name: outgoing; Type: TABLE DATA; Schema: public; Owner: -
--

COPY outgoing (id, resource_id, account_item_id, date, subaccount_id, sum, descr) FROM stdin;
13	1903	3	2014-11-18	10	8200.00	\N
16	1915	6	2014-11-23	12	15000.00	\N
23	2467	18	2015-06-14	23	15000.00	\N
21	2463	17	2015-06-14	22	108.00	Test for outgoing cashflows
24	2863	18	2016-01-02	26	1600.00	\N
25	2867	36	2016-01-02	27	760.35	\N
28	3693	18	2016-07-18	23	30000.00	\N
29	3694	18	2016-07-18	23	2000.00	\N
\.


--
-- Data for Name: outgoing_cashflow; Type: TABLE DATA; Schema: public; Owner: -
--

COPY outgoing_cashflow (outgoing_id, cashflow_id) FROM stdin;
23	258
21	259
24	264
24	265
25	266
25	267
28	280
28	281
29	284
\.


--
-- Name: outgoing_id_seq; Type: SEQUENCE SET; Schema: public; Owner: -
--

SELECT pg_catalog.setval('outgoing_id_seq', 29, true);


--
-- Data for Name: passport; Type: TABLE DATA; Schema: public; Owner: -
--

COPY passport (id, country_id, num, descr, resource_id, end_date, passport_type) FROM stdin;
1	14	231654	\N	1199	\N	0
2	14	132456	\N	1200	\N	0
4	12	1234564	\N	1205	\N	0
5	14	Svxzvxz	xzcvxzcv	1206	\N	0
14	3	RT678123	Foreign Passport	1584	2015-08-21	0
15	3	TY67342	\N	1592	2015-08-28	0
17	3	ER781263	\N	1613	\N	0
21	3	RT7892634	\N	1643	2017-07-19	0
22	3	RT632453	\N	1651	2019-08-16	0
25	9	TY78534	\N	2019	2018-06-06	0
6	3	НК028057	\N	1261	\N	1
7	3	HJ123456	new passport	1265	\N	1
9	3	HK123456	\N	1376	\N	1
10	3	HK12345	\N	1381	\N	1
11	3	PO123456	\N	1406	\N	1
12	3	TY3456	\N	1467	2016-04-10	1
13	3	YU78932	Ukrainian citizen passport	1582	\N	1
16	3	IO98676	\N	1612	\N	1
18	3	НК089564	\N	1622	\N	1
19	3	RE6712346	\N	1625	\N	1
20	3	HJ789665	\N	1642	\N	1
23	3	RTY	\N	1925	\N	1
24	3	HH67187	\N	2014	\N	1
8	3	РМ12345	from Kiev region	1286	2015-06-19	1
26	3	TT6785412	\N	2588	\N	0
27	3	HGTR789123	\N	2589	2015-07-31	1
28	3	TY56241	\N	2677	2018-02-07	1
29	3	YT76811	\N	2680	\N	0
30	3	RT61253	\N	2681	\N	1
31	3	YU678251	\N	2683	\N	0
32	3	TY65142	\N	2685	2018-04-06	1
\.


--
-- Name: passport_id_seq; Type: SEQUENCE SET; Schema: public; Owner: -
--

SELECT pg_catalog.setval('passport_id_seq', 32, true);


--
-- Data for Name: passport_upload; Type: TABLE DATA; Schema: public; Owner: -
--

COPY passport_upload (passport_id, upload_id) FROM stdin;
32	20
\.


--
-- Data for Name: permision; Type: TABLE DATA; Schema: public; Owner: -
--

COPY permision (id, resource_type_id, position_id, permisions, structure_id, scope_type) FROM stdin;
34	61	4	{view,add,edit,delete}	\N	all
53	2	5	{view,add,edit,delete}	\N	all
54	1	5	{view}	\N	all
21	1	4	{view}	\N	all
68	1	7	{view}	\N	all
69	2	7	{view,add,edit,delete}	5	structure
85	65	8	{view,add,edit,delete}	\N	all
86	61	8	{view,add,edit,delete}	\N	all
87	59	8	{view,add,edit,delete}	\N	all
88	55	8	{view,add,edit,delete}	\N	all
89	41	8	{view,add,edit,delete}	\N	all
90	67	8	{view,add,edit,delete}	\N	all
91	69	8	{view,add,edit,delete}	\N	all
92	39	8	{view,add,edit,delete}	\N	all
93	70	8	{view,add,edit,delete}	\N	all
94	71	8	{view,add,edit,delete}	\N	all
95	72	8	{view,add,edit,delete}	\N	all
96	73	8	{view,add,edit,delete}	\N	all
97	74	8	{view,add,edit,delete}	\N	all
98	75	8	{view,add,edit,delete}	\N	all
99	78	8	{view,add,edit,delete}	\N	all
100	79	8	{view,add,edit,delete}	\N	all
101	47	8	{view,add,edit,delete}	\N	all
102	83	8	{view,add,edit,delete}	\N	all
103	84	8	{view,add,edit,delete}	\N	all
104	86	8	{view,add,edit,delete}	\N	all
105	87	8	{view,add,edit,delete}	\N	all
106	89	8	{view,add,edit,delete}	\N	all
107	90	8	{view,add,edit,delete}	\N	all
108	91	8	{view,add,edit,delete}	\N	all
109	1	8	{view}	\N	all
110	93	8	{view,add,edit,delete}	\N	all
111	101	8	{view,add,edit,delete}	\N	all
112	2	8	{view,add,edit,delete}	\N	all
113	102	8	{view,add,edit,delete}	\N	all
114	104	8	{view,add,edit,delete}	\N	all
115	105	8	{view,add,edit,delete}	\N	all
116	103	8	{view,add,edit,delete}	\N	all
117	106	8	{view,add,edit,delete}	\N	all
118	107	8	{view,add,edit,delete}	\N	all
120	110	8	{view,add,edit,delete}	\N	all
121	111	8	{view,add,edit,delete}	\N	all
123	12	8	{view,add,edit,delete,settings}	\N	all
39	69	4	{view,add,edit,delete,assign}	\N	all
42	71	4	{view,add,edit,delete,assign}	\N	all
43	72	4	{view,add,edit,delete,assign}	\N	all
44	73	4	{view,add,edit,delete,assign}	\N	all
45	74	4	{view,add,edit,delete,assign}	\N	all
46	75	4	{view,add,edit,delete,assign}	\N	all
49	79	4	{view,add,edit,delete,assign}	\N	all
55	83	4	{view,add,edit,delete,assign}	\N	all
56	84	4	{view,add,edit,delete,assign}	\N	all
58	86	4	{view,add,edit,delete,assign}	\N	all
61	89	4	{view,add,edit,delete}	\N	all
62	90	4	{view,add,edit,delete}	\N	all
70	101	4	{view,add,edit,delete}	\N	all
63	91	4	{view,add,edit,delete,assign}	\N	all
79	110	4	{view,add,edit,delete}	\N	all
71	102	4	{view,add,edit,delete,assign}	\N	all
73	104	4	{view,add,edit,delete,assign}	\N	all
74	105	4	{view,add,edit,delete,assign}	\N	all
76	107	4	{view,add,edit,delete,assign}	\N	all
26	47	4	{view,add,edit,delete,assign}	\N	all
80	111	4	{view,add,edit,delete,assign}	\N	all
128	117	4	{view,add,edit,delete,assign}	\N	all
59	87	4	{view,add,edit,delete}	\N	all
22	2	4	{view,add,edit,delete,assign}	\N	all
38	41	4	{view,add,edit,delete,assign}	\N	all
40	39	4	{view,add,edit,delete,assign}	\N	all
35	65	4	{view,add,edit,delete,assign}	\N	all
37	67	4	{view,add,edit,delete,assign}	\N	all
41	70	4	{view,add,edit,delete,assign}	\N	all
132	121	4	{view}	\N	all
134	123	4	{view,close}	\N	all
137	126	4	{view,edit}	\N	all
164	152	4	{view,settings}	\N	all
165	153	4	{view,settings}	\N	all
233	41	6	{view,add,edit,delete}	\N	all
234	67	6	{view,add,edit,delete}	\N	all
236	39	6	{view,add,edit,delete}	\N	all
237	70	6	{view,add,edit,delete}	\N	all
238	71	6	{view,add,edit,delete}	\N	all
239	72	6	{view,add,edit,delete}	\N	all
240	73	6	{view,add,edit,delete}	\N	all
241	74	6	{view,add,edit,delete}	\N	all
242	75	6	{view,add,edit,delete}	\N	all
244	79	6	{view,add,edit,delete}	\N	all
246	83	6	{view,add,edit,delete}	\N	all
247	84	6	{view,add,edit,delete}	\N	all
249	87	6	{view,add,edit,delete}	\N	all
250	89	6	{view,add,edit,delete}	\N	all
251	90	6	{view,add,edit,delete}	\N	all
253	1	6	{view}	\N	all
254	93	6	{view,add,edit,delete}	\N	all
261	110	6	{view,add,edit,delete}	\N	all
264	118	6	{view,add,edit,delete}	\N	all
267	121	6	{view}	\N	all
269	123	6	{view,close}	\N	all
271	146	6	{view,add,edit,delete}	\N	all
273	145	6	{view,add,edit,delete}	\N	all
274	144	6	{view,add,edit,delete}	\N	all
275	143	6	{view,add,edit,delete}	\N	all
276	142	6	{view,add,edit,delete}	\N	all
282	135	6	{view,add,edit,delete}	\N	all
277	141	6	{view}	\N	all
278	140	6	{view}	\N	all
279	139	6	{view}	\N	all
280	138	6	{view}	\N	all
281	137	6	{view,add,edit,delete}	3	structure
283	134	6	{view,add,edit,delete,calculation,invoice,contract}	3	structure
272	130	6	{view,add,edit,delete,order}	3	structure
270	126	6	{}	\N	all
266	120	6	{}	\N	all
265	119	6	{view,edit,delete}	\N	all
263	117	6	{view}	\N	all
262	111	6	{}	\N	all
260	107	6	{view}	\N	all
285	106	6	{}	\N	all
259	105	6	{}	\N	all
258	104	6	{view}	\N	all
286	103	6	{view,add,edit,delete}	\N	all
257	102	6	{view}	\N	all
255	101	6	{view}	\N	all
252	91	6	{view}	\N	all
248	86	6	{view}	\N	all
243	78	6	{view}	\N	all
229	65	6	{view}	\N	all
230	61	6	{view}	\N	all
231	59	6	{}	\N	all
268	12	6	{}	\N	all
288	149	6	{view,add,edit,delete}	\N	all
256	2	6	{}	\N	all
290	152	6	{view,settings}	\N	all
291	153	6	{view}	\N	all
75	106	4	{view,add,edit,delete,assign}	\N	all
24	12	4	{view,add,edit,delete,assign,settings}	\N	all
146	135	4	{view,add,edit,delete}	\N	all
141	130	4	{view,add,edit,delete,assign,order}	\N	all
148	137	4	{view,add,edit,delete}	\N	all
154	143	4	{view,add,edit,delete}	\N	all
149	138	4	{view,add,edit,delete,assign}	\N	all
150	139	4	{view,add,edit,delete,assign}	\N	all
151	140	4	{view,add,edit,delete,assign}	\N	all
152	141	4	{view,add,edit,delete,assign}	\N	all
155	144	4	{view,add,edit,delete}	\N	all
157	145	4	{view,add,edit,delete}	\N	all
158	146	4	{view,add,edit,delete}	\N	all
161	149	4	{view,add,edit,delete}	\N	all
160	148	4	{view,add,edit,delete,assign}	\N	all
163	151	4	{view,add,edit,delete,assign}	\N	all
129	118	4	{view,add,edit,delete}	\N	all
130	119	4	{view,add,edit,delete,autoload}	\N	all
289	151	6	{view}	\N	all
287	148	6	{view}	\N	all
232	55	6	{view}	\N	all
245	47	6	{view}	\N	all
235	69	6	{view,add,edit,delete}	\N	all
32	59	4	{view,add,edit,delete,assign}	\N	all
48	78	4	{view,add,edit,delete,assign}	\N	all
65	93	4	{view,add,edit,delete,assign}	\N	all
72	103	4	{view,add,edit,delete,assign,settings}	\N	all
131	120	4	{view,add,edit,delete,assign}	\N	all
153	142	4	{view,add,edit,delete,assign}	\N	all
294	156	4	{view,add,edit,delete,settings,assign}	\N	all
30	55	4	{view,add,edit,delete,assign}	\N	all
297	159	4	{view,add,edit,delete,assign}	\N	all
298	160	4	{assign}	\N	all
145	134	4	{view,add,edit,delete,settings,assign,calculation,invoice,contract}	\N	all
\.


--
-- Data for Name: person; Type: TABLE DATA; Schema: public; Owner: -
--

COPY person (id, resource_id, first_name, last_name, second_name, birthday, gender, descr, person_category_id, email_subscription, sms_subscription) FROM stdin;
19	1294	Stas	Voevoda		2007-10-16	0	\N	\N	t	\N
24	1390	Igor	Mazur		2007-07-21	0	\N	\N	t	\N
25	1408	Vitalii	Klishunov		1976-04-07	0	\N	\N	t	\N
26	1409	Natalia	Klishunova		1978-08-10	0	\N	\N	t	\N
27	1410	Maxim	Klishunov		2005-02-16	0	\N	\N	t	\N
29	1465	Eugen	Velichko		1982-04-07	0	\N	\N	t	\N
31	1472	Velichko	Alexander		2006-01-11	0	\N	\N	t	\N
33	1586	Roman	Babich		1990-11-14	0	\N	\N	t	\N
36	1616	Nikolay	Artyuh		1986-10-08	0	\N	\N	t	\N
37	1619	Andriy	Garkaviy		1984-11-14	0	\N	\N	t	\N
39	1627	Petro	Garkaviy		2004-06-08	0	\N	\N	t	\N
41	1645	Karpenko	Alexander		1990-06-04	0	\N	\N	t	\N
43	1869	Alexey	Ivankiv	V.	\N	0	\N	\N	t	\N
38	1626	Elena	Garkava		1986-01-08	0	\N	\N	t	\N
22	1383	Vitalii	Mazur		1979-07-17	0	\N	\N	t	\N
44	2017	Sergey	Gavrish		1981-08-05	0	\N	\N	t	\N
18	1293	Irina	Voevoda		1984-01-18	1	\N	\N	t	\N
28	1411	Ann	Klishunova		2013-02-14	1	\N	\N	t	\N
30	1471	Irina	Avdeeva		1984-11-21	1	\N	\N	t	\N
32	1473	Velichko	Elizabeth		2010-06-15	1	\N	\N	t	\N
34	1593	Elena	Babich		1991-05-23	1	\N	\N	t	\N
42	1653	Smichko	Olena		1992-07-15	1	\N	\N	t	\N
40	1628	Alena	Garkava		2007-03-29	1	\N	\N	t	\N
35	1615	Tat'ana	Artyuh		1987-02-10	1	\N	\N	t	\N
45	2020	Anna	Gavrish		1993-11-17	1	\N	\N	t	\N
4	870	Greg	Johnson		\N	0	\N	\N	t	\N
5	871	John	Doe		\N	0	\N	\N	t	\N
46	2051	Nikolay			\N	0	\N	\N	t	\N
23	1389	Iren	Mazur		1979-09-03	1	\N	\N	t	\N
47	2090	Jason		Lewis	\N	0	\N	\N	t	\N
48	2309	Oleg			\N	0	\N	\N	t	\N
49	2314	Anna			\N	1	\N	\N	t	\N
50	2328	Alex	Nikitin		1991-08-14	0	\N	\N	t	\N
51	2339	Julia	Nikitina		1991-12-12	1	\N	\N	t	\N
52	2340	Ivan	Nikitin		2012-02-15	0	\N	\N	t	\N
53	2367	Sergey	Stepanchuk		1984-11-06	0	\N	\N	t	\N
17	1284	Nikolay	Voevoda		1981-07-22	0	\N	\N	t	\N
20	1372	Oleg	Pogorelov		1970-02-17	0	\N	1	t	\N
21	1375	Elena	Pogorelova	Petrovna	1972-02-19	1	\N	\N	t	\N
6	887	Peter	Parker		1976-04-07	0	\N	2	t	\N
54	2376	Nadiya	Gavrilyuk		1988-03-02	1	\N	2	t	\N
55	2560	Vladislav	Potusenko		\N	0	\N	3	t	\N
57	2566	Valik			\N	0	\N	\N	t	\N
58	2570	Jenya	Buryak		\N	1	\N	2	t	\N
59	2573	Vlad	Petchenko		\N	0	\N	3	t	\N
60	2576	Olexiy	Spisovs'kiy		\N	0	\N	\N	t	\N
61	2580	Vlad	Chernyavskiy		\N	0	\N	\N	t	\N
62	2591	Grigoriy	Yarmolenko		1972-10-19	0	\N	3	t	\N
64	2595	Irina			\N	1	\N	\N	t	\N
65	2660	Valentin	Gopko		\N	0	\N	3	t	\N
66	2667	Anatoliy	Fedirko		\N	0	\N	\N	t	\N
68	2679	Yuriy	Fedirko		2012-04-05	0	\N	\N	t	\N
67	2678	Anna	Fedirko		\N	1	\N	\N	t	\N
56	2563	Alex	Saveliev		\N	0	\N	3	t	\N
63	2593	Maria	Fed'ko		1993-05-19	1	\N	3	t	f
69	2739	Vitalii			\N	\N	\N	\N	t	t
70	2822	Pavel	Romanuta		1986-03-28	0	\N	3	f	f
71	2830	Helen	Romanuta		1986-07-23	1	\N	3	f	f
72	2875	Anatoly			\N	\N	\N	\N	f	f
73	2879	Eugeniy	Lineckiy		\N	\N	\N	\N	f	f
74	2881	Sergey			\N	\N	\N	\N	f	f
75	2892	Igor	Vovk		\N	\N	\N	\N	f	f
76	2898	Ella	Vovk		1994-04-13	1	\N	3	f	f
77	3676	Artur	Musienko		\N	0	\N	\N	f	f
78	3683	Julia	Musienko		\N	\N	\N	\N	f	f
\.


--
-- Data for Name: person_address; Type: TABLE DATA; Schema: public; Owner: -
--

COPY person_address (person_id, address_id) FROM stdin;
17	10
20	15
21	16
22	17
23	18
24	19
25	20
29	23
33	24
35	25
37	26
41	27
42	28
30	30
44	32
62	35
\.


--
-- Data for Name: person_category; Type: TABLE DATA; Schema: public; Owner: -
--

COPY person_category (id, resource_id, name) FROM stdin;
2	2557	Loyal
1	2556	VIP
3	2559	Uncategoried
\.


--
-- Name: person_category_id_seq; Type: SEQUENCE SET; Schema: public; Owner: -
--

SELECT pg_catalog.setval('person_category_id_seq', 3, true);


--
-- Data for Name: person_contact; Type: TABLE DATA; Schema: public; Owner: -
--

COPY person_contact (person_id, contact_id) FROM stdin;
6	44
17	45
17	46
20	47
21	48
22	50
22	49
23	51
25	52
29	53
33	67
34	68
35	69
35	70
37	72
37	71
38	73
41	74
41	75
42	76
30	77
22	78
44	79
45	80
46	81
47	82
46	83
48	84
48	85
50	86
51	87
53	88
20	90
62	93
62	91
62	92
64	94
65	95
66	96
67	97
70	99
72	101
73	102
74	103
75	104
77	105
\.


--
-- Name: person_id_seq; Type: SEQUENCE SET; Schema: public; Owner: -
--

SELECT pg_catalog.setval('person_id_seq', 78, true);


--
-- Data for Name: person_order_item; Type: TABLE DATA; Schema: public; Owner: -
--

COPY person_order_item (order_item_id, person_id) FROM stdin;
33	41
33	43
34	17
37	20
37	21
38	21
38	20
36	36
36	35
35	33
35	42
40	51
40	50
40	52
43	53
43	54
42	53
42	54
39	48
39	49
41	50
41	51
28	44
28	45
29	44
29	45
30	44
30	45
31	44
31	45
32	44
32	45
44	68
44	66
44	67
45	66
45	67
46	70
46	71
47	71
47	70
48	76
48	75
49	76
49	75
52	76
52	75
53	76
54	77
54	78
\.


--
-- Data for Name: person_passport; Type: TABLE DATA; Schema: public; Owner: -
--

COPY person_passport (person_id, passport_id) FROM stdin;
17	8
20	9
22	10
25	11
29	12
33	14
33	13
34	15
35	17
35	16
37	18
38	19
41	20
41	21
42	22
30	23
44	24
45	25
62	27
62	26
67	28
66	32
66	31
\.


--
-- Data for Name: person_subaccount; Type: TABLE DATA; Schema: public; Owner: -
--

COPY person_subaccount (person_id, subaccount_id) FROM stdin;
41	3
37	4
40	6
20	8
29	11
30	13
41	14
43	15
6	16
44	17
53	21
48	22
66	24
70	25
77	28
\.


--
-- Data for Name: position; Type: TABLE DATA; Schema: public; Owner: -
--

COPY "position" (id, resource_id, structure_id, name) FROM stdin;
4	772	32	Main Developer
5	886	5	Finance Director
6	1249	3	Sales Manager
7	1252	9	Sales Manager
8	1775	1	Main Developer
\.


--
-- Name: positions_navigations_id_seq; Type: SEQUENCE SET; Schema: public; Owner: -
--

SELECT pg_catalog.setval('positions_navigations_id_seq', 240, true);


--
-- Name: positions_permisions_id_seq; Type: SEQUENCE SET; Schema: public; Owner: -
--

SELECT pg_catalog.setval('positions_permisions_id_seq', 299, true);


--
-- Data for Name: region; Type: TABLE DATA; Schema: public; Owner: -
--

COPY region (id, resource_id, country_id, name) FROM stdin;
7	895	3	Kiev region
8	896	3	Lviv region
9	897	4	Hurgada
10	898	5	Kemer
12	1090	5	Antalya
13	1096	9	Cramia
15	1101	11	Bavaria
16	1165	12	Middle Dalmaci
17	1170	13	Fujairah
18	1179	14	Costa Brava
19	1185	13	Abu Dhabi
22	1278	3	Lviv
23	1290	12	Kvarner
24	1328	5	Belek
25	1332	5	Alanya
26	1336	5	Side
27	1340	16	Paphos
28	1344	17	Riminni & Ravenna
29	1347	17	Sicilia Island
30	1352	18	Crit Island
31	1355	14	Costa Dorada
32	1365	4	Sharm el Sheih
33	1384	3	Zakarpat'e
34	1416	3	Dnepropetrovsk
35	1587	18	Rhodos Island
36	1647	19	Chemiu Due Capon
38	2373	12	South Dalmacia
39	2673	16	Larnaka
40	2895	5	Bodrum
\.


--
-- Name: region_id_seq; Type: SEQUENCE SET; Schema: public; Owner: -
--

SELECT pg_catalog.setval('region_id_seq', 40, true);


--
-- Data for Name: resource; Type: TABLE DATA; Schema: public; Owner: -
--

COPY resource (id, resource_type_id, protected, maintainer_id) FROM stdin;
12	12	\N	2
14	12	\N	2
16	12	\N	2
30	12	\N	2
31	12	\N	2
32	12	\N	2
33	12	\N	2
34	12	\N	2
35	12	\N	2
36	12	\N	2
37	12	\N	2
38	12	\N	2
39	12	\N	2
40	12	\N	2
43	12	\N	2
44	12	\N	2
45	12	\N	2
83	2	\N	2
84	2	\N	2
277	39	\N	2
913	72	\N	2
914	72	\N	2
915	72	\N	2
916	72	\N	2
917	72	\N	2
2909	118	f	2
2913	2	f	2
2919	118	f	2
2955	130	f	2
3085	145	f	2
3086	145	f	2
3087	145	f	2
3088	145	f	2
3089	145	f	2
3090	145	f	2
3091	145	f	2
3092	145	f	2
3093	145	f	2
3094	145	f	2
3095	145	f	2
3096	145	f	2
3097	145	f	2
3098	145	f	2
3099	145	f	2
3100	145	f	2
3101	145	f	2
3102	145	f	2
3103	145	f	2
3104	145	f	2
918	72	\N	2
919	72	\N	2
928	73	\N	2
929	73	\N	2
930	73	\N	2
931	73	\N	2
932	73	\N	2
933	73	\N	2
935	73	\N	2
936	73	\N	2
937	73	\N	2
948	73	\N	2
949	73	\N	2
950	73	\N	2
952	73	\N	2
953	12	\N	2
954	12	\N	2
955	65	\N	2
956	65	\N	2
957	74	\N	2
3105	145	f	2
3106	145	f	2
3107	145	f	2
3108	145	f	2
3109	145	f	2
3110	145	f	2
3111	145	f	2
3112	145	f	2
3113	145	f	2
3114	145	f	2
3115	145	f	2
3116	145	f	2
3117	145	f	2
3118	145	f	2
3119	145	f	2
3120	145	f	2
3121	145	f	2
3122	145	f	2
3123	145	f	2
3124	145	f	2
3125	145	f	2
958	74	\N	2
3126	145	f	2
3127	145	f	2
3128	145	f	2
3129	145	f	2
3130	145	f	2
1647	39	f	2
2266	137	f	2
2267	134	f	2
2268	12	f	2
2269	105	f	2
1915	111	f	2
1917	110	f	2
1949	123	f	2
1961	123	f	2
2714	104	f	2
2715	119	f	2
2716	119	f	2
2717	119	f	2
3131	145	f	2
3132	145	f	2
3133	145	f	2
3134	145	f	2
3135	145	f	2
3136	145	f	2
3137	145	f	2
3138	145	f	2
2718	119	f	2
3139	145	f	2
3140	145	f	2
3141	145	f	2
3142	145	f	2
3143	145	f	2
3144	145	f	2
3145	145	f	2
3146	145	f	2
3147	145	f	2
3148	145	f	2
3149	145	f	2
3150	145	f	2
3151	145	f	2
3152	145	f	2
3153	145	f	2
3154	145	f	2
3155	145	f	2
3156	145	f	2
3157	145	f	2
3158	145	f	2
3159	145	f	2
3160	145	f	2
3161	145	f	2
3162	145	f	2
3163	145	f	2
3164	145	f	2
3165	145	f	2
3166	145	f	2
3167	145	f	2
3168	145	f	2
3169	145	f	2
3170	145	f	2
3171	145	f	2
3172	145	f	2
3173	145	f	2
3174	145	f	2
3175	145	f	2
3176	145	f	2
3177	145	f	2
3178	145	f	2
3179	145	f	2
3180	145	f	2
3612	145	f	2
3613	145	f	2
3614	145	f	2
3658	145	f	2
2881	69	f	2
2882	12	f	2
2883	65	f	2
278	39	\N	2
279	39	\N	2
280	39	\N	2
281	39	\N	2
282	39	\N	2
283	12	\N	2
286	41	\N	2
287	41	\N	2
288	41	\N	2
289	41	\N	2
938	73	\N	2
939	73	\N	2
961	74	\N	2
962	74	\N	2
3266	145	f	2
3267	145	f	2
3268	145	f	2
2891	87	f	2
2894	130	f	2
2910	149	f	2
2912	2	f	2
2956	145	f	2
2957	145	f	2
2958	145	f	2
3181	145	f	2
3182	145	f	2
3183	145	f	2
3184	145	f	2
3185	145	f	2
3186	145	f	2
3187	145	f	2
3188	145	f	2
3189	145	f	2
3190	145	f	2
3191	145	f	2
3192	145	f	2
3193	145	f	2
3194	145	f	2
3195	145	f	2
3196	145	f	2
3197	145	f	2
3198	145	f	2
3199	145	f	2
3200	145	f	2
3201	145	f	2
3202	145	f	2
3203	145	f	2
3204	145	f	2
3205	145	f	2
3206	145	f	2
3207	145	f	2
963	74	\N	2
964	74	\N	2
965	74	\N	2
966	74	\N	2
967	74	\N	2
968	74	\N	2
969	74	\N	2
970	74	\N	2
971	74	\N	2
973	75	\N	2
975	75	\N	2
976	75	\N	2
977	75	\N	2
978	75	\N	2
3208	145	f	2
3209	145	f	2
3210	145	f	2
3211	145	f	2
3212	145	f	2
3213	145	f	2
3214	145	f	2
3215	145	f	2
3216	145	f	2
3217	145	f	2
3218	145	f	2
979	75	\N	2
980	75	\N	2
981	75	\N	2
982	75	\N	2
983	75	\N	2
984	75	\N	2
1616	69	f	2
1619	69	f	2
1620	87	f	2
1621	87	f	2
1622	89	f	2
1623	90	f	2
1381	89	f	2
2439	117	f	2
2784	123	f	2
2785	47	f	2
2786	2	f	2
2787	2	f	2
2788	12	f	2
2813	12	f	2
2814	87	f	2
2842	119	f	2
3219	145	f	2
3220	145	f	2
3221	145	f	2
3222	145	f	2
3223	145	f	2
3224	145	f	2
3225	145	f	2
3226	145	f	2
3227	145	f	2
3228	145	f	2
3229	145	f	2
3230	145	f	2
3231	145	f	2
3232	145	f	2
3233	145	f	2
3234	145	f	2
3235	145	f	2
3236	145	f	2
3237	145	f	2
3238	145	f	2
3239	145	f	2
3240	145	f	2
3241	145	f	2
3242	145	f	2
3243	145	f	2
3244	145	f	2
3245	145	f	2
3246	145	f	2
3247	145	f	2
3248	145	f	2
3249	145	f	2
3250	145	f	2
3251	145	f	2
3252	145	f	2
3253	145	f	2
3254	145	f	2
3255	145	f	2
3256	145	f	2
3257	145	f	2
3258	145	f	2
3259	145	f	2
3260	145	f	2
3261	145	f	2
3262	145	f	2
3263	145	f	2
3264	145	f	2
3265	145	f	2
3269	145	f	2
3270	145	f	2
3271	145	f	2
3272	145	f	2
3273	145	f	2
3274	145	f	2
3275	145	f	2
3276	145	f	2
3277	145	f	2
3278	145	f	2
3279	145	f	2
3280	145	f	2
3281	145	f	2
3282	145	f	2
3283	145	f	2
3284	145	f	2
3285	145	f	2
3286	145	f	2
3287	145	f	2
3288	145	f	2
3289	145	f	2
3290	145	f	2
3291	145	f	2
3292	145	f	2
3293	145	f	2
290	41	\N	2
291	41	\N	2
884	70	\N	2
886	59	\N	2
943	73	\N	2
944	73	\N	2
945	73	\N	2
946	73	\N	2
947	73	\N	2
3368	145	f	2
2892	69	f	2
2921	118	f	2
2959	145	f	2
2960	145	f	2
2961	145	f	2
3294	145	f	2
3295	145	f	2
3296	145	f	2
3297	145	f	2
3298	145	f	2
3299	145	f	2
3300	145	f	2
3301	145	f	2
998	65	\N	2
1005	78	\N	2
1007	12	\N	2
1008	65	\N	2
3302	145	f	2
1009	79	\N	2
3303	145	f	2
3304	145	f	2
3305	145	f	2
3306	145	f	2
3307	145	f	2
3308	145	f	2
3309	145	f	2
3310	145	f	2
3311	145	f	2
3312	145	f	2
3313	145	f	2
3314	145	f	2
3315	145	f	2
3316	145	f	2
3317	145	f	2
3318	145	f	2
3319	145	f	2
3320	145	f	2
3321	145	f	2
3322	145	f	2
3323	145	f	2
1325	83	f	2
1326	84	f	2
1327	83	f	2
1328	39	f	2
3324	145	f	2
1329	84	f	2
3325	145	f	2
3326	145	f	2
3327	145	f	2
1330	83	f	2
1331	83	f	2
1332	39	f	2
1333	84	f	2
1334	83	f	2
1335	83	f	2
1339	70	f	2
1340	39	f	2
1344	39	f	2
1345	84	f	2
1346	83	f	2
1350	83	f	2
1351	70	f	2
1352	39	f	2
1353	84	f	2
3328	145	f	2
3329	145	f	2
3330	145	f	2
3331	145	f	2
3332	145	f	2
3333	145	f	2
3334	145	f	2
3335	145	f	2
3336	145	f	2
3337	145	f	2
3338	145	f	2
3339	145	f	2
3340	145	f	2
3341	145	f	2
1354	83	f	2
1355	39	f	2
1356	84	f	2
1357	83	f	2
2231	78	f	2
2232	78	f	2
2233	78	f	2
1639	106	f	2
1640	87	f	2
1641	87	f	2
1642	89	f	2
1643	89	f	2
3342	145	f	2
2047	119	f	2
3343	145	f	2
3344	145	f	2
3345	145	f	2
3346	145	f	2
3347	145	f	2
3348	145	f	2
3349	145	f	2
3350	145	f	2
1764	111	f	2
1766	111	f	2
1769	105	f	2
1771	111	f	2
1773	111	f	2
2285	135	f	2
2292	12	f	2
2293	145	f	2
2048	65	f	2
2049	12	f	2
2050	87	f	2
2051	69	f	2
2052	130	f	2
2053	47	f	2
2054	2	f	2
1906	65	f	2
1990	106	f	2
1991	106	f	2
1992	106	f	2
2029	119	f	2
2442	117	f	2
2546	110	f	2
2573	69	f	2
3351	145	f	2
3352	145	f	2
3353	145	f	2
3354	145	f	2
3355	145	f	2
3356	145	f	2
3357	145	f	2
3358	145	f	2
3359	145	f	2
3360	145	f	2
3361	145	f	2
3362	145	f	2
3363	145	f	2
3364	145	f	2
3365	145	f	2
3366	145	f	2
3367	145	f	2
3369	145	f	2
3370	145	f	2
3371	145	f	2
3372	145	f	2
3616	145	f	2
3617	145	f	2
3618	145	f	2
3659	130	f	2
921	73	\N	2
1648	84	f	2
2458	106	f	2
2556	151	f	2
2557	151	f	2
2568	145	f	2
1649	83	f	2
1650	87	f	2
2569	130	f	2
2570	69	f	2
3416	145	f	2
3417	145	f	2
2893	145	f	2
2897	83	f	2
922	73	\N	2
2914	2	f	2
923	73	\N	2
2923	118	f	2
924	73	\N	2
2962	130	f	2
3373	145	f	2
1651	89	f	2
1652	90	f	2
1653	69	f	2
1657	103	f	2
925	73	\N	2
926	73	\N	2
1659	65	f	2
1882	106	f	2
1660	106	f	2
927	73	\N	2
2046	119	f	2
959	74	\N	2
960	74	\N	2
1714	110	f	2
985	75	\N	2
987	75	\N	2
3375	145	f	2
3376	145	f	2
3377	145	f	2
1721	110	f	2
1884	12	f	2
3378	145	f	2
1885	65	f	2
1888	117	f	2
1893	120	f	2
1894	12	f	2
1004	78	\N	2
1309	90	f	2
1310	41	f	2
3379	145	f	2
3380	145	f	2
3381	145	f	2
3382	145	f	2
3383	145	f	2
3384	145	f	2
3385	145	f	2
3386	145	f	2
1895	65	f	2
3387	145	f	2
3388	145	f	2
3389	145	f	2
3390	145	f	2
1311	41	f	2
1312	65	f	2
1313	12	f	2
1896	65	f	2
1314	102	f	2
1317	12	f	2
3391	145	f	2
1320	83	f	2
1321	84	f	2
1322	83	f	2
3392	145	f	2
3393	145	f	2
1950	123	f	2
1951	90	f	2
3394	145	f	2
3395	145	f	2
3396	145	f	2
3397	145	f	2
3398	145	f	2
1952	86	f	2
3399	145	f	2
3400	145	f	2
3401	145	f	2
3402	145	f	2
3403	145	f	2
3404	145	f	2
3405	145	f	2
3406	145	f	2
1907	65	f	2
3407	145	f	2
1956	87	f	2
1958	93	f	2
1959	123	f	2
2104	135	f	2
1323	83	f	2
2105	135	f	2
2106	135	f	2
3408	145	f	2
3409	145	f	2
2107	12	f	2
3410	145	f	2
3411	145	f	2
3412	145	f	2
2108	12	f	2
3413	145	f	2
2111	83	f	2
2115	39	f	2
2119	90	f	2
2168	137	f	2
2172	135	f	2
3414	145	f	2
2173	137	f	2
1324	83	f	2
1358	83	f	2
1359	84	f	2
1360	83	f	2
2452	117	f	2
2457	106	f	2
3415	145	f	2
1361	84	f	2
1365	39	f	2
1366	84	f	2
1367	83	f	2
1368	65	f	2
1371	87	f	2
1373	87	f	2
1374	90	f	2
1624	87	f	2
3418	145	f	2
3419	145	f	2
3420	145	f	2
1625	89	f	2
1376	89	f	2
1626	69	f	2
1378	78	f	2
1627	69	f	2
1628	69	f	2
3421	145	f	2
3422	145	f	2
1379	87	f	2
1634	103	f	2
1380	87	f	2
1383	69	f	2
2260	135	f	2
2261	142	f	2
2262	135	f	2
2263	142	f	2
2264	134	f	2
2265	135	f	2
1780	105	f	2
1797	12	f	2
1798	65	f	2
1799	12	f	2
1804	118	f	2
3423	145	f	2
3424	145	f	2
3425	145	f	2
3426	145	f	2
3427	145	f	2
3428	145	f	2
3429	145	f	2
3430	145	f	2
3431	145	f	2
3432	145	f	2
3433	145	f	2
3434	145	f	2
3435	145	f	2
3436	145	f	2
3437	145	f	2
3438	145	f	2
3439	145	f	2
2	2	\N	2
2127	12	f	2
3	2	\N	2
10	12	\N	2
1010	79	\N	2
1080	65	\N	2
1081	12	\N	2
1099	39	\N	2
2309	69	f	2
1100	70	\N	2
2128	65	f	2
2129	138	f	2
2130	138	f	2
2132	118	f	2
1251	55	f	2
2440	117	f	2
2201	104	f	2
2459	106	f	2
2463	111	f	2
2465	120	f	2
2563	69	f	2
2564	145	f	2
2203	104	f	2
2205	110	f	2
2234	78	f	2
2566	69	f	2
2133	123	f	2
2567	145	f	2
2571	145	f	2
2135	12	f	2
2572	130	f	2
2710	119	f	2
2711	119	f	2
2712	119	f	2
2713	119	f	2
2817	123	f	2
2836	119	f	2
2136	65	f	2
2320	12	f	2
2327	87	f	2
2328	69	f	2
2583	12	f	2
2329	145	f	2
2330	145	f	2
2331	146	f	2
2837	135	f	2
2332	146	f	2
2333	130	f	2
2838	144	f	2
2855	119	f	2
2861	117	f	2
2862	117	f	2
2334	104	f	2
2895	39	f	2
2335	104	f	2
2336	104	f	2
2235	78	f	2
2236	78	f	2
2337	104	f	2
2338	87	f	2
2339	69	f	2
2340	69	f	2
2237	78	f	2
2238	78	f	2
2239	78	f	2
2896	84	f	2
1774	111	f	2
1775	59	f	2
1777	65	f	2
1778	12	f	2
2898	69	f	2
1800	118	f	2
2294	145	f	2
1801	118	f	2
2295	145	f	2
1802	118	f	2
2296	12	f	2
2297	145	f	2
2899	135	f	2
2299	146	f	2
2900	137	f	2
2902	134	f	2
2300	145	f	2
2304	123	f	2
1910	106	f	2
1911	106	f	2
2075	93	f	2
2076	123	f	2
2077	12	f	2
2087	118	f	2
2088	130	f	2
2089	87	f	2
2090	69	f	2
2092	118	f	2
2095	87	f	2
2096	118	f	2
2915	79	f	2
2097	118	f	2
2924	118	f	2
2307	87	f	2
2963	145	f	2
2964	145	f	2
2120	101	f	2
2965	145	f	2
3374	145	f	2
2126	2	f	2
3620	149	f	2
3639	101	f	2
3660	135	f	2
3661	137	f	2
2341	135	f	2
2342	137	f	2
2343	135	f	2
2344	143	f	2
2030	119	f	2
2031	119	f	2
2308	87	f	2
2032	110	f	2
2038	119	f	2
2903	119	f	2
2514	65	f	2
2515	148	f	2
2516	12	f	2
2871	119	f	2
2872	55	f	2
2517	149	f	2
2518	149	f	2
2904	103	f	2
2916	149	f	2
2925	118	f	2
2966	145	f	2
2967	145	f	2
2968	145	f	2
2519	47	f	2
2520	149	f	2
3440	145	f	2
3441	145	f	2
2521	149	f	2
2522	149	f	2
2873	87	f	2
2874	87	f	2
2875	69	f	2
2876	145	f	2
2877	130	f	2
2878	87	f	2
2887	12	f	2
2888	65	f	2
2889	65	f	2
1250	55	f	2
1316	102	f	2
1336	39	f	2
1362	83	f	2
1363	84	f	2
1364	83	f	2
1372	69	f	2
2523	149	f	2
2524	149	f	2
1375	69	f	2
2525	149	f	2
1382	90	f	2
2526	149	f	2
1385	84	f	2
2527	149	f	2
1386	83	f	2
2528	149	f	2
2529	119	f	2
2536	110	f	2
2537	119	f	2
2538	119	f	2
2574	145	f	2
2575	130	f	2
1387	87	f	2
1388	90	f	2
1389	69	f	2
1390	69	f	2
1391	90	f	2
1416	39	f	2
2270	70	f	2
2271	140	f	2
2272	78	f	2
2273	135	f	2
2286	137	f	2
2287	135	f	2
2288	142	f	2
2289	104	f	2
2290	104	f	2
1424	12	f	2
1425	65	f	2
1426	105	f	2
1431	105	f	2
1432	105	f	2
1433	12	f	2
1434	65	f	2
2576	69	f	2
2577	145	f	2
2578	145	f	2
2579	130	f	2
2580	69	f	2
2581	145	f	2
2582	130	f	2
2345	134	f	2
2366	87	f	2
3442	145	f	2
2367	69	f	2
3443	145	f	2
3444	145	f	2
3445	145	f	2
3446	145	f	2
3447	145	f	2
3448	145	f	2
3449	145	f	2
3450	145	f	2
3451	145	f	2
3452	145	f	2
3453	145	f	2
3454	145	f	2
3455	145	f	2
3456	145	f	2
3457	145	f	2
3458	145	f	2
3459	145	f	2
3460	145	f	2
2368	145	f	2
2369	146	f	2
3461	145	f	2
3462	145	f	2
3463	145	f	2
3464	145	f	2
3465	145	f	2
3466	145	f	2
3467	145	f	2
3468	145	f	2
3469	145	f	2
2370	118	f	2
3470	145	f	2
3471	145	f	2
3472	145	f	2
3473	145	f	2
2372	130	f	2
2373	39	f	2
2648	65	f	2
2649	65	f	2
2650	65	f	2
2429	105	f	2
2430	105	f	2
2510	110	f	2
2511	86	f	2
2513	12	f	2
3474	145	f	2
3475	145	f	2
3476	145	f	2
3477	145	f	2
3478	145	f	2
3479	145	f	2
3480	145	f	2
3481	145	f	2
3482	145	f	2
3483	145	f	2
3484	145	f	2
3485	145	f	2
3486	145	f	2
3487	145	f	2
3488	145	f	2
3489	145	f	2
3490	145	f	2
3491	145	f	2
3492	145	f	2
3493	145	f	2
3494	145	f	2
3495	145	f	2
3496	145	f	2
3497	145	f	2
3498	145	f	2
3499	145	f	2
3500	145	f	2
3501	145	f	2
3502	145	f	2
3503	145	f	2
3504	145	f	2
3505	145	f	2
3506	145	f	2
3507	145	f	2
3508	145	f	2
3509	145	f	2
3510	145	f	2
3511	145	f	2
3512	145	f	2
3513	145	f	2
3514	145	f	2
3515	145	f	2
3516	145	f	2
3517	145	f	2
3518	145	f	2
3519	145	f	2
3520	145	f	2
2544	148	f	2
2926	118	f	2
2969	145	f	2
2970	145	f	2
2971	145	f	2
907	71	\N	2
908	12	\N	2
909	12	\N	2
1041	47	\N	2
1042	47	\N	2
1043	47	\N	2
1044	47	\N	2
1045	47	\N	2
3521	145	f	2
3522	145	f	2
3523	145	f	2
3524	145	f	2
3525	145	f	2
3526	145	f	2
3527	145	f	2
3528	145	f	2
2589	89	f	2
2590	90	f	2
2545	86	f	2
2547	119	f	2
2548	119	f	2
3529	145	f	2
3530	145	f	2
3531	145	f	2
3532	145	f	2
2591	69	f	2
2592	123	f	2
2593	69	f	2
2594	87	f	2
2595	69	f	2
2596	145	f	2
2376	69	f	2
2377	135	f	2
2549	12	f	2
2378	137	f	2
2550	87	f	2
2379	135	f	2
2551	12	f	2
2552	65	f	2
2553	65	f	2
2554	65	f	2
2725	119	f	2
2726	110	f	2
2727	119	f	2
2728	119	f	2
2729	103	f	2
2731	123	f	2
2732	148	f	2
2819	123	f	2
3533	145	f	2
3534	145	f	2
3535	145	f	2
3536	145	f	2
3537	145	f	2
3538	145	f	2
2380	143	f	2
3539	145	f	2
3540	145	f	2
2382	134	f	2
2383	104	f	2
2384	104	f	2
2385	104	f	2
2388	103	f	2
3541	145	f	2
2389	105	f	2
3542	145	f	2
2390	105	f	2
3543	145	f	2
2391	105	f	2
3544	145	f	2
2396	105	f	2
3545	145	f	2
2397	105	f	2
3546	145	f	2
2398	105	f	2
2415	105	f	2
2416	105	f	2
2670	146	f	2
2677	89	f	2
2678	69	f	2
2679	69	f	2
2680	89	f	2
2681	89	f	2
2424	105	f	2
2425	105	f	2
2426	105	f	2
2682	149	f	2
2683	89	f	2
2427	105	f	2
3547	145	f	2
3548	145	f	2
3549	145	f	2
3550	145	f	2
3551	145	f	2
3552	145	f	2
3553	145	f	2
2428	105	f	2
2684	149	f	2
2685	89	f	2
2686	135	f	2
2431	105	f	2
2687	137	f	2
2690	134	f	2
2693	110	f	2
3554	145	f	2
3555	145	f	2
3556	145	f	2
3557	145	f	2
3558	145	f	2
3559	145	f	2
3560	145	f	2
3561	145	f	2
3562	145	f	2
3563	145	f	2
3564	145	f	2
3565	145	f	2
3566	145	f	2
3621	149	f	2
3622	93	f	\N
3640	101	f	2
3662	135	f	2
3666	135	f	2
3667	137	f	2
2694	110	f	2
2695	86	f	2
2530	119	f	2
2531	119	f	2
2532	119	f	2
2533	119	f	2
2534	119	f	2
2535	119	f	2
2539	110	f	2
2540	86	f	2
2541	119	f	2
2542	148	f	2
2543	148	f	2
2820	118	f	2
2972	145	f	2
2973	145	f	2
2974	145	f	2
2821	87	f	2
2822	69	f	2
2823	145	f	2
1546	106	f	2
2824	130	f	2
1547	106	f	2
1548	12	f	2
1549	12	f	2
2825	146	f	2
2826	118	f	2
2827	135	f	2
3623	93	f	\N
2828	137	f	2
2841	104	f	2
2865	78	f	2
2866	117	f	2
2867	111	f	2
3663	135	f	2
1550	65	f	2
1551	87	f	2
1552	87	f	2
2597	145	f	2
2636	65	f	2
2637	65	f	2
2638	65	f	2
2392	105	f	2
2393	105	f	2
2394	105	f	2
2395	105	f	2
2642	65	f	2
274	12	\N	2
292	41	\N	2
306	41	\N	2
706	12	\N	2
723	12	\N	2
725	55	\N	2
726	55	\N	2
728	55	\N	2
734	55	\N	2
743	55	\N	2
763	55	\N	2
764	12	\N	2
769	12	\N	2
2643	65	f	2
2646	65	f	2
2647	65	f	2
2651	65	f	2
2652	65	f	2
2653	65	f	2
771	55	\N	2
772	59	\N	2
837	65	\N	2
1046	47	\N	2
1062	55	\N	2
1067	78	\N	2
1068	12	\N	2
1164	70	\N	2
1165	39	\N	2
2654	65	f	2
2655	65	f	2
2658	67	f	2
1168	41	\N	2
1169	70	\N	2
1185	39	\N	2
1195	87	\N	2
1198	12	\N	2
1261	89	f	2
1598	103	f	2
1807	90	f	2
1833	118	f	2
1839	103	f	2
1435	12	f	2
1436	65	f	2
1438	107	f	2
1439	107	f	2
1511	101	f	2
1512	101	f	2
1513	101	f	2
1521	12	f	2
1535	110	f	2
1536	110	f	2
1537	110	f	2
1538	110	f	2
1539	110	f	2
1540	110	f	2
1541	110	f	2
1542	67	f	2
2417	105	f	2
1543	87	f	2
1544	87	f	2
1545	87	f	2
2659	87	f	2
2661	145	f	2
2662	130	f	2
2663	118	f	2
2418	105	f	2
2419	105	f	2
2420	105	f	2
2421	105	f	2
2422	105	f	2
2423	105	f	2
2698	110	f	2
2699	86	f	2
2700	119	f	2
2701	119	f	2
2879	69	f	2
773	12	\N	2
887	69	\N	2
2183	137	f	2
2660	69	f	2
2664	149	f	2
2665	149	f	2
2666	87	f	2
2667	69	f	2
2975	145	f	2
2976	145	f	2
2977	145	f	2
3570	145	f	2
892	67	\N	2
3571	145	f	2
3572	145	f	2
3624	93	f	\N
3642	110	f	2
2668	145	f	2
3646	86	f	2
3664	135	f	2
3665	137	f	2
893	47	\N	2
894	2	\N	2
896	39	\N	2
1011	12	\N	2
1040	47	\N	2
1277	55	f	2
2669	130	f	2
2672	123	f	2
2673	39	f	2
2839	119	f	2
2840	119	f	2
1278	39	f	2
1283	71	f	2
1284	69	f	2
1285	87	f	2
1286	89	f	2
1287	84	f	2
1288	90	f	2
1289	84	f	2
1290	39	f	2
1291	84	f	2
1292	83	f	2
1293	69	f	2
1294	69	f	2
1304	87	f	2
1306	90	f	2
1840	103	f	2
1849	12	f	2
1440	103	f	2
1442	103	f	2
1447	106	f	2
1448	106	f	2
1450	12	f	2
1452	12	f	2
1464	87	f	2
1465	69	f	2
1467	89	f	2
1472	69	f	2
1473	69	f	2
1485	106	f	2
1487	103	f	2
1500	106	f	2
1502	103	f	2
1503	103	f	2
1504	104	f	2
1505	104	f	2
1506	104	f	2
1507	107	f	2
1509	106	f	2
1514	101	f	2
1515	101	f	2
1516	87	f	2
1517	87	f	2
1518	87	f	2
1519	87	f	2
1553	79	f	2
2585	87	f	2
2586	87	f	2
2587	87	f	2
2588	89	f	2
2633	65	f	2
2634	65	f	2
2635	65	f	2
2174	135	f	2
2175	137	f	2
2176	135	f	2
2177	137	f	2
2178	135	f	2
2179	137	f	2
2180	135	f	2
2181	137	f	2
2182	135	f	2
897	39	\N	2
898	39	\N	2
899	39	\N	2
900	65	\N	2
2435	146	f	2
901	12	\N	2
2450	103	f	2
902	65	\N	2
903	71	\N	2
2451	106	f	2
2486	101	f	2
2489	86	f	2
2490	86	f	2
2491	86	f	2
2493	87	f	2
2501	110	f	2
2502	110	f	2
2503	119	f	2
2505	110	f	2
2506	86	f	2
2507	110	f	2
2508	110	f	2
2737	106	f	2
2738	117	f	2
2739	69	f	2
2740	12	f	2
2832	119	f	2
2863	111	f	2
2864	140	f	2
2930	145	f	2
2933	145	f	2
2935	130	f	2
2939	130	f	2
2940	145	f	2
2945	130	f	2
2978	145	f	2
2979	145	f	2
2980	145	f	2
3573	145	f	2
3574	145	f	2
3575	145	f	2
2274	143	f	2
1962	93	f	\N
2275	134	f	2
3643	110	f	2
2276	12	f	2
2277	105	f	2
2278	135	f	2
2279	144	f	2
3668	110	f	2
2280	134	f	2
2281	104	f	2
3669	110	f	2
3671	110	f	2
3672	86	f	2
3673	104	f	2
3674	104	f	2
3675	87	f	2
3676	69	f	2
3677	145	f	2
2282	135	f	2
2284	134	f	2
1963	123	f	2
1964	93	f	2
1965	123	f	2
1966	12	f	2
2098	118	f	2
2099	12	f	2
2100	12	f	2
1978	2	f	2
2101	65	f	2
1979	118	f	2
1985	93	f	2
1986	123	f	2
1987	103	f	2
1988	119	f	2
1989	12	f	2
2602	65	f	2
2603	65	f	2
2604	65	f	2
2605	65	f	2
2608	65	f	2
2612	65	f	2
2613	65	f	2
2617	65	f	2
2039	119	f	2
2044	119	f	2
2156	135	f	2
2157	137	f	2
2158	135	f	2
2159	137	f	2
2160	135	f	2
2161	137	f	2
2162	135	f	2
2163	137	f	2
2164	135	f	2
2165	137	f	2
2167	135	f	2
2045	119	f	2
2399	105	f	2
2400	105	f	2
2401	105	f	2
2402	105	f	2
2403	105	f	2
2704	119	f	2
2705	119	f	2
2706	119	f	2
2707	119	f	2
2708	119	f	2
2709	119	f	2
2434	130	f	2
775	12	\N	2
778	65	\N	2
779	65	\N	2
780	65	\N	2
784	47	\N	2
786	47	\N	2
788	12	\N	2
789	67	\N	2
790	65	\N	2
791	65	\N	2
792	65	\N	2
794	55	\N	2
800	55	\N	2
801	55	\N	2
802	65	\N	2
2931	145	f	2
1468	84	f	2
1469	90	f	2
1470	83	f	2
2932	145	f	2
2942	145	f	2
2943	145	f	2
2944	145	f	2
2981	145	f	2
3576	145	f	2
3577	145	f	2
3578	145	f	2
1471	69	f	2
1913	117	f	2
1510	101	f	2
1968	12	f	2
1970	126	f	2
3645	110	f	2
1971	93	f	2
1972	123	f	2
1973	123	f	2
1975	65	f	2
1976	55	f	2
3647	110	f	2
1977	12	f	2
1554	101	f	2
1556	101	f	2
1559	87	f	2
1560	79	f	2
2137	139	f	2
2138	139	f	2
2139	139	f	2
2144	135	f	2
2145	137	f	2
2146	135	f	2
2147	137	f	2
3648	110	f	2
3670	110	f	2
3678	130	f	2
3682	83	f	2
3683	69	f	2
3686	134	f	2
3687	119	f	2
3688	103	f	2
3689	106	f	2
3690	117	f	2
3694	111	f	2
838	65	\N	2
849	41	\N	2
851	41	\N	2
852	41	\N	2
853	41	\N	2
854	2	\N	2
855	2	\N	2
856	2	\N	2
857	55	\N	2
858	55	\N	2
859	55	\N	2
860	55	\N	2
861	55	\N	2
864	65	\N	2
865	12	\N	2
866	65	\N	2
1307	90	f	2
1308	90	f	2
1337	84	f	2
1338	83	f	2
1347	39	f	2
1348	84	f	2
1349	83	f	2
1393	12	f	2
1394	65	f	2
1395	65	f	2
1396	104	f	2
1398	104	f	2
1400	104	f	2
1401	104	f	2
1402	104	f	2
1403	104	f	2
1404	87	f	2
1406	89	f	2
1407	90	f	2
1408	69	f	2
1409	69	f	2
1410	69	f	2
1411	69	f	2
2148	135	f	2
2149	137	f	2
2150	135	f	2
2187	135	f	2
2188	137	f	2
2189	135	f	2
2190	137	f	2
2674	84	f	2
2675	83	f	2
2676	87	f	2
1413	102	f	2
1414	90	f	2
1415	91	f	2
1417	84	f	2
1418	90	f	2
1419	91	f	2
1420	101	f	2
2152	135	f	2
2153	137	f	2
2154	135	f	2
2155	137	f	2
2184	135	f	2
2185	137	f	2
2186	134	f	2
2688	135	f	2
2880	87	f	2
904	71	\N	2
2934	145	f	2
905	71	\N	2
906	71	\N	2
910	65	\N	2
911	65	\N	2
912	72	\N	2
1318	102	f	2
1319	84	f	2
2206	110	f	2
2207	110	f	2
1607	106	f	2
1608	105	f	2
1341	84	f	2
1609	105	f	2
2982	145	f	2
2983	145	f	2
2984	145	f	2
2433	145	f	2
2689	143	f	2
2558	12	f	2
2559	151	f	2
3605	145	f	2
3627	93	f	\N
1342	83	f	2
1343	70	f	2
1610	87	f	2
1611	87	f	2
1612	89	f	2
1613	89	f	2
1614	90	f	2
2560	69	f	2
2561	145	f	2
2562	130	f	2
2733	148	f	2
3679	93	f	2
3680	146	f	2
3693	111	f	2
1615	69	f	2
2208	110	f	2
2209	110	f	2
2210	86	f	2
2211	110	f	2
2212	110	f	2
2213	86	f	2
2734	119	f	2
2735	119	f	2
2843	119	f	2
1370	90	f	2
1384	39	f	2
2283	137	f	2
1803	118	f	2
2301	146	f	2
2302	118	f	2
1852	119	f	2
1898	105	f	2
1900	120	f	2
1901	120	f	2
1902	117	f	2
1903	111	f	2
1904	65	f	2
1905	65	f	2
1561	87	f	2
1562	87	f	2
1563	79	f	2
1564	101	f	2
2844	119	f	2
1569	101	f	2
1570	101	f	2
1571	65	f	2
1575	65	f	2
1576	86	f	2
2845	119	f	2
2846	119	f	2
2847	119	f	2
2848	119	f	2
2849	119	f	2
2850	119	f	2
2851	119	f	2
2852	110	f	2
2853	86	f	2
2854	119	f	2
1577	87	f	2
1578	79	f	2
1579	110	f	2
1580	78	f	2
1581	87	f	2
1582	89	f	2
2598	145	f	2
2599	130	f	2
2870	119	f	2
2151	137	f	2
988	75	\N	2
1003	12	\N	2
1060	41	\N	2
1078	12	\N	2
1088	12	\N	2
1089	65	\N	2
1090	39	\N	2
1091	84	\N	2
1093	84	\N	2
1095	70	\N	2
1096	39	\N	2
2936	145	f	2
2937	145	f	2
2938	145	f	2
2985	145	f	2
2986	145	f	2
2987	145	f	2
2988	145	f	2
2989	145	f	2
2990	145	f	2
3582	145	f	2
3583	145	f	2
3584	145	f	2
3585	145	f	2
3586	145	f	2
3587	145	f	2
1922	93	f	\N
1932	93	f	\N
1933	93	f	\N
1939	93	f	\N
1940	93	f	\N
3628	93	f	2
3630	118	f	2
3681	84	f	2
3684	135	f	2
3685	137	f	2
1199	89	\N	2
1204	87	\N	2
1205	89	\N	2
1206	89	\N	2
1252	59	f	2
1257	87	f	2
1258	87	f	2
1644	90	f	2
1645	69	f	2
1646	70	f	2
1918	119	f	2
1919	12	f	2
1924	118	f	2
1925	89	f	2
1926	90	f	2
1927	87	f	2
1931	118	f	2
1941	12	f	2
1945	123	f	2
1946	123	f	2
1947	123	f	2
1948	123	f	2
1954	12	f	2
1584	89	f	2
1585	90	f	2
1586	69	f	2
1587	39	f	2
1588	84	f	2
1589	84	f	2
1590	83	f	2
1591	87	f	2
1592	89	f	2
1593	69	f	2
1597	104	f	2
2631	65	f	2
2632	65	f	2
2702	119	f	2
2703	119	f	2
2830	69	f	2
2831	134	f	2
2833	110	f	2
2834	86	f	2
2835	104	f	2
2858	103	f	2
2859	148	f	2
2860	106	f	2
885	47	\N	2
2946	145	f	2
895	39	\N	2
940	73	\N	2
941	73	\N	2
942	73	\N	2
1259	87	f	2
1260	87	f	2
2200	104	f	2
2214	110	f	2
2215	86	f	2
2216	78	f	2
2217	12	f	2
2218	140	f	2
2219	65	f	2
2221	140	f	2
2222	65	f	2
2223	78	f	2
2224	78	f	2
2225	78	f	2
2226	78	f	2
2227	78	f	2
2228	78	f	2
2229	78	f	2
2230	78	f	2
1908	65	f	2
2055	12	f	2
2062	93	f	2
2064	123	f	2
2065	118	f	2
2067	123	f	2
2069	123	f	2
2070	12	f	2
2305	145	f	2
2306	146	f	2
1993	106	f	2
2310	145	f	2
1994	106	f	2
1995	106	f	2
1996	106	f	2
2312	130	f	2
1997	106	f	2
2313	145	f	2
2314	69	f	2
2000	103	f	2
2315	135	f	2
2001	106	f	2
2316	137	f	2
2002	106	f	2
2317	134	f	2
2005	103	f	2
2319	104	f	2
2006	106	f	2
2007	106	f	2
2009	93	f	2
2010	123	f	2
2011	110	f	2
2012	118	f	2
2013	87	f	2
2014	89	f	2
2015	90	f	2
2016	93	f	2
2017	69	f	2
2018	87	f	2
2019	89	f	2
2947	145	f	2
2948	145	f	2
2949	130	f	2
2991	130	f	2
3588	145	f	2
3589	145	f	2
3590	145	f	2
3592	145	f	2
3607	145	f	2
3629	93	f	2
3695	93	f	2
2020	69	f	2
2023	104	f	2
2024	104	f	2
2026	103	f	2
2027	106	f	2
2028	106	f	2
2437	146	f	2
2438	117	f	2
1880	106	f	2
1881	106	f	2
2374	84	f	2
2375	83	f	2
2413	105	f	2
2950	145	f	2
871	69	\N	2
872	12	\N	2
873	65	\N	2
874	65	\N	2
876	41	\N	2
878	70	\N	2
2857	119	f	2
879	65	\N	2
880	70	\N	2
881	70	\N	2
882	70	\N	2
883	70	\N	2
1079	65	\N	2
2951	145	f	2
2952	145	f	2
2992	145	f	2
2993	145	f	2
2994	145	f	2
2995	145	f	2
2996	145	f	2
2997	145	f	2
2998	145	f	2
2999	145	f	2
3000	145	f	2
3013	145	f	2
3014	145	f	2
3015	145	f	2
3016	145	f	2
3017	145	f	2
3018	145	f	2
3019	145	f	2
3020	145	f	2
3021	145	f	2
3022	145	f	2
3023	145	f	2
3024	145	f	2
3025	145	f	2
3026	145	f	2
3027	145	f	2
3028	145	f	2
3029	145	f	2
3030	145	f	2
3031	145	f	2
3032	145	f	2
3033	145	f	2
3034	145	f	2
3035	145	f	2
3036	145	f	2
3593	145	f	2
3608	145	f	2
3609	145	f	2
3631	118	f	2
3632	93	f	2
3633	93	f	2
1097	84	\N	2
1101	39	\N	2
1102	84	\N	2
1159	78	\N	2
1170	39	\N	2
1178	70	\N	2
1179	39	\N	2
1189	12	\N	2
1190	12	\N	2
1191	86	\N	2
1192	86	\N	2
1193	87	\N	2
1194	87	\N	2
1200	89	\N	2
1201	87	\N	2
1210	90	\N	2
1211	12	\N	2
1212	65	\N	2
1213	90	\N	2
1214	91	\N	2
1225	12	\N	2
1230	93	\N	2
1243	87	f	2
1244	87	f	2
1253	65	f	2
1263	87	f	2
1264	87	f	2
1265	89	f	2
1268	12	f	2
2198	123	f	2
2199	105	f	2
2240	78	f	2
2241	78	f	2
2242	78	f	2
2243	12	f	2
2244	12	f	2
2245	65	f	2
2246	105	f	2
2247	102	f	2
2248	141	f	2
2249	141	f	2
2254	135	f	2
2255	142	f	2
2256	135	f	2
2257	142	f	2
2258	135	f	2
2259	142	f	2
1853	119	f	2
1854	119	f	2
1855	119	f	2
1859	119	f	2
1860	119	f	2
1865	117	f	2
1866	117	f	2
1867	117	f	2
1868	117	f	2
1869	69	f	2
1870	78	f	2
1872	118	f	2
1873	105	f	2
1875	106	f	2
1876	106	f	2
863	65	\N	2
870	69	\N	2
875	70	\N	2
1207	12	\N	2
1209	90	\N	2
1218	39	\N	2
1221	12	\N	2
1227	93	\N	2
1240	41	f	2
1241	39	f	2
1249	59	f	2
1282	87	f	2
1980	93	f	2
1981	118	f	2
1982	93	f	2
1984	123	f	2
2404	105	f	2
2405	105	f	2
2406	105	f	2
2407	105	f	2
2408	105	f	2
2409	105	f	2
2410	105	f	2
2411	105	f	2
2412	105	f	2
2414	105	f	2
2432	105	f	2
2719	119	f	2
2720	119	f	2
2721	119	f	2
2722	119	f	2
2723	104	f	2
2724	119	f	2
2736	119	f	2
2741	65	f	2
2742	12	f	2
2779	123	f	2
2780	123	f	2
2781	123	f	2
2782	123	f	2
2783	123	f	2
2953	130	f	2
3001	145	f	2
3002	145	f	2
3003	145	f	2
3004	145	f	2
3005	145	f	2
3006	145	f	2
3007	145	f	2
3008	145	f	2
3009	145	f	2
3010	145	f	2
3011	145	f	2
3012	145	f	2
3594	145	f	2
3610	145	f	2
1983	93	f	\N
2954	145	f	2
3037	145	f	2
3038	145	f	2
3039	145	f	2
3040	145	f	2
3041	145	f	2
3042	145	f	2
3043	145	f	2
2466	117	f	2
2467	111	f	2
2468	119	f	2
2469	119	f	2
2470	119	f	2
2475	90	f	2
2477	47	f	2
2484	2	f	2
3044	145	f	2
3045	145	f	2
3046	145	f	2
3047	145	f	2
3048	145	f	2
3049	145	f	2
3050	145	f	2
3051	145	f	2
3052	145	f	2
3053	145	f	2
3054	145	f	2
3055	145	f	2
3056	145	f	2
3057	145	f	2
3058	145	f	2
3059	145	f	2
3060	145	f	2
3061	145	f	2
3062	145	f	2
3063	145	f	2
3064	145	f	2
3065	145	f	2
3066	145	f	2
3067	145	f	2
3068	145	f	2
3069	145	f	2
3070	145	f	2
3071	145	f	2
3072	145	f	2
3073	145	f	2
3074	145	f	2
3075	145	f	2
3076	145	f	2
3077	145	f	2
3078	145	f	2
3079	145	f	2
3080	145	f	2
3081	145	f	2
3082	145	f	2
3083	145	f	2
3084	145	f	2
3596	145	f	2
\.


--
-- Name: resource_id_seq; Type: SEQUENCE SET; Schema: public; Owner: -
--

SELECT pg_catalog.setval('resource_id_seq', 3695, true);


--
-- Data for Name: resource_log; Type: TABLE DATA; Schema: public; Owner: -
--

COPY resource_log (id, resource_id, employee_id, comment, modifydt) FROM stdin;
142	83	2	\N	2013-12-07 16:38:38.11618+02
143	84	2	\N	2013-12-07 16:39:56.788641+02
144	3	2	\N	2013-12-07 16:41:27.65259+02
145	2	2	\N	2013-12-07 16:41:31.748494+02
146	83	2	\N	2013-12-07 16:58:05.802634+02
147	83	2	\N	2013-12-07 17:00:14.544264+02
4836	794	2	\N	2014-02-05 19:54:07.5415+02
5406	1192	2	\N	2014-04-06 19:21:11.278173+03
5407	1005	2	\N	2014-04-06 19:21:55.315341+03
4845	283	2	\N	2014-02-06 11:38:41.090464+02
2	10	2	\N	2013-11-16 19:00:14.24272+02
4	12	2	\N	2013-11-16 19:00:15.497284+02
6	14	2	\N	2013-11-16 19:00:16.696731+02
8	16	2	\N	2013-11-16 19:00:17.960761+02
5427	1204	2	\N	2014-04-09 18:54:09.146902+03
12	30	2	\N	2013-11-23 19:26:00.193553+02
13	30	2	\N	2013-11-23 22:02:37.363677+02
14	10	2	\N	2013-11-23 22:11:01.634598+02
15	30	2	\N	2013-11-23 22:11:14.939938+02
16	30	2	\N	2013-11-23 22:11:38.396085+02
19	30	2	\N	2013-11-24 10:30:59.830287+02
20	30	2	\N	2013-11-24 10:31:22.936737+02
21	30	2	\N	2013-11-24 10:38:08.07328+02
22	30	2	\N	2013-11-24 10:38:10.703187+02
23	30	2	\N	2013-11-24 10:38:11.896934+02
24	30	2	\N	2013-11-24 10:42:19.397852+02
25	30	2	\N	2013-11-24 10:42:50.772172+02
26	30	2	\N	2013-11-24 10:45:56.399572+02
27	30	2	\N	2013-11-24 10:48:29.950669+02
28	30	2	\N	2013-11-24 10:49:23.616693+02
29	30	2	\N	2013-11-24 10:50:05.878643+02
30	30	2	\N	2013-11-24 10:51:02.465585+02
31	30	2	\N	2013-11-24 10:54:21.011765+02
32	30	2	\N	2013-11-24 10:54:28.775552+02
33	30	2	\N	2013-11-24 10:58:34.152869+02
34	30	2	\N	2013-11-24 10:58:36.766104+02
35	30	2	\N	2013-11-24 10:58:38.767749+02
36	30	2	\N	2013-11-24 10:58:42.533162+02
37	30	2	\N	2013-11-24 10:58:43.55758+02
38	30	2	\N	2013-11-24 10:58:47.40587+02
39	30	2	\N	2013-11-24 11:00:56.130675+02
40	30	2	\N	2013-11-24 11:01:17.637578+02
41	30	2	\N	2013-11-24 11:01:20.639413+02
42	30	2	\N	2013-11-24 11:01:25.957588+02
43	30	2	\N	2013-11-24 11:01:28.015301+02
44	30	2	\N	2013-11-24 11:01:49.505153+02
45	30	2	\N	2013-11-24 11:01:54.465064+02
46	30	2	\N	2013-11-24 11:01:56.828797+02
47	30	2	\N	2013-11-24 11:02:00.873006+02
48	30	2	\N	2013-11-24 11:02:06.385907+02
49	30	2	\N	2013-11-24 11:02:08.474309+02
50	30	2	\N	2013-11-24 11:02:11.823259+02
51	30	2	\N	2013-11-24 11:02:15.084044+02
52	30	2	\N	2013-11-24 11:23:59.150304+02
53	30	2	\N	2013-11-24 12:41:22.004561+02
54	30	2	\N	2013-11-24 12:41:27.704243+02
55	30	2	\N	2013-11-24 12:41:32.588516+02
5430	1207	2	\N	2014-04-09 20:43:13.852066+03
5459	1227	2	\N	2014-04-19 13:04:24.512333+03
5467	1230	2	\N	2014-04-23 11:53:28.979784+03
5468	1230	2	\N	2014-04-23 11:53:45.572462+03
5537	1306	2	\N	2014-04-30 11:04:50.581045+03
66	16	2	\N	2013-11-30 12:57:27.26941+02
67	31	2	\N	2013-11-30 14:25:42.040654+02
68	32	2	\N	2013-11-30 14:27:55.708736+02
69	33	2	\N	2013-11-30 14:28:30.596329+02
70	34	2	\N	2013-11-30 14:29:07.205192+02
71	35	2	\N	2013-11-30 14:30:10.653134+02
72	36	2	\N	2013-11-30 14:31:39.751221+02
73	37	2	\N	2013-11-30 14:32:36.035677+02
74	38	2	\N	2013-11-30 14:55:27.691288+02
75	39	2	\N	2013-11-30 14:58:07.249714+02
76	40	2	\N	2013-11-30 14:58:34.364695+02
79	43	2	\N	2013-11-30 15:08:29.574538+02
80	43	2	\N	2013-11-30 15:08:52.114395+02
81	43	2	\N	2013-11-30 15:09:21.51485+02
82	44	2	\N	2013-11-30 15:09:54.961188+02
83	45	2	\N	2013-12-01 13:04:27.697583+02
84	45	2	\N	2013-12-01 13:04:40.716328+02
85	14	2	\N	2013-12-01 14:31:19.374571+02
87	12	2	\N	2013-12-01 18:21:35.266219+02
104	10	2	\N	2013-12-02 20:43:38.334769+02
130	10	2	\N	2013-12-06 21:10:25.807719+02
4796	769	2	\N	2014-01-22 22:21:45.451623+02
4820	16	2	\N	2014-02-01 21:09:43.821944+02
5408	1192	2	\N	2014-04-06 19:22:16.361504+03
5409	1005	2	\N	2014-04-06 19:22:18.74271+03
4822	784	2	\N	2014-02-01 21:23:07.460721+02
4823	786	2	\N	2014-02-01 21:23:12.871915+02
5410	1193	2	\N	2014-04-06 19:30:25.125445+03
5411	1194	2	\N	2014-04-06 19:30:51.85642+03
5412	1195	2	\N	2014-04-06 19:32:30.207073+03
5428	1205	2	\N	2014-04-09 19:17:37.483997+03
5431	1209	2	\N	2014-04-09 20:49:45.884539+03
4843	800	2	\N	2014-02-05 19:58:31.619612+02
4844	801	2	\N	2014-02-05 19:58:49.632624+02
4951	885	2	\N	2014-02-14 21:23:40.101298+02
4952	885	2	\N	2014-02-14 21:25:13.866935+02
4974	849	2	\N	2014-02-23 22:41:46.113064+02
4977	884	2	\N	2014-02-23 22:42:22.595852+02
5143	1003	2	\N	2014-03-04 21:05:09.565466+02
5144	1004	2	\N	2014-03-04 21:08:53.227171+02
5145	1005	2	\N	2014-03-04 21:09:15.542733+02
5471	1240	2	\N	2014-04-26 13:10:19.27836+03
5538	1307	2	\N	2014-04-30 11:08:33.655971+03
5544	1313	2	\N	2014-05-16 22:03:29.897662+03
361	274	2	\N	2013-12-14 17:16:08.962259+02
365	277	2	\N	2013-12-14 18:56:05.189747+02
366	278	2	\N	2013-12-14 18:56:17.77025+02
367	279	2	\N	2013-12-14 18:56:45.919492+02
368	280	2	\N	2013-12-14 19:10:07.617582+02
369	281	2	\N	2013-12-14 19:10:25.311427+02
370	281	2	\N	2013-12-14 19:10:59.35028+02
371	281	2	\N	2013-12-14 19:12:14.211139+02
372	282	2	\N	2013-12-14 19:14:22.861495+02
373	278	2	\N	2013-12-14 19:14:33.853691+02
374	282	2	\N	2013-12-14 19:14:41.964012+02
375	283	2	\N	2013-12-14 19:16:35.738242+02
4882	706	2	\N	2014-02-08 19:59:59.160282+02
377	283	2	\N	2013-12-14 19:18:21.622933+02
4953	886	2	\N	2014-02-14 21:25:53.089098+02
4978	893	2	\N	2014-02-24 11:11:03.613711+02
5147	1004	2	\N	2014-03-04 21:17:22.306545+02
5148	1004	2	\N	2014-03-04 21:23:04.343461+02
386	286	2	\N	2013-12-14 20:46:34.653533+02
387	287	2	\N	2013-12-14 20:46:47.37835+02
388	288	2	\N	2013-12-14 20:47:08.024243+02
389	289	2	\N	2013-12-14 20:47:28.256516+02
390	290	2	\N	2013-12-14 20:52:40.953492+02
391	291	2	\N	2013-12-14 20:53:08.057165+02
392	292	2	\N	2013-12-14 20:53:33.598708+02
5149	1004	2	\N	2014-03-04 21:23:17.093243+02
5150	1004	2	\N	2014-03-04 21:23:25.611509+02
4799	771	2	\N	2014-01-25 16:05:28.799345+02
4800	771	2	\N	2014-01-25 16:05:38.705799+02
4801	772	2	\N	2014-01-25 16:06:28.321244+02
4826	788	2	\N	2014-02-01 22:03:21.899916+02
5151	1004	2	\N	2014-03-04 21:23:52.466966+02
5152	1004	2	\N	2014-03-04 21:24:11.351815+02
5153	1004	2	\N	2014-03-04 21:24:20.614224+02
5429	1206	2	\N	2014-04-09 19:21:09.215561+03
5154	1004	2	\N	2014-03-04 21:35:47.600889+02
5155	1004	2	\N	2014-03-04 21:36:05.835492+02
5156	1004	2	\N	2014-03-04 21:36:16.322673+02
5432	1210	2	\N	2014-04-12 13:10:08.842351+03
5472	1241	2	\N	2014-04-26 19:16:28.009797+03
5539	1308	2	\N	2014-04-30 11:20:34.938154+03
5545	1314	2	\N	2014-05-17 13:42:16.369317+03
422	306	2	\N	2013-12-15 21:45:32.990838+02
4802	773	2	\N	2014-01-25 23:45:37.762081+02
4827	789	2	\N	2014-02-02 16:45:11.830435+02
4954	887	2	\N	2014-02-15 12:32:09.199652+02
5415	1198	2	\N	2014-04-08 09:35:59.21042+03
4979	885	2	\N	2014-02-24 12:50:26.694026+02
4980	786	2	\N	2014-02-24 12:50:29.953348+02
4981	784	2	\N	2014-02-24 12:50:33.322359+02
5157	1004	2	\N	2014-03-07 22:30:15.652582+02
5230	894	2	\N	2014-03-16 11:54:19.683752+02
5231	894	2	\N	2014-03-16 11:54:28.171778+02
5232	894	2	\N	2014-03-16 11:54:33.774318+02
5270	1004	2	\N	2014-03-17 10:50:39.781432+02
5465	1230	2	\N	2014-04-19 21:03:03.225866+03
5508	1277	2	\N	2014-04-29 10:08:17.485661+03
5509	1278	2	\N	2014-04-29 10:09:19.421905+03
5540	1309	2	\N	2014-04-30 11:32:51.070911+03
5547	1316	2	\N	2014-05-17 14:00:25.111543+03
4927	865	2	\N	2014-02-09 13:26:19.008763+02
4804	775	2	\N	2014-01-26 15:30:50.636495+02
4828	3	2	\N	2014-02-02 17:45:50.239397+02
5416	1199	2	\N	2014-04-08 10:15:32.411146+03
5434	1211	2	\N	2014-04-12 14:16:34.33498+03
5435	1211	2	\N	2014-04-12 14:16:53.40729+03
4982	895	2	\N	2014-02-25 19:06:42.158245+02
5158	1007	2	\N	2014-03-08 10:30:25.61786+02
5198	3	2	\N	2014-03-11 13:14:05.142514+02
5233	1060	2	\N	2014-03-16 12:26:38.52955+02
5437	1213	2	\N	2014-04-12 14:32:08.840037+03
5466	1227	2	\N	2014-04-19 21:37:55.580038+03
5474	1243	2	\N	2014-04-26 22:38:44.326007+03
5541	1310	2	\N	2014-04-30 22:45:27.579715+03
5548	1317	2	\N	2014-05-17 14:54:57.813145+03
5549	1318	2	\N	2014-05-17 15:24:32.954365+03
5550	1319	2	\N	2014-05-17 15:53:28.880817+03
5551	1320	2	\N	2014-05-17 15:53:34.139717+03
5552	1321	2	\N	2014-05-17 15:55:03.155317+03
5553	1322	2	\N	2014-05-17 15:55:07.534203+03
5557	1326	2	\N	2014-05-17 15:59:13.891973+03
5558	1327	2	\N	2014-05-17 15:59:17.045556+03
5559	1328	2	\N	2014-05-17 16:00:04.660539+03
5560	1329	2	\N	2014-05-17 16:00:08.901641+03
5561	1330	2	\N	2014-05-17 16:00:10.337355+03
5566	1335	2	\N	2014-05-17 16:02:19.447311+03
5570	1339	2	\N	2014-05-17 16:06:26.675372+03
5571	1340	2	\N	2014-05-17 16:06:28.503991+03
5572	1341	2	\N	2014-05-17 16:06:29.727144+03
5573	1342	2	\N	2014-05-17 16:06:31.81672+03
5574	1343	2	\N	2014-05-17 16:07:44.265465+03
5575	1344	2	\N	2014-05-17 16:07:45.972655+03
5576	1345	2	\N	2014-05-17 16:07:47.259172+03
5577	1346	2	\N	2014-05-17 16:07:49.146563+03
5581	1350	2	\N	2014-05-17 16:09:55.923893+03
5582	1351	2	\N	2014-05-17 16:13:13.017272+03
5583	1352	2	\N	2014-05-17 16:13:14.609527+03
5584	1353	2	\N	2014-05-17 16:13:16.568079+03
5585	1354	2	\N	2014-05-17 16:13:17.732756+03
5370	1159	2	\N	2014-04-02 19:52:15.193771+03
4888	786	2	\N	2014-02-08 21:26:45.138217+02
5417	1200	2	\N	2014-04-08 10:35:59.014802+03
4890	784	2	\N	2014-02-08 21:26:51.98617+02
4929	870	2	\N	2014-02-09 14:57:54.403714+02
4967	892	2	\N	2014-02-22 17:14:02.512772+02
4983	896	2	\N	2014-02-25 19:37:56.226615+02
4984	897	2	\N	2014-02-25 19:38:21.395798+02
4985	898	2	\N	2014-02-25 19:38:30.353048+02
4986	899	2	\N	2014-02-25 19:39:23.588225+02
4988	901	2	\N	2014-02-25 19:47:57.884012+02
5160	1009	2	\N	2014-03-08 10:49:52.0599+02
5199	3	2	\N	2014-03-12 12:05:31.953558+02
5438	1214	2	\N	2014-04-12 14:36:07.046988+03
5475	1244	2	\N	2014-04-26 22:39:00.40778+03
5542	1311	2	\N	2014-04-30 22:45:36.089534+03
5554	1323	2	\N	2014-05-17 15:55:54.008685+03
5555	1324	2	\N	2014-05-17 15:56:55.63522+03
5556	1325	2	\N	2014-05-17 15:58:29.508912+03
5562	1331	2	\N	2014-05-17 16:00:49.21287+03
5563	1332	2	\N	2014-05-17 16:01:46.175183+03
5564	1333	2	\N	2014-05-17 16:01:47.950656+03
5565	1334	2	\N	2014-05-17 16:01:48.837764+03
5567	1336	2	\N	2014-05-17 16:03:41.796945+03
5568	1337	2	\N	2014-05-17 16:04:32.839289+03
5569	1338	2	\N	2014-05-17 16:04:34.363533+03
5578	1347	2	\N	2014-05-17 16:08:39.18466+03
5579	1348	2	\N	2014-05-17 16:08:56.863828+03
5580	1349	2	\N	2014-05-17 16:08:58.291349+03
4894	849	2	\N	2014-02-08 21:32:14.802948+02
4896	851	2	\N	2014-02-08 21:32:32.471247+02
4897	852	2	\N	2014-02-08 21:36:44.493917+02
4930	871	2	\N	2014-02-09 16:04:05.85568+02
4968	892	2	\N	2014-02-22 17:18:17.771894+02
5161	1009	2	\N	2014-03-08 10:52:32.854366+02
5162	1009	2	\N	2014-03-08 10:52:45.635015+02
5163	1009	2	\N	2014-03-08 10:52:53.515357+02
5164	1009	2	\N	2014-03-08 10:52:58.740536+02
5165	1010	2	\N	2014-03-08 10:54:40.946487+02
5166	1010	2	\N	2014-03-08 10:54:50.928085+02
5200	3	2	\N	2014-03-12 12:14:05.203771+02
5235	897	2	\N	2014-03-16 12:53:37.56753+02
5278	1067	2	\N	2014-03-18 19:51:01.87448+02
5375	1164	2	\N	2014-04-02 20:56:42.084197+03
5376	1165	2	\N	2014-04-02 20:56:48.393173+03
5419	1201	2	\N	2014-04-08 10:38:31.154572+03
5440	1214	2	\N	2014-04-12 14:39:05.532456+03
5442	1214	2	\N	2014-04-12 14:43:11.754556+03
5513	1282	2	\N	2014-04-29 10:43:05.718429+03
5586	1355	2	\N	2014-05-17 16:14:39.7443+03
5587	1356	2	\N	2014-05-17 16:14:41.182697+03
5588	1357	2	\N	2014-05-17 16:14:43.239633+03
5590	1359	2	\N	2014-05-17 16:15:43.442935+03
5591	1360	2	\N	2014-05-17 16:15:45.790483+03
5596	1365	2	\N	2014-05-17 16:20:21.389915+03
5597	1366	2	\N	2014-05-17 16:20:22.473385+03
5598	1367	2	\N	2014-05-17 16:20:23.843632+03
4898	853	2	\N	2014-02-08 21:39:09.10029+02
4812	784	2	\N	2014-01-26 21:12:24.209136+02
4813	784	2	\N	2014-01-26 21:13:10.546575+02
4814	784	2	\N	2014-01-26 21:13:20.058093+02
4815	784	2	\N	2014-01-26 21:13:24.693933+02
4817	786	2	\N	2014-01-26 21:15:00.370561+02
4818	784	2	\N	2014-01-26 21:20:14.635984+02
4819	784	2	\N	2014-01-26 21:20:34.941868+02
4931	274	2	\N	2014-02-10 08:49:31.501202+02
4969	893	2	\N	2014-02-22 17:26:37.296722+02
4970	894	2	\N	2014-02-22 17:27:40.771678+02
4991	903	2	\N	2014-02-25 22:43:46.101171+02
4992	904	2	\N	2014-02-25 22:43:53.30222+02
4993	905	2	\N	2014-02-25 22:44:00.024066+02
4994	906	2	\N	2014-02-25 22:44:13.035203+02
4995	907	2	\N	2014-02-25 22:44:59.159297+02
5167	1009	2	\N	2014-03-08 10:57:02.535973+02
5168	1010	2	\N	2014-03-08 10:57:07.365849+02
5201	3	2	\N	2014-03-12 12:29:57.686858+02
5202	3	2	\N	2014-03-12 12:30:07.270368+02
5203	3	2	\N	2014-03-12 12:30:09.982217+02
5204	3	2	\N	2014-03-12 12:32:22.25189+02
5205	894	2	\N	2014-03-12 12:32:26.366205+02
5236	919	2	\N	2014-03-16 13:33:07.651832+02
5444	1218	2	\N	2014-04-12 15:00:38.646853+03
5447	1214	2	\N	2014-04-12 15:02:33.59771+03
5514	1283	2	\N	2014-04-29 12:06:08.689068+03
5515	1284	2	\N	2014-04-29 12:07:06.357367+03
5518	1287	2	\N	2014-04-29 12:09:55.486785+03
5520	1289	2	\N	2014-04-29 12:11:36.874588+03
5589	1358	2	\N	2014-05-17 16:15:09.836615+03
5592	1361	2	\N	2014-05-17 16:16:33.155307+03
5593	1362	2	\N	2014-05-17 16:16:42.585648+03
5594	1363	2	\N	2014-05-17 16:18:45.312153+03
5595	1364	2	\N	2014-05-17 16:18:46.752544+03
4932	872	2	\N	2014-02-10 14:29:53.759164+02
4996	908	2	\N	2014-02-25 23:15:44.304324+02
4997	909	2	\N	2014-02-25 23:16:53.455486+02
5000	912	2	\N	2014-02-25 23:21:05.038132+02
5001	913	2	\N	2014-02-25 23:21:10.720503+02
5002	914	2	\N	2014-02-25 23:21:15.803027+02
5003	915	2	\N	2014-02-25 23:21:21.245593+02
5004	916	2	\N	2014-02-25 23:21:27.843749+02
5005	917	2	\N	2014-02-25 23:21:40.705852+02
5006	918	2	\N	2014-02-25 23:21:45.161533+02
5007	918	2	\N	2014-02-25 23:21:53.74917+02
5008	918	2	\N	2014-02-25 23:21:57.599668+02
5009	919	2	\N	2014-02-25 23:22:22.789803+02
5011	921	2	\N	2014-02-25 23:22:59.534922+02
5012	922	2	\N	2014-02-25 23:23:04.765473+02
5013	923	2	\N	2014-02-25 23:23:16.649188+02
5014	924	2	\N	2014-02-25 23:23:30.151925+02
5015	925	2	\N	2014-02-25 23:25:11.120354+02
5016	926	2	\N	2014-02-25 23:26:11.314153+02
5017	927	2	\N	2014-02-25 23:26:34.378644+02
5018	928	2	\N	2014-02-25 23:26:49.163639+02
5019	929	2	\N	2014-02-25 23:27:07.84413+02
5020	930	2	\N	2014-02-25 23:27:30.797684+02
5021	931	2	\N	2014-02-25 23:27:45.611037+02
5022	932	2	\N	2014-02-25 23:28:05.678992+02
5023	933	2	\N	2014-02-25 23:28:21.001129+02
5025	935	2	\N	2014-02-25 23:28:49.565248+02
5026	936	2	\N	2014-02-25 23:29:05.034117+02
5027	937	2	\N	2014-02-25 23:29:16.11101+02
5028	938	2	\N	2014-02-25 23:29:28.82178+02
5029	939	2	\N	2014-02-25 23:29:41.159219+02
5030	940	2	\N	2014-02-25 23:29:57.589154+02
5031	941	2	\N	2014-02-25 23:30:12.260571+02
5032	942	2	\N	2014-02-25 23:30:25.705958+02
5033	943	2	\N	2014-02-25 23:30:39.278491+02
5034	944	2	\N	2014-02-25 23:30:54.230938+02
5035	945	2	\N	2014-02-25 23:31:08.136642+02
5036	946	2	\N	2014-02-25 23:31:21.084682+02
5037	947	2	\N	2014-02-25 23:31:35.443235+02
5038	948	2	\N	2014-02-25 23:31:50.036032+02
5039	949	2	\N	2014-02-25 23:32:16.232207+02
5040	950	2	\N	2014-02-25 23:32:51.784126+02
5169	1011	2	\N	2014-03-08 15:10:44.638516+02
5206	3	2	\N	2014-03-12 13:00:24.217557+02
5207	3	2	\N	2014-03-12 13:00:34.025605+02
5238	1062	2	\N	2014-03-16 15:10:44.294343+02
5239	1062	2	\N	2014-03-16 15:11:01.269428+02
5240	858	2	\N	2014-03-16 15:11:06.875279+02
5241	903	2	\N	2014-03-16 15:12:25.130202+02
5379	1168	2	\N	2014-04-03 12:39:52.988369+03
5380	1169	2	\N	2014-04-03 12:49:06.139328+03
5448	1221	2	\N	2014-04-12 16:44:14.810824+03
5516	1285	2	\N	2014-04-29 12:08:23.116251+03
5517	1286	2	\N	2014-04-29 12:09:10.712444+03
5522	1291	2	\N	2014-04-29 12:13:37.203069+03
5523	1292	2	\N	2014-04-29 12:14:34.180203+03
4900	854	2	\N	2014-02-08 21:47:34.439997+02
4901	855	2	\N	2014-02-08 21:54:55.399628+02
4936	875	2	\N	2014-02-10 15:58:53.177719+02
4937	875	2	\N	2014-02-10 15:59:03.43204+02
5042	952	2	\N	2014-02-25 23:33:14.57009+02
5043	939	2	\N	2014-02-25 23:33:37.281163+02
5044	938	2	\N	2014-02-25 23:33:44.033176+02
5045	937	2	\N	2014-02-25 23:33:51.697991+02
5046	936	2	\N	2014-02-25 23:33:56.981908+02
5047	935	2	\N	2014-02-25 23:34:03.037741+02
5049	933	2	\N	2014-02-25 23:34:27.937885+02
5050	932	2	\N	2014-02-25 23:34:34.767736+02
5051	931	2	\N	2014-02-25 23:34:39.075165+02
5052	930	2	\N	2014-02-25 23:34:43.896812+02
5053	929	2	\N	2014-02-25 23:34:48.70472+02
5054	928	2	\N	2014-02-25 23:34:54.494127+02
5055	927	2	\N	2014-02-25 23:35:00.125101+02
5056	926	2	\N	2014-02-25 23:35:05.399995+02
5057	925	2	\N	2014-02-25 23:35:10.409443+02
5058	924	2	\N	2014-02-25 23:35:16.447517+02
5059	923	2	\N	2014-02-25 23:35:21.959285+02
5060	922	2	\N	2014-02-25 23:35:27.383937+02
5061	921	2	\N	2014-02-25 23:35:31.660307+02
5063	919	2	\N	2014-02-25 23:35:43.645366+02
5064	918	2	\N	2014-02-25 23:35:47.480218+02
5065	917	2	\N	2014-02-25 23:35:52.042922+02
5066	916	2	\N	2014-02-25 23:35:57.409224+02
5067	915	2	\N	2014-02-25 23:36:01.802966+02
5068	914	2	\N	2014-02-25 23:36:05.670476+02
5069	913	2	\N	2014-02-25 23:36:10.129284+02
5070	912	2	\N	2014-02-25 23:36:14.468359+02
5208	1040	2	\N	2014-03-12 20:50:33.871251+02
5209	1041	2	\N	2014-03-12 20:50:55.466763+02
5210	1041	2	\N	2014-03-12 20:51:02.123714+02
5211	1042	2	\N	2014-03-12 20:53:03.003465+02
5212	1043	2	\N	2014-03-12 20:53:27.910983+02
5213	1044	2	\N	2014-03-12 20:53:45.921718+02
5214	1045	2	\N	2014-03-12 20:54:23.054095+02
5215	1046	2	\N	2014-03-12 20:55:03.071619+02
5286	1078	2	\N	2014-03-20 21:22:51.030666+02
5381	1170	2	\N	2014-04-03 12:49:07.793292+03
5519	1288	2	\N	2014-04-29 12:10:21.572462+03
5521	1290	2	\N	2014-04-29 12:13:35.434847+03
5603	1372	2	\N	2014-05-17 18:47:30.594446+03
5606	1375	2	\N	2014-05-17 18:55:21.896666+03
5613	1382	2	\N	2014-05-17 19:04:51.767284+03
5619	1388	2	\N	2014-05-17 19:09:44.578209+03
5622	1391	2	\N	2014-05-17 19:12:29.996417+03
4902	856	2	\N	2014-02-08 21:59:04.719245+02
4938	876	2	\N	2014-02-10 16:19:24.400952+02
5071	953	2	\N	2014-02-26 23:25:15.548581+02
5072	954	2	\N	2014-02-26 23:25:55.407709+02
5075	957	2	\N	2014-02-26 23:28:34.003373+02
5076	958	2	\N	2014-02-26 23:28:45.594179+02
5077	959	2	\N	2014-02-26 23:28:57.004231+02
5078	960	2	\N	2014-02-26 23:29:08.086342+02
5079	961	2	\N	2014-02-26 23:29:17.646283+02
5080	962	2	\N	2014-02-26 23:29:26.175631+02
5081	963	2	\N	2014-02-26 23:29:35.761623+02
5082	964	2	\N	2014-02-26 23:29:46.892804+02
5083	965	2	\N	2014-02-26 23:29:54.140342+02
5084	966	2	\N	2014-02-26 23:30:01.375033+02
5085	967	2	\N	2014-02-26 23:30:08.774222+02
5086	968	2	\N	2014-02-26 23:30:17.802323+02
5087	969	2	\N	2014-02-26 23:30:29.097872+02
5088	970	2	\N	2014-02-26 23:30:38.081009+02
5089	971	2	\N	2014-02-26 23:30:52.902609+02
5091	973	2	\N	2014-02-26 23:31:31.71567+02
5093	975	2	\N	2014-02-26 23:32:13.646357+02
5094	976	2	\N	2014-02-26 23:32:24.624636+02
5095	977	2	\N	2014-02-26 23:32:34.606814+02
5096	978	2	\N	2014-02-26 23:32:43.318943+02
5097	979	2	\N	2014-02-26 23:32:54.081989+02
5098	980	2	\N	2014-02-26 23:33:04.823892+02
5099	981	2	\N	2014-02-26 23:33:16.574818+02
5100	982	2	\N	2014-02-26 23:33:28.270884+02
5101	983	2	\N	2014-02-26 23:33:40.854578+02
5102	984	2	\N	2014-02-26 23:33:57.05943+02
5103	985	2	\N	2014-02-26 23:34:08.238483+02
5105	987	2	\N	2014-02-26 23:34:29.757456+02
5106	988	2	\N	2014-02-26 23:34:37.99873+02
5216	3	2	\N	2014-03-12 21:55:10.706584+02
5287	1079	2	\N	2014-03-22 12:57:07.526655+02
5480	1249	2	\N	2014-04-27 01:02:16.23036+03
5481	1250	2	\N	2014-04-27 01:02:43.699513+03
5482	1251	2	\N	2014-04-27 01:03:00.011092+03
5483	1252	2	\N	2014-04-27 01:03:22.219667+03
5524	1293	2	\N	2014-04-29 12:17:51.658135+03
5525	1294	2	\N	2014-04-29 12:18:27.913053+03
5601	1370	2	\N	2014-05-17 18:45:54.451262+03
5602	1371	2	\N	2014-05-17 18:47:17.628356+03
5604	1373	2	\N	2014-05-17 18:54:01.477094+03
5607	1376	2	\N	2014-05-17 18:56:40.07768+03
5609	1378	2	\N	2014-05-17 19:02:40.402053+03
5616	1385	2	\N	2014-05-17 19:07:13.667811+03
5617	1386	2	\N	2014-05-17 19:07:36.068126+03
5621	1390	2	\N	2014-05-17 19:11:55.084234+03
4789	763	2	\N	2014-01-12 19:51:49.157909+02
4903	854	2	\N	2014-02-08 22:16:58.906498+02
4904	3	2	\N	2014-02-08 22:17:06.939369+02
4905	854	2	\N	2014-02-08 22:20:32.280238+02
4906	784	2	\N	2014-02-08 22:21:01.290541+02
4908	786	2	\N	2014-02-08 22:21:09.110319+02
5484	1253	2	\N	2014-04-28 00:03:49.599015+03
5289	1081	2	\N	2014-03-22 17:57:05.076581+02
5605	1374	2	\N	2014-05-17 18:55:03.070735+03
5611	1380	2	\N	2014-05-17 19:03:57.212913+03
5614	1383	2	\N	2014-05-17 19:04:59.867959+03
5618	1387	2	\N	2014-05-17 19:09:22.594353+03
5624	1393	2	\N	2014-05-18 10:14:28.009945+03
4790	764	2	\N	2014-01-12 20:33:53.3138+02
4909	723	2	\N	2014-02-08 22:28:37.868751+02
4940	878	2	\N	2014-02-10 16:40:47.442615+02
5610	1379	2	\N	2014-05-17 19:03:38.443538+03
5612	1381	2	\N	2014-05-17 19:04:17.238286+03
5615	1384	2	\N	2014-05-17 19:07:10.869783+03
5620	1389	2	\N	2014-05-17 19:09:47.55779+03
4910	857	2	\N	2014-02-09 00:41:07.487567+02
4911	858	2	\N	2014-02-09 00:41:26.234037+02
4912	859	2	\N	2014-02-09 00:41:48.428505+02
4913	860	2	\N	2014-02-09 00:42:12.938208+02
4914	857	2	\N	2014-02-09 00:42:31.066281+02
4915	861	2	\N	2014-02-09 00:42:52.234296+02
5291	1088	2	\N	2014-03-22 18:51:18.985681+02
5292	1081	2	\N	2014-03-22 18:51:44.158872+02
5458	1225	2	\N	2014-04-13 12:01:26.796233+03
5627	1396	2	\N	2014-05-18 11:58:47.293591+03
4917	764	2	\N	2014-02-09 00:53:58.264629+02
4918	769	2	\N	2014-02-09 00:57:04.796409+02
4919	775	2	\N	2014-02-09 00:57:24.917548+02
4920	788	2	\N	2014-02-09 00:57:42.02056+02
4942	878	2	\N	2014-02-10 22:47:18.374976+02
4943	880	2	\N	2014-02-10 22:48:37.279277+02
4944	881	2	\N	2014-02-10 22:49:24.829434+02
4945	882	2	\N	2014-02-10 22:49:56.066237+02
4946	883	2	\N	2014-02-10 22:50:06.121122+02
4947	884	2	\N	2014-02-10 22:50:26.035905+02
4948	884	2	\N	2014-02-10 22:53:06.689693+02
5294	1090	2	\N	2014-03-22 20:34:50.666418+02
5295	1091	2	\N	2014-03-22 20:36:11.95663+02
5298	1093	2	\N	2014-03-22 20:40:16.040605+02
5629	1398	2	\N	2014-05-18 12:12:21.975254+03
4949	764	2	\N	2014-02-11 19:47:14.055452+02
5488	1257	2	\N	2014-04-28 12:34:34.363475+03
5300	1095	2	\N	2014-03-22 20:52:34.596466+02
5301	1096	2	\N	2014-03-22 20:52:44.740475+02
5302	1097	2	\N	2014-03-22 20:53:03.099066+02
5489	1258	2	\N	2014-04-28 12:34:55.433659+03
5304	1099	2	\N	2014-03-22 20:57:07.889521+02
5535	1304	2	\N	2014-04-29 16:15:23.221696+03
5389	1178	2	\N	2014-04-05 19:40:06.274566+03
5390	1179	2	\N	2014-04-05 19:40:10.823684+03
5490	1259	2	\N	2014-04-28 12:58:44.196537+03
5305	1100	2	\N	2014-03-22 21:00:41.76813+02
5306	1101	2	\N	2014-03-22 21:00:48.529148+02
5307	1102	2	\N	2014-03-22 21:01:34.517288+02
5491	1260	2	\N	2014-04-28 12:59:00.104464+03
5631	1400	2	\N	2014-05-18 13:37:21.801854+03
5632	1401	2	\N	2014-05-18 13:37:41.402585+03
5633	1402	2	\N	2014-05-18 13:44:45.628784+03
5492	1261	2	\N	2014-04-28 13:04:58.29173+03
5634	1403	2	\N	2014-05-18 15:48:34.956287+03
5256	1067	2	\N	2014-03-16 19:34:31.935568+02
5494	1263	2	\N	2014-04-28 13:08:06.602496+03
5635	1404	2	\N	2014-05-18 19:18:07.615122+03
5636	1406	2	\N	2014-05-18 19:18:56.831097+03
5639	1409	2	\N	2014-05-18 19:22:05.971396+03
5394	1185	2	\N	2014-04-05 20:56:20.797318+03
5257	1067	2	\N	2014-03-16 19:55:56.894484+02
5495	1264	2	\N	2014-04-28 13:08:25.610345+03
5637	1407	2	\N	2014-05-18 19:19:36.399614+03
5641	1411	2	\N	2014-05-18 19:23:45.119721+03
5496	1265	2	\N	2014-04-28 13:08:54.519921+03
5638	1408	2	\N	2014-05-18 19:19:43.401474+03
5258	1067	2	\N	2014-03-16 20:09:16.532934+02
5311	1097	2	\N	2014-03-24 19:59:44.290142+02
5640	1410	2	\N	2014-05-18 19:23:00.415796+03
5643	1413	2	\N	2014-05-20 21:26:27.311927+03
5259	1068	2	\N	2014-03-16 20:15:31.769185+02
5499	1268	2	\N	2014-04-28 23:55:09.591646+03
5644	1414	2	\N	2014-05-24 17:02:57.354915+03
5645	1415	2	\N	2014-05-24 17:03:02.922541+03
5646	1416	2	\N	2014-05-24 17:06:48.542492+03
5647	1417	2	\N	2014-05-24 17:06:51.402853+03
5648	1418	2	\N	2014-05-24 17:07:25.101929+03
5649	1419	2	\N	2014-05-24 17:07:29.075778+03
5650	1420	2	\N	2014-05-24 17:24:17.546972+03
4120	16	2	\N	2014-01-01 13:19:09.979922+02
4131	14	2	\N	2014-01-01 18:45:07.902745+02
4144	706	2	\N	2014-01-03 16:12:41.015146+02
4145	706	2	\N	2014-01-03 16:13:23.197097+02
5402	1189	2	\N	2014-04-06 18:46:40.132797+03
5403	1190	2	\N	2014-04-06 18:47:22.030146+03
5138	865	2	\N	2014-03-03 21:09:34.254642+02
5404	1191	2	\N	2014-04-06 18:53:34.002074+03
5263	1009	2	\N	2014-03-16 21:40:10.728496+02
5264	1009	2	\N	2014-03-16 21:44:11.742442+02
5405	1192	2	\N	2014-04-06 19:20:55.890208+03
5140	865	2	\N	2014-03-03 21:57:11.59945+02
5265	1004	2	\N	2014-03-17 10:29:17.115979+02
5266	1004	2	\N	2014-03-17 10:29:24.701637+02
4744	723	2	\N	2014-01-04 23:58:55.624453+02
4746	725	2	\N	2014-01-05 01:09:00.405742+02
4747	726	2	\N	2014-01-05 01:09:15.602018+02
4749	728	2	\N	2014-01-05 01:13:50.125212+02
4756	734	2	\N	2014-01-05 12:36:48.48575+02
4765	743	2	\N	2014-01-05 13:20:17.173661+02
5654	1424	2	\N	2014-06-01 10:25:44.71461+03
5656	1426	2	\N	2014-06-01 12:15:53.295347+03
5661	1431	2	\N	2014-06-07 15:12:11.693366+03
5662	1432	2	\N	2014-06-07 15:12:40.323386+03
5663	1433	2	\N	2014-06-07 17:43:14.620483+03
5665	1435	2	\N	2014-06-07 21:01:18.691193+03
5667	1438	2	\N	2014-06-07 21:11:01.089928+03
5668	1439	2	\N	2014-06-07 21:11:46.797584+03
5669	1440	2	\N	2014-06-07 22:15:09.567299+03
5671	1442	2	\N	2014-06-07 22:16:04.586659+03
5676	1447	2	\N	2014-06-08 21:25:14.638119+03
5677	1448	2	\N	2014-06-08 21:25:35.09515+03
5679	1450	2	\N	2014-06-09 15:50:23.760428+03
5681	1452	2	\N	2014-06-09 17:20:44.311452+03
5693	1464	2	\N	2014-06-14 17:55:00.252916+03
5694	1465	2	\N	2014-06-14 17:55:08.213215+03
5695	1467	2	\N	2014-06-14 17:56:52.935007+03
5696	1468	2	\N	2014-06-14 17:58:15.339465+03
5697	1469	2	\N	2014-06-14 17:58:37.034547+03
5698	1470	2	\N	2014-06-14 18:00:56.71432+03
5699	1471	2	\N	2014-06-14 18:02:10.63169+03
5700	1472	2	\N	2014-06-14 18:02:54.98084+03
5701	1473	2	\N	2014-06-14 18:03:27.411198+03
5713	1485	2	\N	2014-06-15 15:17:28.256792+03
5715	1487	2	\N	2014-06-16 14:42:17.062016+03
5728	1500	2	\N	2014-06-18 16:59:05.631362+03
5730	1502	2	\N	2014-06-22 19:40:05.464875+03
5731	1503	2	\N	2014-06-22 19:40:20.79663+03
5732	1504	2	\N	2014-06-22 19:42:44.939368+03
5733	1505	2	\N	2014-06-22 19:43:05.103699+03
5734	1506	2	\N	2014-06-22 19:43:23.157992+03
5735	1507	2	\N	2014-06-22 19:46:21.388635+03
5737	1509	2	\N	2014-06-22 21:15:50.586549+03
5738	1510	2	\N	2014-06-24 20:30:44.36129+03
5739	1511	2	\N	2014-06-25 19:21:08.001771+03
5740	1512	2	\N	2014-06-25 19:37:43.544622+03
5741	1513	2	\N	2014-06-25 19:38:23.293423+03
5742	1514	2	\N	2014-06-25 19:38:46.712804+03
5743	1515	2	\N	2014-06-25 19:39:14.757449+03
5744	1516	2	\N	2014-06-25 20:37:42.602785+03
5745	1517	2	\N	2014-06-25 20:54:09.96009+03
5746	1518	2	\N	2014-06-25 20:54:50.943042+03
5747	1519	2	\N	2014-06-25 20:55:06.988343+03
5749	1521	2	\N	2014-06-26 21:02:19.488826+03
5750	1535	2	\N	2014-06-28 17:17:15.295903+03
5751	1536	2	\N	2014-06-28 17:31:39.626186+03
5752	1537	2	\N	2014-06-28 20:56:05.816704+03
5753	1538	2	\N	2014-06-28 20:57:41.600837+03
5754	1539	2	\N	2014-06-28 20:59:59.522314+03
5755	1540	2	\N	2014-06-28 21:00:26.365557+03
5756	1541	2	\N	2014-06-28 21:00:51.086753+03
5757	1542	2	\N	2014-06-28 21:18:20.602573+03
5758	1543	2	\N	2014-06-28 21:25:57.336069+03
5759	1544	2	\N	2014-06-28 21:26:14.894807+03
5760	1545	2	\N	2014-06-28 21:26:35.413657+03
5761	1546	2	\N	2014-07-02 23:01:03.321441+03
5762	1547	2	\N	2014-07-02 23:03:30.755887+03
5763	1548	2	\N	2014-07-26 18:07:46.336433+03
5764	1549	2	\N	2014-08-16 20:09:11.73959+03
5766	1551	2	\N	2014-08-16 20:23:59.980051+03
5767	1552	2	\N	2014-08-16 20:24:12.305446+03
5768	1553	2	\N	2014-08-16 20:24:15.930016+03
5769	1554	2	\N	2014-08-16 20:25:09.403552+03
5771	1556	2	\N	2014-08-16 20:51:19.103778+03
5773	1559	2	\N	2014-08-16 21:13:14.302214+03
5774	1560	2	\N	2014-08-16 21:13:18.107616+03
5775	1561	2	\N	2014-08-16 21:22:35.752473+03
5776	1562	2	\N	2014-08-16 21:23:02.397566+03
5777	1563	2	\N	2014-08-16 21:23:05.499294+03
5778	1564	2	\N	2014-08-16 21:24:08.813965+03
5783	1569	2	\N	2014-08-17 11:07:53.713228+03
5784	1570	2	\N	2014-08-17 11:09:10.292392+03
5790	1576	2	\N	2014-08-22 22:48:58.176695+03
5791	1577	2	\N	2014-08-22 22:49:31.584667+03
5792	1578	2	\N	2014-08-22 22:49:35.101959+03
5793	1579	2	\N	2014-08-22 22:50:20.197271+03
5794	1580	2	\N	2014-08-22 22:50:49.188036+03
5795	1581	2	\N	2014-08-22 22:51:29.357367+03
5796	1582	2	\N	2014-08-22 22:52:03.171722+03
5797	1584	2	\N	2014-08-22 22:58:38.326467+03
5798	1585	2	\N	2014-08-22 22:59:28.534906+03
5799	1586	2	\N	2014-08-22 22:59:41.71816+03
5800	1587	2	\N	2014-08-22 23:01:39.676197+03
5801	1588	2	\N	2014-08-22 23:02:11.872661+03
5802	1589	2	\N	2014-08-22 23:04:10.670971+03
5803	1590	2	\N	2014-08-22 23:04:40.181387+03
5804	1591	2	\N	2014-08-22 23:05:46.128053+03
5805	1592	2	\N	2014-08-22 23:06:07.780481+03
5806	1593	2	\N	2014-08-22 23:06:12.342153+03
5810	1597	2	\N	2014-08-22 23:14:17.280337+03
5811	1598	2	\N	2014-08-22 23:35:58.491964+03
5820	1607	2	\N	2014-08-23 13:37:30.044239+03
5821	1608	2	\N	2014-08-23 16:14:22.910225+03
5822	1609	2	\N	2014-08-23 16:16:24.823791+03
5823	1610	2	\N	2014-08-24 14:10:51.002759+03
5824	1611	2	\N	2014-08-24 14:11:19.783792+03
5825	1612	2	\N	2014-08-24 14:11:36.729128+03
5826	1613	2	\N	2014-08-24 14:11:54.849623+03
5827	1614	2	\N	2014-08-24 14:48:54.04485+03
5828	1615	2	\N	2014-08-24 14:48:55.715304+03
5829	1616	2	\N	2014-08-24 14:49:59.373945+03
5832	1619	2	\N	2014-08-24 15:01:16.140346+03
5833	1620	2	\N	2014-08-24 15:02:15.884894+03
5834	1621	2	\N	2014-08-24 15:02:43.162974+03
5835	1622	2	\N	2014-08-24 15:03:06.67481+03
5836	1623	2	\N	2014-08-24 15:03:53.276198+03
5837	1624	2	\N	2014-08-24 15:08:02.737031+03
5838	1625	2	\N	2014-08-24 15:08:18.61161+03
5839	1626	2	\N	2014-08-24 15:08:29.0077+03
5840	1627	2	\N	2014-08-24 15:10:13.736496+03
5841	1628	2	\N	2014-08-24 15:10:44.233145+03
5847	1634	2	\N	2014-08-24 15:21:09.48427+03
5852	1639	2	\N	2014-08-25 15:20:24.884947+03
5853	1640	2	\N	2014-08-26 19:55:53.569882+03
5854	1641	2	\N	2014-08-26 19:56:28.320221+03
5858	1645	2	\N	2014-08-26 20:01:19.187139+03
5860	1647	2	\N	2014-08-26 20:04:08.078366+03
5862	1649	2	\N	2014-08-26 20:04:48.124422+03
5855	1642	2	\N	2014-08-26 19:56:46.695581+03
5856	1643	2	\N	2014-08-26 19:57:13.160198+03
5857	1644	2	\N	2014-08-26 20:01:16.129984+03
5859	1646	2	\N	2014-08-26 20:04:06.105786+03
5861	1648	2	\N	2014-08-26 20:04:09.378364+03
5863	1650	2	\N	2014-08-26 20:06:13.193356+03
5864	1651	2	\N	2014-08-26 20:06:36.249641+03
5865	1652	2	\N	2014-08-26 20:07:23.412381+03
5866	1653	2	\N	2014-08-26 20:07:31.899383+03
5870	1657	2	\N	2014-08-26 20:13:28.887297+03
5873	1660	2	\N	2014-08-31 16:37:37.888486+03
5919	1714	2	\N	2014-09-14 13:27:15.677766+03
5926	1721	2	\N	2014-09-14 14:49:51.512979+03
5967	1764	2	\N	2014-09-14 21:51:09.963908+03
5968	1766	2	\N	2014-09-28 17:08:27.946698+03
5971	1769	2	\N	2014-10-01 20:37:18.107894+03
5972	1771	2	\N	2014-10-01 21:39:17.299667+03
5973	1773	2	\N	2014-10-01 22:04:03.074823+03
5974	1774	2	\N	2014-10-01 22:17:44.949656+03
5975	1775	2	\N	2014-10-03 20:21:54.06353+03
5977	1777	2	\N	2014-10-03 20:35:01.628264+03
5978	1778	2	\N	2014-10-04 21:45:17.702702+03
5980	1780	2	\N	2014-10-05 12:49:28.270538+03
5982	1797	2	\N	2014-10-05 21:08:02.025119+03
5983	1798	2	\N	2014-10-05 22:07:40.176836+03
5984	1799	2	\N	2014-10-09 20:49:57.476724+03
5985	1800	2	\N	2014-10-09 21:44:48.304991+03
5986	1801	2	\N	2014-10-09 21:45:57.042916+03
5987	1802	2	\N	2014-10-09 21:51:36.274928+03
5988	1797	2	\N	2014-10-09 21:58:44.274487+03
5989	1803	2	\N	2014-10-10 21:20:08.467997+03
5990	1804	2	\N	2014-10-10 21:48:32.795064+03
5991	1797	2	\N	2014-10-10 21:48:40.224687+03
5994	1797	2	\N	2014-10-10 22:43:03.886027+03
5995	1807	2	\N	2014-10-12 12:18:58.609492+03
5996	1419	2	\N	2014-10-12 12:21:41.297126+03
5999	1419	2	\N	2014-10-12 14:03:13.921521+03
6000	1419	2	\N	2014-10-12 14:03:56.458732+03
6002	1797	2	\N	2014-10-12 14:08:19.225786+03
6003	1797	2	\N	2014-10-12 14:08:29.322661+03
6005	1797	2	\N	2014-10-12 14:09:47.667654+03
6006	1797	2	\N	2014-10-12 14:10:15.511498+03
6008	894	2	\N	2014-10-12 14:15:30.839116+03
6010	894	2	\N	2014-10-12 14:15:50.178579+03
6011	894	2	\N	2014-10-12 14:16:00.712168+03
6014	1507	2	\N	2014-10-12 14:21:53.792753+03
6015	1507	2	\N	2014-10-12 14:22:06.118134+03
6016	1439	2	\N	2014-10-12 14:22:17.008412+03
6017	1438	2	\N	2014-10-12 14:22:21.965321+03
6020	1780	2	\N	2014-10-12 14:25:19.014258+03
6021	1780	2	\N	2014-10-12 14:25:28.403238+03
6022	1780	2	\N	2014-10-12 14:25:37.930302+03
6025	1413	2	\N	2014-10-12 14:31:06.237149+03
6026	1413	2	\N	2014-10-12 14:31:16.507549+03
6029	1415	2	\N	2014-10-12 14:34:22.672887+03
6030	1415	2	\N	2014-10-12 14:34:32.05391+03
6043	1657	2	\N	2014-10-12 15:41:58.778177+03
6045	1657	2	\N	2014-10-12 15:42:13.36551+03
6046	1657	2	\N	2014-10-12 15:42:24.726059+03
6050	1653	2	\N	2014-10-12 16:27:20.425954+03
6051	1653	2	\N	2014-10-12 16:27:45.783221+03
6053	1283	2	\N	2014-10-12 16:28:08.925372+03
6054	1283	2	\N	2014-10-12 16:28:17.376186+03
6055	1833	2	\N	2014-10-12 16:29:10.045595+03
6056	784	2	\N	2014-10-12 16:29:11.936722+03
6061	1542	2	\N	2014-10-12 17:31:06.178463+03
6063	861	2	\N	2014-10-12 20:54:52.692696+03
6064	861	2	\N	2014-10-12 20:55:02.552131+03
6066	998	2	\N	2014-10-18 11:46:31.67705+03
6075	1657	2	\N	2014-10-18 23:25:55.139592+03
6076	1657	2	\N	2014-10-18 23:26:04.397861+03
6077	1839	2	\N	2014-10-18 23:26:44.642232+03
6078	1634	2	\N	2014-10-18 23:26:52.975425+03
6079	1598	2	\N	2014-10-18 23:27:05.648811+03
6080	1502	2	\N	2014-10-18 23:27:11.743763+03
6081	1503	2	\N	2014-10-18 23:27:18.622533+03
6082	1440	2	\N	2014-10-18 23:27:25.765119+03
6083	1442	2	\N	2014-10-18 23:27:32.509568+03
6084	1840	2	\N	2014-10-18 23:35:01.43267+03
6114	1598	2	\N	2014-10-25 20:24:45.191774+03
6115	1840	2	\N	2014-10-25 20:25:16.419372+03
6116	1839	2	\N	2014-10-25 20:25:25.421645+03
6117	1657	2	\N	2014-10-25 20:25:34.041679+03
6118	1634	2	\N	2014-10-25 20:25:41.778509+03
6119	1598	2	\N	2014-10-25 20:25:49.974159+03
6120	1503	2	\N	2014-10-25 20:25:56.790041+03
6121	1502	2	\N	2014-10-25 20:26:11.552957+03
6122	1487	2	\N	2014-10-25 20:26:20.033323+03
6123	1442	2	\N	2014-10-25 20:26:26.124436+03
6124	1440	2	\N	2014-10-25 20:26:33.450119+03
6125	1660	2	\N	2014-10-25 20:27:51.453322+03
6126	1639	2	\N	2014-10-25 20:27:59.032748+03
6127	1607	2	\N	2014-10-25 20:28:26.48561+03
6128	1547	2	\N	2014-10-25 20:31:18.593123+03
6129	1546	2	\N	2014-10-25 20:31:27.322575+03
6130	1509	2	\N	2014-10-25 20:31:34.596003+03
6131	1500	2	\N	2014-10-25 20:31:41.235636+03
6132	1485	2	\N	2014-10-25 20:31:48.295128+03
6133	1448	2	\N	2014-10-25 20:31:55.364673+03
6134	1447	2	\N	2014-10-25 20:32:03.232605+03
6135	864	2	\N	2014-10-25 22:27:41.085522+03
6136	900	2	\N	2014-10-25 22:27:48.659618+03
6137	780	2	\N	2014-10-25 22:27:56.462817+03
6138	837	2	\N	2014-10-25 22:28:02.931936+03
6139	1394	2	\N	2014-10-25 22:28:08.943421+03
6140	873	2	\N	2014-10-25 22:28:16.618586+03
6141	778	2	\N	2014-10-25 22:28:22.956578+03
6142	1659	2	\N	2014-10-25 22:39:28.23436+03
6144	1849	2	\N	2014-10-25 23:00:37.016264+03
6145	1852	2	\N	2014-10-28 19:57:41.751563+02
6146	1853	2	\N	2014-10-28 20:23:48.907733+02
6147	1854	2	\N	2014-10-28 20:24:58.380434+02
6148	1855	2	\N	2014-10-28 20:25:08.681569+02
6151	1859	2	\N	2014-10-29 12:48:22.905378+02
6152	1860	2	\N	2014-10-30 22:03:33.988542+02
6157	1865	2	\N	2014-11-03 21:33:49.462196+02
6158	1866	2	\N	2014-11-03 21:38:54.729983+02
6159	1867	2	\N	2014-11-03 21:39:31.824693+02
6160	1868	2	\N	2014-11-03 21:40:02.647787+02
6161	1869	2	\N	2014-11-05 21:10:08.261088+02
6162	1870	2	\N	2014-11-05 21:10:38.427296+02
6164	1872	2	\N	2014-11-08 19:05:48.520641+02
6165	1868	2	\N	2014-11-08 19:07:32.928999+02
6166	1868	2	\N	2014-11-08 19:07:58.653299+02
6167	1873	2	\N	2014-11-09 14:14:33.279838+02
6168	1433	2	\N	2014-11-09 14:15:02.053975+02
6170	1875	2	\N	2014-11-09 20:43:57.157494+02
6171	1876	2	\N	2014-11-09 20:50:09.776581+02
6172	1876	2	\N	2014-11-09 21:46:07.106741+02
6173	1876	2	\N	2014-11-09 21:46:46.766703+02
6174	1876	2	\N	2014-11-12 18:42:47.24628+02
6175	1876	2	\N	2014-11-12 18:43:00.917409+02
6176	1876	2	\N	2014-11-12 18:43:51.052257+02
6177	1876	2	\N	2014-11-12 18:49:19.486465+02
6178	1876	2	\N	2014-11-12 18:49:50.992411+02
6182	1880	2	\N	2014-11-12 18:58:13.464317+02
6183	1881	2	\N	2014-11-12 18:58:13.464317+02
6184	1876	2	\N	2014-11-12 19:19:20.155903+02
6185	1880	2	\N	2014-11-12 19:20:04.488842+02
6186	1882	2	\N	2014-11-12 19:21:49.754499+02
6187	1882	2	\N	2014-11-12 20:48:55.295948+02
6188	1876	2	\N	2014-11-13 18:36:19.360925+02
6189	1876	2	\N	2014-11-13 18:36:40.275356+02
6190	1876	2	\N	2014-11-13 18:36:53.848561+02
6191	1876	2	\N	2014-11-13 18:37:04.828162+02
6192	1876	2	\N	2014-11-13 18:44:14.058824+02
6193	1880	2	\N	2014-11-14 13:23:46.652293+02
6196	1884	2	\N	2014-11-15 12:46:51.68956+02
6197	1885	2	\N	2014-11-15 12:55:58.618287+02
6200	1647	2	\N	2014-11-15 19:54:17.589811+02
6201	1647	2	\N	2014-11-15 19:57:05.325517+02
6202	1587	2	\N	2014-11-15 19:57:11.689531+02
6204	1888	2	\N	2014-11-15 20:54:18.530252+02
6209	1893	2	\N	2014-11-15 21:10:00.852505+02
6210	1894	2	\N	2014-11-16 11:36:20.360008+02
6211	1895	2	\N	2014-11-16 11:38:31.304748+02
6212	1896	2	\N	2014-11-16 11:52:22.859107+02
6214	1896	2	\N	2014-11-16 17:28:25.282664+02
6215	1898	2	\N	2014-11-18 19:36:00.947451+02
6217	1900	2	\N	2014-11-18 19:59:41.794255+02
6218	1901	2	\N	2014-11-18 20:00:50.313385+02
6219	1902	2	\N	2014-11-18 20:05:55.399398+02
6220	1903	2	\N	2014-11-18 20:06:23.495804+02
6221	1225	2	\N	2014-11-20 20:55:40.655878+02
6222	1904	2	\N	2014-11-21 20:47:35.513987+02
6223	1434	2	\N	2014-11-21 20:48:05.829054+02
6224	1571	2	\N	2014-11-21 20:48:27.000088+02
6225	1885	2	\N	2014-11-21 20:48:44.475673+02
6226	1905	2	\N	2014-11-21 21:17:50.885382+02
6227	1436	2	\N	2014-11-21 21:19:06.360097+02
6228	1798	2	\N	2014-11-21 21:19:19.899746+02
6229	1425	2	\N	2014-11-21 21:19:42.772209+02
6230	802	2	\N	2014-11-21 21:20:02.792752+02
6231	1906	2	\N	2014-11-21 21:20:18.443474+02
6232	802	2	\N	2014-11-21 21:20:33.430037+02
6233	1395	2	\N	2014-11-21 21:20:55.244524+02
6234	1907	2	\N	2014-11-21 21:25:23.260941+02
6235	879	2	\N	2014-11-21 21:26:01.060638+02
6236	1089	2	\N	2014-11-21 21:34:19.776611+02
6237	874	2	\N	2014-11-21 21:34:45.906696+02
6238	1080	2	\N	2014-11-21 21:35:09.652432+02
6239	1908	2	\N	2014-11-21 21:35:29.643627+02
6240	910	2	\N	2014-11-21 21:36:10.21074+02
6241	1080	2	\N	2014-11-21 21:36:26.556412+02
6242	911	2	\N	2014-11-21 21:36:37.408083+02
6243	956	2	\N	2014-11-21 21:36:56.333028+02
6244	955	2	\N	2014-11-21 21:37:09.845857+02
6246	1896	2	\N	2014-11-21 21:43:10.139464+02
6247	1910	2	\N	2014-11-22 17:58:53.151533+02
6248	1911	2	\N	2014-11-22 17:58:53.151533+02
6251	1903	2	\N	2014-11-23 17:42:18.707964+02
6253	1903	2	\N	2014-11-23 18:15:04.669498+02
6254	1913	2	\N	2014-11-23 18:22:07.34092+02
6255	1915	2	\N	2014-11-23 18:25:34.975922+02
6257	1917	2	\N	2014-11-23 18:40:26.695236+02
6258	1918	2	\N	2014-11-23 18:40:42.249218+02
6259	1919	2	\N	2014-11-27 21:56:12.900683+02
6265	1906	2	\N	2014-11-28 22:02:27.025943+02
6266	1908	2	\N	2014-11-28 22:03:25.613427+02
6267	1919	2	\N	2014-11-30 11:21:31.130821+02
6270	1368	2	\N	2014-11-30 18:22:02.736241+02
6271	1922	2	\N	2014-12-07 14:34:35.538855+02
6276	1924	2	\N	2014-12-07 21:40:24.739542+02
6277	1925	2	\N	2014-12-07 21:41:09.94037+02
6278	1926	2	\N	2014-12-07 21:41:37.63455+02
6279	1471	2	\N	2014-12-07 21:41:39.584636+02
6280	1927	2	\N	2014-12-07 21:42:12.893528+02
6281	1471	2	\N	2014-12-07 21:42:14.781639+02
6286	1869	2	\N	2014-12-08 21:46:09.685953+02
6287	1931	2	\N	2014-12-08 21:52:00.685674+02
6289	1932	2	\N	2014-12-11 22:45:01.994257+02
6290	1933	2	\N	2014-12-11 22:46:28.273472+02
6298	1939	2	\N	2014-12-13 21:37:02.820409+02
6299	1939	2	\N	2014-12-13 21:37:54.352906+02
6301	1933	2	\N	2014-12-13 21:55:57.253566+02
6302	1933	2	\N	2014-12-13 21:57:41.570228+02
6303	1933	2	\N	2014-12-13 22:01:39.804954+02
6306	1933	2	\N	2014-12-13 22:03:37.415197+02
6307	1939	2	\N	2014-12-13 22:03:52.016284+02
6313	1933	2	\N	2014-12-14 11:12:44.366886+02
6315	1933	2	\N	2014-12-14 11:14:46.937016+02
6316	1940	2	\N	2014-12-14 11:16:18.397912+02
6317	1941	2	\N	2014-12-14 17:51:15.587939+02
6318	1940	2	\N	2014-12-14 19:37:37.036036+02
6320	1940	2	\N	2014-12-14 19:41:49.794566+02
6321	1940	2	\N	2014-12-14 19:44:37.781977+02
6322	1940	2	\N	2014-12-14 19:48:08.98232+02
6323	1940	2	\N	2014-12-14 19:50:28.583831+02
6324	1940	2	\N	2014-12-14 20:30:31.46273+02
6326	1940	2	\N	2014-12-14 20:33:08.50634+02
6327	1940	2	\N	2014-12-14 20:34:47.73587+02
6328	1940	2	\N	2014-12-14 20:37:41.082704+02
6329	1653	2	\N	2014-12-19 21:31:43.967187+02
6330	1653	2	\N	2014-12-19 21:37:31.746728+02
6331	1951	2	\N	2014-12-19 21:38:17.300837+02
6332	725	2	\N	2014-12-19 21:38:20.726452+02
6333	1952	2	\N	2014-12-19 21:42:56.792366+02
6334	1870	2	\N	2014-12-19 21:43:03.803839+02
6335	1906	2	\N	2014-12-20 16:10:55.310323+02
6338	1869	2	\N	2014-12-20 17:01:25.535753+02
6339	1869	2	\N	2014-12-20 17:03:12.810766+02
6340	1869	2	\N	2014-12-20 17:03:22.550854+02
6341	1628	2	\N	2014-12-20 17:05:00.135486+02
6342	1869	2	\N	2014-12-20 17:05:08.130568+02
6343	1626	2	\N	2014-12-20 17:50:11.179188+02
6344	1615	2	\N	2014-12-20 17:50:33.508978+02
6345	1954	2	\N	2014-12-20 18:18:17.329483+02
6346	1954	2	\N	2014-12-20 18:18:27.668631+02
6349	1225	2	\N	2014-12-21 12:57:50.837529+02
6350	1433	2	\N	2014-12-21 12:57:59.036844+02
6351	1954	2	\N	2014-12-21 13:04:30.43023+02
6355	1956	2	\N	2014-12-21 14:58:01.627945+02
6356	1383	2	\N	2014-12-21 14:58:04.4436+02
6357	1383	2	\N	2014-12-21 14:58:18.134114+02
6387	1958	2	\N	2014-12-21 19:20:00.336409+02
6388	1958	2	\N	2014-12-21 19:40:10.412709+02
6389	1958	2	\N	2014-12-21 19:43:18.014602+02
6393	1962	2	\N	2014-12-24 21:32:53.618984+02
6400	1964	2	\N	2014-12-25 21:05:49.345482+02
6411	1317	2	\N	2014-12-27 14:48:10.519499+02
6412	1840	2	\N	2014-12-27 16:05:27.016889+02
6413	1840	2	\N	2014-12-27 16:32:05.180181+02
6414	1840	2	\N	2014-12-27 16:45:52.831401+02
6415	1966	2	\N	2014-12-27 19:34:56.371248+02
6418	1966	2	\N	2014-12-31 19:10:29.989911+02
6420	1968	2	\N	2015-01-03 12:32:10.846571+02
6422	1970	2	\N	2015-01-03 12:35:21.670372+02
6423	1971	2	\N	2015-01-04 12:45:51.571627+02
6424	1840	2	\N	2015-01-04 12:45:53.947837+02
6425	1971	2	\N	2015-01-04 12:46:35.715575+02
6426	1971	2	\N	2015-01-04 14:05:54.230775+02
6428	1975	2	\N	2015-01-04 14:47:53.838979+02
6429	1976	2	\N	2015-01-04 15:06:13.604725+02
6430	1977	2	\N	2015-01-04 16:44:50.635763+02
6431	1975	2	\N	2015-01-04 16:54:32.711408+02
6432	1975	2	\N	2015-01-04 17:11:52.039507+02
6433	1975	2	\N	2015-01-04 17:31:46.570967+02
6434	1975	2	\N	2015-01-07 14:12:48.405815+02
6435	1975	2	\N	2015-01-07 14:22:19.046581+02
6436	1978	2	\N	2015-01-07 18:00:22.111119+02
6437	1979	2	\N	2015-01-07 18:22:39.961593+02
6438	1980	2	\N	2015-01-07 18:22:48.978415+02
6439	1981	2	\N	2015-01-07 18:23:19.524712+02
6440	3	2	\N	2015-01-07 18:23:30.384627+02
6441	1982	2	\N	2015-01-07 18:30:42.662112+02
6442	3	2	\N	2015-01-07 18:30:49.411934+02
6443	3	2	\N	2015-01-07 18:31:24.902432+02
6444	784	2	\N	2015-01-08 13:21:17.321066+02
6445	784	2	\N	2015-01-08 13:27:01.529898+02
6446	784	2	\N	2015-01-08 14:19:17.153858+02
6447	784	2	\N	2015-01-08 14:20:23.527059+02
6448	784	2	\N	2015-01-09 10:59:22.101268+02
6449	1046	2	\N	2015-01-12 22:16:18.421621+02
6450	1046	2	\N	2015-01-12 22:16:29.774766+02
6451	1046	2	\N	2015-01-12 22:18:02.620143+02
6452	1046	2	\N	2015-01-13 17:00:13.07184+02
6453	1983	2	\N	2015-01-13 17:00:57.932019+02
6454	1985	2	\N	2015-01-13 17:03:06.725248+02
6455	1985	2	\N	2015-01-14 21:32:00.651438+02
6456	1046	2	\N	2015-01-14 21:35:47.291833+02
6457	1987	2	\N	2015-01-15 20:30:02.464255+02
6458	1988	2	\N	2015-01-15 21:27:50.402917+02
6459	1989	2	\N	2015-01-17 15:06:55.170629+02
6460	1990	2	\N	2015-01-17 19:50:58.298272+02
6461	1991	2	\N	2015-01-17 19:50:58.298272+02
6462	1992	2	\N	2015-01-17 19:51:20.956564+02
6463	1990	2	\N	2015-01-17 21:28:18.900625+02
6464	1993	2	\N	2015-01-17 21:28:36.972519+02
6465	1994	2	\N	2015-01-17 21:50:01.04394+02
6466	1995	2	\N	2015-01-17 21:50:14.61181+02
6467	1996	2	\N	2015-01-17 21:54:58.910426+02
6468	1997	2	\N	2015-01-17 21:54:58.910426+02
6471	2000	2	\N	2015-01-17 21:56:46.645017+02
6472	2001	2	\N	2015-01-17 21:57:17.28338+02
6473	2002	2	\N	2015-01-17 21:57:17.28338+02
6476	2005	2	\N	2015-01-17 22:00:19.139836+02
6477	2006	2	\N	2015-01-17 22:00:39.986496+02
6478	2007	2	\N	2015-01-17 22:00:39.986496+02
6479	2000	2	\N	2015-01-17 22:01:41.277766+02
6480	2009	2	\N	2015-01-21 21:44:18.418746+02
6481	1985	2	\N	2015-02-01 13:03:47.123323+02
6482	2009	2	\N	2015-02-01 13:05:09.626214+02
6483	2011	2	\N	2015-02-01 13:23:15.549518+02
6484	1004	2	\N	2015-02-01 13:23:17.930893+02
6485	2012	2	\N	2015-02-01 13:51:03.67962+02
6486	1470	2	\N	2015-02-01 13:51:06.125989+02
6487	2013	2	\N	2015-02-01 15:08:04.506074+02
6488	2014	2	\N	2015-02-01 15:08:25.548868+02
6489	2015	2	\N	2015-02-01 15:09:02.223788+02
6490	2016	2	\N	2015-02-01 15:09:49.640295+02
6491	2017	2	\N	2015-02-01 15:09:55.959842+02
6492	2018	2	\N	2015-02-01 15:12:43.612773+02
6493	2019	2	\N	2015-02-01 15:13:13.911124+02
6494	2020	2	\N	2015-02-01 15:13:27.313034+02
6497	2023	2	\N	2015-02-01 15:16:10.834689+02
6498	2024	2	\N	2015-02-01 15:16:30.308954+02
6501	2026	2	\N	2015-02-01 15:27:12.501194+02
6502	2026	2	\N	2015-02-01 15:27:30.084405+02
6503	2027	2	\N	2015-02-01 15:27:55.689729+02
6504	2028	2	\N	2015-02-01 15:27:55.689729+02
6505	2029	2	\N	2015-02-01 19:41:31.921287+02
6506	2030	2	\N	2015-02-01 19:49:07.587188+02
6507	2031	2	\N	2015-02-01 19:49:18.380376+02
6508	2032	2	\N	2015-02-01 19:51:03.621123+02
6509	1004	2	\N	2015-02-01 19:51:06.683043+02
6515	2038	2	\N	2015-02-01 19:53:59.085718+02
6516	2039	2	\N	2015-02-01 19:53:59.085718+02
6521	2044	2	\N	2015-02-01 19:54:52.686809+02
6522	2045	2	\N	2015-02-01 19:54:52.686809+02
6523	2046	2	\N	2015-02-01 19:54:52.686809+02
6524	2047	2	\N	2015-02-01 19:54:52.686809+02
6525	2048	2	\N	2015-02-03 20:05:38.797054+02
6526	2048	2	\N	2015-02-03 20:06:16.781057+02
6528	2049	2	\N	2015-02-03 21:27:11.659126+02
6529	2048	2	\N	2015-02-03 21:27:36.200475+02
6530	2050	2	\N	2015-02-04 21:04:02.527314+02
6531	2051	2	\N	2015-02-04 21:04:04.474427+02
6532	2051	2	\N	2015-02-04 21:11:28.094987+02
6533	2052	2	\N	2015-02-04 21:11:39.281593+02
6534	2051	2	\N	2015-02-23 21:04:13.639992+02
6535	1648	2	\N	2015-02-24 14:58:15.754816+02
6536	2053	2	\N	2015-02-24 21:04:03.673911+02
6537	2054	2	\N	2015-02-24 21:04:26.838046+02
6538	2053	2	\N	2015-02-24 21:06:05.145287+02
6539	2054	2	\N	2015-02-24 21:06:08.284296+02
6540	2053	2	\N	2015-02-24 21:06:25.905562+02
6541	2054	2	\N	2015-02-24 21:06:27.830735+02
6542	2055	2	\N	2015-03-03 16:25:23.003263+02
6553	2051	2	\N	2015-03-05 21:22:31.156271+02
6554	2052	2	\N	2015-03-05 21:22:34.187754+02
6555	2049	2	\N	2015-03-07 13:59:54.391614+02
6556	2049	2	\N	2015-03-07 14:00:01.858793+02
6557	2049	2	\N	2015-03-07 14:00:08.905813+02
6558	2049	2	\N	2015-03-07 17:41:13.176137+02
6559	2049	2	\N	2015-03-07 17:41:24.454712+02
6560	2016	2	\N	2015-03-07 19:11:45.990005+02
6561	1971	2	\N	2015-03-07 20:39:22.05432+02
6562	1939	2	\N	2015-03-07 20:41:30.911568+02
6563	1964	2	\N	2015-03-07 20:41:40.386597+02
6564	1962	2	\N	2015-03-07 20:41:47.24255+02
6565	2009	2	\N	2015-03-07 20:41:57.590912+02
6566	1958	2	\N	2015-03-07 20:42:08.257141+02
6567	2062	2	\N	2015-03-07 20:44:22.388688+02
6568	1958	2	\N	2015-03-07 20:44:57.143369+02
6569	1922	2	\N	2015-03-07 21:16:33.311167+02
6571	1980	2	\N	2015-03-07 21:18:36.892234+02
6573	1982	2	\N	2015-03-07 21:45:35.899441+02
6574	1983	2	\N	2015-03-07 21:45:46.115364+02
6575	1985	2	\N	2015-03-07 21:45:53.837217+02
6576	2016	2	\N	2015-03-07 21:46:03.965785+02
6577	1940	2	\N	2015-03-07 21:46:13.798132+02
6578	1932	2	\N	2015-03-07 21:46:22.868946+02
6582	1933	2	\N	2015-03-07 21:47:06.74156+02
6584	1922	2	\N	2015-03-08 18:02:14.423833+02
6585	1922	2	\N	2015-03-08 18:02:24.288542+02
6586	1989	2	\N	2015-03-08 18:07:00.091644+02
6587	1922	2	\N	2015-03-08 18:17:03.971743+02
6588	1922	2	\N	2015-03-08 18:29:12.5349+02
6590	1989	2	\N	2015-03-08 18:41:51.822924+02
6592	2065	2	\N	2015-03-09 14:02:38.899688+02
6595	1980	2	\N	2015-03-09 19:37:29.594475+02
6596	1389	2	\N	2015-03-15 19:00:11.360402+02
6597	1389	2	\N	2015-03-15 19:07:00.022851+02
6598	1389	2	\N	2015-03-15 19:08:22.540227+02
6599	2070	2	\N	2015-03-21 15:11:50.495946+02
6600	1989	2	\N	2015-03-21 15:11:59.182752+02
6603	2052	2	\N	2015-03-21 16:50:40.821135+02
6605	2052	2	\N	2015-03-21 16:52:47.683727+02
6606	2075	2	\N	2015-03-21 17:05:47.83578+02
6607	2075	2	\N	2015-03-21 17:06:12.331454+02
6608	2052	2	\N	2015-03-21 17:06:35.32059+02
6609	2070	2	\N	2015-03-21 17:48:31.664941+02
6610	2077	2	\N	2015-03-21 17:49:14.645342+02
6618	2052	2	\N	2015-03-21 18:16:06.930298+02
6621	2052	2	\N	2015-03-21 18:19:16.455929+02
6622	2087	2	\N	2015-03-21 18:20:19.713186+02
6623	2052	2	\N	2015-03-21 18:20:29.187736+02
6624	2052	2	\N	2015-03-21 19:28:39.349206+02
6625	2052	2	\N	2015-03-21 19:30:14.844869+02
6626	2052	2	\N	2015-03-21 19:33:54.902921+02
6627	2052	2	\N	2015-03-21 19:34:11.317898+02
6628	2052	2	\N	2015-03-21 19:35:55.581037+02
6629	2052	2	\N	2015-03-21 19:36:06.902031+02
6630	2052	2	\N	2015-03-21 19:36:15.834648+02
6631	2052	2	\N	2015-03-21 19:36:28.227499+02
6632	2052	2	\N	2015-03-21 19:36:44.271289+02
6633	2088	2	\N	2015-03-21 19:36:44.271289+02
6634	2089	2	\N	2015-03-21 19:38:07.835672+02
6635	2090	2	\N	2015-03-21 19:38:10.203402+02
6637	2052	2	\N	2015-03-21 19:40:18.868487+02
6638	2052	2	\N	2015-03-21 19:41:03.761402+02
6639	2052	2	\N	2015-03-21 19:42:48.725752+02
6640	2052	2	\N	2015-03-21 19:43:52.346215+02
6641	2092	2	\N	2015-03-21 20:11:35.939948+02
6642	2052	2	\N	2015-03-21 20:11:42.394011+02
6643	2052	2	\N	2015-03-21 20:12:01.524624+02
6646	2052	2	\N	2015-03-21 21:14:06.180767+02
6647	2095	2	\N	2015-03-21 22:03:40.435063+02
6648	2051	2	\N	2015-03-21 22:03:42.699321+02
6649	2088	2	\N	2015-03-21 22:03:45.19164+02
6650	2052	2	\N	2015-03-21 22:12:59.222848+02
6651	971	2	\N	2015-03-22 16:55:09.922468+02
6652	2096	2	\N	2015-03-22 17:22:28.394236+02
6653	970	2	\N	2015-03-22 17:22:30.31308+02
6654	971	2	\N	2015-03-22 17:32:58.675826+02
6655	2097	2	\N	2015-03-22 17:35:36.969555+02
6656	2052	2	\N	2015-03-22 17:35:38.710629+02
6657	2052	2	\N	2015-03-22 17:35:54.667572+02
6658	2052	2	\N	2015-03-22 17:36:02.394493+02
6659	1413	2	\N	2015-03-22 21:10:23.96026+02
6660	2098	2	\N	2015-03-22 21:12:12.040889+02
6661	1413	2	\N	2015-03-22 21:12:14.574907+02
6662	953	2	\N	2015-03-23 10:52:07.126828+02
6663	955	2	\N	2015-03-23 10:52:46.434534+02
6664	955	2	\N	2015-03-23 10:53:07.107505+02
6665	971	2	\N	2015-03-23 11:17:09.549645+02
6666	971	2	\N	2015-03-23 11:17:14.786132+02
6667	971	2	\N	2015-03-23 22:30:47.611278+02
6668	2099	2	\N	2015-03-24 19:25:49.743645+02
6669	2100	2	\N	2015-03-24 19:26:22.746874+02
6670	2101	2	\N	2015-03-24 19:30:50.825716+02
6671	1413	2	\N	2015-03-24 21:27:29.027714+02
6672	1413	2	\N	2015-03-24 21:27:56.025596+02
6673	2104	2	\N	2015-03-25 22:08:36.018637+02
6674	2105	2	\N	2015-03-25 22:09:11.121353+02
6675	2106	2	\N	2015-03-25 22:10:32.26983+02
6676	2107	2	\N	2015-03-27 21:02:27.365736+02
6677	1413	2	\N	2015-03-27 22:11:48.664734+02
6678	1318	2	\N	2015-03-27 22:11:57.175441+02
6679	2108	2	\N	2015-03-27 22:14:09.702895+02
6680	1413	2	\N	2015-03-27 22:14:23.177174+02
6681	1975	2	\N	2015-03-29 14:54:09.090695+03
6682	1975	2	\N	2015-03-29 14:56:05.558074+03
6683	2054	2	\N	2015-03-29 18:10:37.298528+03
6684	2054	2	\N	2015-03-29 18:10:44.494853+03
6685	2054	2	\N	2015-03-29 18:11:59.351954+03
6686	894	2	\N	2015-03-29 18:12:33.345883+03
6687	2108	2	\N	2015-03-29 18:41:14.962865+03
6688	2108	2	\N	2015-03-29 18:41:28.932911+03
6689	2108	2	\N	2015-03-29 18:41:35.361837+03
6693	1578	2	\N	2015-03-29 19:28:18.094577+03
6694	1563	2	\N	2015-03-29 19:28:26.306719+03
6695	1560	2	\N	2015-03-29 19:28:31.032916+03
6696	1649	2	\N	2015-03-29 20:30:21.118741+03
6698	2111	2	\N	2015-03-29 20:32:08.188477+03
6699	918	2	\N	2015-03-29 20:45:02.042426+03
6700	918	2	\N	2015-03-29 20:45:08.391579+03
6701	917	2	\N	2015-03-29 20:45:13.080299+03
6702	916	2	\N	2015-03-29 20:45:17.094049+03
6703	952	2	\N	2015-03-29 20:51:29.823177+03
6705	988	2	\N	2015-03-29 20:57:38.470567+03
6707	971	2	\N	2015-03-29 21:04:32.587955+03
6709	1647	2	\N	2015-03-29 21:11:13.101083+03
6710	2115	2	\N	2015-03-29 21:11:20.771189+03
6711	1648	2	\N	2015-03-29 21:19:19.348961+03
6713	1646	2	\N	2015-03-29 21:25:36.400114+03
6715	1419	2	\N	2015-03-31 18:55:34.756779+03
6716	1415	2	\N	2015-03-31 18:55:54.50919+03
6718	1507	2	\N	2015-03-31 19:11:10.805316+03
6719	1507	2	\N	2015-03-31 19:11:17.000092+03
6720	1507	2	\N	2015-03-31 19:11:23.716877+03
6721	1898	2	\N	2015-03-31 19:19:08.662529+03
6722	1898	2	\N	2015-03-31 19:19:13.979595+03
6723	1898	2	\N	2015-03-31 19:19:19.541915+03
6724	2119	2	\N	2015-03-31 19:31:32.255315+03
6725	1419	2	\N	2015-03-31 19:31:35.171043+03
6726	2120	2	\N	2015-03-31 21:42:30.209371+03
6727	2107	2	\N	2015-04-06 22:18:27.344977+03
6728	2054	2	\N	2015-04-22 09:31:23.533867+03
6729	2126	2	\N	2015-04-22 10:21:50.083529+03
6730	2126	2	\N	2015-04-22 10:34:35.83663+03
6731	2127	2	\N	2015-04-22 15:08:30.934237+03
6732	2128	2	\N	2015-04-22 15:09:24.597951+03
6733	2129	2	\N	2015-04-22 15:30:21.099029+03
6734	2130	2	\N	2015-04-22 15:30:28.848383+03
6736	2126	2	\N	2015-04-22 15:33:09.520564+03
6737	2132	2	\N	2015-04-22 15:34:13.439147+03
6738	2126	2	\N	2015-04-22 15:34:14.494849+03
6739	2126	2	\N	2015-04-22 15:34:41.240196+03
6740	2130	2	\N	2015-04-24 21:16:26.897843+03
6741	953	2	\N	2015-04-24 21:38:02.133997+03
6742	955	2	\N	2015-04-24 21:39:08.574084+03
6743	2108	2	\N	2015-04-25 13:14:21.858762+03
6745	2135	2	\N	2015-04-25 16:39:24.611492+03
6746	2128	2	\N	2015-04-25 16:59:29.339712+03
6747	2136	2	\N	2015-04-25 16:59:52.412523+03
6748	2137	2	\N	2015-04-25 21:29:39.820793+03
6749	2138	2	\N	2015-04-25 21:29:47.819244+03
6750	2139	2	\N	2015-04-25 21:29:55.72108+03
6751	2144	2	\N	2015-04-26 00:17:08.072699+03
6752	2145	2	\N	2015-04-26 00:17:08.072699+03
6753	2146	2	\N	2015-04-26 00:22:46.640907+03
6754	2147	2	\N	2015-04-26 00:22:46.640907+03
6755	2148	2	\N	2015-04-26 00:26:59.761945+03
6756	2149	2	\N	2015-04-26 00:26:59.761945+03
6757	2150	2	\N	2015-04-26 00:30:11.687983+03
6758	2151	2	\N	2015-04-26 00:30:11.687983+03
6759	2152	2	\N	2015-04-26 00:36:42.355592+03
6760	2153	2	\N	2015-04-26 00:36:42.355592+03
6761	2154	2	\N	2015-04-26 00:44:52.209962+03
6762	2155	2	\N	2015-04-26 00:44:52.209962+03
6763	2156	2	\N	2015-04-26 09:56:13.81422+03
6764	2157	2	\N	2015-04-26 09:56:13.81422+03
6765	2158	2	\N	2015-04-26 10:00:13.021078+03
6766	2159	2	\N	2015-04-26 10:00:13.021078+03
6767	2160	2	\N	2015-04-26 10:09:07.981749+03
6768	2161	2	\N	2015-04-26 10:09:07.981749+03
6769	2162	2	\N	2015-04-26 10:11:20.869074+03
6770	2163	2	\N	2015-04-26 10:11:20.869074+03
6771	2164	2	\N	2015-04-26 10:23:35.980962+03
6772	2165	2	\N	2015-04-26 10:23:35.980962+03
6774	2167	2	\N	2015-04-26 10:30:42.474899+03
6775	2168	2	\N	2015-04-26 10:30:42.474899+03
6779	2172	2	\N	2015-04-26 10:41:15.682562+03
6780	2173	2	\N	2015-04-26 10:41:15.682562+03
6781	2174	2	\N	2015-04-26 10:51:18.425172+03
6782	2175	2	\N	2015-04-26 10:51:18.425172+03
6783	2176	2	\N	2015-04-26 10:54:26.243589+03
6784	2177	2	\N	2015-04-26 10:54:26.243589+03
6785	2178	2	\N	2015-04-26 10:57:26.669326+03
6786	2179	2	\N	2015-04-26 10:57:26.669326+03
6787	2180	2	\N	2015-04-26 11:08:04.739521+03
6788	2181	2	\N	2015-04-26 11:08:04.739521+03
6789	2182	2	\N	2015-04-26 11:13:10.975009+03
6790	2183	2	\N	2015-04-26 11:13:10.975009+03
6791	2184	2	\N	2015-04-26 13:03:25.416787+03
6792	2185	2	\N	2015-04-26 13:03:25.416787+03
6793	2186	2	\N	2015-04-26 13:42:49.969814+03
6794	2187	2	\N	2015-04-26 14:04:42.384772+03
6795	2188	2	\N	2015-04-26 14:04:42.384772+03
6796	2189	2	\N	2015-04-26 14:05:26.994527+03
6797	2190	2	\N	2015-04-26 14:05:26.994527+03
6798	2186	2	\N	2015-04-26 14:05:29.313624+03
6805	2199	2	\N	2015-05-03 23:18:19.876372+03
6806	1780	2	\N	2015-05-03 23:18:33.103558+03
6807	1368	2	\N	2015-05-04 19:21:58.460934+03
6808	1368	2	\N	2015-05-04 19:22:20.533133+03
6809	2200	2	\N	2015-05-04 20:57:01.637182+03
6810	2201	2	\N	2015-05-04 20:58:33.565049+03
6811	2203	2	\N	2015-05-04 21:30:33.485239+03
6812	1003	2	\N	2015-05-08 21:15:22.303904+03
6813	2205	2	\N	2015-05-08 22:38:40.1563+03
6814	2206	2	\N	2015-05-08 22:40:57.101857+03
6815	2207	2	\N	2015-05-08 22:43:00.228497+03
6816	2208	2	\N	2015-05-08 22:43:46.205549+03
6817	2209	2	\N	2015-05-09 15:04:04.437709+03
6818	2210	2	\N	2015-05-09 15:18:42.295591+03
6819	2211	2	\N	2015-05-09 15:20:41.04877+03
6820	2212	2	\N	2015-05-09 15:21:16.54612+03
6821	2213	2	\N	2015-05-09 15:21:20.750661+03
6822	2214	2	\N	2015-05-09 15:27:46.304009+03
6823	2215	2	\N	2015-05-09 15:27:52.157735+03
6824	2216	2	\N	2015-05-09 15:32:20.738122+03
6825	2216	2	\N	2015-05-09 15:34:43.153612+03
6826	2216	2	\N	2015-05-09 15:35:37.080548+03
6827	2216	2	\N	2015-05-09 15:36:20.491648+03
6828	2216	2	\N	2015-05-09 15:36:28.290218+03
6829	2217	2	\N	2015-05-09 16:10:30.715652+03
6830	2218	2	\N	2015-05-09 16:40:29.294581+03
6831	2216	2	\N	2015-05-09 16:40:47.688279+03
6832	2219	2	\N	2015-05-09 16:52:43.81748+03
6833	1550	2	\N	2015-05-09 16:53:04.04708+03
6834	1008	2	\N	2015-05-09 16:53:15.905297+03
6836	2218	2	\N	2015-05-09 16:56:24.612587+03
6837	2221	2	\N	2015-05-09 16:58:37.060459+03
6838	2216	2	\N	2015-05-09 17:04:04.921556+03
6839	2216	2	\N	2015-05-09 17:04:48.531212+03
6840	1563	2	\N	2015-05-09 19:32:44.822595+03
6841	2222	2	\N	2015-05-09 19:43:25.178079+03
6842	2215	2	\N	2015-05-09 20:07:16.539791+03
6843	2216	2	\N	2015-05-09 20:07:46.078918+03
6844	2223	2	\N	2015-05-09 20:08:53.78535+03
6845	2224	2	\N	2015-05-09 20:09:23.379411+03
6846	2225	2	\N	2015-05-09 20:09:44.887962+03
6847	2226	2	\N	2015-05-09 20:17:22.088876+03
6848	2227	2	\N	2015-05-09 20:29:08.971941+03
6849	2228	2	\N	2015-05-09 20:29:24.701653+03
6850	2229	2	\N	2015-05-09 20:29:40.419576+03
6851	2224	2	\N	2015-05-09 20:29:49.729598+03
6852	2230	2	\N	2015-05-09 20:30:09.233291+03
6853	2231	2	\N	2015-05-09 20:30:23.623593+03
6854	2232	2	\N	2015-05-09 20:30:35.560504+03
6855	2233	2	\N	2015-05-09 20:30:51.356148+03
6856	2234	2	\N	2015-05-09 20:31:09.312334+03
6857	2235	2	\N	2015-05-09 20:31:21.029136+03
6858	2236	2	\N	2015-05-09 20:31:43.127575+03
6859	2237	2	\N	2015-05-09 20:31:57.326798+03
6860	2238	2	\N	2015-05-09 20:32:20.746647+03
6861	2239	2	\N	2015-05-09 20:32:35.107871+03
6862	2240	2	\N	2015-05-09 20:32:50.419187+03
6863	2241	2	\N	2015-05-09 20:33:01.999568+03
6864	2242	2	\N	2015-05-09 20:33:16.190303+03
6865	2236	2	\N	2015-05-09 20:54:08.857766+03
6866	2216	2	\N	2015-05-09 21:04:14.03464+03
6867	1578	2	\N	2015-05-09 21:16:42.718164+03
6868	2243	2	\N	2015-05-10 13:44:27.494956+03
6869	2244	2	\N	2015-05-10 13:45:29.048699+03
6870	2245	2	\N	2015-05-10 13:46:40.29071+03
6871	2246	2	\N	2015-05-10 14:01:26.829403+03
6872	2247	2	\N	2015-05-10 14:01:57.254972+03
6873	2248	2	\N	2015-05-10 14:10:42.034833+03
6874	2249	2	\N	2015-05-10 14:10:53.000133+03
6875	2254	2	\N	2015-05-10 14:35:53.336283+03
6876	2255	2	\N	2015-05-10 14:35:53.336283+03
6877	2256	2	\N	2015-05-10 14:39:45.730714+03
6878	2257	2	\N	2015-05-10 14:39:45.730714+03
6879	2258	2	\N	2015-05-10 14:45:11.098493+03
6880	2259	2	\N	2015-05-10 14:45:11.098493+03
6881	2260	2	\N	2015-05-10 14:53:32.27851+03
6882	2261	2	\N	2015-05-10 14:53:32.27851+03
6883	2262	2	\N	2015-05-10 14:57:13.121414+03
6884	2263	2	\N	2015-05-10 14:57:13.121414+03
6885	2264	2	\N	2015-05-10 14:57:55.441966+03
6886	2265	2	\N	2015-05-10 15:07:20.399588+03
6887	2266	2	\N	2015-05-10 15:07:20.399588+03
6888	2267	2	\N	2015-05-10 15:07:27.786314+03
6889	2268	2	\N	2015-05-10 16:04:17.22685+03
6890	2269	2	\N	2015-05-10 16:04:56.471262+03
6891	1318	2	\N	2015-05-10 16:05:16.31159+03
6892	2270	2	\N	2015-05-10 16:07:24.626275+03
6893	2271	2	\N	2015-05-10 16:08:32.663974+03
6894	2272	2	\N	2015-05-10 16:08:35.587577+03
6895	2273	2	\N	2015-05-10 16:08:47.271902+03
6896	2274	2	\N	2015-05-10 16:08:47.271902+03
6897	2275	2	\N	2015-05-10 16:09:34.650716+03
6898	2276	2	\N	2015-05-10 22:11:18.586994+03
6899	2277	2	\N	2015-05-10 22:12:40.523328+03
6900	1314	2	\N	2015-05-10 22:12:56.872348+03
6901	2278	2	\N	2015-05-10 22:14:48.438204+03
6902	2279	2	\N	2015-05-10 22:14:48.438204+03
6903	2280	2	\N	2015-05-10 22:19:21.083289+03
6904	2280	2	\N	2015-05-13 21:55:52.759278+03
6905	2275	2	\N	2015-05-13 21:56:48.008072+03
6906	2267	2	\N	2015-05-13 21:56:54.031403+03
6907	2264	2	\N	2015-05-13 21:56:59.496539+03
6908	2281	2	\N	2015-05-16 15:29:57.002389+03
6909	2282	2	\N	2015-05-16 15:34:53.800182+03
6910	2283	2	\N	2015-05-16 15:34:53.800182+03
6911	2284	2	\N	2015-05-16 15:36:09.929045+03
6912	2285	2	\N	2015-05-16 15:45:33.371911+03
6913	2286	2	\N	2015-05-16 15:45:33.371911+03
6914	2287	2	\N	2015-05-16 15:48:18.436182+03
6915	2288	2	\N	2015-05-16 15:48:18.436182+03
6916	2289	2	\N	2015-05-17 21:30:51.134604+03
6917	2280	2	\N	2015-05-17 21:31:00.094313+03
6918	2290	2	\N	2015-05-17 21:31:39.003456+03
6919	2280	2	\N	2015-05-17 21:31:48.129633+03
6920	2284	2	\N	2015-05-17 22:02:03.373006+03
6921	2284	2	\N	2015-05-17 22:02:31.027832+03
6923	2284	2	\N	2015-05-18 16:40:09.305094+03
6924	2284	2	\N	2015-05-18 20:31:39.659544+03
6925	2284	2	\N	2015-05-18 20:34:34.03653+03
6926	2284	2	\N	2015-05-18 21:22:46.805573+03
6927	2292	2	\N	2015-05-24 12:55:28.784478+03
6928	1212	2	\N	2015-05-24 13:06:21.488837+03
6929	2293	2	\N	2015-05-24 15:06:40.212091+03
6930	2294	2	\N	2015-05-24 15:11:44.965777+03
6931	2295	2	\N	2015-05-24 16:49:53.513439+03
6932	2296	2	\N	2015-05-24 16:50:41.467323+03
6933	2297	2	\N	2015-05-24 16:55:00.642026+03
6934	2299	2	\N	2015-05-24 16:57:39.672043+03
6935	2300	2	\N	2015-05-24 17:03:51.85238+03
6936	2088	2	\N	2015-05-24 17:03:55.878998+03
6937	2301	2	\N	2015-05-24 17:04:54.502108+03
6938	2088	2	\N	2015-05-24 17:10:16.729607+03
6939	2088	2	\N	2015-05-24 17:10:29.437025+03
6940	2088	2	\N	2015-05-24 17:15:30.592241+03
6941	2302	2	\N	2015-05-24 17:16:33.029089+03
6942	2075	2	\N	2015-05-24 17:16:41.742578+03
6944	2088	2	\N	2015-05-24 17:17:21.677682+03
6945	2305	2	\N	2015-05-24 20:37:07.412723+03
6946	2052	2	\N	2015-05-24 20:37:10.892479+03
6947	2088	2	\N	2015-05-24 21:01:25.501241+03
6948	2052	2	\N	2015-05-24 21:13:25.598747+03
6949	2306	2	\N	2015-05-24 21:14:39.628922+03
6950	2052	2	\N	2015-05-24 21:14:43.723121+03
6951	2280	2	\N	2015-05-24 21:21:32.476216+03
6952	2280	2	\N	2015-05-24 21:22:00.849383+03
6953	2280	2	\N	2015-05-24 21:22:09.702717+03
6954	2307	2	\N	2015-05-24 21:32:02.910902+03
6955	2308	2	\N	2015-05-24 21:32:24.738611+03
6956	2309	2	\N	2015-05-24 21:32:31.516248+03
6957	2310	2	\N	2015-05-24 21:33:17.528061+03
6959	2312	2	\N	2015-05-24 21:36:06.190691+03
6960	2312	2	\N	2015-05-24 21:36:27.205265+03
6961	2313	2	\N	2015-05-25 21:31:05.718794+03
6962	2312	2	\N	2015-05-25 21:31:08.674137+03
6963	2314	2	\N	2015-05-26 20:44:11.702313+03
6964	2315	2	\N	2015-05-26 20:44:48.242189+03
6965	2316	2	\N	2015-05-26 20:44:48.242189+03
6966	2317	2	\N	2015-05-26 20:45:01.161364+03
6967	2284	2	\N	2015-05-28 13:46:35.94219+03
6968	2317	2	\N	2015-05-28 13:46:45.92498+03
6969	2280	2	\N	2015-05-28 13:46:51.874219+03
6970	1507	2	\N	2015-05-31 21:55:12.660877+03
6971	1507	2	\N	2015-05-31 21:56:27.809825+03
6972	1439	2	\N	2015-05-31 21:57:11.520889+03
6973	1507	2	\N	2015-05-31 21:58:33.173778+03
6974	1507	2	\N	2015-05-31 22:00:02.964614+03
6975	1507	2	\N	2015-05-31 22:00:38.733485+03
6976	1507	2	\N	2015-05-31 22:11:01.827304+03
6977	1507	2	\N	2015-06-01 09:54:54.423199+03
6978	2284	2	\N	2015-06-01 11:22:28.244232+03
6979	2319	2	\N	2015-06-01 11:37:24.071069+03
6980	2320	2	\N	2015-06-01 12:56:01.185317+03
6986	2327	2	\N	2015-06-02 13:22:30.670092+03
6987	2328	2	\N	2015-06-02 13:22:36.147873+03
6988	2329	2	\N	2015-06-02 13:23:35.222007+03
6989	2330	2	\N	2015-06-02 13:24:32.384898+03
6990	2331	2	\N	2015-06-02 13:25:52.745886+03
6991	2332	2	\N	2015-06-02 13:27:31.983851+03
6992	2333	2	\N	2015-06-02 13:27:36.950926+03
6993	2334	2	\N	2015-06-02 13:28:43.733459+03
6994	2335	2	\N	2015-06-02 13:29:10.771807+03
6995	2336	2	\N	2015-06-02 13:29:57.138464+03
6996	2337	2	\N	2015-06-02 13:30:11.199071+03
6997	2338	2	\N	2015-06-02 13:34:47.558077+03
6998	2339	2	\N	2015-06-02 13:34:50.130325+03
6999	2340	2	\N	2015-06-02 13:35:46.336511+03
7000	2341	2	\N	2015-06-02 13:36:09.066506+03
7001	2342	2	\N	2015-06-02 13:36:09.066506+03
7002	2343	2	\N	2015-06-02 13:37:26.99598+03
7003	2344	2	\N	2015-06-02 13:37:26.99598+03
7004	2345	2	\N	2015-06-02 13:37:42.100766+03
7023	2345	2	\N	2015-06-06 20:33:35.089301+03
7024	2366	2	\N	2015-06-06 21:47:05.357423+03
7025	2367	2	\N	2015-06-06 21:47:08.978477+03
7026	2368	2	\N	2015-06-06 21:49:00.661472+03
7027	2369	2	\N	2015-06-06 21:50:18.211354+03
7028	2370	2	\N	2015-06-06 21:51:07.167429+03
7030	2372	2	\N	2015-06-06 21:52:25.91268+03
7031	2367	2	\N	2015-06-06 22:01:59.580344+03
7032	2373	2	\N	2015-06-06 22:05:50.240364+03
7033	2374	2	\N	2015-06-06 22:06:07.223567+03
7034	2375	2	\N	2015-06-06 22:06:55.79185+03
7035	2376	2	\N	2015-06-06 22:07:46.643073+03
7036	2377	2	\N	2015-06-06 22:08:11.14074+03
7037	2378	2	\N	2015-06-06 22:08:11.14074+03
7038	2379	2	\N	2015-06-06 22:10:53.894076+03
7039	2380	2	\N	2015-06-06 22:10:53.894076+03
7041	2382	2	\N	2015-06-06 22:12:17.899878+03
7042	2372	2	\N	2015-06-06 22:12:34.850437+03
7043	2383	2	\N	2015-06-06 22:34:30.822368+03
7044	2384	2	\N	2015-06-06 22:35:06.098136+03
7045	2385	2	\N	2015-06-06 22:35:22.838833+03
7046	2382	2	\N	2015-06-06 22:36:33.646314+03
7047	2388	2	\N	2015-06-06 22:43:36.614024+03
7048	2382	2	\N	2015-06-07 15:30:58.294045+03
7049	2247	2	\N	2015-06-07 17:10:29.033956+03
7050	1413	2	\N	2015-06-07 17:10:56.929199+03
7051	1318	2	\N	2015-06-07 17:11:36.862031+03
7052	1314	2	\N	2015-06-07 17:12:28.161782+03
7053	1431	2	\N	2015-06-07 19:55:54.571452+03
7054	1898	2	\N	2015-06-07 19:59:40.465993+03
7055	1898	2	\N	2015-06-07 20:00:47.882499+03
7056	1432	2	\N	2015-06-07 20:00:59.808075+03
7057	1608	2	\N	2015-06-07 20:01:30.177316+03
7058	1609	2	\N	2015-06-07 20:02:19.266681+03
7059	1769	2	\N	2015-06-07 20:03:05.939338+03
7060	1780	2	\N	2015-06-07 20:04:36.345782+03
7061	1873	2	\N	2015-06-07 20:05:07.816356+03
7062	1898	2	\N	2015-06-07 20:05:26.076509+03
7063	2199	2	\N	2015-06-07 20:05:57.959925+03
7064	2246	2	\N	2015-06-07 20:06:32.075272+03
7065	2246	2	\N	2015-06-07 20:06:41.085651+03
7066	2269	2	\N	2015-06-07 20:07:23.767588+03
7067	2277	2	\N	2015-06-07 20:07:57.192127+03
7068	1426	2	\N	2015-06-07 20:09:52.309668+03
7069	2389	2	\N	2015-06-07 20:10:03.246206+03
7070	2390	2	\N	2015-06-07 20:10:21.42447+03
7071	2391	2	\N	2015-06-07 20:10:54.694938+03
7072	2392	2	\N	2015-06-07 20:11:12.709328+03
7073	2393	2	\N	2015-06-07 20:11:33.449675+03
7074	2394	2	\N	2015-06-07 20:11:54.80775+03
7075	2395	2	\N	2015-06-07 20:12:24.648998+03
7076	2396	2	\N	2015-06-07 20:12:47.549001+03
7077	2397	2	\N	2015-06-07 20:13:09.482196+03
7078	2398	2	\N	2015-06-07 20:13:26.815118+03
7079	2399	2	\N	2015-06-07 20:13:43.442647+03
7080	2400	2	\N	2015-06-07 20:13:57.868779+03
7081	2401	2	\N	2015-06-07 20:14:15.895967+03
7082	2402	2	\N	2015-06-07 20:14:42.501203+03
7083	2403	2	\N	2015-06-07 20:15:33.611845+03
7084	2404	2	\N	2015-06-07 20:15:53.460657+03
7085	2405	2	\N	2015-06-07 20:16:10.772685+03
7086	2406	2	\N	2015-06-07 20:16:32.442601+03
7087	2407	2	\N	2015-06-07 20:16:56.509083+03
7088	2408	2	\N	2015-06-07 20:17:19.457924+03
7089	2409	2	\N	2015-06-07 20:17:39.828441+03
7090	2410	2	\N	2015-06-07 20:17:59.953522+03
7091	2411	2	\N	2015-06-07 20:18:15.36941+03
7092	2412	2	\N	2015-06-07 20:18:33.319787+03
7093	2413	2	\N	2015-06-07 20:18:53.786993+03
7094	2414	2	\N	2015-06-07 20:19:17.251882+03
7095	2415	2	\N	2015-06-07 20:34:54.782206+03
7096	2416	2	\N	2015-06-07 20:35:11.96143+03
7097	2417	2	\N	2015-06-07 20:35:33.998015+03
7098	2418	2	\N	2015-06-07 20:36:01.596002+03
7099	2419	2	\N	2015-06-07 20:36:15.960332+03
7100	2420	2	\N	2015-06-07 20:36:35.413228+03
7101	2421	2	\N	2015-06-07 20:37:30.352425+03
7102	2422	2	\N	2015-06-07 20:37:53.888785+03
7103	2423	2	\N	2015-06-07 20:38:10.610447+03
7104	2424	2	\N	2015-06-07 20:38:59.517394+03
7105	2425	2	\N	2015-06-07 20:39:26.415211+03
7106	2426	2	\N	2015-06-07 20:40:05.840226+03
7107	2427	2	\N	2015-06-07 20:40:46.537019+03
7108	2428	2	\N	2015-06-07 20:41:01.3009+03
7109	2429	2	\N	2015-06-07 20:41:17.634439+03
7110	2430	2	\N	2015-06-07 20:41:36.56949+03
7111	2431	2	\N	2015-06-07 20:41:54.944525+03
7112	2432	2	\N	2015-06-07 20:42:11.063081+03
7113	2433	2	\N	2015-06-10 21:10:55.543668+03
7114	2434	2	\N	2015-06-10 21:10:58.272269+03
7115	2434	2	\N	2015-06-10 21:11:16.546457+03
7116	2435	2	\N	2015-06-10 21:11:49.343497+03
7119	2437	2	\N	2015-06-10 21:13:28.379702+03
7120	2434	2	\N	2015-06-10 21:13:35.658848+03
7118	2434	2	\N	2015-06-10 21:12:30.557424+03
7121	2434	2	\N	2015-06-13 11:08:16.884538+03
7122	2438	2	\N	2015-06-13 12:24:23.664338+03
7123	2439	2	\N	2015-06-13 12:25:12.11639+03
7124	2440	2	\N	2015-06-13 12:25:55.053099+03
7125	2439	2	\N	2015-06-13 12:28:23.509307+03
7126	1431	2	\N	2015-06-13 16:13:14.891511+03
7127	2269	2	\N	2015-06-13 16:29:21.58833+03
7128	2391	2	\N	2015-06-13 16:29:38.922876+03
7130	2442	2	\N	2015-06-13 17:22:11.365048+03
7162	2450	2	\N	2015-06-13 19:58:22.391173+03
7163	2317	2	\N	2015-06-13 19:58:33.103367+03
7164	2451	2	\N	2015-06-13 19:59:50.784052+03
7165	2452	2	\N	2015-06-13 19:59:50.784052+03
7166	2317	2	\N	2015-06-13 20:00:28.712308+03
7167	2317	2	\N	2015-06-13 20:01:26.421434+03
7168	2317	2	\N	2015-06-13 20:03:24.653457+03
7176	2451	2	\N	2015-06-14 10:07:32.690694+03
7177	2451	2	\N	2015-06-14 10:16:32.619194+03
7178	2451	2	\N	2015-06-14 13:13:57.393431+03
7179	2451	2	\N	2015-06-14 13:21:50.094038+03
7180	2451	2	\N	2015-06-14 13:22:37.050016+03
7181	2451	2	\N	2015-06-14 13:23:13.387606+03
7182	2451	2	\N	2015-06-14 13:23:25.25704+03
7183	2457	2	\N	2015-06-14 13:25:18.074212+03
7184	2451	2	\N	2015-06-14 13:26:56.97373+03
7185	2458	2	\N	2015-06-14 13:28:59.472857+03
7186	2459	2	\N	2015-06-14 13:29:40.688494+03
7187	2457	2	\N	2015-06-14 14:17:22.935487+03
7199	2463	2	\N	2015-06-14 16:30:22.760587+03
7201	2463	2	\N	2015-06-14 16:43:36.808614+03
7202	2465	2	\N	2015-06-14 18:28:13.295968+03
7203	2466	2	\N	2015-06-14 18:50:25.96227+03
7204	2467	2	\N	2015-06-14 18:50:57.662486+03
7205	2468	2	\N	2015-06-17 21:13:39.6663+03
7206	2469	2	\N	2015-06-17 21:13:39.6663+03
7207	2469	2	\N	2015-06-17 21:39:31.5421+03
7208	2470	2	\N	2015-06-17 21:39:43.056809+03
7211	2296	2	\N	2015-06-17 22:28:24.889672+03
7212	2296	2	\N	2015-06-17 22:28:44.137455+03
7213	2296	2	\N	2015-06-17 22:28:55.531055+03
7214	2296	2	\N	2015-06-17 22:29:04.688414+03
7217	1190	2	\N	2015-06-18 08:41:45.975909+03
7218	1190	2	\N	2015-06-18 08:41:55.712142+03
7219	2475	2	\N	2015-06-18 08:47:40.598128+03
7221	1043	2	\N	2015-06-18 08:49:28.676473+03
7222	2477	2	\N	2015-06-18 08:53:01.574753+03
7229	2484	2	\N	2015-06-18 09:11:44.190988+03
7230	2477	2	\N	2015-06-18 09:15:16.231618+03
7232	2486	2	\N	2015-06-19 08:53:30.530081+03
7235	2489	2	\N	2015-06-19 08:57:56.925224+03
7236	2490	2	\N	2015-06-19 08:58:47.001543+03
7237	2491	2	\N	2015-06-19 09:01:01.141859+03
7239	2493	2	\N	2015-06-19 09:05:15.381515+03
7241	1010	2	\N	2015-06-19 09:18:51.710345+03
7244	2129	2	\N	2015-06-19 09:22:37.844576+03
7248	2137	2	\N	2015-06-19 09:24:18.706637+03
7250	2248	2	\N	2015-06-19 09:24:53.046897+03
7251	2477	2	\N	2015-06-20 10:13:49.575046+03
7252	2484	2	\N	2015-06-20 10:13:59.32685+03
7253	2501	2	\N	2015-06-20 10:23:36.01186+03
7254	2490	2	\N	2015-06-20 10:24:30.090794+03
7255	2502	2	\N	2015-06-20 10:25:23.92051+03
7256	2490	2	\N	2015-06-20 10:25:26.171733+03
7257	2503	2	\N	2015-06-20 10:58:18.119129+03
7259	2505	2	\N	2015-06-20 11:21:58.139735+03
7260	2506	2	\N	2015-06-20 11:22:00.401736+03
7261	2507	2	\N	2015-06-20 11:22:46.430212+03
7262	2506	2	\N	2015-06-20 11:22:51.478424+03
7263	2508	2	\N	2015-06-20 11:23:54.736317+03
7264	2506	2	\N	2015-06-20 11:23:56.167951+03
7265	2345	2	\N	2015-06-20 11:26:36.603828+03
7266	2345	2	\N	2015-06-20 11:27:18.047841+03
7268	2345	2	\N	2015-06-20 11:46:46.13788+03
7269	2510	2	\N	2015-06-20 11:50:12.161837+03
7270	2511	2	\N	2015-06-20 11:50:13.525526+03
7272	2463	2	\N	2015-06-20 23:00:10.769493+03
7273	2467	2	\N	2015-06-20 23:00:18.463896+03
7274	2459	2	\N	2015-06-20 23:00:44.920864+03
7275	2458	2	\N	2015-06-20 23:00:51.132288+03
7276	2457	2	\N	2015-06-20 23:00:57.565186+03
7277	2451	2	\N	2015-06-20 23:01:04.368039+03
7278	2451	2	\N	2015-06-20 23:04:17.342527+03
7279	2457	2	\N	2015-06-20 23:04:23.315461+03
7280	2458	2	\N	2015-06-20 23:04:30.160097+03
7281	2459	2	\N	2015-06-20 23:04:35.721205+03
7282	1896	2	\N	2015-06-21 11:16:22.975624+03
7285	2459	2	\N	2015-06-21 11:19:17.963777+03
7286	2458	2	\N	2015-06-21 11:19:23.880837+03
7287	2457	2	\N	2015-06-21 11:19:29.44712+03
7288	2451	2	\N	2015-06-21 11:19:35.471458+03
7289	2467	2	\N	2015-06-21 11:19:54.443461+03
7290	2463	2	\N	2015-06-21 11:20:00.085347+03
7291	2465	2	\N	2015-06-21 11:21:33.270335+03
7292	2513	2	\N	2015-06-23 22:26:54.54596+03
7293	778	2	\N	2015-06-23 22:31:51.561928+03
7294	2514	2	\N	2015-06-23 22:34:29.078834+03
7295	2514	2	\N	2015-06-23 22:36:01.548881+03
7296	2513	2	\N	2015-06-23 22:42:58.979814+03
7297	2514	2	\N	2015-06-23 22:46:14.322892+03
7298	2515	2	\N	2015-06-23 22:48:32.462285+03
7299	2477	2	\N	2015-06-27 16:53:47.400114+03
7300	2477	2	\N	2015-06-27 17:29:32.884456+03
7301	2477	2	\N	2015-06-27 17:32:15.776144+03
7302	2477	2	\N	2015-06-27 17:33:05.384003+03
7303	2477	2	\N	2015-06-27 17:35:05.607746+03
7304	2477	2	\N	2015-06-27 17:36:45.346277+03
7305	2477	2	\N	2015-06-27 17:38:01.404518+03
7306	784	2	\N	2015-06-27 17:39:03.474446+03
7307	784	2	\N	2015-06-27 17:52:48.813097+03
7308	885	2	\N	2015-06-27 17:53:15.731358+03
7309	2053	2	\N	2015-06-27 17:58:30.465951+03
7310	2477	2	\N	2015-06-27 19:15:20.180008+03
7311	2477	2	\N	2015-06-27 19:49:02.708272+03
7312	784	2	\N	2015-06-27 19:50:37.220816+03
7313	784	2	\N	2015-06-27 19:50:45.528129+03
7314	784	2	\N	2015-06-27 19:50:53.618877+03
7315	784	2	\N	2015-06-27 19:52:29.5324+03
7316	2477	2	\N	2015-06-27 19:52:36.102154+03
7317	2516	2	\N	2015-06-27 20:34:38.335917+03
7318	2517	2	\N	2015-06-27 21:02:52.190849+03
7319	2518	2	\N	2015-06-27 22:00:11.577645+03
7320	784	2	\N	2015-06-27 22:13:51.726755+03
7321	2519	2	\N	2015-06-27 22:13:51.726755+03
7322	2520	2	\N	2015-06-27 22:14:31.050053+03
7323	2521	2	\N	2015-06-27 22:15:06.48124+03
7324	2522	2	\N	2015-06-27 22:27:54.400494+03
7325	2523	2	\N	2015-06-27 22:40:18.037224+03
7326	2524	2	\N	2015-06-27 22:42:17.60206+03
7327	2525	2	\N	2015-06-27 22:42:37.767083+03
7328	784	2	\N	2015-06-27 22:49:09.961687+03
7329	784	2	\N	2015-06-27 22:49:28.712758+03
7330	784	2	\N	2015-06-27 22:49:40.054287+03
7331	2526	2	\N	2015-06-28 15:48:24.134048+03
7332	2527	2	\N	2015-06-28 15:49:06.934643+03
7335	1286	2	\N	2015-06-28 16:19:06.654271+03
7336	1284	2	\N	2015-06-28 16:19:08.822984+03
7337	2528	2	\N	2015-06-28 16:27:58.214962+03
7338	2529	2	\N	2015-07-04 20:12:31.951644+03
7339	2530	2	\N	2015-07-04 20:16:08.99227+03
7340	2531	2	\N	2015-07-04 20:16:08.99227+03
7341	2532	2	\N	2015-07-04 20:36:07.167824+03
7342	2533	2	\N	2015-07-04 20:36:07.167824+03
7343	2534	2	\N	2015-07-04 20:57:32.449165+03
7344	2491	2	\N	2015-07-04 20:58:12.716739+03
7345	2535	2	\N	2015-07-04 20:58:36.935951+03
7346	2536	2	\N	2015-07-04 20:59:39.366864+03
7347	2491	2	\N	2015-07-04 20:59:49.220324+03
7348	2537	2	\N	2015-07-04 21:00:02.518034+03
7349	2538	2	\N	2015-07-04 21:13:08.541103+03
7350	2539	2	\N	2015-07-04 21:14:30.611204+03
7351	2540	2	\N	2015-07-04 21:14:32.763289+03
7352	2541	2	\N	2015-07-04 21:14:50.821175+03
7353	2450	2	\N	2015-07-04 21:16:23.905581+03
7354	2542	2	\N	2015-07-04 21:17:54.658173+03
7355	2450	2	\N	2015-07-04 21:20:36.496307+03
7356	2450	2	\N	2015-07-04 21:22:20.163177+03
7357	2450	2	\N	2015-07-04 21:25:41.863118+03
7358	2543	2	\N	2015-07-04 21:26:56.584606+03
7359	2544	2	\N	2015-07-04 21:27:23.469843+03
7360	2388	2	\N	2015-07-04 21:27:31.474854+03
7361	2545	2	\N	2015-07-04 21:30:18.47115+03
7362	2546	2	\N	2015-07-04 21:30:37.579131+03
7363	2545	2	\N	2015-07-04 21:30:38.730906+03
7364	2547	2	\N	2015-07-04 21:30:51.680567+03
7365	2548	2	\N	2015-07-04 21:30:51.680567+03
7366	2388	2	\N	2015-07-04 21:31:14.422776+03
7367	2451	2	\N	2015-07-05 14:30:51.54628+03
7368	2457	2	\N	2015-07-05 14:33:01.814653+03
7369	2458	2	\N	2015-07-05 14:33:47.939925+03
7370	2459	2	\N	2015-07-05 14:33:59.629688+03
7371	2451	2	\N	2015-07-05 14:39:43.167129+03
7372	2467	2	\N	2015-07-05 14:49:52.691681+03
7373	2463	2	\N	2015-07-05 14:50:06.470488+03
7374	2549	2	\N	2015-07-05 15:34:32.780638+03
7376	2434	2	\N	2015-07-05 19:13:53.412323+03
7377	3	2	\N	2015-07-17 19:31:34.831317+03
7378	894	2	\N	2015-07-17 19:34:30.132569+03
7379	2054	2	\N	2015-07-17 19:34:44.345599+03
7380	2126	2	\N	2015-07-17 19:35:00.154065+03
7381	2484	2	\N	2015-07-17 19:35:15.872953+03
7382	2550	2	\N	2015-07-18 10:57:05.728016+03
7383	1372	2	\N	2015-07-18 10:57:08.110977+03
7384	1372	2	\N	2015-07-18 10:57:38.113606+03
7385	2551	2	\N	2015-07-18 11:02:48.147598+03
7386	2552	2	\N	2015-07-18 11:22:14.245467+03
7387	2552	2	\N	2015-07-18 11:24:17.241528+03
7388	2553	2	\N	2015-07-18 11:32:44.472503+03
7389	2554	2	\N	2015-07-18 11:46:38.401629+03
7390	2554	2	\N	2015-07-18 11:47:52.858154+03
7392	2556	2	\N	2015-07-18 11:55:59.961331+03
7393	1372	2	\N	2015-07-18 11:56:18.816278+03
7394	1375	2	\N	2015-07-18 11:56:26.8815+03
7395	2557	2	\N	2015-07-18 12:01:04.237446+03
7396	887	2	\N	2015-07-18 12:01:06.541839+03
7397	2376	2	\N	2015-07-18 12:01:31.956124+03
7398	2556	2	\N	2015-07-18 12:01:52.672293+03
7399	2558	2	\N	2015-07-19 10:20:48.263335+03
7400	2559	2	\N	2015-07-19 14:41:19.72071+03
7401	2560	2	\N	2015-07-19 14:41:25.622087+03
7402	2561	2	\N	2015-07-19 14:42:40.770503+03
7403	2562	2	\N	2015-07-19 14:42:45.815524+03
7404	2563	2	\N	2015-07-19 15:12:51.840188+03
7405	2564	2	\N	2015-07-19 15:13:34.062285+03
7407	2566	2	\N	2015-07-19 15:17:50.040034+03
7408	2567	2	\N	2015-07-19 15:18:18.066263+03
7409	2568	2	\N	2015-07-19 15:19:23.078636+03
7410	2569	2	\N	2015-07-19 15:19:33.135472+03
7411	2570	2	\N	2015-07-19 15:20:45.489438+03
7412	2571	2	\N	2015-07-19 15:21:40.944498+03
7413	2572	2	\N	2015-07-19 15:21:50.318605+03
7414	2573	2	\N	2015-07-19 16:03:41.362252+03
7415	2574	2	\N	2015-07-19 16:04:11.184096+03
7416	2575	2	\N	2015-07-19 16:04:13.848246+03
7417	2576	2	\N	2015-07-19 16:05:08.205201+03
7418	2577	2	\N	2015-07-19 16:06:12.10907+03
7419	2578	2	\N	2015-07-19 16:06:39.117569+03
7420	2579	2	\N	2015-07-19 16:06:40.986562+03
7421	2580	2	\N	2015-07-19 16:07:27.111556+03
7422	2581	2	\N	2015-07-19 16:08:00.994992+03
7423	2582	2	\N	2015-07-19 16:08:03.06528+03
7424	2583	2	\N	2015-07-19 22:56:54.154484+03
7426	2585	2	\N	2015-07-19 23:52:14.447269+03
7427	2586	2	\N	2015-07-19 23:52:36.403304+03
7428	2587	2	\N	2015-07-19 23:52:50.958041+03
7429	2588	2	\N	2015-07-19 23:53:14.681932+03
7430	2589	2	\N	2015-07-19 23:54:00.547115+03
7431	2590	2	\N	2015-07-19 23:54:44.372371+03
7432	2591	2	\N	2015-07-19 23:54:52.387429+03
7433	2593	2	\N	2015-07-19 23:56:11.09679+03
7434	2594	2	\N	2015-07-19 23:56:44.56359+03
7435	2595	2	\N	2015-07-19 23:56:46.53373+03
7436	1932	2	\N	2015-07-20 00:00:04.645587+03
7437	2596	2	\N	2015-07-20 00:04:50.031308+03
7438	2597	2	\N	2015-07-20 00:05:29.444039+03
7439	2598	2	\N	2015-07-20 00:06:05.823851+03
7440	2599	2	\N	2015-07-20 00:06:07.921437+03
7443	2602	2	\N	2015-07-20 23:51:41.323724+03
7444	2603	2	\N	2015-07-20 23:51:41.323724+03
7445	2604	2	\N	2015-07-20 23:51:41.323724+03
7446	2605	2	\N	2015-07-20 23:51:41.323724+03
7449	2608	2	\N	2015-07-20 23:51:41.323724+03
7453	2612	2	\N	2015-07-20 23:51:41.323724+03
7454	2613	2	\N	2015-07-20 23:51:41.323724+03
7458	2617	2	\N	2015-07-20 23:51:41.323724+03
7472	2631	2	\N	2015-07-20 23:51:41.323724+03
7473	2632	2	\N	2015-07-20 23:51:41.323724+03
7474	2633	2	\N	2015-07-20 23:51:41.323724+03
7475	2634	2	\N	2015-07-20 23:51:41.323724+03
7476	2635	2	\N	2015-07-20 23:51:41.323724+03
7477	2636	2	\N	2015-07-20 23:51:41.323724+03
7478	2637	2	\N	2015-07-20 23:51:41.323724+03
7479	2638	2	\N	2015-07-20 23:51:41.323724+03
7483	2642	2	\N	2015-07-20 23:51:41.323724+03
7484	2643	2	\N	2015-07-20 23:51:41.323724+03
7487	2646	2	\N	2015-07-20 23:51:41.323724+03
7488	2647	2	\N	2015-07-20 23:51:41.323724+03
7489	2648	2	\N	2015-07-20 23:51:41.323724+03
7490	2649	2	\N	2015-07-20 23:51:41.323724+03
7491	2650	2	\N	2015-07-20 23:51:41.323724+03
7492	2651	2	\N	2015-07-20 23:51:41.323724+03
7493	2652	2	\N	2015-07-20 23:51:41.323724+03
7494	2653	2	\N	2015-07-20 23:51:41.323724+03
7495	2654	2	\N	2015-07-20 23:51:41.323724+03
7496	2655	2	\N	2015-07-20 23:51:41.323724+03
7497	2658	2	\N	2015-07-20 23:58:46.110129+03
7498	894	2	\N	2015-07-20 23:59:14.903581+03
7499	2659	7	\N	2015-07-21 00:38:27.04357+03
7500	2660	7	\N	2015-07-21 00:38:31.047891+03
7501	2661	7	\N	2015-07-21 00:40:04.89713+03
7502	2662	7	\N	2015-07-21 00:40:08.316954+03
7503	2663	2	\N	2015-07-21 00:42:13.515989+03
7504	2664	2	\N	2015-07-21 00:44:32.068557+03
7505	2662	2	\N	2015-07-21 00:45:19.305589+03
7506	2662	7	\N	2015-07-21 00:47:09.218984+03
7507	894	2	\N	2015-07-22 09:52:23.690178+03
7508	885	2	\N	2015-07-22 09:53:01.082145+03
7509	2665	2	\N	2015-07-22 09:53:01.082145+03
7510	885	2	\N	2015-07-22 09:53:36.087021+03
7511	2272	2	\N	2015-07-22 10:46:42.444349+03
7512	2272	2	\N	2015-07-22 10:47:14.111233+03
7513	2666	2	\N	2015-07-22 10:50:02.98887+03
7514	2667	2	\N	2015-07-22 10:50:08.679496+03
7515	2668	2	\N	2015-07-22 10:51:11.924694+03
7516	2669	2	\N	2015-07-22 10:51:14.586916+03
7517	2669	2	\N	2015-07-22 11:46:47.662266+03
7518	2670	2	\N	2015-07-22 11:49:53.983401+03
7520	2669	2	\N	2015-07-22 11:53:54.403754+03
7521	2669	2	\N	2015-07-22 11:54:14.136266+03
7522	2669	2	\N	2015-07-22 12:24:29.892068+03
7523	2673	2	\N	2015-07-22 12:28:35.92606+03
7524	2674	2	\N	2015-07-22 12:28:39.345269+03
7525	2675	2	\N	2015-07-22 12:44:17.155133+03
7526	2676	2	\N	2015-07-22 12:45:19.167404+03
7527	2677	2	\N	2015-07-22 12:45:42.418521+03
7528	2678	2	\N	2015-07-22 12:45:46.782121+03
7529	2679	2	\N	2015-07-22 12:46:34.868393+03
7530	2678	2	\N	2015-07-22 12:47:12.553819+03
7531	2680	2	\N	2015-07-22 12:47:32.725361+03
7532	2681	2	\N	2015-07-22 12:47:48.511246+03
7533	2682	2	\N	2015-07-22 13:40:37.786999+03
7534	2681	2	\N	2015-07-22 13:40:39.941316+03
7535	2681	2	\N	2015-07-22 13:40:55.710058+03
7536	2683	2	\N	2015-07-22 13:41:40.486853+03
7537	2684	2	\N	2015-07-22 13:41:59.700406+03
7538	2685	2	\N	2015-07-22 13:42:00.973433+03
7539	2667	2	\N	2015-07-22 13:42:02.635972+03
7540	2685	2	\N	2015-07-22 13:46:08.824214+03
7541	2667	2	\N	2015-07-22 13:46:13.399464+03
7542	2686	2	\N	2015-07-22 13:47:12.099197+03
7543	2687	2	\N	2015-07-22 13:47:12.099197+03
7544	2688	2	\N	2015-07-22 13:50:14.404321+03
7545	2689	2	\N	2015-07-22 13:50:14.404321+03
7546	2690	2	\N	2015-07-22 13:53:17.909433+03
7547	2690	2	\N	2015-07-22 13:53:48.33605+03
7550	2693	2	\N	2015-07-22 14:07:31.992976+03
7551	2694	2	\N	2015-07-22 14:08:00.072596+03
7552	2695	2	\N	2015-07-22 14:08:45.393051+03
7555	2698	2	\N	2015-07-22 14:13:47.912163+03
7556	2699	2	\N	2015-07-22 14:14:01.749177+03
7557	2700	2	\N	2015-07-22 14:14:10.709485+03
7558	2701	2	\N	2015-07-22 14:14:10.709485+03
7559	2699	2	\N	2015-07-22 14:16:42.964801+03
7560	2702	2	\N	2015-07-22 14:17:00.761945+03
7561	2703	2	\N	2015-07-22 14:17:00.761945+03
7562	2704	2	\N	2015-07-22 14:19:56.751612+03
7563	2705	2	\N	2015-07-22 14:19:56.751612+03
7564	2699	2	\N	2015-07-22 14:20:42.704316+03
7565	2706	2	\N	2015-07-22 14:21:02.027005+03
7566	2707	2	\N	2015-07-22 14:21:02.027005+03
7567	2699	2	\N	2015-07-22 14:21:39.869597+03
7568	2699	2	\N	2015-07-22 14:21:46.984305+03
7569	2708	2	\N	2015-07-22 14:21:59.287338+03
7570	2709	2	\N	2015-07-22 14:21:59.287338+03
7571	2699	2	\N	2015-07-22 14:22:26.322903+03
7572	2710	2	\N	2015-07-22 14:22:35.509695+03
7573	2711	2	\N	2015-07-22 14:22:35.509695+03
7574	2699	2	\N	2015-07-22 14:23:19.576335+03
7575	2712	2	\N	2015-07-22 14:23:36.759685+03
7576	2713	2	\N	2015-07-22 14:23:36.759685+03
7577	2714	2	\N	2015-07-22 14:30:40.877306+03
7578	2715	2	\N	2015-07-22 14:32:25.925422+03
7579	2716	2	\N	2015-07-22 14:32:25.925422+03
7580	2714	2	\N	2015-07-22 14:32:56.995021+03
7581	2717	2	\N	2015-07-22 14:33:08.574387+03
7582	2718	2	\N	2015-07-22 14:33:08.574387+03
7583	2719	2	\N	2015-07-22 14:50:07.747456+03
7584	2720	2	\N	2015-07-22 14:50:07.747456+03
7585	2721	2	\N	2015-07-22 14:53:19.652254+03
7586	2722	2	\N	2015-07-22 14:53:19.652254+03
7587	2723	2	\N	2015-07-22 15:02:17.721876+03
7588	2724	2	\N	2015-07-22 15:02:27.84792+03
7589	2725	2	\N	2015-07-22 15:02:27.84792+03
7590	2726	2	\N	2015-07-22 15:04:12.042101+03
7591	2699	2	\N	2015-07-22 15:04:47.591373+03
7592	2727	2	\N	2015-07-22 15:05:43.153662+03
7593	2728	2	\N	2015-07-22 15:05:43.153662+03
7594	2729	2	\N	2015-07-22 15:13:21.269737+03
7596	2729	2	\N	2015-07-22 15:19:11.19218+03
7597	2729	2	\N	2015-07-22 15:35:51.754061+03
7598	2732	2	\N	2015-07-22 15:38:41.939351+03
7599	2729	2	\N	2015-07-22 15:40:32.555996+03
7600	2729	2	\N	2015-07-22 15:55:13.336651+03
7601	2515	2	\N	2015-07-22 15:57:29.189389+03
7602	2729	2	\N	2015-07-22 15:57:36.719306+03
7603	2733	2	\N	2015-07-22 15:58:23.119691+03
7604	2729	2	\N	2015-07-22 15:58:35.528196+03
7605	2450	2	\N	2015-07-22 15:58:59.916186+03
7606	2317	2	\N	2015-07-22 15:59:20.404832+03
7607	2734	2	\N	2015-07-22 15:59:27.667185+03
7608	2735	2	\N	2015-07-22 15:59:52.422862+03
7609	2736	2	\N	2015-07-22 15:59:52.422862+03
7610	2388	2	\N	2015-07-22 16:00:09.725539+03
7611	2450	2	\N	2015-07-22 16:00:21.306194+03
7612	1438	2	\N	2015-07-22 18:57:24.829162+03
7613	2737	2	\N	2015-07-22 19:50:41.44109+03
7614	2738	2	\N	2015-07-22 19:50:41.44109+03
7615	2739	2	\N	2015-07-22 22:10:17.173605+03
7616	2739	2	\N	2015-07-22 22:27:10.60758+03
7617	2740	2	\N	2015-10-05 21:56:31.033698+03
7618	2741	2	\N	2015-10-05 22:00:37.025784+03
7619	2741	2	\N	2015-10-05 22:01:11.294026+03
7620	2740	2	\N	2015-10-11 15:30:17.608326+03
7621	2740	2	\N	2015-10-11 15:49:02.820999+03
7622	2742	2	\N	2015-10-11 16:29:26.485453+03
7655	2741	2	\N	2015-10-19 21:00:27.348936+03
7656	2484	2	\N	2015-10-24 14:58:32.749242+03
7657	2779	2	\N	2015-10-24 14:58:32.749242+03
7658	2484	2	\N	2015-10-24 14:59:57.669772+03
7659	2780	2	\N	2015-10-24 14:59:57.669772+03
7660	894	2	\N	2015-10-24 15:00:56.289933+03
7661	2781	2	\N	2015-10-24 15:00:56.289933+03
7662	885	2	\N	2015-10-24 15:02:23.825848+03
7663	894	2	\N	2015-10-24 15:06:44.559696+03
7664	2782	2	\N	2015-10-24 15:06:44.559696+03
7665	894	2	\N	2015-10-24 15:13:07.98256+03
7666	2783	2	\N	2015-10-24 15:13:07.98256+03
7667	894	2	\N	2015-10-24 15:16:03.818888+03
7668	2784	2	\N	2015-10-24 15:16:03.818888+03
7669	2785	2	\N	2015-10-24 15:23:48.170652+03
7670	2786	2	\N	2015-10-24 15:24:48.816087+03
7671	2787	2	\N	2015-10-24 15:30:54.642902+03
7672	2739	2	\N	2015-10-31 09:47:11.166446+02
7673	2739	2	\N	2015-10-31 09:48:54.569182+02
7674	2739	2	\N	2015-10-31 09:52:21.217177+02
7675	2739	2	\N	2015-10-31 09:52:28.501825+02
7676	2739	2	\N	2015-10-31 10:25:38.872091+02
7677	2593	2	\N	2015-10-31 10:32:28.375294+02
7678	2788	2	\N	2015-10-31 11:46:02.329007+02
7679	2741	2	\N	2015-10-31 11:48:54.106885+02
7698	2813	2	\N	2015-11-22 21:52:45.311354+02
7699	2814	2	\N	2015-11-22 21:57:07.211721+02
7700	2739	2	\N	2015-11-22 21:57:09.506917+02
7701	2739	2	\N	2015-11-22 22:03:49.302367+02
7705	2820	2	\N	2016-01-02 19:03:39.167822+02
7707	2821	2	\N	2016-01-02 20:11:21.358279+02
7708	2822	2	\N	2016-01-02 20:11:24.233178+02
7709	2823	2	\N	2016-01-02 20:12:21.682793+02
7710	2824	2	\N	2016-01-02 20:12:46.762385+02
7711	2825	2	\N	2016-01-02 20:15:08.259398+02
7712	2824	2	\N	2016-01-02 20:15:26.352748+02
7713	2826	2	\N	2016-01-02 20:15:55.52191+02
7714	2824	2	\N	2016-01-02 20:17:19.972235+02
7715	2822	2	\N	2016-01-02 20:21:41.413863+02
7716	2827	2	\N	2016-01-02 20:24:24.220398+02
7717	2828	2	\N	2016-01-02 20:24:24.220398+02
7719	2830	2	\N	2016-01-02 20:25:43.115841+02
7720	2831	2	\N	2016-01-02 20:26:37.333884+02
7721	2832	2	\N	2016-01-02 20:27:25.581765+02
7722	2833	2	\N	2016-01-02 20:36:13.937348+02
7723	2834	2	\N	2016-01-02 20:36:20.489746+02
7724	2834	2	\N	2016-01-02 20:36:41.364121+02
7725	2835	2	\N	2016-01-02 20:42:25.330155+02
7726	2836	2	\N	2016-01-02 20:42:56.538052+02
7727	2837	2	\N	2016-01-02 20:50:50.737933+02
7728	2838	2	\N	2016-01-02 20:50:50.737933+02
7729	2831	2	\N	2016-01-02 20:50:54.803525+02
7730	2839	2	\N	2016-01-02 20:51:13.095185+02
7731	2840	2	\N	2016-01-02 20:51:13.095185+02
7732	2841	2	\N	2016-01-02 20:52:40.961629+02
7733	2540	2	\N	2016-01-02 20:53:36.703713+02
7734	2842	2	\N	2016-01-02 20:53:48.427475+02
7735	2843	2	\N	2016-01-02 20:53:48.427475+02
7736	2844	2	\N	2016-01-02 21:00:05.527737+02
7737	2845	2	\N	2016-01-02 21:00:05.527737+02
7738	2846	2	\N	2016-01-02 21:03:59.88429+02
7739	2847	2	\N	2016-01-02 21:03:59.88429+02
7740	2848	2	\N	2016-01-02 21:08:47.993297+02
7741	2849	2	\N	2016-01-02 21:08:47.993297+02
7742	2850	2	\N	2016-01-02 21:16:40.983488+02
7743	2851	2	\N	2016-01-02 21:16:40.983488+02
7744	2852	2	\N	2016-01-02 21:36:46.646531+02
7745	2853	2	\N	2016-01-02 21:36:49.099159+02
7746	2854	2	\N	2016-01-02 21:37:14.376182+02
7747	2855	2	\N	2016-01-02 21:37:14.376182+02
7748	2853	2	\N	2016-01-02 21:38:33.232425+02
7749	2853	2	\N	2016-01-02 21:39:02.581845+02
7752	2857	2	\N	2016-01-02 21:39:38.718674+02
7755	2858	2	\N	2016-01-02 21:48:47.109583+02
7756	2858	2	\N	2016-01-02 21:49:26.302355+02
7757	2858	2	\N	2016-01-02 21:50:13.774213+02
7759	2841	2	\N	2016-01-02 22:14:54.924705+02
7763	2858	2	\N	2016-01-02 22:21:07.90205+02
7750	2853	2	\N	2016-01-02 21:39:16.771773+02
7753	2858	2	\N	2016-01-02 21:43:29.317483+02
7754	2859	2	\N	2016-01-02 21:48:34.392885+02
7758	2858	2	\N	2016-01-02 21:50:34.02702+02
7760	2835	2	\N	2016-01-02 22:15:05.490599+02
7761	2858	2	\N	2016-01-02 22:15:28.276336+02
7762	2858	2	\N	2016-01-02 22:20:37.944351+02
7764	2858	2	\N	2016-01-02 22:23:01.500364+02
7765	2858	2	\N	2016-01-02 22:24:07.265807+02
7766	2858	2	\N	2016-01-02 22:57:12.346032+02
7767	2858	2	\N	2016-01-02 22:57:27.435802+02
7768	2858	2	\N	2016-01-02 22:58:10.983876+02
7769	2860	2	\N	2016-01-02 23:22:02.986231+02
7770	2861	2	\N	2016-01-02 23:22:02.986231+02
7771	2862	2	\N	2016-01-02 23:29:14.591921+02
7772	2863	2	\N	2016-01-02 23:29:43.595496+02
7773	2864	2	\N	2016-01-02 23:32:59.025447+02
7774	2865	2	\N	2016-01-02 23:33:17.678918+02
7775	2866	2	\N	2016-01-02 23:33:24.314299+02
7776	2867	2	\N	2016-01-02 23:34:03.051927+02
7777	2824	2	\N	2016-01-02 23:39:00.961892+02
7780	2830	2	\N	2016-01-30 21:00:27.913502+02
7781	2830	2	\N	2016-01-30 21:01:18.072032+02
7782	2830	2	\N	2016-01-30 21:01:36.444194+02
7783	2830	2	\N	2016-02-06 15:26:53.662979+02
7784	2830	2	\N	2016-02-06 15:33:10.739181+02
7785	2830	2	\N	2016-02-06 15:34:22.381065+02
7786	2830	2	\N	2016-02-06 15:35:20.238203+02
7787	2830	2	\N	2016-02-06 15:36:19.423459+02
7788	2830	2	\N	2016-02-06 15:45:57.869458+02
7789	2830	2	\N	2016-02-06 15:55:27.857802+02
7790	2830	2	\N	2016-02-06 16:02:20.536632+02
7791	2830	2	\N	2016-02-06 16:19:02.587853+02
7792	2830	2	\N	2016-02-06 16:19:14.340638+02
7793	2830	2	\N	2016-02-06 16:19:40.099469+02
7794	2870	2	\N	2016-02-07 17:23:20.218116+02
7795	2871	2	\N	2016-02-07 17:23:20.218116+02
7796	2872	2	\N	2016-02-07 21:04:30.754221+02
7797	2872	2	\N	2016-02-07 21:05:54.259693+02
7798	2872	2	\N	2016-02-07 21:07:48.965918+02
7799	2873	2	\N	2016-02-07 21:19:25.018357+02
7800	2874	2	\N	2016-02-07 21:20:02.361201+02
7801	2875	2	\N	2016-02-07 21:20:21.884033+02
7802	2876	2	\N	2016-02-07 21:21:03.816914+02
7803	2877	2	\N	2016-02-07 21:21:07.920879+02
7804	2788	2	\N	2016-05-09 12:53:56.945117+03
7805	2878	2	\N	2016-05-09 12:57:37.410132+03
7806	2879	2	\N	2016-05-09 12:58:01.601364+03
7807	2875	2	\N	2016-05-09 14:19:09.461648+03
7808	2879	2	\N	2016-05-09 14:19:09.461648+03
7809	2875	2	\N	2016-05-09 14:21:24.121089+03
7810	2879	2	\N	2016-05-09 14:21:24.121089+03
7811	2877	2	\N	2016-05-09 19:49:23.40543+03
7812	2877	2	\N	2016-05-09 20:42:10.779147+03
7813	2877	2	\N	2016-05-09 20:59:03.503884+03
7814	2877	2	\N	2016-05-09 20:59:20.181507+03
7815	2880	2	\N	2016-05-14 12:24:09.362992+03
7816	2881	2	\N	2016-05-14 12:24:17.0673+03
7817	2882	2	\N	2016-05-14 12:40:37.631348+03
7818	2883	2	\N	2016-05-14 12:42:08.065152+03
7822	2887	2	\N	2016-05-14 19:24:38.497791+03
7823	2882	2	\N	2016-05-14 19:25:04.0458+03
7824	2888	2	\N	2016-05-14 19:26:49.355068+03
7825	2889	2	\N	2016-05-14 19:27:41.044427+03
7826	2888	2	\N	2016-05-14 19:28:16.54874+03
7827	2889	2	\N	2016-05-14 19:33:22.988649+03
7829	1932	2	\N	2016-05-15 18:01:28.601998+03
7830	1939	2	\N	2016-05-15 18:01:28.601998+03
7833	2891	7	\N	2016-05-22 19:55:08.969532+03
7834	2892	7	\N	2016-05-22 19:55:14.973042+03
7835	2893	7	\N	2016-05-22 19:56:54.291848+03
7836	2894	7	\N	2016-05-22 19:57:34.361739+03
7837	2895	7	\N	2016-05-22 20:02:06.06185+03
7838	2896	7	\N	2016-05-22 20:02:08.989653+03
7839	2897	7	\N	2016-05-22 20:02:51.686319+03
7840	2898	7	\N	2016-05-22 20:04:51.844389+03
7841	2899	7	\N	2016-05-22 20:05:17.325444+03
7842	2900	7	\N	2016-05-22 20:05:17.325444+03
7844	2902	7	\N	2016-05-22 20:06:48.112563+03
7845	2902	7	\N	2016-05-22 20:07:40.428098+03
7846	2902	7	\N	2016-05-22 20:07:58.637089+03
7847	1849	2	\N	2016-05-22 20:11:06.601318+03
7848	2903	2	\N	2016-05-22 20:42:01.686171+03
7849	2904	2	\N	2016-05-22 20:43:32.285069+03
7858	2887	2	\N	2016-06-20 11:34:01.085463+03
7859	2909	2	\N	2016-06-20 12:26:00.939764+03
7860	2910	2	\N	2016-06-20 12:26:29.268002+03
7862	2887	2	\N	2016-06-20 12:27:37.92458+03
7863	2912	2	\N	2016-06-20 12:38:09.013321+03
7864	2913	2	\N	2016-06-20 13:20:01.073862+03
7865	2914	2	\N	2016-06-20 14:11:04.911508+03
7866	2912	2	\N	2016-06-20 15:20:01.64695+03
7867	2912	2	\N	2016-06-20 15:20:15.219041+03
7868	2912	2	\N	2016-06-20 15:32:44.861221+03
7869	2912	2	\N	2016-06-20 15:33:07.606499+03
7870	2912	2	\N	2016-06-20 16:02:21.203464+03
7871	2915	2	\N	2016-06-20 16:06:07.075108+03
7872	2785	2	\N	2016-06-20 16:35:58.751634+03
7873	2916	2	\N	2016-06-20 16:35:58.751634+03
7874	2785	2	\N	2016-06-20 16:36:09.547187+03
7877	2859	2	\N	2016-06-20 18:03:05.509688+03
7878	1542	2	\N	2016-06-27 22:07:41.304565+03
7879	2919	2	\N	2016-07-17 15:53:00.533693+03
7880	2658	2	\N	2016-07-17 15:53:03.822052+03
7881	2658	2	\N	2016-07-17 15:53:22.995918+03
7883	2921	2	\N	2016-07-17 15:57:03.063727+03
7885	2923	2	\N	2016-07-17 15:57:38.125422+03
7886	2658	2	\N	2016-07-17 15:57:40.419292+03
7887	2658	2	\N	2016-07-17 15:59:58.834721+03
7888	2658	2	\N	2016-07-17 16:01:15.697493+03
7889	2658	2	\N	2016-07-17 16:01:28.050755+03
7890	2924	2	\N	2016-07-17 16:02:08.858252+03
7891	2658	2	\N	2016-07-17 16:02:10.643204+03
7892	2658	2	\N	2016-07-17 16:23:27.014208+03
7893	2925	2	\N	2016-07-17 16:27:22.852465+03
7894	2926	2	\N	2016-07-17 16:27:39.783198+03
7895	2658	2	\N	2016-07-17 16:27:41.582264+03
7899	2930	2	\N	2016-07-17 19:09:30.834678+03
7900	2931	2	\N	2016-07-17 19:09:45.474753+03
7901	2932	2	\N	2016-07-17 19:09:56.538156+03
7902	2933	2	\N	2016-07-17 19:10:06.7265+03
7903	2934	2	\N	2016-07-17 19:11:15.719986+03
7904	2935	2	\N	2016-07-17 19:11:20.977505+03
7905	2936	2	\N	2016-07-17 19:11:44.819805+03
7906	2937	2	\N	2016-07-17 19:11:44.819805+03
7907	2938	2	\N	2016-07-17 19:11:44.819805+03
7908	2939	2	\N	2016-07-17 19:11:56.506982+03
7909	2940	2	\N	2016-07-17 19:12:24.362788+03
7911	2942	2	\N	2016-07-17 19:12:40.741111+03
7912	2943	2	\N	2016-07-17 19:12:40.741111+03
7913	2944	2	\N	2016-07-17 19:12:40.741111+03
7914	2945	2	\N	2016-07-17 19:12:45.01282+03
7915	2946	2	\N	2016-07-17 19:17:12.257123+03
7916	2947	2	\N	2016-07-17 19:17:12.257123+03
7917	2948	2	\N	2016-07-17 19:17:12.257123+03
7918	2946	2	\N	2016-07-17 19:17:12.257123+03
7919	2947	2	\N	2016-07-17 19:17:12.257123+03
7920	2948	2	\N	2016-07-17 19:17:12.257123+03
7921	2949	2	\N	2016-07-17 19:17:23.705373+03
7922	2950	2	\N	2016-07-17 19:18:32.695032+03
7923	2951	2	\N	2016-07-17 19:18:32.695032+03
7924	2952	2	\N	2016-07-17 19:18:32.695032+03
7925	2950	2	\N	2016-07-17 19:18:32.695032+03
7926	2951	2	\N	2016-07-17 19:18:32.695032+03
7927	2952	2	\N	2016-07-17 19:18:32.695032+03
7928	2953	2	\N	2016-07-17 19:18:41.475223+03
7929	2954	2	\N	2016-07-17 19:19:39.761987+03
7930	2955	2	\N	2016-07-17 19:19:41.856204+03
7931	2956	2	\N	2016-07-17 19:44:29.249691+03
7932	2957	2	\N	2016-07-17 19:44:29.249691+03
7933	2958	2	\N	2016-07-17 19:44:29.249691+03
7934	2956	2	\N	2016-07-17 19:44:29.249691+03
7935	2957	2	\N	2016-07-17 19:44:29.249691+03
7936	2958	2	\N	2016-07-17 19:44:29.249691+03
7937	2959	2	\N	2016-07-17 19:44:45.541927+03
7938	2960	2	\N	2016-07-17 19:44:45.541927+03
7939	2961	2	\N	2016-07-17 19:44:45.541927+03
7940	2959	2	\N	2016-07-17 19:44:45.541927+03
7941	2960	2	\N	2016-07-17 19:44:45.541927+03
7942	2961	2	\N	2016-07-17 19:44:45.541927+03
7943	2962	2	\N	2016-07-17 19:44:53.008531+03
7944	2963	2	\N	2016-07-17 19:48:37.057009+03
7945	2964	2	\N	2016-07-17 19:48:37.057009+03
7946	2965	2	\N	2016-07-17 19:48:37.057009+03
7947	2963	2	\N	2016-07-17 19:48:37.057009+03
7948	2964	2	\N	2016-07-17 19:48:37.057009+03
7949	2965	2	\N	2016-07-17 19:48:37.057009+03
7950	2966	2	\N	2016-07-17 19:49:55.098489+03
7951	2967	2	\N	2016-07-17 19:49:55.098489+03
7952	2968	2	\N	2016-07-17 19:49:55.098489+03
7953	2969	2	\N	2016-07-17 19:51:50.075187+03
7954	2970	2	\N	2016-07-17 19:51:50.075187+03
7955	2971	2	\N	2016-07-17 19:51:50.075187+03
7956	2972	2	\N	2016-07-17 19:53:36.417745+03
7957	2973	2	\N	2016-07-17 19:53:36.417745+03
7958	2974	2	\N	2016-07-17 19:53:36.417745+03
7959	2975	2	\N	2016-07-17 19:55:12.035104+03
7960	2976	2	\N	2016-07-17 19:55:12.035104+03
7961	2977	2	\N	2016-07-17 19:55:12.035104+03
7962	2975	2	\N	2016-07-17 19:55:12.035104+03
7963	2976	2	\N	2016-07-17 19:55:12.035104+03
7964	2977	2	\N	2016-07-17 19:55:12.035104+03
7965	2978	2	\N	2016-07-17 19:59:51.07105+03
7966	2979	2	\N	2016-07-17 19:59:51.07105+03
7967	2980	2	\N	2016-07-17 19:59:51.07105+03
7968	2981	2	\N	2016-07-17 20:00:36.447131+03
7969	2982	2	\N	2016-07-17 20:18:29.34352+03
7970	2983	2	\N	2016-07-17 20:18:29.34352+03
7971	2984	2	\N	2016-07-17 20:18:29.34352+03
7972	2982	2	\N	2016-07-17 20:18:29.34352+03
7973	2983	2	\N	2016-07-17 20:18:29.34352+03
7974	2984	2	\N	2016-07-17 20:18:29.34352+03
7975	2985	2	\N	2016-07-17 20:22:21.070941+03
7976	2986	2	\N	2016-07-17 20:22:21.070941+03
7977	2987	2	\N	2016-07-17 20:22:21.070941+03
7978	2985	2	\N	2016-07-17 20:22:21.070941+03
7979	2986	2	\N	2016-07-17 20:22:21.070941+03
7980	2987	2	\N	2016-07-17 20:22:21.070941+03
7981	2988	2	\N	2016-07-17 20:23:21.19496+03
7982	2989	2	\N	2016-07-17 20:23:21.19496+03
7983	2990	2	\N	2016-07-17 20:23:21.19496+03
7984	2988	2	\N	2016-07-17 20:23:21.19496+03
7985	2989	2	\N	2016-07-17 20:23:21.19496+03
7986	2990	2	\N	2016-07-17 20:23:21.19496+03
7987	2991	2	\N	2016-07-17 20:23:31.872753+03
7988	2992	2	\N	2016-07-17 20:37:54.911856+03
7989	2993	2	\N	2016-07-17 20:37:54.911856+03
7990	2994	2	\N	2016-07-17 20:37:54.911856+03
7991	2992	2	\N	2016-07-17 20:37:54.911856+03
7992	2993	2	\N	2016-07-17 20:37:54.911856+03
7993	2994	2	\N	2016-07-17 20:37:54.911856+03
7994	2995	2	\N	2016-07-17 20:40:11.322545+03
7995	2996	2	\N	2016-07-17 20:40:11.322545+03
7996	2997	2	\N	2016-07-17 20:40:11.322545+03
7997	2998	2	\N	2016-07-17 20:40:11.322545+03
7998	2999	2	\N	2016-07-17 20:40:11.322545+03
7999	3000	2	\N	2016-07-17 20:40:11.322545+03
8000	2995	2	\N	2016-07-17 20:40:11.322545+03
8001	2996	2	\N	2016-07-17 20:40:11.322545+03
8002	2997	2	\N	2016-07-17 20:40:11.322545+03
8003	2998	2	\N	2016-07-17 20:40:11.322545+03
8004	2999	2	\N	2016-07-17 20:40:11.322545+03
8005	3000	2	\N	2016-07-17 20:40:11.322545+03
8006	3001	2	\N	2016-07-17 20:40:31.998753+03
8007	3002	2	\N	2016-07-17 20:40:31.998753+03
8008	3003	2	\N	2016-07-17 20:40:31.998753+03
8009	3004	2	\N	2016-07-17 20:40:31.998753+03
8010	3005	2	\N	2016-07-17 20:40:31.998753+03
8011	3006	2	\N	2016-07-17 20:40:31.998753+03
8012	3007	2	\N	2016-07-17 20:40:31.998753+03
8013	3008	2	\N	2016-07-17 20:40:31.998753+03
8014	3009	2	\N	2016-07-17 20:40:31.998753+03
8015	3010	2	\N	2016-07-17 20:40:31.998753+03
8016	3011	2	\N	2016-07-17 20:40:31.998753+03
8017	3012	2	\N	2016-07-17 20:40:31.998753+03
8018	3001	2	\N	2016-07-17 20:40:31.998753+03
8019	3002	2	\N	2016-07-17 20:40:31.998753+03
8020	3003	2	\N	2016-07-17 20:40:31.998753+03
8021	3004	2	\N	2016-07-17 20:40:31.998753+03
8022	3005	2	\N	2016-07-17 20:40:31.998753+03
8023	3006	2	\N	2016-07-17 20:40:31.998753+03
8024	3007	2	\N	2016-07-17 20:40:31.998753+03
8025	3008	2	\N	2016-07-17 20:40:31.998753+03
8026	3009	2	\N	2016-07-17 20:40:31.998753+03
8027	3010	2	\N	2016-07-17 20:40:31.998753+03
8028	3011	2	\N	2016-07-17 20:40:31.998753+03
8029	3012	2	\N	2016-07-17 20:40:31.998753+03
8030	3013	2	\N	2016-07-17 20:40:55.934302+03
8031	3014	2	\N	2016-07-17 20:40:55.934302+03
8032	3015	2	\N	2016-07-17 20:40:55.934302+03
8033	3016	2	\N	2016-07-17 20:40:55.934302+03
8034	3017	2	\N	2016-07-17 20:40:55.934302+03
8035	3018	2	\N	2016-07-17 20:40:55.934302+03
8036	3019	2	\N	2016-07-17 20:40:55.934302+03
8037	3020	2	\N	2016-07-17 20:40:55.934302+03
8038	3021	2	\N	2016-07-17 20:40:55.934302+03
8039	3022	2	\N	2016-07-17 20:40:55.934302+03
8040	3023	2	\N	2016-07-17 20:40:55.934302+03
8041	3024	2	\N	2016-07-17 20:40:55.934302+03
8042	3025	2	\N	2016-07-17 20:40:55.934302+03
8043	3026	2	\N	2016-07-17 20:40:55.934302+03
8044	3027	2	\N	2016-07-17 20:40:55.934302+03
8045	3028	2	\N	2016-07-17 20:40:55.934302+03
8046	3029	2	\N	2016-07-17 20:40:55.934302+03
8047	3030	2	\N	2016-07-17 20:40:55.934302+03
8048	3031	2	\N	2016-07-17 20:40:55.934302+03
8049	3032	2	\N	2016-07-17 20:40:55.934302+03
8050	3033	2	\N	2016-07-17 20:40:55.934302+03
8051	3034	2	\N	2016-07-17 20:40:55.934302+03
8052	3035	2	\N	2016-07-17 20:40:55.934302+03
8053	3036	2	\N	2016-07-17 20:40:55.934302+03
8054	3013	2	\N	2016-07-17 20:40:55.934302+03
8055	3014	2	\N	2016-07-17 20:40:55.934302+03
8056	3015	2	\N	2016-07-17 20:40:55.934302+03
8057	3016	2	\N	2016-07-17 20:40:55.934302+03
8058	3017	2	\N	2016-07-17 20:40:55.934302+03
8059	3018	2	\N	2016-07-17 20:40:55.934302+03
8060	3019	2	\N	2016-07-17 20:40:55.934302+03
8061	3020	2	\N	2016-07-17 20:40:55.934302+03
8062	3021	2	\N	2016-07-17 20:40:55.934302+03
8063	3022	2	\N	2016-07-17 20:40:55.934302+03
8064	3023	2	\N	2016-07-17 20:40:55.934302+03
8065	3024	2	\N	2016-07-17 20:40:55.934302+03
8066	3025	2	\N	2016-07-17 20:40:55.934302+03
8067	3026	2	\N	2016-07-17 20:40:55.934302+03
8068	3027	2	\N	2016-07-17 20:40:55.934302+03
8069	3028	2	\N	2016-07-17 20:40:55.934302+03
8070	3029	2	\N	2016-07-17 20:40:55.934302+03
8071	3030	2	\N	2016-07-17 20:40:55.934302+03
8072	3031	2	\N	2016-07-17 20:40:55.934302+03
8073	3032	2	\N	2016-07-17 20:40:55.934302+03
8074	3033	2	\N	2016-07-17 20:40:55.934302+03
8075	3034	2	\N	2016-07-17 20:40:55.934302+03
8076	3035	2	\N	2016-07-17 20:40:55.934302+03
8077	3036	2	\N	2016-07-17 20:40:55.934302+03
8078	3037	2	\N	2016-07-17 20:43:12.081292+03
8079	3038	2	\N	2016-07-17 20:43:12.081292+03
8080	3039	2	\N	2016-07-17 20:43:12.081292+03
8081	3040	2	\N	2016-07-17 20:43:12.081292+03
8082	3041	2	\N	2016-07-17 20:43:12.081292+03
8083	3042	2	\N	2016-07-17 20:43:12.081292+03
8084	3043	2	\N	2016-07-17 20:43:12.081292+03
8085	3044	2	\N	2016-07-17 20:43:12.081292+03
8086	3045	2	\N	2016-07-17 20:43:12.081292+03
8087	3046	2	\N	2016-07-17 20:43:12.081292+03
8088	3047	2	\N	2016-07-17 20:43:12.081292+03
8089	3048	2	\N	2016-07-17 20:43:12.081292+03
8090	3049	2	\N	2016-07-17 20:43:12.081292+03
8091	3050	2	\N	2016-07-17 20:43:12.081292+03
8092	3051	2	\N	2016-07-17 20:43:12.081292+03
8093	3052	2	\N	2016-07-17 20:43:12.081292+03
8094	3053	2	\N	2016-07-17 20:43:12.081292+03
8095	3054	2	\N	2016-07-17 20:43:12.081292+03
8096	3055	2	\N	2016-07-17 20:43:12.081292+03
8097	3056	2	\N	2016-07-17 20:43:12.081292+03
8098	3057	2	\N	2016-07-17 20:43:12.081292+03
8099	3058	2	\N	2016-07-17 20:43:12.081292+03
8100	3059	2	\N	2016-07-17 20:43:12.081292+03
8101	3060	2	\N	2016-07-17 20:43:12.081292+03
8102	3061	2	\N	2016-07-17 20:43:12.081292+03
8103	3062	2	\N	2016-07-17 20:43:12.081292+03
8104	3063	2	\N	2016-07-17 20:43:12.081292+03
8105	3064	2	\N	2016-07-17 20:43:12.081292+03
8106	3065	2	\N	2016-07-17 20:43:12.081292+03
8107	3066	2	\N	2016-07-17 20:43:12.081292+03
8108	3067	2	\N	2016-07-17 20:43:12.081292+03
8109	3068	2	\N	2016-07-17 20:43:12.081292+03
8110	3069	2	\N	2016-07-17 20:43:12.081292+03
8111	3070	2	\N	2016-07-17 20:43:12.081292+03
8112	3071	2	\N	2016-07-17 20:43:12.081292+03
8113	3072	2	\N	2016-07-17 20:43:12.081292+03
8114	3073	2	\N	2016-07-17 20:43:12.081292+03
8115	3074	2	\N	2016-07-17 20:43:12.081292+03
8116	3075	2	\N	2016-07-17 20:43:12.081292+03
8117	3076	2	\N	2016-07-17 20:43:12.081292+03
8118	3077	2	\N	2016-07-17 20:43:12.081292+03
8119	3078	2	\N	2016-07-17 20:43:12.081292+03
8120	3079	2	\N	2016-07-17 20:43:12.081292+03
8121	3080	2	\N	2016-07-17 20:43:12.081292+03
8122	3081	2	\N	2016-07-17 20:43:12.081292+03
8123	3082	2	\N	2016-07-17 20:43:12.081292+03
8124	3083	2	\N	2016-07-17 20:43:12.081292+03
8125	3084	2	\N	2016-07-17 20:43:12.081292+03
8126	3037	2	\N	2016-07-17 20:43:12.081292+03
8127	3038	2	\N	2016-07-17 20:43:12.081292+03
8128	3039	2	\N	2016-07-17 20:43:12.081292+03
8129	3040	2	\N	2016-07-17 20:43:12.081292+03
8130	3041	2	\N	2016-07-17 20:43:12.081292+03
8131	3042	2	\N	2016-07-17 20:43:12.081292+03
8132	3043	2	\N	2016-07-17 20:43:12.081292+03
8133	3044	2	\N	2016-07-17 20:43:12.081292+03
8134	3045	2	\N	2016-07-17 20:43:12.081292+03
8135	3046	2	\N	2016-07-17 20:43:12.081292+03
8136	3047	2	\N	2016-07-17 20:43:12.081292+03
8137	3048	2	\N	2016-07-17 20:43:12.081292+03
8138	3049	2	\N	2016-07-17 20:43:12.081292+03
8139	3050	2	\N	2016-07-17 20:43:12.081292+03
8140	3051	2	\N	2016-07-17 20:43:12.081292+03
8141	3052	2	\N	2016-07-17 20:43:12.081292+03
8142	3053	2	\N	2016-07-17 20:43:12.081292+03
8143	3054	2	\N	2016-07-17 20:43:12.081292+03
8144	3055	2	\N	2016-07-17 20:43:12.081292+03
8145	3056	2	\N	2016-07-17 20:43:12.081292+03
8146	3057	2	\N	2016-07-17 20:43:12.081292+03
8147	3058	2	\N	2016-07-17 20:43:12.081292+03
8148	3059	2	\N	2016-07-17 20:43:12.081292+03
8149	3060	2	\N	2016-07-17 20:43:12.081292+03
8150	3061	2	\N	2016-07-17 20:43:12.081292+03
8151	3062	2	\N	2016-07-17 20:43:12.081292+03
8152	3063	2	\N	2016-07-17 20:43:12.081292+03
8153	3064	2	\N	2016-07-17 20:43:12.081292+03
8154	3065	2	\N	2016-07-17 20:43:12.081292+03
8155	3066	2	\N	2016-07-17 20:43:12.081292+03
8156	3067	2	\N	2016-07-17 20:43:12.081292+03
8157	3068	2	\N	2016-07-17 20:43:12.081292+03
8158	3069	2	\N	2016-07-17 20:43:12.081292+03
8159	3070	2	\N	2016-07-17 20:43:12.081292+03
8160	3071	2	\N	2016-07-17 20:43:12.081292+03
8161	3072	2	\N	2016-07-17 20:43:12.081292+03
8162	3073	2	\N	2016-07-17 20:43:12.081292+03
8163	3074	2	\N	2016-07-17 20:43:12.081292+03
8164	3075	2	\N	2016-07-17 20:43:12.081292+03
8165	3076	2	\N	2016-07-17 20:43:12.081292+03
8166	3077	2	\N	2016-07-17 20:43:12.081292+03
8167	3078	2	\N	2016-07-17 20:43:12.081292+03
8168	3079	2	\N	2016-07-17 20:43:12.081292+03
8169	3080	2	\N	2016-07-17 20:43:12.081292+03
8170	3081	2	\N	2016-07-17 20:43:12.081292+03
8171	3082	2	\N	2016-07-17 20:43:12.081292+03
8172	3083	2	\N	2016-07-17 20:43:12.081292+03
8173	3084	2	\N	2016-07-17 20:43:12.081292+03
8174	3085	2	\N	2016-07-17 20:43:36.797856+03
8175	3086	2	\N	2016-07-17 20:43:36.797856+03
8176	3087	2	\N	2016-07-17 20:43:36.797856+03
8177	3088	2	\N	2016-07-17 20:43:36.797856+03
8178	3089	2	\N	2016-07-17 20:43:36.797856+03
8179	3090	2	\N	2016-07-17 20:43:36.797856+03
8180	3091	2	\N	2016-07-17 20:43:36.797856+03
8181	3092	2	\N	2016-07-17 20:43:36.797856+03
8182	3093	2	\N	2016-07-17 20:43:36.797856+03
8183	3094	2	\N	2016-07-17 20:43:36.797856+03
8184	3095	2	\N	2016-07-17 20:43:36.797856+03
8185	3096	2	\N	2016-07-17 20:43:36.797856+03
8186	3097	2	\N	2016-07-17 20:43:36.797856+03
8187	3098	2	\N	2016-07-17 20:43:36.797856+03
8188	3099	2	\N	2016-07-17 20:43:36.797856+03
8189	3100	2	\N	2016-07-17 20:43:36.797856+03
8190	3101	2	\N	2016-07-17 20:43:36.797856+03
8191	3102	2	\N	2016-07-17 20:43:36.797856+03
8192	3103	2	\N	2016-07-17 20:43:36.797856+03
8193	3104	2	\N	2016-07-17 20:43:36.797856+03
8194	3105	2	\N	2016-07-17 20:43:36.797856+03
8195	3106	2	\N	2016-07-17 20:43:36.797856+03
8196	3107	2	\N	2016-07-17 20:43:36.797856+03
8197	3108	2	\N	2016-07-17 20:43:36.797856+03
8198	3109	2	\N	2016-07-17 20:43:36.797856+03
8199	3110	2	\N	2016-07-17 20:43:36.797856+03
8200	3111	2	\N	2016-07-17 20:43:36.797856+03
8201	3112	2	\N	2016-07-17 20:43:36.797856+03
8202	3113	2	\N	2016-07-17 20:43:36.797856+03
8203	3114	2	\N	2016-07-17 20:43:36.797856+03
8204	3115	2	\N	2016-07-17 20:43:36.797856+03
8205	3116	2	\N	2016-07-17 20:43:36.797856+03
8206	3117	2	\N	2016-07-17 20:43:36.797856+03
8207	3118	2	\N	2016-07-17 20:43:36.797856+03
8208	3119	2	\N	2016-07-17 20:43:36.797856+03
8209	3120	2	\N	2016-07-17 20:43:36.797856+03
8210	3121	2	\N	2016-07-17 20:43:36.797856+03
8211	3122	2	\N	2016-07-17 20:43:36.797856+03
8212	3123	2	\N	2016-07-17 20:43:36.797856+03
8213	3124	2	\N	2016-07-17 20:43:36.797856+03
8214	3125	2	\N	2016-07-17 20:43:36.797856+03
8215	3126	2	\N	2016-07-17 20:43:36.797856+03
8216	3127	2	\N	2016-07-17 20:43:36.797856+03
8217	3128	2	\N	2016-07-17 20:43:36.797856+03
8218	3129	2	\N	2016-07-17 20:43:36.797856+03
8219	3130	2	\N	2016-07-17 20:43:36.797856+03
8220	3131	2	\N	2016-07-17 20:43:36.797856+03
8221	3132	2	\N	2016-07-17 20:43:36.797856+03
8222	3133	2	\N	2016-07-17 20:43:36.797856+03
8223	3134	2	\N	2016-07-17 20:43:36.797856+03
8224	3135	2	\N	2016-07-17 20:43:36.797856+03
8225	3136	2	\N	2016-07-17 20:43:36.797856+03
8226	3137	2	\N	2016-07-17 20:43:36.797856+03
8227	3138	2	\N	2016-07-17 20:43:36.797856+03
8228	3139	2	\N	2016-07-17 20:43:36.797856+03
8229	3140	2	\N	2016-07-17 20:43:36.797856+03
8230	3141	2	\N	2016-07-17 20:43:36.797856+03
8231	3142	2	\N	2016-07-17 20:43:36.797856+03
8232	3143	2	\N	2016-07-17 20:43:36.797856+03
8233	3144	2	\N	2016-07-17 20:43:36.797856+03
8234	3145	2	\N	2016-07-17 20:43:36.797856+03
8235	3146	2	\N	2016-07-17 20:43:36.797856+03
8236	3147	2	\N	2016-07-17 20:43:36.797856+03
8237	3148	2	\N	2016-07-17 20:43:36.797856+03
8238	3149	2	\N	2016-07-17 20:43:36.797856+03
8239	3150	2	\N	2016-07-17 20:43:36.797856+03
8240	3151	2	\N	2016-07-17 20:43:36.797856+03
8241	3152	2	\N	2016-07-17 20:43:36.797856+03
8242	3153	2	\N	2016-07-17 20:43:36.797856+03
8243	3154	2	\N	2016-07-17 20:43:36.797856+03
8244	3155	2	\N	2016-07-17 20:43:36.797856+03
8245	3156	2	\N	2016-07-17 20:43:36.797856+03
8246	3157	2	\N	2016-07-17 20:43:36.797856+03
8247	3158	2	\N	2016-07-17 20:43:36.797856+03
8248	3159	2	\N	2016-07-17 20:43:36.797856+03
8249	3160	2	\N	2016-07-17 20:43:36.797856+03
8250	3161	2	\N	2016-07-17 20:43:36.797856+03
8251	3162	2	\N	2016-07-17 20:43:36.797856+03
8252	3163	2	\N	2016-07-17 20:43:36.797856+03
8253	3164	2	\N	2016-07-17 20:43:36.797856+03
8254	3165	2	\N	2016-07-17 20:43:36.797856+03
8255	3166	2	\N	2016-07-17 20:43:36.797856+03
8256	3167	2	\N	2016-07-17 20:43:36.797856+03
8257	3168	2	\N	2016-07-17 20:43:36.797856+03
8258	3169	2	\N	2016-07-17 20:43:36.797856+03
8259	3170	2	\N	2016-07-17 20:43:36.797856+03
8260	3171	2	\N	2016-07-17 20:43:36.797856+03
8261	3172	2	\N	2016-07-17 20:43:36.797856+03
8262	3173	2	\N	2016-07-17 20:43:36.797856+03
8263	3174	2	\N	2016-07-17 20:43:36.797856+03
8264	3175	2	\N	2016-07-17 20:43:36.797856+03
8265	3176	2	\N	2016-07-17 20:43:36.797856+03
8266	3177	2	\N	2016-07-17 20:43:36.797856+03
8267	3178	2	\N	2016-07-17 20:43:36.797856+03
8268	3179	2	\N	2016-07-17 20:43:36.797856+03
8269	3180	2	\N	2016-07-17 20:43:36.797856+03
8270	3085	2	\N	2016-07-17 20:43:36.797856+03
8271	3086	2	\N	2016-07-17 20:43:36.797856+03
8272	3087	2	\N	2016-07-17 20:43:36.797856+03
8273	3088	2	\N	2016-07-17 20:43:36.797856+03
8274	3089	2	\N	2016-07-17 20:43:36.797856+03
8275	3090	2	\N	2016-07-17 20:43:36.797856+03
8276	3091	2	\N	2016-07-17 20:43:36.797856+03
8277	3092	2	\N	2016-07-17 20:43:36.797856+03
8278	3093	2	\N	2016-07-17 20:43:36.797856+03
8279	3094	2	\N	2016-07-17 20:43:36.797856+03
8280	3095	2	\N	2016-07-17 20:43:36.797856+03
8281	3096	2	\N	2016-07-17 20:43:36.797856+03
8282	3097	2	\N	2016-07-17 20:43:36.797856+03
8283	3098	2	\N	2016-07-17 20:43:36.797856+03
8284	3099	2	\N	2016-07-17 20:43:36.797856+03
8285	3100	2	\N	2016-07-17 20:43:36.797856+03
8286	3101	2	\N	2016-07-17 20:43:36.797856+03
8287	3102	2	\N	2016-07-17 20:43:36.797856+03
8288	3103	2	\N	2016-07-17 20:43:36.797856+03
8289	3104	2	\N	2016-07-17 20:43:36.797856+03
8290	3105	2	\N	2016-07-17 20:43:36.797856+03
8291	3106	2	\N	2016-07-17 20:43:36.797856+03
8292	3107	2	\N	2016-07-17 20:43:36.797856+03
8293	3108	2	\N	2016-07-17 20:43:36.797856+03
8294	3109	2	\N	2016-07-17 20:43:36.797856+03
8295	3110	2	\N	2016-07-17 20:43:36.797856+03
8296	3111	2	\N	2016-07-17 20:43:36.797856+03
8297	3112	2	\N	2016-07-17 20:43:36.797856+03
8298	3113	2	\N	2016-07-17 20:43:36.797856+03
8299	3114	2	\N	2016-07-17 20:43:36.797856+03
8300	3115	2	\N	2016-07-17 20:43:36.797856+03
8301	3116	2	\N	2016-07-17 20:43:36.797856+03
8302	3117	2	\N	2016-07-17 20:43:36.797856+03
8303	3118	2	\N	2016-07-17 20:43:36.797856+03
8304	3119	2	\N	2016-07-17 20:43:36.797856+03
8305	3120	2	\N	2016-07-17 20:43:36.797856+03
8306	3121	2	\N	2016-07-17 20:43:36.797856+03
8307	3122	2	\N	2016-07-17 20:43:36.797856+03
8308	3123	2	\N	2016-07-17 20:43:36.797856+03
8309	3124	2	\N	2016-07-17 20:43:36.797856+03
8310	3125	2	\N	2016-07-17 20:43:36.797856+03
8311	3126	2	\N	2016-07-17 20:43:36.797856+03
8312	3127	2	\N	2016-07-17 20:43:36.797856+03
8313	3128	2	\N	2016-07-17 20:43:36.797856+03
8314	3129	2	\N	2016-07-17 20:43:36.797856+03
8315	3130	2	\N	2016-07-17 20:43:36.797856+03
8316	3131	2	\N	2016-07-17 20:43:36.797856+03
8317	3132	2	\N	2016-07-17 20:43:36.797856+03
8318	3133	2	\N	2016-07-17 20:43:36.797856+03
8319	3134	2	\N	2016-07-17 20:43:36.797856+03
8320	3135	2	\N	2016-07-17 20:43:36.797856+03
8321	3136	2	\N	2016-07-17 20:43:36.797856+03
8322	3137	2	\N	2016-07-17 20:43:36.797856+03
8323	3138	2	\N	2016-07-17 20:43:36.797856+03
8324	3139	2	\N	2016-07-17 20:43:36.797856+03
8325	3140	2	\N	2016-07-17 20:43:36.797856+03
8326	3141	2	\N	2016-07-17 20:43:36.797856+03
8327	3142	2	\N	2016-07-17 20:43:36.797856+03
8328	3143	2	\N	2016-07-17 20:43:36.797856+03
8329	3144	2	\N	2016-07-17 20:43:36.797856+03
8330	3145	2	\N	2016-07-17 20:43:36.797856+03
8331	3146	2	\N	2016-07-17 20:43:36.797856+03
8332	3147	2	\N	2016-07-17 20:43:36.797856+03
8333	3148	2	\N	2016-07-17 20:43:36.797856+03
8334	3149	2	\N	2016-07-17 20:43:36.797856+03
8335	3150	2	\N	2016-07-17 20:43:36.797856+03
8336	3151	2	\N	2016-07-17 20:43:36.797856+03
8337	3152	2	\N	2016-07-17 20:43:36.797856+03
8338	3153	2	\N	2016-07-17 20:43:36.797856+03
8339	3154	2	\N	2016-07-17 20:43:36.797856+03
8340	3155	2	\N	2016-07-17 20:43:36.797856+03
8341	3156	2	\N	2016-07-17 20:43:36.797856+03
8342	3157	2	\N	2016-07-17 20:43:36.797856+03
8343	3158	2	\N	2016-07-17 20:43:36.797856+03
8344	3159	2	\N	2016-07-17 20:43:36.797856+03
8345	3160	2	\N	2016-07-17 20:43:36.797856+03
8346	3161	2	\N	2016-07-17 20:43:36.797856+03
8347	3162	2	\N	2016-07-17 20:43:36.797856+03
8348	3163	2	\N	2016-07-17 20:43:36.797856+03
8349	3164	2	\N	2016-07-17 20:43:36.797856+03
8350	3165	2	\N	2016-07-17 20:43:36.797856+03
8351	3166	2	\N	2016-07-17 20:43:36.797856+03
8352	3167	2	\N	2016-07-17 20:43:36.797856+03
8353	3168	2	\N	2016-07-17 20:43:36.797856+03
8354	3169	2	\N	2016-07-17 20:43:36.797856+03
8355	3170	2	\N	2016-07-17 20:43:36.797856+03
8356	3171	2	\N	2016-07-17 20:43:36.797856+03
8357	3172	2	\N	2016-07-17 20:43:36.797856+03
8358	3173	2	\N	2016-07-17 20:43:36.797856+03
8359	3174	2	\N	2016-07-17 20:43:36.797856+03
8360	3175	2	\N	2016-07-17 20:43:36.797856+03
8361	3176	2	\N	2016-07-17 20:43:36.797856+03
8362	3177	2	\N	2016-07-17 20:43:36.797856+03
8363	3178	2	\N	2016-07-17 20:43:36.797856+03
8364	3179	2	\N	2016-07-17 20:43:36.797856+03
8365	3180	2	\N	2016-07-17 20:43:36.797856+03
8366	3181	2	\N	2016-07-17 20:44:31.462356+03
8367	3182	2	\N	2016-07-17 20:44:31.462356+03
8368	3183	2	\N	2016-07-17 20:44:31.462356+03
8369	3184	2	\N	2016-07-17 20:44:31.462356+03
8370	3185	2	\N	2016-07-17 20:44:31.462356+03
8371	3186	2	\N	2016-07-17 20:44:31.462356+03
8372	3187	2	\N	2016-07-17 20:44:31.462356+03
8373	3188	2	\N	2016-07-17 20:44:31.462356+03
8374	3189	2	\N	2016-07-17 20:44:31.462356+03
8375	3190	2	\N	2016-07-17 20:44:31.462356+03
8376	3191	2	\N	2016-07-17 20:44:31.462356+03
8377	3192	2	\N	2016-07-17 20:44:31.462356+03
8378	3193	2	\N	2016-07-17 20:44:31.462356+03
8379	3194	2	\N	2016-07-17 20:44:31.462356+03
8380	3195	2	\N	2016-07-17 20:44:31.462356+03
8381	3196	2	\N	2016-07-17 20:44:31.462356+03
8382	3197	2	\N	2016-07-17 20:44:31.462356+03
8383	3198	2	\N	2016-07-17 20:44:31.462356+03
8384	3199	2	\N	2016-07-17 20:44:31.462356+03
8385	3200	2	\N	2016-07-17 20:44:31.462356+03
8386	3201	2	\N	2016-07-17 20:44:31.462356+03
8387	3202	2	\N	2016-07-17 20:44:31.462356+03
8388	3203	2	\N	2016-07-17 20:44:31.462356+03
8389	3204	2	\N	2016-07-17 20:44:31.462356+03
8390	3205	2	\N	2016-07-17 20:44:31.462356+03
8391	3206	2	\N	2016-07-17 20:44:31.462356+03
8392	3207	2	\N	2016-07-17 20:44:31.462356+03
8393	3208	2	\N	2016-07-17 20:44:31.462356+03
8394	3209	2	\N	2016-07-17 20:44:31.462356+03
8395	3210	2	\N	2016-07-17 20:44:31.462356+03
8396	3211	2	\N	2016-07-17 20:44:31.462356+03
8397	3212	2	\N	2016-07-17 20:44:31.462356+03
8398	3213	2	\N	2016-07-17 20:44:31.462356+03
8399	3214	2	\N	2016-07-17 20:44:31.462356+03
8400	3215	2	\N	2016-07-17 20:44:31.462356+03
8401	3216	2	\N	2016-07-17 20:44:31.462356+03
8402	3217	2	\N	2016-07-17 20:44:31.462356+03
8403	3218	2	\N	2016-07-17 20:44:31.462356+03
8404	3219	2	\N	2016-07-17 20:44:31.462356+03
8405	3220	2	\N	2016-07-17 20:44:31.462356+03
8406	3221	2	\N	2016-07-17 20:44:31.462356+03
8407	3222	2	\N	2016-07-17 20:44:31.462356+03
8408	3223	2	\N	2016-07-17 20:44:31.462356+03
8409	3224	2	\N	2016-07-17 20:44:31.462356+03
8410	3225	2	\N	2016-07-17 20:44:31.462356+03
8411	3226	2	\N	2016-07-17 20:44:31.462356+03
8412	3227	2	\N	2016-07-17 20:44:31.462356+03
8413	3228	2	\N	2016-07-17 20:44:31.462356+03
8414	3229	2	\N	2016-07-17 20:44:31.462356+03
8415	3230	2	\N	2016-07-17 20:44:31.462356+03
8416	3231	2	\N	2016-07-17 20:44:31.462356+03
8417	3232	2	\N	2016-07-17 20:44:31.462356+03
8418	3233	2	\N	2016-07-17 20:44:31.462356+03
8419	3234	2	\N	2016-07-17 20:44:31.462356+03
8420	3235	2	\N	2016-07-17 20:44:31.462356+03
8421	3236	2	\N	2016-07-17 20:44:31.462356+03
8422	3237	2	\N	2016-07-17 20:44:31.462356+03
8423	3238	2	\N	2016-07-17 20:44:31.462356+03
8424	3239	2	\N	2016-07-17 20:44:31.462356+03
8425	3240	2	\N	2016-07-17 20:44:31.462356+03
8426	3241	2	\N	2016-07-17 20:44:31.462356+03
8427	3242	2	\N	2016-07-17 20:44:31.462356+03
8428	3243	2	\N	2016-07-17 20:44:31.462356+03
8429	3244	2	\N	2016-07-17 20:44:31.462356+03
8430	3245	2	\N	2016-07-17 20:44:31.462356+03
8431	3246	2	\N	2016-07-17 20:44:31.462356+03
8432	3247	2	\N	2016-07-17 20:44:31.462356+03
8433	3248	2	\N	2016-07-17 20:44:31.462356+03
8434	3249	2	\N	2016-07-17 20:44:31.462356+03
8435	3250	2	\N	2016-07-17 20:44:31.462356+03
8436	3251	2	\N	2016-07-17 20:44:31.462356+03
8437	3252	2	\N	2016-07-17 20:44:31.462356+03
8438	3253	2	\N	2016-07-17 20:44:31.462356+03
8439	3254	2	\N	2016-07-17 20:44:31.462356+03
8440	3255	2	\N	2016-07-17 20:44:31.462356+03
8441	3256	2	\N	2016-07-17 20:44:31.462356+03
8442	3257	2	\N	2016-07-17 20:44:31.462356+03
8443	3258	2	\N	2016-07-17 20:44:31.462356+03
8444	3259	2	\N	2016-07-17 20:44:31.462356+03
8445	3260	2	\N	2016-07-17 20:44:31.462356+03
8446	3261	2	\N	2016-07-17 20:44:31.462356+03
8447	3262	2	\N	2016-07-17 20:44:31.462356+03
8448	3263	2	\N	2016-07-17 20:44:31.462356+03
8449	3264	2	\N	2016-07-17 20:44:31.462356+03
8450	3265	2	\N	2016-07-17 20:44:31.462356+03
8451	3266	2	\N	2016-07-17 20:44:31.462356+03
8452	3267	2	\N	2016-07-17 20:44:31.462356+03
8453	3268	2	\N	2016-07-17 20:44:31.462356+03
8454	3269	2	\N	2016-07-17 20:44:31.462356+03
8455	3270	2	\N	2016-07-17 20:44:31.462356+03
8456	3271	2	\N	2016-07-17 20:44:31.462356+03
8457	3272	2	\N	2016-07-17 20:44:31.462356+03
8458	3273	2	\N	2016-07-17 20:44:31.462356+03
8459	3274	2	\N	2016-07-17 20:44:31.462356+03
8460	3275	2	\N	2016-07-17 20:44:31.462356+03
8461	3276	2	\N	2016-07-17 20:44:31.462356+03
8462	3277	2	\N	2016-07-17 20:44:31.462356+03
8463	3278	2	\N	2016-07-17 20:44:31.462356+03
8464	3279	2	\N	2016-07-17 20:44:31.462356+03
8465	3280	2	\N	2016-07-17 20:44:31.462356+03
8466	3281	2	\N	2016-07-17 20:44:31.462356+03
8467	3282	2	\N	2016-07-17 20:44:31.462356+03
8468	3283	2	\N	2016-07-17 20:44:31.462356+03
8469	3284	2	\N	2016-07-17 20:44:31.462356+03
8470	3285	2	\N	2016-07-17 20:44:31.462356+03
8471	3286	2	\N	2016-07-17 20:44:31.462356+03
8472	3287	2	\N	2016-07-17 20:44:31.462356+03
8473	3288	2	\N	2016-07-17 20:44:31.462356+03
8474	3289	2	\N	2016-07-17 20:44:31.462356+03
8475	3290	2	\N	2016-07-17 20:44:31.462356+03
8476	3291	2	\N	2016-07-17 20:44:31.462356+03
8477	3292	2	\N	2016-07-17 20:44:31.462356+03
8478	3293	2	\N	2016-07-17 20:44:31.462356+03
8479	3294	2	\N	2016-07-17 20:44:31.462356+03
8480	3295	2	\N	2016-07-17 20:44:31.462356+03
8481	3296	2	\N	2016-07-17 20:44:31.462356+03
8482	3297	2	\N	2016-07-17 20:44:31.462356+03
8483	3298	2	\N	2016-07-17 20:44:31.462356+03
8484	3299	2	\N	2016-07-17 20:44:31.462356+03
8485	3300	2	\N	2016-07-17 20:44:31.462356+03
8486	3301	2	\N	2016-07-17 20:44:31.462356+03
8487	3302	2	\N	2016-07-17 20:44:31.462356+03
8488	3303	2	\N	2016-07-17 20:44:31.462356+03
8489	3304	2	\N	2016-07-17 20:44:31.462356+03
8490	3305	2	\N	2016-07-17 20:44:31.462356+03
8491	3306	2	\N	2016-07-17 20:44:31.462356+03
8492	3307	2	\N	2016-07-17 20:44:31.462356+03
8493	3308	2	\N	2016-07-17 20:44:31.462356+03
8494	3309	2	\N	2016-07-17 20:44:31.462356+03
8495	3310	2	\N	2016-07-17 20:44:31.462356+03
8496	3311	2	\N	2016-07-17 20:44:31.462356+03
8497	3312	2	\N	2016-07-17 20:44:31.462356+03
8498	3313	2	\N	2016-07-17 20:44:31.462356+03
8499	3314	2	\N	2016-07-17 20:44:31.462356+03
8500	3315	2	\N	2016-07-17 20:44:31.462356+03
8501	3316	2	\N	2016-07-17 20:44:31.462356+03
8502	3317	2	\N	2016-07-17 20:44:31.462356+03
8503	3318	2	\N	2016-07-17 20:44:31.462356+03
8504	3319	2	\N	2016-07-17 20:44:31.462356+03
8505	3320	2	\N	2016-07-17 20:44:31.462356+03
8506	3321	2	\N	2016-07-17 20:44:31.462356+03
8507	3322	2	\N	2016-07-17 20:44:31.462356+03
8508	3323	2	\N	2016-07-17 20:44:31.462356+03
8509	3324	2	\N	2016-07-17 20:44:31.462356+03
8510	3325	2	\N	2016-07-17 20:44:31.462356+03
8511	3326	2	\N	2016-07-17 20:44:31.462356+03
8512	3327	2	\N	2016-07-17 20:44:31.462356+03
8513	3328	2	\N	2016-07-17 20:44:31.462356+03
8514	3329	2	\N	2016-07-17 20:44:31.462356+03
8515	3330	2	\N	2016-07-17 20:44:31.462356+03
8516	3331	2	\N	2016-07-17 20:44:31.462356+03
8517	3332	2	\N	2016-07-17 20:44:31.462356+03
8518	3333	2	\N	2016-07-17 20:44:31.462356+03
8519	3334	2	\N	2016-07-17 20:44:31.462356+03
8520	3335	2	\N	2016-07-17 20:44:31.462356+03
8521	3336	2	\N	2016-07-17 20:44:31.462356+03
8522	3337	2	\N	2016-07-17 20:44:31.462356+03
8523	3338	2	\N	2016-07-17 20:44:31.462356+03
8524	3339	2	\N	2016-07-17 20:44:31.462356+03
8525	3340	2	\N	2016-07-17 20:44:31.462356+03
8526	3341	2	\N	2016-07-17 20:44:31.462356+03
8527	3342	2	\N	2016-07-17 20:44:31.462356+03
8528	3343	2	\N	2016-07-17 20:44:31.462356+03
8529	3344	2	\N	2016-07-17 20:44:31.462356+03
8530	3345	2	\N	2016-07-17 20:44:31.462356+03
8531	3346	2	\N	2016-07-17 20:44:31.462356+03
8532	3347	2	\N	2016-07-17 20:44:31.462356+03
8533	3348	2	\N	2016-07-17 20:44:31.462356+03
8534	3349	2	\N	2016-07-17 20:44:31.462356+03
8535	3350	2	\N	2016-07-17 20:44:31.462356+03
8536	3351	2	\N	2016-07-17 20:44:31.462356+03
8537	3352	2	\N	2016-07-17 20:44:31.462356+03
8538	3353	2	\N	2016-07-17 20:44:31.462356+03
8539	3354	2	\N	2016-07-17 20:44:31.462356+03
8540	3355	2	\N	2016-07-17 20:44:31.462356+03
8541	3356	2	\N	2016-07-17 20:44:31.462356+03
8542	3357	2	\N	2016-07-17 20:44:31.462356+03
8543	3358	2	\N	2016-07-17 20:44:31.462356+03
8544	3359	2	\N	2016-07-17 20:44:31.462356+03
8545	3360	2	\N	2016-07-17 20:44:31.462356+03
8546	3361	2	\N	2016-07-17 20:44:31.462356+03
8547	3362	2	\N	2016-07-17 20:44:31.462356+03
8548	3363	2	\N	2016-07-17 20:44:31.462356+03
8549	3364	2	\N	2016-07-17 20:44:31.462356+03
8550	3365	2	\N	2016-07-17 20:44:31.462356+03
8551	3366	2	\N	2016-07-17 20:44:31.462356+03
8552	3367	2	\N	2016-07-17 20:44:31.462356+03
8553	3368	2	\N	2016-07-17 20:44:31.462356+03
8554	3369	2	\N	2016-07-17 20:44:31.462356+03
8555	3370	2	\N	2016-07-17 20:44:31.462356+03
8556	3371	2	\N	2016-07-17 20:44:31.462356+03
8557	3372	2	\N	2016-07-17 20:44:31.462356+03
8558	3181	2	\N	2016-07-17 20:44:31.462356+03
8559	3182	2	\N	2016-07-17 20:44:31.462356+03
8560	3183	2	\N	2016-07-17 20:44:31.462356+03
8561	3184	2	\N	2016-07-17 20:44:31.462356+03
8562	3185	2	\N	2016-07-17 20:44:31.462356+03
8563	3186	2	\N	2016-07-17 20:44:31.462356+03
8564	3187	2	\N	2016-07-17 20:44:31.462356+03
8565	3188	2	\N	2016-07-17 20:44:31.462356+03
8566	3189	2	\N	2016-07-17 20:44:31.462356+03
8567	3190	2	\N	2016-07-17 20:44:31.462356+03
8568	3191	2	\N	2016-07-17 20:44:31.462356+03
8569	3192	2	\N	2016-07-17 20:44:31.462356+03
8570	3193	2	\N	2016-07-17 20:44:31.462356+03
8571	3194	2	\N	2016-07-17 20:44:31.462356+03
8572	3195	2	\N	2016-07-17 20:44:31.462356+03
8573	3196	2	\N	2016-07-17 20:44:31.462356+03
8574	3197	2	\N	2016-07-17 20:44:31.462356+03
8575	3198	2	\N	2016-07-17 20:44:31.462356+03
8576	3199	2	\N	2016-07-17 20:44:31.462356+03
8577	3200	2	\N	2016-07-17 20:44:31.462356+03
8578	3201	2	\N	2016-07-17 20:44:31.462356+03
8579	3202	2	\N	2016-07-17 20:44:31.462356+03
8580	3203	2	\N	2016-07-17 20:44:31.462356+03
8581	3204	2	\N	2016-07-17 20:44:31.462356+03
8582	3205	2	\N	2016-07-17 20:44:31.462356+03
8583	3206	2	\N	2016-07-17 20:44:31.462356+03
8584	3207	2	\N	2016-07-17 20:44:31.462356+03
8585	3208	2	\N	2016-07-17 20:44:31.462356+03
8586	3209	2	\N	2016-07-17 20:44:31.462356+03
8587	3210	2	\N	2016-07-17 20:44:31.462356+03
8588	3211	2	\N	2016-07-17 20:44:31.462356+03
8589	3212	2	\N	2016-07-17 20:44:31.462356+03
8590	3213	2	\N	2016-07-17 20:44:31.462356+03
8591	3214	2	\N	2016-07-17 20:44:31.462356+03
8592	3215	2	\N	2016-07-17 20:44:31.462356+03
8593	3216	2	\N	2016-07-17 20:44:31.462356+03
8594	3217	2	\N	2016-07-17 20:44:31.462356+03
8595	3218	2	\N	2016-07-17 20:44:31.462356+03
8596	3219	2	\N	2016-07-17 20:44:31.462356+03
8597	3220	2	\N	2016-07-17 20:44:31.462356+03
8598	3221	2	\N	2016-07-17 20:44:31.462356+03
8599	3222	2	\N	2016-07-17 20:44:31.462356+03
8600	3223	2	\N	2016-07-17 20:44:31.462356+03
8601	3224	2	\N	2016-07-17 20:44:31.462356+03
8602	3225	2	\N	2016-07-17 20:44:31.462356+03
8603	3226	2	\N	2016-07-17 20:44:31.462356+03
8604	3227	2	\N	2016-07-17 20:44:31.462356+03
8605	3228	2	\N	2016-07-17 20:44:31.462356+03
8606	3229	2	\N	2016-07-17 20:44:31.462356+03
8607	3230	2	\N	2016-07-17 20:44:31.462356+03
8608	3231	2	\N	2016-07-17 20:44:31.462356+03
8609	3232	2	\N	2016-07-17 20:44:31.462356+03
8610	3233	2	\N	2016-07-17 20:44:31.462356+03
8611	3234	2	\N	2016-07-17 20:44:31.462356+03
8612	3235	2	\N	2016-07-17 20:44:31.462356+03
8613	3236	2	\N	2016-07-17 20:44:31.462356+03
8614	3237	2	\N	2016-07-17 20:44:31.462356+03
8615	3238	2	\N	2016-07-17 20:44:31.462356+03
8616	3239	2	\N	2016-07-17 20:44:31.462356+03
8617	3240	2	\N	2016-07-17 20:44:31.462356+03
8618	3241	2	\N	2016-07-17 20:44:31.462356+03
8619	3242	2	\N	2016-07-17 20:44:31.462356+03
8620	3243	2	\N	2016-07-17 20:44:31.462356+03
8621	3244	2	\N	2016-07-17 20:44:31.462356+03
8622	3245	2	\N	2016-07-17 20:44:31.462356+03
8623	3246	2	\N	2016-07-17 20:44:31.462356+03
8624	3247	2	\N	2016-07-17 20:44:31.462356+03
8625	3248	2	\N	2016-07-17 20:44:31.462356+03
8626	3249	2	\N	2016-07-17 20:44:31.462356+03
8627	3250	2	\N	2016-07-17 20:44:31.462356+03
8628	3251	2	\N	2016-07-17 20:44:31.462356+03
8629	3252	2	\N	2016-07-17 20:44:31.462356+03
8630	3253	2	\N	2016-07-17 20:44:31.462356+03
8631	3254	2	\N	2016-07-17 20:44:31.462356+03
8632	3255	2	\N	2016-07-17 20:44:31.462356+03
8633	3256	2	\N	2016-07-17 20:44:31.462356+03
8634	3257	2	\N	2016-07-17 20:44:31.462356+03
8635	3258	2	\N	2016-07-17 20:44:31.462356+03
8636	3259	2	\N	2016-07-17 20:44:31.462356+03
8637	3260	2	\N	2016-07-17 20:44:31.462356+03
8638	3261	2	\N	2016-07-17 20:44:31.462356+03
8639	3262	2	\N	2016-07-17 20:44:31.462356+03
8640	3263	2	\N	2016-07-17 20:44:31.462356+03
8641	3264	2	\N	2016-07-17 20:44:31.462356+03
8642	3265	2	\N	2016-07-17 20:44:31.462356+03
8643	3266	2	\N	2016-07-17 20:44:31.462356+03
8644	3267	2	\N	2016-07-17 20:44:31.462356+03
8645	3268	2	\N	2016-07-17 20:44:31.462356+03
8646	3269	2	\N	2016-07-17 20:44:31.462356+03
8647	3270	2	\N	2016-07-17 20:44:31.462356+03
8648	3271	2	\N	2016-07-17 20:44:31.462356+03
8649	3272	2	\N	2016-07-17 20:44:31.462356+03
8650	3273	2	\N	2016-07-17 20:44:31.462356+03
8651	3274	2	\N	2016-07-17 20:44:31.462356+03
8652	3275	2	\N	2016-07-17 20:44:31.462356+03
8653	3276	2	\N	2016-07-17 20:44:31.462356+03
8654	3277	2	\N	2016-07-17 20:44:31.462356+03
8655	3278	2	\N	2016-07-17 20:44:31.462356+03
8656	3279	2	\N	2016-07-17 20:44:31.462356+03
8657	3280	2	\N	2016-07-17 20:44:31.462356+03
8658	3281	2	\N	2016-07-17 20:44:31.462356+03
8659	3282	2	\N	2016-07-17 20:44:31.462356+03
8660	3283	2	\N	2016-07-17 20:44:31.462356+03
8661	3284	2	\N	2016-07-17 20:44:31.462356+03
8662	3285	2	\N	2016-07-17 20:44:31.462356+03
8663	3286	2	\N	2016-07-17 20:44:31.462356+03
8664	3287	2	\N	2016-07-17 20:44:31.462356+03
8665	3288	2	\N	2016-07-17 20:44:31.462356+03
8666	3289	2	\N	2016-07-17 20:44:31.462356+03
8667	3290	2	\N	2016-07-17 20:44:31.462356+03
8668	3291	2	\N	2016-07-17 20:44:31.462356+03
8669	3292	2	\N	2016-07-17 20:44:31.462356+03
8670	3293	2	\N	2016-07-17 20:44:31.462356+03
8671	3294	2	\N	2016-07-17 20:44:31.462356+03
8672	3295	2	\N	2016-07-17 20:44:31.462356+03
8673	3296	2	\N	2016-07-17 20:44:31.462356+03
8674	3297	2	\N	2016-07-17 20:44:31.462356+03
8675	3298	2	\N	2016-07-17 20:44:31.462356+03
8676	3299	2	\N	2016-07-17 20:44:31.462356+03
8677	3300	2	\N	2016-07-17 20:44:31.462356+03
8678	3301	2	\N	2016-07-17 20:44:31.462356+03
8679	3302	2	\N	2016-07-17 20:44:31.462356+03
8680	3303	2	\N	2016-07-17 20:44:31.462356+03
8681	3304	2	\N	2016-07-17 20:44:31.462356+03
8682	3305	2	\N	2016-07-17 20:44:31.462356+03
8683	3306	2	\N	2016-07-17 20:44:31.462356+03
8684	3307	2	\N	2016-07-17 20:44:31.462356+03
8685	3308	2	\N	2016-07-17 20:44:31.462356+03
8686	3309	2	\N	2016-07-17 20:44:31.462356+03
8687	3310	2	\N	2016-07-17 20:44:31.462356+03
8688	3311	2	\N	2016-07-17 20:44:31.462356+03
8689	3312	2	\N	2016-07-17 20:44:31.462356+03
8690	3313	2	\N	2016-07-17 20:44:31.462356+03
8691	3314	2	\N	2016-07-17 20:44:31.462356+03
8692	3315	2	\N	2016-07-17 20:44:31.462356+03
8693	3316	2	\N	2016-07-17 20:44:31.462356+03
8694	3317	2	\N	2016-07-17 20:44:31.462356+03
8695	3318	2	\N	2016-07-17 20:44:31.462356+03
8696	3319	2	\N	2016-07-17 20:44:31.462356+03
8697	3320	2	\N	2016-07-17 20:44:31.462356+03
8698	3321	2	\N	2016-07-17 20:44:31.462356+03
8699	3322	2	\N	2016-07-17 20:44:31.462356+03
8700	3323	2	\N	2016-07-17 20:44:31.462356+03
8701	3324	2	\N	2016-07-17 20:44:31.462356+03
8702	3325	2	\N	2016-07-17 20:44:31.462356+03
8703	3326	2	\N	2016-07-17 20:44:31.462356+03
8704	3327	2	\N	2016-07-17 20:44:31.462356+03
8705	3328	2	\N	2016-07-17 20:44:31.462356+03
8706	3329	2	\N	2016-07-17 20:44:31.462356+03
8707	3330	2	\N	2016-07-17 20:44:31.462356+03
8708	3331	2	\N	2016-07-17 20:44:31.462356+03
8709	3332	2	\N	2016-07-17 20:44:31.462356+03
8710	3333	2	\N	2016-07-17 20:44:31.462356+03
8711	3334	2	\N	2016-07-17 20:44:31.462356+03
8712	3335	2	\N	2016-07-17 20:44:31.462356+03
8713	3336	2	\N	2016-07-17 20:44:31.462356+03
8714	3337	2	\N	2016-07-17 20:44:31.462356+03
8715	3338	2	\N	2016-07-17 20:44:31.462356+03
8716	3339	2	\N	2016-07-17 20:44:31.462356+03
8717	3340	2	\N	2016-07-17 20:44:31.462356+03
8718	3341	2	\N	2016-07-17 20:44:31.462356+03
8719	3342	2	\N	2016-07-17 20:44:31.462356+03
8720	3343	2	\N	2016-07-17 20:44:31.462356+03
8721	3344	2	\N	2016-07-17 20:44:31.462356+03
8722	3345	2	\N	2016-07-17 20:44:31.462356+03
8723	3346	2	\N	2016-07-17 20:44:31.462356+03
8724	3347	2	\N	2016-07-17 20:44:31.462356+03
8725	3348	2	\N	2016-07-17 20:44:31.462356+03
8726	3349	2	\N	2016-07-17 20:44:31.462356+03
8727	3350	2	\N	2016-07-17 20:44:31.462356+03
8728	3351	2	\N	2016-07-17 20:44:31.462356+03
8729	3352	2	\N	2016-07-17 20:44:31.462356+03
8730	3353	2	\N	2016-07-17 20:44:31.462356+03
8731	3354	2	\N	2016-07-17 20:44:31.462356+03
8732	3355	2	\N	2016-07-17 20:44:31.462356+03
8733	3356	2	\N	2016-07-17 20:44:31.462356+03
8734	3357	2	\N	2016-07-17 20:44:31.462356+03
8735	3358	2	\N	2016-07-17 20:44:31.462356+03
8736	3359	2	\N	2016-07-17 20:44:31.462356+03
8737	3360	2	\N	2016-07-17 20:44:31.462356+03
8738	3361	2	\N	2016-07-17 20:44:31.462356+03
8739	3362	2	\N	2016-07-17 20:44:31.462356+03
8740	3363	2	\N	2016-07-17 20:44:31.462356+03
8741	3364	2	\N	2016-07-17 20:44:31.462356+03
8742	3365	2	\N	2016-07-17 20:44:31.462356+03
8743	3366	2	\N	2016-07-17 20:44:31.462356+03
8744	3367	2	\N	2016-07-17 20:44:31.462356+03
8745	3368	2	\N	2016-07-17 20:44:31.462356+03
8746	3369	2	\N	2016-07-17 20:44:31.462356+03
8747	3370	2	\N	2016-07-17 20:44:31.462356+03
8748	3371	2	\N	2016-07-17 20:44:31.462356+03
8749	3372	2	\N	2016-07-17 20:44:31.462356+03
8750	3373	2	\N	2016-07-17 20:46:12.319426+03
8751	3374	2	\N	2016-07-17 20:46:26.521028+03
8752	3375	2	\N	2016-07-17 20:46:48.023232+03
8753	3376	2	\N	2016-07-17 20:46:48.023232+03
8754	3377	2	\N	2016-07-17 20:46:48.023232+03
8755	3378	2	\N	2016-07-17 20:46:48.023232+03
8756	3379	2	\N	2016-07-17 20:46:48.023232+03
8757	3380	2	\N	2016-07-17 20:46:48.023232+03
8758	3381	2	\N	2016-07-17 20:46:48.023232+03
8759	3382	2	\N	2016-07-17 20:46:48.023232+03
8760	3383	2	\N	2016-07-17 20:46:48.023232+03
8761	3384	2	\N	2016-07-17 20:46:48.023232+03
8762	3385	2	\N	2016-07-17 20:46:48.023232+03
8763	3386	2	\N	2016-07-17 20:46:48.023232+03
8764	3387	2	\N	2016-07-17 20:46:48.023232+03
8765	3388	2	\N	2016-07-17 20:46:48.023232+03
8766	3389	2	\N	2016-07-17 20:46:48.023232+03
8767	3390	2	\N	2016-07-17 20:46:48.023232+03
8768	3391	2	\N	2016-07-17 20:46:48.023232+03
8769	3392	2	\N	2016-07-17 20:46:48.023232+03
8770	3393	2	\N	2016-07-17 20:46:48.023232+03
8771	3394	2	\N	2016-07-17 20:46:48.023232+03
8772	3395	2	\N	2016-07-17 20:46:48.023232+03
8773	3396	2	\N	2016-07-17 20:46:48.023232+03
8774	3397	2	\N	2016-07-17 20:46:48.023232+03
8775	3398	2	\N	2016-07-17 20:46:48.023232+03
8776	3399	2	\N	2016-07-17 20:46:48.023232+03
8777	3400	2	\N	2016-07-17 20:46:48.023232+03
8778	3401	2	\N	2016-07-17 20:46:48.023232+03
8779	3402	2	\N	2016-07-17 20:46:48.023232+03
8780	3403	2	\N	2016-07-17 20:46:48.023232+03
8781	3404	2	\N	2016-07-17 20:46:48.023232+03
8782	3405	2	\N	2016-07-17 20:46:48.023232+03
8783	3406	2	\N	2016-07-17 20:46:48.023232+03
8784	3407	2	\N	2016-07-17 20:46:48.023232+03
8785	3408	2	\N	2016-07-17 20:46:48.023232+03
8786	3409	2	\N	2016-07-17 20:46:48.023232+03
8787	3410	2	\N	2016-07-17 20:46:48.023232+03
8788	3411	2	\N	2016-07-17 20:46:48.023232+03
8789	3412	2	\N	2016-07-17 20:46:48.023232+03
8790	3413	2	\N	2016-07-17 20:46:48.023232+03
8791	3414	2	\N	2016-07-17 20:46:48.023232+03
8792	3415	2	\N	2016-07-17 20:46:48.023232+03
8793	3416	2	\N	2016-07-17 20:46:48.023232+03
8794	3417	2	\N	2016-07-17 20:46:48.023232+03
8795	3418	2	\N	2016-07-17 20:46:48.023232+03
8796	3419	2	\N	2016-07-17 20:46:48.023232+03
8797	3420	2	\N	2016-07-17 20:46:48.023232+03
8798	3421	2	\N	2016-07-17 20:46:48.023232+03
8799	3422	2	\N	2016-07-17 20:46:48.023232+03
8800	3423	2	\N	2016-07-17 20:46:48.023232+03
8801	3424	2	\N	2016-07-17 20:46:48.023232+03
8802	3425	2	\N	2016-07-17 20:46:48.023232+03
8803	3426	2	\N	2016-07-17 20:46:48.023232+03
8804	3427	2	\N	2016-07-17 20:46:48.023232+03
8805	3428	2	\N	2016-07-17 20:46:48.023232+03
8806	3429	2	\N	2016-07-17 20:46:48.023232+03
8807	3430	2	\N	2016-07-17 20:46:48.023232+03
8808	3431	2	\N	2016-07-17 20:46:48.023232+03
8809	3432	2	\N	2016-07-17 20:46:48.023232+03
8810	3433	2	\N	2016-07-17 20:46:48.023232+03
8811	3434	2	\N	2016-07-17 20:46:48.023232+03
8812	3435	2	\N	2016-07-17 20:46:48.023232+03
8813	3436	2	\N	2016-07-17 20:46:48.023232+03
8814	3437	2	\N	2016-07-17 20:46:48.023232+03
8815	3438	2	\N	2016-07-17 20:46:48.023232+03
8816	3439	2	\N	2016-07-17 20:46:48.023232+03
8817	3440	2	\N	2016-07-17 20:46:48.023232+03
8818	3441	2	\N	2016-07-17 20:46:48.023232+03
8819	3442	2	\N	2016-07-17 20:46:48.023232+03
8820	3443	2	\N	2016-07-17 20:46:48.023232+03
8821	3444	2	\N	2016-07-17 20:46:48.023232+03
8822	3445	2	\N	2016-07-17 20:46:48.023232+03
8823	3446	2	\N	2016-07-17 20:46:48.023232+03
8824	3447	2	\N	2016-07-17 20:46:48.023232+03
8825	3448	2	\N	2016-07-17 20:46:48.023232+03
8826	3449	2	\N	2016-07-17 20:46:48.023232+03
8827	3450	2	\N	2016-07-17 20:46:48.023232+03
8828	3451	2	\N	2016-07-17 20:46:48.023232+03
8829	3452	2	\N	2016-07-17 20:46:48.023232+03
8830	3453	2	\N	2016-07-17 20:46:48.023232+03
8831	3454	2	\N	2016-07-17 20:46:48.023232+03
8832	3455	2	\N	2016-07-17 20:46:48.023232+03
8833	3456	2	\N	2016-07-17 20:46:48.023232+03
8834	3457	2	\N	2016-07-17 20:46:48.023232+03
8835	3458	2	\N	2016-07-17 20:46:48.023232+03
8836	3459	2	\N	2016-07-17 20:46:48.023232+03
8837	3460	2	\N	2016-07-17 20:46:48.023232+03
8838	3461	2	\N	2016-07-17 20:46:48.023232+03
8839	3462	2	\N	2016-07-17 20:46:48.023232+03
8840	3463	2	\N	2016-07-17 20:46:48.023232+03
8841	3464	2	\N	2016-07-17 20:46:48.023232+03
8842	3465	2	\N	2016-07-17 20:46:48.023232+03
8843	3466	2	\N	2016-07-17 20:46:48.023232+03
8844	3467	2	\N	2016-07-17 20:46:48.023232+03
8845	3468	2	\N	2016-07-17 20:46:48.023232+03
8846	3469	2	\N	2016-07-17 20:46:48.023232+03
8847	3470	2	\N	2016-07-17 20:46:48.023232+03
8848	3471	2	\N	2016-07-17 20:46:48.023232+03
8849	3472	2	\N	2016-07-17 20:46:48.023232+03
8850	3473	2	\N	2016-07-17 20:46:48.023232+03
8851	3474	2	\N	2016-07-17 20:46:48.023232+03
8852	3475	2	\N	2016-07-17 20:46:48.023232+03
8853	3476	2	\N	2016-07-17 20:46:48.023232+03
8854	3477	2	\N	2016-07-17 20:46:48.023232+03
8855	3478	2	\N	2016-07-17 20:46:48.023232+03
8856	3479	2	\N	2016-07-17 20:46:48.023232+03
8857	3480	2	\N	2016-07-17 20:46:48.023232+03
8858	3481	2	\N	2016-07-17 20:46:48.023232+03
8859	3482	2	\N	2016-07-17 20:46:48.023232+03
8860	3483	2	\N	2016-07-17 20:46:48.023232+03
8861	3484	2	\N	2016-07-17 20:46:48.023232+03
8862	3485	2	\N	2016-07-17 20:46:48.023232+03
8863	3486	2	\N	2016-07-17 20:46:48.023232+03
8864	3487	2	\N	2016-07-17 20:46:48.023232+03
8865	3488	2	\N	2016-07-17 20:46:48.023232+03
8866	3489	2	\N	2016-07-17 20:46:48.023232+03
8867	3490	2	\N	2016-07-17 20:46:48.023232+03
8868	3491	2	\N	2016-07-17 20:46:48.023232+03
8869	3492	2	\N	2016-07-17 20:46:48.023232+03
8870	3493	2	\N	2016-07-17 20:46:48.023232+03
8871	3494	2	\N	2016-07-17 20:46:48.023232+03
8872	3495	2	\N	2016-07-17 20:46:48.023232+03
8873	3496	2	\N	2016-07-17 20:46:48.023232+03
8874	3497	2	\N	2016-07-17 20:46:48.023232+03
8875	3498	2	\N	2016-07-17 20:46:48.023232+03
8876	3499	2	\N	2016-07-17 20:46:48.023232+03
8877	3500	2	\N	2016-07-17 20:46:48.023232+03
8878	3501	2	\N	2016-07-17 20:46:48.023232+03
8879	3502	2	\N	2016-07-17 20:46:48.023232+03
8880	3503	2	\N	2016-07-17 20:46:48.023232+03
8881	3504	2	\N	2016-07-17 20:46:48.023232+03
8882	3505	2	\N	2016-07-17 20:46:48.023232+03
8883	3506	2	\N	2016-07-17 20:46:48.023232+03
8884	3507	2	\N	2016-07-17 20:46:48.023232+03
8885	3508	2	\N	2016-07-17 20:46:48.023232+03
8886	3509	2	\N	2016-07-17 20:46:48.023232+03
8887	3510	2	\N	2016-07-17 20:46:48.023232+03
8888	3511	2	\N	2016-07-17 20:46:48.023232+03
8889	3512	2	\N	2016-07-17 20:46:48.023232+03
8890	3513	2	\N	2016-07-17 20:46:48.023232+03
8891	3514	2	\N	2016-07-17 20:46:48.023232+03
8892	3515	2	\N	2016-07-17 20:46:48.023232+03
8893	3516	2	\N	2016-07-17 20:46:48.023232+03
8894	3517	2	\N	2016-07-17 20:46:48.023232+03
8895	3518	2	\N	2016-07-17 20:46:48.023232+03
8896	3519	2	\N	2016-07-17 20:46:48.023232+03
8897	3520	2	\N	2016-07-17 20:46:48.023232+03
8898	3521	2	\N	2016-07-17 20:46:48.023232+03
8899	3522	2	\N	2016-07-17 20:46:48.023232+03
8900	3523	2	\N	2016-07-17 20:46:48.023232+03
8901	3524	2	\N	2016-07-17 20:46:48.023232+03
8902	3525	2	\N	2016-07-17 20:46:48.023232+03
8903	3526	2	\N	2016-07-17 20:46:48.023232+03
8904	3527	2	\N	2016-07-17 20:46:48.023232+03
8905	3528	2	\N	2016-07-17 20:46:48.023232+03
8906	3529	2	\N	2016-07-17 20:46:48.023232+03
8907	3530	2	\N	2016-07-17 20:46:48.023232+03
8908	3531	2	\N	2016-07-17 20:46:48.023232+03
8909	3532	2	\N	2016-07-17 20:46:48.023232+03
8910	3533	2	\N	2016-07-17 20:46:48.023232+03
8911	3534	2	\N	2016-07-17 20:46:48.023232+03
8912	3535	2	\N	2016-07-17 20:46:48.023232+03
8913	3536	2	\N	2016-07-17 20:46:48.023232+03
8914	3537	2	\N	2016-07-17 20:46:48.023232+03
8915	3538	2	\N	2016-07-17 20:46:48.023232+03
8916	3539	2	\N	2016-07-17 20:46:48.023232+03
8917	3540	2	\N	2016-07-17 20:46:48.023232+03
8918	3541	2	\N	2016-07-17 20:46:48.023232+03
8919	3542	2	\N	2016-07-17 20:46:48.023232+03
8920	3543	2	\N	2016-07-17 20:46:48.023232+03
8921	3544	2	\N	2016-07-17 20:46:48.023232+03
8922	3545	2	\N	2016-07-17 20:46:48.023232+03
8923	3546	2	\N	2016-07-17 20:46:48.023232+03
8924	3547	2	\N	2016-07-17 20:46:48.023232+03
8925	3548	2	\N	2016-07-17 20:46:48.023232+03
8926	3549	2	\N	2016-07-17 20:46:48.023232+03
8927	3550	2	\N	2016-07-17 20:46:48.023232+03
8928	3551	2	\N	2016-07-17 20:46:48.023232+03
8929	3552	2	\N	2016-07-17 20:46:48.023232+03
8930	3553	2	\N	2016-07-17 20:46:48.023232+03
8931	3554	2	\N	2016-07-17 20:46:48.023232+03
8932	3555	2	\N	2016-07-17 20:46:48.023232+03
8933	3556	2	\N	2016-07-17 20:46:48.023232+03
8934	3557	2	\N	2016-07-17 20:46:48.023232+03
8935	3558	2	\N	2016-07-17 20:46:48.023232+03
8936	3559	2	\N	2016-07-17 20:46:48.023232+03
8937	3560	2	\N	2016-07-17 20:46:48.023232+03
8938	3561	2	\N	2016-07-17 20:46:48.023232+03
8939	3562	2	\N	2016-07-17 20:46:48.023232+03
8940	3563	2	\N	2016-07-17 20:46:48.023232+03
8941	3564	2	\N	2016-07-17 20:46:48.023232+03
8942	3565	2	\N	2016-07-17 20:46:48.023232+03
8943	3566	2	\N	2016-07-17 20:46:48.023232+03
8944	3375	2	\N	2016-07-17 20:46:48.023232+03
8945	3376	2	\N	2016-07-17 20:46:48.023232+03
8946	3377	2	\N	2016-07-17 20:46:48.023232+03
8947	3378	2	\N	2016-07-17 20:46:48.023232+03
8948	3379	2	\N	2016-07-17 20:46:48.023232+03
8949	3380	2	\N	2016-07-17 20:46:48.023232+03
8950	3381	2	\N	2016-07-17 20:46:48.023232+03
8951	3382	2	\N	2016-07-17 20:46:48.023232+03
8952	3383	2	\N	2016-07-17 20:46:48.023232+03
8953	3384	2	\N	2016-07-17 20:46:48.023232+03
8954	3385	2	\N	2016-07-17 20:46:48.023232+03
8955	3386	2	\N	2016-07-17 20:46:48.023232+03
8956	3387	2	\N	2016-07-17 20:46:48.023232+03
8957	3388	2	\N	2016-07-17 20:46:48.023232+03
8958	3389	2	\N	2016-07-17 20:46:48.023232+03
8959	3390	2	\N	2016-07-17 20:46:48.023232+03
8960	3391	2	\N	2016-07-17 20:46:48.023232+03
8961	3392	2	\N	2016-07-17 20:46:48.023232+03
8962	3393	2	\N	2016-07-17 20:46:48.023232+03
8963	3394	2	\N	2016-07-17 20:46:48.023232+03
8964	3395	2	\N	2016-07-17 20:46:48.023232+03
8965	3396	2	\N	2016-07-17 20:46:48.023232+03
8966	3397	2	\N	2016-07-17 20:46:48.023232+03
8967	3398	2	\N	2016-07-17 20:46:48.023232+03
8968	3399	2	\N	2016-07-17 20:46:48.023232+03
8969	3400	2	\N	2016-07-17 20:46:48.023232+03
8970	3401	2	\N	2016-07-17 20:46:48.023232+03
8971	3402	2	\N	2016-07-17 20:46:48.023232+03
8972	3403	2	\N	2016-07-17 20:46:48.023232+03
8973	3404	2	\N	2016-07-17 20:46:48.023232+03
8974	3405	2	\N	2016-07-17 20:46:48.023232+03
8975	3406	2	\N	2016-07-17 20:46:48.023232+03
8976	3407	2	\N	2016-07-17 20:46:48.023232+03
8977	3408	2	\N	2016-07-17 20:46:48.023232+03
8978	3409	2	\N	2016-07-17 20:46:48.023232+03
8979	3410	2	\N	2016-07-17 20:46:48.023232+03
8980	3411	2	\N	2016-07-17 20:46:48.023232+03
8981	3412	2	\N	2016-07-17 20:46:48.023232+03
8982	3413	2	\N	2016-07-17 20:46:48.023232+03
8983	3414	2	\N	2016-07-17 20:46:48.023232+03
8984	3415	2	\N	2016-07-17 20:46:48.023232+03
8985	3416	2	\N	2016-07-17 20:46:48.023232+03
8986	3417	2	\N	2016-07-17 20:46:48.023232+03
8987	3418	2	\N	2016-07-17 20:46:48.023232+03
8988	3419	2	\N	2016-07-17 20:46:48.023232+03
8989	3420	2	\N	2016-07-17 20:46:48.023232+03
8990	3421	2	\N	2016-07-17 20:46:48.023232+03
8991	3422	2	\N	2016-07-17 20:46:48.023232+03
8992	3423	2	\N	2016-07-17 20:46:48.023232+03
8993	3424	2	\N	2016-07-17 20:46:48.023232+03
8994	3425	2	\N	2016-07-17 20:46:48.023232+03
8995	3426	2	\N	2016-07-17 20:46:48.023232+03
8996	3427	2	\N	2016-07-17 20:46:48.023232+03
8997	3428	2	\N	2016-07-17 20:46:48.023232+03
8998	3429	2	\N	2016-07-17 20:46:48.023232+03
8999	3430	2	\N	2016-07-17 20:46:48.023232+03
9000	3431	2	\N	2016-07-17 20:46:48.023232+03
9001	3432	2	\N	2016-07-17 20:46:48.023232+03
9002	3433	2	\N	2016-07-17 20:46:48.023232+03
9003	3434	2	\N	2016-07-17 20:46:48.023232+03
9004	3435	2	\N	2016-07-17 20:46:48.023232+03
9005	3436	2	\N	2016-07-17 20:46:48.023232+03
9006	3437	2	\N	2016-07-17 20:46:48.023232+03
9007	3438	2	\N	2016-07-17 20:46:48.023232+03
9008	3439	2	\N	2016-07-17 20:46:48.023232+03
9009	3440	2	\N	2016-07-17 20:46:48.023232+03
9010	3441	2	\N	2016-07-17 20:46:48.023232+03
9011	3442	2	\N	2016-07-17 20:46:48.023232+03
9012	3443	2	\N	2016-07-17 20:46:48.023232+03
9013	3444	2	\N	2016-07-17 20:46:48.023232+03
9014	3445	2	\N	2016-07-17 20:46:48.023232+03
9015	3446	2	\N	2016-07-17 20:46:48.023232+03
9016	3447	2	\N	2016-07-17 20:46:48.023232+03
9017	3448	2	\N	2016-07-17 20:46:48.023232+03
9018	3449	2	\N	2016-07-17 20:46:48.023232+03
9019	3450	2	\N	2016-07-17 20:46:48.023232+03
9020	3451	2	\N	2016-07-17 20:46:48.023232+03
9021	3452	2	\N	2016-07-17 20:46:48.023232+03
9022	3453	2	\N	2016-07-17 20:46:48.023232+03
9023	3454	2	\N	2016-07-17 20:46:48.023232+03
9024	3455	2	\N	2016-07-17 20:46:48.023232+03
9025	3456	2	\N	2016-07-17 20:46:48.023232+03
9026	3457	2	\N	2016-07-17 20:46:48.023232+03
9027	3458	2	\N	2016-07-17 20:46:48.023232+03
9028	3459	2	\N	2016-07-17 20:46:48.023232+03
9029	3460	2	\N	2016-07-17 20:46:48.023232+03
9030	3461	2	\N	2016-07-17 20:46:48.023232+03
9031	3462	2	\N	2016-07-17 20:46:48.023232+03
9032	3463	2	\N	2016-07-17 20:46:48.023232+03
9033	3464	2	\N	2016-07-17 20:46:48.023232+03
9034	3465	2	\N	2016-07-17 20:46:48.023232+03
9035	3466	2	\N	2016-07-17 20:46:48.023232+03
9036	3467	2	\N	2016-07-17 20:46:48.023232+03
9037	3468	2	\N	2016-07-17 20:46:48.023232+03
9038	3469	2	\N	2016-07-17 20:46:48.023232+03
9039	3470	2	\N	2016-07-17 20:46:48.023232+03
9040	3471	2	\N	2016-07-17 20:46:48.023232+03
9041	3472	2	\N	2016-07-17 20:46:48.023232+03
9042	3473	2	\N	2016-07-17 20:46:48.023232+03
9043	3474	2	\N	2016-07-17 20:46:48.023232+03
9044	3475	2	\N	2016-07-17 20:46:48.023232+03
9045	3476	2	\N	2016-07-17 20:46:48.023232+03
9046	3477	2	\N	2016-07-17 20:46:48.023232+03
9047	3478	2	\N	2016-07-17 20:46:48.023232+03
9048	3479	2	\N	2016-07-17 20:46:48.023232+03
9049	3480	2	\N	2016-07-17 20:46:48.023232+03
9050	3481	2	\N	2016-07-17 20:46:48.023232+03
9051	3482	2	\N	2016-07-17 20:46:48.023232+03
9052	3483	2	\N	2016-07-17 20:46:48.023232+03
9053	3484	2	\N	2016-07-17 20:46:48.023232+03
9054	3485	2	\N	2016-07-17 20:46:48.023232+03
9055	3486	2	\N	2016-07-17 20:46:48.023232+03
9056	3487	2	\N	2016-07-17 20:46:48.023232+03
9057	3488	2	\N	2016-07-17 20:46:48.023232+03
9058	3489	2	\N	2016-07-17 20:46:48.023232+03
9059	3490	2	\N	2016-07-17 20:46:48.023232+03
9060	3491	2	\N	2016-07-17 20:46:48.023232+03
9061	3492	2	\N	2016-07-17 20:46:48.023232+03
9062	3493	2	\N	2016-07-17 20:46:48.023232+03
9063	3494	2	\N	2016-07-17 20:46:48.023232+03
9064	3495	2	\N	2016-07-17 20:46:48.023232+03
9065	3496	2	\N	2016-07-17 20:46:48.023232+03
9066	3497	2	\N	2016-07-17 20:46:48.023232+03
9067	3498	2	\N	2016-07-17 20:46:48.023232+03
9068	3499	2	\N	2016-07-17 20:46:48.023232+03
9069	3500	2	\N	2016-07-17 20:46:48.023232+03
9070	3501	2	\N	2016-07-17 20:46:48.023232+03
9071	3502	2	\N	2016-07-17 20:46:48.023232+03
9072	3503	2	\N	2016-07-17 20:46:48.023232+03
9073	3504	2	\N	2016-07-17 20:46:48.023232+03
9074	3505	2	\N	2016-07-17 20:46:48.023232+03
9075	3506	2	\N	2016-07-17 20:46:48.023232+03
9076	3507	2	\N	2016-07-17 20:46:48.023232+03
9077	3508	2	\N	2016-07-17 20:46:48.023232+03
9078	3509	2	\N	2016-07-17 20:46:48.023232+03
9079	3510	2	\N	2016-07-17 20:46:48.023232+03
9080	3511	2	\N	2016-07-17 20:46:48.023232+03
9081	3512	2	\N	2016-07-17 20:46:48.023232+03
9082	3513	2	\N	2016-07-17 20:46:48.023232+03
9083	3514	2	\N	2016-07-17 20:46:48.023232+03
9084	3515	2	\N	2016-07-17 20:46:48.023232+03
9085	3516	2	\N	2016-07-17 20:46:48.023232+03
9086	3517	2	\N	2016-07-17 20:46:48.023232+03
9087	3518	2	\N	2016-07-17 20:46:48.023232+03
9088	3519	2	\N	2016-07-17 20:46:48.023232+03
9089	3520	2	\N	2016-07-17 20:46:48.023232+03
9090	3521	2	\N	2016-07-17 20:46:48.023232+03
9091	3522	2	\N	2016-07-17 20:46:48.023232+03
9092	3523	2	\N	2016-07-17 20:46:48.023232+03
9093	3524	2	\N	2016-07-17 20:46:48.023232+03
9094	3525	2	\N	2016-07-17 20:46:48.023232+03
9095	3526	2	\N	2016-07-17 20:46:48.023232+03
9096	3527	2	\N	2016-07-17 20:46:48.023232+03
9097	3528	2	\N	2016-07-17 20:46:48.023232+03
9098	3529	2	\N	2016-07-17 20:46:48.023232+03
9099	3530	2	\N	2016-07-17 20:46:48.023232+03
9100	3531	2	\N	2016-07-17 20:46:48.023232+03
9101	3532	2	\N	2016-07-17 20:46:48.023232+03
9102	3533	2	\N	2016-07-17 20:46:48.023232+03
9103	3534	2	\N	2016-07-17 20:46:48.023232+03
9104	3535	2	\N	2016-07-17 20:46:48.023232+03
9105	3536	2	\N	2016-07-17 20:46:48.023232+03
9106	3537	2	\N	2016-07-17 20:46:48.023232+03
9107	3538	2	\N	2016-07-17 20:46:48.023232+03
9108	3539	2	\N	2016-07-17 20:46:48.023232+03
9109	3540	2	\N	2016-07-17 20:46:48.023232+03
9110	3541	2	\N	2016-07-17 20:46:48.023232+03
9111	3542	2	\N	2016-07-17 20:46:48.023232+03
9112	3543	2	\N	2016-07-17 20:46:48.023232+03
9113	3544	2	\N	2016-07-17 20:46:48.023232+03
9114	3545	2	\N	2016-07-17 20:46:48.023232+03
9115	3546	2	\N	2016-07-17 20:46:48.023232+03
9116	3547	2	\N	2016-07-17 20:46:48.023232+03
9117	3548	2	\N	2016-07-17 20:46:48.023232+03
9118	3549	2	\N	2016-07-17 20:46:48.023232+03
9119	3550	2	\N	2016-07-17 20:46:48.023232+03
9120	3551	2	\N	2016-07-17 20:46:48.023232+03
9121	3552	2	\N	2016-07-17 20:46:48.023232+03
9122	3553	2	\N	2016-07-17 20:46:48.023232+03
9123	3554	2	\N	2016-07-17 20:46:48.023232+03
9124	3555	2	\N	2016-07-17 20:46:48.023232+03
9125	3556	2	\N	2016-07-17 20:46:48.023232+03
9126	3557	2	\N	2016-07-17 20:46:48.023232+03
9127	3558	2	\N	2016-07-17 20:46:48.023232+03
9128	3559	2	\N	2016-07-17 20:46:48.023232+03
9129	3560	2	\N	2016-07-17 20:46:48.023232+03
9130	3561	2	\N	2016-07-17 20:46:48.023232+03
9131	3562	2	\N	2016-07-17 20:46:48.023232+03
9132	3563	2	\N	2016-07-17 20:46:48.023232+03
9133	3564	2	\N	2016-07-17 20:46:48.023232+03
9134	3565	2	\N	2016-07-17 20:46:48.023232+03
9135	3566	2	\N	2016-07-17 20:46:48.023232+03
9136	2599	2	\N	2016-07-17 20:48:04.661938+03
9137	3570	2	\N	2016-07-17 21:02:17.675936+03
9138	3571	2	\N	2016-07-17 21:02:17.675936+03
9139	3572	2	\N	2016-07-17 21:02:17.675936+03
9140	3570	2	\N	2016-07-17 21:02:17.675936+03
9141	3571	2	\N	2016-07-17 21:02:17.675936+03
9142	3572	2	\N	2016-07-17 21:02:17.675936+03
9143	3573	2	\N	2016-07-17 21:05:22.570637+03
9144	3574	2	\N	2016-07-17 21:05:22.570637+03
9145	3575	2	\N	2016-07-17 21:05:22.570637+03
9146	3576	2	\N	2016-07-17 21:08:27.561499+03
9147	3577	2	\N	2016-07-17 21:08:27.561499+03
9148	3578	2	\N	2016-07-17 21:08:27.561499+03
9149	3576	2	\N	2016-07-17 21:08:27.561499+03
9150	3577	2	\N	2016-07-17 21:08:27.561499+03
9151	3578	2	\N	2016-07-17 21:08:27.561499+03
9152	3582	2	\N	2016-07-17 21:12:05.642895+03
9153	3583	2	\N	2016-07-17 21:12:05.642895+03
9154	3584	2	\N	2016-07-17 21:12:05.642895+03
9155	3582	2	\N	2016-07-17 21:12:05.642895+03
9156	3583	2	\N	2016-07-17 21:12:05.642895+03
9157	3584	2	\N	2016-07-17 21:12:05.642895+03
9158	3585	2	\N	2016-07-17 21:12:21.726146+03
9159	3586	2	\N	2016-07-17 21:12:21.726146+03
9160	3587	2	\N	2016-07-17 21:12:21.726146+03
9161	3585	2	\N	2016-07-17 21:12:21.726146+03
9162	3586	2	\N	2016-07-17 21:12:21.726146+03
9163	3587	2	\N	2016-07-17 21:12:21.726146+03
9164	3588	2	\N	2016-07-17 21:17:10.901576+03
9165	3589	2	\N	2016-07-17 21:17:10.901576+03
9166	3590	2	\N	2016-07-17 21:17:10.901576+03
9167	3588	2	\N	2016-07-17 21:17:10.901576+03
9168	3589	2	\N	2016-07-17 21:17:10.901576+03
9169	3590	2	\N	2016-07-17 21:17:10.901576+03
9171	3592	2	\N	2016-07-17 21:21:20.394001+03
9172	3592	2	\N	2016-07-17 21:21:20.394001+03
9173	3593	2	\N	2016-07-17 21:29:08.916392+03
9174	3593	2	\N	2016-07-17 21:29:08.916392+03
9175	3594	2	\N	2016-07-17 21:30:30.908087+03
9176	3594	2	\N	2016-07-17 21:30:30.908087+03
9178	3596	2	\N	2016-07-17 21:33:36.141508+03
9179	3596	2	\N	2016-07-17 21:33:36.141508+03
9184	3605	2	\N	2016-07-17 22:25:59.358206+03
9185	3605	2	\N	2016-07-17 22:25:59.358206+03
9186	3607	2	\N	2016-07-17 22:31:21.662461+03
9187	3607	2	\N	2016-07-17 22:31:21.662461+03
9188	3608	2	\N	2016-07-17 22:32:13.581054+03
9189	3608	2	\N	2016-07-17 22:32:13.581054+03
9190	3609	2	\N	2016-07-17 22:32:27.009091+03
9191	3609	2	\N	2016-07-17 22:32:27.009091+03
9192	3610	2	\N	2016-07-17 22:33:37.722643+03
9193	3610	2	\N	2016-07-17 22:33:37.722643+03
9194	3612	2	\N	2016-07-17 22:35:13.336053+03
9195	3612	2	\N	2016-07-17 22:35:13.336053+03
9196	3613	2	\N	2016-07-17 22:35:45.25705+03
9197	3614	2	\N	2016-07-17 22:35:45.25705+03
9198	3613	2	\N	2016-07-17 22:35:45.25705+03
9199	3614	2	\N	2016-07-17 22:35:45.25705+03
9201	3616	2	\N	2016-07-17 22:36:08.778333+03
9202	3617	2	\N	2016-07-17 22:36:08.778333+03
9203	3618	2	\N	2016-07-17 22:36:08.778333+03
9204	3616	2	\N	2016-07-17 22:36:08.778333+03
9205	3617	2	\N	2016-07-17 22:36:08.778333+03
9206	3618	2	\N	2016-07-17 22:36:08.778333+03
9208	3620	2	\N	2016-07-18 12:29:57.722776+03
9209	3621	2	\N	2016-07-18 12:30:24.354102+03
9210	3622	2	\N	2016-07-18 12:34:29.004462+03
9211	3623	2	\N	2016-07-18 12:41:00.617011+03
9212	3623	2	\N	2016-07-18 12:43:21.147788+03
9213	3622	2	\N	2016-07-18 12:43:38.756454+03
9214	3624	2	\N	2016-07-18 12:44:26.407128+03
9217	3624	2	\N	2016-07-18 12:46:52.495098+03
9218	1922	2	\N	2016-07-18 12:47:32.820453+03
9219	1983	2	\N	2016-07-18 12:47:54.267133+03
9220	1962	2	\N	2016-07-18 12:48:41.656842+03
9221	1932	2	\N	2016-07-18 12:54:57.158012+03
9222	1933	2	\N	2016-07-18 12:55:17.340595+03
9223	1939	2	\N	2016-07-18 12:58:10.209253+03
9224	3627	2	\N	2016-07-18 13:00:13.242889+03
9225	3627	2	\N	2016-07-18 13:01:09.417903+03
9226	1940	2	\N	2016-07-18 13:02:43.509957+03
9227	3628	2	\N	2016-07-18 13:08:25.073278+03
9228	1958	2	\N	2016-07-18 13:08:44.410771+03
9229	1958	2	\N	2016-07-18 13:09:04.744269+03
9230	1958	2	\N	2016-07-18 13:12:03.429991+03
9231	3629	2	\N	2016-07-18 13:19:47.090059+03
9232	3630	2	\N	2016-07-18 13:21:53.332214+03
9233	3631	2	\N	2016-07-18 13:22:01.281437+03
9234	3632	2	\N	2016-07-18 13:22:21.806846+03
9235	3633	2	\N	2016-07-18 13:22:28.357783+03
9236	2912	2	\N	2016-07-18 14:12:15.22966+03
9238	3639	2	\N	2016-07-18 14:13:21.815056+03
9239	3640	2	\N	2016-07-18 14:13:28.291542+03
9240	2887	2	\N	2016-07-18 14:51:59.504724+03
9242	3642	2	\N	2016-07-18 15:27:05.35429+03
9243	3642	2	\N	2016-07-18 15:27:05.35429+03
9244	3643	2	\N	2016-07-18 15:27:30.300315+03
9245	3643	2	\N	2016-07-18 15:27:30.300315+03
9247	3645	2	\N	2016-07-18 15:27:54.945725+03
9248	3645	2	\N	2016-07-18 15:27:54.945725+03
9249	3646	2	\N	2016-07-18 15:27:58.438715+03
9250	3647	2	\N	2016-07-18 15:37:00.879253+03
9251	3648	2	\N	2016-07-18 15:37:00.879253+03
9252	3647	2	\N	2016-07-18 15:37:00.879253+03
9253	3648	2	\N	2016-07-18 15:37:00.879253+03
9261	3658	2	\N	2016-07-18 19:11:35.788936+03
9262	3658	2	\N	2016-07-18 19:11:35.788936+03
9263	3659	2	\N	2016-07-18 19:11:44.065391+03
9264	3660	2	\N	2016-07-18 19:40:02.195879+03
9265	3661	2	\N	2016-07-18 19:40:02.195879+03
9266	3662	2	\N	2016-07-18 19:51:19.833083+03
9267	3662	2	\N	2016-07-18 19:51:19.833083+03
9268	3663	2	\N	2016-07-18 19:51:37.036363+03
9269	3663	2	\N	2016-07-18 19:51:37.036363+03
9270	3664	2	\N	2016-07-18 19:55:57.655398+03
9271	3665	2	\N	2016-07-18 19:55:57.655398+03
9272	3666	2	\N	2016-07-18 19:57:43.344153+03
9273	3667	2	\N	2016-07-18 19:57:43.344153+03
9274	3668	2	\N	2016-07-18 21:03:25.710082+03
9275	3668	2	\N	2016-07-18 21:03:25.710082+03
9276	3669	2	\N	2016-07-18 21:04:21.413092+03
9277	3670	2	\N	2016-07-18 21:04:40.623581+03
9278	3671	2	\N	2016-07-18 21:04:59.792668+03
9279	3672	2	\N	2016-07-18 21:05:02.91989+03
9280	3673	2	\N	2016-07-18 21:06:39.104567+03
9281	3674	2	\N	2016-07-18 21:06:55.570741+03
9282	3675	2	\N	2016-07-18 21:07:48.916968+03
9283	3676	2	\N	2016-07-18 21:08:00.243833+03
9284	3677	2	\N	2016-07-18 21:08:22.488718+03
9285	3678	2	\N	2016-07-18 21:08:26.526063+03
9286	3679	2	\N	2016-07-18 21:09:34.242752+03
9287	3678	2	\N	2016-07-18 21:09:36.66136+03
9288	3680	2	\N	2016-07-18 21:14:54.717502+03
9289	3678	2	\N	2016-07-18 21:14:59.994018+03
9290	3678	2	\N	2016-07-18 21:16:18.222388+03
9291	3681	2	\N	2016-07-18 21:18:05.711913+03
9292	3682	2	\N	2016-07-18 21:18:51.796771+03
9293	3683	2	\N	2016-07-18 21:20:29.357465+03
9294	3684	2	\N	2016-07-18 21:20:52.829476+03
9295	3685	2	\N	2016-07-18 21:20:52.829476+03
9296	3686	2	\N	2016-07-18 21:21:38.146958+03
9297	3686	2	\N	2016-07-18 21:22:06.030007+03
9298	3687	2	\N	2016-07-18 21:22:21.765401+03
9299	3688	2	\N	2016-07-18 21:30:16.633492+03
9300	3689	2	\N	2016-07-18 21:57:26.693111+03
9301	3690	2	\N	2016-07-18 21:57:26.693111+03
9302	3689	2	\N	2016-07-18 21:58:12.214847+03
9307	3693	2	\N	2016-07-18 22:11:41.812087+03
9308	3694	2	\N	2016-07-18 22:12:20.422263+03
9309	3695	2	\N	2016-07-18 22:15:56.389648+03
9310	3694	2	\N	2016-07-18 22:15:59.504984+03
\.


--
-- Name: resource_log_id_seq; Type: SEQUENCE SET; Schema: public; Owner: -
--

SELECT pg_catalog.setval('resource_log_id_seq', 9310, true);


--
-- Data for Name: resource_type; Type: TABLE DATA; Schema: public; Owner: -
--

COPY resource_type (id, resource_id, name, humanize, resource_name, module, descr, settings, status) FROM stdin;
145	2292	leads_items	Leads Items	LeadsItemsResource	travelcrm.resources.leads_items	Leads Items	null	0
87	1190	contacts	Contacts	ContactsResource	travelcrm.resources.contacts	Contacts for persons, business persons etc.	\N	0
148	2513	vats	Vat	VatsResource	travelcrm.resources.vats	Vat for accounts and services	null	0
2	10	users	Users	UsersResource	travelcrm.resources.users	Users list	\N	0
149	2516	uploads	Uploads	UploadsResource	travelcrm.resources.uploads	Uploads for any type of resources	null	0
151	2551	persons_categories	Persons Categories	PersonsCategoriesResource	travelcrm.resources.persons_categories	Categorise your clients with categories of persons	null	0
1	773		Home	Root	travelcrm.resources	Home Page of Travelcrm	\N	0
12	16	resources_types	Resources Types	ResourcesTypesResource	travelcrm.resources.resources_types	Resources types list	\N	0
39	274	regions	Regions	RegionsResource	travelcrm.resources.regions		\N	0
41	283	currencies	Currencies	CurrenciesResource	travelcrm.resources.currencies		\N	0
47	706	employees	Employees	EmployeesResource	travelcrm.resources.employees	Employees Container Datagrid	\N	0
55	723	structures	Structures	StructuresResource	travelcrm.resources.structures	Companies structures is a tree of company structure. It's can be offices, filials, departments and so and so	\N	0
59	764	positions	Positions	PositionsResource	travelcrm.resources.positions	Companies positions is a point of company structure where emplyees can be appointed	\N	0
61	769	permisions	Permisions	PermisionsResource	travelcrm.resources.permisions	Permisions list of company structure position. It's list of resources and permisions	\N	0
65	775	navigations	Navigations	NavigationsResource	travelcrm.resources.navigations	Navigations list of company structure position.	\N	0
67	788	appointments	Appointments	AppointmentsResource	travelcrm.resources.appointments	Employees to positions of company appointments	\N	0
69	865	persons	Persons	PersonsResource	travelcrm.resources.persons	Persons directory. Person can be client or potential client	\N	0
70	872	countries	Countries	CountriesResource	travelcrm.resources.countries	Countries directory	\N	0
71	901	advsources	Advertises Sources	AdvsourcesResource	travelcrm.resources.advsources	Types of advertises	\N	0
72	908	hotelcats	Hotels Categories	HotelcatsResource	travelcrm.resources.hotelcats	Hotels categories	\N	0
73	909	roomcats	Rooms Categories	RoomcatsResource	travelcrm.resources.roomcats	Categories of the rooms	\N	0
75	954	foodcats	Foods Categories	FoodcatsResource	travelcrm.resources.foodcats	Food types in hotels	\N	0
78	1003	suppliers	Suppliers	SuppliersResource	travelcrm.resources.suppliers	Suppliers, such as touroperators, aircompanies, IATA etc.	\N	0
79	1007	bpersons	Business Persons	BPersonsResource	travelcrm.resources.bpersons	Business Persons is not clients it's simple business contacts that can be referenced objects that needs to have contacts	\N	0
83	1081	hotels	Hotels	HotelsResource	travelcrm.resources.hotels	Hotels directory	\N	0
84	1088	locations	Locations	LocationsResource	travelcrm.resources.locations	Locations list is list of cities, vilages etc. places to use to identify part of region	\N	0
86	1189	contracts	Contracts	ContractsResource	travelcrm.resources.contracts	Licences list for any type of resources as need	\N	0
89	1198	passports	Passports	PassportsResource	travelcrm.resources.passports	Clients persons passports lists	\N	0
90	1207	addresses	Addresses	AddressesResource	travelcrm.resources.addresses	Addresses of any type of resources, such as persons, bpersons, hotels etc.	\N	0
91	1211	banks	Banks	BanksResource	travelcrm.resources.banks	Banks list to create bank details and for other reasons	\N	0
93	1225	tasks	Tasks	TasksResource	travelcrm.resources.tasks	Task manager	\N	0
101	1268	banks_details	Banks Details	BanksDetailsResource	travelcrm.resources.banks_details	Banks Details that can be attached to any client or business partner to define account	\N	0
102	1313	services	Services	ServicesResource	travelcrm.resources.services	Additional Services that can be provide with tours sales or separate	\N	0
104	1393	currencies_rates	Currency Rates	CurrenciesRatesResource	travelcrm.resources.currencies_rates	Currencies Rates. Values from this dir used by billing to calc prices in base currency.	\N	0
105	1424	accounts_items	Accounts Items	AccountsItemsResource	travelcrm.resources.accounts_items	Finance accounts items	\N	0
106	1433	incomes	Incomes	IncomesResource	travelcrm.resources.incomes	Incomes Payments Document for invoices	{"account_item_id": 8}	0
107	1435	accounts	Accounts	AccountsResource	travelcrm.resources.accounts	Billing Accounts. It can be bank accouts, cash accounts etc. and has company wide visible	null	0
117	1797	subaccounts	Subaccounts	SubaccountsResource	travelcrm.resources.subaccounts	Subaccounts are accounts from other objects such as clients, touroperators and so on	null	0
118	1799	notes	Notes	NotesResource	travelcrm.resources.notes	Resources Notes	null	0
121	1894	turnovers	Turnovers	TurnoversResource	travelcrm.resources.turnovers	Turnovers on Accounts and Subaccounts	null	0
126	1968	companies	Companies	CompaniesResource	travelcrm.resources.companies	Multicompanies functionality	null	0
130	2049	leads	Leads	LeadsResource	travelcrm.resources.leads	Leads that can be converted into contacts	null	0
135	2100	orders_items	Orders Items	OrdersItemsResource	travelcrm.resources.orders_items	Orders Items	null	0
137	2108	tours	Tours	ToursResource	travelcrm.resources.tours	Tour Service	null	0
74	953	accomodations	Accomodations	AccomodationsResource	travelcrm.resources.accomodations	Accomodations Types list	\N	0
110	1521	commissions	Commissions	CommissionsResource	travelcrm.resources.commissions	Services sales commissions	null	0
111	1548	outgoings	Outgoings	OutgoingsResource	travelcrm.resources.outgoings	Outgoings payments for touroperators, suppliers, payback payments and so on	null	0
134	2099	orders	Orders	OrdersResource	travelcrm.resources.orders	Orders	{"html_template": "GNU GENERAL PUBLIC LICENSE\\r\\n\\r\\nVersion 3, 29 June 2007\\r\\n\\r\\nCopyright \\u00a9 2007 Free Software Foundation, Inc. <http://fsf.org/>\\r\\n\\r\\nEveryone is permitted to copy and distribute verbatim copies of this license document, but changing it is not allowed.\\r\\n\\r\\nPreamble\\r\\n\\r\\nThe GNU General Public License is a free, copyleft license for software and other kinds of works.\\r\\n\\r\\nThe licenses for most software and other practical works are designed to take away your freedom to share and change the works. By contrast, the GNU General Public License is intended to guarantee your freedom to share and change all versions of a program--to make sure it remains free software for all its users. We, the Free Software Foundation, use the GNU General Public License for most of our software; it applies also to any other work released this way by its authors. You can apply it to your programs, too.\\r\\n\\r\\nWhen we speak of free software, we are referring to freedom, not price. Our General Public Licenses are designed to make sure that you have the freedom to distribute copies of free software (and charge for them if you wish), that you receive source code or can get it if you want it, that you can change the software or use pieces of it in new free programs, and that you know you can do these things.\\r\\n\\r\\nTo protect your rights, we need to prevent others from denying you these rights or asking you to surrender the rights. Therefore, you have certain responsibilities if you distribute copies of the software, or if you modify it: responsibilities to respect the freedom of others.\\r\\n\\r\\nFor example, if you distribute copies of such a program, whether gratis or for a fee, you must pass on to the recipients the same freedoms that you received. You must make sure that they, too, receive or can get the source code. And you must show them these terms so they know their rights.\\r\\n\\r\\nDevelopers that use the GNU GPL protect your rights with two steps: (1) assert copyright on the software, and (2) offer you this License giving you legal permission to copy, distribute and/or modify it.\\r\\n\\r\\nFor the developers' and authors' protection, the GPL clearly explains that there is no warranty for this free software. For both users' and authors' sake, the GPL requires that modified versions be marked as changed, so that their problems will not be attributed erroneously to authors of previous versions.\\r\\n\\r\\nSome devices are designed to deny users access to install or run modified versions of the software inside them, although the manufacturer can do so. This is fundamentally incompatible with the aim of protecting users' freedom to change the software. The systematic pattern of such abuse occurs in the area of products for individuals to use, which is precisely where it is most unacceptable. Therefore, we have designed this version of the GPL to prohibit the practice for those products. If such problems arise substantially in other domains, we stand ready to extend this provision to those domains in future versions of the GPL, as needed to protect the freedom of users.\\r\\n\\r\\nFinally, every program is threatened constantly by software patents. States should not allow patents to restrict development and use of software on general-purpose computers, but in those that do, we wish to avoid the special danger that patents applied to a free program could make it effectively proprietary. To prevent this, the GPL assures that patents cannot be used to render the program non-free.\\r\\n\\r\\nThe precise terms and conditions for copying, distribution and modification follow.\\r\\n\\r\\nTERMS AND CONDITIONS\\r\\n\\r\\n0. Definitions.\\r\\n\\r\\n\\u201cThis License\\u201d refers to version 3 of the GNU General Public License.\\r\\n\\r\\n\\u201cCopyright\\u201d also means copyright-like laws that apply to other kinds of works, such as semiconductor masks.\\r\\n\\r\\n\\u201cThe Program\\u201d refers to any copyrightable work licensed under this License. Each licensee is addressed as \\u201cyou\\u201d. \\u201cLicensees\\u201d and \\u201crecipients\\u201d may be individuals or organizations.\\r\\n\\r\\nTo \\u201cmodify\\u201d a work means to copy from or adapt all or part of the work in a fashion requiring copyright permission, other than the making of an exact copy. The resulting work is called a \\u201cmodified version\\u201d of the earlier work or a work \\u201cbased on\\u201d the earlier work.\\r\\n\\r\\nA \\u201ccovered work\\u201d means either the unmodified Program or a work based on the Program.\\r\\n\\r\\nTo \\u201cpropagate\\u201d a work means to do anything with it that, without permission, would make you directly or secondarily liable for infringement under applicable copyright law, except executing it on a computer or modifying a private copy. Propagation includes copying, distribution (with or without modification), making available to the public, and in some countries other activities as well.\\r\\n\\r\\nTo \\u201cconvey\\u201d a work means any kind of propagation that enables other parties to make or receive copies. Mere interaction with a user through a computer network, with no transfer of a copy, is not conveying.\\r\\n\\r\\nAn interactive user interface displays \\u201cAppropriate Legal Notices\\u201d to the extent that it includes a convenient and prominently visible feature that (1) displays an appropriate copyright notice, and (2) tells the user that there is no warranty for the work (except to the extent that warranties are provided), that licensees may convey the work under this License, and how to view a copy of this License. If the interface presents a list of user commands or options, such as a menu, a prominent item in the list meets this criterion.\\r\\n\\r\\n1. Source Code.\\r\\n\\r\\nThe \\u201csource code\\u201d for a work means the preferred form of the work for making modifications to it. \\u201cObject code\\u201d means any non-source form of a work.\\r\\n\\r\\nA \\u201cStandard Interface\\u201d means an interface that either is an official standard defined by a recognized standards body, or, in the case of interfaces specified for a particular programming language, one that is widely used among developers working in that language.\\r\\n\\r\\nThe \\u201cSystem Libraries\\u201d of an executable work include anything, other than the work as a whole, that (a) is included in the normal form of packaging a Major Component, but which is not part of that Major Component, and (b) serves only to enable use of the work with that Major Component, or to implement a Standard Interface for which an implementation is available to the public in source code form. A \\u201cMajor Component\\u201d, in this context, means a major essential component (kernel, window system, and so on) of the specific operating system (if any) on which the executable work runs, or a compiler used to produce the work, or an object code interpreter used to run it.\\r\\n\\r\\nThe \\u201cCorresponding Source\\u201d for a work in object code form means all the source code needed to generate, install, and (for an executable work) run the object code and to modify the work, including scripts to control those activities. However, it does not include the work's System Libraries, or general-purpose tools or generally available free programs which are used unmodified in performing those activities but which are not part of the work. For example, Corresponding Source includes interface definition files associated with source files for the work, and the source code for shared libraries and dynamically linked subprograms that the work is specifically designed to require, such as by intimate data communication or control flow between those subprograms and other parts of the work.\\r\\n\\r\\nThe Corresponding Source need not include anything that users can regenerate automatically from other parts of the Corresponding Source.\\r\\n\\r\\nThe Corresponding Source for a work in source code form is that same work.\\r\\n\\r\\n2. Basic Permissions.\\r\\n\\r\\nAll rights granted under this License are granted for the term of copyright on the Program, and are irrevocable provided the stated conditions are met. This License explicitly affirms your unlimited permission to run the unmodified Program. The output from running a covered work is covered by this License only if the output, given its content, constitutes a covered work. This License acknowledges your rights of fair use or other equivalent, as provided by copyright law.\\r\\n\\r\\nYou may make, run and propagate covered works that you do not convey, without conditions so long as your license otherwise remains in force. You may convey covered works to others for the sole purpose of having them make modifications exclusively for you, or provide you with facilities for running those works, provided that you comply with the terms of this License in conveying all material for which you do not control copyright. Those thus making or running the covered works for you must do so exclusively on your behalf, under your direction and control, on terms that prohibit them from making any copies of your copyrighted material outside their relationship with you.\\r\\n\\r\\nConveying under any other circumstances is permitted solely under the conditions stated below. Sublicensing is not allowed; section 10 makes it unnecessary.\\r\\n\\r\\n3. Protecting Users' Legal Rights From Anti-Circumvention Law.\\r\\n\\r\\nNo covered work shall be deemed part of an effective technological measure under any applicable law fulfilling obligations under article 11 of the WIPO copyright treaty adopted on 20 December 1996, or similar laws prohibiting or restricting circumvention of such measures.\\r\\n\\r\\nWhen you convey a covered work, you waive any legal power to forbid circumvention of technological measures to the extent such circumvention is effected by exercising rights under this License with respect to the covered work, and you disclaim any intention to limit operation or modification of the work as a means of enforcing, against the work's users, your or third parties' legal rights to forbid circumvention of technological measures.\\r\\n\\r\\n4. Conveying Verbatim Copies.\\r\\n\\r\\nYou may convey verbatim copies of the Program's source code as you receive it, in any medium, provided that you conspicuously and appropriately publish on each copy an appropriate copyright notice; keep intact all notices stating that this License and any non-permissive terms added in accord with section 7 apply to the code; keep intact all notices of the absence of any warranty; and give all recipients a copy of this License along with the Program.\\r\\n\\r\\nYou may charge any price or no price for each copy that you convey, and you may offer support or warranty protection for a fee.\\r\\n\\r\\n5. Conveying Modified Source Versions.\\r\\n\\r\\nYou may convey a work based on the Program, or the modifications to produce it from the Program, in the form of source code under the terms of section 4, provided that you also meet all of these conditions:\\r\\n\\r\\na) The work must carry prominent notices stating that you modified it, and giving a relevant date.\\r\\nb) The work must carry prominent notices stating that it is released under this License and any conditions added under section 7. This requirement modifies the requirement in section 4 to \\u201ckeep intact all notices\\u201d.\\r\\nc) You must license the entire work, as a whole, under this License to anyone who comes into possession of a copy. This License will therefore apply, along with any applicable section 7 additional terms, to the whole of the work, and all its parts, regardless of how they are packaged. This License gives no permission to license the work in any other way, but it does not invalidate such permission if you have separately received it.\\r\\nd) If the work has interactive user interfaces, each must display Appropriate Legal Notices; however, if the Program has interactive interfaces that do not display Appropriate Legal Notices, your work need not make them do so.\\r\\nA compilation of a covered work with other separate and independent works, which are not by their nature extensions of the covered work, and which are not combined with it such as to form a larger program, in or on a volume of a storage or distribution medium, is called an \\u201caggregate\\u201d if the compilation and its resulting copyright are not used to limit the access or legal rights of the compilation's users beyond what the individual works permit. Inclusion of a covered work in an aggregate does not cause this License to apply to the other parts of the aggregate.\\r\\n\\r\\n6. Conveying Non-Source Forms.\\r\\n\\r\\nYou may convey a covered work in object code form under the terms of sections 4 and 5, provided that you also convey the machine-readable Corresponding Source under the terms of this License, in one of these ways:\\r\\n\\r\\na) Convey the object code in, or embodied in, a physical product (including a physical distribution medium), accompanied by the Corresponding Source fixed on a durable physical medium customarily used for software interchange.\\r\\nb) Convey the object code in, or embodied in, a physical product (including a physical distribution medium), accompanied by a written offer, valid for at least three years and valid for as long as you offer spare parts or customer support for that product model, to give anyone who possesses the object code either (1) a copy of the Corresponding Source for all the software in the product that is covered by this License, on a durable physical medium customarily used for software interchange, for a price no more than your reasonable cost of physically performing this conveying of source, or (2) access to copy the Corresponding Source from a network server at no charge.\\r\\nc) Convey individual copies of the object code with a copy of the written offer to provide the Corresponding Source. This alternative is allowed only occasionally and noncommercially, and only if you received the object code with such an offer, in accord with subsection 6b.\\r\\nd) Convey the object code by offering access from a designated place (gratis or for a charge), and offer equivalent access to the Corresponding Source in the same way through the same place at no further charge. You need not require recipients to copy the Corresponding Source along with the object code. If the place to copy the object code is a network server, the Corresponding Source may be on a different server (operated by you or a third party) that supports equivalent copying facilities, provided you maintain clear directions next to the object code saying where to find the Corresponding Source. Regardless of what server hosts the Corresponding Source, you remain obligated to ensure that it is available for as long as needed to satisfy these requirements.\\r\\ne) Convey the object code using peer-to-peer transmission, provided you inform other peers where the object code and Corresponding Source of the work are being offered to the general public at no charge under subsection 6d.\\r\\nA separable portion of the object code, whose source code is excluded from the Corresponding Source as a System Library, need not be included in conveying the object code work.\\r\\n\\r\\nA \\u201cUser Product\\u201d is either (1) a \\u201cconsumer product\\u201d, which means any tangible personal property which is normally used for personal, family, or household purposes, or (2) anything designed or sold for incorporation into a dwelling. In determining whether a product is a consumer product, doubtful cases shall be resolved in favor of coverage. For a particular product received by a particular user, \\u201cnormally used\\u201d refers to a typical or common use of that class of product, regardless of the status of the particular user or of the way in which the particular user actually uses, or expects or is expected to use, the product. A product is a consumer product regardless of whether the product has substantial commercial, industrial or non-consumer uses, unless such uses represent the only significant mode of use of the product.\\r\\n\\r\\n\\u201cInstallation Information\\u201d for a User Product means any methods, procedures, authorization keys, or other information required to install and execute modified versions of a covered work in that User Product from a modified version of its Corresponding Source. The information must suffice to ensure that the continued functioning of the modified object code is in no case prevented or interfered with solely because modification has been made.\\r\\n\\r\\nIf you convey an object code work under this section in, or with, or specifically for use in, a User Product, and the conveying occurs as part of a transaction in which the right of possession and use of the User Product is transferred to the recipient in perpetuity or for a fixed term (regardless of how the transaction is characterized), the Corresponding Source conveyed under this section must be accompanied by the Installation Information. But this requirement does not apply if neither you nor any third party retains the ability to install modified object code on the User Product (for example, the work has been installed in ROM).\\r\\n\\r\\nThe requirement to provide Installation Information does not include a requirement to continue to provide support service, warranty, or updates for a work that has been modified or installed by the recipient, or for the User Product in which it has been modified or installed. Access to a network may be denied when the modification itself materially and adversely affects the operation of the network or violates the rules and protocols for communication across the network.\\r\\n\\r\\nCorresponding Source conveyed, and Installation Information provided, in accord with this section must be in a format that is publicly documented (and with an implementation available to the public in source code form), and must require no special password or key for unpacking, reading or copying.\\r\\n\\r\\n7. Additional Terms.\\r\\n\\r\\n\\u201cAdditional permissions\\u201d are terms that supplement the terms of this License by making exceptions from one or more of its conditions. Additional permissions that are applicable to the entire Program shall be treated as though they were included in this License, to the extent that they are valid under applicable law. If additional permissions apply only to part of the Program, that part may be used separately under those permissions, but the entire Program remains governed by this License without regard to the additional permissions.\\r\\n\\r\\nWhen you convey a copy of a covered work, you may at your option remove any additional permissions from that copy, or from any part of it. (Additional permissions may be written to require their own removal in certain cases when you modify the work.) You may place additional permissions on material, added by you to a covered work, for which you have or can give appropriate copyright permission.\\r\\n\\r\\nNotwithstanding any other provision of this License, for material you add to a covered work, you may (if authorized by the copyright holders of that material) supplement the terms of this License with terms:\\r\\n\\r\\na) Disclaiming warranty or limiting liability differently from the terms of sections 15 and 16 of this License; or\\r\\nb) Requiring preservation of specified reasonable legal notices or author attributions in that material or in the Appropriate Legal Notices displayed by works containing it; or\\r\\nc) Prohibiting misrepresentation of the origin of that material, or requiring that modified versions of such material be marked in reasonable ways as different from the original version; or\\r\\nd) Limiting the use for publicity purposes of names of licensors or authors of the material; or\\r\\ne) Declining to grant rights under trademark law for use of some trade names, trademarks, or service marks; or\\r\\nf) Requiring indemnification of licensors and authors of that material by anyone who conveys the material (or modified versions of it) with contractual assumptions of liability to the recipient, for any liability that these contractual assumptions directly impose on those licensors and authors.\\r\\nAll other non-permissive additional terms are considered \\u201cfurther restrictions\\u201d within the meaning of section 10. If the Program as you received it, or any part of it, contains a notice stating that it is governed by this License along with a term that is a further restriction, you may remove that term. If a license document contains a further restriction but permits relicensing or conveying under this License, you may add to a covered work material governed by the terms of that license document, provided that the further restriction does not survive such relicensing or conveying.\\r\\n\\r\\nIf you add terms to a covered work in accord with this section, you must place, in the relevant source files, a statement of the additional terms that apply to those files, or a notice indicating where to find the applicable terms.\\r\\n\\r\\nAdditional terms, permissive or non-permissive, may be stated in the form of a separately written license, or stated as exceptions; the above requirements apply either way.\\r\\n\\r\\n8. Termination.\\r\\n\\r\\nYou may not propagate or modify a covered work except as expressly provided under this License. Any attempt otherwise to propagate or modify it is void, and will automatically terminate your rights under this License (including any patent licenses granted under the third paragraph of section 11).\\r\\n\\r\\nHowever, if you cease all violation of this License, then your license from a particular copyright holder is reinstated (a) provisionally, unless and until the copyright holder explicitly and finally terminates your license, and (b) permanently, if the copyright holder fails to notify you of the violation by some reasonable means prior to 60 days after the cessation.\\r\\n\\r\\nMoreover, your license from a particular copyright holder is reinstated permanently if the copyright holder notifies you of the violation by some reasonable means, this is the first time you have received notice of violation of this License (for any work) from that copyright holder, and you cure the violation prior to 30 days after your receipt of the notice.\\r\\n\\r\\nTermination of your rights under this section does not terminate the licenses of parties who have received copies or rights from you under this License. If your rights have been terminated and not permanently reinstated, you do not qualify to receive new licenses for the same material under section 10.\\r\\n\\r\\n9. Acceptance Not Required for Having Copies.\\r\\n\\r\\nYou are not required to accept this License in order to receive or run a copy of the Program. Ancillary propagation of a covered work occurring solely as a consequence of using peer-to-peer transmission to receive a copy likewise does not require acceptance. However, nothing other than this License grants you permission to propagate or modify any covered work. These actions infringe copyright if you do not accept this License. Therefore, by modifying or propagating a covered work, you indicate your acceptance of this License to do so.\\r\\n\\r\\n10. Automatic Licensing of Downstream Recipients.\\r\\n\\r\\nEach time you convey a covered work, the recipient automatically receives a license from the original licensors, to run, modify and propagate that work, subject to this License. You are not responsible for enforcing compliance by third parties with this License.\\r\\n\\r\\nAn \\u201centity transaction\\u201d is a transaction transferring control of an organization, or substantially all assets of one, or subdividing an organization, or merging organizations. If propagation of a covered work results from an entity transaction, each party to that transaction who receives a copy of the work also receives whatever licenses to the work the party's predecessor in interest had or could give under the previous paragraph, plus a right to possession of the Corresponding Source of the work from the predecessor in interest, if the predecessor has it or can get it with reasonable efforts.\\r\\n\\r\\nYou may not impose any further restrictions on the exercise of the rights granted or affirmed under this License. For example, you may not impose a license fee, royalty, or other charge for exercise of rights granted under this License, and you may not initiate litigation (including a cross-claim or counterclaim in a lawsuit) alleging that any patent claim is infringed by making, using, selling, offering for sale, or importing the Program or any portion of it.\\r\\n\\r\\n11. Patents.\\r\\n\\r\\nA \\u201ccontributor\\u201d is a copyright holder who authorizes use under this License of the Program or a work on which the Program is based. The work thus licensed is called the contributor's \\u201ccontributor version\\u201d.\\r\\n\\r\\nA contributor's \\u201cessential patent claims\\u201d are all patent claims owned or controlled by the contributor, whether already acquired or hereafter acquired, that would be infringed by some manner, permitted by this License, of making, using, or selling its contributor version, but do not include claims that would be infringed only as a consequence of further modification of the contributor version. For purposes of this definition, \\u201ccontrol\\u201d includes the right to grant patent sublicenses in a manner consistent with the requirements of this License.\\r\\n\\r\\nEach contributor grants you a non-exclusive, worldwide, royalty-free patent license under the contributor's essential patent claims, to make, use, sell, offer for sale, import and otherwise run, modify and propagate the contents of its contributor version.\\r\\n\\r\\nIn the following three paragraphs, a \\u201cpatent license\\u201d is any express agreement or commitment, however denominated, not to enforce a patent (such as an express permission to practice a patent or covenant not to sue for patent infringement). To \\u201cgrant\\u201d such a patent license to a party means to make such an agreement or commitment not to enforce a patent against the party.\\r\\n\\r\\nIf you convey a covered work, knowingly relying on a patent license, and the Corresponding Source of the work is not available for anyone to copy, free of charge and under the terms of this License, through a publicly available network server or other readily accessible means, then you must either (1) cause the Corresponding Source to be so available, or (2) arrange to deprive yourself of the benefit of the patent license for this particular work, or (3) arrange, in a manner consistent with the requirements of this License, to extend the patent license to downstream recipients. \\u201cKnowingly relying\\u201d means you have actual knowledge that, but for the patent license, your conveying the covered work in a country, or your recipient's use of the covered work in a country, would infringe one or more identifiable patents in that country that you have reason to believe are valid.\\r\\n\\r\\nIf, pursuant to or in connection with a single transaction or arrangement, you convey, or propagate by procuring conveyance of, a covered work, and grant a patent license to some of the parties receiving the covered work authorizing them to use, propagate, modify or convey a specific copy of the covered work, then the patent license you grant is automatically extended to all recipients of the covered work and works based on it.\\r\\n\\r\\nA patent license is \\u201cdiscriminatory\\u201d if it does not include within the scope of its coverage, prohibits the exercise of, or is conditioned on the non-exercise of one or more of the rights that are specifically granted under this License. You may not convey a covered work if you are a party to an arrangement with a third party that is in the business of distributing software, under which you make payment to the third party based on the extent of your activity of conveying the work, and under which the third party grants, to any of the parties who would receive the covered work from you, a discriminatory patent license (a) in connection with copies of the covered work conveyed by you (or copies made from those copies), or (b) primarily for and in connection with specific products or compilations that contain the covered work, unless you entered into that arrangement, or that patent license was granted, prior to 28 March 2007.\\r\\n\\r\\nNothing in this License shall be construed as excluding or limiting any implied license or other defenses to infringement that may otherwise be available to you under applicable patent law.\\r\\n\\r\\n12. No Surrender of Others' Freedom.\\r\\n\\r\\nIf conditions are imposed on you (whether by court order, agreement or otherwise) that contradict the conditions of this License, they do not excuse you from the conditions of this License. If you cannot convey a covered work so as to satisfy simultaneously your obligations under this License and any other pertinent obligations, then as a consequence you may not convey it at all. For example, if you agree to terms that obligate you to collect a royalty for further conveying from those to whom you convey the Program, the only way you could satisfy both those terms and this License would be to refrain entirely from conveying the Program.\\r\\n\\r\\n13. Use with the GNU Affero General Public License.\\r\\n\\r\\nNotwithstanding any other provision of this License, you have permission to link or combine any covered work with a work licensed under version 3 of the GNU Affero General Public License into a single combined work, and to convey the resulting work. The terms of this License will continue to apply to the part which is the covered work, but the special requirements of the GNU Affero General Public License, section 13, concerning interaction through a network will apply to the combination as such.\\r\\n\\r\\n14. Revised Versions of this License.\\r\\n\\r\\nThe Free Software Foundation may publish revised and/or new versions of the GNU General Public License from time to time. Such new versions will be similar in spirit to the present version, but may differ in detail to address new problems or concerns.\\r\\n\\r\\nEach version is given a distinguishing version number. If the Program specifies that a certain numbered version of the GNU General Public License \\u201cor any later version\\u201d applies to it, you have the option of following the terms and conditions either of that numbered version or of any later version published by the Free Software Foundation. If the Program does not specify a version number of the GNU General Public License, you may choose any version ever published by the Free Software Foundation.\\r\\n\\r\\nIf the Program specifies that a proxy can decide which future versions of the GNU General Public License can be used, that proxy's public statement of acceptance of a version permanently authorizes you to choose that version for the Program.\\r\\n\\r\\nLater license versions may give you additional or different permissions. However, no additional obligations are imposed on any author or copyright holder as a result of your choosing to follow a later version.\\r\\n\\r\\n15. Disclaimer of Warranty.\\r\\n\\r\\nTHERE IS NO WARRANTY FOR THE PROGRAM, TO THE EXTENT PERMITTED BY APPLICABLE LAW. EXCEPT WHEN OTHERWISE STATED IN WRITING THE COPYRIGHT HOLDERS AND/OR OTHER PARTIES PROVIDE THE PROGRAM \\u201cAS IS\\u201d WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE. THE ENTIRE RISK AS TO THE QUALITY AND PERFORMANCE OF THE PROGRAM IS WITH YOU. SHOULD THE PROGRAM PROVE DEFECTIVE, YOU ASSUME THE COST OF ALL NECESSARY SERVICING, REPAIR OR CORRECTION.\\r\\n\\r\\n16. Limitation of Liability.\\r\\n\\r\\nIN NO EVENT UNLESS REQUIRED BY APPLICABLE LAW OR AGREED TO IN WRITING WILL ANY COPYRIGHT HOLDER, OR ANY OTHER PARTY WHO MODIFIES AND/OR CONVEYS THE PROGRAM AS PERMITTED ABOVE, BE LIABLE TO YOU FOR DAMAGES, INCLUDING ANY GENERAL, SPECIAL, INCIDENTAL OR CONSEQUENTIAL DAMAGES ARISING OUT OF THE USE OR INABILITY TO USE THE PROGRAM (INCLUDING BUT NOT LIMITED TO LOSS OF DATA OR DATA BEING RENDERED INACCURATE OR LOSSES SUSTAINED BY YOU OR THIRD PARTIES OR A FAILURE OF THE PROGRAM TO OPERATE WITH ANY OTHER PROGRAMS), EVEN IF SUCH HOLDER OR OTHER PARTY HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES.\\r\\n\\r\\n17. Interpretation of Sections 15 and 16.\\r\\n\\r\\nIf the disclaimer of warranty and limitation of liability provided above cannot be given local legal effect according to their terms, reviewing courts shall apply local law that most closely approximates an absolute waiver of all civil liability in connection with the Program, unless a warranty or assumption of liability accompanies a copy of the Program in return for a fee.\\r\\n\\r\\nEND OF TERMS AND CONDITIONS\\r\\n\\r\\nHow to Apply These Terms to Your New Programs\\r\\n\\r\\nIf you develop a new program, and you want it to be of the greatest possible use to the public, the best way to achieve this is to make it free software which everyone can redistribute and change under these terms.\\r\\n\\r\\nTo do so, attach the following notices to the program. It is safest to attach them to the start of each source file to most effectively state the exclusion of warranty; and each file should have at least the \\u201ccopyright\\u201d line and a pointer to where the full notice is found.\\r\\n\\r\\n    <one line to give the program's name and a brief idea of what it does.>\\r\\n    Copyright (C) <year>  <name of author>\\r\\n\\r\\n    This program is free software: you can redistribute it and/or modify\\r\\n    it under the terms of the GNU General Public License as published by\\r\\n    the Free Software Foundation, either version 3 of the License, or\\r\\n    (at your option) any later version.\\r\\n\\r\\n    This program is distributed in the hope that it will be useful,\\r\\n    but WITHOUT ANY WARRANTY; without even the implied warranty of\\r\\n    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the\\r\\n    GNU General Public License for more details.\\r\\n\\r\\n    You should have received a copy of the GNU General Public License\\r\\n    along with this program.  If not, see <http://www.gnu.org/licenses/>.\\r\\nAlso add information on how to contact you by electronic and paper mail.\\r\\n\\r\\nIf the program does terminal interaction, make it output a short notice like this when it starts in an interactive mode:\\r\\n\\r\\n    <program>  Copyright (C) <year>  <name of author>\\r\\n    This program comes with ABSOLUTELY NO WARRANTY; for details type `show w'.\\r\\n    This is free software, and you are welcome to redistribute it\\r\\n    under certain conditions; type `show c' for details.\\r\\nThe hypothetical commands `show w' and `show c' should show the appropriate parts of the General Public License. Of course, your program's commands might be different; for a GUI interface, you would use an \\u201cabout box\\u201d.\\r\\n\\r\\nYou should also get your employer (if you work as a programmer) or school, if any, to sign a \\u201ccopyright disclaimer\\u201d for the program, if necessary. For more information on this, and how to apply and follow the GNU GPL, see <http://www.gnu.org/licenses/>.\\r\\n\\r\\nThe GNU General Public License does not permit incorporating your program into proprietary programs. If your program is a subroutine library, you may consider it more useful to permit linking proprietary applications with the library. If this is what you want to do, use the GNU Lesser General Public License instead of this License. But first, please read <http://www.gnu.org/philosophy/why-not-lgpl.html>."}	0
146	2296	leads_offers	Leads Offers	LeadsOffersResource	travelcrm.resources.leads_offers	Leads Offers	null	0
152	2558	leads_stats	Leads Stats	LeadsStatsResource	travelcrm.resources.leads_stats	Portlet with leads statistics	{"column_index": 0}	0
120	1884	crosspayments	Cross Payments	CrosspaymentsResource	travelcrm.resources.crosspayments	Cross payments between accounts and subaccounts. This document is for balance corrections to.	null	0
153	2583	activities	Activities	ActivitiesResource	travelcrm.resources.activities	My last activities	{"column_index": 1}	0
123	1941	notifications	Notifications	NotificationsResource	travelcrm.resources.notifications	Employee Notifications	null	0
138	2127	transfers	Transfers	TransfersResource	travelcrm.resources.transfers	Transfers for tours	null	0
139	2135	transports	Transports	TransportsResource	travelcrm.resources.transports	Transports Types List	null	0
140	2217	suppliers_types	Suppliers Types	SuppliersTypesResource	travelcrm.resources.suppliers_types	Suppliers Types list	null	0
141	2243	tickets_classes	Tickets Classes	TicketsClassesResource	travelcrm.resources.tickets_classes	Tickets Classes list, such as first class, business class etc	null	0
142	2244	tickets	Tickets	TicketsResource	travelcrm.resources.tickets	Ticket is a service for sale tickets of any type	null	0
143	2268	visas	Visas	VisasResource	travelcrm.resources.visas	Visa is a service for sale visas	null	0
144	2276	spassports	Passports Services	SpassportsResource	travelcrm.resources.spassports	Service formulation of foreign passports	null	0
156	2788	campaigns	Campaigns	CampaignsResource	travelcrm.resources.campaigns	Marketings campaigns	{"host_smpp": "94.249.146.183", "system_type_smpp": "transceiver", "password_smpp": "korn17", "port_smtp": "2525", "username_smtp": "mazvv@mail.ru", "password_smtp": "GmA67mpqqYjKQ", "port_smpp": "29900", "username_smpp": "mazvv", "host_smtp": "smtp-pulse.com", "default_sender_smtp": "mazvv@mail.ru"}	0
160	2887	assigns	Assign resources	AssignsResource	travelcrm.resources.assigns	Assigns all resources between employees	null	0
159	2882	dismissals	Dismissals	DismissalsResource	travelcrm.resources.dismissals	Dismissal employees	null	0
119	1849	calculations	Calculations	CalculationsResource	travelcrm.resources.calculations	Calculations of Sale Documents	null	0
103	1317	invoices	Invoices	InvoicesResource	travelcrm.resources.invoices	Invoices list. Invoice can't be created manualy - only using source document such as Tours	{"active_days": 3, "html_template": "<!doctype html>\\r\\n<html>\\r\\n<head>\\r\\n    <meta charset=\\"utf-8\\">\\r\\n    <title>${_(u'Invoice')} - ${invoice.id}</title>\\r\\n    \\r\\n    <style>\\r\\n    .invoice-box{\\r\\n        max-width:800px;\\r\\n        margin:auto;\\r\\n        padding:30px;\\r\\n        border:1px solid #eee;\\r\\n        box-shadow:0 0 10px rgba(0, 0, 0, .15);\\r\\n        font-size:16px;\\r\\n        line-height:24px;\\r\\n        font-family:'Helvetica Neue', 'Helvetica', Helvetica, Arial, sans-serif;\\r\\n        color:#555;\\r\\n    }\\r\\n    \\r\\n    .invoice-box table{\\r\\n        width:100%;\\r\\n        line-height:inherit;\\r\\n        text-align:left;\\r\\n    }\\r\\n    \\r\\n    .invoice-box table td{\\r\\n        padding:5px;\\r\\n        vertical-align:top;\\r\\n    }\\r\\n    \\r\\n    .invoice-box table tr td:nth-child(2){\\r\\n        text-align:right;\\r\\n    }\\r\\n    \\r\\n    .invoice-box table tr.top table td{\\r\\n        padding-bottom:20px;\\r\\n    }\\r\\n    \\r\\n    .invoice-box table tr.top table td.title{\\r\\n        font-size:45px;\\r\\n        line-height:45px;\\r\\n        color:#333;\\r\\n    }\\r\\n    \\r\\n    .invoice-box table tr.information table td{\\r\\n        padding-bottom:40px;\\r\\n    }\\r\\n    \\r\\n    .invoice-box table tr.heading td{\\r\\n        background:#eee;\\r\\n        border-bottom:1px solid #ddd;\\r\\n        font-weight:bold;\\r\\n    }\\r\\n    \\r\\n    .invoice-box table tr.details td{\\r\\n        padding-bottom:20px;\\r\\n    }\\r\\n    \\r\\n    .invoice-box table tr.item td{\\r\\n        border-bottom:1px solid #eee;\\r\\n    }\\r\\n    \\r\\n    .invoice-box table tr.item.last td{\\r\\n        border-bottom:none;\\r\\n    }\\r\\n    \\r\\n    .invoice-box table tr.total td:nth-child(2){\\r\\n        border-top:2px solid #eee;\\r\\n        font-weight:bold;\\r\\n    }\\r\\n    \\r\\n    @media only screen and (max-width: 600px) {\\r\\n        .invoice-box table tr.top table td{\\r\\n            width:100%;\\r\\n            display:block;\\r\\n            text-align:center;\\r\\n        }\\r\\n        \\r\\n        .invoice-box table tr.information table td{\\r\\n            width:100%;\\r\\n            display:block;\\r\\n            text-align:center;\\r\\n        }\\r\\n    }\\r\\n    </style>\\r\\n</head>\\r\\n\\r\\n<body>\\r\\n    <div class=\\"invoice-box\\">\\r\\n        <table cellpadding=\\"0\\" cellspacing=\\"0\\">\\r\\n            <tr class=\\"top\\">\\r\\n                <td colspan=\\"6\\">\\r\\n                    <table>\\r\\n                        <tr>\\r\\n                            <td class=\\"title\\">\\r\\n                                <img src=\\"http://nextstepwebs.com/images/logo.png\\" style=\\"width:100%; max-width:300px;\\">\\r\\n                            </td>\\r\\n                            \\r\\n                            <td>\\r\\n                                ${_(u'Invoice')} #: ${invoice.id}<br>\\r\\n                                ${_(u'Created')}: ${h.common.format_date(invoice.date)}<br>\\r\\n                                ${_(u'Due')}: ${h.common.format_date(invoice.active_until)}\\r\\n                            </td>\\r\\n                        </tr>\\r\\n                    </table>\\r\\n                </td>\\r\\n            </tr>\\r\\n            \\r\\n            <tr class=\\"information\\">\\r\\n                <td colspan=\\"6\\">\\r\\n                    <table>\\r\\n                        <tr>\\r\\n                            <td>\\r\\n                                ${structure.company.name}<br>\\r\\n                                % if structure.addresses:\\r\\n                                <%\\r\\n                                    address = structure.addresses[0]\\r\\n                                %>\\r\\n                                ${address.zip_code}, ${address.location.region.country.name}\\r\\n                                ${address.location.region.name}, ${address.location.name}<br>\\r\\n                                ${address.address}<br>\\r\\n                                % endif\\r\\n                                % if structure.contacts:\\r\\n                                <%\\r\\n                                    contacts = [contact.contact for contact in structure.contacts if contact.is_status_active()]\\r\\n                                %>\\r\\n                                ${', '.join(contacts)}\\r\\n                                % endif\\r\\n                            </td>\\r\\n                            \\r\\n                            <td>\\r\\n                                ${invoice.order.customer.name}<br>\\r\\n                                % if invoice.order.customer.addresses:\\r\\n                                <%\\r\\n                                    address = invoice.order.customer.addresses[0]\\r\\n                                %>\\r\\n                                ${address.zip_code}, ${address.location.region.country.name}\\r\\n                                ${address.location.region.name}, ${address.location.name}<br>\\r\\n                                ${address.address}<br>\\r\\n                                % endif\\r\\n                                % if invoice.order.customer.contacts:\\r\\n                                <%\\r\\n                                    contacts = [contact.contact for contact in invoice.order.customer.contacts if contact.is_status_active()]\\r\\n                                %>\\r\\n                                ${', '.join(contacts)}\\r\\n                                % endif\\r\\n                            </td>\\r\\n                        </tr>\\r\\n                    </table>\\r\\n                </td>\\r\\n            </tr>\\r\\n            \\r\\n            <tr class=\\"heading\\">\\r\\n                <td class=\\"first\\">\\r\\n                    ${_(u'Service')}\\r\\n                </td>\\r\\n                <td></td>\\r\\n                <td style=\\"text-align: right;\\">\\r\\n                    ${_(u'Price')}\\r\\n                </td>\\r\\n                <td style=\\"text-align: right;\\">\\r\\n                    ${_(u'Discount')}\\r\\n                </td>\\r\\n                <td style=\\"text-align: right;\\">\\r\\n                    ${_(u'Vat')}\\r\\n                </td>\\r\\n                <td style=\\"text-align: right;\\">\\r\\n                    ${_(u'Final price')}\\r\\n                </td>\\r\\n            </tr>\\r\\n\\r\\n            % for invoice_item in invoice.invoices_items:\\r\\n            <tr class=\\"item\\">\\r\\n                <td class=\\"first\\">\\r\\n                    ${invoice_item.order_item.service.display_text}\\r\\n                </td>\\r\\n                <td style=\\"text-align: right;\\">\\r\\n                    ${invoice.account.currency.iso_code}\\r\\n                </td>\\r\\n                <td style=\\"text-align: right;\\">\\r\\n                    ${invoice_item.price}\\r\\n                </td>\\r\\n                <td style=\\"text-align: right;\\">\\r\\n                    ${invoice_item.discount}\\r\\n                </td>\\r\\n                <td style=\\"text-align: right;\\">\\r\\n                    ${invoice_item.vat}\\r\\n                </td>\\r\\n                <td style=\\"text-align: right;\\">\\r\\n                    ${invoice_item.final_price}\\r\\n                </td>\\r\\n            </tr>\\r\\n            % endfor\\r\\n\\r\\n            <tr class=\\"total\\">\\r\\n                <td colspan=\\"5\\"></td>\\r\\n                <td>\\r\\n                   ${_(u'Total')}: ${invoice.final_price}\\r\\n                </td>\\r\\n            </tr>\\r\\n        </table>\\r\\n    </div>\\r\\n</body>\\r\\n</html>"}	0
\.


--
-- Name: resource_type_id_seq; Type: SEQUENCE SET; Schema: public; Owner: -
--

SELECT pg_catalog.setval('resource_type_id_seq', 161, true);


--
-- Data for Name: roomcat; Type: TABLE DATA; Schema: public; Owner: -
--

COPY roomcat (id, resource_id, name) FROM stdin;
2	921	BDR
3	922	BDRM
4	923	Superior
5	924	Studio
6	925	Family Room
7	926	Family Studio
8	927	Extra Bed
9	928	Suite
10	929	Suite Mini
11	930	Junior Suite
12	931	De Luxe
13	932	Executive Suite
14	933	Suite Senior
16	935	Honeymoon Room
17	936	Connected Rooms
18	937	Duplex
19	938	Apartment
20	939	President
21	940	Balcony
22	941	City View
23	942	Beach View
24	943	Pool View
25	944	Garden View
26	945	Ocean View
27	946	Land View
28	947	Dune View
29	948	Mountain View
30	949	Park View
31	950	SV (Sea view)
33	952	Inside View
\.


--
-- Name: roomcat_id_seq; Type: SEQUENCE SET; Schema: public; Owner: -
--

SELECT pg_catalog.setval('roomcat_id_seq', 34, true);


--
-- Data for Name: service; Type: TABLE DATA; Schema: public; Owner: -
--

COPY service (id, resource_id, name, descr, display_text, resource_type_id) FROM stdin;
7	2247	Ticket	\N	Ticket booking service	142
5	1413	Tour	Use this service for tour sales	Tour booking service	137
4	1318	A visa	\N	The issues for visas	143
1	1314	Foreign Passport Service	\N	Formulation of foreign passport	144
\.


--
-- Name: service_id_seq; Type: SEQUENCE SET; Schema: public; Owner: -
--

SELECT pg_catalog.setval('service_id_seq', 7, true);


--
-- Data for Name: spassport; Type: TABLE DATA; Schema: public; Owner: -
--

COPY spassport (id, resource_id, photo_done, docs_receive_date, docs_transfer_date, passport_receive_date, descr) FROM stdin;
1	2279	t	2015-04-29	2015-04-30	2015-05-10	Must be done in 10 days after docs recieved
2	2838	f	\N	\N	\N	\N
\.


--
-- Name: spassport_id_seq; Type: SEQUENCE SET; Schema: public; Owner: -
--

SELECT pg_catalog.setval('spassport_id_seq', 2, true);


--
-- Data for Name: spassport_order_item; Type: TABLE DATA; Schema: public; Owner: -
--

COPY spassport_order_item (order_item_id, spassport_id) FROM stdin;
35	1
47	2
\.


--
-- Data for Name: structure; Type: TABLE DATA; Schema: public; Owner: -
--

COPY structure (id, resource_id, parent_id, name, company_id) FROM stdin;
2	858	\N	Kiev Office	1
3	859	2	Sales Department	1
4	860	32	Marketing Dep.	1
1	857	32	Software Dev. Dep.	1
5	861	32	CEO	1
7	1062	\N	Moscow Office	1
8	1250	\N	Odessa Office	1
9	1251	8	Sales Department	1
11	1277	\N	Lviv Office	1
32	725	\N	Head Office	1
13	1976	\N	Dnepropetrovsk Office	1
14	2872	1	Test	1
\.


--
-- Data for Name: structure_address; Type: TABLE DATA; Schema: public; Owner: -
--

COPY structure_address (structure_id, address_id) FROM stdin;
32	31
\.


--
-- Data for Name: structure_bank_detail; Type: TABLE DATA; Schema: public; Owner: -
--

COPY structure_bank_detail (structure_id, bank_detail_id) FROM stdin;
\.


--
-- Data for Name: structure_contact; Type: TABLE DATA; Schema: public; Owner: -
--

COPY structure_contact (structure_id, contact_id) FROM stdin;
\.


--
-- Name: structures_id_seq; Type: SEQUENCE SET; Schema: public; Owner: -
--

SELECT pg_catalog.setval('structures_id_seq', 14, true);


--
-- Data for Name: subaccount; Type: TABLE DATA; Schema: public; Owner: -
--

COPY subaccount (id, resource_id, account_id, name, descr, status) FROM stdin;
1	1865	4	Vitalii Mazur EUR | cash	\N	0
2	1866	2	News Travel | Bank	\N	0
3	1867	4	Alexander Karpenko | EUR	\N	0
4	1868	3	Garkaviy Andriy | UAH	\N	0
6	1875	3	Main Cash Account | rid: 1628	\N	0
8	1881	3	Main Cash Account | rid: 1372	\N	0
9	1888	2	Lun Real Estate | UAH	Month Rate	0
10	1902	3	Lun Real Estate | UAH | CASH	Lun on cash account	0
11	1911	4	Main Cash EUR Account | rid: 1465	\N	0
12	1913	2	Sun Marino Trvl | Cash UAH	Sun Marino Main Bank Subaccount	0
13	1991	3	Main Cash Account | rid: 1471	\N	0
14	1997	3	Main Cash Account | rid: 1645	\N	0
15	2002	3	Main Cash Account | rid: 1869	\N	0
16	2007	3	Main Cash Account | rid: 887	\N	0
17	2028	3	Main Cash Account | rid: 2017	\N	0
18	2438	4	COMPANY EUR CASH	Main company Eur cash subaccount	0
20	2440	2	COMPANY UAH BANK	Main Company Uah bank account subaccount	0
19	2439	3	COMPANY UAH CASH	Main company Uah cash subaccount	0
21	2442	3	Stepanchuk Sergey, UAH, cash	\N	0
22	2452	4	Oleg, EUR, cash	\N	0
23	2466	3	Tez Tour UAH, cash	Tez tour cash UAH subaccount	0
24	2738	2	Fedirko Anatoliy, UAH, bank	\N	0
25	2861	3	Romanuta Pavel, UAH, cash	\N	0
26	2862	4	TEZ Tour EUR	\N	0
27	2866	2	Information Technology Inc.	\N	0
28	3690	3	Musienko Artur, UAH, cash	\N	0
\.


--
-- Name: subaccount_id_seq; Type: SEQUENCE SET; Schema: public; Owner: -
--

SELECT pg_catalog.setval('subaccount_id_seq', 28, true);


--
-- Data for Name: supplier; Type: TABLE DATA; Schema: public; Owner: -
--

COPY supplier (id, resource_id, name, status, descr, supplier_type_id) FROM stdin;
65	2216	New Wind	0	First touroperator	1
66	2223	MAU	0	Internation Ukrainian Airlines	2
68	2225	Four Winds	0		1
69	2226	Akkord Tour	0		1
86	2227	Feerija	0		1
87	2228	TEZ Tour	0		1
88	2229	Gamalija	0		1
67	2224	News Travel	1	Cyprus touroperator only	1
89	2230	Voyage De Luxe	0		1
90	2231	IdrisKa tour	0		1
91	2232	Anex Tour	0		1
92	2233	TUI	0		1
93	2234	Turtess Travel	0		1
94	2235	Coral Travel	0		1
96	2237	Natali Turs	0		1
97	2238	Kiy Avia	0		2
98	2239	MIBS Travel	0		1
99	2240	SAM	0		1
100	2241	Pilot	0		1
101	2242	Orbita	0		1
95	2236	Pan Ukraine	1		1
102	2272	Ukrainian Visa Center	0	Quick Visas in EU and helps to get visas in any other countries	3
103	2865	Information Technology Inc.	0		4
\.


--
-- Data for Name: supplier_bank_detail; Type: TABLE DATA; Schema: public; Owner: -
--

COPY supplier_bank_detail (supplier_id, bank_detail_id) FROM stdin;
\.


--
-- Data for Name: supplier_bperson; Type: TABLE DATA; Schema: public; Owner: -
--

COPY supplier_bperson (supplier_id, bperson_id) FROM stdin;
65	7
\.


--
-- Data for Name: supplier_contract; Type: TABLE DATA; Schema: public; Owner: -
--

COPY supplier_contract (supplier_id, contract_id) FROM stdin;
65	50
65	49
97	51
96	52
93	53
100	54
102	55
87	56
92	57
101	58
101	59
87	60
87	61
87	64
87	65
\.


--
-- Data for Name: supplier_subaccount; Type: TABLE DATA; Schema: public; Owner: -
--

COPY supplier_subaccount (supplier_id, subaccount_id) FROM stdin;
87	23
87	26
103	27
\.


--
-- Data for Name: supplier_type; Type: TABLE DATA; Schema: public; Owner: -
--

COPY supplier_type (id, resource_id, name, descr) FROM stdin;
1	2218	Touroperator	
2	2221	Aircompany	
3	2271	Visa Center	
4	2864	Other suppliers	
\.


--
-- Name: supplier_type_id_seq; Type: SEQUENCE SET; Schema: public; Owner: -
--

SELECT pg_catalog.setval('supplier_type_id_seq', 5, true);


--
-- Data for Name: task; Type: TABLE DATA; Schema: public; Owner: -
--

COPY task (id, resource_id, title, deadline, descr, status, reminder) FROM stdin;
48	1980	Check Reminder	2015-01-08 18:21:00+02	Description to task	3	\N
47	1971	Check Payments	2015-01-04 15:45:00+02	\N	1	\N
46	1964	For testing	2014-12-25 23:05:00+02	For testing purpose only	3	\N
52	2009	I decided to try to follow the postgres approach as directly as possible and came up with the following migration.	2015-01-21 22:44:00+02	\N	1	\N
54	2062	New JEasyui version migrate	2015-03-07 21:43:00+02	Migrate on new 0.4.2 jeasyui version, check all functionality.	2	\N
49	1982	The second task	2015-01-08 18:30:00+02	Second test task	1	\N
51	1985	Test 2	2015-01-14 17:02:00+02	\N	1	\N
53	2016	Notify his	2015-02-02 17:09:00+02	Notify about the documents	3	\N
58	2075	Call about discounts	2015-03-21 17:20:00+02	Calls and talk about tour discounts	3	10
36	1932	Call and remind about payments	2014-12-11 22:48:00+02	Bla-Bla	3	10
90	3622	Check Person Details	2014-11-12 21:43:00+02	We'll reuse the Amount type from last week. It's mostly the same, except we'll remove __clause_element__(), and additionally provide a classmethod version of the as_currency() method, which we'll use when dealing with SQL expressions.	2	10
91	3623	Check Person Details	2014-11-12 21:43:00+02	We'll reuse the Amount type from last week. It's mostly the same, except we'll remove __clause_element__(), and additionally provide a classmethod version of the as_currency() method, which we'll use when dealing with SQL expressions.	2	10
92	3624	Task For Lastovec	2015-04-23 15:32:00+03	Test description for task	0	10
33	1922	Test	2014-12-07 21:36:00+02	For testing purpose	1	10
50	1983	Test	2015-01-13 17:06:00+02	cvxcvbxcvb	1	10
45	1962	Test	2014-12-24 23:32:00+02	xcvbxcvbxcvxb	3	10
37	1933	Call and remind about payment	2014-12-14 22:46:00+02	zdgdf gsdffgsdfgsdg	3	10
41	1939	I have the following code	2014-12-13 23:36:00+02	sdfsd gsdfgsdfg	3	10
95	3627	dfasdfasdf	2016-07-21 13:00:00+03	asdf asdf asdfasdf	0	10
42	1940	Test notifications	2014-12-14 21:37:00+02	afsdf asdfasdf	2	10
96	3628	asdf asdfasdf	2016-07-19 13:08:00+03	sdfasdf	0	10
44	1958	Test new scheduler realization	2014-12-22 19:18:00+02	New scheduler realizations notifications test.	3	10
97	3629	Test new scheduler realization	2014-12-22 19:18:00+02	New scheduler realizations notifications test.	3	10
98	3632	zxcvzx cvzxcvzxcv	2016-07-27 13:22:00+03	xcv zxcvz xcvzxc vzxcv	0	10
99	3633	zxcvzx cvzxcvzxcv	2016-07-27 13:22:00+03	xcv zxcvz xcvzxc vzxcv	0	10
100	3679	Add offer	2016-07-18 21:20:00+03	Add tour offer	0	10
101	3695	Check	2016-07-18 22:20:00+03	check billing	0	10
\.


--
-- Name: task_id_seq; Type: SEQUENCE SET; Schema: public; Owner: -
--

SELECT pg_catalog.setval('task_id_seq', 101, true);


--
-- Data for Name: task_resource; Type: TABLE DATA; Schema: public; Owner: -
--

COPY task_resource (task_id, resource_id) FROM stdin;
47	1840
53	2017
58	2088
48	3
49	3
100	3678
101	3694
\.


--
-- Data for Name: task_upload; Type: TABLE DATA; Schema: public; Owner: -
--

COPY task_upload (task_id, upload_id) FROM stdin;
\.


--
-- Data for Name: ticket; Type: TABLE DATA; Schema: public; Owner: -
--

COPY ticket (id, resource_id, start_location_id, end_location_id, ticket_class_id, transport_id, start_dt, start_additional_info, end_dt, end_additional_info, adults, children, descr) FROM stdin;
2	2255	15	21	2	1	2015-05-10 14:11:00+03	\N	2015-05-10 15:26:00+03	\N	2	0	\N
3	2257	15	21	2	1	2015-05-16 14:38:00+03	\N	2015-05-16 15:39:00+03	\N	2	0	\N
4	2259	21	15	2	1	2015-05-22 17:38:00+03	\N	2015-05-22 18:39:00+03	\N	2	0	\N
5	2261	15	21	2	1	2015-05-15 17:52:00+03	\N	2015-05-15 18:52:00+03	\N	2	0	\N
6	2263	21	15	2	1	2015-05-22 17:52:00+03	\N	2015-05-22 18:52:00+03	\N	2	0	\N
7	2288	15	37	2	1	2015-05-29 15:46:00+03	TICKET INFO	2015-05-29 17:31:00+03	\N	2	0	\N
\.


--
-- Data for Name: ticket_class; Type: TABLE DATA; Schema: public; Owner: -
--

COPY ticket_class (id, resource_id, name) FROM stdin;
1	2248	First class
2	2249	Business Class
\.


--
-- Name: ticket_class_id_seq; Type: SEQUENCE SET; Schema: public; Owner: -
--

SELECT pg_catalog.setval('ticket_class_id_seq', 2, true);


--
-- Name: ticket_id_seq; Type: SEQUENCE SET; Schema: public; Owner: -
--

SELECT pg_catalog.setval('ticket_id_seq', 7, true);


--
-- Data for Name: ticket_order_item; Type: TABLE DATA; Schema: public; Owner: -
--

COPY ticket_order_item (order_item_id, ticket_id) FROM stdin;
28	2
29	3
30	4
31	5
32	6
38	7
\.


--
-- Data for Name: tour; Type: TABLE DATA; Schema: public; Owner: -
--

COPY tour (id, resource_id, start_location_id, end_location_id, hotel_id, accomodation_id, foodcat_id, roomcat_id, adults, children, start_date, end_date, descr, end_transport_id, start_transport_id, transfer_id, end_additional_info, start_additional_info) FROM stdin;
1	2145	15	37	36	\N	\N	\N	2	0	2015-04-30	2015-05-08	\N	1	1	\N	MAU	MAU
2	2147	14	37	36	\N	\N	\N	2	0	2015-04-30	2015-05-08	\N	1	1	\N	\N	\N
3	2149	15	37	36	\N	\N	\N	2	0	2015-04-25	2015-04-30	\N	1	1	\N	\N	\N
4	2151	15	37	36	\N	\N	\N	2	0	2015-04-30	2015-05-08	\N	1	1	\N	\N	\N
5	2153	15	14	36	\N	\N	\N	2	0	2015-04-30	2015-05-08	\N	1	1	\N	\N	\N
6	2155	3	37	36	\N	\N	\N	2	0	2015-04-30	2015-05-08	\N	1	1	\N	\N	\N
7	2157	15	37	36	\N	\N	\N	2	0	2015-04-30	2015-05-08	\N	1	1	\N	\N	\N
8	2159	33	37	36	\N	\N	\N	2	0	2015-04-30	2015-05-08	\N	1	1	\N	\N	\N
9	2161	33	37	36	\N	\N	\N	2	0	2015-04-30	2015-05-08	\N	1	1	\N	\N	\N
10	2163	33	37	36	\N	\N	\N	2	0	2015-04-30	2015-05-08	\N	1	1	\N	\N	\N
11	2165	33	37	36	\N	\N	\N	2	0	2015-04-30	2015-05-08	\N	1	1	\N	\N	\N
12	2168	33	37	36	\N	\N	\N	2	0	2015-04-30	2015-05-08	\N	1	1	\N	\N	\N
13	2173	33	37	36	\N	\N	\N	2	0	2015-04-30	2015-05-08	\N	1	1	\N	\N	\N
14	2175	33	37	36	\N	\N	\N	2	0	2015-04-30	2015-05-08	\N	1	1	\N	\N	\N
15	2177	33	37	36	\N	\N	\N	2	0	2015-04-30	2015-05-08	\N	1	1	\N	\N	\N
16	2179	33	37	36	\N	\N	\N	2	0	2015-04-30	2015-05-08	\N	1	1	\N	\N	\N
17	2181	33	37	36	\N	\N	\N	2	0	2015-04-30	2015-05-08	\N	1	1	\N	\N	\N
18	2183	33	37	36	\N	\N	\N	2	0	2015-04-30	2015-05-08	\N	1	1	\N	\N	\N
19	2185	33	37	36	\N	15	30	2	0	2015-04-30	2015-05-08	Description for service	1	1	\N	\N	\N
20	2188	33	37	36	\N	15	30	2	0	2015-04-30	2015-05-08	Description for service	1	1	\N	\N	\N
21	2190	33	37	36	\N	15	30	2	0	2015-04-30	2015-05-08	Description for service	1	1	\N	\N	\N
22	2266	15	20	12	2	15	30	2	0	2015-05-16	2015-05-23	\N	1	1	\N	\N	\N
24	2286	15	31	32	12	16	26	2	0	2015-05-20	2015-05-27	\N	1	1	\N	\N	\N
23	2283	15	19	16	\N	\N	\N	2	0	2015-05-22	2015-05-29	\N	1	1	\N	\N	\N
26	2342	15	19	16	10	15	\N	2	1	2015-07-13	2015-07-18	\N	1	1	\N	#MAU	#MAU
27	2378	15	39	39	10	10	\N	2	0	2015-06-28	2015-07-04	\N	1	1	\N	#MAU	#MAU
25	2316	15	19	18	10	10	33	2	0	2015-06-21	2015-06-27	\N	1	1	\N	# MAU	# MAU
28	2687	14	40	40	10	3	\N	2	1	2015-07-24	2015-07-30	\N	1	1	\N	#MAU 892134	#MAU 127193
29	2828	15	31	32	13	16	30	2	0	2016-02-12	2016-02-19	\N	1	1	\N	TREY0987YUt	TYU9881623
30	2900	15	41	41	11	10	33	2	0	2016-06-18	2016-06-24	tour to Bodrum	1	1	\N	TYOII-089873	TYU12128-09
31	3661	15	41	41	11	10	33	2	0	2016-06-18	2016-06-24	tour to Bodrum	1	1	\N	TYOII-089873	TYU12128-09
32	3665	15	41	41	11	10	33	2	0	2016-06-18	2016-06-25	tour to Bodrum	1	1	\N	TYOII-089873	TYU12128-09
33	3667	15	41	41	11	10	33	2	0	2016-06-18	2016-06-25	tour to Bodrum	1	1	\N	TYOII-089873	TYU12128-09
34	3685	15	42	42	\N	16	\N	2	0	2016-07-30	2016-08-06	Тип номера: Standard 2 Расположен : - Линия :вторая Подогреваемый бассейн : - От центра / от аэропорта :50 / 40Количество номеров :668 Интернет : есть Территория отеля : 42 000 кв.м.	1	1	\N	MAU6782	MAU987897
\.


--
-- Name: tour_id_seq1; Type: SEQUENCE SET; Schema: public; Owner: -
--

SELECT pg_catalog.setval('tour_id_seq1', 34, true);


--
-- Data for Name: tour_order_item; Type: TABLE DATA; Schema: public; Owner: -
--

COPY tour_order_item (order_item_id, tour_id) FROM stdin;
33	22
36	23
37	24
39	25
40	26
42	27
44	28
46	29
48	30
49	31
52	32
53	33
54	34
\.


--
-- Name: touroperator_id_seq; Type: SEQUENCE SET; Schema: public; Owner: -
--

SELECT pg_catalog.setval('touroperator_id_seq', 104, true);


--
-- Data for Name: transfer; Type: TABLE DATA; Schema: public; Owner: -
--

COPY transfer (id, resource_id, name) FROM stdin;
1	2129	Group
2	2130	Individual
\.


--
-- Name: transfer_id_seq; Type: SEQUENCE SET; Schema: public; Owner: -
--

SELECT pg_catalog.setval('transfer_id_seq', 284, true);


--
-- Name: transfer_id_seq1; Type: SEQUENCE SET; Schema: public; Owner: -
--

SELECT pg_catalog.setval('transfer_id_seq1', 3, true);


--
-- Data for Name: transport; Type: TABLE DATA; Schema: public; Owner: -
--

COPY transport (id, resource_id, name) FROM stdin;
1	2137	Avia
2	2138	Auto
3	2139	Railway
\.


--
-- Name: transport_id_seq; Type: SEQUENCE SET; Schema: public; Owner: -
--

SELECT pg_catalog.setval('transport_id_seq', 3, true);


--
-- Data for Name: upload; Type: TABLE DATA; Schema: public; Owner: -
--

COPY upload (id, path, size, media_type, descr, name, resource_id) FROM stdin;
4	2015627/11fad20d-91e8-4aae-9991-84a9f3ce68a2.jpg	0.00	image/jpeg		YniVN8l0kTY.jpg	2517
5	2015627/edbfabe1-5fa4-413f-a34a-7e87d2962dbd.jpg	0.00	image/jpeg		YniVN8l0kTY.jpg	2518
7	2015627/8c985058-a198-42df-97d2-f55996a1a9b3.jpg	0.00	image/jpeg	\N	Che-Guevara-9322774-1-402.jpg	2519
8	2015627/cdef8ade-0166-4206-bac6-43f1a64ee471.jpg	0.00	image/jpeg		YniVN8l0kTY.jpg	2520
9	2015627/e066c3a4-9840-434a-947d-088a46ecbb32.jpg	0.00	image/jpeg		YniVN8l0kTY.jpg	2521
10	2015627/bacad34b-c04f-4a77-b8d1-3a1a5b944f5b.jpg	0.00	image/jpeg		YniVN8l0kTY.jpg	2522
11	2015627/ba9d9b9e-220c-4ee7-b4d6-7e25a8582881.pdf	0.00	application/pdf		Python..pdf	2523
12	2015627/64d46808-2e69-4048-bc60-ca7ee03de0de.pdf	0.00	application/pdf		Python..pdf	2524
13	2015627/5f588c0b-bd08-4f4e-a55e-54f76895a184.png	0.00	image/png		Снимок экрана из 2015-06-18 13:18:52.png	2525
14	2015628/6b2d987b-b6fe-41d9-8edf-37b1e70fe79b.png	0.00	image/png		Снимок экрана из 2015-06-14 22:01:13.png	2526
15	2015628/6e5fbc5e-7ee9-4abd-9329-2c365546a3cd.png	0.00	image/png		Снимок экрана из 2015-06-14 22:00:32.png	2527
16	2015628/283deac4-aa2c-4222-a8c0-905d44de3530.png	0.00	image/png		Снимок экрана из 2015-06-14 22:00:37.png	2528
17	2015721/c0555abd-9463-4c6e-a938-c7319eeb7f6d.jpg	0.00	image/jpeg	Perfect client	the-perfect-client2.jpg	2664
18	2015722/b32166eb-971c-4ce2-a05a-be76bed46579.jpg	0.00	image/jpeg	\N	kabaeva_150.jpg	2665
19	2015722/1ef77eb8-790f-4494-a9de-ae383a4b7142.jpg	0.00	image/jpeg	passport scan	20120908105644_brooks.jpg	2682
20	2015722/317847e8-f61f-404c-91b9-d6f03c8228dd.jpg	0.00	image/jpeg		20120908105644_brooks.jpg	2684
21	2016620/99153520-cf16-4587-be81-c482839844a8.jpg	0.00	image/jpeg		YniVN8l0kTY.jpg	2910
22	2016620/2593da53-9d16-4207-95d6-002d819fe807.jpg	0.00	image/jpeg	\N	YniVN8l0kTY.jpg	2916
24	2016718/88ca36e1-f48f-4c73-a65d-f7d57dee6009.jpg	0.00	image/jpeg	test me	h3-factory-planet-mountains.jpg	3620
25	2016718/a28f6012-e313-4635-a038-523c62b1e621.png	0.00	image/png	test me	Снимок экрана из 2016-03-06 13:14:11.png	3621
\.


--
-- Name: upload_id_seq; Type: SEQUENCE SET; Schema: public; Owner: -
--

SELECT pg_catalog.setval('upload_id_seq', 26, true);


--
-- Data for Name: user; Type: TABLE DATA; Schema: public; Owner: -
--

COPY "user" (id, resource_id, username, email, password, employee_id) FROM stdin;
31	2126	v.lastovec	lastovec@travelcrm.org.ua	111111	15
2	3	admin	admin@mail.ru	adminadmin	2
23	894	maziv	maziv@mail.ru	123456	7
34	2787	c.theron	vitalii.mazur@gmail.com	041035	32
35	2912	s.dima	s.dima@gmail.com	892648	14
\.


--
-- Name: user_id_seq; Type: SEQUENCE SET; Schema: public; Owner: -
--

SELECT pg_catalog.setval('user_id_seq', 41, true);


--
-- Data for Name: vat; Type: TABLE DATA; Schema: public; Owner: -
--

COPY vat (id, resource_id, service_id, date, vat, calc_method, descr, account_id) FROM stdin;
2	2542	5	2015-06-01	20.00	0	\N	4
3	2543	5	2015-05-01	20.00	0	\N	3
4	2544	4	2015-05-01	20.00	1	\N	3
5	2732	5	2015-08-01	20.00	1	\N	2
1	2515	5	2015-06-01	20.00	1	Vat on Tours is only for commission	2
6	2733	4	2015-07-01	20.00	1	\N	2
7	2859	1	2016-01-01	20.00	0	\N	3
\.


--
-- Name: vat_id_seq; Type: SEQUENCE SET; Schema: public; Owner: -
--

SELECT pg_catalog.setval('vat_id_seq', 7, true);


--
-- Data for Name: visa; Type: TABLE DATA; Schema: public; Owner: -
--

COPY visa (id, resource_id, country_id, start_date, end_date, type, descr) FROM stdin;
1	2274	21	2015-05-31	2016-05-31	0	\N
3	2380	12	2015-06-14	2016-06-14	0	\N
2	2344	17	2015-08-01	2015-09-01	0	\N
4	2689	16	2015-07-24	2015-07-30	0	Add discount for this service
\.


--
-- Name: visa_id_seq; Type: SEQUENCE SET; Schema: public; Owner: -
--

SELECT pg_catalog.setval('visa_id_seq', 4, true);


--
-- Data for Name: visa_order_item; Type: TABLE DATA; Schema: public; Owner: -
--

COPY visa_order_item (order_item_id, visa_id) FROM stdin;
34	1
41	2
43	3
45	4
\.


SET search_path = test, pg_catalog;

--
-- Data for Name: accomodation; Type: TABLE DATA; Schema: test; Owner: -
--

COPY accomodation (id, resource_id, name) FROM stdin;
\.


--
-- Name: accomodation_id_seq; Type: SEQUENCE SET; Schema: test; Owner: -
--

SELECT pg_catalog.setval('accomodation_id_seq', 1, true);


--
-- Data for Name: account; Type: TABLE DATA; Schema: test; Owner: -
--

COPY account (id, resource_id, currency_id, account_type, name, display_text, status, descr) FROM stdin;
\.


--
-- Name: account_id_seq; Type: SEQUENCE SET; Schema: test; Owner: -
--

SELECT pg_catalog.setval('account_id_seq', 1, true);


--
-- Data for Name: account_item; Type: TABLE DATA; Schema: test; Owner: -
--

COPY account_item (id, resource_id, parent_id, name, type, status, descr) FROM stdin;
\.


--
-- Name: account_item_id_seq; Type: SEQUENCE SET; Schema: test; Owner: -
--

SELECT pg_catalog.setval('account_item_id_seq', 1, true);


--
-- Data for Name: address; Type: TABLE DATA; Schema: test; Owner: -
--

COPY address (id, resource_id, location_id, zip_code, address) FROM stdin;
\.


--
-- Name: address_id_seq; Type: SEQUENCE SET; Schema: test; Owner: -
--

SELECT pg_catalog.setval('address_id_seq', 1, true);


--
-- Data for Name: advsource; Type: TABLE DATA; Schema: test; Owner: -
--

COPY advsource (id, resource_id, name) FROM stdin;
\.


--
-- Name: advsource_id_seq; Type: SEQUENCE SET; Schema: test; Owner: -
--

SELECT pg_catalog.setval('advsource_id_seq', 1, true);


--
-- Data for Name: alembic_version; Type: TABLE DATA; Schema: test; Owner: -
--

COPY alembic_version (version_num) FROM stdin;
0dde2b383d6b
\.


--
-- Data for Name: appointment; Type: TABLE DATA; Schema: test; Owner: -
--

COPY appointment (id, resource_id, date, employee_id, position_id, salary, currency_id) FROM stdin;
1	789	2014-02-02	2	4	1000.00	54
6	892	2014-02-22	7	5	4500.00	54
8	1542	2014-03-01	2	4	6500.00	54
12	2658	2015-05-01	7	6	12000.00	56
\.


--
-- Name: appointment_id_seq; Type: SEQUENCE SET; Schema: test; Owner: -
--

SELECT pg_catalog.setval('appointment_id_seq', 12, true);


--
-- Data for Name: bank; Type: TABLE DATA; Schema: test; Owner: -
--

COPY bank (id, resource_id, name) FROM stdin;
\.


--
-- Data for Name: bank_address; Type: TABLE DATA; Schema: test; Owner: -
--

COPY bank_address (bank_id, address_id) FROM stdin;
\.


--
-- Data for Name: bank_detail; Type: TABLE DATA; Schema: test; Owner: -
--

COPY bank_detail (id, resource_id, currency_id, bank_id, beneficiary, account, swift_code) FROM stdin;
\.


--
-- Name: bank_detail_id_seq; Type: SEQUENCE SET; Schema: test; Owner: -
--

SELECT pg_catalog.setval('bank_detail_id_seq', 1, true);


--
-- Name: bank_id_seq; Type: SEQUENCE SET; Schema: test; Owner: -
--

SELECT pg_catalog.setval('bank_id_seq', 1, true);


--
-- Data for Name: bperson; Type: TABLE DATA; Schema: test; Owner: -
--

COPY bperson (id, resource_id, first_name, last_name, second_name, position_name, status, descr) FROM stdin;
\.


--
-- Data for Name: bperson_contact; Type: TABLE DATA; Schema: test; Owner: -
--

COPY bperson_contact (bperson_id, contact_id) FROM stdin;
\.


--
-- Name: bperson_id_seq; Type: SEQUENCE SET; Schema: test; Owner: -
--

SELECT pg_catalog.setval('bperson_id_seq', 1, true);


--
-- Data for Name: calculation; Type: TABLE DATA; Schema: test; Owner: -
--

COPY calculation (id, resource_id, order_item_id, contract_id, price) FROM stdin;
\.


--
-- Name: calculation_id_seq; Type: SEQUENCE SET; Schema: test; Owner: -
--

SELECT pg_catalog.setval('calculation_id_seq', 1, true);


--
-- Data for Name: campaign; Type: TABLE DATA; Schema: test; Owner: -
--

COPY campaign (id, resource_id, name, subject, plain_content, html_content, start_dt, status) FROM stdin;
\.


--
-- Name: campaign_id_seq; Type: SEQUENCE SET; Schema: test; Owner: -
--

SELECT pg_catalog.setval('campaign_id_seq', 1, true);


--
-- Data for Name: cashflow; Type: TABLE DATA; Schema: test; Owner: -
--

COPY cashflow (id, subaccount_from_id, subaccount_to_id, account_item_id, sum, vat, date) FROM stdin;
\.


--
-- Name: cashflow_id_seq; Type: SEQUENCE SET; Schema: test; Owner: -
--

SELECT pg_catalog.setval('cashflow_id_seq', 1, true);


--
-- Data for Name: commission; Type: TABLE DATA; Schema: test; Owner: -
--

COPY commission (id, resource_id, service_id, percentage, price, currency_id, descr) FROM stdin;
\.


--
-- Name: commission_id_seq; Type: SEQUENCE SET; Schema: test; Owner: -
--

SELECT pg_catalog.setval('commission_id_seq', 1, true);


--
-- Data for Name: company; Type: TABLE DATA; Schema: test; Owner: -
--

COPY company (id, resource_id, currency_id, name, email, settings) FROM stdin;
1	1970	56	My Company	test@test.com	{"locale": "en", "timezone": "Africa/Abidjan"}
\.


--
-- Name: company_id_seq; Type: SEQUENCE SET; Schema: test; Owner: -
--

SELECT pg_catalog.setval('company_id_seq', 1, true);


--
-- Data for Name: company_subaccount; Type: TABLE DATA; Schema: test; Owner: -
--

COPY company_subaccount (company_id, subaccount_id) FROM stdin;
\.


--
-- Data for Name: contact; Type: TABLE DATA; Schema: test; Owner: -
--

COPY contact (id, resource_id, contact_type, contact, status, descr) FROM stdin;
\.


--
-- Name: contact_id_seq; Type: SEQUENCE SET; Schema: test; Owner: -
--

SELECT pg_catalog.setval('contact_id_seq', 1, true);


--
-- Data for Name: contract; Type: TABLE DATA; Schema: test; Owner: -
--

COPY contract (id, resource_id, num, date, status, descr) FROM stdin;
\.


--
-- Data for Name: contract_commission; Type: TABLE DATA; Schema: test; Owner: -
--

COPY contract_commission (contract_id, commission_id) FROM stdin;
\.


--
-- Name: contract_id_seq; Type: SEQUENCE SET; Schema: test; Owner: -
--

SELECT pg_catalog.setval('contract_id_seq', 1, true);


--
-- Data for Name: country; Type: TABLE DATA; Schema: test; Owner: -
--

COPY country (id, resource_id, iso_code, name) FROM stdin;
3	878	UA	Ukraine
4	880	EG	Egypt
5	881	TR	Turkey
6	882	GB	United Kingdom
7	883	US	United States
8	884	TH	Thailand
9	1095	RU	Russian Federation
12	1164	HR	Croatia
13	1169	AE	United Arab Emirates
14	1178	ES	Spain
16	1339	CY	Cyprus
17	1343	IT	Italy
11	1100	DE	Germany
18	1351	GR	Greece
19	1646	FR	France
21	2270	PL	Poland
\.


--
-- Name: country_id_seq; Type: SEQUENCE SET; Schema: test; Owner: -
--

SELECT pg_catalog.setval('country_id_seq', 21, true);


--
-- Data for Name: crosspayment; Type: TABLE DATA; Schema: test; Owner: -
--

COPY crosspayment (id, resource_id, cashflow_id, descr) FROM stdin;
\.


--
-- Name: crosspayment_id_seq; Type: SEQUENCE SET; Schema: test; Owner: -
--

SELECT pg_catalog.setval('crosspayment_id_seq', 1, true);


--
-- Data for Name: currency; Type: TABLE DATA; Schema: test; Owner: -
--

COPY currency (id, resource_id, iso_code) FROM stdin;
44	849	RUB
50	1060	KZT
52	1168	BYR
54	1240	EUR
56	1310	UAH
57	1311	USD
\.


--
-- Name: currency_id_seq; Type: SEQUENCE SET; Schema: test; Owner: -
--

SELECT pg_catalog.setval('currency_id_seq', 57, true);


--
-- Data for Name: currency_rate; Type: TABLE DATA; Schema: test; Owner: -
--

COPY currency_rate (id, resource_id, currency_id, supplier_id, date, rate) FROM stdin;
\.


--
-- Name: currency_rate_id_seq; Type: SEQUENCE SET; Schema: test; Owner: -
--

SELECT pg_catalog.setval('currency_rate_id_seq', 1, true);


--
-- Data for Name: dismissal; Type: TABLE DATA; Schema: test; Owner: -
--

COPY dismissal (id, resource_id, date, employee_id) FROM stdin;
\.


--
-- Name: dismissal_id_seq; Type: SEQUENCE SET; Schema: test; Owner: -
--

SELECT pg_catalog.setval('dismissal_id_seq', 1, true);


--
-- Data for Name: employee; Type: TABLE DATA; Schema: test; Owner: -
--

COPY employee (id, resource_id, photo_upload_id, first_name, last_name, second_name, itn) FROM stdin;
4	786	\N	Oleg	Pogorelov		\N
8	893	\N	Oleg	Mazur	V.	\N
9	1040	\N	Halyna	Sereda		\N
10	1041	\N	Andrey	Shabanov		\N
11	1042	\N	Dymitrii	Veremeychuk		\N
13	1044	\N	Alexandra	Koff	\N	\N
14	1045	\N	Dima	Shkreba	\N	\N
15	1046	\N	Viktoriia	Lastovets	\N	\N
12	1043	\N	Denis	Yurin	\N	12
30	2053	\N	Igor	Mazur	\N	\N
31	2477	\N	Alina	Kabaeva	\N	344
2	784	\N	John	Doe	\N	\N
7	885	\N	Irina	Mazur	V.	\N
32	2785	\N	Charlize	Theron	\N	\N
\.


--
-- Data for Name: employee_address; Type: TABLE DATA; Schema: test; Owner: -
--

COPY employee_address (employee_id, address_id) FROM stdin;
\.


--
-- Data for Name: employee_contact; Type: TABLE DATA; Schema: test; Owner: -
--

COPY employee_contact (employee_id, contact_id) FROM stdin;
\.


--
-- Name: employee_id_seq; Type: SEQUENCE SET; Schema: test; Owner: -
--

SELECT pg_catalog.setval('employee_id_seq', 32, true);


--
-- Data for Name: employee_notification; Type: TABLE DATA; Schema: test; Owner: -
--

COPY employee_notification (employee_id, notification_id, status) FROM stdin;
\.


--
-- Data for Name: employee_passport; Type: TABLE DATA; Schema: test; Owner: -
--

COPY employee_passport (employee_id, passport_id) FROM stdin;
\.


--
-- Data for Name: employee_subaccount; Type: TABLE DATA; Schema: test; Owner: -
--

COPY employee_subaccount (employee_id, subaccount_id) FROM stdin;
\.


--
-- Data for Name: employee_upload; Type: TABLE DATA; Schema: test; Owner: -
--

COPY employee_upload (employee_id, upload_id) FROM stdin;
\.


--
-- Data for Name: foodcat; Type: TABLE DATA; Schema: test; Owner: -
--

COPY foodcat (id, resource_id, name) FROM stdin;
\.


--
-- Name: foodcat_id_seq; Type: SEQUENCE SET; Schema: test; Owner: -
--

SELECT pg_catalog.setval('foodcat_id_seq', 1, true);


--
-- Data for Name: hotel; Type: TABLE DATA; Schema: test; Owner: -
--

COPY hotel (id, resource_id, hotelcat_id, location_id, name) FROM stdin;
\.


--
-- Name: hotel_id_seq; Type: SEQUENCE SET; Schema: test; Owner: -
--

SELECT pg_catalog.setval('hotel_id_seq', 1, true);


--
-- Data for Name: hotelcat; Type: TABLE DATA; Schema: test; Owner: -
--

COPY hotelcat (id, resource_id, name) FROM stdin;
\.


--
-- Name: hotelcat_id_seq; Type: SEQUENCE SET; Schema: test; Owner: -
--

SELECT pg_catalog.setval('hotelcat_id_seq', 1, true);


--
-- Data for Name: income; Type: TABLE DATA; Schema: test; Owner: -
--

COPY income (id, resource_id, invoice_id, account_item_id, sum, date, descr) FROM stdin;
\.


--
-- Data for Name: income_cashflow; Type: TABLE DATA; Schema: test; Owner: -
--

COPY income_cashflow (income_id, cashflow_id) FROM stdin;
\.


--
-- Name: income_id_seq; Type: SEQUENCE SET; Schema: test; Owner: -
--

SELECT pg_catalog.setval('income_id_seq', 1, true);


--
-- Data for Name: invoice; Type: TABLE DATA; Schema: test; Owner: -
--

COPY invoice (id, date, active_until, resource_id, order_id, account_id, descr) FROM stdin;
\.


--
-- Name: invoice_id_seq; Type: SEQUENCE SET; Schema: test; Owner: -
--

SELECT pg_catalog.setval('invoice_id_seq', 1, true);


--
-- Data for Name: invoice_item; Type: TABLE DATA; Schema: test; Owner: -
--

COPY invoice_item (id, invoice_id, order_item_id, price, vat, discount, descr) FROM stdin;
\.


--
-- Name: invoice_item_id_seq; Type: SEQUENCE SET; Schema: test; Owner: -
--

SELECT pg_catalog.setval('invoice_item_id_seq', 1, true);


--
-- Data for Name: lead; Type: TABLE DATA; Schema: test; Owner: -
--

COPY lead (id, lead_date, resource_id, advsource_id, customer_id, status, descr) FROM stdin;
\.


--
-- Name: lead_id_seq; Type: SEQUENCE SET; Schema: test; Owner: -
--

SELECT pg_catalog.setval('lead_id_seq', 1, true);


--
-- Data for Name: lead_item; Type: TABLE DATA; Schema: test; Owner: -
--

COPY lead_item (id, resource_id, lead_id, service_id, currency_id, price_from, price_to, descr) FROM stdin;
\.


--
-- Name: lead_item_id_seq; Type: SEQUENCE SET; Schema: test; Owner: -
--

SELECT pg_catalog.setval('lead_item_id_seq', 1, true);


--
-- Data for Name: lead_offer; Type: TABLE DATA; Schema: test; Owner: -
--

COPY lead_offer (id, resource_id, lead_id, service_id, currency_id, supplier_id, price, status, descr) FROM stdin;
\.


--
-- Name: lead_offer_id_seq; Type: SEQUENCE SET; Schema: test; Owner: -
--

SELECT pg_catalog.setval('lead_offer_id_seq', 1, true);


--
-- Data for Name: location; Type: TABLE DATA; Schema: test; Owner: -
--

COPY location (id, resource_id, region_id, name) FROM stdin;
\.


--
-- Name: location_id_seq; Type: SEQUENCE SET; Schema: test; Owner: -
--

SELECT pg_catalog.setval('location_id_seq', 1, true);


--
-- Data for Name: navigation; Type: TABLE DATA; Schema: test; Owner: -
--

COPY navigation (id, resource_id, position_id, parent_id, name, url, action, icon_cls, separator_before, sort_order) FROM stdin;
41	1079	5	\N	Home	/	\N	fa fa-home	f	1
47	1253	5	\N	For Test	/	\N	fa fa-credit-card	f	2
53	1394	4	\N	Finance	/	\N	fa fa-credit-card	f	7
156	1905	4	53	Billing	/	\N	\N	f	10
107	1777	4	\N	Home	/	\N	fa fa-home	f	1
32	998	4	\N	Sales	/	\N	fa fa-legal	f	2
21	864	4	\N	Clientage	/	\N	fa fa-briefcase	f	3
26	900	4	\N	Marketing	/	\N	fa fa-bullhorn	f	4
10	780	4	\N	HR	/	\N	fa fa-group	f	5
18	837	4	\N	Company	/	\N	fa fa-building-o	f	6
23	873	4	\N	Directories	/	\N	fa fa-book	f	8
152	1895	4	\N	Reports	/	\N	fa fa-pie-chart	f	9
155	1904	4	53	Payments	/	\N	\N	f	12
157	1906	4	53	Currencies		\N	\N	t	7
42	1080	4	159	Hotels List	/hotels	\N	\N	f	5
43	1089	4	158	Locations	/locations	\N	\N	f	3
50	1312	4	53	Services List	/services	\N	\N	f	6
45	1212	4	53	Banks	/banks	tab_open	\N	f	6
153	1896	4	152	Turnovers	/turnovers	tab_open	\N	f	2
51	1368	4	32	Invoices	/invoices	tab_open	\N	t	5
9	779	4	8	Resource Types	/resources_types	\N	\N	f	1
13	790	4	10	Employees	/employees	\N	\N	f	1
54	1395	4	157	Currencies Rates	/currencies_rates	\N	\N	f	8
55	1425	4	156	Accounts Items	/accounts_items	\N	\N	f	3
56	1434	4	155	Income Payments	/incomes	\N	\N	f	9
57	1436	4	156	Accounts	/accounts	\N	\N	f	1
14	791	4	10	Employees Appointments	/appointments	\N	\N	f	2
174	2514	4	156	Vat Settings	/vats	tab_open	\N	t	5
15	792	4	8	Users	/users	\N	\N	f	3
17	802	4	157	Currencies List	/currencies	\N	\N	f	7
19	838	4	18	Structures	/structures	\N	\N	f	1
20	863	4	18	Positions	/positions	\N	\N	f	2
22	866	4	21	Persons	/persons	\N	\N	f	1
24	874	4	158	Countries	/countries	\N	\N	f	4
25	879	4	158	Regions	/regions	\N	\N	f	3
27	902	4	26	Advertising Sources	/advsources	\N	\N	f	1
28	910	4	159	Hotels Categories	/hotelcats	\N	\N	f	6
29	911	4	159	Rooms Categories	/roomcats	\N	\N	f	7
30	955	4	159	Accomodations	/accomodations	tab_open	\N	f	10
31	956	4	159	Food Categories	/foodcats	\N	\N	f	9
61	1571	4	155	Outgoing Payments	/outgoings	\N	\N	f	10
150	1798	4	156	Subaccounts	/subaccounts	\N	\N	f	2
151	1885	4	155	Cross Payments	/crosspayments	\N	\N	f	11
36	1008	4	23	Business Persons	/bpersons	tab_open	\N	f	4
60	1550	4	23	Suppliers	/suppliers	tab_open	\N	f	1
165	1975	4	8	Company	/companies/edit	dialog_open	\N	t	4
166	2048	4	32	Leads	/leads	tab_open	\N	f	2
168	2101	4	32	Orders	/orders	tab_open	\N	f	4
158	1907	4	23	Geography	/	\N	\N	f	10
159	1908	4	23	Hotels	/	\N	\N	t	9
169	2128	4	23	Transfers	/transfers	tab_open	\N	t	5
170	2136	4	23	Transport	/transports	tab_open	\N	f	6
171	2219	4	23	Suppliers Types	/suppliers_types	tab_open	\N	f	3
172	2222	4	23	Contracts	/contracts	tab_open	\N	f	2
173	2245	4	23	Ticket Class	/tickets_classes	tab_open	\N	f	7
175	2552	4	23	Persons Categories	/persons_categories	tab_open	\N	f	8
182	2602	6	\N	Home	/	\N	fa fa-home	f	1
183	2603	6	\N	Sales	/	\N	fa fa-legal	f	2
184	2604	6	\N	Clientage	/	\N	fa fa-briefcase	f	3
185	2605	6	\N	Marketing	/	\N	fa fa-bullhorn	f	4
188	2608	6	\N	Directories	/	\N	fa fa-book	f	8
192	2612	6	229	Hotels List	/hotels	\N	\N	f	5
193	2613	6	228	Locations	/locations	\N	\N	f	3
197	2617	6	183	Invoices	/invoices	tab_open	\N	t	5
211	2631	6	184	Persons	/persons	\N	\N	f	1
212	2632	6	228	Countries	/countries	\N	\N	f	4
213	2633	6	228	Regions	/regions	\N	\N	f	3
214	2634	6	185	Advertising Sources	/advsources	\N	\N	f	1
215	2635	6	229	Hotels Categories	/hotelcats	\N	\N	f	6
216	2636	6	229	Rooms Categories	/roomcats	\N	\N	f	7
217	2637	6	229	Accomodations	/accomodations	tab_open	\N	f	10
218	2638	6	229	Food Categories	/foodcats	\N	\N	f	9
222	2642	6	188	Business Persons	/bpersons	tab_open	\N	f	4
223	2643	6	188	Suppliers	/suppliers	tab_open	\N	f	1
226	2646	6	183	Leads	/leads	tab_open	\N	f	2
227	2647	6	183	Orders	/orders	tab_open	\N	f	4
228	2648	6	188	Geography	/	\N	\N	f	10
229	2649	6	188	Hotels	/	\N	\N	t	9
230	2650	6	188	Transfers	/transfers	tab_open	\N	t	5
231	2651	6	188	Transport	/transports	tab_open	\N	f	6
232	2652	6	188	Suppliers Types	/suppliers_types	tab_open	\N	f	3
233	2653	6	188	Contracts	/contracts	tab_open	\N	f	2
234	2654	6	188	Ticket Class	/tickets_classes	tab_open	\N	f	7
235	2655	6	188	Persons Categories	/persons_categories	tab_open	\N	f	8
236	2741	4	26	Campaigns	/campaigns	tab_open	\N	t	3
237	2883	4	10	Dismissals	/dismissals	tab_open	\N	t	3
8	778	4	\N	System	/	tab_open	fa fa-cog	f	11
239	2889	4	238	Assign resources	/assigns/assign	dialog_open	\N	f	1
238	2888	4	\N	Tools	/	tab_open	fa fa-gears	f	10
\.


--
-- Name: navigation_id_seq; Type: SEQUENCE SET; Schema: test; Owner: -
--

SELECT pg_catalog.setval('navigation_id_seq', 239, true);


--
-- Data for Name: note; Type: TABLE DATA; Schema: test; Owner: -
--

COPY note (id, resource_id, title, descr) FROM stdin;
\.


--
-- Name: note_id_seq; Type: SEQUENCE SET; Schema: test; Owner: -
--

SELECT pg_catalog.setval('note_id_seq', 1, true);


--
-- Data for Name: note_resource; Type: TABLE DATA; Schema: test; Owner: -
--

COPY note_resource (note_id, resource_id) FROM stdin;
\.


--
-- Data for Name: note_upload; Type: TABLE DATA; Schema: test; Owner: -
--

COPY note_upload (note_id, upload_id) FROM stdin;
\.


--
-- Data for Name: notification; Type: TABLE DATA; Schema: test; Owner: -
--

COPY notification (id, resource_id, title, descr, url, created) FROM stdin;
\.


--
-- Name: notification_id_seq; Type: SEQUENCE SET; Schema: test; Owner: -
--

SELECT pg_catalog.setval('notification_id_seq', 1, true);


--
-- Data for Name: notification_resource; Type: TABLE DATA; Schema: test; Owner: -
--

COPY notification_resource (notification_id, resource_id) FROM stdin;
\.


--
-- Data for Name: order; Type: TABLE DATA; Schema: test; Owner: -
--

COPY "order" (id, deal_date, resource_id, customer_id, lead_id, advsource_id, status, descr) FROM stdin;
\.


--
-- Name: order_id_seq; Type: SEQUENCE SET; Schema: test; Owner: -
--

SELECT pg_catalog.setval('order_id_seq', 1, true);


--
-- Data for Name: order_item; Type: TABLE DATA; Schema: test; Owner: -
--

COPY order_item (id, resource_id, order_id, service_id, currency_id, supplier_id, price, discount_sum, discount_percent, status, status_date, status_info) FROM stdin;
\.


--
-- Name: order_item_id_seq; Type: SEQUENCE SET; Schema: test; Owner: -
--

SELECT pg_catalog.setval('order_item_id_seq', 1, true);


--
-- Data for Name: outgoing; Type: TABLE DATA; Schema: test; Owner: -
--

COPY outgoing (id, date, resource_id, account_item_id, subaccount_id, sum, descr) FROM stdin;
\.


--
-- Data for Name: outgoing_cashflow; Type: TABLE DATA; Schema: test; Owner: -
--

COPY outgoing_cashflow (outgoing_id, cashflow_id) FROM stdin;
\.


--
-- Name: outgoing_id_seq; Type: SEQUENCE SET; Schema: test; Owner: -
--

SELECT pg_catalog.setval('outgoing_id_seq', 1, true);


--
-- Data for Name: passport; Type: TABLE DATA; Schema: test; Owner: -
--

COPY passport (id, resource_id, country_id, passport_type, num, end_date, descr) FROM stdin;
\.


--
-- Name: passport_id_seq; Type: SEQUENCE SET; Schema: test; Owner: -
--

SELECT pg_catalog.setval('passport_id_seq', 1, true);


--
-- Data for Name: passport_upload; Type: TABLE DATA; Schema: test; Owner: -
--

COPY passport_upload (passport_id, upload_id) FROM stdin;
\.


--
-- Data for Name: permision; Type: TABLE DATA; Schema: test; Owner: -
--

COPY permision (id, resource_type_id, position_id, permisions, scope_type, structure_id) FROM stdin;
34	61	4	{view,add,edit,delete}	all	\N
53	2	5	{view,add,edit,delete}	all	\N
54	1	5	{view}	all	\N
21	1	4	{view}	all	\N
68	1	7	{view}	all	\N
69	2	7	{view,add,edit,delete}	structure	5
85	65	8	{view,add,edit,delete}	all	\N
86	61	8	{view,add,edit,delete}	all	\N
87	59	8	{view,add,edit,delete}	all	\N
88	55	8	{view,add,edit,delete}	all	\N
89	41	8	{view,add,edit,delete}	all	\N
90	67	8	{view,add,edit,delete}	all	\N
91	69	8	{view,add,edit,delete}	all	\N
92	39	8	{view,add,edit,delete}	all	\N
93	70	8	{view,add,edit,delete}	all	\N
94	71	8	{view,add,edit,delete}	all	\N
95	72	8	{view,add,edit,delete}	all	\N
96	73	8	{view,add,edit,delete}	all	\N
97	74	8	{view,add,edit,delete}	all	\N
98	75	8	{view,add,edit,delete}	all	\N
99	78	8	{view,add,edit,delete}	all	\N
100	79	8	{view,add,edit,delete}	all	\N
101	47	8	{view,add,edit,delete}	all	\N
102	83	8	{view,add,edit,delete}	all	\N
103	84	8	{view,add,edit,delete}	all	\N
104	86	8	{view,add,edit,delete}	all	\N
105	87	8	{view,add,edit,delete}	all	\N
106	89	8	{view,add,edit,delete}	all	\N
107	90	8	{view,add,edit,delete}	all	\N
108	91	8	{view,add,edit,delete}	all	\N
109	1	8	{view}	all	\N
110	93	8	{view,add,edit,delete}	all	\N
111	101	8	{view,add,edit,delete}	all	\N
112	2	8	{view,add,edit,delete}	all	\N
113	102	8	{view,add,edit,delete}	all	\N
114	104	8	{view,add,edit,delete}	all	\N
115	105	8	{view,add,edit,delete}	all	\N
116	103	8	{view,add,edit,delete}	all	\N
117	106	8	{view,add,edit,delete}	all	\N
118	107	8	{view,add,edit,delete}	all	\N
120	110	8	{view,add,edit,delete}	all	\N
121	111	8	{view,add,edit,delete}	all	\N
123	12	8	{view,add,edit,delete,settings}	all	\N
39	69	4	{view,add,edit,delete,assign}	all	\N
42	71	4	{view,add,edit,delete,assign}	all	\N
43	72	4	{view,add,edit,delete,assign}	all	\N
44	73	4	{view,add,edit,delete,assign}	all	\N
45	74	4	{view,add,edit,delete,assign}	all	\N
46	75	4	{view,add,edit,delete,assign}	all	\N
49	79	4	{view,add,edit,delete,assign}	all	\N
55	83	4	{view,add,edit,delete,assign}	all	\N
56	84	4	{view,add,edit,delete,assign}	all	\N
58	86	4	{view,add,edit,delete,assign}	all	\N
61	89	4	{view,add,edit,delete}	all	\N
62	90	4	{view,add,edit,delete}	all	\N
70	101	4	{view,add,edit,delete}	all	\N
63	91	4	{view,add,edit,delete,assign}	all	\N
79	110	4	{view,add,edit,delete}	all	\N
71	102	4	{view,add,edit,delete,assign}	all	\N
73	104	4	{view,add,edit,delete,assign}	all	\N
74	105	4	{view,add,edit,delete,assign}	all	\N
76	107	4	{view,add,edit,delete,assign}	all	\N
26	47	4	{view,add,edit,delete,assign}	all	\N
80	111	4	{view,add,edit,delete,assign}	all	\N
128	117	4	{view,add,edit,delete,assign}	all	\N
59	87	4	{view,add,edit,delete}	all	\N
22	2	4	{view,add,edit,delete,assign}	all	\N
38	41	4	{view,add,edit,delete,assign}	all	\N
40	39	4	{view,add,edit,delete,assign}	all	\N
35	65	4	{view,add,edit,delete,assign}	all	\N
37	67	4	{view,add,edit,delete,assign}	all	\N
41	70	4	{view,add,edit,delete,assign}	all	\N
132	121	4	{view}	all	\N
134	123	4	{view,close}	all	\N
137	126	4	{view,edit}	all	\N
164	152	4	{view,settings}	all	\N
165	153	4	{view,settings}	all	\N
233	41	6	{view,add,edit,delete}	all	\N
234	67	6	{view,add,edit,delete}	all	\N
236	39	6	{view,add,edit,delete}	all	\N
237	70	6	{view,add,edit,delete}	all	\N
238	71	6	{view,add,edit,delete}	all	\N
239	72	6	{view,add,edit,delete}	all	\N
240	73	6	{view,add,edit,delete}	all	\N
241	74	6	{view,add,edit,delete}	all	\N
242	75	6	{view,add,edit,delete}	all	\N
244	79	6	{view,add,edit,delete}	all	\N
246	83	6	{view,add,edit,delete}	all	\N
247	84	6	{view,add,edit,delete}	all	\N
249	87	6	{view,add,edit,delete}	all	\N
250	89	6	{view,add,edit,delete}	all	\N
251	90	6	{view,add,edit,delete}	all	\N
253	1	6	{view}	all	\N
254	93	6	{view,add,edit,delete}	all	\N
261	110	6	{view,add,edit,delete}	all	\N
264	118	6	{view,add,edit,delete}	all	\N
267	121	6	{view}	all	\N
269	123	6	{view,close}	all	\N
271	146	6	{view,add,edit,delete}	all	\N
273	145	6	{view,add,edit,delete}	all	\N
274	144	6	{view,add,edit,delete}	all	\N
275	143	6	{view,add,edit,delete}	all	\N
276	142	6	{view,add,edit,delete}	all	\N
282	135	6	{view,add,edit,delete}	all	\N
277	141	6	{view}	all	\N
278	140	6	{view}	all	\N
279	139	6	{view}	all	\N
280	138	6	{view}	all	\N
281	137	6	{view,add,edit,delete}	structure	3
283	134	6	{view,add,edit,delete,calculation,invoice,contract}	structure	3
272	130	6	{view,add,edit,delete,order}	structure	3
270	126	6	{}	all	\N
266	120	6	{}	all	\N
265	119	6	{view,edit,delete}	all	\N
263	117	6	{view}	all	\N
262	111	6	{}	all	\N
260	107	6	{view}	all	\N
285	106	6	{}	all	\N
259	105	6	{}	all	\N
258	104	6	{view}	all	\N
286	103	6	{view,add,edit,delete}	all	\N
257	102	6	{view}	all	\N
255	101	6	{view}	all	\N
252	91	6	{view}	all	\N
248	86	6	{view}	all	\N
243	78	6	{view}	all	\N
229	65	6	{view}	all	\N
230	61	6	{view}	all	\N
231	59	6	{}	all	\N
268	12	6	{}	all	\N
288	149	6	{view,add,edit,delete}	all	\N
256	2	6	{}	all	\N
290	152	6	{view,settings}	all	\N
291	153	6	{view}	all	\N
75	106	4	{view,add,edit,delete,assign}	all	\N
24	12	4	{view,add,edit,delete,assign,settings}	all	\N
146	135	4	{view,add,edit,delete}	all	\N
141	130	4	{view,add,edit,delete,assign,order}	all	\N
148	137	4	{view,add,edit,delete}	all	\N
154	143	4	{view,add,edit,delete}	all	\N
149	138	4	{view,add,edit,delete,assign}	all	\N
150	139	4	{view,add,edit,delete,assign}	all	\N
151	140	4	{view,add,edit,delete,assign}	all	\N
152	141	4	{view,add,edit,delete,assign}	all	\N
155	144	4	{view,add,edit,delete}	all	\N
157	145	4	{view,add,edit,delete}	all	\N
158	146	4	{view,add,edit,delete}	all	\N
161	149	4	{view,add,edit,delete}	all	\N
160	148	4	{view,add,edit,delete,assign}	all	\N
163	151	4	{view,add,edit,delete,assign}	all	\N
129	118	4	{view,add,edit,delete}	all	\N
130	119	4	{view,add,edit,delete,autoload}	all	\N
289	151	6	{view}	all	\N
287	148	6	{view}	all	\N
232	55	6	{view}	all	\N
245	47	6	{view}	all	\N
235	69	6	{view,add,edit,delete}	all	\N
32	59	4	{view,add,edit,delete,assign}	all	\N
48	78	4	{view,add,edit,delete,assign}	all	\N
65	93	4	{view,add,edit,delete,assign}	all	\N
72	103	4	{view,add,edit,delete,assign,settings}	all	\N
131	120	4	{view,add,edit,delete,assign}	all	\N
153	142	4	{view,add,edit,delete,assign}	all	\N
294	156	4	{view,add,edit,delete,settings,assign}	all	\N
30	55	4	{view,add,edit,delete,assign}	all	\N
297	159	4	{view,add,edit,delete,assign}	all	\N
298	160	4	{assign}	all	\N
145	134	4	{view,add,edit,delete,settings,assign,calculation,invoice,contract}	all	\N
\.


--
-- Name: permision_id_seq; Type: SEQUENCE SET; Schema: test; Owner: -
--

SELECT pg_catalog.setval('permision_id_seq', 298, true);


--
-- Data for Name: person; Type: TABLE DATA; Schema: test; Owner: -
--

COPY person (id, resource_id, person_category_id, first_name, last_name, second_name, birthday, gender, email_subscription, sms_subscription, descr) FROM stdin;
\.


--
-- Data for Name: person_address; Type: TABLE DATA; Schema: test; Owner: -
--

COPY person_address (person_id, address_id) FROM stdin;
\.


--
-- Data for Name: person_category; Type: TABLE DATA; Schema: test; Owner: -
--

COPY person_category (id, resource_id, name) FROM stdin;
\.


--
-- Name: person_category_id_seq; Type: SEQUENCE SET; Schema: test; Owner: -
--

SELECT pg_catalog.setval('person_category_id_seq', 1, true);


--
-- Data for Name: person_contact; Type: TABLE DATA; Schema: test; Owner: -
--

COPY person_contact (person_id, contact_id) FROM stdin;
\.


--
-- Name: person_id_seq; Type: SEQUENCE SET; Schema: test; Owner: -
--

SELECT pg_catalog.setval('person_id_seq', 1, true);


--
-- Data for Name: person_order_item; Type: TABLE DATA; Schema: test; Owner: -
--

COPY person_order_item (order_item_id, person_id) FROM stdin;
\.


--
-- Data for Name: person_passport; Type: TABLE DATA; Schema: test; Owner: -
--

COPY person_passport (person_id, passport_id) FROM stdin;
\.


--
-- Data for Name: person_subaccount; Type: TABLE DATA; Schema: test; Owner: -
--

COPY person_subaccount (person_id, subaccount_id) FROM stdin;
\.


--
-- Data for Name: position; Type: TABLE DATA; Schema: test; Owner: -
--

COPY "position" (id, resource_id, structure_id, name) FROM stdin;
4	772	32	Main Developer
5	886	5	Finance Director
6	1249	3	Sales Manager
7	1252	9	Sales Manager
8	1775	1	Main Developer
\.


--
-- Name: position_id_seq; Type: SEQUENCE SET; Schema: test; Owner: -
--

SELECT pg_catalog.setval('position_id_seq', 8, true);


--
-- Data for Name: region; Type: TABLE DATA; Schema: test; Owner: -
--

COPY region (id, resource_id, country_id, name) FROM stdin;
\.


--
-- Name: region_id_seq; Type: SEQUENCE SET; Schema: test; Owner: -
--

SELECT pg_catalog.setval('region_id_seq', 1, true);


--
-- Data for Name: resource; Type: TABLE DATA; Schema: test; Owner: -
--

COPY resource (id, resource_type_id, maintainer_id, protected) FROM stdin;
12	12	2	\N
14	12	2	\N
16	12	2	\N
30	12	2	\N
31	12	2	\N
32	12	2	\N
33	12	2	\N
34	12	2	\N
35	12	2	\N
36	12	2	\N
37	12	2	\N
38	12	2	\N
39	12	2	\N
40	12	2	\N
43	12	2	\N
44	12	2	\N
45	12	2	\N
83	2	2	\N
84	2	2	\N
277	39	2	\N
913	72	2	\N
914	72	2	\N
915	72	2	\N
916	72	2	\N
917	72	2	\N
2890	93	2	f
918	72	2	\N
919	72	2	\N
928	73	2	\N
929	73	2	\N
930	73	2	\N
931	73	2	\N
932	73	2	\N
933	73	2	\N
935	73	2	\N
936	73	2	\N
937	73	2	\N
948	73	2	\N
949	73	2	\N
950	73	2	\N
952	73	2	\N
953	12	2	\N
954	12	2	\N
955	65	2	\N
956	65	2	\N
957	74	2	\N
958	74	2	\N
1647	39	2	f
2266	137	2	f
2267	134	2	f
2268	12	2	f
2269	105	2	f
1915	111	2	f
1917	110	2	f
1949	123	2	f
1961	123	2	f
2714	104	2	f
2715	119	2	f
2716	119	2	f
2717	119	2	f
2718	119	2	f
2881	69	2	f
2882	12	2	f
2883	65	2	f
278	39	2	\N
279	39	2	\N
280	39	2	\N
281	39	2	\N
282	39	2	\N
283	12	2	\N
286	41	2	\N
287	41	2	\N
288	41	2	\N
289	41	2	\N
938	73	2	\N
939	73	2	\N
961	74	2	\N
962	74	2	\N
2891	87	7	f
2894	130	7	f
2901	93	7	f
963	74	2	\N
964	74	2	\N
965	74	2	\N
966	74	2	\N
967	74	2	\N
968	74	2	\N
969	74	2	\N
970	74	2	\N
971	74	2	\N
973	75	2	\N
975	75	2	\N
976	75	2	\N
977	75	2	\N
978	75	2	\N
979	75	2	\N
980	75	2	\N
981	75	2	\N
982	75	2	\N
983	75	2	\N
984	75	2	\N
1616	69	2	f
1619	69	2	f
1620	87	2	f
1621	87	2	f
1622	89	2	f
1623	90	2	f
1381	89	2	f
2439	117	2	f
2784	123	2	f
2785	47	2	f
2786	2	2	f
2787	2	2	f
2788	12	2	f
2813	12	2	f
2814	87	2	f
2815	93	2	f
2842	119	2	f
290	41	2	\N
291	41	2	\N
884	70	2	\N
886	59	2	\N
943	73	2	\N
944	73	2	\N
945	73	2	\N
946	73	2	\N
947	73	2	\N
2892	69	7	f
998	65	2	\N
1005	78	2	\N
1007	12	2	\N
1008	65	2	\N
1009	79	2	\N
1325	83	2	f
1326	84	2	f
1327	83	2	f
1328	39	2	f
1329	84	2	f
1330	83	2	f
1331	83	2	f
1332	39	2	f
1333	84	2	f
1334	83	2	f
1335	83	2	f
1339	70	2	f
1340	39	2	f
1344	39	2	f
1345	84	2	f
1346	83	2	f
1350	83	2	f
1351	70	2	f
1352	39	2	f
1353	84	2	f
1354	83	2	f
1355	39	2	f
1356	84	2	f
1357	83	2	f
2231	78	2	f
2232	78	2	f
2233	78	2	f
1639	106	2	f
1640	87	2	f
1641	87	2	f
1642	89	2	f
1643	89	2	f
2047	119	2	f
1764	111	2	f
1766	111	2	f
1769	105	2	f
1771	111	2	f
1773	111	2	f
2285	135	2	f
2291	93	2	f
2292	12	2	f
2293	145	2	f
2048	65	2	f
2049	12	2	f
2050	87	2	f
2051	69	2	f
2052	130	2	f
2053	47	2	f
2054	2	2	f
1906	65	2	f
1990	106	2	f
1991	106	2	f
1992	106	2	f
2029	119	2	f
2442	117	2	f
2546	110	2	f
2573	69	2	f
921	73	2	\N
1648	84	2	f
2458	106	2	f
2556	151	2	f
2557	151	2	f
2568	145	2	f
1649	83	2	f
1650	87	2	f
2569	130	2	f
2570	69	2	f
2893	145	7	f
2897	83	7	f
922	73	2	\N
923	73	2	\N
924	73	2	\N
1651	89	2	f
1652	90	2	f
1653	69	2	f
1657	103	2	f
925	73	2	\N
926	73	2	\N
1659	65	2	f
1882	106	2	f
1660	106	2	f
927	73	2	\N
2046	119	2	f
959	74	2	\N
960	74	2	\N
1714	110	2	f
985	75	2	\N
987	75	2	\N
1721	110	2	f
1884	12	2	f
1885	65	2	f
1888	117	2	f
1893	120	2	f
1894	12	2	f
1004	78	2	\N
1309	90	2	f
1310	41	2	f
1895	65	2	f
1311	41	2	f
1312	65	2	f
1313	12	2	f
1896	65	2	f
1314	102	2	f
1317	12	2	f
1320	83	2	f
1321	84	2	f
1322	83	2	f
1950	123	2	f
1951	90	2	f
1952	86	2	f
1907	65	2	f
1956	87	2	f
1958	93	2	f
1959	123	2	f
2104	135	2	f
1323	83	2	f
2105	135	2	f
2106	135	2	f
2107	12	2	f
2108	12	2	f
2111	83	2	f
2115	39	2	f
2119	90	2	f
2168	137	2	f
2171	93	2	f
2172	135	2	f
2173	137	2	f
1324	83	2	f
1358	83	2	f
1359	84	2	f
1360	83	2	f
2452	117	2	f
2457	106	2	f
1361	84	2	f
1365	39	2	f
1366	84	2	f
1367	83	2	f
1368	65	2	f
1371	87	2	f
1373	87	2	f
1374	90	2	f
1624	87	2	f
1625	89	2	f
1376	89	2	f
1626	69	2	f
1378	78	2	f
1627	69	2	f
1628	69	2	f
1379	87	2	f
1634	103	2	f
1380	87	2	f
1383	69	2	f
2260	135	2	f
2261	142	2	f
2262	135	2	f
2263	142	2	f
2264	134	2	f
2265	135	2	f
1780	105	2	f
1797	12	2	f
1798	65	2	f
1799	12	2	f
1804	118	2	f
2	2	2	\N
2127	12	2	f
2131	93	7	f
2895	39	7	f
3	2	2	\N
10	12	2	\N
1010	79	2	\N
2896	84	7	f
1080	65	2	\N
1081	12	2	\N
2898	69	7	f
1099	39	2	\N
2899	135	7	f
2900	137	7	f
2309	69	2	f
1100	70	2	\N
2128	65	2	f
2902	134	7	f
2129	138	2	f
2130	138	2	f
2132	118	2	f
1251	55	2	f
2440	117	2	f
2201	104	2	f
2459	106	2	f
2463	111	2	f
2465	120	2	f
2563	69	2	f
2564	145	2	f
2565	130	2	f
2203	104	2	f
2205	110	2	f
2234	78	2	f
2566	69	2	f
2133	123	2	f
2567	145	2	f
2571	145	2	f
2135	12	2	f
2572	130	2	f
2710	119	2	f
2711	119	2	f
2712	119	2	f
2713	119	2	f
2816	93	2	f
2817	123	2	f
2836	119	2	f
2136	65	2	f
2320	12	2	f
2327	87	2	f
2328	69	2	f
2583	12	2	f
2329	145	2	f
2330	145	2	f
2331	146	2	f
2837	135	2	f
2332	146	2	f
2333	130	2	f
2838	144	2	f
2855	119	2	f
2861	117	2	f
2862	117	2	f
2334	104	2	f
2335	104	2	f
2336	104	2	f
2235	78	2	f
2236	78	2	f
2337	104	2	f
2338	87	2	f
2339	69	2	f
2340	69	2	f
2237	78	2	f
2238	78	2	f
2239	78	2	f
1774	111	2	f
1775	59	2	f
1777	65	2	f
1778	12	2	f
1800	118	2	f
2294	145	2	f
1801	118	2	f
2295	145	2	f
1802	118	2	f
2296	12	2	f
2297	145	2	f
2299	146	2	f
2300	145	2	f
2304	123	2	f
1910	106	2	f
1911	106	2	f
2075	93	2	f
2076	123	2	f
2077	12	2	f
2087	118	2	f
2088	130	2	f
2089	87	2	f
2090	69	2	f
2092	118	2	f
2095	87	2	f
2096	118	2	f
2097	118	2	f
2307	87	2	f
2120	101	2	f
2126	2	2	f
2341	135	2	f
2342	137	2	f
2343	135	2	f
2344	143	2	f
2030	119	2	f
2031	119	2	f
2308	87	2	f
2032	110	2	f
2038	119	2	f
2903	119	2	f
2514	65	2	f
2515	148	2	f
2516	12	2	f
2871	119	2	f
2872	55	2	f
2517	149	2	f
2518	149	2	f
2904	103	2	f
2519	47	2	f
2520	149	2	f
2521	149	2	f
2522	149	2	f
2873	87	2	f
2874	87	2	f
2875	69	2	f
2876	145	2	f
2877	130	2	f
2878	87	2	f
2887	12	2	f
2888	65	2	f
2889	65	2	f
1250	55	2	f
1316	102	2	f
1336	39	2	f
1362	83	2	f
1363	84	2	f
1364	83	2	f
1372	69	2	f
2523	149	2	f
2524	149	2	f
1375	69	2	f
2525	149	2	f
1382	90	2	f
2526	149	2	f
1385	84	2	f
2527	149	2	f
1386	83	2	f
2528	149	2	f
2529	119	2	f
2536	110	2	f
2537	119	2	f
2538	119	2	f
2574	145	2	f
2575	130	2	f
1387	87	2	f
1388	90	2	f
1389	69	2	f
1390	69	2	f
1391	90	2	f
1416	39	2	f
2270	70	2	f
2271	140	2	f
2272	78	2	f
2273	135	2	f
2286	137	2	f
2287	135	2	f
2288	142	2	f
2289	104	2	f
2290	104	2	f
1424	12	2	f
1425	65	2	f
1426	105	2	f
1431	105	2	f
1432	105	2	f
1433	12	2	f
1434	65	2	f
2576	69	2	f
2577	145	2	f
2578	145	2	f
2579	130	2	f
2580	69	2	f
2581	145	2	f
2582	130	2	f
2345	134	2	f
2366	87	2	f
2367	69	2	f
2368	145	2	f
2369	146	2	f
2370	118	2	f
2371	93	2	f
2372	130	2	f
2373	39	2	f
2648	65	2	f
2649	65	2	f
2650	65	2	f
2429	105	2	f
2430	105	2	f
2510	110	2	f
2511	86	2	f
2513	12	2	f
2544	148	2	f
907	71	2	\N
908	12	2	\N
909	12	2	\N
1041	47	2	\N
1042	47	2	\N
1043	47	2	\N
1044	47	2	\N
1045	47	2	\N
2589	89	2	f
2590	90	2	f
2545	86	2	f
2547	119	2	f
2548	119	2	f
2591	69	2	f
2592	123	2	f
2593	69	2	f
2594	87	2	f
2595	69	2	f
2596	145	2	f
2376	69	2	f
2377	135	2	f
2549	12	2	f
2378	137	2	f
2550	87	2	f
2379	135	2	f
2551	12	2	f
2552	65	2	f
2553	65	2	f
2554	65	2	f
2725	119	2	f
2726	110	2	f
2727	119	2	f
2728	119	2	f
2729	103	2	f
2730	93	2	f
2731	123	2	f
2732	148	2	f
2818	93	2	f
2819	123	2	f
2380	143	2	f
2381	93	2	f
2382	134	2	f
2383	104	2	f
2384	104	2	f
2385	104	2	f
2388	103	2	f
2389	105	2	f
2390	105	2	f
2391	105	2	f
2396	105	2	f
2397	105	2	f
2398	105	2	f
2415	105	2	f
2416	105	2	f
2670	146	2	f
2677	89	2	f
2678	69	2	f
2679	69	2	f
2680	89	2	f
2681	89	2	f
2424	105	2	f
2425	105	2	f
2426	105	2	f
2682	149	2	f
2683	89	2	f
2427	105	2	f
2428	105	2	f
2684	149	2	f
2685	89	2	f
2686	135	2	f
2431	105	2	f
2687	137	2	f
2690	134	2	f
2693	110	2	f
2694	110	2	f
2695	86	2	f
2530	119	2	f
2531	119	2	f
2532	119	2	f
2533	119	2	f
2534	119	2	f
2535	119	2	f
2539	110	2	f
2540	86	2	f
2541	119	2	f
2542	148	2	f
2543	148	2	f
2820	118	2	f
2821	87	2	f
2822	69	2	f
2823	145	2	f
1546	106	2	f
2824	130	2	f
1547	106	2	f
1548	12	2	f
1549	12	2	f
2825	146	2	f
2826	118	2	f
2827	135	2	f
2828	137	2	f
2841	104	2	f
2865	78	2	f
2866	117	2	f
2867	111	2	f
1550	65	2	f
1551	87	2	f
1552	87	2	f
2597	145	2	f
2636	65	2	f
2637	65	2	f
2638	65	2	f
2392	105	2	f
2393	105	2	f
2394	105	2	f
2395	105	2	f
2642	65	2	f
274	12	2	\N
292	41	2	\N
306	41	2	\N
706	12	2	\N
723	12	2	\N
725	55	2	\N
726	55	2	\N
728	55	2	\N
734	55	2	\N
743	55	2	\N
763	55	2	\N
764	12	2	\N
769	12	2	\N
2643	65	2	f
2646	65	2	f
2647	65	2	f
2651	65	2	f
2652	65	2	f
2653	65	2	f
771	55	2	\N
772	59	2	\N
837	65	2	\N
1046	47	2	\N
1062	55	2	\N
1067	78	2	\N
1068	12	2	\N
1164	70	2	\N
1165	39	2	\N
2654	65	2	f
2655	65	2	f
2658	67	2	f
1168	41	2	\N
1169	70	2	\N
1185	39	2	\N
1195	87	2	\N
1198	12	2	\N
1261	89	2	f
1598	103	2	f
1807	90	2	f
1833	118	2	f
1839	103	2	f
1435	12	2	f
1436	65	2	f
1438	107	2	f
1439	107	2	f
1511	101	2	f
1512	101	2	f
1513	101	2	f
1521	12	2	f
1535	110	2	f
1536	110	2	f
1537	110	2	f
1538	110	2	f
1539	110	2	f
1540	110	2	f
1541	110	2	f
1542	67	2	f
2417	105	2	f
1543	87	2	f
1544	87	2	f
1545	87	2	f
2659	87	2	f
2661	145	2	f
2662	130	2	f
2663	118	2	f
2418	105	2	f
2419	105	2	f
2420	105	2	f
2421	105	2	f
2422	105	2	f
2423	105	2	f
2698	110	2	f
2699	86	2	f
2700	119	2	f
2701	119	2	f
2879	69	2	f
773	12	2	\N
887	69	2	\N
2183	137	2	f
2660	69	2	f
2664	149	2	f
2665	149	2	f
2666	87	2	f
2667	69	2	f
892	67	2	\N
2668	145	2	f
893	47	2	\N
894	2	2	\N
896	39	2	\N
1011	12	2	\N
1040	47	2	\N
1277	55	2	f
2669	130	2	f
2671	93	2	f
2672	123	2	f
2673	39	2	f
2839	119	2	f
2840	119	2	f
1278	39	2	f
1283	71	2	f
1284	69	2	f
1285	87	2	f
1286	89	2	f
1287	84	2	f
1288	90	2	f
1289	84	2	f
1290	39	2	f
1291	84	2	f
1292	83	2	f
1293	69	2	f
1294	69	2	f
1304	87	2	f
1306	90	2	f
1840	103	2	f
1849	12	2	f
1440	103	2	f
1442	103	2	f
1447	106	2	f
1448	106	2	f
1450	12	2	f
1452	12	2	f
1464	87	2	f
1465	69	2	f
1467	89	2	f
1472	69	2	f
1473	69	2	f
1485	106	2	f
1487	103	2	f
1500	106	2	f
1502	103	2	f
1503	103	2	f
1504	104	2	f
1505	104	2	f
1506	104	2	f
1507	107	2	f
1509	106	2	f
1514	101	2	f
1515	101	2	f
1516	87	2	f
1517	87	2	f
1518	87	2	f
1519	87	2	f
1553	79	2	f
2584	93	2	f
2585	87	2	f
2586	87	2	f
2587	87	2	f
2588	89	2	f
2633	65	2	f
2634	65	2	f
2635	65	2	f
2174	135	2	f
2175	137	2	f
2176	135	2	f
2177	137	2	f
2178	135	2	f
2179	137	2	f
2180	135	2	f
2181	137	2	f
2182	135	2	f
897	39	2	\N
898	39	2	\N
899	39	2	\N
900	65	2	\N
2435	146	2	f
901	12	2	\N
2450	103	2	f
902	65	2	\N
903	71	2	\N
2451	106	2	f
2486	101	2	f
2489	86	2	f
2490	86	2	f
2491	86	2	f
2493	87	2	f
2501	110	2	f
2502	110	2	f
2503	119	2	f
2505	110	2	f
2506	86	2	f
2507	110	2	f
2508	110	2	f
2737	106	2	f
2738	117	2	f
2739	69	2	f
2740	12	2	f
2832	119	2	f
2863	111	2	f
2864	140	2	f
2274	143	2	f
2275	134	2	f
2276	12	2	f
2277	105	2	f
2278	135	2	f
2279	144	2	f
2280	134	2	f
2281	104	2	f
2282	135	2	f
2284	134	2	f
1962	93	2	f
1963	123	2	f
1964	93	2	f
1965	123	2	f
1966	12	2	f
2098	118	2	f
2099	12	2	f
2100	12	2	f
1978	2	2	f
2101	65	2	f
1979	118	2	f
1985	93	2	f
1986	123	2	f
1987	103	2	f
1988	119	2	f
1989	12	2	f
2602	65	2	f
2603	65	2	f
2604	65	2	f
2605	65	2	f
2608	65	2	f
2612	65	2	f
2613	65	2	f
2617	65	2	f
2039	119	2	f
2044	119	2	f
2156	135	2	f
2157	137	2	f
2158	135	2	f
2159	137	2	f
2160	135	2	f
2161	137	2	f
2162	135	2	f
2163	137	2	f
2164	135	2	f
2165	137	2	f
2167	135	2	f
2045	119	2	f
2399	105	2	f
2400	105	2	f
2401	105	2	f
2402	105	2	f
2403	105	2	f
2704	119	2	f
2705	119	2	f
2706	119	2	f
2707	119	2	f
2708	119	2	f
2709	119	2	f
2434	130	2	f
775	12	2	\N
778	65	2	\N
779	65	2	\N
780	65	2	\N
784	47	2	\N
786	47	2	\N
788	12	2	\N
789	67	2	\N
790	65	2	\N
791	65	2	\N
792	65	2	\N
794	55	2	\N
800	55	2	\N
801	55	2	\N
802	65	2	\N
1468	84	2	f
1469	90	2	f
1470	83	2	f
1471	69	2	f
1913	117	2	f
1510	101	2	f
1968	12	2	f
1970	126	2	f
1971	93	2	f
1972	123	2	f
1973	123	2	f
1975	65	2	f
1976	55	2	f
1977	12	2	f
1554	101	2	f
1556	101	2	f
1559	87	2	f
1560	79	2	f
2137	139	2	f
2138	139	2	f
2139	139	2	f
2144	135	2	f
2145	137	2	f
2146	135	2	f
2147	137	2	f
838	65	2	\N
849	41	2	\N
851	41	2	\N
852	41	2	\N
853	41	2	\N
854	2	2	\N
855	2	2	\N
856	2	2	\N
857	55	2	\N
858	55	2	\N
859	55	2	\N
860	55	2	\N
861	55	2	\N
864	65	2	\N
865	12	2	\N
866	65	2	\N
1307	90	2	f
1308	90	2	f
1337	84	2	f
1338	83	2	f
1347	39	2	f
1348	84	2	f
1349	83	2	f
1393	12	2	f
1394	65	2	f
1395	65	2	f
1396	104	2	f
1398	104	2	f
1400	104	2	f
1401	104	2	f
1402	104	2	f
1403	104	2	f
1404	87	2	f
1406	89	2	f
1407	90	2	f
1408	69	2	f
1409	69	2	f
1410	69	2	f
1411	69	2	f
2148	135	2	f
2149	137	2	f
2150	135	2	f
2187	135	2	f
2188	137	2	f
2189	135	2	f
2190	137	2	f
2674	84	2	f
2675	83	2	f
2676	87	2	f
1413	102	2	f
1414	90	2	f
1415	91	2	f
1417	84	2	f
1418	90	2	f
1419	91	2	f
1420	101	2	f
2152	135	2	f
2153	137	2	f
2154	135	2	f
2155	137	2	f
2184	135	2	f
2185	137	2	f
2186	134	2	f
2688	135	2	f
2880	87	2	f
904	71	2	\N
905	71	2	\N
906	71	2	\N
910	65	2	\N
911	65	2	\N
912	72	2	\N
1318	102	2	f
1319	84	2	f
2206	110	2	f
2207	110	2	f
1607	106	2	f
1608	105	2	f
1341	84	2	f
1609	105	2	f
2433	145	2	f
2689	143	2	f
2558	12	2	f
2559	151	2	f
1342	83	2	f
1343	70	2	f
1610	87	2	f
1611	87	2	f
1612	89	2	f
1613	89	2	f
1614	90	2	f
2560	69	2	f
2561	145	2	f
2562	130	2	f
2733	148	2	f
1615	69	2	f
2208	110	2	f
2209	110	2	f
2210	86	2	f
2211	110	2	f
2212	110	2	f
2213	86	2	f
2734	119	2	f
2735	119	2	f
2843	119	2	f
1370	90	2	f
1384	39	2	f
2283	137	2	f
1803	118	2	f
2301	146	2	f
2302	118	2	f
2303	93	2	f
1852	119	2	f
1898	105	2	f
1900	120	2	f
1901	120	2	f
1902	117	2	f
1903	111	2	f
1904	65	2	f
1905	65	2	f
1561	87	2	f
1562	87	2	f
1563	79	2	f
1564	101	2	f
2844	119	2	f
1569	101	2	f
1570	101	2	f
1571	65	2	f
1575	65	2	f
1576	86	2	f
2845	119	2	f
2846	119	2	f
2847	119	2	f
2848	119	2	f
2849	119	2	f
2850	119	2	f
2851	119	2	f
2852	110	2	f
2853	86	2	f
2854	119	2	f
1577	87	2	f
1578	79	2	f
1579	110	2	f
1580	78	2	f
1581	87	2	f
1582	89	2	f
2598	145	2	f
2599	130	2	f
2868	93	2	f
2869	93	2	f
2870	119	2	f
2151	137	2	f
988	75	2	\N
1003	12	2	\N
1060	41	2	\N
1078	12	2	\N
1088	12	2	\N
1089	65	2	\N
1090	39	2	\N
1091	84	2	\N
1093	84	2	\N
1095	70	2	\N
1096	39	2	\N
1932	93	7	f
1939	93	7	f
1199	89	2	\N
1204	87	2	\N
1205	89	2	\N
1206	89	2	\N
1252	59	2	f
1257	87	2	f
1258	87	2	f
1644	90	2	f
1645	69	2	f
1646	70	2	f
1918	119	2	f
1919	12	2	f
1922	93	2	f
1924	118	2	f
1925	89	2	f
1926	90	2	f
1927	87	2	f
1930	93	2	f
1931	118	2	f
1933	93	2	f
1934	93	2	f
1935	93	2	f
1936	93	2	f
1940	93	2	f
1941	12	2	f
1945	123	2	f
1946	123	2	f
1947	123	2	f
1948	123	2	f
1954	12	2	f
1584	89	2	f
1585	90	2	f
1586	69	2	f
1587	39	2	f
1588	84	2	f
1589	84	2	f
1590	83	2	f
1591	87	2	f
1592	89	2	f
1593	69	2	f
1597	104	2	f
2631	65	2	f
2632	65	2	f
2702	119	2	f
2703	119	2	f
2829	93	2	f
2830	69	2	f
2831	134	2	f
2833	110	2	f
2834	86	2	f
2835	104	2	f
2858	103	2	f
2859	148	2	f
2860	106	2	f
885	47	2	\N
895	39	2	\N
940	73	2	\N
941	73	2	\N
942	73	2	\N
1259	87	2	f
1260	87	2	f
2200	104	2	f
2214	110	2	f
2215	86	2	f
2216	78	2	f
2217	12	2	f
2218	140	2	f
2219	65	2	f
2221	140	2	f
2222	65	2	f
2223	78	2	f
2224	78	2	f
2225	78	2	f
2226	78	2	f
2227	78	2	f
2228	78	2	f
2229	78	2	f
2230	78	2	f
1908	65	2	f
2055	12	2	f
2062	93	2	f
2063	93	2	f
2064	123	2	f
2065	118	2	f
2066	93	2	f
2067	123	2	f
2068	93	2	f
2069	123	2	f
2070	12	2	f
2305	145	2	f
2306	146	2	f
1993	106	2	f
2310	145	2	f
1994	106	2	f
2311	93	2	f
1995	106	2	f
1996	106	2	f
2312	130	2	f
1997	106	2	f
2313	145	2	f
2314	69	2	f
2000	103	2	f
2315	135	2	f
2001	106	2	f
2316	137	2	f
2002	106	2	f
2317	134	2	f
2005	103	2	f
2319	104	2	f
2006	106	2	f
2007	106	2	f
2009	93	2	f
2010	123	2	f
2011	110	2	f
2012	118	2	f
2013	87	2	f
2014	89	2	f
2015	90	2	f
2016	93	2	f
2017	69	2	f
2018	87	2	f
2019	89	2	f
2020	69	2	f
2023	104	2	f
2024	104	2	f
2026	103	2	f
2027	106	2	f
2028	106	2	f
2436	93	2	f
2437	146	2	f
2438	117	2	f
1880	106	2	f
1881	106	2	f
2374	84	2	f
2375	83	2	f
2413	105	2	f
871	69	2	\N
872	12	2	\N
873	65	2	\N
874	65	2	\N
876	41	2	\N
878	70	2	\N
2857	119	2	f
879	65	2	\N
880	70	2	\N
881	70	2	\N
882	70	2	\N
883	70	2	\N
1079	65	2	\N
1097	84	2	\N
1101	39	2	\N
1102	84	2	\N
1159	78	2	\N
1170	39	2	\N
1178	70	2	\N
1179	39	2	\N
1189	12	2	\N
1190	12	2	\N
1191	86	2	\N
1192	86	2	\N
1193	87	2	\N
1194	87	2	\N
1200	89	2	\N
1201	87	2	\N
1210	90	2	\N
1211	12	2	\N
1212	65	2	\N
1213	90	2	\N
1214	91	2	\N
1225	12	2	\N
1230	93	2	\N
1243	87	2	f
1244	87	2	f
1253	65	2	f
1263	87	2	f
1264	87	2	f
1265	89	2	f
1268	12	2	f
2197	93	2	f
2198	123	2	f
2199	105	2	f
2240	78	2	f
2241	78	2	f
2242	78	2	f
2243	12	2	f
2244	12	2	f
2245	65	2	f
2246	105	2	f
2247	102	2	f
2248	141	2	f
2249	141	2	f
2254	135	2	f
2255	142	2	f
2256	135	2	f
2257	142	2	f
2258	135	2	f
2259	142	2	f
1853	119	2	f
1854	119	2	f
1855	119	2	f
1859	119	2	f
1860	119	2	f
1865	117	2	f
1866	117	2	f
1867	117	2	f
1868	117	2	f
1869	69	2	f
1870	78	2	f
1872	118	2	f
1873	105	2	f
1875	106	2	f
1876	106	2	f
863	65	2	\N
870	69	2	\N
875	70	2	\N
1207	12	2	\N
1209	90	2	\N
1218	39	2	\N
1221	12	2	\N
1227	93	2	\N
1240	41	2	f
1241	39	2	f
1249	59	2	f
1282	87	2	f
1980	93	2	f
1981	118	2	f
1982	93	2	f
1983	93	2	f
1984	123	2	f
2404	105	2	f
2405	105	2	f
2406	105	2	f
2407	105	2	f
2408	105	2	f
2409	105	2	f
2410	105	2	f
2411	105	2	f
2412	105	2	f
2414	105	2	f
2432	105	2	f
2719	119	2	f
2720	119	2	f
2721	119	2	f
2722	119	2	f
2723	104	2	f
2724	119	2	f
2736	119	2	f
2741	65	2	f
2742	12	2	f
2779	123	2	f
2780	123	2	f
2781	123	2	f
2782	123	2	f
2783	123	2	f
2466	117	2	f
2467	111	2	f
2468	119	2	f
2469	119	2	f
2470	119	2	f
2475	90	2	f
2477	47	2	f
2484	2	2	f
\.


--
-- Name: resource_id_seq; Type: SEQUENCE SET; Schema: test; Owner: -
--

SELECT pg_catalog.setval('resource_id_seq', 2904, true);


--
-- Data for Name: resource_log; Type: TABLE DATA; Schema: test; Owner: -
--

COPY resource_log (id, resource_id, employee_id, comment, modifydt) FROM stdin;
142	83	2	\N	2013-12-07 16:38:38.11618+02
143	84	2	\N	2013-12-07 16:39:56.788641+02
144	3	2	\N	2013-12-07 16:41:27.65259+02
145	2	2	\N	2013-12-07 16:41:31.748494+02
146	83	2	\N	2013-12-07 16:58:05.802634+02
147	83	2	\N	2013-12-07 17:00:14.544264+02
4836	794	2	\N	2014-02-05 19:54:07.5415+02
5406	1192	2	\N	2014-04-06 19:21:11.278173+03
5407	1005	2	\N	2014-04-06 19:21:55.315341+03
4845	283	2	\N	2014-02-06 11:38:41.090464+02
2	10	2	\N	2013-11-16 19:00:14.24272+02
4	12	2	\N	2013-11-16 19:00:15.497284+02
6	14	2	\N	2013-11-16 19:00:16.696731+02
8	16	2	\N	2013-11-16 19:00:17.960761+02
5427	1204	2	\N	2014-04-09 18:54:09.146902+03
12	30	2	\N	2013-11-23 19:26:00.193553+02
13	30	2	\N	2013-11-23 22:02:37.363677+02
14	10	2	\N	2013-11-23 22:11:01.634598+02
15	30	2	\N	2013-11-23 22:11:14.939938+02
16	30	2	\N	2013-11-23 22:11:38.396085+02
19	30	2	\N	2013-11-24 10:30:59.830287+02
20	30	2	\N	2013-11-24 10:31:22.936737+02
21	30	2	\N	2013-11-24 10:38:08.07328+02
22	30	2	\N	2013-11-24 10:38:10.703187+02
23	30	2	\N	2013-11-24 10:38:11.896934+02
24	30	2	\N	2013-11-24 10:42:19.397852+02
25	30	2	\N	2013-11-24 10:42:50.772172+02
26	30	2	\N	2013-11-24 10:45:56.399572+02
27	30	2	\N	2013-11-24 10:48:29.950669+02
28	30	2	\N	2013-11-24 10:49:23.616693+02
29	30	2	\N	2013-11-24 10:50:05.878643+02
30	30	2	\N	2013-11-24 10:51:02.465585+02
31	30	2	\N	2013-11-24 10:54:21.011765+02
32	30	2	\N	2013-11-24 10:54:28.775552+02
33	30	2	\N	2013-11-24 10:58:34.152869+02
34	30	2	\N	2013-11-24 10:58:36.766104+02
35	30	2	\N	2013-11-24 10:58:38.767749+02
36	30	2	\N	2013-11-24 10:58:42.533162+02
37	30	2	\N	2013-11-24 10:58:43.55758+02
38	30	2	\N	2013-11-24 10:58:47.40587+02
39	30	2	\N	2013-11-24 11:00:56.130675+02
40	30	2	\N	2013-11-24 11:01:17.637578+02
41	30	2	\N	2013-11-24 11:01:20.639413+02
42	30	2	\N	2013-11-24 11:01:25.957588+02
43	30	2	\N	2013-11-24 11:01:28.015301+02
44	30	2	\N	2013-11-24 11:01:49.505153+02
45	30	2	\N	2013-11-24 11:01:54.465064+02
46	30	2	\N	2013-11-24 11:01:56.828797+02
47	30	2	\N	2013-11-24 11:02:00.873006+02
48	30	2	\N	2013-11-24 11:02:06.385907+02
49	30	2	\N	2013-11-24 11:02:08.474309+02
50	30	2	\N	2013-11-24 11:02:11.823259+02
51	30	2	\N	2013-11-24 11:02:15.084044+02
52	30	2	\N	2013-11-24 11:23:59.150304+02
53	30	2	\N	2013-11-24 12:41:22.004561+02
54	30	2	\N	2013-11-24 12:41:27.704243+02
55	30	2	\N	2013-11-24 12:41:32.588516+02
5430	1207	2	\N	2014-04-09 20:43:13.852066+03
5459	1227	2	\N	2014-04-19 13:04:24.512333+03
5467	1230	2	\N	2014-04-23 11:53:28.979784+03
5468	1230	2	\N	2014-04-23 11:53:45.572462+03
5537	1306	2	\N	2014-04-30 11:04:50.581045+03
66	16	2	\N	2013-11-30 12:57:27.26941+02
67	31	2	\N	2013-11-30 14:25:42.040654+02
68	32	2	\N	2013-11-30 14:27:55.708736+02
69	33	2	\N	2013-11-30 14:28:30.596329+02
70	34	2	\N	2013-11-30 14:29:07.205192+02
71	35	2	\N	2013-11-30 14:30:10.653134+02
72	36	2	\N	2013-11-30 14:31:39.751221+02
73	37	2	\N	2013-11-30 14:32:36.035677+02
74	38	2	\N	2013-11-30 14:55:27.691288+02
75	39	2	\N	2013-11-30 14:58:07.249714+02
76	40	2	\N	2013-11-30 14:58:34.364695+02
79	43	2	\N	2013-11-30 15:08:29.574538+02
80	43	2	\N	2013-11-30 15:08:52.114395+02
81	43	2	\N	2013-11-30 15:09:21.51485+02
82	44	2	\N	2013-11-30 15:09:54.961188+02
83	45	2	\N	2013-12-01 13:04:27.697583+02
84	45	2	\N	2013-12-01 13:04:40.716328+02
85	14	2	\N	2013-12-01 14:31:19.374571+02
87	12	2	\N	2013-12-01 18:21:35.266219+02
104	10	2	\N	2013-12-02 20:43:38.334769+02
130	10	2	\N	2013-12-06 21:10:25.807719+02
4796	769	2	\N	2014-01-22 22:21:45.451623+02
4820	16	2	\N	2014-02-01 21:09:43.821944+02
5408	1192	2	\N	2014-04-06 19:22:16.361504+03
5409	1005	2	\N	2014-04-06 19:22:18.74271+03
4822	784	2	\N	2014-02-01 21:23:07.460721+02
4823	786	2	\N	2014-02-01 21:23:12.871915+02
5410	1193	2	\N	2014-04-06 19:30:25.125445+03
5411	1194	2	\N	2014-04-06 19:30:51.85642+03
5412	1195	2	\N	2014-04-06 19:32:30.207073+03
5428	1205	2	\N	2014-04-09 19:17:37.483997+03
5431	1209	2	\N	2014-04-09 20:49:45.884539+03
4843	800	2	\N	2014-02-05 19:58:31.619612+02
4844	801	2	\N	2014-02-05 19:58:49.632624+02
4951	885	2	\N	2014-02-14 21:23:40.101298+02
4952	885	2	\N	2014-02-14 21:25:13.866935+02
4974	849	2	\N	2014-02-23 22:41:46.113064+02
4977	884	2	\N	2014-02-23 22:42:22.595852+02
5143	1003	2	\N	2014-03-04 21:05:09.565466+02
5144	1004	2	\N	2014-03-04 21:08:53.227171+02
5145	1005	2	\N	2014-03-04 21:09:15.542733+02
5471	1240	2	\N	2014-04-26 13:10:19.27836+03
5538	1307	2	\N	2014-04-30 11:08:33.655971+03
5544	1313	2	\N	2014-05-16 22:03:29.897662+03
361	274	2	\N	2013-12-14 17:16:08.962259+02
365	277	2	\N	2013-12-14 18:56:05.189747+02
366	278	2	\N	2013-12-14 18:56:17.77025+02
367	279	2	\N	2013-12-14 18:56:45.919492+02
368	280	2	\N	2013-12-14 19:10:07.617582+02
369	281	2	\N	2013-12-14 19:10:25.311427+02
370	281	2	\N	2013-12-14 19:10:59.35028+02
371	281	2	\N	2013-12-14 19:12:14.211139+02
372	282	2	\N	2013-12-14 19:14:22.861495+02
373	278	2	\N	2013-12-14 19:14:33.853691+02
374	282	2	\N	2013-12-14 19:14:41.964012+02
375	283	2	\N	2013-12-14 19:16:35.738242+02
4882	706	2	\N	2014-02-08 19:59:59.160282+02
377	283	2	\N	2013-12-14 19:18:21.622933+02
4953	886	2	\N	2014-02-14 21:25:53.089098+02
4978	893	2	\N	2014-02-24 11:11:03.613711+02
5147	1004	2	\N	2014-03-04 21:17:22.306545+02
5148	1004	2	\N	2014-03-04 21:23:04.343461+02
386	286	2	\N	2013-12-14 20:46:34.653533+02
387	287	2	\N	2013-12-14 20:46:47.37835+02
388	288	2	\N	2013-12-14 20:47:08.024243+02
389	289	2	\N	2013-12-14 20:47:28.256516+02
390	290	2	\N	2013-12-14 20:52:40.953492+02
391	291	2	\N	2013-12-14 20:53:08.057165+02
392	292	2	\N	2013-12-14 20:53:33.598708+02
5149	1004	2	\N	2014-03-04 21:23:17.093243+02
5150	1004	2	\N	2014-03-04 21:23:25.611509+02
4799	771	2	\N	2014-01-25 16:05:28.799345+02
4800	771	2	\N	2014-01-25 16:05:38.705799+02
4801	772	2	\N	2014-01-25 16:06:28.321244+02
4826	788	2	\N	2014-02-01 22:03:21.899916+02
5151	1004	2	\N	2014-03-04 21:23:52.466966+02
5152	1004	2	\N	2014-03-04 21:24:11.351815+02
5153	1004	2	\N	2014-03-04 21:24:20.614224+02
5429	1206	2	\N	2014-04-09 19:21:09.215561+03
5154	1004	2	\N	2014-03-04 21:35:47.600889+02
5155	1004	2	\N	2014-03-04 21:36:05.835492+02
5156	1004	2	\N	2014-03-04 21:36:16.322673+02
5432	1210	2	\N	2014-04-12 13:10:08.842351+03
5472	1241	2	\N	2014-04-26 19:16:28.009797+03
5539	1308	2	\N	2014-04-30 11:20:34.938154+03
5545	1314	2	\N	2014-05-17 13:42:16.369317+03
422	306	2	\N	2013-12-15 21:45:32.990838+02
4802	773	2	\N	2014-01-25 23:45:37.762081+02
4827	789	2	\N	2014-02-02 16:45:11.830435+02
4954	887	2	\N	2014-02-15 12:32:09.199652+02
5415	1198	2	\N	2014-04-08 09:35:59.21042+03
4979	885	2	\N	2014-02-24 12:50:26.694026+02
4980	786	2	\N	2014-02-24 12:50:29.953348+02
4981	784	2	\N	2014-02-24 12:50:33.322359+02
5157	1004	2	\N	2014-03-07 22:30:15.652582+02
5230	894	2	\N	2014-03-16 11:54:19.683752+02
5231	894	2	\N	2014-03-16 11:54:28.171778+02
5232	894	2	\N	2014-03-16 11:54:33.774318+02
5270	1004	2	\N	2014-03-17 10:50:39.781432+02
5465	1230	2	\N	2014-04-19 21:03:03.225866+03
5508	1277	2	\N	2014-04-29 10:08:17.485661+03
5509	1278	2	\N	2014-04-29 10:09:19.421905+03
5540	1309	2	\N	2014-04-30 11:32:51.070911+03
5547	1316	2	\N	2014-05-17 14:00:25.111543+03
4927	865	2	\N	2014-02-09 13:26:19.008763+02
4804	775	2	\N	2014-01-26 15:30:50.636495+02
4828	3	2	\N	2014-02-02 17:45:50.239397+02
5416	1199	2	\N	2014-04-08 10:15:32.411146+03
5434	1211	2	\N	2014-04-12 14:16:34.33498+03
5435	1211	2	\N	2014-04-12 14:16:53.40729+03
4982	895	2	\N	2014-02-25 19:06:42.158245+02
5158	1007	2	\N	2014-03-08 10:30:25.61786+02
5198	3	2	\N	2014-03-11 13:14:05.142514+02
5233	1060	2	\N	2014-03-16 12:26:38.52955+02
5437	1213	2	\N	2014-04-12 14:32:08.840037+03
5466	1227	2	\N	2014-04-19 21:37:55.580038+03
5474	1243	2	\N	2014-04-26 22:38:44.326007+03
5541	1310	2	\N	2014-04-30 22:45:27.579715+03
5548	1317	2	\N	2014-05-17 14:54:57.813145+03
5549	1318	2	\N	2014-05-17 15:24:32.954365+03
5550	1319	2	\N	2014-05-17 15:53:28.880817+03
5551	1320	2	\N	2014-05-17 15:53:34.139717+03
5552	1321	2	\N	2014-05-17 15:55:03.155317+03
5553	1322	2	\N	2014-05-17 15:55:07.534203+03
5557	1326	2	\N	2014-05-17 15:59:13.891973+03
5558	1327	2	\N	2014-05-17 15:59:17.045556+03
5559	1328	2	\N	2014-05-17 16:00:04.660539+03
5560	1329	2	\N	2014-05-17 16:00:08.901641+03
5561	1330	2	\N	2014-05-17 16:00:10.337355+03
5566	1335	2	\N	2014-05-17 16:02:19.447311+03
5570	1339	2	\N	2014-05-17 16:06:26.675372+03
5571	1340	2	\N	2014-05-17 16:06:28.503991+03
5572	1341	2	\N	2014-05-17 16:06:29.727144+03
5573	1342	2	\N	2014-05-17 16:06:31.81672+03
5574	1343	2	\N	2014-05-17 16:07:44.265465+03
5575	1344	2	\N	2014-05-17 16:07:45.972655+03
5576	1345	2	\N	2014-05-17 16:07:47.259172+03
5577	1346	2	\N	2014-05-17 16:07:49.146563+03
5581	1350	2	\N	2014-05-17 16:09:55.923893+03
5582	1351	2	\N	2014-05-17 16:13:13.017272+03
5583	1352	2	\N	2014-05-17 16:13:14.609527+03
5584	1353	2	\N	2014-05-17 16:13:16.568079+03
5585	1354	2	\N	2014-05-17 16:13:17.732756+03
5370	1159	2	\N	2014-04-02 19:52:15.193771+03
4888	786	2	\N	2014-02-08 21:26:45.138217+02
5417	1200	2	\N	2014-04-08 10:35:59.014802+03
4890	784	2	\N	2014-02-08 21:26:51.98617+02
4929	870	2	\N	2014-02-09 14:57:54.403714+02
4967	892	2	\N	2014-02-22 17:14:02.512772+02
4983	896	2	\N	2014-02-25 19:37:56.226615+02
4984	897	2	\N	2014-02-25 19:38:21.395798+02
4985	898	2	\N	2014-02-25 19:38:30.353048+02
4986	899	2	\N	2014-02-25 19:39:23.588225+02
4988	901	2	\N	2014-02-25 19:47:57.884012+02
5160	1009	2	\N	2014-03-08 10:49:52.0599+02
5199	3	2	\N	2014-03-12 12:05:31.953558+02
5438	1214	2	\N	2014-04-12 14:36:07.046988+03
5475	1244	2	\N	2014-04-26 22:39:00.40778+03
5542	1311	2	\N	2014-04-30 22:45:36.089534+03
5554	1323	2	\N	2014-05-17 15:55:54.008685+03
5555	1324	2	\N	2014-05-17 15:56:55.63522+03
5556	1325	2	\N	2014-05-17 15:58:29.508912+03
5562	1331	2	\N	2014-05-17 16:00:49.21287+03
5563	1332	2	\N	2014-05-17 16:01:46.175183+03
5564	1333	2	\N	2014-05-17 16:01:47.950656+03
5565	1334	2	\N	2014-05-17 16:01:48.837764+03
5567	1336	2	\N	2014-05-17 16:03:41.796945+03
5568	1337	2	\N	2014-05-17 16:04:32.839289+03
5569	1338	2	\N	2014-05-17 16:04:34.363533+03
5578	1347	2	\N	2014-05-17 16:08:39.18466+03
5579	1348	2	\N	2014-05-17 16:08:56.863828+03
5580	1349	2	\N	2014-05-17 16:08:58.291349+03
4894	849	2	\N	2014-02-08 21:32:14.802948+02
4896	851	2	\N	2014-02-08 21:32:32.471247+02
4897	852	2	\N	2014-02-08 21:36:44.493917+02
4930	871	2	\N	2014-02-09 16:04:05.85568+02
4968	892	2	\N	2014-02-22 17:18:17.771894+02
5161	1009	2	\N	2014-03-08 10:52:32.854366+02
5162	1009	2	\N	2014-03-08 10:52:45.635015+02
5163	1009	2	\N	2014-03-08 10:52:53.515357+02
5164	1009	2	\N	2014-03-08 10:52:58.740536+02
5165	1010	2	\N	2014-03-08 10:54:40.946487+02
5166	1010	2	\N	2014-03-08 10:54:50.928085+02
5200	3	2	\N	2014-03-12 12:14:05.203771+02
5235	897	2	\N	2014-03-16 12:53:37.56753+02
5278	1067	2	\N	2014-03-18 19:51:01.87448+02
5375	1164	2	\N	2014-04-02 20:56:42.084197+03
5376	1165	2	\N	2014-04-02 20:56:48.393173+03
5419	1201	2	\N	2014-04-08 10:38:31.154572+03
5440	1214	2	\N	2014-04-12 14:39:05.532456+03
5442	1214	2	\N	2014-04-12 14:43:11.754556+03
5513	1282	2	\N	2014-04-29 10:43:05.718429+03
5586	1355	2	\N	2014-05-17 16:14:39.7443+03
5587	1356	2	\N	2014-05-17 16:14:41.182697+03
5588	1357	2	\N	2014-05-17 16:14:43.239633+03
5590	1359	2	\N	2014-05-17 16:15:43.442935+03
5591	1360	2	\N	2014-05-17 16:15:45.790483+03
5596	1365	2	\N	2014-05-17 16:20:21.389915+03
5597	1366	2	\N	2014-05-17 16:20:22.473385+03
5598	1367	2	\N	2014-05-17 16:20:23.843632+03
4898	853	2	\N	2014-02-08 21:39:09.10029+02
4812	784	2	\N	2014-01-26 21:12:24.209136+02
4813	784	2	\N	2014-01-26 21:13:10.546575+02
4814	784	2	\N	2014-01-26 21:13:20.058093+02
4815	784	2	\N	2014-01-26 21:13:24.693933+02
4817	786	2	\N	2014-01-26 21:15:00.370561+02
4818	784	2	\N	2014-01-26 21:20:14.635984+02
4819	784	2	\N	2014-01-26 21:20:34.941868+02
4931	274	2	\N	2014-02-10 08:49:31.501202+02
4969	893	2	\N	2014-02-22 17:26:37.296722+02
4970	894	2	\N	2014-02-22 17:27:40.771678+02
4991	903	2	\N	2014-02-25 22:43:46.101171+02
4992	904	2	\N	2014-02-25 22:43:53.30222+02
4993	905	2	\N	2014-02-25 22:44:00.024066+02
4994	906	2	\N	2014-02-25 22:44:13.035203+02
4995	907	2	\N	2014-02-25 22:44:59.159297+02
5167	1009	2	\N	2014-03-08 10:57:02.535973+02
5168	1010	2	\N	2014-03-08 10:57:07.365849+02
5201	3	2	\N	2014-03-12 12:29:57.686858+02
5202	3	2	\N	2014-03-12 12:30:07.270368+02
5203	3	2	\N	2014-03-12 12:30:09.982217+02
5204	3	2	\N	2014-03-12 12:32:22.25189+02
5205	894	2	\N	2014-03-12 12:32:26.366205+02
5236	919	2	\N	2014-03-16 13:33:07.651832+02
5444	1218	2	\N	2014-04-12 15:00:38.646853+03
5447	1214	2	\N	2014-04-12 15:02:33.59771+03
5514	1283	2	\N	2014-04-29 12:06:08.689068+03
5515	1284	2	\N	2014-04-29 12:07:06.357367+03
5518	1287	2	\N	2014-04-29 12:09:55.486785+03
5520	1289	2	\N	2014-04-29 12:11:36.874588+03
5589	1358	2	\N	2014-05-17 16:15:09.836615+03
5592	1361	2	\N	2014-05-17 16:16:33.155307+03
5593	1362	2	\N	2014-05-17 16:16:42.585648+03
5594	1363	2	\N	2014-05-17 16:18:45.312153+03
5595	1364	2	\N	2014-05-17 16:18:46.752544+03
4932	872	2	\N	2014-02-10 14:29:53.759164+02
4996	908	2	\N	2014-02-25 23:15:44.304324+02
4997	909	2	\N	2014-02-25 23:16:53.455486+02
5000	912	2	\N	2014-02-25 23:21:05.038132+02
5001	913	2	\N	2014-02-25 23:21:10.720503+02
5002	914	2	\N	2014-02-25 23:21:15.803027+02
5003	915	2	\N	2014-02-25 23:21:21.245593+02
5004	916	2	\N	2014-02-25 23:21:27.843749+02
5005	917	2	\N	2014-02-25 23:21:40.705852+02
5006	918	2	\N	2014-02-25 23:21:45.161533+02
5007	918	2	\N	2014-02-25 23:21:53.74917+02
5008	918	2	\N	2014-02-25 23:21:57.599668+02
5009	919	2	\N	2014-02-25 23:22:22.789803+02
5011	921	2	\N	2014-02-25 23:22:59.534922+02
5012	922	2	\N	2014-02-25 23:23:04.765473+02
5013	923	2	\N	2014-02-25 23:23:16.649188+02
5014	924	2	\N	2014-02-25 23:23:30.151925+02
5015	925	2	\N	2014-02-25 23:25:11.120354+02
5016	926	2	\N	2014-02-25 23:26:11.314153+02
5017	927	2	\N	2014-02-25 23:26:34.378644+02
5018	928	2	\N	2014-02-25 23:26:49.163639+02
5019	929	2	\N	2014-02-25 23:27:07.84413+02
5020	930	2	\N	2014-02-25 23:27:30.797684+02
5021	931	2	\N	2014-02-25 23:27:45.611037+02
5022	932	2	\N	2014-02-25 23:28:05.678992+02
5023	933	2	\N	2014-02-25 23:28:21.001129+02
5025	935	2	\N	2014-02-25 23:28:49.565248+02
5026	936	2	\N	2014-02-25 23:29:05.034117+02
5027	937	2	\N	2014-02-25 23:29:16.11101+02
5028	938	2	\N	2014-02-25 23:29:28.82178+02
5029	939	2	\N	2014-02-25 23:29:41.159219+02
5030	940	2	\N	2014-02-25 23:29:57.589154+02
5031	941	2	\N	2014-02-25 23:30:12.260571+02
5032	942	2	\N	2014-02-25 23:30:25.705958+02
5033	943	2	\N	2014-02-25 23:30:39.278491+02
5034	944	2	\N	2014-02-25 23:30:54.230938+02
5035	945	2	\N	2014-02-25 23:31:08.136642+02
5036	946	2	\N	2014-02-25 23:31:21.084682+02
5037	947	2	\N	2014-02-25 23:31:35.443235+02
5038	948	2	\N	2014-02-25 23:31:50.036032+02
5039	949	2	\N	2014-02-25 23:32:16.232207+02
5040	950	2	\N	2014-02-25 23:32:51.784126+02
5169	1011	2	\N	2014-03-08 15:10:44.638516+02
5206	3	2	\N	2014-03-12 13:00:24.217557+02
5207	3	2	\N	2014-03-12 13:00:34.025605+02
5238	1062	2	\N	2014-03-16 15:10:44.294343+02
5239	1062	2	\N	2014-03-16 15:11:01.269428+02
5240	858	2	\N	2014-03-16 15:11:06.875279+02
5241	903	2	\N	2014-03-16 15:12:25.130202+02
5379	1168	2	\N	2014-04-03 12:39:52.988369+03
5380	1169	2	\N	2014-04-03 12:49:06.139328+03
5448	1221	2	\N	2014-04-12 16:44:14.810824+03
5516	1285	2	\N	2014-04-29 12:08:23.116251+03
5517	1286	2	\N	2014-04-29 12:09:10.712444+03
5522	1291	2	\N	2014-04-29 12:13:37.203069+03
5523	1292	2	\N	2014-04-29 12:14:34.180203+03
4900	854	2	\N	2014-02-08 21:47:34.439997+02
4901	855	2	\N	2014-02-08 21:54:55.399628+02
4936	875	2	\N	2014-02-10 15:58:53.177719+02
4937	875	2	\N	2014-02-10 15:59:03.43204+02
5042	952	2	\N	2014-02-25 23:33:14.57009+02
5043	939	2	\N	2014-02-25 23:33:37.281163+02
5044	938	2	\N	2014-02-25 23:33:44.033176+02
5045	937	2	\N	2014-02-25 23:33:51.697991+02
5046	936	2	\N	2014-02-25 23:33:56.981908+02
5047	935	2	\N	2014-02-25 23:34:03.037741+02
5049	933	2	\N	2014-02-25 23:34:27.937885+02
5050	932	2	\N	2014-02-25 23:34:34.767736+02
5051	931	2	\N	2014-02-25 23:34:39.075165+02
5052	930	2	\N	2014-02-25 23:34:43.896812+02
5053	929	2	\N	2014-02-25 23:34:48.70472+02
5054	928	2	\N	2014-02-25 23:34:54.494127+02
5055	927	2	\N	2014-02-25 23:35:00.125101+02
5056	926	2	\N	2014-02-25 23:35:05.399995+02
5057	925	2	\N	2014-02-25 23:35:10.409443+02
5058	924	2	\N	2014-02-25 23:35:16.447517+02
5059	923	2	\N	2014-02-25 23:35:21.959285+02
5060	922	2	\N	2014-02-25 23:35:27.383937+02
5061	921	2	\N	2014-02-25 23:35:31.660307+02
5063	919	2	\N	2014-02-25 23:35:43.645366+02
5064	918	2	\N	2014-02-25 23:35:47.480218+02
5065	917	2	\N	2014-02-25 23:35:52.042922+02
5066	916	2	\N	2014-02-25 23:35:57.409224+02
5067	915	2	\N	2014-02-25 23:36:01.802966+02
5068	914	2	\N	2014-02-25 23:36:05.670476+02
5069	913	2	\N	2014-02-25 23:36:10.129284+02
5070	912	2	\N	2014-02-25 23:36:14.468359+02
5208	1040	2	\N	2014-03-12 20:50:33.871251+02
5209	1041	2	\N	2014-03-12 20:50:55.466763+02
5210	1041	2	\N	2014-03-12 20:51:02.123714+02
5211	1042	2	\N	2014-03-12 20:53:03.003465+02
5212	1043	2	\N	2014-03-12 20:53:27.910983+02
5213	1044	2	\N	2014-03-12 20:53:45.921718+02
5214	1045	2	\N	2014-03-12 20:54:23.054095+02
5215	1046	2	\N	2014-03-12 20:55:03.071619+02
5286	1078	2	\N	2014-03-20 21:22:51.030666+02
5381	1170	2	\N	2014-04-03 12:49:07.793292+03
5519	1288	2	\N	2014-04-29 12:10:21.572462+03
5521	1290	2	\N	2014-04-29 12:13:35.434847+03
5603	1372	2	\N	2014-05-17 18:47:30.594446+03
5606	1375	2	\N	2014-05-17 18:55:21.896666+03
5613	1382	2	\N	2014-05-17 19:04:51.767284+03
5619	1388	2	\N	2014-05-17 19:09:44.578209+03
5622	1391	2	\N	2014-05-17 19:12:29.996417+03
4902	856	2	\N	2014-02-08 21:59:04.719245+02
4938	876	2	\N	2014-02-10 16:19:24.400952+02
5071	953	2	\N	2014-02-26 23:25:15.548581+02
5072	954	2	\N	2014-02-26 23:25:55.407709+02
5075	957	2	\N	2014-02-26 23:28:34.003373+02
5076	958	2	\N	2014-02-26 23:28:45.594179+02
5077	959	2	\N	2014-02-26 23:28:57.004231+02
5078	960	2	\N	2014-02-26 23:29:08.086342+02
5079	961	2	\N	2014-02-26 23:29:17.646283+02
5080	962	2	\N	2014-02-26 23:29:26.175631+02
5081	963	2	\N	2014-02-26 23:29:35.761623+02
5082	964	2	\N	2014-02-26 23:29:46.892804+02
5083	965	2	\N	2014-02-26 23:29:54.140342+02
5084	966	2	\N	2014-02-26 23:30:01.375033+02
5085	967	2	\N	2014-02-26 23:30:08.774222+02
5086	968	2	\N	2014-02-26 23:30:17.802323+02
5087	969	2	\N	2014-02-26 23:30:29.097872+02
5088	970	2	\N	2014-02-26 23:30:38.081009+02
5089	971	2	\N	2014-02-26 23:30:52.902609+02
5091	973	2	\N	2014-02-26 23:31:31.71567+02
5093	975	2	\N	2014-02-26 23:32:13.646357+02
5094	976	2	\N	2014-02-26 23:32:24.624636+02
5095	977	2	\N	2014-02-26 23:32:34.606814+02
5096	978	2	\N	2014-02-26 23:32:43.318943+02
5097	979	2	\N	2014-02-26 23:32:54.081989+02
5098	980	2	\N	2014-02-26 23:33:04.823892+02
5099	981	2	\N	2014-02-26 23:33:16.574818+02
5100	982	2	\N	2014-02-26 23:33:28.270884+02
5101	983	2	\N	2014-02-26 23:33:40.854578+02
5102	984	2	\N	2014-02-26 23:33:57.05943+02
5103	985	2	\N	2014-02-26 23:34:08.238483+02
5105	987	2	\N	2014-02-26 23:34:29.757456+02
5106	988	2	\N	2014-02-26 23:34:37.99873+02
5216	3	2	\N	2014-03-12 21:55:10.706584+02
5287	1079	2	\N	2014-03-22 12:57:07.526655+02
5480	1249	2	\N	2014-04-27 01:02:16.23036+03
5481	1250	2	\N	2014-04-27 01:02:43.699513+03
5482	1251	2	\N	2014-04-27 01:03:00.011092+03
5483	1252	2	\N	2014-04-27 01:03:22.219667+03
5524	1293	2	\N	2014-04-29 12:17:51.658135+03
5525	1294	2	\N	2014-04-29 12:18:27.913053+03
5601	1370	2	\N	2014-05-17 18:45:54.451262+03
5602	1371	2	\N	2014-05-17 18:47:17.628356+03
5604	1373	2	\N	2014-05-17 18:54:01.477094+03
5607	1376	2	\N	2014-05-17 18:56:40.07768+03
5609	1378	2	\N	2014-05-17 19:02:40.402053+03
5616	1385	2	\N	2014-05-17 19:07:13.667811+03
5617	1386	2	\N	2014-05-17 19:07:36.068126+03
5621	1390	2	\N	2014-05-17 19:11:55.084234+03
4789	763	2	\N	2014-01-12 19:51:49.157909+02
4903	854	2	\N	2014-02-08 22:16:58.906498+02
4904	3	2	\N	2014-02-08 22:17:06.939369+02
4905	854	2	\N	2014-02-08 22:20:32.280238+02
4906	784	2	\N	2014-02-08 22:21:01.290541+02
4908	786	2	\N	2014-02-08 22:21:09.110319+02
5484	1253	2	\N	2014-04-28 00:03:49.599015+03
5289	1081	2	\N	2014-03-22 17:57:05.076581+02
5605	1374	2	\N	2014-05-17 18:55:03.070735+03
5611	1380	2	\N	2014-05-17 19:03:57.212913+03
5614	1383	2	\N	2014-05-17 19:04:59.867959+03
5618	1387	2	\N	2014-05-17 19:09:22.594353+03
5624	1393	2	\N	2014-05-18 10:14:28.009945+03
4790	764	2	\N	2014-01-12 20:33:53.3138+02
4909	723	2	\N	2014-02-08 22:28:37.868751+02
4940	878	2	\N	2014-02-10 16:40:47.442615+02
5610	1379	2	\N	2014-05-17 19:03:38.443538+03
5612	1381	2	\N	2014-05-17 19:04:17.238286+03
5615	1384	2	\N	2014-05-17 19:07:10.869783+03
5620	1389	2	\N	2014-05-17 19:09:47.55779+03
4910	857	2	\N	2014-02-09 00:41:07.487567+02
4911	858	2	\N	2014-02-09 00:41:26.234037+02
4912	859	2	\N	2014-02-09 00:41:48.428505+02
4913	860	2	\N	2014-02-09 00:42:12.938208+02
4914	857	2	\N	2014-02-09 00:42:31.066281+02
4915	861	2	\N	2014-02-09 00:42:52.234296+02
5291	1088	2	\N	2014-03-22 18:51:18.985681+02
5292	1081	2	\N	2014-03-22 18:51:44.158872+02
5458	1225	2	\N	2014-04-13 12:01:26.796233+03
5627	1396	2	\N	2014-05-18 11:58:47.293591+03
4917	764	2	\N	2014-02-09 00:53:58.264629+02
4918	769	2	\N	2014-02-09 00:57:04.796409+02
4919	775	2	\N	2014-02-09 00:57:24.917548+02
4920	788	2	\N	2014-02-09 00:57:42.02056+02
4942	878	2	\N	2014-02-10 22:47:18.374976+02
4943	880	2	\N	2014-02-10 22:48:37.279277+02
4944	881	2	\N	2014-02-10 22:49:24.829434+02
4945	882	2	\N	2014-02-10 22:49:56.066237+02
4946	883	2	\N	2014-02-10 22:50:06.121122+02
4947	884	2	\N	2014-02-10 22:50:26.035905+02
4948	884	2	\N	2014-02-10 22:53:06.689693+02
5294	1090	2	\N	2014-03-22 20:34:50.666418+02
5295	1091	2	\N	2014-03-22 20:36:11.95663+02
5298	1093	2	\N	2014-03-22 20:40:16.040605+02
5629	1398	2	\N	2014-05-18 12:12:21.975254+03
4949	764	2	\N	2014-02-11 19:47:14.055452+02
5488	1257	2	\N	2014-04-28 12:34:34.363475+03
5300	1095	2	\N	2014-03-22 20:52:34.596466+02
5301	1096	2	\N	2014-03-22 20:52:44.740475+02
5302	1097	2	\N	2014-03-22 20:53:03.099066+02
5489	1258	2	\N	2014-04-28 12:34:55.433659+03
5304	1099	2	\N	2014-03-22 20:57:07.889521+02
5535	1304	2	\N	2014-04-29 16:15:23.221696+03
5389	1178	2	\N	2014-04-05 19:40:06.274566+03
5390	1179	2	\N	2014-04-05 19:40:10.823684+03
5490	1259	2	\N	2014-04-28 12:58:44.196537+03
5305	1100	2	\N	2014-03-22 21:00:41.76813+02
5306	1101	2	\N	2014-03-22 21:00:48.529148+02
5307	1102	2	\N	2014-03-22 21:01:34.517288+02
5491	1260	2	\N	2014-04-28 12:59:00.104464+03
5631	1400	2	\N	2014-05-18 13:37:21.801854+03
5632	1401	2	\N	2014-05-18 13:37:41.402585+03
5633	1402	2	\N	2014-05-18 13:44:45.628784+03
5492	1261	2	\N	2014-04-28 13:04:58.29173+03
5634	1403	2	\N	2014-05-18 15:48:34.956287+03
5256	1067	2	\N	2014-03-16 19:34:31.935568+02
5494	1263	2	\N	2014-04-28 13:08:06.602496+03
5635	1404	2	\N	2014-05-18 19:18:07.615122+03
5636	1406	2	\N	2014-05-18 19:18:56.831097+03
5639	1409	2	\N	2014-05-18 19:22:05.971396+03
5394	1185	2	\N	2014-04-05 20:56:20.797318+03
5257	1067	2	\N	2014-03-16 19:55:56.894484+02
5495	1264	2	\N	2014-04-28 13:08:25.610345+03
5637	1407	2	\N	2014-05-18 19:19:36.399614+03
5641	1411	2	\N	2014-05-18 19:23:45.119721+03
5496	1265	2	\N	2014-04-28 13:08:54.519921+03
5638	1408	2	\N	2014-05-18 19:19:43.401474+03
5258	1067	2	\N	2014-03-16 20:09:16.532934+02
5311	1097	2	\N	2014-03-24 19:59:44.290142+02
5640	1410	2	\N	2014-05-18 19:23:00.415796+03
5643	1413	2	\N	2014-05-20 21:26:27.311927+03
5259	1068	2	\N	2014-03-16 20:15:31.769185+02
5499	1268	2	\N	2014-04-28 23:55:09.591646+03
5644	1414	2	\N	2014-05-24 17:02:57.354915+03
5645	1415	2	\N	2014-05-24 17:03:02.922541+03
5646	1416	2	\N	2014-05-24 17:06:48.542492+03
5647	1417	2	\N	2014-05-24 17:06:51.402853+03
5648	1418	2	\N	2014-05-24 17:07:25.101929+03
5649	1419	2	\N	2014-05-24 17:07:29.075778+03
5650	1420	2	\N	2014-05-24 17:24:17.546972+03
4120	16	2	\N	2014-01-01 13:19:09.979922+02
4131	14	2	\N	2014-01-01 18:45:07.902745+02
4144	706	2	\N	2014-01-03 16:12:41.015146+02
4145	706	2	\N	2014-01-03 16:13:23.197097+02
5402	1189	2	\N	2014-04-06 18:46:40.132797+03
5403	1190	2	\N	2014-04-06 18:47:22.030146+03
5138	865	2	\N	2014-03-03 21:09:34.254642+02
5404	1191	2	\N	2014-04-06 18:53:34.002074+03
5263	1009	2	\N	2014-03-16 21:40:10.728496+02
5264	1009	2	\N	2014-03-16 21:44:11.742442+02
5405	1192	2	\N	2014-04-06 19:20:55.890208+03
5140	865	2	\N	2014-03-03 21:57:11.59945+02
5265	1004	2	\N	2014-03-17 10:29:17.115979+02
5266	1004	2	\N	2014-03-17 10:29:24.701637+02
4744	723	2	\N	2014-01-04 23:58:55.624453+02
4746	725	2	\N	2014-01-05 01:09:00.405742+02
4747	726	2	\N	2014-01-05 01:09:15.602018+02
4749	728	2	\N	2014-01-05 01:13:50.125212+02
4756	734	2	\N	2014-01-05 12:36:48.48575+02
4765	743	2	\N	2014-01-05 13:20:17.173661+02
5654	1424	2	\N	2014-06-01 10:25:44.71461+03
5656	1426	2	\N	2014-06-01 12:15:53.295347+03
5661	1431	2	\N	2014-06-07 15:12:11.693366+03
5662	1432	2	\N	2014-06-07 15:12:40.323386+03
5663	1433	2	\N	2014-06-07 17:43:14.620483+03
5665	1435	2	\N	2014-06-07 21:01:18.691193+03
5667	1438	2	\N	2014-06-07 21:11:01.089928+03
5668	1439	2	\N	2014-06-07 21:11:46.797584+03
5669	1440	2	\N	2014-06-07 22:15:09.567299+03
5671	1442	2	\N	2014-06-07 22:16:04.586659+03
5676	1447	2	\N	2014-06-08 21:25:14.638119+03
5677	1448	2	\N	2014-06-08 21:25:35.09515+03
5679	1450	2	\N	2014-06-09 15:50:23.760428+03
5681	1452	2	\N	2014-06-09 17:20:44.311452+03
5693	1464	2	\N	2014-06-14 17:55:00.252916+03
5694	1465	2	\N	2014-06-14 17:55:08.213215+03
5695	1467	2	\N	2014-06-14 17:56:52.935007+03
5696	1468	2	\N	2014-06-14 17:58:15.339465+03
5697	1469	2	\N	2014-06-14 17:58:37.034547+03
5698	1470	2	\N	2014-06-14 18:00:56.71432+03
5699	1471	2	\N	2014-06-14 18:02:10.63169+03
5700	1472	2	\N	2014-06-14 18:02:54.98084+03
5701	1473	2	\N	2014-06-14 18:03:27.411198+03
5713	1485	2	\N	2014-06-15 15:17:28.256792+03
5715	1487	2	\N	2014-06-16 14:42:17.062016+03
5728	1500	2	\N	2014-06-18 16:59:05.631362+03
5730	1502	2	\N	2014-06-22 19:40:05.464875+03
5731	1503	2	\N	2014-06-22 19:40:20.79663+03
5732	1504	2	\N	2014-06-22 19:42:44.939368+03
5733	1505	2	\N	2014-06-22 19:43:05.103699+03
5734	1506	2	\N	2014-06-22 19:43:23.157992+03
5735	1507	2	\N	2014-06-22 19:46:21.388635+03
5737	1509	2	\N	2014-06-22 21:15:50.586549+03
5738	1510	2	\N	2014-06-24 20:30:44.36129+03
5739	1511	2	\N	2014-06-25 19:21:08.001771+03
5740	1512	2	\N	2014-06-25 19:37:43.544622+03
5741	1513	2	\N	2014-06-25 19:38:23.293423+03
5742	1514	2	\N	2014-06-25 19:38:46.712804+03
5743	1515	2	\N	2014-06-25 19:39:14.757449+03
5744	1516	2	\N	2014-06-25 20:37:42.602785+03
5745	1517	2	\N	2014-06-25 20:54:09.96009+03
5746	1518	2	\N	2014-06-25 20:54:50.943042+03
5747	1519	2	\N	2014-06-25 20:55:06.988343+03
5749	1521	2	\N	2014-06-26 21:02:19.488826+03
5750	1535	2	\N	2014-06-28 17:17:15.295903+03
5751	1536	2	\N	2014-06-28 17:31:39.626186+03
5752	1537	2	\N	2014-06-28 20:56:05.816704+03
5753	1538	2	\N	2014-06-28 20:57:41.600837+03
5754	1539	2	\N	2014-06-28 20:59:59.522314+03
5755	1540	2	\N	2014-06-28 21:00:26.365557+03
5756	1541	2	\N	2014-06-28 21:00:51.086753+03
5757	1542	2	\N	2014-06-28 21:18:20.602573+03
5758	1543	2	\N	2014-06-28 21:25:57.336069+03
5759	1544	2	\N	2014-06-28 21:26:14.894807+03
5760	1545	2	\N	2014-06-28 21:26:35.413657+03
5761	1546	2	\N	2014-07-02 23:01:03.321441+03
5762	1547	2	\N	2014-07-02 23:03:30.755887+03
5763	1548	2	\N	2014-07-26 18:07:46.336433+03
5764	1549	2	\N	2014-08-16 20:09:11.73959+03
5766	1551	2	\N	2014-08-16 20:23:59.980051+03
5767	1552	2	\N	2014-08-16 20:24:12.305446+03
5768	1553	2	\N	2014-08-16 20:24:15.930016+03
5769	1554	2	\N	2014-08-16 20:25:09.403552+03
5771	1556	2	\N	2014-08-16 20:51:19.103778+03
5773	1559	2	\N	2014-08-16 21:13:14.302214+03
5774	1560	2	\N	2014-08-16 21:13:18.107616+03
5775	1561	2	\N	2014-08-16 21:22:35.752473+03
5776	1562	2	\N	2014-08-16 21:23:02.397566+03
5777	1563	2	\N	2014-08-16 21:23:05.499294+03
5778	1564	2	\N	2014-08-16 21:24:08.813965+03
5783	1569	2	\N	2014-08-17 11:07:53.713228+03
5784	1570	2	\N	2014-08-17 11:09:10.292392+03
5790	1576	2	\N	2014-08-22 22:48:58.176695+03
5791	1577	2	\N	2014-08-22 22:49:31.584667+03
5792	1578	2	\N	2014-08-22 22:49:35.101959+03
5793	1579	2	\N	2014-08-22 22:50:20.197271+03
5794	1580	2	\N	2014-08-22 22:50:49.188036+03
5795	1581	2	\N	2014-08-22 22:51:29.357367+03
5796	1582	2	\N	2014-08-22 22:52:03.171722+03
5797	1584	2	\N	2014-08-22 22:58:38.326467+03
5798	1585	2	\N	2014-08-22 22:59:28.534906+03
5799	1586	2	\N	2014-08-22 22:59:41.71816+03
5800	1587	2	\N	2014-08-22 23:01:39.676197+03
5801	1588	2	\N	2014-08-22 23:02:11.872661+03
5802	1589	2	\N	2014-08-22 23:04:10.670971+03
5803	1590	2	\N	2014-08-22 23:04:40.181387+03
5804	1591	2	\N	2014-08-22 23:05:46.128053+03
5805	1592	2	\N	2014-08-22 23:06:07.780481+03
5806	1593	2	\N	2014-08-22 23:06:12.342153+03
5810	1597	2	\N	2014-08-22 23:14:17.280337+03
5811	1598	2	\N	2014-08-22 23:35:58.491964+03
5820	1607	2	\N	2014-08-23 13:37:30.044239+03
5821	1608	2	\N	2014-08-23 16:14:22.910225+03
5822	1609	2	\N	2014-08-23 16:16:24.823791+03
5823	1610	2	\N	2014-08-24 14:10:51.002759+03
5824	1611	2	\N	2014-08-24 14:11:19.783792+03
5825	1612	2	\N	2014-08-24 14:11:36.729128+03
5826	1613	2	\N	2014-08-24 14:11:54.849623+03
5827	1614	2	\N	2014-08-24 14:48:54.04485+03
5828	1615	2	\N	2014-08-24 14:48:55.715304+03
5829	1616	2	\N	2014-08-24 14:49:59.373945+03
5832	1619	2	\N	2014-08-24 15:01:16.140346+03
5833	1620	2	\N	2014-08-24 15:02:15.884894+03
5834	1621	2	\N	2014-08-24 15:02:43.162974+03
5835	1622	2	\N	2014-08-24 15:03:06.67481+03
5836	1623	2	\N	2014-08-24 15:03:53.276198+03
5837	1624	2	\N	2014-08-24 15:08:02.737031+03
5838	1625	2	\N	2014-08-24 15:08:18.61161+03
5839	1626	2	\N	2014-08-24 15:08:29.0077+03
5840	1627	2	\N	2014-08-24 15:10:13.736496+03
5841	1628	2	\N	2014-08-24 15:10:44.233145+03
5847	1634	2	\N	2014-08-24 15:21:09.48427+03
5852	1639	2	\N	2014-08-25 15:20:24.884947+03
5853	1640	2	\N	2014-08-26 19:55:53.569882+03
5854	1641	2	\N	2014-08-26 19:56:28.320221+03
5858	1645	2	\N	2014-08-26 20:01:19.187139+03
5860	1647	2	\N	2014-08-26 20:04:08.078366+03
5862	1649	2	\N	2014-08-26 20:04:48.124422+03
5855	1642	2	\N	2014-08-26 19:56:46.695581+03
5856	1643	2	\N	2014-08-26 19:57:13.160198+03
5857	1644	2	\N	2014-08-26 20:01:16.129984+03
5859	1646	2	\N	2014-08-26 20:04:06.105786+03
5861	1648	2	\N	2014-08-26 20:04:09.378364+03
5863	1650	2	\N	2014-08-26 20:06:13.193356+03
5864	1651	2	\N	2014-08-26 20:06:36.249641+03
5865	1652	2	\N	2014-08-26 20:07:23.412381+03
5866	1653	2	\N	2014-08-26 20:07:31.899383+03
5870	1657	2	\N	2014-08-26 20:13:28.887297+03
5873	1660	2	\N	2014-08-31 16:37:37.888486+03
5919	1714	2	\N	2014-09-14 13:27:15.677766+03
5926	1721	2	\N	2014-09-14 14:49:51.512979+03
5967	1764	2	\N	2014-09-14 21:51:09.963908+03
5968	1766	2	\N	2014-09-28 17:08:27.946698+03
5971	1769	2	\N	2014-10-01 20:37:18.107894+03
5972	1771	2	\N	2014-10-01 21:39:17.299667+03
5973	1773	2	\N	2014-10-01 22:04:03.074823+03
5974	1774	2	\N	2014-10-01 22:17:44.949656+03
5975	1775	2	\N	2014-10-03 20:21:54.06353+03
5977	1777	2	\N	2014-10-03 20:35:01.628264+03
5978	1778	2	\N	2014-10-04 21:45:17.702702+03
5980	1780	2	\N	2014-10-05 12:49:28.270538+03
5982	1797	2	\N	2014-10-05 21:08:02.025119+03
5983	1798	2	\N	2014-10-05 22:07:40.176836+03
5984	1799	2	\N	2014-10-09 20:49:57.476724+03
5985	1800	2	\N	2014-10-09 21:44:48.304991+03
5986	1801	2	\N	2014-10-09 21:45:57.042916+03
5987	1802	2	\N	2014-10-09 21:51:36.274928+03
5988	1797	2	\N	2014-10-09 21:58:44.274487+03
5989	1803	2	\N	2014-10-10 21:20:08.467997+03
5990	1804	2	\N	2014-10-10 21:48:32.795064+03
5991	1797	2	\N	2014-10-10 21:48:40.224687+03
5994	1797	2	\N	2014-10-10 22:43:03.886027+03
5995	1807	2	\N	2014-10-12 12:18:58.609492+03
5996	1419	2	\N	2014-10-12 12:21:41.297126+03
5999	1419	2	\N	2014-10-12 14:03:13.921521+03
6000	1419	2	\N	2014-10-12 14:03:56.458732+03
6002	1797	2	\N	2014-10-12 14:08:19.225786+03
6003	1797	2	\N	2014-10-12 14:08:29.322661+03
6005	1797	2	\N	2014-10-12 14:09:47.667654+03
6006	1797	2	\N	2014-10-12 14:10:15.511498+03
6008	894	2	\N	2014-10-12 14:15:30.839116+03
6010	894	2	\N	2014-10-12 14:15:50.178579+03
6011	894	2	\N	2014-10-12 14:16:00.712168+03
6014	1507	2	\N	2014-10-12 14:21:53.792753+03
6015	1507	2	\N	2014-10-12 14:22:06.118134+03
6016	1439	2	\N	2014-10-12 14:22:17.008412+03
6017	1438	2	\N	2014-10-12 14:22:21.965321+03
6020	1780	2	\N	2014-10-12 14:25:19.014258+03
6021	1780	2	\N	2014-10-12 14:25:28.403238+03
6022	1780	2	\N	2014-10-12 14:25:37.930302+03
6025	1413	2	\N	2014-10-12 14:31:06.237149+03
6026	1413	2	\N	2014-10-12 14:31:16.507549+03
6029	1415	2	\N	2014-10-12 14:34:22.672887+03
6030	1415	2	\N	2014-10-12 14:34:32.05391+03
6043	1657	2	\N	2014-10-12 15:41:58.778177+03
6045	1657	2	\N	2014-10-12 15:42:13.36551+03
6046	1657	2	\N	2014-10-12 15:42:24.726059+03
6050	1653	2	\N	2014-10-12 16:27:20.425954+03
6051	1653	2	\N	2014-10-12 16:27:45.783221+03
6053	1283	2	\N	2014-10-12 16:28:08.925372+03
6054	1283	2	\N	2014-10-12 16:28:17.376186+03
6055	1833	2	\N	2014-10-12 16:29:10.045595+03
6056	784	2	\N	2014-10-12 16:29:11.936722+03
6061	1542	2	\N	2014-10-12 17:31:06.178463+03
6063	861	2	\N	2014-10-12 20:54:52.692696+03
6064	861	2	\N	2014-10-12 20:55:02.552131+03
6066	998	2	\N	2014-10-18 11:46:31.67705+03
6075	1657	2	\N	2014-10-18 23:25:55.139592+03
6076	1657	2	\N	2014-10-18 23:26:04.397861+03
6077	1839	2	\N	2014-10-18 23:26:44.642232+03
6078	1634	2	\N	2014-10-18 23:26:52.975425+03
6079	1598	2	\N	2014-10-18 23:27:05.648811+03
6080	1502	2	\N	2014-10-18 23:27:11.743763+03
6081	1503	2	\N	2014-10-18 23:27:18.622533+03
6082	1440	2	\N	2014-10-18 23:27:25.765119+03
6083	1442	2	\N	2014-10-18 23:27:32.509568+03
6084	1840	2	\N	2014-10-18 23:35:01.43267+03
6114	1598	2	\N	2014-10-25 20:24:45.191774+03
6115	1840	2	\N	2014-10-25 20:25:16.419372+03
6116	1839	2	\N	2014-10-25 20:25:25.421645+03
6117	1657	2	\N	2014-10-25 20:25:34.041679+03
6118	1634	2	\N	2014-10-25 20:25:41.778509+03
6119	1598	2	\N	2014-10-25 20:25:49.974159+03
6120	1503	2	\N	2014-10-25 20:25:56.790041+03
6121	1502	2	\N	2014-10-25 20:26:11.552957+03
6122	1487	2	\N	2014-10-25 20:26:20.033323+03
6123	1442	2	\N	2014-10-25 20:26:26.124436+03
6124	1440	2	\N	2014-10-25 20:26:33.450119+03
6125	1660	2	\N	2014-10-25 20:27:51.453322+03
6126	1639	2	\N	2014-10-25 20:27:59.032748+03
6127	1607	2	\N	2014-10-25 20:28:26.48561+03
6128	1547	2	\N	2014-10-25 20:31:18.593123+03
6129	1546	2	\N	2014-10-25 20:31:27.322575+03
6130	1509	2	\N	2014-10-25 20:31:34.596003+03
6131	1500	2	\N	2014-10-25 20:31:41.235636+03
6132	1485	2	\N	2014-10-25 20:31:48.295128+03
6133	1448	2	\N	2014-10-25 20:31:55.364673+03
6134	1447	2	\N	2014-10-25 20:32:03.232605+03
6135	864	2	\N	2014-10-25 22:27:41.085522+03
6136	900	2	\N	2014-10-25 22:27:48.659618+03
6137	780	2	\N	2014-10-25 22:27:56.462817+03
6138	837	2	\N	2014-10-25 22:28:02.931936+03
6139	1394	2	\N	2014-10-25 22:28:08.943421+03
6140	873	2	\N	2014-10-25 22:28:16.618586+03
6141	778	2	\N	2014-10-25 22:28:22.956578+03
6142	1659	2	\N	2014-10-25 22:39:28.23436+03
6144	1849	2	\N	2014-10-25 23:00:37.016264+03
6145	1852	2	\N	2014-10-28 19:57:41.751563+02
6146	1853	2	\N	2014-10-28 20:23:48.907733+02
6147	1854	2	\N	2014-10-28 20:24:58.380434+02
6148	1855	2	\N	2014-10-28 20:25:08.681569+02
6151	1859	2	\N	2014-10-29 12:48:22.905378+02
6152	1860	2	\N	2014-10-30 22:03:33.988542+02
6157	1865	2	\N	2014-11-03 21:33:49.462196+02
6158	1866	2	\N	2014-11-03 21:38:54.729983+02
6159	1867	2	\N	2014-11-03 21:39:31.824693+02
6160	1868	2	\N	2014-11-03 21:40:02.647787+02
6161	1869	2	\N	2014-11-05 21:10:08.261088+02
6162	1870	2	\N	2014-11-05 21:10:38.427296+02
6164	1872	2	\N	2014-11-08 19:05:48.520641+02
6165	1868	2	\N	2014-11-08 19:07:32.928999+02
6166	1868	2	\N	2014-11-08 19:07:58.653299+02
6167	1873	2	\N	2014-11-09 14:14:33.279838+02
6168	1433	2	\N	2014-11-09 14:15:02.053975+02
6170	1875	2	\N	2014-11-09 20:43:57.157494+02
6171	1876	2	\N	2014-11-09 20:50:09.776581+02
6172	1876	2	\N	2014-11-09 21:46:07.106741+02
6173	1876	2	\N	2014-11-09 21:46:46.766703+02
6174	1876	2	\N	2014-11-12 18:42:47.24628+02
6175	1876	2	\N	2014-11-12 18:43:00.917409+02
6176	1876	2	\N	2014-11-12 18:43:51.052257+02
6177	1876	2	\N	2014-11-12 18:49:19.486465+02
6178	1876	2	\N	2014-11-12 18:49:50.992411+02
6182	1880	2	\N	2014-11-12 18:58:13.464317+02
6183	1881	2	\N	2014-11-12 18:58:13.464317+02
6184	1876	2	\N	2014-11-12 19:19:20.155903+02
6185	1880	2	\N	2014-11-12 19:20:04.488842+02
6186	1882	2	\N	2014-11-12 19:21:49.754499+02
6187	1882	2	\N	2014-11-12 20:48:55.295948+02
6188	1876	2	\N	2014-11-13 18:36:19.360925+02
6189	1876	2	\N	2014-11-13 18:36:40.275356+02
6190	1876	2	\N	2014-11-13 18:36:53.848561+02
6191	1876	2	\N	2014-11-13 18:37:04.828162+02
6192	1876	2	\N	2014-11-13 18:44:14.058824+02
6193	1880	2	\N	2014-11-14 13:23:46.652293+02
6196	1884	2	\N	2014-11-15 12:46:51.68956+02
6197	1885	2	\N	2014-11-15 12:55:58.618287+02
6200	1647	2	\N	2014-11-15 19:54:17.589811+02
6201	1647	2	\N	2014-11-15 19:57:05.325517+02
6202	1587	2	\N	2014-11-15 19:57:11.689531+02
6204	1888	2	\N	2014-11-15 20:54:18.530252+02
6209	1893	2	\N	2014-11-15 21:10:00.852505+02
6210	1894	2	\N	2014-11-16 11:36:20.360008+02
6211	1895	2	\N	2014-11-16 11:38:31.304748+02
6212	1896	2	\N	2014-11-16 11:52:22.859107+02
6214	1896	2	\N	2014-11-16 17:28:25.282664+02
6215	1898	2	\N	2014-11-18 19:36:00.947451+02
6217	1900	2	\N	2014-11-18 19:59:41.794255+02
6218	1901	2	\N	2014-11-18 20:00:50.313385+02
6219	1902	2	\N	2014-11-18 20:05:55.399398+02
6220	1903	2	\N	2014-11-18 20:06:23.495804+02
6221	1225	2	\N	2014-11-20 20:55:40.655878+02
6222	1904	2	\N	2014-11-21 20:47:35.513987+02
6223	1434	2	\N	2014-11-21 20:48:05.829054+02
6224	1571	2	\N	2014-11-21 20:48:27.000088+02
6225	1885	2	\N	2014-11-21 20:48:44.475673+02
6226	1905	2	\N	2014-11-21 21:17:50.885382+02
6227	1436	2	\N	2014-11-21 21:19:06.360097+02
6228	1798	2	\N	2014-11-21 21:19:19.899746+02
6229	1425	2	\N	2014-11-21 21:19:42.772209+02
6230	802	2	\N	2014-11-21 21:20:02.792752+02
6231	1906	2	\N	2014-11-21 21:20:18.443474+02
6232	802	2	\N	2014-11-21 21:20:33.430037+02
6233	1395	2	\N	2014-11-21 21:20:55.244524+02
6234	1907	2	\N	2014-11-21 21:25:23.260941+02
6235	879	2	\N	2014-11-21 21:26:01.060638+02
6236	1089	2	\N	2014-11-21 21:34:19.776611+02
6237	874	2	\N	2014-11-21 21:34:45.906696+02
6238	1080	2	\N	2014-11-21 21:35:09.652432+02
6239	1908	2	\N	2014-11-21 21:35:29.643627+02
6240	910	2	\N	2014-11-21 21:36:10.21074+02
6241	1080	2	\N	2014-11-21 21:36:26.556412+02
6242	911	2	\N	2014-11-21 21:36:37.408083+02
6243	956	2	\N	2014-11-21 21:36:56.333028+02
6244	955	2	\N	2014-11-21 21:37:09.845857+02
6246	1896	2	\N	2014-11-21 21:43:10.139464+02
6247	1910	2	\N	2014-11-22 17:58:53.151533+02
6248	1911	2	\N	2014-11-22 17:58:53.151533+02
6251	1903	2	\N	2014-11-23 17:42:18.707964+02
6253	1903	2	\N	2014-11-23 18:15:04.669498+02
6254	1913	2	\N	2014-11-23 18:22:07.34092+02
6255	1915	2	\N	2014-11-23 18:25:34.975922+02
6257	1917	2	\N	2014-11-23 18:40:26.695236+02
6258	1918	2	\N	2014-11-23 18:40:42.249218+02
6259	1919	2	\N	2014-11-27 21:56:12.900683+02
6265	1906	2	\N	2014-11-28 22:02:27.025943+02
6266	1908	2	\N	2014-11-28 22:03:25.613427+02
6267	1919	2	\N	2014-11-30 11:21:31.130821+02
6270	1368	2	\N	2014-11-30 18:22:02.736241+02
6271	1922	2	\N	2014-12-07 14:34:35.538855+02
6276	1924	2	\N	2014-12-07 21:40:24.739542+02
6277	1925	2	\N	2014-12-07 21:41:09.94037+02
6278	1926	2	\N	2014-12-07 21:41:37.63455+02
6279	1471	2	\N	2014-12-07 21:41:39.584636+02
6280	1927	2	\N	2014-12-07 21:42:12.893528+02
6281	1471	2	\N	2014-12-07 21:42:14.781639+02
6285	1930	2	\N	2014-12-08 21:43:55.101305+02
6286	1869	2	\N	2014-12-08 21:46:09.685953+02
6287	1931	2	\N	2014-12-08 21:52:00.685674+02
6288	1930	2	\N	2014-12-08 21:53:17.580512+02
6289	1932	2	\N	2014-12-11 22:45:01.994257+02
6290	1933	2	\N	2014-12-11 22:46:28.273472+02
6291	1934	2	\N	2014-12-11 22:50:30.21811+02
6293	1935	2	\N	2014-12-11 22:53:00.765244+02
6295	1935	2	\N	2014-12-11 22:53:42.569877+02
6297	1936	2	\N	2014-12-13 21:35:47.599877+02
6298	1939	2	\N	2014-12-13 21:37:02.820409+02
6299	1939	2	\N	2014-12-13 21:37:54.352906+02
6300	1936	2	\N	2014-12-13 21:55:38.627009+02
6301	1933	2	\N	2014-12-13 21:55:57.253566+02
6302	1933	2	\N	2014-12-13 21:57:41.570228+02
6303	1933	2	\N	2014-12-13 22:01:39.804954+02
6304	1936	2	\N	2014-12-13 22:01:54.801501+02
6305	1936	2	\N	2014-12-13 22:03:25.347584+02
6306	1933	2	\N	2014-12-13 22:03:37.415197+02
6307	1939	2	\N	2014-12-13 22:03:52.016284+02
6308	1936	2	\N	2014-12-13 22:10:55.202627+02
6309	1936	2	\N	2014-12-13 22:11:45.388631+02
6310	1936	2	\N	2014-12-14 11:10:18.568487+02
6311	1936	2	\N	2014-12-14 11:10:54.616091+02
6312	1936	2	\N	2014-12-14 11:12:20.116844+02
6313	1933	2	\N	2014-12-14 11:12:44.366886+02
6314	1936	2	\N	2014-12-14 11:14:36.987112+02
6315	1933	2	\N	2014-12-14 11:14:46.937016+02
6316	1940	2	\N	2014-12-14 11:16:18.397912+02
6317	1941	2	\N	2014-12-14 17:51:15.587939+02
6318	1940	2	\N	2014-12-14 19:37:37.036036+02
6319	1936	2	\N	2014-12-14 19:37:54.381361+02
6320	1940	2	\N	2014-12-14 19:41:49.794566+02
6321	1940	2	\N	2014-12-14 19:44:37.781977+02
6322	1940	2	\N	2014-12-14 19:48:08.98232+02
6323	1940	2	\N	2014-12-14 19:50:28.583831+02
6324	1940	2	\N	2014-12-14 20:30:31.46273+02
6325	1936	2	\N	2014-12-14 20:30:45.990313+02
6326	1940	2	\N	2014-12-14 20:33:08.50634+02
6327	1940	2	\N	2014-12-14 20:34:47.73587+02
6328	1940	2	\N	2014-12-14 20:37:41.082704+02
6329	1653	2	\N	2014-12-19 21:31:43.967187+02
6330	1653	2	\N	2014-12-19 21:37:31.746728+02
6331	1951	2	\N	2014-12-19 21:38:17.300837+02
6332	725	2	\N	2014-12-19 21:38:20.726452+02
6333	1952	2	\N	2014-12-19 21:42:56.792366+02
6334	1870	2	\N	2014-12-19 21:43:03.803839+02
6335	1906	2	\N	2014-12-20 16:10:55.310323+02
6338	1869	2	\N	2014-12-20 17:01:25.535753+02
6339	1869	2	\N	2014-12-20 17:03:12.810766+02
6340	1869	2	\N	2014-12-20 17:03:22.550854+02
6341	1628	2	\N	2014-12-20 17:05:00.135486+02
6342	1869	2	\N	2014-12-20 17:05:08.130568+02
6343	1626	2	\N	2014-12-20 17:50:11.179188+02
6344	1615	2	\N	2014-12-20 17:50:33.508978+02
6345	1954	2	\N	2014-12-20 18:18:17.329483+02
6346	1954	2	\N	2014-12-20 18:18:27.668631+02
6349	1225	2	\N	2014-12-21 12:57:50.837529+02
6350	1433	2	\N	2014-12-21 12:57:59.036844+02
6351	1954	2	\N	2014-12-21 13:04:30.43023+02
6355	1956	2	\N	2014-12-21 14:58:01.627945+02
6356	1383	2	\N	2014-12-21 14:58:04.4436+02
6357	1383	2	\N	2014-12-21 14:58:18.134114+02
6387	1958	2	\N	2014-12-21 19:20:00.336409+02
6388	1958	2	\N	2014-12-21 19:40:10.412709+02
6389	1958	2	\N	2014-12-21 19:43:18.014602+02
6393	1962	2	\N	2014-12-24 21:32:53.618984+02
6400	1964	2	\N	2014-12-25 21:05:49.345482+02
6411	1317	2	\N	2014-12-27 14:48:10.519499+02
6412	1840	2	\N	2014-12-27 16:05:27.016889+02
6413	1840	2	\N	2014-12-27 16:32:05.180181+02
6414	1840	2	\N	2014-12-27 16:45:52.831401+02
6415	1966	2	\N	2014-12-27 19:34:56.371248+02
6418	1966	2	\N	2014-12-31 19:10:29.989911+02
6420	1968	2	\N	2015-01-03 12:32:10.846571+02
6422	1970	2	\N	2015-01-03 12:35:21.670372+02
6423	1971	2	\N	2015-01-04 12:45:51.571627+02
6424	1840	2	\N	2015-01-04 12:45:53.947837+02
6425	1971	2	\N	2015-01-04 12:46:35.715575+02
6426	1971	2	\N	2015-01-04 14:05:54.230775+02
6428	1975	2	\N	2015-01-04 14:47:53.838979+02
6429	1976	2	\N	2015-01-04 15:06:13.604725+02
6430	1977	2	\N	2015-01-04 16:44:50.635763+02
6431	1975	2	\N	2015-01-04 16:54:32.711408+02
6432	1975	2	\N	2015-01-04 17:11:52.039507+02
6433	1975	2	\N	2015-01-04 17:31:46.570967+02
6434	1975	2	\N	2015-01-07 14:12:48.405815+02
6435	1975	2	\N	2015-01-07 14:22:19.046581+02
6436	1978	2	\N	2015-01-07 18:00:22.111119+02
6437	1979	2	\N	2015-01-07 18:22:39.961593+02
6438	1980	2	\N	2015-01-07 18:22:48.978415+02
6439	1981	2	\N	2015-01-07 18:23:19.524712+02
6440	3	2	\N	2015-01-07 18:23:30.384627+02
6441	1982	2	\N	2015-01-07 18:30:42.662112+02
6442	3	2	\N	2015-01-07 18:30:49.411934+02
6443	3	2	\N	2015-01-07 18:31:24.902432+02
6444	784	2	\N	2015-01-08 13:21:17.321066+02
6445	784	2	\N	2015-01-08 13:27:01.529898+02
6446	784	2	\N	2015-01-08 14:19:17.153858+02
6447	784	2	\N	2015-01-08 14:20:23.527059+02
6448	784	2	\N	2015-01-09 10:59:22.101268+02
6449	1046	2	\N	2015-01-12 22:16:18.421621+02
6450	1046	2	\N	2015-01-12 22:16:29.774766+02
6451	1046	2	\N	2015-01-12 22:18:02.620143+02
6452	1046	2	\N	2015-01-13 17:00:13.07184+02
6453	1983	2	\N	2015-01-13 17:00:57.932019+02
6454	1985	2	\N	2015-01-13 17:03:06.725248+02
6455	1985	2	\N	2015-01-14 21:32:00.651438+02
6456	1046	2	\N	2015-01-14 21:35:47.291833+02
6457	1987	2	\N	2015-01-15 20:30:02.464255+02
6458	1988	2	\N	2015-01-15 21:27:50.402917+02
6459	1989	2	\N	2015-01-17 15:06:55.170629+02
6460	1990	2	\N	2015-01-17 19:50:58.298272+02
6461	1991	2	\N	2015-01-17 19:50:58.298272+02
6462	1992	2	\N	2015-01-17 19:51:20.956564+02
6463	1990	2	\N	2015-01-17 21:28:18.900625+02
6464	1993	2	\N	2015-01-17 21:28:36.972519+02
6465	1994	2	\N	2015-01-17 21:50:01.04394+02
6466	1995	2	\N	2015-01-17 21:50:14.61181+02
6467	1996	2	\N	2015-01-17 21:54:58.910426+02
6468	1997	2	\N	2015-01-17 21:54:58.910426+02
6471	2000	2	\N	2015-01-17 21:56:46.645017+02
6472	2001	2	\N	2015-01-17 21:57:17.28338+02
6473	2002	2	\N	2015-01-17 21:57:17.28338+02
6476	2005	2	\N	2015-01-17 22:00:19.139836+02
6477	2006	2	\N	2015-01-17 22:00:39.986496+02
6478	2007	2	\N	2015-01-17 22:00:39.986496+02
6479	2000	2	\N	2015-01-17 22:01:41.277766+02
6480	2009	2	\N	2015-01-21 21:44:18.418746+02
6481	1985	2	\N	2015-02-01 13:03:47.123323+02
6482	2009	2	\N	2015-02-01 13:05:09.626214+02
6483	2011	2	\N	2015-02-01 13:23:15.549518+02
6484	1004	2	\N	2015-02-01 13:23:17.930893+02
6485	2012	2	\N	2015-02-01 13:51:03.67962+02
6486	1470	2	\N	2015-02-01 13:51:06.125989+02
6487	2013	2	\N	2015-02-01 15:08:04.506074+02
6488	2014	2	\N	2015-02-01 15:08:25.548868+02
6489	2015	2	\N	2015-02-01 15:09:02.223788+02
6490	2016	2	\N	2015-02-01 15:09:49.640295+02
6491	2017	2	\N	2015-02-01 15:09:55.959842+02
6492	2018	2	\N	2015-02-01 15:12:43.612773+02
6493	2019	2	\N	2015-02-01 15:13:13.911124+02
6494	2020	2	\N	2015-02-01 15:13:27.313034+02
6497	2023	2	\N	2015-02-01 15:16:10.834689+02
6498	2024	2	\N	2015-02-01 15:16:30.308954+02
6501	2026	2	\N	2015-02-01 15:27:12.501194+02
6502	2026	2	\N	2015-02-01 15:27:30.084405+02
6503	2027	2	\N	2015-02-01 15:27:55.689729+02
6504	2028	2	\N	2015-02-01 15:27:55.689729+02
6505	2029	2	\N	2015-02-01 19:41:31.921287+02
6506	2030	2	\N	2015-02-01 19:49:07.587188+02
6507	2031	2	\N	2015-02-01 19:49:18.380376+02
6508	2032	2	\N	2015-02-01 19:51:03.621123+02
6509	1004	2	\N	2015-02-01 19:51:06.683043+02
6515	2038	2	\N	2015-02-01 19:53:59.085718+02
6516	2039	2	\N	2015-02-01 19:53:59.085718+02
6521	2044	2	\N	2015-02-01 19:54:52.686809+02
6522	2045	2	\N	2015-02-01 19:54:52.686809+02
6523	2046	2	\N	2015-02-01 19:54:52.686809+02
6524	2047	2	\N	2015-02-01 19:54:52.686809+02
6525	2048	2	\N	2015-02-03 20:05:38.797054+02
6526	2048	2	\N	2015-02-03 20:06:16.781057+02
6528	2049	2	\N	2015-02-03 21:27:11.659126+02
6529	2048	2	\N	2015-02-03 21:27:36.200475+02
6530	2050	2	\N	2015-02-04 21:04:02.527314+02
6531	2051	2	\N	2015-02-04 21:04:04.474427+02
6532	2051	2	\N	2015-02-04 21:11:28.094987+02
6533	2052	2	\N	2015-02-04 21:11:39.281593+02
6534	2051	2	\N	2015-02-23 21:04:13.639992+02
6535	1648	2	\N	2015-02-24 14:58:15.754816+02
6536	2053	2	\N	2015-02-24 21:04:03.673911+02
6537	2054	2	\N	2015-02-24 21:04:26.838046+02
6538	2053	2	\N	2015-02-24 21:06:05.145287+02
6539	2054	2	\N	2015-02-24 21:06:08.284296+02
6540	2053	2	\N	2015-02-24 21:06:25.905562+02
6541	2054	2	\N	2015-02-24 21:06:27.830735+02
6542	2055	2	\N	2015-03-03 16:25:23.003263+02
6553	2051	2	\N	2015-03-05 21:22:31.156271+02
6554	2052	2	\N	2015-03-05 21:22:34.187754+02
6555	2049	2	\N	2015-03-07 13:59:54.391614+02
6556	2049	2	\N	2015-03-07 14:00:01.858793+02
6557	2049	2	\N	2015-03-07 14:00:08.905813+02
6558	2049	2	\N	2015-03-07 17:41:13.176137+02
6559	2049	2	\N	2015-03-07 17:41:24.454712+02
6560	2016	2	\N	2015-03-07 19:11:45.990005+02
6561	1971	2	\N	2015-03-07 20:39:22.05432+02
6562	1939	2	\N	2015-03-07 20:41:30.911568+02
6563	1964	2	\N	2015-03-07 20:41:40.386597+02
6564	1962	2	\N	2015-03-07 20:41:47.24255+02
6565	2009	2	\N	2015-03-07 20:41:57.590912+02
6566	1958	2	\N	2015-03-07 20:42:08.257141+02
6567	2062	2	\N	2015-03-07 20:44:22.388688+02
6568	1958	2	\N	2015-03-07 20:44:57.143369+02
6569	1922	2	\N	2015-03-07 21:16:33.311167+02
6570	1930	2	\N	2015-03-07 21:18:30.204883+02
6571	1980	2	\N	2015-03-07 21:18:36.892234+02
6572	1930	2	\N	2015-03-07 21:21:01.745845+02
6573	1982	2	\N	2015-03-07 21:45:35.899441+02
6574	1983	2	\N	2015-03-07 21:45:46.115364+02
6575	1985	2	\N	2015-03-07 21:45:53.837217+02
6576	2016	2	\N	2015-03-07 21:46:03.965785+02
6577	1940	2	\N	2015-03-07 21:46:13.798132+02
6578	1932	2	\N	2015-03-07 21:46:22.868946+02
6579	1934	2	\N	2015-03-07 21:46:33.42948+02
6580	1935	2	\N	2015-03-07 21:46:42.582075+02
6581	1936	2	\N	2015-03-07 21:46:53.561952+02
6582	1933	2	\N	2015-03-07 21:47:06.74156+02
6584	1922	2	\N	2015-03-08 18:02:14.423833+02
6585	1922	2	\N	2015-03-08 18:02:24.288542+02
6586	1989	2	\N	2015-03-08 18:07:00.091644+02
6587	1922	2	\N	2015-03-08 18:17:03.971743+02
6588	1922	2	\N	2015-03-08 18:29:12.5349+02
6589	2063	2	\N	2015-03-08 18:41:45.468589+02
6590	1989	2	\N	2015-03-08 18:41:51.822924+02
6592	2065	2	\N	2015-03-09 14:02:38.899688+02
6593	2066	2	\N	2015-03-09 17:16:22.759831+02
6594	2068	2	\N	2015-03-09 19:28:40.834898+02
6595	1980	2	\N	2015-03-09 19:37:29.594475+02
6596	1389	2	\N	2015-03-15 19:00:11.360402+02
6597	1389	2	\N	2015-03-15 19:07:00.022851+02
6598	1389	2	\N	2015-03-15 19:08:22.540227+02
6599	2070	2	\N	2015-03-21 15:11:50.495946+02
6600	1989	2	\N	2015-03-21 15:11:59.182752+02
6603	2052	2	\N	2015-03-21 16:50:40.821135+02
6605	2052	2	\N	2015-03-21 16:52:47.683727+02
6606	2075	2	\N	2015-03-21 17:05:47.83578+02
6607	2075	2	\N	2015-03-21 17:06:12.331454+02
6608	2052	2	\N	2015-03-21 17:06:35.32059+02
6609	2070	2	\N	2015-03-21 17:48:31.664941+02
6610	2077	2	\N	2015-03-21 17:49:14.645342+02
6618	2052	2	\N	2015-03-21 18:16:06.930298+02
6621	2052	2	\N	2015-03-21 18:19:16.455929+02
6622	2087	2	\N	2015-03-21 18:20:19.713186+02
6623	2052	2	\N	2015-03-21 18:20:29.187736+02
6624	2052	2	\N	2015-03-21 19:28:39.349206+02
6625	2052	2	\N	2015-03-21 19:30:14.844869+02
6626	2052	2	\N	2015-03-21 19:33:54.902921+02
6627	2052	2	\N	2015-03-21 19:34:11.317898+02
6628	2052	2	\N	2015-03-21 19:35:55.581037+02
6629	2052	2	\N	2015-03-21 19:36:06.902031+02
6630	2052	2	\N	2015-03-21 19:36:15.834648+02
6631	2052	2	\N	2015-03-21 19:36:28.227499+02
6632	2052	2	\N	2015-03-21 19:36:44.271289+02
6633	2088	2	\N	2015-03-21 19:36:44.271289+02
6634	2089	2	\N	2015-03-21 19:38:07.835672+02
6635	2090	2	\N	2015-03-21 19:38:10.203402+02
6637	2052	2	\N	2015-03-21 19:40:18.868487+02
6638	2052	2	\N	2015-03-21 19:41:03.761402+02
6639	2052	2	\N	2015-03-21 19:42:48.725752+02
6640	2052	2	\N	2015-03-21 19:43:52.346215+02
6641	2092	2	\N	2015-03-21 20:11:35.939948+02
6642	2052	2	\N	2015-03-21 20:11:42.394011+02
6643	2052	2	\N	2015-03-21 20:12:01.524624+02
6646	2052	2	\N	2015-03-21 21:14:06.180767+02
6647	2095	2	\N	2015-03-21 22:03:40.435063+02
6648	2051	2	\N	2015-03-21 22:03:42.699321+02
6649	2088	2	\N	2015-03-21 22:03:45.19164+02
6650	2052	2	\N	2015-03-21 22:12:59.222848+02
6651	971	2	\N	2015-03-22 16:55:09.922468+02
6652	2096	2	\N	2015-03-22 17:22:28.394236+02
6653	970	2	\N	2015-03-22 17:22:30.31308+02
6654	971	2	\N	2015-03-22 17:32:58.675826+02
6655	2097	2	\N	2015-03-22 17:35:36.969555+02
6656	2052	2	\N	2015-03-22 17:35:38.710629+02
6657	2052	2	\N	2015-03-22 17:35:54.667572+02
6658	2052	2	\N	2015-03-22 17:36:02.394493+02
6659	1413	2	\N	2015-03-22 21:10:23.96026+02
6660	2098	2	\N	2015-03-22 21:12:12.040889+02
6661	1413	2	\N	2015-03-22 21:12:14.574907+02
6662	953	2	\N	2015-03-23 10:52:07.126828+02
6663	955	2	\N	2015-03-23 10:52:46.434534+02
6664	955	2	\N	2015-03-23 10:53:07.107505+02
6665	971	2	\N	2015-03-23 11:17:09.549645+02
6666	971	2	\N	2015-03-23 11:17:14.786132+02
6667	971	2	\N	2015-03-23 22:30:47.611278+02
6668	2099	2	\N	2015-03-24 19:25:49.743645+02
6669	2100	2	\N	2015-03-24 19:26:22.746874+02
6670	2101	2	\N	2015-03-24 19:30:50.825716+02
6671	1413	2	\N	2015-03-24 21:27:29.027714+02
6672	1413	2	\N	2015-03-24 21:27:56.025596+02
6673	2104	2	\N	2015-03-25 22:08:36.018637+02
6674	2105	2	\N	2015-03-25 22:09:11.121353+02
6675	2106	2	\N	2015-03-25 22:10:32.26983+02
6676	2107	2	\N	2015-03-27 21:02:27.365736+02
6677	1413	2	\N	2015-03-27 22:11:48.664734+02
6678	1318	2	\N	2015-03-27 22:11:57.175441+02
6679	2108	2	\N	2015-03-27 22:14:09.702895+02
6680	1413	2	\N	2015-03-27 22:14:23.177174+02
6681	1975	2	\N	2015-03-29 14:54:09.090695+03
6682	1975	2	\N	2015-03-29 14:56:05.558074+03
6683	2054	2	\N	2015-03-29 18:10:37.298528+03
6684	2054	2	\N	2015-03-29 18:10:44.494853+03
6685	2054	2	\N	2015-03-29 18:11:59.351954+03
6686	894	2	\N	2015-03-29 18:12:33.345883+03
6687	2108	2	\N	2015-03-29 18:41:14.962865+03
6688	2108	2	\N	2015-03-29 18:41:28.932911+03
6689	2108	2	\N	2015-03-29 18:41:35.361837+03
6693	1578	2	\N	2015-03-29 19:28:18.094577+03
6694	1563	2	\N	2015-03-29 19:28:26.306719+03
6695	1560	2	\N	2015-03-29 19:28:31.032916+03
6696	1649	2	\N	2015-03-29 20:30:21.118741+03
6698	2111	2	\N	2015-03-29 20:32:08.188477+03
6699	918	2	\N	2015-03-29 20:45:02.042426+03
6700	918	2	\N	2015-03-29 20:45:08.391579+03
6701	917	2	\N	2015-03-29 20:45:13.080299+03
6702	916	2	\N	2015-03-29 20:45:17.094049+03
6703	952	2	\N	2015-03-29 20:51:29.823177+03
6705	988	2	\N	2015-03-29 20:57:38.470567+03
6707	971	2	\N	2015-03-29 21:04:32.587955+03
6709	1647	2	\N	2015-03-29 21:11:13.101083+03
6710	2115	2	\N	2015-03-29 21:11:20.771189+03
6711	1648	2	\N	2015-03-29 21:19:19.348961+03
6713	1646	2	\N	2015-03-29 21:25:36.400114+03
6715	1419	2	\N	2015-03-31 18:55:34.756779+03
6716	1415	2	\N	2015-03-31 18:55:54.50919+03
6718	1507	2	\N	2015-03-31 19:11:10.805316+03
6719	1507	2	\N	2015-03-31 19:11:17.000092+03
6720	1507	2	\N	2015-03-31 19:11:23.716877+03
6721	1898	2	\N	2015-03-31 19:19:08.662529+03
6722	1898	2	\N	2015-03-31 19:19:13.979595+03
6723	1898	2	\N	2015-03-31 19:19:19.541915+03
6724	2119	2	\N	2015-03-31 19:31:32.255315+03
6725	1419	2	\N	2015-03-31 19:31:35.171043+03
6726	2120	2	\N	2015-03-31 21:42:30.209371+03
6727	2107	2	\N	2015-04-06 22:18:27.344977+03
6728	2054	2	\N	2015-04-22 09:31:23.533867+03
6729	2126	2	\N	2015-04-22 10:21:50.083529+03
6730	2126	2	\N	2015-04-22 10:34:35.83663+03
6731	2127	2	\N	2015-04-22 15:08:30.934237+03
6732	2128	2	\N	2015-04-22 15:09:24.597951+03
6733	2129	2	\N	2015-04-22 15:30:21.099029+03
6734	2130	2	\N	2015-04-22 15:30:28.848383+03
6735	2131	2	\N	2015-04-22 15:33:06.666889+03
6736	2126	2	\N	2015-04-22 15:33:09.520564+03
6737	2132	2	\N	2015-04-22 15:34:13.439147+03
6738	2126	2	\N	2015-04-22 15:34:14.494849+03
6739	2126	2	\N	2015-04-22 15:34:41.240196+03
6740	2130	2	\N	2015-04-24 21:16:26.897843+03
6741	953	2	\N	2015-04-24 21:38:02.133997+03
6742	955	2	\N	2015-04-24 21:39:08.574084+03
6743	2108	2	\N	2015-04-25 13:14:21.858762+03
6745	2135	2	\N	2015-04-25 16:39:24.611492+03
6746	2128	2	\N	2015-04-25 16:59:29.339712+03
6747	2136	2	\N	2015-04-25 16:59:52.412523+03
6748	2137	2	\N	2015-04-25 21:29:39.820793+03
6749	2138	2	\N	2015-04-25 21:29:47.819244+03
6750	2139	2	\N	2015-04-25 21:29:55.72108+03
6751	2144	2	\N	2015-04-26 00:17:08.072699+03
6752	2145	2	\N	2015-04-26 00:17:08.072699+03
6753	2146	2	\N	2015-04-26 00:22:46.640907+03
6754	2147	2	\N	2015-04-26 00:22:46.640907+03
6755	2148	2	\N	2015-04-26 00:26:59.761945+03
6756	2149	2	\N	2015-04-26 00:26:59.761945+03
6757	2150	2	\N	2015-04-26 00:30:11.687983+03
6758	2151	2	\N	2015-04-26 00:30:11.687983+03
6759	2152	2	\N	2015-04-26 00:36:42.355592+03
6760	2153	2	\N	2015-04-26 00:36:42.355592+03
6761	2154	2	\N	2015-04-26 00:44:52.209962+03
6762	2155	2	\N	2015-04-26 00:44:52.209962+03
6763	2156	2	\N	2015-04-26 09:56:13.81422+03
6764	2157	2	\N	2015-04-26 09:56:13.81422+03
6765	2158	2	\N	2015-04-26 10:00:13.021078+03
6766	2159	2	\N	2015-04-26 10:00:13.021078+03
6767	2160	2	\N	2015-04-26 10:09:07.981749+03
6768	2161	2	\N	2015-04-26 10:09:07.981749+03
6769	2162	2	\N	2015-04-26 10:11:20.869074+03
6770	2163	2	\N	2015-04-26 10:11:20.869074+03
6771	2164	2	\N	2015-04-26 10:23:35.980962+03
6772	2165	2	\N	2015-04-26 10:23:35.980962+03
6774	2167	2	\N	2015-04-26 10:30:42.474899+03
6775	2168	2	\N	2015-04-26 10:30:42.474899+03
6778	2171	2	\N	2015-04-26 10:38:49.924523+03
6779	2172	2	\N	2015-04-26 10:41:15.682562+03
6780	2173	2	\N	2015-04-26 10:41:15.682562+03
6781	2174	2	\N	2015-04-26 10:51:18.425172+03
6782	2175	2	\N	2015-04-26 10:51:18.425172+03
6783	2176	2	\N	2015-04-26 10:54:26.243589+03
6784	2177	2	\N	2015-04-26 10:54:26.243589+03
6785	2178	2	\N	2015-04-26 10:57:26.669326+03
6786	2179	2	\N	2015-04-26 10:57:26.669326+03
6787	2180	2	\N	2015-04-26 11:08:04.739521+03
6788	2181	2	\N	2015-04-26 11:08:04.739521+03
6789	2182	2	\N	2015-04-26 11:13:10.975009+03
6790	2183	2	\N	2015-04-26 11:13:10.975009+03
6791	2184	2	\N	2015-04-26 13:03:25.416787+03
6792	2185	2	\N	2015-04-26 13:03:25.416787+03
6793	2186	2	\N	2015-04-26 13:42:49.969814+03
6794	2187	2	\N	2015-04-26 14:04:42.384772+03
6795	2188	2	\N	2015-04-26 14:04:42.384772+03
6796	2189	2	\N	2015-04-26 14:05:26.994527+03
6797	2190	2	\N	2015-04-26 14:05:26.994527+03
6798	2186	2	\N	2015-04-26 14:05:29.313624+03
6801	2197	2	\N	2015-05-03 13:21:34.120955+03
6802	2197	2	\N	2015-05-03 13:23:12.828981+03
6803	2197	2	\N	2015-05-03 13:34:38.831852+03
6804	2197	2	\N	2015-05-03 13:40:51.674186+03
6805	2199	2	\N	2015-05-03 23:18:19.876372+03
6806	1780	2	\N	2015-05-03 23:18:33.103558+03
6807	1368	2	\N	2015-05-04 19:21:58.460934+03
6808	1368	2	\N	2015-05-04 19:22:20.533133+03
6809	2200	2	\N	2015-05-04 20:57:01.637182+03
6810	2201	2	\N	2015-05-04 20:58:33.565049+03
6811	2203	2	\N	2015-05-04 21:30:33.485239+03
6812	1003	2	\N	2015-05-08 21:15:22.303904+03
6813	2205	2	\N	2015-05-08 22:38:40.1563+03
6814	2206	2	\N	2015-05-08 22:40:57.101857+03
6815	2207	2	\N	2015-05-08 22:43:00.228497+03
6816	2208	2	\N	2015-05-08 22:43:46.205549+03
6817	2209	2	\N	2015-05-09 15:04:04.437709+03
6818	2210	2	\N	2015-05-09 15:18:42.295591+03
6819	2211	2	\N	2015-05-09 15:20:41.04877+03
6820	2212	2	\N	2015-05-09 15:21:16.54612+03
6821	2213	2	\N	2015-05-09 15:21:20.750661+03
6822	2214	2	\N	2015-05-09 15:27:46.304009+03
6823	2215	2	\N	2015-05-09 15:27:52.157735+03
6824	2216	2	\N	2015-05-09 15:32:20.738122+03
6825	2216	2	\N	2015-05-09 15:34:43.153612+03
6826	2216	2	\N	2015-05-09 15:35:37.080548+03
6827	2216	2	\N	2015-05-09 15:36:20.491648+03
6828	2216	2	\N	2015-05-09 15:36:28.290218+03
6829	2217	2	\N	2015-05-09 16:10:30.715652+03
6830	2218	2	\N	2015-05-09 16:40:29.294581+03
6831	2216	2	\N	2015-05-09 16:40:47.688279+03
6832	2219	2	\N	2015-05-09 16:52:43.81748+03
6833	1550	2	\N	2015-05-09 16:53:04.04708+03
6834	1008	2	\N	2015-05-09 16:53:15.905297+03
6836	2218	2	\N	2015-05-09 16:56:24.612587+03
6837	2221	2	\N	2015-05-09 16:58:37.060459+03
6838	2216	2	\N	2015-05-09 17:04:04.921556+03
6839	2216	2	\N	2015-05-09 17:04:48.531212+03
6840	1563	2	\N	2015-05-09 19:32:44.822595+03
6841	2222	2	\N	2015-05-09 19:43:25.178079+03
6842	2215	2	\N	2015-05-09 20:07:16.539791+03
6843	2216	2	\N	2015-05-09 20:07:46.078918+03
6844	2223	2	\N	2015-05-09 20:08:53.78535+03
6845	2224	2	\N	2015-05-09 20:09:23.379411+03
6846	2225	2	\N	2015-05-09 20:09:44.887962+03
6847	2226	2	\N	2015-05-09 20:17:22.088876+03
6848	2227	2	\N	2015-05-09 20:29:08.971941+03
6849	2228	2	\N	2015-05-09 20:29:24.701653+03
6850	2229	2	\N	2015-05-09 20:29:40.419576+03
6851	2224	2	\N	2015-05-09 20:29:49.729598+03
6852	2230	2	\N	2015-05-09 20:30:09.233291+03
6853	2231	2	\N	2015-05-09 20:30:23.623593+03
6854	2232	2	\N	2015-05-09 20:30:35.560504+03
6855	2233	2	\N	2015-05-09 20:30:51.356148+03
6856	2234	2	\N	2015-05-09 20:31:09.312334+03
6857	2235	2	\N	2015-05-09 20:31:21.029136+03
6858	2236	2	\N	2015-05-09 20:31:43.127575+03
6859	2237	2	\N	2015-05-09 20:31:57.326798+03
6860	2238	2	\N	2015-05-09 20:32:20.746647+03
6861	2239	2	\N	2015-05-09 20:32:35.107871+03
6862	2240	2	\N	2015-05-09 20:32:50.419187+03
6863	2241	2	\N	2015-05-09 20:33:01.999568+03
6864	2242	2	\N	2015-05-09 20:33:16.190303+03
6865	2236	2	\N	2015-05-09 20:54:08.857766+03
6866	2216	2	\N	2015-05-09 21:04:14.03464+03
6867	1578	2	\N	2015-05-09 21:16:42.718164+03
6868	2243	2	\N	2015-05-10 13:44:27.494956+03
6869	2244	2	\N	2015-05-10 13:45:29.048699+03
6870	2245	2	\N	2015-05-10 13:46:40.29071+03
6871	2246	2	\N	2015-05-10 14:01:26.829403+03
6872	2247	2	\N	2015-05-10 14:01:57.254972+03
6873	2248	2	\N	2015-05-10 14:10:42.034833+03
6874	2249	2	\N	2015-05-10 14:10:53.000133+03
6875	2254	2	\N	2015-05-10 14:35:53.336283+03
6876	2255	2	\N	2015-05-10 14:35:53.336283+03
6877	2256	2	\N	2015-05-10 14:39:45.730714+03
6878	2257	2	\N	2015-05-10 14:39:45.730714+03
6879	2258	2	\N	2015-05-10 14:45:11.098493+03
6880	2259	2	\N	2015-05-10 14:45:11.098493+03
6881	2260	2	\N	2015-05-10 14:53:32.27851+03
6882	2261	2	\N	2015-05-10 14:53:32.27851+03
6883	2262	2	\N	2015-05-10 14:57:13.121414+03
6884	2263	2	\N	2015-05-10 14:57:13.121414+03
6885	2264	2	\N	2015-05-10 14:57:55.441966+03
6886	2265	2	\N	2015-05-10 15:07:20.399588+03
6887	2266	2	\N	2015-05-10 15:07:20.399588+03
6888	2267	2	\N	2015-05-10 15:07:27.786314+03
6889	2268	2	\N	2015-05-10 16:04:17.22685+03
6890	2269	2	\N	2015-05-10 16:04:56.471262+03
6891	1318	2	\N	2015-05-10 16:05:16.31159+03
6892	2270	2	\N	2015-05-10 16:07:24.626275+03
6893	2271	2	\N	2015-05-10 16:08:32.663974+03
6894	2272	2	\N	2015-05-10 16:08:35.587577+03
6895	2273	2	\N	2015-05-10 16:08:47.271902+03
6896	2274	2	\N	2015-05-10 16:08:47.271902+03
6897	2275	2	\N	2015-05-10 16:09:34.650716+03
6898	2276	2	\N	2015-05-10 22:11:18.586994+03
6899	2277	2	\N	2015-05-10 22:12:40.523328+03
6900	1314	2	\N	2015-05-10 22:12:56.872348+03
6901	2278	2	\N	2015-05-10 22:14:48.438204+03
6902	2279	2	\N	2015-05-10 22:14:48.438204+03
6903	2280	2	\N	2015-05-10 22:19:21.083289+03
6904	2280	2	\N	2015-05-13 21:55:52.759278+03
6905	2275	2	\N	2015-05-13 21:56:48.008072+03
6906	2267	2	\N	2015-05-13 21:56:54.031403+03
6907	2264	2	\N	2015-05-13 21:56:59.496539+03
6908	2281	2	\N	2015-05-16 15:29:57.002389+03
6909	2282	2	\N	2015-05-16 15:34:53.800182+03
6910	2283	2	\N	2015-05-16 15:34:53.800182+03
6911	2284	2	\N	2015-05-16 15:36:09.929045+03
6912	2285	2	\N	2015-05-16 15:45:33.371911+03
6913	2286	2	\N	2015-05-16 15:45:33.371911+03
6914	2287	2	\N	2015-05-16 15:48:18.436182+03
6915	2288	2	\N	2015-05-16 15:48:18.436182+03
6916	2289	2	\N	2015-05-17 21:30:51.134604+03
6917	2280	2	\N	2015-05-17 21:31:00.094313+03
6918	2290	2	\N	2015-05-17 21:31:39.003456+03
6919	2280	2	\N	2015-05-17 21:31:48.129633+03
6920	2284	2	\N	2015-05-17 22:02:03.373006+03
6921	2284	2	\N	2015-05-17 22:02:31.027832+03
6922	2291	2	\N	2015-05-18 16:39:17.24427+03
6923	2284	2	\N	2015-05-18 16:40:09.305094+03
6924	2284	2	\N	2015-05-18 20:31:39.659544+03
6925	2284	2	\N	2015-05-18 20:34:34.03653+03
6926	2284	2	\N	2015-05-18 21:22:46.805573+03
6927	2292	2	\N	2015-05-24 12:55:28.784478+03
6928	1212	2	\N	2015-05-24 13:06:21.488837+03
6929	2293	2	\N	2015-05-24 15:06:40.212091+03
6930	2294	2	\N	2015-05-24 15:11:44.965777+03
6931	2295	2	\N	2015-05-24 16:49:53.513439+03
6932	2296	2	\N	2015-05-24 16:50:41.467323+03
6933	2297	2	\N	2015-05-24 16:55:00.642026+03
6934	2299	2	\N	2015-05-24 16:57:39.672043+03
6935	2300	2	\N	2015-05-24 17:03:51.85238+03
6936	2088	2	\N	2015-05-24 17:03:55.878998+03
6937	2301	2	\N	2015-05-24 17:04:54.502108+03
6938	2088	2	\N	2015-05-24 17:10:16.729607+03
6939	2088	2	\N	2015-05-24 17:10:29.437025+03
6940	2088	2	\N	2015-05-24 17:15:30.592241+03
6941	2302	2	\N	2015-05-24 17:16:33.029089+03
6942	2075	2	\N	2015-05-24 17:16:41.742578+03
6943	2303	2	\N	2015-05-24 17:17:17.81127+03
6944	2088	2	\N	2015-05-24 17:17:21.677682+03
6945	2305	2	\N	2015-05-24 20:37:07.412723+03
6946	2052	2	\N	2015-05-24 20:37:10.892479+03
6947	2088	2	\N	2015-05-24 21:01:25.501241+03
6948	2052	2	\N	2015-05-24 21:13:25.598747+03
6949	2306	2	\N	2015-05-24 21:14:39.628922+03
6950	2052	2	\N	2015-05-24 21:14:43.723121+03
6951	2280	2	\N	2015-05-24 21:21:32.476216+03
6952	2280	2	\N	2015-05-24 21:22:00.849383+03
6953	2280	2	\N	2015-05-24 21:22:09.702717+03
6954	2307	2	\N	2015-05-24 21:32:02.910902+03
6955	2308	2	\N	2015-05-24 21:32:24.738611+03
6956	2309	2	\N	2015-05-24 21:32:31.516248+03
6957	2310	2	\N	2015-05-24 21:33:17.528061+03
6958	2311	2	\N	2015-05-24 21:35:46.300244+03
6959	2312	2	\N	2015-05-24 21:36:06.190691+03
6960	2312	2	\N	2015-05-24 21:36:27.205265+03
6961	2313	2	\N	2015-05-25 21:31:05.718794+03
6962	2312	2	\N	2015-05-25 21:31:08.674137+03
6963	2314	2	\N	2015-05-26 20:44:11.702313+03
6964	2315	2	\N	2015-05-26 20:44:48.242189+03
6965	2316	2	\N	2015-05-26 20:44:48.242189+03
6966	2317	2	\N	2015-05-26 20:45:01.161364+03
6967	2284	2	\N	2015-05-28 13:46:35.94219+03
6968	2317	2	\N	2015-05-28 13:46:45.92498+03
6969	2280	2	\N	2015-05-28 13:46:51.874219+03
6970	1507	2	\N	2015-05-31 21:55:12.660877+03
6971	1507	2	\N	2015-05-31 21:56:27.809825+03
6972	1439	2	\N	2015-05-31 21:57:11.520889+03
6973	1507	2	\N	2015-05-31 21:58:33.173778+03
6974	1507	2	\N	2015-05-31 22:00:02.964614+03
6975	1507	2	\N	2015-05-31 22:00:38.733485+03
6976	1507	2	\N	2015-05-31 22:11:01.827304+03
6977	1507	2	\N	2015-06-01 09:54:54.423199+03
6978	2284	2	\N	2015-06-01 11:22:28.244232+03
6979	2319	2	\N	2015-06-01 11:37:24.071069+03
6980	2320	2	\N	2015-06-01 12:56:01.185317+03
6986	2327	2	\N	2015-06-02 13:22:30.670092+03
6987	2328	2	\N	2015-06-02 13:22:36.147873+03
6988	2329	2	\N	2015-06-02 13:23:35.222007+03
6989	2330	2	\N	2015-06-02 13:24:32.384898+03
6990	2331	2	\N	2015-06-02 13:25:52.745886+03
6991	2332	2	\N	2015-06-02 13:27:31.983851+03
6992	2333	2	\N	2015-06-02 13:27:36.950926+03
6993	2334	2	\N	2015-06-02 13:28:43.733459+03
6994	2335	2	\N	2015-06-02 13:29:10.771807+03
6995	2336	2	\N	2015-06-02 13:29:57.138464+03
6996	2337	2	\N	2015-06-02 13:30:11.199071+03
6997	2338	2	\N	2015-06-02 13:34:47.558077+03
6998	2339	2	\N	2015-06-02 13:34:50.130325+03
6999	2340	2	\N	2015-06-02 13:35:46.336511+03
7000	2341	2	\N	2015-06-02 13:36:09.066506+03
7001	2342	2	\N	2015-06-02 13:36:09.066506+03
7002	2343	2	\N	2015-06-02 13:37:26.99598+03
7003	2344	2	\N	2015-06-02 13:37:26.99598+03
7004	2345	2	\N	2015-06-02 13:37:42.100766+03
7023	2345	2	\N	2015-06-06 20:33:35.089301+03
7024	2366	2	\N	2015-06-06 21:47:05.357423+03
7025	2367	2	\N	2015-06-06 21:47:08.978477+03
7026	2368	2	\N	2015-06-06 21:49:00.661472+03
7027	2369	2	\N	2015-06-06 21:50:18.211354+03
7028	2370	2	\N	2015-06-06 21:51:07.167429+03
7029	2371	2	\N	2015-06-06 21:52:21.362863+03
7030	2372	2	\N	2015-06-06 21:52:25.91268+03
7031	2367	2	\N	2015-06-06 22:01:59.580344+03
7032	2373	2	\N	2015-06-06 22:05:50.240364+03
7033	2374	2	\N	2015-06-06 22:06:07.223567+03
7034	2375	2	\N	2015-06-06 22:06:55.79185+03
7035	2376	2	\N	2015-06-06 22:07:46.643073+03
7036	2377	2	\N	2015-06-06 22:08:11.14074+03
7037	2378	2	\N	2015-06-06 22:08:11.14074+03
7038	2379	2	\N	2015-06-06 22:10:53.894076+03
7039	2380	2	\N	2015-06-06 22:10:53.894076+03
7040	2381	2	\N	2015-06-06 22:12:04.71986+03
7041	2382	2	\N	2015-06-06 22:12:17.899878+03
7042	2372	2	\N	2015-06-06 22:12:34.850437+03
7043	2383	2	\N	2015-06-06 22:34:30.822368+03
7044	2384	2	\N	2015-06-06 22:35:06.098136+03
7045	2385	2	\N	2015-06-06 22:35:22.838833+03
7046	2382	2	\N	2015-06-06 22:36:33.646314+03
7047	2388	2	\N	2015-06-06 22:43:36.614024+03
7048	2382	2	\N	2015-06-07 15:30:58.294045+03
7049	2247	2	\N	2015-06-07 17:10:29.033956+03
7050	1413	2	\N	2015-06-07 17:10:56.929199+03
7051	1318	2	\N	2015-06-07 17:11:36.862031+03
7052	1314	2	\N	2015-06-07 17:12:28.161782+03
7053	1431	2	\N	2015-06-07 19:55:54.571452+03
7054	1898	2	\N	2015-06-07 19:59:40.465993+03
7055	1898	2	\N	2015-06-07 20:00:47.882499+03
7056	1432	2	\N	2015-06-07 20:00:59.808075+03
7057	1608	2	\N	2015-06-07 20:01:30.177316+03
7058	1609	2	\N	2015-06-07 20:02:19.266681+03
7059	1769	2	\N	2015-06-07 20:03:05.939338+03
7060	1780	2	\N	2015-06-07 20:04:36.345782+03
7061	1873	2	\N	2015-06-07 20:05:07.816356+03
7062	1898	2	\N	2015-06-07 20:05:26.076509+03
7063	2199	2	\N	2015-06-07 20:05:57.959925+03
7064	2246	2	\N	2015-06-07 20:06:32.075272+03
7065	2246	2	\N	2015-06-07 20:06:41.085651+03
7066	2269	2	\N	2015-06-07 20:07:23.767588+03
7067	2277	2	\N	2015-06-07 20:07:57.192127+03
7068	1426	2	\N	2015-06-07 20:09:52.309668+03
7069	2389	2	\N	2015-06-07 20:10:03.246206+03
7070	2390	2	\N	2015-06-07 20:10:21.42447+03
7071	2391	2	\N	2015-06-07 20:10:54.694938+03
7072	2392	2	\N	2015-06-07 20:11:12.709328+03
7073	2393	2	\N	2015-06-07 20:11:33.449675+03
7074	2394	2	\N	2015-06-07 20:11:54.80775+03
7075	2395	2	\N	2015-06-07 20:12:24.648998+03
7076	2396	2	\N	2015-06-07 20:12:47.549001+03
7077	2397	2	\N	2015-06-07 20:13:09.482196+03
7078	2398	2	\N	2015-06-07 20:13:26.815118+03
7079	2399	2	\N	2015-06-07 20:13:43.442647+03
7080	2400	2	\N	2015-06-07 20:13:57.868779+03
7081	2401	2	\N	2015-06-07 20:14:15.895967+03
7082	2402	2	\N	2015-06-07 20:14:42.501203+03
7083	2403	2	\N	2015-06-07 20:15:33.611845+03
7084	2404	2	\N	2015-06-07 20:15:53.460657+03
7085	2405	2	\N	2015-06-07 20:16:10.772685+03
7086	2406	2	\N	2015-06-07 20:16:32.442601+03
7087	2407	2	\N	2015-06-07 20:16:56.509083+03
7088	2408	2	\N	2015-06-07 20:17:19.457924+03
7089	2409	2	\N	2015-06-07 20:17:39.828441+03
7090	2410	2	\N	2015-06-07 20:17:59.953522+03
7091	2411	2	\N	2015-06-07 20:18:15.36941+03
7092	2412	2	\N	2015-06-07 20:18:33.319787+03
7093	2413	2	\N	2015-06-07 20:18:53.786993+03
7094	2414	2	\N	2015-06-07 20:19:17.251882+03
7095	2415	2	\N	2015-06-07 20:34:54.782206+03
7096	2416	2	\N	2015-06-07 20:35:11.96143+03
7097	2417	2	\N	2015-06-07 20:35:33.998015+03
7098	2418	2	\N	2015-06-07 20:36:01.596002+03
7099	2419	2	\N	2015-06-07 20:36:15.960332+03
7100	2420	2	\N	2015-06-07 20:36:35.413228+03
7101	2421	2	\N	2015-06-07 20:37:30.352425+03
7102	2422	2	\N	2015-06-07 20:37:53.888785+03
7103	2423	2	\N	2015-06-07 20:38:10.610447+03
7104	2424	2	\N	2015-06-07 20:38:59.517394+03
7105	2425	2	\N	2015-06-07 20:39:26.415211+03
7106	2426	2	\N	2015-06-07 20:40:05.840226+03
7107	2427	2	\N	2015-06-07 20:40:46.537019+03
7108	2428	2	\N	2015-06-07 20:41:01.3009+03
7109	2429	2	\N	2015-06-07 20:41:17.634439+03
7110	2430	2	\N	2015-06-07 20:41:36.56949+03
7111	2431	2	\N	2015-06-07 20:41:54.944525+03
7112	2432	2	\N	2015-06-07 20:42:11.063081+03
7113	2433	2	\N	2015-06-10 21:10:55.543668+03
7114	2434	2	\N	2015-06-10 21:10:58.272269+03
7115	2434	2	\N	2015-06-10 21:11:16.546457+03
7116	2435	2	\N	2015-06-10 21:11:49.343497+03
7117	2436	2	\N	2015-06-10 21:12:20.087946+03
7119	2437	2	\N	2015-06-10 21:13:28.379702+03
7120	2434	2	\N	2015-06-10 21:13:35.658848+03
7118	2434	2	\N	2015-06-10 21:12:30.557424+03
7121	2434	2	\N	2015-06-13 11:08:16.884538+03
7122	2438	2	\N	2015-06-13 12:24:23.664338+03
7123	2439	2	\N	2015-06-13 12:25:12.11639+03
7124	2440	2	\N	2015-06-13 12:25:55.053099+03
7125	2439	2	\N	2015-06-13 12:28:23.509307+03
7126	1431	2	\N	2015-06-13 16:13:14.891511+03
7127	2269	2	\N	2015-06-13 16:29:21.58833+03
7128	2391	2	\N	2015-06-13 16:29:38.922876+03
7130	2442	2	\N	2015-06-13 17:22:11.365048+03
7162	2450	2	\N	2015-06-13 19:58:22.391173+03
7163	2317	2	\N	2015-06-13 19:58:33.103367+03
7164	2451	2	\N	2015-06-13 19:59:50.784052+03
7165	2452	2	\N	2015-06-13 19:59:50.784052+03
7166	2317	2	\N	2015-06-13 20:00:28.712308+03
7167	2317	2	\N	2015-06-13 20:01:26.421434+03
7168	2317	2	\N	2015-06-13 20:03:24.653457+03
7176	2451	2	\N	2015-06-14 10:07:32.690694+03
7177	2451	2	\N	2015-06-14 10:16:32.619194+03
7178	2451	2	\N	2015-06-14 13:13:57.393431+03
7179	2451	2	\N	2015-06-14 13:21:50.094038+03
7180	2451	2	\N	2015-06-14 13:22:37.050016+03
7181	2451	2	\N	2015-06-14 13:23:13.387606+03
7182	2451	2	\N	2015-06-14 13:23:25.25704+03
7183	2457	2	\N	2015-06-14 13:25:18.074212+03
7184	2451	2	\N	2015-06-14 13:26:56.97373+03
7185	2458	2	\N	2015-06-14 13:28:59.472857+03
7186	2459	2	\N	2015-06-14 13:29:40.688494+03
7187	2457	2	\N	2015-06-14 14:17:22.935487+03
7199	2463	2	\N	2015-06-14 16:30:22.760587+03
7201	2463	2	\N	2015-06-14 16:43:36.808614+03
7202	2465	2	\N	2015-06-14 18:28:13.295968+03
7203	2466	2	\N	2015-06-14 18:50:25.96227+03
7204	2467	2	\N	2015-06-14 18:50:57.662486+03
7205	2468	2	\N	2015-06-17 21:13:39.6663+03
7206	2469	2	\N	2015-06-17 21:13:39.6663+03
7207	2469	2	\N	2015-06-17 21:39:31.5421+03
7208	2470	2	\N	2015-06-17 21:39:43.056809+03
7211	2296	2	\N	2015-06-17 22:28:24.889672+03
7212	2296	2	\N	2015-06-17 22:28:44.137455+03
7213	2296	2	\N	2015-06-17 22:28:55.531055+03
7214	2296	2	\N	2015-06-17 22:29:04.688414+03
7217	1190	2	\N	2015-06-18 08:41:45.975909+03
7218	1190	2	\N	2015-06-18 08:41:55.712142+03
7219	2475	2	\N	2015-06-18 08:47:40.598128+03
7221	1043	2	\N	2015-06-18 08:49:28.676473+03
7222	2477	2	\N	2015-06-18 08:53:01.574753+03
7229	2484	2	\N	2015-06-18 09:11:44.190988+03
7230	2477	2	\N	2015-06-18 09:15:16.231618+03
7232	2486	2	\N	2015-06-19 08:53:30.530081+03
7235	2489	2	\N	2015-06-19 08:57:56.925224+03
7236	2490	2	\N	2015-06-19 08:58:47.001543+03
7237	2491	2	\N	2015-06-19 09:01:01.141859+03
7239	2493	2	\N	2015-06-19 09:05:15.381515+03
7241	1010	2	\N	2015-06-19 09:18:51.710345+03
7244	2129	2	\N	2015-06-19 09:22:37.844576+03
7248	2137	2	\N	2015-06-19 09:24:18.706637+03
7250	2248	2	\N	2015-06-19 09:24:53.046897+03
7251	2477	2	\N	2015-06-20 10:13:49.575046+03
7252	2484	2	\N	2015-06-20 10:13:59.32685+03
7253	2501	2	\N	2015-06-20 10:23:36.01186+03
7254	2490	2	\N	2015-06-20 10:24:30.090794+03
7255	2502	2	\N	2015-06-20 10:25:23.92051+03
7256	2490	2	\N	2015-06-20 10:25:26.171733+03
7257	2503	2	\N	2015-06-20 10:58:18.119129+03
7259	2505	2	\N	2015-06-20 11:21:58.139735+03
7260	2506	2	\N	2015-06-20 11:22:00.401736+03
7261	2507	2	\N	2015-06-20 11:22:46.430212+03
7262	2506	2	\N	2015-06-20 11:22:51.478424+03
7263	2508	2	\N	2015-06-20 11:23:54.736317+03
7264	2506	2	\N	2015-06-20 11:23:56.167951+03
7265	2345	2	\N	2015-06-20 11:26:36.603828+03
7266	2345	2	\N	2015-06-20 11:27:18.047841+03
7268	2345	2	\N	2015-06-20 11:46:46.13788+03
7269	2510	2	\N	2015-06-20 11:50:12.161837+03
7270	2511	2	\N	2015-06-20 11:50:13.525526+03
7272	2463	2	\N	2015-06-20 23:00:10.769493+03
7273	2467	2	\N	2015-06-20 23:00:18.463896+03
7274	2459	2	\N	2015-06-20 23:00:44.920864+03
7275	2458	2	\N	2015-06-20 23:00:51.132288+03
7276	2457	2	\N	2015-06-20 23:00:57.565186+03
7277	2451	2	\N	2015-06-20 23:01:04.368039+03
7278	2451	2	\N	2015-06-20 23:04:17.342527+03
7279	2457	2	\N	2015-06-20 23:04:23.315461+03
7280	2458	2	\N	2015-06-20 23:04:30.160097+03
7281	2459	2	\N	2015-06-20 23:04:35.721205+03
7282	1896	2	\N	2015-06-21 11:16:22.975624+03
7285	2459	2	\N	2015-06-21 11:19:17.963777+03
7286	2458	2	\N	2015-06-21 11:19:23.880837+03
7287	2457	2	\N	2015-06-21 11:19:29.44712+03
7288	2451	2	\N	2015-06-21 11:19:35.471458+03
7289	2467	2	\N	2015-06-21 11:19:54.443461+03
7290	2463	2	\N	2015-06-21 11:20:00.085347+03
7291	2465	2	\N	2015-06-21 11:21:33.270335+03
7292	2513	2	\N	2015-06-23 22:26:54.54596+03
7293	778	2	\N	2015-06-23 22:31:51.561928+03
7294	2514	2	\N	2015-06-23 22:34:29.078834+03
7295	2514	2	\N	2015-06-23 22:36:01.548881+03
7296	2513	2	\N	2015-06-23 22:42:58.979814+03
7297	2514	2	\N	2015-06-23 22:46:14.322892+03
7298	2515	2	\N	2015-06-23 22:48:32.462285+03
7299	2477	2	\N	2015-06-27 16:53:47.400114+03
7300	2477	2	\N	2015-06-27 17:29:32.884456+03
7301	2477	2	\N	2015-06-27 17:32:15.776144+03
7302	2477	2	\N	2015-06-27 17:33:05.384003+03
7303	2477	2	\N	2015-06-27 17:35:05.607746+03
7304	2477	2	\N	2015-06-27 17:36:45.346277+03
7305	2477	2	\N	2015-06-27 17:38:01.404518+03
7306	784	2	\N	2015-06-27 17:39:03.474446+03
7307	784	2	\N	2015-06-27 17:52:48.813097+03
7308	885	2	\N	2015-06-27 17:53:15.731358+03
7309	2053	2	\N	2015-06-27 17:58:30.465951+03
7310	2477	2	\N	2015-06-27 19:15:20.180008+03
7311	2477	2	\N	2015-06-27 19:49:02.708272+03
7312	784	2	\N	2015-06-27 19:50:37.220816+03
7313	784	2	\N	2015-06-27 19:50:45.528129+03
7314	784	2	\N	2015-06-27 19:50:53.618877+03
7315	784	2	\N	2015-06-27 19:52:29.5324+03
7316	2477	2	\N	2015-06-27 19:52:36.102154+03
7317	2516	2	\N	2015-06-27 20:34:38.335917+03
7318	2517	2	\N	2015-06-27 21:02:52.190849+03
7319	2518	2	\N	2015-06-27 22:00:11.577645+03
7320	784	2	\N	2015-06-27 22:13:51.726755+03
7321	2519	2	\N	2015-06-27 22:13:51.726755+03
7322	2520	2	\N	2015-06-27 22:14:31.050053+03
7323	2521	2	\N	2015-06-27 22:15:06.48124+03
7324	2522	2	\N	2015-06-27 22:27:54.400494+03
7325	2523	2	\N	2015-06-27 22:40:18.037224+03
7326	2524	2	\N	2015-06-27 22:42:17.60206+03
7327	2525	2	\N	2015-06-27 22:42:37.767083+03
7328	784	2	\N	2015-06-27 22:49:09.961687+03
7329	784	2	\N	2015-06-27 22:49:28.712758+03
7330	784	2	\N	2015-06-27 22:49:40.054287+03
7331	2526	2	\N	2015-06-28 15:48:24.134048+03
7332	2527	2	\N	2015-06-28 15:49:06.934643+03
7333	1930	2	\N	2015-06-28 15:49:08.476175+03
7334	1930	2	\N	2015-06-28 15:49:15.43238+03
7335	1286	2	\N	2015-06-28 16:19:06.654271+03
7336	1284	2	\N	2015-06-28 16:19:08.822984+03
7337	2528	2	\N	2015-06-28 16:27:58.214962+03
7338	2529	2	\N	2015-07-04 20:12:31.951644+03
7339	2530	2	\N	2015-07-04 20:16:08.99227+03
7340	2531	2	\N	2015-07-04 20:16:08.99227+03
7341	2532	2	\N	2015-07-04 20:36:07.167824+03
7342	2533	2	\N	2015-07-04 20:36:07.167824+03
7343	2534	2	\N	2015-07-04 20:57:32.449165+03
7344	2491	2	\N	2015-07-04 20:58:12.716739+03
7345	2535	2	\N	2015-07-04 20:58:36.935951+03
7346	2536	2	\N	2015-07-04 20:59:39.366864+03
7347	2491	2	\N	2015-07-04 20:59:49.220324+03
7348	2537	2	\N	2015-07-04 21:00:02.518034+03
7349	2538	2	\N	2015-07-04 21:13:08.541103+03
7350	2539	2	\N	2015-07-04 21:14:30.611204+03
7351	2540	2	\N	2015-07-04 21:14:32.763289+03
7352	2541	2	\N	2015-07-04 21:14:50.821175+03
7353	2450	2	\N	2015-07-04 21:16:23.905581+03
7354	2542	2	\N	2015-07-04 21:17:54.658173+03
7355	2450	2	\N	2015-07-04 21:20:36.496307+03
7356	2450	2	\N	2015-07-04 21:22:20.163177+03
7357	2450	2	\N	2015-07-04 21:25:41.863118+03
7358	2543	2	\N	2015-07-04 21:26:56.584606+03
7359	2544	2	\N	2015-07-04 21:27:23.469843+03
7360	2388	2	\N	2015-07-04 21:27:31.474854+03
7361	2545	2	\N	2015-07-04 21:30:18.47115+03
7362	2546	2	\N	2015-07-04 21:30:37.579131+03
7363	2545	2	\N	2015-07-04 21:30:38.730906+03
7364	2547	2	\N	2015-07-04 21:30:51.680567+03
7365	2548	2	\N	2015-07-04 21:30:51.680567+03
7366	2388	2	\N	2015-07-04 21:31:14.422776+03
7367	2451	2	\N	2015-07-05 14:30:51.54628+03
7368	2457	2	\N	2015-07-05 14:33:01.814653+03
7369	2458	2	\N	2015-07-05 14:33:47.939925+03
7370	2459	2	\N	2015-07-05 14:33:59.629688+03
7371	2451	2	\N	2015-07-05 14:39:43.167129+03
7372	2467	2	\N	2015-07-05 14:49:52.691681+03
7373	2463	2	\N	2015-07-05 14:50:06.470488+03
7374	2549	2	\N	2015-07-05 15:34:32.780638+03
7376	2434	2	\N	2015-07-05 19:13:53.412323+03
7377	3	2	\N	2015-07-17 19:31:34.831317+03
7378	894	2	\N	2015-07-17 19:34:30.132569+03
7379	2054	2	\N	2015-07-17 19:34:44.345599+03
7380	2126	2	\N	2015-07-17 19:35:00.154065+03
7381	2484	2	\N	2015-07-17 19:35:15.872953+03
7382	2550	2	\N	2015-07-18 10:57:05.728016+03
7383	1372	2	\N	2015-07-18 10:57:08.110977+03
7384	1372	2	\N	2015-07-18 10:57:38.113606+03
7385	2551	2	\N	2015-07-18 11:02:48.147598+03
7386	2552	2	\N	2015-07-18 11:22:14.245467+03
7387	2552	2	\N	2015-07-18 11:24:17.241528+03
7388	2553	2	\N	2015-07-18 11:32:44.472503+03
7389	2554	2	\N	2015-07-18 11:46:38.401629+03
7390	2554	2	\N	2015-07-18 11:47:52.858154+03
7392	2556	2	\N	2015-07-18 11:55:59.961331+03
7393	1372	2	\N	2015-07-18 11:56:18.816278+03
7394	1375	2	\N	2015-07-18 11:56:26.8815+03
7395	2557	2	\N	2015-07-18 12:01:04.237446+03
7396	887	2	\N	2015-07-18 12:01:06.541839+03
7397	2376	2	\N	2015-07-18 12:01:31.956124+03
7398	2556	2	\N	2015-07-18 12:01:52.672293+03
7399	2558	2	\N	2015-07-19 10:20:48.263335+03
7400	2559	2	\N	2015-07-19 14:41:19.72071+03
7401	2560	2	\N	2015-07-19 14:41:25.622087+03
7402	2561	2	\N	2015-07-19 14:42:40.770503+03
7403	2562	2	\N	2015-07-19 14:42:45.815524+03
7404	2563	2	\N	2015-07-19 15:12:51.840188+03
7405	2564	2	\N	2015-07-19 15:13:34.062285+03
7406	2565	2	\N	2015-07-19 15:13:36.341158+03
7407	2566	2	\N	2015-07-19 15:17:50.040034+03
7408	2567	2	\N	2015-07-19 15:18:18.066263+03
7409	2568	2	\N	2015-07-19 15:19:23.078636+03
7410	2569	2	\N	2015-07-19 15:19:33.135472+03
7411	2570	2	\N	2015-07-19 15:20:45.489438+03
7412	2571	2	\N	2015-07-19 15:21:40.944498+03
7413	2572	2	\N	2015-07-19 15:21:50.318605+03
7414	2573	2	\N	2015-07-19 16:03:41.362252+03
7415	2574	2	\N	2015-07-19 16:04:11.184096+03
7416	2575	2	\N	2015-07-19 16:04:13.848246+03
7417	2576	2	\N	2015-07-19 16:05:08.205201+03
7418	2577	2	\N	2015-07-19 16:06:12.10907+03
7419	2578	2	\N	2015-07-19 16:06:39.117569+03
7420	2579	2	\N	2015-07-19 16:06:40.986562+03
7421	2580	2	\N	2015-07-19 16:07:27.111556+03
7422	2581	2	\N	2015-07-19 16:08:00.994992+03
7423	2582	2	\N	2015-07-19 16:08:03.06528+03
7424	2583	2	\N	2015-07-19 22:56:54.154484+03
7425	2584	2	\N	2015-07-19 23:47:28.340347+03
7426	2585	2	\N	2015-07-19 23:52:14.447269+03
7427	2586	2	\N	2015-07-19 23:52:36.403304+03
7428	2587	2	\N	2015-07-19 23:52:50.958041+03
7429	2588	2	\N	2015-07-19 23:53:14.681932+03
7430	2589	2	\N	2015-07-19 23:54:00.547115+03
7431	2590	2	\N	2015-07-19 23:54:44.372371+03
7432	2591	2	\N	2015-07-19 23:54:52.387429+03
7433	2593	2	\N	2015-07-19 23:56:11.09679+03
7434	2594	2	\N	2015-07-19 23:56:44.56359+03
7435	2595	2	\N	2015-07-19 23:56:46.53373+03
7436	1932	2	\N	2015-07-20 00:00:04.645587+03
7437	2596	2	\N	2015-07-20 00:04:50.031308+03
7438	2597	2	\N	2015-07-20 00:05:29.444039+03
7439	2598	2	\N	2015-07-20 00:06:05.823851+03
7440	2599	2	\N	2015-07-20 00:06:07.921437+03
7443	2602	2	\N	2015-07-20 23:51:41.323724+03
7444	2603	2	\N	2015-07-20 23:51:41.323724+03
7445	2604	2	\N	2015-07-20 23:51:41.323724+03
7446	2605	2	\N	2015-07-20 23:51:41.323724+03
7449	2608	2	\N	2015-07-20 23:51:41.323724+03
7453	2612	2	\N	2015-07-20 23:51:41.323724+03
7454	2613	2	\N	2015-07-20 23:51:41.323724+03
7458	2617	2	\N	2015-07-20 23:51:41.323724+03
7472	2631	2	\N	2015-07-20 23:51:41.323724+03
7473	2632	2	\N	2015-07-20 23:51:41.323724+03
7474	2633	2	\N	2015-07-20 23:51:41.323724+03
7475	2634	2	\N	2015-07-20 23:51:41.323724+03
7476	2635	2	\N	2015-07-20 23:51:41.323724+03
7477	2636	2	\N	2015-07-20 23:51:41.323724+03
7478	2637	2	\N	2015-07-20 23:51:41.323724+03
7479	2638	2	\N	2015-07-20 23:51:41.323724+03
7483	2642	2	\N	2015-07-20 23:51:41.323724+03
7484	2643	2	\N	2015-07-20 23:51:41.323724+03
7487	2646	2	\N	2015-07-20 23:51:41.323724+03
7488	2647	2	\N	2015-07-20 23:51:41.323724+03
7489	2648	2	\N	2015-07-20 23:51:41.323724+03
7490	2649	2	\N	2015-07-20 23:51:41.323724+03
7491	2650	2	\N	2015-07-20 23:51:41.323724+03
7492	2651	2	\N	2015-07-20 23:51:41.323724+03
7493	2652	2	\N	2015-07-20 23:51:41.323724+03
7494	2653	2	\N	2015-07-20 23:51:41.323724+03
7495	2654	2	\N	2015-07-20 23:51:41.323724+03
7496	2655	2	\N	2015-07-20 23:51:41.323724+03
7497	2658	2	\N	2015-07-20 23:58:46.110129+03
7498	894	2	\N	2015-07-20 23:59:14.903581+03
7499	2659	7	\N	2015-07-21 00:38:27.04357+03
7500	2660	7	\N	2015-07-21 00:38:31.047891+03
7501	2661	7	\N	2015-07-21 00:40:04.89713+03
7502	2662	7	\N	2015-07-21 00:40:08.316954+03
7503	2663	2	\N	2015-07-21 00:42:13.515989+03
7504	2664	2	\N	2015-07-21 00:44:32.068557+03
7505	2662	2	\N	2015-07-21 00:45:19.305589+03
7506	2662	7	\N	2015-07-21 00:47:09.218984+03
7507	894	2	\N	2015-07-22 09:52:23.690178+03
7508	885	2	\N	2015-07-22 09:53:01.082145+03
7509	2665	2	\N	2015-07-22 09:53:01.082145+03
7510	885	2	\N	2015-07-22 09:53:36.087021+03
7511	2272	2	\N	2015-07-22 10:46:42.444349+03
7512	2272	2	\N	2015-07-22 10:47:14.111233+03
7513	2666	2	\N	2015-07-22 10:50:02.98887+03
7514	2667	2	\N	2015-07-22 10:50:08.679496+03
7515	2668	2	\N	2015-07-22 10:51:11.924694+03
7516	2669	2	\N	2015-07-22 10:51:14.586916+03
7517	2669	2	\N	2015-07-22 11:46:47.662266+03
7518	2670	2	\N	2015-07-22 11:49:53.983401+03
7519	2671	2	\N	2015-07-22 11:53:39.590503+03
7520	2669	2	\N	2015-07-22 11:53:54.403754+03
7521	2669	2	\N	2015-07-22 11:54:14.136266+03
7522	2669	2	\N	2015-07-22 12:24:29.892068+03
7523	2673	2	\N	2015-07-22 12:28:35.92606+03
7524	2674	2	\N	2015-07-22 12:28:39.345269+03
7525	2675	2	\N	2015-07-22 12:44:17.155133+03
7526	2676	2	\N	2015-07-22 12:45:19.167404+03
7527	2677	2	\N	2015-07-22 12:45:42.418521+03
7528	2678	2	\N	2015-07-22 12:45:46.782121+03
7529	2679	2	\N	2015-07-22 12:46:34.868393+03
7530	2678	2	\N	2015-07-22 12:47:12.553819+03
7531	2680	2	\N	2015-07-22 12:47:32.725361+03
7532	2681	2	\N	2015-07-22 12:47:48.511246+03
7533	2682	2	\N	2015-07-22 13:40:37.786999+03
7534	2681	2	\N	2015-07-22 13:40:39.941316+03
7535	2681	2	\N	2015-07-22 13:40:55.710058+03
7536	2683	2	\N	2015-07-22 13:41:40.486853+03
7537	2684	2	\N	2015-07-22 13:41:59.700406+03
7538	2685	2	\N	2015-07-22 13:42:00.973433+03
7539	2667	2	\N	2015-07-22 13:42:02.635972+03
7540	2685	2	\N	2015-07-22 13:46:08.824214+03
7541	2667	2	\N	2015-07-22 13:46:13.399464+03
7542	2686	2	\N	2015-07-22 13:47:12.099197+03
7543	2687	2	\N	2015-07-22 13:47:12.099197+03
7544	2688	2	\N	2015-07-22 13:50:14.404321+03
7545	2689	2	\N	2015-07-22 13:50:14.404321+03
7546	2690	2	\N	2015-07-22 13:53:17.909433+03
7547	2690	2	\N	2015-07-22 13:53:48.33605+03
7550	2693	2	\N	2015-07-22 14:07:31.992976+03
7551	2694	2	\N	2015-07-22 14:08:00.072596+03
7552	2695	2	\N	2015-07-22 14:08:45.393051+03
7555	2698	2	\N	2015-07-22 14:13:47.912163+03
7556	2699	2	\N	2015-07-22 14:14:01.749177+03
7557	2700	2	\N	2015-07-22 14:14:10.709485+03
7558	2701	2	\N	2015-07-22 14:14:10.709485+03
7559	2699	2	\N	2015-07-22 14:16:42.964801+03
7560	2702	2	\N	2015-07-22 14:17:00.761945+03
7561	2703	2	\N	2015-07-22 14:17:00.761945+03
7562	2704	2	\N	2015-07-22 14:19:56.751612+03
7563	2705	2	\N	2015-07-22 14:19:56.751612+03
7564	2699	2	\N	2015-07-22 14:20:42.704316+03
7565	2706	2	\N	2015-07-22 14:21:02.027005+03
7566	2707	2	\N	2015-07-22 14:21:02.027005+03
7567	2699	2	\N	2015-07-22 14:21:39.869597+03
7568	2699	2	\N	2015-07-22 14:21:46.984305+03
7569	2708	2	\N	2015-07-22 14:21:59.287338+03
7570	2709	2	\N	2015-07-22 14:21:59.287338+03
7571	2699	2	\N	2015-07-22 14:22:26.322903+03
7572	2710	2	\N	2015-07-22 14:22:35.509695+03
7573	2711	2	\N	2015-07-22 14:22:35.509695+03
7574	2699	2	\N	2015-07-22 14:23:19.576335+03
7575	2712	2	\N	2015-07-22 14:23:36.759685+03
7576	2713	2	\N	2015-07-22 14:23:36.759685+03
7577	2714	2	\N	2015-07-22 14:30:40.877306+03
7578	2715	2	\N	2015-07-22 14:32:25.925422+03
7579	2716	2	\N	2015-07-22 14:32:25.925422+03
7580	2714	2	\N	2015-07-22 14:32:56.995021+03
7581	2717	2	\N	2015-07-22 14:33:08.574387+03
7582	2718	2	\N	2015-07-22 14:33:08.574387+03
7583	2719	2	\N	2015-07-22 14:50:07.747456+03
7584	2720	2	\N	2015-07-22 14:50:07.747456+03
7585	2721	2	\N	2015-07-22 14:53:19.652254+03
7586	2722	2	\N	2015-07-22 14:53:19.652254+03
7587	2723	2	\N	2015-07-22 15:02:17.721876+03
7588	2724	2	\N	2015-07-22 15:02:27.84792+03
7589	2725	2	\N	2015-07-22 15:02:27.84792+03
7590	2726	2	\N	2015-07-22 15:04:12.042101+03
7591	2699	2	\N	2015-07-22 15:04:47.591373+03
7592	2727	2	\N	2015-07-22 15:05:43.153662+03
7593	2728	2	\N	2015-07-22 15:05:43.153662+03
7594	2729	2	\N	2015-07-22 15:13:21.269737+03
7595	2730	2	\N	2015-07-22 15:19:08.113264+03
7596	2729	2	\N	2015-07-22 15:19:11.19218+03
7597	2729	2	\N	2015-07-22 15:35:51.754061+03
7598	2732	2	\N	2015-07-22 15:38:41.939351+03
7599	2729	2	\N	2015-07-22 15:40:32.555996+03
7600	2729	2	\N	2015-07-22 15:55:13.336651+03
7601	2515	2	\N	2015-07-22 15:57:29.189389+03
7602	2729	2	\N	2015-07-22 15:57:36.719306+03
7603	2733	2	\N	2015-07-22 15:58:23.119691+03
7604	2729	2	\N	2015-07-22 15:58:35.528196+03
7605	2450	2	\N	2015-07-22 15:58:59.916186+03
7606	2317	2	\N	2015-07-22 15:59:20.404832+03
7607	2734	2	\N	2015-07-22 15:59:27.667185+03
7608	2735	2	\N	2015-07-22 15:59:52.422862+03
7609	2736	2	\N	2015-07-22 15:59:52.422862+03
7610	2388	2	\N	2015-07-22 16:00:09.725539+03
7611	2450	2	\N	2015-07-22 16:00:21.306194+03
7612	1438	2	\N	2015-07-22 18:57:24.829162+03
7613	2737	2	\N	2015-07-22 19:50:41.44109+03
7614	2738	2	\N	2015-07-22 19:50:41.44109+03
7615	2739	2	\N	2015-07-22 22:10:17.173605+03
7616	2739	2	\N	2015-07-22 22:27:10.60758+03
7617	2740	2	\N	2015-10-05 21:56:31.033698+03
7618	2741	2	\N	2015-10-05 22:00:37.025784+03
7619	2741	2	\N	2015-10-05 22:01:11.294026+03
7620	2740	2	\N	2015-10-11 15:30:17.608326+03
7621	2740	2	\N	2015-10-11 15:49:02.820999+03
7622	2742	2	\N	2015-10-11 16:29:26.485453+03
7655	2741	2	\N	2015-10-19 21:00:27.348936+03
7656	2484	2	\N	2015-10-24 14:58:32.749242+03
7657	2779	2	\N	2015-10-24 14:58:32.749242+03
7658	2484	2	\N	2015-10-24 14:59:57.669772+03
7659	2780	2	\N	2015-10-24 14:59:57.669772+03
7660	894	2	\N	2015-10-24 15:00:56.289933+03
7661	2781	2	\N	2015-10-24 15:00:56.289933+03
7662	885	2	\N	2015-10-24 15:02:23.825848+03
7663	894	2	\N	2015-10-24 15:06:44.559696+03
7664	2782	2	\N	2015-10-24 15:06:44.559696+03
7665	894	2	\N	2015-10-24 15:13:07.98256+03
7666	2783	2	\N	2015-10-24 15:13:07.98256+03
7667	894	2	\N	2015-10-24 15:16:03.818888+03
7668	2784	2	\N	2015-10-24 15:16:03.818888+03
7669	2785	2	\N	2015-10-24 15:23:48.170652+03
7670	2786	2	\N	2015-10-24 15:24:48.816087+03
7671	2787	2	\N	2015-10-24 15:30:54.642902+03
7672	2739	2	\N	2015-10-31 09:47:11.166446+02
7673	2739	2	\N	2015-10-31 09:48:54.569182+02
7674	2739	2	\N	2015-10-31 09:52:21.217177+02
7675	2739	2	\N	2015-10-31 09:52:28.501825+02
7676	2739	2	\N	2015-10-31 10:25:38.872091+02
7677	2593	2	\N	2015-10-31 10:32:28.375294+02
7678	2788	2	\N	2015-10-31 11:46:02.329007+02
7679	2741	2	\N	2015-10-31 11:48:54.106885+02
7698	2813	2	\N	2015-11-22 21:52:45.311354+02
7699	2814	2	\N	2015-11-22 21:57:07.211721+02
7700	2739	2	\N	2015-11-22 21:57:09.506917+02
7701	2739	2	\N	2015-11-22 22:03:49.302367+02
7702	2815	2	\N	2015-11-29 18:03:23.32558+02
7703	2816	2	\N	2015-11-29 18:05:24.319676+02
7704	2818	2	\N	2015-11-29 19:06:37.534692+02
7705	2820	2	\N	2016-01-02 19:03:39.167822+02
7706	1930	2	\N	2016-01-02 19:03:41.6491+02
7707	2821	2	\N	2016-01-02 20:11:21.358279+02
7708	2822	2	\N	2016-01-02 20:11:24.233178+02
7709	2823	2	\N	2016-01-02 20:12:21.682793+02
7710	2824	2	\N	2016-01-02 20:12:46.762385+02
7711	2825	2	\N	2016-01-02 20:15:08.259398+02
7712	2824	2	\N	2016-01-02 20:15:26.352748+02
7713	2826	2	\N	2016-01-02 20:15:55.52191+02
7714	2824	2	\N	2016-01-02 20:17:19.972235+02
7715	2822	2	\N	2016-01-02 20:21:41.413863+02
7716	2827	2	\N	2016-01-02 20:24:24.220398+02
7717	2828	2	\N	2016-01-02 20:24:24.220398+02
7718	2829	2	\N	2016-01-02 20:25:00.491155+02
7719	2830	2	\N	2016-01-02 20:25:43.115841+02
7720	2831	2	\N	2016-01-02 20:26:37.333884+02
7721	2832	2	\N	2016-01-02 20:27:25.581765+02
7722	2833	2	\N	2016-01-02 20:36:13.937348+02
7723	2834	2	\N	2016-01-02 20:36:20.489746+02
7724	2834	2	\N	2016-01-02 20:36:41.364121+02
7725	2835	2	\N	2016-01-02 20:42:25.330155+02
7726	2836	2	\N	2016-01-02 20:42:56.538052+02
7727	2837	2	\N	2016-01-02 20:50:50.737933+02
7728	2838	2	\N	2016-01-02 20:50:50.737933+02
7729	2831	2	\N	2016-01-02 20:50:54.803525+02
7730	2839	2	\N	2016-01-02 20:51:13.095185+02
7731	2840	2	\N	2016-01-02 20:51:13.095185+02
7732	2841	2	\N	2016-01-02 20:52:40.961629+02
7733	2540	2	\N	2016-01-02 20:53:36.703713+02
7734	2842	2	\N	2016-01-02 20:53:48.427475+02
7735	2843	2	\N	2016-01-02 20:53:48.427475+02
7736	2844	2	\N	2016-01-02 21:00:05.527737+02
7737	2845	2	\N	2016-01-02 21:00:05.527737+02
7738	2846	2	\N	2016-01-02 21:03:59.88429+02
7739	2847	2	\N	2016-01-02 21:03:59.88429+02
7740	2848	2	\N	2016-01-02 21:08:47.993297+02
7741	2849	2	\N	2016-01-02 21:08:47.993297+02
7742	2850	2	\N	2016-01-02 21:16:40.983488+02
7743	2851	2	\N	2016-01-02 21:16:40.983488+02
7744	2852	2	\N	2016-01-02 21:36:46.646531+02
7745	2853	2	\N	2016-01-02 21:36:49.099159+02
7746	2854	2	\N	2016-01-02 21:37:14.376182+02
7747	2855	2	\N	2016-01-02 21:37:14.376182+02
7748	2853	2	\N	2016-01-02 21:38:33.232425+02
7749	2853	2	\N	2016-01-02 21:39:02.581845+02
7752	2857	2	\N	2016-01-02 21:39:38.718674+02
7755	2858	2	\N	2016-01-02 21:48:47.109583+02
7756	2858	2	\N	2016-01-02 21:49:26.302355+02
7757	2858	2	\N	2016-01-02 21:50:13.774213+02
7759	2841	2	\N	2016-01-02 22:14:54.924705+02
7763	2858	2	\N	2016-01-02 22:21:07.90205+02
7750	2853	2	\N	2016-01-02 21:39:16.771773+02
7753	2858	2	\N	2016-01-02 21:43:29.317483+02
7754	2859	2	\N	2016-01-02 21:48:34.392885+02
7758	2858	2	\N	2016-01-02 21:50:34.02702+02
7760	2835	2	\N	2016-01-02 22:15:05.490599+02
7761	2858	2	\N	2016-01-02 22:15:28.276336+02
7762	2858	2	\N	2016-01-02 22:20:37.944351+02
7764	2858	2	\N	2016-01-02 22:23:01.500364+02
7765	2858	2	\N	2016-01-02 22:24:07.265807+02
7766	2858	2	\N	2016-01-02 22:57:12.346032+02
7767	2858	2	\N	2016-01-02 22:57:27.435802+02
7768	2858	2	\N	2016-01-02 22:58:10.983876+02
7769	2860	2	\N	2016-01-02 23:22:02.986231+02
7770	2861	2	\N	2016-01-02 23:22:02.986231+02
7771	2862	2	\N	2016-01-02 23:29:14.591921+02
7772	2863	2	\N	2016-01-02 23:29:43.595496+02
7773	2864	2	\N	2016-01-02 23:32:59.025447+02
7774	2865	2	\N	2016-01-02 23:33:17.678918+02
7775	2866	2	\N	2016-01-02 23:33:24.314299+02
7776	2867	2	\N	2016-01-02 23:34:03.051927+02
7777	2824	2	\N	2016-01-02 23:39:00.961892+02
7778	2868	2	\N	2016-01-30 20:55:14.786454+02
7779	2869	2	\N	2016-01-30 20:59:30.856249+02
7780	2830	2	\N	2016-01-30 21:00:27.913502+02
7781	2830	2	\N	2016-01-30 21:01:18.072032+02
7782	2830	2	\N	2016-01-30 21:01:36.444194+02
7783	2830	2	\N	2016-02-06 15:26:53.662979+02
7784	2830	2	\N	2016-02-06 15:33:10.739181+02
7785	2830	2	\N	2016-02-06 15:34:22.381065+02
7786	2830	2	\N	2016-02-06 15:35:20.238203+02
7787	2830	2	\N	2016-02-06 15:36:19.423459+02
7788	2830	2	\N	2016-02-06 15:45:57.869458+02
7789	2830	2	\N	2016-02-06 15:55:27.857802+02
7790	2830	2	\N	2016-02-06 16:02:20.536632+02
7791	2830	2	\N	2016-02-06 16:19:02.587853+02
7792	2830	2	\N	2016-02-06 16:19:14.340638+02
7793	2830	2	\N	2016-02-06 16:19:40.099469+02
7794	2870	2	\N	2016-02-07 17:23:20.218116+02
7795	2871	2	\N	2016-02-07 17:23:20.218116+02
7796	2872	2	\N	2016-02-07 21:04:30.754221+02
7797	2872	2	\N	2016-02-07 21:05:54.259693+02
7798	2872	2	\N	2016-02-07 21:07:48.965918+02
7799	2873	2	\N	2016-02-07 21:19:25.018357+02
7800	2874	2	\N	2016-02-07 21:20:02.361201+02
7801	2875	2	\N	2016-02-07 21:20:21.884033+02
7802	2876	2	\N	2016-02-07 21:21:03.816914+02
7803	2877	2	\N	2016-02-07 21:21:07.920879+02
7804	2788	2	\N	2016-05-09 12:53:56.945117+03
7805	2878	2	\N	2016-05-09 12:57:37.410132+03
7806	2879	2	\N	2016-05-09 12:58:01.601364+03
7807	2875	2	\N	2016-05-09 14:19:09.461648+03
7808	2879	2	\N	2016-05-09 14:19:09.461648+03
7809	2875	2	\N	2016-05-09 14:21:24.121089+03
7810	2879	2	\N	2016-05-09 14:21:24.121089+03
7811	2877	2	\N	2016-05-09 19:49:23.40543+03
7812	2877	2	\N	2016-05-09 20:42:10.779147+03
7813	2877	2	\N	2016-05-09 20:59:03.503884+03
7814	2877	2	\N	2016-05-09 20:59:20.181507+03
7815	2880	2	\N	2016-05-14 12:24:09.362992+03
7816	2881	2	\N	2016-05-14 12:24:17.0673+03
7817	2882	2	\N	2016-05-14 12:40:37.631348+03
7818	2883	2	\N	2016-05-14 12:42:08.065152+03
7822	2887	2	\N	2016-05-14 19:24:38.497791+03
7823	2882	2	\N	2016-05-14 19:25:04.0458+03
7824	2888	2	\N	2016-05-14 19:26:49.355068+03
7825	2889	2	\N	2016-05-14 19:27:41.044427+03
7826	2888	2	\N	2016-05-14 19:28:16.54874+03
7827	2889	2	\N	2016-05-14 19:33:22.988649+03
7828	2131	2	\N	2016-05-15 18:01:05.003665+03
7829	1932	2	\N	2016-05-15 18:01:28.601998+03
7830	1939	2	\N	2016-05-15 18:01:28.601998+03
7831	2131	2	\N	2016-05-15 18:01:28.601998+03
7832	2890	2	\N	2016-05-15 18:35:21.882133+03
7833	2891	7	\N	2016-05-22 19:55:08.969532+03
7834	2892	7	\N	2016-05-22 19:55:14.973042+03
7835	2893	7	\N	2016-05-22 19:56:54.291848+03
7836	2894	7	\N	2016-05-22 19:57:34.361739+03
7837	2895	7	\N	2016-05-22 20:02:06.06185+03
7838	2896	7	\N	2016-05-22 20:02:08.989653+03
7839	2897	7	\N	2016-05-22 20:02:51.686319+03
7840	2898	7	\N	2016-05-22 20:04:51.844389+03
7841	2899	7	\N	2016-05-22 20:05:17.325444+03
7842	2900	7	\N	2016-05-22 20:05:17.325444+03
7843	2901	7	\N	2016-05-22 20:06:02.253214+03
7844	2902	7	\N	2016-05-22 20:06:48.112563+03
7845	2902	7	\N	2016-05-22 20:07:40.428098+03
7846	2902	7	\N	2016-05-22 20:07:58.637089+03
7847	1849	2	\N	2016-05-22 20:11:06.601318+03
7848	2903	2	\N	2016-05-22 20:42:01.686171+03
7849	2904	2	\N	2016-05-22 20:43:32.285069+03
\.


--
-- Name: resource_log_id_seq; Type: SEQUENCE SET; Schema: test; Owner: -
--

SELECT pg_catalog.setval('resource_log_id_seq', 7849, true);


--
-- Data for Name: resource_type; Type: TABLE DATA; Schema: test; Owner: -
--

COPY resource_type (id, resource_id, name, humanize, resource_name, module, settings, descr, status) FROM stdin;
145	2292	leads_items	Leads Items	LeadsItemsResource	travelcrm.resources.leads_items	null	Leads Items	0
87	1190	contacts	Contacts	ContactsResource	travelcrm.resources.contacts	null	Contacts for persons, business persons etc.	0
148	2513	vats	Vat	VatsResource	travelcrm.resources.vats	null	Vat for accounts and services	0
2	10	users	Users	UsersResource	travelcrm.resources.users	null	Users list	0
149	2516	uploads	Uploads	UploadsResource	travelcrm.resources.uploads	null	Uploads for any type of resources	0
151	2551	persons_categories	Persons Categories	PersonsCategoriesResource	travelcrm.resources.persons_categories	null	Categorise your clients with categories of persons	0
1	773		Home	Root	travelcrm.resources	null	Home Page of Travelcrm	0
12	16	resources_types	Resources Types	ResourcesTypesResource	travelcrm.resources.resources_types	null	Resources types list	0
39	274	regions	Regions	RegionsResource	travelcrm.resources.regions	null		0
41	283	currencies	Currencies	CurrenciesResource	travelcrm.resources.currencies	null		0
47	706	employees	Employees	EmployeesResource	travelcrm.resources.employees	null	Employees Container Datagrid	0
55	723	structures	Structures	StructuresResource	travelcrm.resources.structures	null	Companies structures is a tree of company structure. It's can be offices, filials, departments and so and so	0
59	764	positions	Positions	PositionsResource	travelcrm.resources.positions	null	Companies positions is a point of company structure where emplyees can be appointed	0
61	769	permisions	Permisions	PermisionsResource	travelcrm.resources.permisions	null	Permisions list of company structure position. It's list of resources and permisions	0
65	775	navigations	Navigations	NavigationsResource	travelcrm.resources.navigations	null	Navigations list of company structure position.	0
67	788	appointments	Appointments	AppointmentsResource	travelcrm.resources.appointments	null	Employees to positions of company appointments	0
69	865	persons	Persons	PersonsResource	travelcrm.resources.persons	null	Persons directory. Person can be client or potential client	0
70	872	countries	Countries	CountriesResource	travelcrm.resources.countries	null	Countries directory	0
71	901	advsources	Advertises Sources	AdvsourcesResource	travelcrm.resources.advsources	null	Types of advertises	0
72	908	hotelcats	Hotels Categories	HotelcatsResource	travelcrm.resources.hotelcats	null	Hotels categories	0
73	909	roomcats	Rooms Categories	RoomcatsResource	travelcrm.resources.roomcats	null	Categories of the rooms	0
75	954	foodcats	Foods Categories	FoodcatsResource	travelcrm.resources.foodcats	null	Food types in hotels	0
78	1003	suppliers	Suppliers	SuppliersResource	travelcrm.resources.suppliers	null	Suppliers, such as touroperators, aircompanies, IATA etc.	0
79	1007	bpersons	Business Persons	BPersonsResource	travelcrm.resources.bpersons	null	Business Persons is not clients it's simple business contacts that can be referenced objects that needs to have contacts	0
83	1081	hotels	Hotels	HotelsResource	travelcrm.resources.hotels	null	Hotels directory	0
84	1088	locations	Locations	LocationsResource	travelcrm.resources.locations	null	Locations list is list of cities, vilages etc. places to use to identify part of region	0
86	1189	contracts	Contracts	ContractsResource	travelcrm.resources.contracts	null	Licences list for any type of resources as need	0
89	1198	passports	Passports	PassportsResource	travelcrm.resources.passports	null	Clients persons passports lists	0
90	1207	addresses	Addresses	AddressesResource	travelcrm.resources.addresses	null	Addresses of any type of resources, such as persons, bpersons, hotels etc.	0
91	1211	banks	Banks	BanksResource	travelcrm.resources.banks	null	Banks list to create bank details and for other reasons	0
93	1225	tasks	Tasks	TasksResource	travelcrm.resources.tasks	null	Task manager	0
101	1268	banks_details	Banks Details	BanksDetailsResource	travelcrm.resources.banks_details	null	Banks Details that can be attached to any client or business partner to define account	0
102	1313	services	Services	ServicesResource	travelcrm.resources.services	null	Additional Services that can be provide with tours sales or separate	0
104	1393	currencies_rates	Currency Rates	CurrenciesRatesResource	travelcrm.resources.currencies_rates	null	Currencies Rates. Values from this dir used by billing to calc prices in base currency.	0
105	1424	accounts_items	Accounts Items	AccountsItemsResource	travelcrm.resources.accounts_items	null	Finance accounts items	0
106	1433	incomes	Incomes	IncomesResource	travelcrm.resources.incomes	{"account_item_id": 8}	Incomes Payments Document for invoices	0
107	1435	accounts	Accounts	AccountsResource	travelcrm.resources.accounts	null	Billing Accounts. It can be bank accouts, cash accounts etc. and has company wide visible	0
117	1797	subaccounts	Subaccounts	SubaccountsResource	travelcrm.resources.subaccounts	null	Subaccounts are accounts from other objects such as clients, touroperators and so on	0
118	1799	notes	Notes	NotesResource	travelcrm.resources.notes	null	Resources Notes	0
121	1894	turnovers	Turnovers	TurnoversResource	travelcrm.resources.turnovers	null	Turnovers on Accounts and Subaccounts	0
126	1968	companies	Companies	CompaniesResource	travelcrm.resources.companies	null	Multicompanies functionality	0
130	2049	leads	Leads	LeadsResource	travelcrm.resources.leads	null	Leads that can be converted into contacts	0
135	2100	orders_items	Orders Items	OrdersItemsResource	travelcrm.resources.orders_items	null	Orders Items	0
137	2108	tours	Tours	ToursResource	travelcrm.resources.tours	null	Tour Service	0
74	953	accomodations	Accomodations	AccomodationsResource	travelcrm.resources.accomodations	null	Accomodations Types list	0
110	1521	commissions	Commissions	CommissionsResource	travelcrm.resources.commissions	null	Services sales commissions	0
111	1548	outgoings	Outgoings	OutgoingsResource	travelcrm.resources.outgoings	null	Outgoings payments for touroperators, suppliers, payback payments and so on	0
134	2099	orders	Orders	OrdersResource	travelcrm.resources.orders	{"html_template": "GNU GENERAL PUBLIC LICENSE\\r\\n\\r\\nVersion 3, 29 June 2007\\r\\n\\r\\nCopyright \\u00a9 2007 Free Software Foundation, Inc. <http://fsf.org/>\\r\\n\\r\\nEveryone is permitted to copy and distribute verbatim copies of this license document, but changing it is not allowed.\\r\\n\\r\\nPreamble\\r\\n\\r\\nThe GNU General Public License is a free, copyleft license for software and other kinds of works.\\r\\n\\r\\nThe licenses for most software and other practical works are designed to take away your freedom to share and change the works. By contrast, the GNU General Public License is intended to guarantee your freedom to share and change all versions of a program--to make sure it remains free software for all its users. We, the Free Software Foundation, use the GNU General Public License for most of our software; it applies also to any other work released this way by its authors. You can apply it to your programs, too.\\r\\n\\r\\nWhen we speak of free software, we are referring to freedom, not price. Our General Public Licenses are designed to make sure that you have the freedom to distribute copies of free software (and charge for them if you wish), that you receive source code or can get it if you want it, that you can change the software or use pieces of it in new free programs, and that you know you can do these things.\\r\\n\\r\\nTo protect your rights, we need to prevent others from denying you these rights or asking you to surrender the rights. Therefore, you have certain responsibilities if you distribute copies of the software, or if you modify it: responsibilities to respect the freedom of others.\\r\\n\\r\\nFor example, if you distribute copies of such a program, whether gratis or for a fee, you must pass on to the recipients the same freedoms that you received. You must make sure that they, too, receive or can get the source code. And you must show them these terms so they know their rights.\\r\\n\\r\\nDevelopers that use the GNU GPL protect your rights with two steps: (1) assert copyright on the software, and (2) offer you this License giving you legal permission to copy, distribute and/or modify it.\\r\\n\\r\\nFor the developers' and authors' protection, the GPL clearly explains that there is no warranty for this free software. For both users' and authors' sake, the GPL requires that modified versions be marked as changed, so that their problems will not be attributed erroneously to authors of previous versions.\\r\\n\\r\\nSome devices are designed to deny users access to install or run modified versions of the software inside them, although the manufacturer can do so. This is fundamentally incompatible with the aim of protecting users' freedom to change the software. The systematic pattern of such abuse occurs in the area of products for individuals to use, which is precisely where it is most unacceptable. Therefore, we have designed this version of the GPL to prohibit the practice for those products. If such problems arise substantially in other domains, we stand ready to extend this provision to those domains in future versions of the GPL, as needed to protect the freedom of users.\\r\\n\\r\\nFinally, every program is threatened constantly by software patents. States should not allow patents to restrict development and use of software on general-purpose computers, but in those that do, we wish to avoid the special danger that patents applied to a free program could make it effectively proprietary. To prevent this, the GPL assures that patents cannot be used to render the program non-free.\\r\\n\\r\\nThe precise terms and conditions for copying, distribution and modification follow.\\r\\n\\r\\nTERMS AND CONDITIONS\\r\\n\\r\\n0. Definitions.\\r\\n\\r\\n\\u201cThis License\\u201d refers to version 3 of the GNU General Public License.\\r\\n\\r\\n\\u201cCopyright\\u201d also means copyright-like laws that apply to other kinds of works, such as semiconductor masks.\\r\\n\\r\\n\\u201cThe Program\\u201d refers to any copyrightable work licensed under this License. Each licensee is addressed as \\u201cyou\\u201d. \\u201cLicensees\\u201d and \\u201crecipients\\u201d may be individuals or organizations.\\r\\n\\r\\nTo \\u201cmodify\\u201d a work means to copy from or adapt all or part of the work in a fashion requiring copyright permission, other than the making of an exact copy. The resulting work is called a \\u201cmodified version\\u201d of the earlier work or a work \\u201cbased on\\u201d the earlier work.\\r\\n\\r\\nA \\u201ccovered work\\u201d means either the unmodified Program or a work based on the Program.\\r\\n\\r\\nTo \\u201cpropagate\\u201d a work means to do anything with it that, without permission, would make you directly or secondarily liable for infringement under applicable copyright law, except executing it on a computer or modifying a private copy. Propagation includes copying, distribution (with or without modification), making available to the public, and in some countries other activities as well.\\r\\n\\r\\nTo \\u201cconvey\\u201d a work means any kind of propagation that enables other parties to make or receive copies. Mere interaction with a user through a computer network, with no transfer of a copy, is not conveying.\\r\\n\\r\\nAn interactive user interface displays \\u201cAppropriate Legal Notices\\u201d to the extent that it includes a convenient and prominently visible feature that (1) displays an appropriate copyright notice, and (2) tells the user that there is no warranty for the work (except to the extent that warranties are provided), that licensees may convey the work under this License, and how to view a copy of this License. If the interface presents a list of user commands or options, such as a menu, a prominent item in the list meets this criterion.\\r\\n\\r\\n1. Source Code.\\r\\n\\r\\nThe \\u201csource code\\u201d for a work means the preferred form of the work for making modifications to it. \\u201cObject code\\u201d means any non-source form of a work.\\r\\n\\r\\nA \\u201cStandard Interface\\u201d means an interface that either is an official standard defined by a recognized standards body, or, in the case of interfaces specified for a particular programming language, one that is widely used among developers working in that language.\\r\\n\\r\\nThe \\u201cSystem Libraries\\u201d of an executable work include anything, other than the work as a whole, that (a) is included in the normal form of packaging a Major Component, but which is not part of that Major Component, and (b) serves only to enable use of the work with that Major Component, or to implement a Standard Interface for which an implementation is available to the public in source code form. A \\u201cMajor Component\\u201d, in this context, means a major essential component (kernel, window system, and so on) of the specific operating system (if any) on which the executable work runs, or a compiler used to produce the work, or an object code interpreter used to run it.\\r\\n\\r\\nThe \\u201cCorresponding Source\\u201d for a work in object code form means all the source code needed to generate, install, and (for an executable work) run the object code and to modify the work, including scripts to control those activities. However, it does not include the work's System Libraries, or general-purpose tools or generally available free programs which are used unmodified in performing those activities but which are not part of the work. For example, Corresponding Source includes interface definition files associated with source files for the work, and the source code for shared libraries and dynamically linked subprograms that the work is specifically designed to require, such as by intimate data communication or control flow between those subprograms and other parts of the work.\\r\\n\\r\\nThe Corresponding Source need not include anything that users can regenerate automatically from other parts of the Corresponding Source.\\r\\n\\r\\nThe Corresponding Source for a work in source code form is that same work.\\r\\n\\r\\n2. Basic Permissions.\\r\\n\\r\\nAll rights granted under this License are granted for the term of copyright on the Program, and are irrevocable provided the stated conditions are met. This License explicitly affirms your unlimited permission to run the unmodified Program. The output from running a covered work is covered by this License only if the output, given its content, constitutes a covered work. This License acknowledges your rights of fair use or other equivalent, as provided by copyright law.\\r\\n\\r\\nYou may make, run and propagate covered works that you do not convey, without conditions so long as your license otherwise remains in force. You may convey covered works to others for the sole purpose of having them make modifications exclusively for you, or provide you with facilities for running those works, provided that you comply with the terms of this License in conveying all material for which you do not control copyright. Those thus making or running the covered works for you must do so exclusively on your behalf, under your direction and control, on terms that prohibit them from making any copies of your copyrighted material outside their relationship with you.\\r\\n\\r\\nConveying under any other circumstances is permitted solely under the conditions stated below. Sublicensing is not allowed; section 10 makes it unnecessary.\\r\\n\\r\\n3. Protecting Users' Legal Rights From Anti-Circumvention Law.\\r\\n\\r\\nNo covered work shall be deemed part of an effective technological measure under any applicable law fulfilling obligations under article 11 of the WIPO copyright treaty adopted on 20 December 1996, or similar laws prohibiting or restricting circumvention of such measures.\\r\\n\\r\\nWhen you convey a covered work, you waive any legal power to forbid circumvention of technological measures to the extent such circumvention is effected by exercising rights under this License with respect to the covered work, and you disclaim any intention to limit operation or modification of the work as a means of enforcing, against the work's users, your or third parties' legal rights to forbid circumvention of technological measures.\\r\\n\\r\\n4. Conveying Verbatim Copies.\\r\\n\\r\\nYou may convey verbatim copies of the Program's source code as you receive it, in any medium, provided that you conspicuously and appropriately publish on each copy an appropriate copyright notice; keep intact all notices stating that this License and any non-permissive terms added in accord with section 7 apply to the code; keep intact all notices of the absence of any warranty; and give all recipients a copy of this License along with the Program.\\r\\n\\r\\nYou may charge any price or no price for each copy that you convey, and you may offer support or warranty protection for a fee.\\r\\n\\r\\n5. Conveying Modified Source Versions.\\r\\n\\r\\nYou may convey a work based on the Program, or the modifications to produce it from the Program, in the form of source code under the terms of section 4, provided that you also meet all of these conditions:\\r\\n\\r\\na) The work must carry prominent notices stating that you modified it, and giving a relevant date.\\r\\nb) The work must carry prominent notices stating that it is released under this License and any conditions added under section 7. This requirement modifies the requirement in section 4 to \\u201ckeep intact all notices\\u201d.\\r\\nc) You must license the entire work, as a whole, under this License to anyone who comes into possession of a copy. This License will therefore apply, along with any applicable section 7 additional terms, to the whole of the work, and all its parts, regardless of how they are packaged. This License gives no permission to license the work in any other way, but it does not invalidate such permission if you have separately received it.\\r\\nd) If the work has interactive user interfaces, each must display Appropriate Legal Notices; however, if the Program has interactive interfaces that do not display Appropriate Legal Notices, your work need not make them do so.\\r\\nA compilation of a covered work with other separate and independent works, which are not by their nature extensions of the covered work, and which are not combined with it such as to form a larger program, in or on a volume of a storage or distribution medium, is called an \\u201caggregate\\u201d if the compilation and its resulting copyright are not used to limit the access or legal rights of the compilation's users beyond what the individual works permit. Inclusion of a covered work in an aggregate does not cause this License to apply to the other parts of the aggregate.\\r\\n\\r\\n6. Conveying Non-Source Forms.\\r\\n\\r\\nYou may convey a covered work in object code form under the terms of sections 4 and 5, provided that you also convey the machine-readable Corresponding Source under the terms of this License, in one of these ways:\\r\\n\\r\\na) Convey the object code in, or embodied in, a physical product (including a physical distribution medium), accompanied by the Corresponding Source fixed on a durable physical medium customarily used for software interchange.\\r\\nb) Convey the object code in, or embodied in, a physical product (including a physical distribution medium), accompanied by a written offer, valid for at least three years and valid for as long as you offer spare parts or customer support for that product model, to give anyone who possesses the object code either (1) a copy of the Corresponding Source for all the software in the product that is covered by this License, on a durable physical medium customarily used for software interchange, for a price no more than your reasonable cost of physically performing this conveying of source, or (2) access to copy the Corresponding Source from a network server at no charge.\\r\\nc) Convey individual copies of the object code with a copy of the written offer to provide the Corresponding Source. This alternative is allowed only occasionally and noncommercially, and only if you received the object code with such an offer, in accord with subsection 6b.\\r\\nd) Convey the object code by offering access from a designated place (gratis or for a charge), and offer equivalent access to the Corresponding Source in the same way through the same place at no further charge. You need not require recipients to copy the Corresponding Source along with the object code. If the place to copy the object code is a network server, the Corresponding Source may be on a different server (operated by you or a third party) that supports equivalent copying facilities, provided you maintain clear directions next to the object code saying where to find the Corresponding Source. Regardless of what server hosts the Corresponding Source, you remain obligated to ensure that it is available for as long as needed to satisfy these requirements.\\r\\ne) Convey the object code using peer-to-peer transmission, provided you inform other peers where the object code and Corresponding Source of the work are being offered to the general public at no charge under subsection 6d.\\r\\nA separable portion of the object code, whose source code is excluded from the Corresponding Source as a System Library, need not be included in conveying the object code work.\\r\\n\\r\\nA \\u201cUser Product\\u201d is either (1) a \\u201cconsumer product\\u201d, which means any tangible personal property which is normally used for personal, family, or household purposes, or (2) anything designed or sold for incorporation into a dwelling. In determining whether a product is a consumer product, doubtful cases shall be resolved in favor of coverage. For a particular product received by a particular user, \\u201cnormally used\\u201d refers to a typical or common use of that class of product, regardless of the status of the particular user or of the way in which the particular user actually uses, or expects or is expected to use, the product. A product is a consumer product regardless of whether the product has substantial commercial, industrial or non-consumer uses, unless such uses represent the only significant mode of use of the product.\\r\\n\\r\\n\\u201cInstallation Information\\u201d for a User Product means any methods, procedures, authorization keys, or other information required to install and execute modified versions of a covered work in that User Product from a modified version of its Corresponding Source. The information must suffice to ensure that the continued functioning of the modified object code is in no case prevented or interfered with solely because modification has been made.\\r\\n\\r\\nIf you convey an object code work under this section in, or with, or specifically for use in, a User Product, and the conveying occurs as part of a transaction in which the right of possession and use of the User Product is transferred to the recipient in perpetuity or for a fixed term (regardless of how the transaction is characterized), the Corresponding Source conveyed under this section must be accompanied by the Installation Information. But this requirement does not apply if neither you nor any third party retains the ability to install modified object code on the User Product (for example, the work has been installed in ROM).\\r\\n\\r\\nThe requirement to provide Installation Information does not include a requirement to continue to provide support service, warranty, or updates for a work that has been modified or installed by the recipient, or for the User Product in which it has been modified or installed. Access to a network may be denied when the modification itself materially and adversely affects the operation of the network or violates the rules and protocols for communication across the network.\\r\\n\\r\\nCorresponding Source conveyed, and Installation Information provided, in accord with this section must be in a format that is publicly documented (and with an implementation available to the public in source code form), and must require no special password or key for unpacking, reading or copying.\\r\\n\\r\\n7. Additional Terms.\\r\\n\\r\\n\\u201cAdditional permissions\\u201d are terms that supplement the terms of this License by making exceptions from one or more of its conditions. Additional permissions that are applicable to the entire Program shall be treated as though they were included in this License, to the extent that they are valid under applicable law. If additional permissions apply only to part of the Program, that part may be used separately under those permissions, but the entire Program remains governed by this License without regard to the additional permissions.\\r\\n\\r\\nWhen you convey a copy of a covered work, you may at your option remove any additional permissions from that copy, or from any part of it. (Additional permissions may be written to require their own removal in certain cases when you modify the work.) You may place additional permissions on material, added by you to a covered work, for which you have or can give appropriate copyright permission.\\r\\n\\r\\nNotwithstanding any other provision of this License, for material you add to a covered work, you may (if authorized by the copyright holders of that material) supplement the terms of this License with terms:\\r\\n\\r\\na) Disclaiming warranty or limiting liability differently from the terms of sections 15 and 16 of this License; or\\r\\nb) Requiring preservation of specified reasonable legal notices or author attributions in that material or in the Appropriate Legal Notices displayed by works containing it; or\\r\\nc) Prohibiting misrepresentation of the origin of that material, or requiring that modified versions of such material be marked in reasonable ways as different from the original version; or\\r\\nd) Limiting the use for publicity purposes of names of licensors or authors of the material; or\\r\\ne) Declining to grant rights under trademark law for use of some trade names, trademarks, or service marks; or\\r\\nf) Requiring indemnification of licensors and authors of that material by anyone who conveys the material (or modified versions of it) with contractual assumptions of liability to the recipient, for any liability that these contractual assumptions directly impose on those licensors and authors.\\r\\nAll other non-permissive additional terms are considered \\u201cfurther restrictions\\u201d within the meaning of section 10. If the Program as you received it, or any part of it, contains a notice stating that it is governed by this License along with a term that is a further restriction, you may remove that term. If a license document contains a further restriction but permits relicensing or conveying under this License, you may add to a covered work material governed by the terms of that license document, provided that the further restriction does not survive such relicensing or conveying.\\r\\n\\r\\nIf you add terms to a covered work in accord with this section, you must place, in the relevant source files, a statement of the additional terms that apply to those files, or a notice indicating where to find the applicable terms.\\r\\n\\r\\nAdditional terms, permissive or non-permissive, may be stated in the form of a separately written license, or stated as exceptions; the above requirements apply either way.\\r\\n\\r\\n8. Termination.\\r\\n\\r\\nYou may not propagate or modify a covered work except as expressly provided under this License. Any attempt otherwise to propagate or modify it is void, and will automatically terminate your rights under this License (including any patent licenses granted under the third paragraph of section 11).\\r\\n\\r\\nHowever, if you cease all violation of this License, then your license from a particular copyright holder is reinstated (a) provisionally, unless and until the copyright holder explicitly and finally terminates your license, and (b) permanently, if the copyright holder fails to notify you of the violation by some reasonable means prior to 60 days after the cessation.\\r\\n\\r\\nMoreover, your license from a particular copyright holder is reinstated permanently if the copyright holder notifies you of the violation by some reasonable means, this is the first time you have received notice of violation of this License (for any work) from that copyright holder, and you cure the violation prior to 30 days after your receipt of the notice.\\r\\n\\r\\nTermination of your rights under this section does not terminate the licenses of parties who have received copies or rights from you under this License. If your rights have been terminated and not permanently reinstated, you do not qualify to receive new licenses for the same material under section 10.\\r\\n\\r\\n9. Acceptance Not Required for Having Copies.\\r\\n\\r\\nYou are not required to accept this License in order to receive or run a copy of the Program. Ancillary propagation of a covered work occurring solely as a consequence of using peer-to-peer transmission to receive a copy likewise does not require acceptance. However, nothing other than this License grants you permission to propagate or modify any covered work. These actions infringe copyright if you do not accept this License. Therefore, by modifying or propagating a covered work, you indicate your acceptance of this License to do so.\\r\\n\\r\\n10. Automatic Licensing of Downstream Recipients.\\r\\n\\r\\nEach time you convey a covered work, the recipient automatically receives a license from the original licensors, to run, modify and propagate that work, subject to this License. You are not responsible for enforcing compliance by third parties with this License.\\r\\n\\r\\nAn \\u201centity transaction\\u201d is a transaction transferring control of an organization, or substantially all assets of one, or subdividing an organization, or merging organizations. If propagation of a covered work results from an entity transaction, each party to that transaction who receives a copy of the work also receives whatever licenses to the work the party's predecessor in interest had or could give under the previous paragraph, plus a right to possession of the Corresponding Source of the work from the predecessor in interest, if the predecessor has it or can get it with reasonable efforts.\\r\\n\\r\\nYou may not impose any further restrictions on the exercise of the rights granted or affirmed under this License. For example, you may not impose a license fee, royalty, or other charge for exercise of rights granted under this License, and you may not initiate litigation (including a cross-claim or counterclaim in a lawsuit) alleging that any patent claim is infringed by making, using, selling, offering for sale, or importing the Program or any portion of it.\\r\\n\\r\\n11. Patents.\\r\\n\\r\\nA \\u201ccontributor\\u201d is a copyright holder who authorizes use under this License of the Program or a work on which the Program is based. The work thus licensed is called the contributor's \\u201ccontributor version\\u201d.\\r\\n\\r\\nA contributor's \\u201cessential patent claims\\u201d are all patent claims owned or controlled by the contributor, whether already acquired or hereafter acquired, that would be infringed by some manner, permitted by this License, of making, using, or selling its contributor version, but do not include claims that would be infringed only as a consequence of further modification of the contributor version. For purposes of this definition, \\u201ccontrol\\u201d includes the right to grant patent sublicenses in a manner consistent with the requirements of this License.\\r\\n\\r\\nEach contributor grants you a non-exclusive, worldwide, royalty-free patent license under the contributor's essential patent claims, to make, use, sell, offer for sale, import and otherwise run, modify and propagate the contents of its contributor version.\\r\\n\\r\\nIn the following three paragraphs, a \\u201cpatent license\\u201d is any express agreement or commitment, however denominated, not to enforce a patent (such as an express permission to practice a patent or covenant not to sue for patent infringement). To \\u201cgrant\\u201d such a patent license to a party means to make such an agreement or commitment not to enforce a patent against the party.\\r\\n\\r\\nIf you convey a covered work, knowingly relying on a patent license, and the Corresponding Source of the work is not available for anyone to copy, free of charge and under the terms of this License, through a publicly available network server or other readily accessible means, then you must either (1) cause the Corresponding Source to be so available, or (2) arrange to deprive yourself of the benefit of the patent license for this particular work, or (3) arrange, in a manner consistent with the requirements of this License, to extend the patent license to downstream recipients. \\u201cKnowingly relying\\u201d means you have actual knowledge that, but for the patent license, your conveying the covered work in a country, or your recipient's use of the covered work in a country, would infringe one or more identifiable patents in that country that you have reason to believe are valid.\\r\\n\\r\\nIf, pursuant to or in connection with a single transaction or arrangement, you convey, or propagate by procuring conveyance of, a covered work, and grant a patent license to some of the parties receiving the covered work authorizing them to use, propagate, modify or convey a specific copy of the covered work, then the patent license you grant is automatically extended to all recipients of the covered work and works based on it.\\r\\n\\r\\nA patent license is \\u201cdiscriminatory\\u201d if it does not include within the scope of its coverage, prohibits the exercise of, or is conditioned on the non-exercise of one or more of the rights that are specifically granted under this License. You may not convey a covered work if you are a party to an arrangement with a third party that is in the business of distributing software, under which you make payment to the third party based on the extent of your activity of conveying the work, and under which the third party grants, to any of the parties who would receive the covered work from you, a discriminatory patent license (a) in connection with copies of the covered work conveyed by you (or copies made from those copies), or (b) primarily for and in connection with specific products or compilations that contain the covered work, unless you entered into that arrangement, or that patent license was granted, prior to 28 March 2007.\\r\\n\\r\\nNothing in this License shall be construed as excluding or limiting any implied license or other defenses to infringement that may otherwise be available to you under applicable patent law.\\r\\n\\r\\n12. No Surrender of Others' Freedom.\\r\\n\\r\\nIf conditions are imposed on you (whether by court order, agreement or otherwise) that contradict the conditions of this License, they do not excuse you from the conditions of this License. If you cannot convey a covered work so as to satisfy simultaneously your obligations under this License and any other pertinent obligations, then as a consequence you may not convey it at all. For example, if you agree to terms that obligate you to collect a royalty for further conveying from those to whom you convey the Program, the only way you could satisfy both those terms and this License would be to refrain entirely from conveying the Program.\\r\\n\\r\\n13. Use with the GNU Affero General Public License.\\r\\n\\r\\nNotwithstanding any other provision of this License, you have permission to link or combine any covered work with a work licensed under version 3 of the GNU Affero General Public License into a single combined work, and to convey the resulting work. The terms of this License will continue to apply to the part which is the covered work, but the special requirements of the GNU Affero General Public License, section 13, concerning interaction through a network will apply to the combination as such.\\r\\n\\r\\n14. Revised Versions of this License.\\r\\n\\r\\nThe Free Software Foundation may publish revised and/or new versions of the GNU General Public License from time to time. Such new versions will be similar in spirit to the present version, but may differ in detail to address new problems or concerns.\\r\\n\\r\\nEach version is given a distinguishing version number. If the Program specifies that a certain numbered version of the GNU General Public License \\u201cor any later version\\u201d applies to it, you have the option of following the terms and conditions either of that numbered version or of any later version published by the Free Software Foundation. If the Program does not specify a version number of the GNU General Public License, you may choose any version ever published by the Free Software Foundation.\\r\\n\\r\\nIf the Program specifies that a proxy can decide which future versions of the GNU General Public License can be used, that proxy's public statement of acceptance of a version permanently authorizes you to choose that version for the Program.\\r\\n\\r\\nLater license versions may give you additional or different permissions. However, no additional obligations are imposed on any author or copyright holder as a result of your choosing to follow a later version.\\r\\n\\r\\n15. Disclaimer of Warranty.\\r\\n\\r\\nTHERE IS NO WARRANTY FOR THE PROGRAM, TO THE EXTENT PERMITTED BY APPLICABLE LAW. EXCEPT WHEN OTHERWISE STATED IN WRITING THE COPYRIGHT HOLDERS AND/OR OTHER PARTIES PROVIDE THE PROGRAM \\u201cAS IS\\u201d WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE. THE ENTIRE RISK AS TO THE QUALITY AND PERFORMANCE OF THE PROGRAM IS WITH YOU. SHOULD THE PROGRAM PROVE DEFECTIVE, YOU ASSUME THE COST OF ALL NECESSARY SERVICING, REPAIR OR CORRECTION.\\r\\n\\r\\n16. Limitation of Liability.\\r\\n\\r\\nIN NO EVENT UNLESS REQUIRED BY APPLICABLE LAW OR AGREED TO IN WRITING WILL ANY COPYRIGHT HOLDER, OR ANY OTHER PARTY WHO MODIFIES AND/OR CONVEYS THE PROGRAM AS PERMITTED ABOVE, BE LIABLE TO YOU FOR DAMAGES, INCLUDING ANY GENERAL, SPECIAL, INCIDENTAL OR CONSEQUENTIAL DAMAGES ARISING OUT OF THE USE OR INABILITY TO USE THE PROGRAM (INCLUDING BUT NOT LIMITED TO LOSS OF DATA OR DATA BEING RENDERED INACCURATE OR LOSSES SUSTAINED BY YOU OR THIRD PARTIES OR A FAILURE OF THE PROGRAM TO OPERATE WITH ANY OTHER PROGRAMS), EVEN IF SUCH HOLDER OR OTHER PARTY HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES.\\r\\n\\r\\n17. Interpretation of Sections 15 and 16.\\r\\n\\r\\nIf the disclaimer of warranty and limitation of liability provided above cannot be given local legal effect according to their terms, reviewing courts shall apply local law that most closely approximates an absolute waiver of all civil liability in connection with the Program, unless a warranty or assumption of liability accompanies a copy of the Program in return for a fee.\\r\\n\\r\\nEND OF TERMS AND CONDITIONS\\r\\n\\r\\nHow to Apply These Terms to Your New Programs\\r\\n\\r\\nIf you develop a new program, and you want it to be of the greatest possible use to the public, the best way to achieve this is to make it free software which everyone can redistribute and change under these terms.\\r\\n\\r\\nTo do so, attach the following notices to the program. It is safest to attach them to the start of each source file to most effectively state the exclusion of warranty; and each file should have at least the \\u201ccopyright\\u201d line and a pointer to where the full notice is found.\\r\\n\\r\\n    <one line to give the program's name and a brief idea of what it does.>\\r\\n    Copyright (C) <year>  <name of author>\\r\\n\\r\\n    This program is free software: you can redistribute it and/or modify\\r\\n    it under the terms of the GNU General Public License as published by\\r\\n    the Free Software Foundation, either version 3 of the License, or\\r\\n    (at your option) any later version.\\r\\n\\r\\n    This program is distributed in the hope that it will be useful,\\r\\n    but WITHOUT ANY WARRANTY; without even the implied warranty of\\r\\n    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the\\r\\n    GNU General Public License for more details.\\r\\n\\r\\n    You should have received a copy of the GNU General Public License\\r\\n    along with this program.  If not, see <http://www.gnu.org/licenses/>.\\r\\nAlso add information on how to contact you by electronic and paper mail.\\r\\n\\r\\nIf the program does terminal interaction, make it output a short notice like this when it starts in an interactive mode:\\r\\n\\r\\n    <program>  Copyright (C) <year>  <name of author>\\r\\n    This program comes with ABSOLUTELY NO WARRANTY; for details type `show w'.\\r\\n    This is free software, and you are welcome to redistribute it\\r\\n    under certain conditions; type `show c' for details.\\r\\nThe hypothetical commands `show w' and `show c' should show the appropriate parts of the General Public License. Of course, your program's commands might be different; for a GUI interface, you would use an \\u201cabout box\\u201d.\\r\\n\\r\\nYou should also get your employer (if you work as a programmer) or school, if any, to sign a \\u201ccopyright disclaimer\\u201d for the program, if necessary. For more information on this, and how to apply and follow the GNU GPL, see <http://www.gnu.org/licenses/>.\\r\\n\\r\\nThe GNU General Public License does not permit incorporating your program into proprietary programs. If your program is a subroutine library, you may consider it more useful to permit linking proprietary applications with the library. If this is what you want to do, use the GNU Lesser General Public License instead of this License. But first, please read <http://www.gnu.org/philosophy/why-not-lgpl.html>."}	Orders	0
146	2296	leads_offers	Leads Offers	LeadsOffersResource	travelcrm.resources.leads_offers	null	Leads Offers	0
152	2558	leads_stats	Leads Stats	LeadsStatsResource	travelcrm.resources.leads_stats	{"column_index": 0}	Portlet with leads statistics	0
120	1884	crosspayments	Cross Payments	CrosspaymentsResource	travelcrm.resources.crosspayments	null	Cross payments between accounts and subaccounts. This document is for balance corrections to.	0
153	2583	activities	Activities	ActivitiesResource	travelcrm.resources.activities	{"column_index": 1}	My last activities	0
123	1941	notifications	Notifications	NotificationsResource	travelcrm.resources.notifications	null	Employee Notifications	0
138	2127	transfers	Transfers	TransfersResource	travelcrm.resources.transfers	null	Transfers for tours	0
139	2135	transports	Transports	TransportsResource	travelcrm.resources.transports	null	Transports Types List	0
140	2217	suppliers_types	Suppliers Types	SuppliersTypesResource	travelcrm.resources.suppliers_types	null	Suppliers Types list	0
141	2243	tickets_classes	Tickets Classes	TicketsClassesResource	travelcrm.resources.tickets_classes	null	Tickets Classes list, such as first class, business class etc	0
142	2244	tickets	Tickets	TicketsResource	travelcrm.resources.tickets	null	Ticket is a service for sale tickets of any type	0
143	2268	visas	Visas	VisasResource	travelcrm.resources.visas	null	Visa is a service for sale visas	0
144	2276	spassports	Passports Services	SpassportsResource	travelcrm.resources.spassports	null	Service formulation of foreign passports	0
156	2788	campaigns	Campaigns	CampaignsResource	travelcrm.resources.campaigns	{"host_smpp": "94.249.146.183", "port_smtp": "2525", "username_smtp": "mazvv@mail.ru", "password_smtp": "GmA67mpqqYjKQ", "port_smpp": "29900", "system_type_smpp": "transceiver", "password_smpp": "korn17", "username_smpp": "mazvv", "host_smtp": "smtp-pulse.com", "default_sender_smtp": "mazvv@mail.ru"}	Marketings campaigns	0
160	2887	assigns	Assign resources	AssignsResource	travelcrm.resources.assigns	null	Assigns all resources between employees	0
159	2882	dismissals	Dismissals	DismissalsResource	travelcrm.resources.dismissals	null	Dismissal employees	0
119	1849	calculations	Calculations	CalculationsResource	travelcrm.resources.calculations	null	Calculations of Sale Documents	0
103	1317	invoices	Invoices	InvoicesResource	travelcrm.resources.invoices	{"active_days": 3, "html_template": "<!doctype html>\\r\\n<html>\\r\\n<head>\\r\\n    <meta charset=\\"utf-8\\">\\r\\n    <title>${_(u'Invoice')} - ${invoice.id}</title>\\r\\n    \\r\\n    <style>\\r\\n    .invoice-box{\\r\\n        max-width:800px;\\r\\n        margin:auto;\\r\\n        padding:30px;\\r\\n        border:1px solid #eee;\\r\\n        box-shadow:0 0 10px rgba(0, 0, 0, .15);\\r\\n        font-size:16px;\\r\\n        line-height:24px;\\r\\n        font-family:'Helvetica Neue', 'Helvetica', Helvetica, Arial, sans-serif;\\r\\n        color:#555;\\r\\n    }\\r\\n    \\r\\n    .invoice-box table{\\r\\n        width:100%;\\r\\n        line-height:inherit;\\r\\n        text-align:left;\\r\\n    }\\r\\n    \\r\\n    .invoice-box table td{\\r\\n        padding:5px;\\r\\n        vertical-align:top;\\r\\n    }\\r\\n    \\r\\n    .invoice-box table tr td:nth-child(2){\\r\\n        text-align:right;\\r\\n    }\\r\\n    \\r\\n    .invoice-box table tr.top table td{\\r\\n        padding-bottom:20px;\\r\\n    }\\r\\n    \\r\\n    .invoice-box table tr.top table td.title{\\r\\n        font-size:45px;\\r\\n        line-height:45px;\\r\\n        color:#333;\\r\\n    }\\r\\n    \\r\\n    .invoice-box table tr.information table td{\\r\\n        padding-bottom:40px;\\r\\n    }\\r\\n    \\r\\n    .invoice-box table tr.heading td{\\r\\n        background:#eee;\\r\\n        border-bottom:1px solid #ddd;\\r\\n        font-weight:bold;\\r\\n    }\\r\\n    \\r\\n    .invoice-box table tr.details td{\\r\\n        padding-bottom:20px;\\r\\n    }\\r\\n    \\r\\n    .invoice-box table tr.item td{\\r\\n        border-bottom:1px solid #eee;\\r\\n    }\\r\\n    \\r\\n    .invoice-box table tr.item.last td{\\r\\n        border-bottom:none;\\r\\n    }\\r\\n    \\r\\n    .invoice-box table tr.total td:nth-child(2){\\r\\n        border-top:2px solid #eee;\\r\\n        font-weight:bold;\\r\\n    }\\r\\n    \\r\\n    @media only screen and (max-width: 600px) {\\r\\n        .invoice-box table tr.top table td{\\r\\n            width:100%;\\r\\n            display:block;\\r\\n            text-align:center;\\r\\n        }\\r\\n        \\r\\n        .invoice-box table tr.information table td{\\r\\n            width:100%;\\r\\n            display:block;\\r\\n            text-align:center;\\r\\n        }\\r\\n    }\\r\\n    </style>\\r\\n</head>\\r\\n\\r\\n<body>\\r\\n    <div class=\\"invoice-box\\">\\r\\n        <table cellpadding=\\"0\\" cellspacing=\\"0\\">\\r\\n            <tr class=\\"top\\">\\r\\n                <td colspan=\\"6\\">\\r\\n                    <table>\\r\\n                        <tr>\\r\\n                            <td class=\\"title\\">\\r\\n                                <img src=\\"http://nextstepwebs.com/images/logo.png\\" style=\\"width:100%; max-width:300px;\\">\\r\\n                            </td>\\r\\n                            \\r\\n                            <td>\\r\\n                                ${_(u'Invoice')} #: ${invoice.id}<br>\\r\\n                                ${_(u'Created')}: ${h.common.format_date(invoice.date)}<br>\\r\\n                                ${_(u'Due')}: ${h.common.format_date(invoice.active_until)}\\r\\n                            </td>\\r\\n                        </tr>\\r\\n                    </table>\\r\\n                </td>\\r\\n            </tr>\\r\\n            \\r\\n            <tr class=\\"information\\">\\r\\n                <td colspan=\\"6\\">\\r\\n                    <table>\\r\\n                        <tr>\\r\\n                            <td>\\r\\n                                ${structure.company.name}<br>\\r\\n                                % if structure.addresses:\\r\\n                                <%\\r\\n                                    address = structure.addresses[0]\\r\\n                                %>\\r\\n                                ${address.zip_code}, ${address.location.region.country.name}\\r\\n                                ${address.location.region.name}, ${address.location.name}<br>\\r\\n                                ${address.address}<br>\\r\\n                                % endif\\r\\n                                % if structure.contacts:\\r\\n                                <%\\r\\n                                    contacts = [contact.contact for contact in structure.contacts if contact.is_status_active()]\\r\\n                                %>\\r\\n                                ${', '.join(contacts)}\\r\\n                                % endif\\r\\n                            </td>\\r\\n                            \\r\\n                            <td>\\r\\n                                ${invoice.order.customer.name}<br>\\r\\n                                % if invoice.order.customer.addresses:\\r\\n                                <%\\r\\n                                    address = invoice.order.customer.addresses[0]\\r\\n                                %>\\r\\n                                ${address.zip_code}, ${address.location.region.country.name}\\r\\n                                ${address.location.region.name}, ${address.location.name}<br>\\r\\n                                ${address.address}<br>\\r\\n                                % endif\\r\\n                                % if invoice.order.customer.contacts:\\r\\n                                <%\\r\\n                                    contacts = [contact.contact for contact in invoice.order.customer.contacts if contact.is_status_active()]\\r\\n                                %>\\r\\n                                ${', '.join(contacts)}\\r\\n                                % endif\\r\\n                            </td>\\r\\n                        </tr>\\r\\n                    </table>\\r\\n                </td>\\r\\n            </tr>\\r\\n            \\r\\n            <tr class=\\"heading\\">\\r\\n                <td class=\\"first\\">\\r\\n                    ${_(u'Service')}\\r\\n                </td>\\r\\n                <td></td>\\r\\n                <td style=\\"text-align: right;\\">\\r\\n                    ${_(u'Price')}\\r\\n                </td>\\r\\n                <td style=\\"text-align: right;\\">\\r\\n                    ${_(u'Discount')}\\r\\n                </td>\\r\\n                <td style=\\"text-align: right;\\">\\r\\n                    ${_(u'Vat')}\\r\\n                </td>\\r\\n                <td style=\\"text-align: right;\\">\\r\\n                    ${_(u'Final price')}\\r\\n                </td>\\r\\n            </tr>\\r\\n\\r\\n            % for invoice_item in invoice.invoices_items:\\r\\n            <tr class=\\"item\\">\\r\\n                <td class=\\"first\\">\\r\\n                    ${invoice_item.order_item.service.display_text}\\r\\n                </td>\\r\\n                <td style=\\"text-align: right;\\">\\r\\n                    ${invoice.account.currency.iso_code}\\r\\n                </td>\\r\\n                <td style=\\"text-align: right;\\">\\r\\n                    ${invoice_item.price}\\r\\n                </td>\\r\\n                <td style=\\"text-align: right;\\">\\r\\n                    ${invoice_item.discount}\\r\\n                </td>\\r\\n                <td style=\\"text-align: right;\\">\\r\\n                    ${invoice_item.vat}\\r\\n                </td>\\r\\n                <td style=\\"text-align: right;\\">\\r\\n                    ${invoice_item.final_price}\\r\\n                </td>\\r\\n            </tr>\\r\\n            % endfor\\r\\n\\r\\n            <tr class=\\"total\\">\\r\\n                <td colspan=\\"5\\"></td>\\r\\n                <td>\\r\\n                   ${_(u'Total')}: ${invoice.final_price}\\r\\n                </td>\\r\\n            </tr>\\r\\n        </table>\\r\\n    </div>\\r\\n</body>\\r\\n</html>"}	Invoices list. Invoice can't be created manualy - only using source document such as Tours	0
\.


--
-- Name: resource_type_id_seq; Type: SEQUENCE SET; Schema: test; Owner: -
--

SELECT pg_catalog.setval('resource_type_id_seq', 160, true);


--
-- Data for Name: roomcat; Type: TABLE DATA; Schema: test; Owner: -
--

COPY roomcat (id, resource_id, name) FROM stdin;
\.


--
-- Name: roomcat_id_seq; Type: SEQUENCE SET; Schema: test; Owner: -
--

SELECT pg_catalog.setval('roomcat_id_seq', 1, true);


--
-- Data for Name: service; Type: TABLE DATA; Schema: test; Owner: -
--

COPY service (id, resource_id, resource_type_id, name, display_text, descr) FROM stdin;
7	2247	142	Ticket	Ticket booking service	\N
5	1413	137	Tour	Tour booking service	Use this service for tour sales
4	1318	143	A visa	The issues for visas	\N
1	1314	144	Foreign Passport Service	Formulation of foreign passport	\N
\.


--
-- Name: service_id_seq; Type: SEQUENCE SET; Schema: test; Owner: -
--

SELECT pg_catalog.setval('service_id_seq', 7, true);


--
-- Data for Name: spassport; Type: TABLE DATA; Schema: test; Owner: -
--

COPY spassport (id, resource_id, photo_done, docs_receive_date, docs_transfer_date, passport_receive_date, descr) FROM stdin;
\.


--
-- Name: spassport_id_seq; Type: SEQUENCE SET; Schema: test; Owner: -
--

SELECT pg_catalog.setval('spassport_id_seq', 1, true);


--
-- Data for Name: spassport_order_item; Type: TABLE DATA; Schema: test; Owner: -
--

COPY spassport_order_item (order_item_id, spassport_id) FROM stdin;
\.


--
-- Data for Name: structure; Type: TABLE DATA; Schema: test; Owner: -
--

COPY structure (id, resource_id, parent_id, company_id, name) FROM stdin;
2	858	\N	1	Kiev Office
3	859	2	1	Sales Department
4	860	32	1	Marketing Dep.
1	857	32	1	Software Dev. Dep.
5	861	32	1	CEO
7	1062	\N	1	Moscow Office
8	1250	\N	1	Odessa Office
9	1251	8	1	Sales Department
11	1277	\N	1	Lviv Office
32	725	\N	1	Head Office
13	1976	\N	1	Dnepropetrovsk Office
14	2872	1	1	Test
\.


--
-- Data for Name: structure_address; Type: TABLE DATA; Schema: test; Owner: -
--

COPY structure_address (structure_id, address_id) FROM stdin;
\.


--
-- Data for Name: structure_bank_detail; Type: TABLE DATA; Schema: test; Owner: -
--

COPY structure_bank_detail (structure_id, bank_detail_id) FROM stdin;
\.


--
-- Data for Name: structure_contact; Type: TABLE DATA; Schema: test; Owner: -
--

COPY structure_contact (structure_id, contact_id) FROM stdin;
\.


--
-- Name: structure_id_seq; Type: SEQUENCE SET; Schema: test; Owner: -
--

SELECT pg_catalog.setval('structure_id_seq', 32, true);


--
-- Data for Name: subaccount; Type: TABLE DATA; Schema: test; Owner: -
--

COPY subaccount (id, resource_id, account_id, name, status, descr) FROM stdin;
\.


--
-- Name: subaccount_id_seq; Type: SEQUENCE SET; Schema: test; Owner: -
--

SELECT pg_catalog.setval('subaccount_id_seq', 1, true);


--
-- Data for Name: supplier; Type: TABLE DATA; Schema: test; Owner: -
--

COPY supplier (id, resource_id, supplier_type_id, name, status, descr) FROM stdin;
\.


--
-- Data for Name: supplier_bank_detail; Type: TABLE DATA; Schema: test; Owner: -
--

COPY supplier_bank_detail (supplier_id, bank_detail_id) FROM stdin;
\.


--
-- Data for Name: supplier_bperson; Type: TABLE DATA; Schema: test; Owner: -
--

COPY supplier_bperson (supplier_id, bperson_id) FROM stdin;
\.


--
-- Data for Name: supplier_contract; Type: TABLE DATA; Schema: test; Owner: -
--

COPY supplier_contract (supplier_id, contract_id) FROM stdin;
\.


--
-- Name: supplier_id_seq; Type: SEQUENCE SET; Schema: test; Owner: -
--

SELECT pg_catalog.setval('supplier_id_seq', 1, true);


--
-- Data for Name: supplier_subaccount; Type: TABLE DATA; Schema: test; Owner: -
--

COPY supplier_subaccount (supplier_id, subaccount_id) FROM stdin;
\.


--
-- Data for Name: supplier_type; Type: TABLE DATA; Schema: test; Owner: -
--

COPY supplier_type (id, resource_id, name, descr) FROM stdin;
\.


--
-- Name: supplier_type_id_seq; Type: SEQUENCE SET; Schema: test; Owner: -
--

SELECT pg_catalog.setval('supplier_type_id_seq', 1, true);


--
-- Data for Name: task; Type: TABLE DATA; Schema: test; Owner: -
--

COPY task (id, resource_id, title, deadline, reminder, descr, status) FROM stdin;
\.


--
-- Name: task_id_seq; Type: SEQUENCE SET; Schema: test; Owner: -
--

SELECT pg_catalog.setval('task_id_seq', 1, true);


--
-- Data for Name: task_resource; Type: TABLE DATA; Schema: test; Owner: -
--

COPY task_resource (task_id, resource_id) FROM stdin;
\.


--
-- Data for Name: task_upload; Type: TABLE DATA; Schema: test; Owner: -
--

COPY task_upload (task_id, upload_id) FROM stdin;
\.


--
-- Data for Name: ticket; Type: TABLE DATA; Schema: test; Owner: -
--

COPY ticket (id, resource_id, start_location_id, end_location_id, ticket_class_id, transport_id, start_dt, start_additional_info, end_dt, end_additional_info, adults, children, descr) FROM stdin;
\.


--
-- Data for Name: ticket_class; Type: TABLE DATA; Schema: test; Owner: -
--

COPY ticket_class (id, resource_id, name) FROM stdin;
\.


--
-- Name: ticket_class_id_seq; Type: SEQUENCE SET; Schema: test; Owner: -
--

SELECT pg_catalog.setval('ticket_class_id_seq', 1, true);


--
-- Name: ticket_id_seq; Type: SEQUENCE SET; Schema: test; Owner: -
--

SELECT pg_catalog.setval('ticket_id_seq', 1, true);


--
-- Data for Name: ticket_order_item; Type: TABLE DATA; Schema: test; Owner: -
--

COPY ticket_order_item (order_item_id, ticket_id) FROM stdin;
\.


--
-- Data for Name: tour; Type: TABLE DATA; Schema: test; Owner: -
--

COPY tour (id, resource_id, start_location_id, start_transport_id, end_location_id, end_transport_id, hotel_id, accomodation_id, foodcat_id, roomcat_id, transfer_id, adults, children, start_date, start_additional_info, end_date, end_additional_info, descr) FROM stdin;
\.


--
-- Name: tour_id_seq; Type: SEQUENCE SET; Schema: test; Owner: -
--

SELECT pg_catalog.setval('tour_id_seq', 1, true);


--
-- Data for Name: tour_order_item; Type: TABLE DATA; Schema: test; Owner: -
--

COPY tour_order_item (order_item_id, tour_id) FROM stdin;
\.


--
-- Data for Name: transfer; Type: TABLE DATA; Schema: test; Owner: -
--

COPY transfer (id, resource_id, name) FROM stdin;
\.


--
-- Name: transfer_id_seq; Type: SEQUENCE SET; Schema: test; Owner: -
--

SELECT pg_catalog.setval('transfer_id_seq', 1, true);


--
-- Data for Name: transport; Type: TABLE DATA; Schema: test; Owner: -
--

COPY transport (id, resource_id, name) FROM stdin;
\.


--
-- Name: transport_id_seq; Type: SEQUENCE SET; Schema: test; Owner: -
--

SELECT pg_catalog.setval('transport_id_seq', 1, true);


--
-- Data for Name: upload; Type: TABLE DATA; Schema: test; Owner: -
--

COPY upload (id, resource_id, name, path, size, media_type, descr) FROM stdin;
\.


--
-- Name: upload_id_seq; Type: SEQUENCE SET; Schema: test; Owner: -
--

SELECT pg_catalog.setval('upload_id_seq', 1, true);


--
-- Data for Name: user; Type: TABLE DATA; Schema: test; Owner: -
--

COPY "user" (id, resource_id, employee_id, username, email, password) FROM stdin;
25	2054	30	maz_iv	maz_iv@travelcrm.org.ua	111111
31	2126	15	v.lastovec	lastovec@travelcrm.org.ua	111111
2	3	2	admin	admin@mail.ru	adminadmin
32	2484	31	alinka	kabaeva_alinka@mail.ru	123456
23	894	7	maziv	maziv@mail.ru	123456
34	2787	32	c.theron	vitalii.mazur@gmail.com	041035
\.


--
-- Name: user_id_seq; Type: SEQUENCE SET; Schema: test; Owner: -
--

SELECT pg_catalog.setval('user_id_seq', 34, true);


--
-- Data for Name: vat; Type: TABLE DATA; Schema: test; Owner: -
--

COPY vat (id, resource_id, account_id, service_id, date, vat, calc_method, descr) FROM stdin;
\.


--
-- Name: vat_id_seq; Type: SEQUENCE SET; Schema: test; Owner: -
--

SELECT pg_catalog.setval('vat_id_seq', 1, true);


--
-- Data for Name: visa; Type: TABLE DATA; Schema: test; Owner: -
--

COPY visa (id, resource_id, country_id, start_date, end_date, type, descr) FROM stdin;
\.


--
-- Name: visa_id_seq; Type: SEQUENCE SET; Schema: test; Owner: -
--

SELECT pg_catalog.setval('visa_id_seq', 1, true);


--
-- Data for Name: visa_order_item; Type: TABLE DATA; Schema: test; Owner: -
--

COPY visa_order_item (order_item_id, visa_id) FROM stdin;
\.


SET search_path = company_en, pg_catalog;

--
-- Name: accomodation_pkey; Type: CONSTRAINT; Schema: company_en; Owner: -; Tablespace: 
--

ALTER TABLE ONLY accomodation
    ADD CONSTRAINT accomodation_pkey PRIMARY KEY (id);


--
-- Name: account_item_pkey; Type: CONSTRAINT; Schema: company_en; Owner: -; Tablespace: 
--

ALTER TABLE ONLY account_item
    ADD CONSTRAINT account_item_pkey PRIMARY KEY (id);


--
-- Name: account_pkey; Type: CONSTRAINT; Schema: company_en; Owner: -; Tablespace: 
--

ALTER TABLE ONLY account
    ADD CONSTRAINT account_pkey PRIMARY KEY (id);


--
-- Name: address_pkey; Type: CONSTRAINT; Schema: company_en; Owner: -; Tablespace: 
--

ALTER TABLE ONLY address
    ADD CONSTRAINT address_pkey PRIMARY KEY (id);


--
-- Name: advsource_pkey; Type: CONSTRAINT; Schema: company_en; Owner: -; Tablespace: 
--

ALTER TABLE ONLY advsource
    ADD CONSTRAINT advsource_pkey PRIMARY KEY (id);


--
-- Name: appointment_pkey; Type: CONSTRAINT; Schema: company_en; Owner: -; Tablespace: 
--

ALTER TABLE ONLY appointment
    ADD CONSTRAINT appointment_pkey PRIMARY KEY (id);


--
-- Name: bank_address_pkey; Type: CONSTRAINT; Schema: company_en; Owner: -; Tablespace: 
--

ALTER TABLE ONLY bank_address
    ADD CONSTRAINT bank_address_pkey PRIMARY KEY (bank_id, address_id);


--
-- Name: bank_detail_pkey; Type: CONSTRAINT; Schema: company_en; Owner: -; Tablespace: 
--

ALTER TABLE ONLY bank_detail
    ADD CONSTRAINT bank_detail_pkey PRIMARY KEY (id);


--
-- Name: bank_pkey; Type: CONSTRAINT; Schema: company_en; Owner: -; Tablespace: 
--

ALTER TABLE ONLY bank
    ADD CONSTRAINT bank_pkey PRIMARY KEY (id);


--
-- Name: bperson_contact_pkey; Type: CONSTRAINT; Schema: company_en; Owner: -; Tablespace: 
--

ALTER TABLE ONLY bperson_contact
    ADD CONSTRAINT bperson_contact_pkey PRIMARY KEY (bperson_id, contact_id);


--
-- Name: bperson_pkey; Type: CONSTRAINT; Schema: company_en; Owner: -; Tablespace: 
--

ALTER TABLE ONLY bperson
    ADD CONSTRAINT bperson_pkey PRIMARY KEY (id);


--
-- Name: calculation_pkey; Type: CONSTRAINT; Schema: company_en; Owner: -; Tablespace: 
--

ALTER TABLE ONLY calculation
    ADD CONSTRAINT calculation_pkey PRIMARY KEY (id);


--
-- Name: campaign_pkey; Type: CONSTRAINT; Schema: company_en; Owner: -; Tablespace: 
--

ALTER TABLE ONLY campaign
    ADD CONSTRAINT campaign_pkey PRIMARY KEY (id);


--
-- Name: cashflow_pkey; Type: CONSTRAINT; Schema: company_en; Owner: -; Tablespace: 
--

ALTER TABLE ONLY cashflow
    ADD CONSTRAINT cashflow_pkey PRIMARY KEY (id);


--
-- Name: commission_pkey; Type: CONSTRAINT; Schema: company_en; Owner: -; Tablespace: 
--

ALTER TABLE ONLY commission
    ADD CONSTRAINT commission_pkey PRIMARY KEY (id);


--
-- Name: company_pkey; Type: CONSTRAINT; Schema: company_en; Owner: -; Tablespace: 
--

ALTER TABLE ONLY company
    ADD CONSTRAINT company_pkey PRIMARY KEY (id);


--
-- Name: company_subaccount_pkey; Type: CONSTRAINT; Schema: company_en; Owner: -; Tablespace: 
--

ALTER TABLE ONLY company_subaccount
    ADD CONSTRAINT company_subaccount_pkey PRIMARY KEY (company_id, subaccount_id);


--
-- Name: contact_pkey; Type: CONSTRAINT; Schema: company_en; Owner: -; Tablespace: 
--

ALTER TABLE ONLY contact
    ADD CONSTRAINT contact_pkey PRIMARY KEY (id);


--
-- Name: contract_commission_pkey; Type: CONSTRAINT; Schema: company_en; Owner: -; Tablespace: 
--

ALTER TABLE ONLY contract_commission
    ADD CONSTRAINT contract_commission_pkey PRIMARY KEY (contract_id, commission_id);


--
-- Name: contract_pkey; Type: CONSTRAINT; Schema: company_en; Owner: -; Tablespace: 
--

ALTER TABLE ONLY contract
    ADD CONSTRAINT contract_pkey PRIMARY KEY (id);


--
-- Name: country_pkey; Type: CONSTRAINT; Schema: company_en; Owner: -; Tablespace: 
--

ALTER TABLE ONLY country
    ADD CONSTRAINT country_pkey PRIMARY KEY (id);


--
-- Name: crosspayment_pkey; Type: CONSTRAINT; Schema: company_en; Owner: -; Tablespace: 
--

ALTER TABLE ONLY crosspayment
    ADD CONSTRAINT crosspayment_pkey PRIMARY KEY (id);


--
-- Name: currency_pkey; Type: CONSTRAINT; Schema: company_en; Owner: -; Tablespace: 
--

ALTER TABLE ONLY currency
    ADD CONSTRAINT currency_pkey PRIMARY KEY (id);


--
-- Name: currency_rate_pkey; Type: CONSTRAINT; Schema: company_en; Owner: -; Tablespace: 
--

ALTER TABLE ONLY currency_rate
    ADD CONSTRAINT currency_rate_pkey PRIMARY KEY (id);


--
-- Name: dismissal_pkey; Type: CONSTRAINT; Schema: company_en; Owner: -; Tablespace: 
--

ALTER TABLE ONLY dismissal
    ADD CONSTRAINT dismissal_pkey PRIMARY KEY (id);


--
-- Name: employee_address_pkey; Type: CONSTRAINT; Schema: company_en; Owner: -; Tablespace: 
--

ALTER TABLE ONLY employee_address
    ADD CONSTRAINT employee_address_pkey PRIMARY KEY (employee_id, address_id);


--
-- Name: employee_contact_pkey; Type: CONSTRAINT; Schema: company_en; Owner: -; Tablespace: 
--

ALTER TABLE ONLY employee_contact
    ADD CONSTRAINT employee_contact_pkey PRIMARY KEY (employee_id, contact_id);


--
-- Name: employee_notification_pkey; Type: CONSTRAINT; Schema: company_en; Owner: -; Tablespace: 
--

ALTER TABLE ONLY employee_notification
    ADD CONSTRAINT employee_notification_pkey PRIMARY KEY (employee_id, notification_id);


--
-- Name: employee_passport_pkey; Type: CONSTRAINT; Schema: company_en; Owner: -; Tablespace: 
--

ALTER TABLE ONLY employee_passport
    ADD CONSTRAINT employee_passport_pkey PRIMARY KEY (employee_id, passport_id);


--
-- Name: employee_pkey; Type: CONSTRAINT; Schema: company_en; Owner: -; Tablespace: 
--

ALTER TABLE ONLY employee
    ADD CONSTRAINT employee_pkey PRIMARY KEY (id);


--
-- Name: employee_subaccount_pkey; Type: CONSTRAINT; Schema: company_en; Owner: -; Tablespace: 
--

ALTER TABLE ONLY employee_subaccount
    ADD CONSTRAINT employee_subaccount_pkey PRIMARY KEY (employee_id, subaccount_id);


--
-- Name: employee_upload_pkey; Type: CONSTRAINT; Schema: company_en; Owner: -; Tablespace: 
--

ALTER TABLE ONLY employee_upload
    ADD CONSTRAINT employee_upload_pkey PRIMARY KEY (employee_id, upload_id);


--
-- Name: foodcat_pkey; Type: CONSTRAINT; Schema: company_en; Owner: -; Tablespace: 
--

ALTER TABLE ONLY foodcat
    ADD CONSTRAINT foodcat_pkey PRIMARY KEY (id);


--
-- Name: hotel_pkey; Type: CONSTRAINT; Schema: company_en; Owner: -; Tablespace: 
--

ALTER TABLE ONLY hotel
    ADD CONSTRAINT hotel_pkey PRIMARY KEY (id);


--
-- Name: hotelcat_pkey; Type: CONSTRAINT; Schema: company_en; Owner: -; Tablespace: 
--

ALTER TABLE ONLY hotelcat
    ADD CONSTRAINT hotelcat_pkey PRIMARY KEY (id);


--
-- Name: income_cashflow_pkey; Type: CONSTRAINT; Schema: company_en; Owner: -; Tablespace: 
--

ALTER TABLE ONLY income_cashflow
    ADD CONSTRAINT income_cashflow_pkey PRIMARY KEY (income_id, cashflow_id);


--
-- Name: income_pkey; Type: CONSTRAINT; Schema: company_en; Owner: -; Tablespace: 
--

ALTER TABLE ONLY income
    ADD CONSTRAINT income_pkey PRIMARY KEY (id);


--
-- Name: invoice_item_pkey; Type: CONSTRAINT; Schema: company_en; Owner: -; Tablespace: 
--

ALTER TABLE ONLY invoice_item
    ADD CONSTRAINT invoice_item_pkey PRIMARY KEY (id);


--
-- Name: invoice_pkey; Type: CONSTRAINT; Schema: company_en; Owner: -; Tablespace: 
--

ALTER TABLE ONLY invoice
    ADD CONSTRAINT invoice_pkey PRIMARY KEY (id);


--
-- Name: lead_item_pkey; Type: CONSTRAINT; Schema: company_en; Owner: -; Tablespace: 
--

ALTER TABLE ONLY lead_item
    ADD CONSTRAINT lead_item_pkey PRIMARY KEY (id);


--
-- Name: lead_offer_pkey; Type: CONSTRAINT; Schema: company_en; Owner: -; Tablespace: 
--

ALTER TABLE ONLY lead_offer
    ADD CONSTRAINT lead_offer_pkey PRIMARY KEY (id);


--
-- Name: lead_pkey; Type: CONSTRAINT; Schema: company_en; Owner: -; Tablespace: 
--

ALTER TABLE ONLY lead
    ADD CONSTRAINT lead_pkey PRIMARY KEY (id);


--
-- Name: location_pkey; Type: CONSTRAINT; Schema: company_en; Owner: -; Tablespace: 
--

ALTER TABLE ONLY location
    ADD CONSTRAINT location_pkey PRIMARY KEY (id);


--
-- Name: navigation_pkey; Type: CONSTRAINT; Schema: company_en; Owner: -; Tablespace: 
--

ALTER TABLE ONLY navigation
    ADD CONSTRAINT navigation_pkey PRIMARY KEY (id);


--
-- Name: note_pkey; Type: CONSTRAINT; Schema: company_en; Owner: -; Tablespace: 
--

ALTER TABLE ONLY note
    ADD CONSTRAINT note_pkey PRIMARY KEY (id);


--
-- Name: note_resource_pkey; Type: CONSTRAINT; Schema: company_en; Owner: -; Tablespace: 
--

ALTER TABLE ONLY note_resource
    ADD CONSTRAINT note_resource_pkey PRIMARY KEY (note_id, resource_id);


--
-- Name: note_upload_pkey; Type: CONSTRAINT; Schema: company_en; Owner: -; Tablespace: 
--

ALTER TABLE ONLY note_upload
    ADD CONSTRAINT note_upload_pkey PRIMARY KEY (note_id, upload_id);


--
-- Name: notification_pkey; Type: CONSTRAINT; Schema: company_en; Owner: -; Tablespace: 
--

ALTER TABLE ONLY notification
    ADD CONSTRAINT notification_pkey PRIMARY KEY (id);


--
-- Name: notification_resource_pkey; Type: CONSTRAINT; Schema: company_en; Owner: -; Tablespace: 
--

ALTER TABLE ONLY notification_resource
    ADD CONSTRAINT notification_resource_pkey PRIMARY KEY (notification_id, resource_id);


--
-- Name: order_item_pkey; Type: CONSTRAINT; Schema: company_en; Owner: -; Tablespace: 
--

ALTER TABLE ONLY order_item
    ADD CONSTRAINT order_item_pkey PRIMARY KEY (id);


--
-- Name: order_pkey; Type: CONSTRAINT; Schema: company_en; Owner: -; Tablespace: 
--

ALTER TABLE ONLY "order"
    ADD CONSTRAINT order_pkey PRIMARY KEY (id);


--
-- Name: outgoing_cashflow_pkey; Type: CONSTRAINT; Schema: company_en; Owner: -; Tablespace: 
--

ALTER TABLE ONLY outgoing_cashflow
    ADD CONSTRAINT outgoing_cashflow_pkey PRIMARY KEY (outgoing_id, cashflow_id);


--
-- Name: outgoing_pkey; Type: CONSTRAINT; Schema: company_en; Owner: -; Tablespace: 
--

ALTER TABLE ONLY outgoing
    ADD CONSTRAINT outgoing_pkey PRIMARY KEY (id);


--
-- Name: passport_pkey; Type: CONSTRAINT; Schema: company_en; Owner: -; Tablespace: 
--

ALTER TABLE ONLY passport
    ADD CONSTRAINT passport_pkey PRIMARY KEY (id);


--
-- Name: passport_upload_pkey; Type: CONSTRAINT; Schema: company_en; Owner: -; Tablespace: 
--

ALTER TABLE ONLY passport_upload
    ADD CONSTRAINT passport_upload_pkey PRIMARY KEY (passport_id, upload_id);


--
-- Name: permision_pkey; Type: CONSTRAINT; Schema: company_en; Owner: -; Tablespace: 
--

ALTER TABLE ONLY permision
    ADD CONSTRAINT permision_pkey PRIMARY KEY (id);


--
-- Name: person_address_pkey; Type: CONSTRAINT; Schema: company_en; Owner: -; Tablespace: 
--

ALTER TABLE ONLY person_address
    ADD CONSTRAINT person_address_pkey PRIMARY KEY (person_id, address_id);


--
-- Name: person_category_pkey; Type: CONSTRAINT; Schema: company_en; Owner: -; Tablespace: 
--

ALTER TABLE ONLY person_category
    ADD CONSTRAINT person_category_pkey PRIMARY KEY (id);


--
-- Name: person_contact_pkey; Type: CONSTRAINT; Schema: company_en; Owner: -; Tablespace: 
--

ALTER TABLE ONLY person_contact
    ADD CONSTRAINT person_contact_pkey PRIMARY KEY (person_id, contact_id);


--
-- Name: person_order_item_pkey; Type: CONSTRAINT; Schema: company_en; Owner: -; Tablespace: 
--

ALTER TABLE ONLY person_order_item
    ADD CONSTRAINT person_order_item_pkey PRIMARY KEY (order_item_id, person_id);


--
-- Name: person_passport_pkey; Type: CONSTRAINT; Schema: company_en; Owner: -; Tablespace: 
--

ALTER TABLE ONLY person_passport
    ADD CONSTRAINT person_passport_pkey PRIMARY KEY (person_id, passport_id);


--
-- Name: person_pkey; Type: CONSTRAINT; Schema: company_en; Owner: -; Tablespace: 
--

ALTER TABLE ONLY person
    ADD CONSTRAINT person_pkey PRIMARY KEY (id);


--
-- Name: person_subaccount_pkey; Type: CONSTRAINT; Schema: company_en; Owner: -; Tablespace: 
--

ALTER TABLE ONLY person_subaccount
    ADD CONSTRAINT person_subaccount_pkey PRIMARY KEY (person_id, subaccount_id);


--
-- Name: position_pkey; Type: CONSTRAINT; Schema: company_en; Owner: -; Tablespace: 
--

ALTER TABLE ONLY "position"
    ADD CONSTRAINT position_pkey PRIMARY KEY (id);


--
-- Name: region_pkey; Type: CONSTRAINT; Schema: company_en; Owner: -; Tablespace: 
--

ALTER TABLE ONLY region
    ADD CONSTRAINT region_pkey PRIMARY KEY (id);


--
-- Name: resource_log_pkey; Type: CONSTRAINT; Schema: company_en; Owner: -; Tablespace: 
--

ALTER TABLE ONLY resource_log
    ADD CONSTRAINT resource_log_pkey PRIMARY KEY (id);


--
-- Name: resource_pkey; Type: CONSTRAINT; Schema: company_en; Owner: -; Tablespace: 
--

ALTER TABLE ONLY resource
    ADD CONSTRAINT resource_pkey PRIMARY KEY (id);


--
-- Name: resource_type_pkey; Type: CONSTRAINT; Schema: company_en; Owner: -; Tablespace: 
--

ALTER TABLE ONLY resource_type
    ADD CONSTRAINT resource_type_pkey PRIMARY KEY (id);


--
-- Name: roomcat_pkey; Type: CONSTRAINT; Schema: company_en; Owner: -; Tablespace: 
--

ALTER TABLE ONLY roomcat
    ADD CONSTRAINT roomcat_pkey PRIMARY KEY (id);


--
-- Name: service_pkey; Type: CONSTRAINT; Schema: company_en; Owner: -; Tablespace: 
--

ALTER TABLE ONLY service
    ADD CONSTRAINT service_pkey PRIMARY KEY (id);


--
-- Name: spassport_order_item_pkey; Type: CONSTRAINT; Schema: company_en; Owner: -; Tablespace: 
--

ALTER TABLE ONLY spassport_order_item
    ADD CONSTRAINT spassport_order_item_pkey PRIMARY KEY (order_item_id, spassport_id);


--
-- Name: spassport_pkey; Type: CONSTRAINT; Schema: company_en; Owner: -; Tablespace: 
--

ALTER TABLE ONLY spassport
    ADD CONSTRAINT spassport_pkey PRIMARY KEY (id);


--
-- Name: structure_address_pkey; Type: CONSTRAINT; Schema: company_en; Owner: -; Tablespace: 
--

ALTER TABLE ONLY structure_address
    ADD CONSTRAINT structure_address_pkey PRIMARY KEY (structure_id, address_id);


--
-- Name: structure_bank_detail_pkey; Type: CONSTRAINT; Schema: company_en; Owner: -; Tablespace: 
--

ALTER TABLE ONLY structure_bank_detail
    ADD CONSTRAINT structure_bank_detail_pkey PRIMARY KEY (structure_id, bank_detail_id);


--
-- Name: structure_contact_pkey; Type: CONSTRAINT; Schema: company_en; Owner: -; Tablespace: 
--

ALTER TABLE ONLY structure_contact
    ADD CONSTRAINT structure_contact_pkey PRIMARY KEY (structure_id, contact_id);


--
-- Name: structure_pkey; Type: CONSTRAINT; Schema: company_en; Owner: -; Tablespace: 
--

ALTER TABLE ONLY structure
    ADD CONSTRAINT structure_pkey PRIMARY KEY (id);


--
-- Name: subaccount_pkey; Type: CONSTRAINT; Schema: company_en; Owner: -; Tablespace: 
--

ALTER TABLE ONLY subaccount
    ADD CONSTRAINT subaccount_pkey PRIMARY KEY (id);


--
-- Name: supplier_bank_detail_pkey; Type: CONSTRAINT; Schema: company_en; Owner: -; Tablespace: 
--

ALTER TABLE ONLY supplier_bank_detail
    ADD CONSTRAINT supplier_bank_detail_pkey PRIMARY KEY (supplier_id, bank_detail_id);


--
-- Name: supplier_bperson_pkey; Type: CONSTRAINT; Schema: company_en; Owner: -; Tablespace: 
--

ALTER TABLE ONLY supplier_bperson
    ADD CONSTRAINT supplier_bperson_pkey PRIMARY KEY (supplier_id, bperson_id);


--
-- Name: supplier_contract_pkey; Type: CONSTRAINT; Schema: company_en; Owner: -; Tablespace: 
--

ALTER TABLE ONLY supplier_contract
    ADD CONSTRAINT supplier_contract_pkey PRIMARY KEY (supplier_id, contract_id);


--
-- Name: supplier_pkey; Type: CONSTRAINT; Schema: company_en; Owner: -; Tablespace: 
--

ALTER TABLE ONLY supplier
    ADD CONSTRAINT supplier_pkey PRIMARY KEY (id);


--
-- Name: supplier_subaccount_pkey; Type: CONSTRAINT; Schema: company_en; Owner: -; Tablespace: 
--

ALTER TABLE ONLY supplier_subaccount
    ADD CONSTRAINT supplier_subaccount_pkey PRIMARY KEY (supplier_id, subaccount_id);


--
-- Name: supplier_type_pkey; Type: CONSTRAINT; Schema: company_en; Owner: -; Tablespace: 
--

ALTER TABLE ONLY supplier_type
    ADD CONSTRAINT supplier_type_pkey PRIMARY KEY (id);


--
-- Name: task_pkey; Type: CONSTRAINT; Schema: company_en; Owner: -; Tablespace: 
--

ALTER TABLE ONLY task
    ADD CONSTRAINT task_pkey PRIMARY KEY (id);


--
-- Name: task_resource_pkey; Type: CONSTRAINT; Schema: company_en; Owner: -; Tablespace: 
--

ALTER TABLE ONLY task_resource
    ADD CONSTRAINT task_resource_pkey PRIMARY KEY (task_id, resource_id);


--
-- Name: task_upload_pkey; Type: CONSTRAINT; Schema: company_en; Owner: -; Tablespace: 
--

ALTER TABLE ONLY task_upload
    ADD CONSTRAINT task_upload_pkey PRIMARY KEY (task_id, upload_id);


--
-- Name: ticket_class_pkey; Type: CONSTRAINT; Schema: company_en; Owner: -; Tablespace: 
--

ALTER TABLE ONLY ticket_class
    ADD CONSTRAINT ticket_class_pkey PRIMARY KEY (id);


--
-- Name: ticket_order_item_pkey; Type: CONSTRAINT; Schema: company_en; Owner: -; Tablespace: 
--

ALTER TABLE ONLY ticket_order_item
    ADD CONSTRAINT ticket_order_item_pkey PRIMARY KEY (order_item_id, ticket_id);


--
-- Name: ticket_pkey; Type: CONSTRAINT; Schema: company_en; Owner: -; Tablespace: 
--

ALTER TABLE ONLY ticket
    ADD CONSTRAINT ticket_pkey PRIMARY KEY (id);


--
-- Name: tour_order_item_pkey; Type: CONSTRAINT; Schema: company_en; Owner: -; Tablespace: 
--

ALTER TABLE ONLY tour_order_item
    ADD CONSTRAINT tour_order_item_pkey PRIMARY KEY (order_item_id, tour_id);


--
-- Name: tour_pkey; Type: CONSTRAINT; Schema: company_en; Owner: -; Tablespace: 
--

ALTER TABLE ONLY tour
    ADD CONSTRAINT tour_pkey PRIMARY KEY (id);


--
-- Name: transfer_pkey; Type: CONSTRAINT; Schema: company_en; Owner: -; Tablespace: 
--

ALTER TABLE ONLY transfer
    ADD CONSTRAINT transfer_pkey PRIMARY KEY (id);


--
-- Name: transport_pkey; Type: CONSTRAINT; Schema: company_en; Owner: -; Tablespace: 
--

ALTER TABLE ONLY transport
    ADD CONSTRAINT transport_pkey PRIMARY KEY (id);


--
-- Name: unique_idx_accomodation_name; Type: CONSTRAINT; Schema: company_en; Owner: -; Tablespace: 
--

ALTER TABLE ONLY accomodation
    ADD CONSTRAINT unique_idx_accomodation_name UNIQUE (name);


--
-- Name: unique_idx_country_iso_code; Type: CONSTRAINT; Schema: company_en; Owner: -; Tablespace: 
--

ALTER TABLE ONLY country
    ADD CONSTRAINT unique_idx_country_iso_code UNIQUE (iso_code);


--
-- Name: unique_idx_currency_iso_code; Type: CONSTRAINT; Schema: company_en; Owner: -; Tablespace: 
--

ALTER TABLE ONLY currency
    ADD CONSTRAINT unique_idx_currency_iso_code UNIQUE (iso_code);


--
-- Name: unique_idx_currency_rate_currency_id_date; Type: CONSTRAINT; Schema: company_en; Owner: -; Tablespace: 
--

ALTER TABLE ONLY currency_rate
    ADD CONSTRAINT unique_idx_currency_rate_currency_id_date UNIQUE (currency_id, date, supplier_id);


--
-- Name: unique_idx_name_account; Type: CONSTRAINT; Schema: company_en; Owner: -; Tablespace: 
--

ALTER TABLE ONLY account
    ADD CONSTRAINT unique_idx_name_account UNIQUE (name);


--
-- Name: unique_idx_name_account_id_subaccount; Type: CONSTRAINT; Schema: company_en; Owner: -; Tablespace: 
--

ALTER TABLE ONLY subaccount
    ADD CONSTRAINT unique_idx_name_account_id_subaccount UNIQUE (name, account_id);


--
-- Name: unique_idx_name_account_item; Type: CONSTRAINT; Schema: company_en; Owner: -; Tablespace: 
--

ALTER TABLE ONLY account_item
    ADD CONSTRAINT unique_idx_name_account_item UNIQUE (name);


--
-- Name: unique_idx_name_advsource; Type: CONSTRAINT; Schema: company_en; Owner: -; Tablespace: 
--

ALTER TABLE ONLY advsource
    ADD CONSTRAINT unique_idx_name_advsource UNIQUE (name);


--
-- Name: unique_idx_name_bank; Type: CONSTRAINT; Schema: company_en; Owner: -; Tablespace: 
--

ALTER TABLE ONLY bank
    ADD CONSTRAINT unique_idx_name_bank UNIQUE (name);


--
-- Name: unique_idx_name_company; Type: CONSTRAINT; Schema: company_en; Owner: -; Tablespace: 
--

ALTER TABLE ONLY company
    ADD CONSTRAINT unique_idx_name_company UNIQUE (name);


--
-- Name: unique_idx_name_country_id_region; Type: CONSTRAINT; Schema: company_en; Owner: -; Tablespace: 
--

ALTER TABLE ONLY region
    ADD CONSTRAINT unique_idx_name_country_id_region UNIQUE (name, country_id);


--
-- Name: unique_idx_name_foodcat; Type: CONSTRAINT; Schema: company_en; Owner: -; Tablespace: 
--

ALTER TABLE ONLY foodcat
    ADD CONSTRAINT unique_idx_name_foodcat UNIQUE (name);


--
-- Name: unique_idx_name_hotelcat; Type: CONSTRAINT; Schema: company_en; Owner: -; Tablespace: 
--

ALTER TABLE ONLY hotelcat
    ADD CONSTRAINT unique_idx_name_hotelcat UNIQUE (name);


--
-- Name: unique_idx_name_person_category; Type: CONSTRAINT; Schema: company_en; Owner: -; Tablespace: 
--

ALTER TABLE ONLY person_category
    ADD CONSTRAINT unique_idx_name_person_category UNIQUE (name);


--
-- Name: unique_idx_name_region_id_location; Type: CONSTRAINT; Schema: company_en; Owner: -; Tablespace: 
--

ALTER TABLE ONLY location
    ADD CONSTRAINT unique_idx_name_region_id_location UNIQUE (name, region_id);


--
-- Name: unique_idx_name_roomcat; Type: CONSTRAINT; Schema: company_en; Owner: -; Tablespace: 
--

ALTER TABLE ONLY roomcat
    ADD CONSTRAINT unique_idx_name_roomcat UNIQUE (name);


--
-- Name: unique_idx_name_service; Type: CONSTRAINT; Schema: company_en; Owner: -; Tablespace: 
--

ALTER TABLE ONLY service
    ADD CONSTRAINT unique_idx_name_service UNIQUE (name);


--
-- Name: unique_idx_name_strcuture_id_position; Type: CONSTRAINT; Schema: company_en; Owner: -; Tablespace: 
--

ALTER TABLE ONLY "position"
    ADD CONSTRAINT unique_idx_name_strcuture_id_position UNIQUE (name, structure_id);


--
-- Name: unique_idx_name_supplier_type; Type: CONSTRAINT; Schema: company_en; Owner: -; Tablespace: 
--

ALTER TABLE ONLY supplier_type
    ADD CONSTRAINT unique_idx_name_supplier_type UNIQUE (name);


--
-- Name: unique_idx_name_ticket_class; Type: CONSTRAINT; Schema: company_en; Owner: -; Tablespace: 
--

ALTER TABLE ONLY ticket_class
    ADD CONSTRAINT unique_idx_name_ticket_class UNIQUE (name);


--
-- Name: unique_idx_name_transfer; Type: CONSTRAINT; Schema: company_en; Owner: -; Tablespace: 
--

ALTER TABLE ONLY transfer
    ADD CONSTRAINT unique_idx_name_transfer UNIQUE (name);


--
-- Name: unique_idx_name_transport; Type: CONSTRAINT; Schema: company_en; Owner: -; Tablespace: 
--

ALTER TABLE ONLY transport
    ADD CONSTRAINT unique_idx_name_transport UNIQUE (name);


--
-- Name: unique_idx_path_upload; Type: CONSTRAINT; Schema: company_en; Owner: -; Tablespace: 
--

ALTER TABLE ONLY upload
    ADD CONSTRAINT unique_idx_path_upload UNIQUE (path);


--
-- Name: unique_idx_resource_type_id_position_id_permision; Type: CONSTRAINT; Schema: company_en; Owner: -; Tablespace: 
--

ALTER TABLE ONLY permision
    ADD CONSTRAINT unique_idx_resource_type_id_position_id_permision UNIQUE (resource_type_id, position_id);


--
-- Name: unique_idx_resource_type_module; Type: CONSTRAINT; Schema: company_en; Owner: -; Tablespace: 
--

ALTER TABLE ONLY resource_type
    ADD CONSTRAINT unique_idx_resource_type_module UNIQUE (module, resource_name);


--
-- Name: unique_idx_resource_type_name; Type: CONSTRAINT; Schema: company_en; Owner: -; Tablespace: 
--

ALTER TABLE ONLY resource_type
    ADD CONSTRAINT unique_idx_resource_type_name UNIQUE (name);


--
-- Name: unique_idx_users_email; Type: CONSTRAINT; Schema: company_en; Owner: -; Tablespace: 
--

ALTER TABLE ONLY "user"
    ADD CONSTRAINT unique_idx_users_email UNIQUE (email);


--
-- Name: unique_idx_users_username; Type: CONSTRAINT; Schema: company_en; Owner: -; Tablespace: 
--

ALTER TABLE ONLY "user"
    ADD CONSTRAINT unique_idx_users_username UNIQUE (username);


--
-- Name: upload_pkey; Type: CONSTRAINT; Schema: company_en; Owner: -; Tablespace: 
--

ALTER TABLE ONLY upload
    ADD CONSTRAINT upload_pkey PRIMARY KEY (id);


--
-- Name: user_pkey; Type: CONSTRAINT; Schema: company_en; Owner: -; Tablespace: 
--

ALTER TABLE ONLY "user"
    ADD CONSTRAINT user_pkey PRIMARY KEY (id);


--
-- Name: vat_pkey; Type: CONSTRAINT; Schema: company_en; Owner: -; Tablespace: 
--

ALTER TABLE ONLY vat
    ADD CONSTRAINT vat_pkey PRIMARY KEY (id);


--
-- Name: visa_order_item_pkey; Type: CONSTRAINT; Schema: company_en; Owner: -; Tablespace: 
--

ALTER TABLE ONLY visa_order_item
    ADD CONSTRAINT visa_order_item_pkey PRIMARY KEY (order_item_id, visa_id);


--
-- Name: visa_pkey; Type: CONSTRAINT; Schema: company_en; Owner: -; Tablespace: 
--

ALTER TABLE ONLY visa
    ADD CONSTRAINT visa_pkey PRIMARY KEY (id);


SET search_path = company_ru, pg_catalog;

--
-- Name: accomodation_pkey; Type: CONSTRAINT; Schema: company_ru; Owner: -; Tablespace: 
--

ALTER TABLE ONLY accomodation
    ADD CONSTRAINT accomodation_pkey PRIMARY KEY (id);


--
-- Name: account_item_pkey; Type: CONSTRAINT; Schema: company_ru; Owner: -; Tablespace: 
--

ALTER TABLE ONLY account_item
    ADD CONSTRAINT account_item_pkey PRIMARY KEY (id);


--
-- Name: account_pkey; Type: CONSTRAINT; Schema: company_ru; Owner: -; Tablespace: 
--

ALTER TABLE ONLY account
    ADD CONSTRAINT account_pkey PRIMARY KEY (id);


--
-- Name: address_pkey; Type: CONSTRAINT; Schema: company_ru; Owner: -; Tablespace: 
--

ALTER TABLE ONLY address
    ADD CONSTRAINT address_pkey PRIMARY KEY (id);


--
-- Name: advsource_pkey; Type: CONSTRAINT; Schema: company_ru; Owner: -; Tablespace: 
--

ALTER TABLE ONLY advsource
    ADD CONSTRAINT advsource_pkey PRIMARY KEY (id);


--
-- Name: appointment_pkey; Type: CONSTRAINT; Schema: company_ru; Owner: -; Tablespace: 
--

ALTER TABLE ONLY appointment
    ADD CONSTRAINT appointment_pkey PRIMARY KEY (id);


--
-- Name: bank_address_pkey; Type: CONSTRAINT; Schema: company_ru; Owner: -; Tablespace: 
--

ALTER TABLE ONLY bank_address
    ADD CONSTRAINT bank_address_pkey PRIMARY KEY (bank_id, address_id);


--
-- Name: bank_detail_pkey; Type: CONSTRAINT; Schema: company_ru; Owner: -; Tablespace: 
--

ALTER TABLE ONLY bank_detail
    ADD CONSTRAINT bank_detail_pkey PRIMARY KEY (id);


--
-- Name: bank_pkey; Type: CONSTRAINT; Schema: company_ru; Owner: -; Tablespace: 
--

ALTER TABLE ONLY bank
    ADD CONSTRAINT bank_pkey PRIMARY KEY (id);


--
-- Name: bperson_contact_pkey; Type: CONSTRAINT; Schema: company_ru; Owner: -; Tablespace: 
--

ALTER TABLE ONLY bperson_contact
    ADD CONSTRAINT bperson_contact_pkey PRIMARY KEY (bperson_id, contact_id);


--
-- Name: bperson_pkey; Type: CONSTRAINT; Schema: company_ru; Owner: -; Tablespace: 
--

ALTER TABLE ONLY bperson
    ADD CONSTRAINT bperson_pkey PRIMARY KEY (id);


--
-- Name: calculation_pkey; Type: CONSTRAINT; Schema: company_ru; Owner: -; Tablespace: 
--

ALTER TABLE ONLY calculation
    ADD CONSTRAINT calculation_pkey PRIMARY KEY (id);


--
-- Name: campaign_pkey; Type: CONSTRAINT; Schema: company_ru; Owner: -; Tablespace: 
--

ALTER TABLE ONLY campaign
    ADD CONSTRAINT campaign_pkey PRIMARY KEY (id);


--
-- Name: cashflow_pkey; Type: CONSTRAINT; Schema: company_ru; Owner: -; Tablespace: 
--

ALTER TABLE ONLY cashflow
    ADD CONSTRAINT cashflow_pkey PRIMARY KEY (id);


--
-- Name: commission_pkey; Type: CONSTRAINT; Schema: company_ru; Owner: -; Tablespace: 
--

ALTER TABLE ONLY commission
    ADD CONSTRAINT commission_pkey PRIMARY KEY (id);


--
-- Name: company_pkey; Type: CONSTRAINT; Schema: company_ru; Owner: -; Tablespace: 
--

ALTER TABLE ONLY company
    ADD CONSTRAINT company_pkey PRIMARY KEY (id);


--
-- Name: company_subaccount_pkey; Type: CONSTRAINT; Schema: company_ru; Owner: -; Tablespace: 
--

ALTER TABLE ONLY company_subaccount
    ADD CONSTRAINT company_subaccount_pkey PRIMARY KEY (company_id, subaccount_id);


--
-- Name: contact_pkey; Type: CONSTRAINT; Schema: company_ru; Owner: -; Tablespace: 
--

ALTER TABLE ONLY contact
    ADD CONSTRAINT contact_pkey PRIMARY KEY (id);


--
-- Name: contract_commission_pkey; Type: CONSTRAINT; Schema: company_ru; Owner: -; Tablespace: 
--

ALTER TABLE ONLY contract_commission
    ADD CONSTRAINT contract_commission_pkey PRIMARY KEY (contract_id, commission_id);


--
-- Name: contract_pkey; Type: CONSTRAINT; Schema: company_ru; Owner: -; Tablespace: 
--

ALTER TABLE ONLY contract
    ADD CONSTRAINT contract_pkey PRIMARY KEY (id);


--
-- Name: country_pkey; Type: CONSTRAINT; Schema: company_ru; Owner: -; Tablespace: 
--

ALTER TABLE ONLY country
    ADD CONSTRAINT country_pkey PRIMARY KEY (id);


--
-- Name: crosspayment_pkey; Type: CONSTRAINT; Schema: company_ru; Owner: -; Tablespace: 
--

ALTER TABLE ONLY crosspayment
    ADD CONSTRAINT crosspayment_pkey PRIMARY KEY (id);


--
-- Name: currency_pkey; Type: CONSTRAINT; Schema: company_ru; Owner: -; Tablespace: 
--

ALTER TABLE ONLY currency
    ADD CONSTRAINT currency_pkey PRIMARY KEY (id);


--
-- Name: currency_rate_pkey; Type: CONSTRAINT; Schema: company_ru; Owner: -; Tablespace: 
--

ALTER TABLE ONLY currency_rate
    ADD CONSTRAINT currency_rate_pkey PRIMARY KEY (id);


--
-- Name: dismissal_pkey; Type: CONSTRAINT; Schema: company_ru; Owner: -; Tablespace: 
--

ALTER TABLE ONLY dismissal
    ADD CONSTRAINT dismissal_pkey PRIMARY KEY (id);


--
-- Name: employee_address_pkey; Type: CONSTRAINT; Schema: company_ru; Owner: -; Tablespace: 
--

ALTER TABLE ONLY employee_address
    ADD CONSTRAINT employee_address_pkey PRIMARY KEY (employee_id, address_id);


--
-- Name: employee_contact_pkey; Type: CONSTRAINT; Schema: company_ru; Owner: -; Tablespace: 
--

ALTER TABLE ONLY employee_contact
    ADD CONSTRAINT employee_contact_pkey PRIMARY KEY (employee_id, contact_id);


--
-- Name: employee_notification_pkey; Type: CONSTRAINT; Schema: company_ru; Owner: -; Tablespace: 
--

ALTER TABLE ONLY employee_notification
    ADD CONSTRAINT employee_notification_pkey PRIMARY KEY (employee_id, notification_id);


--
-- Name: employee_passport_pkey; Type: CONSTRAINT; Schema: company_ru; Owner: -; Tablespace: 
--

ALTER TABLE ONLY employee_passport
    ADD CONSTRAINT employee_passport_pkey PRIMARY KEY (employee_id, passport_id);


--
-- Name: employee_pkey; Type: CONSTRAINT; Schema: company_ru; Owner: -; Tablespace: 
--

ALTER TABLE ONLY employee
    ADD CONSTRAINT employee_pkey PRIMARY KEY (id);


--
-- Name: employee_subaccount_pkey; Type: CONSTRAINT; Schema: company_ru; Owner: -; Tablespace: 
--

ALTER TABLE ONLY employee_subaccount
    ADD CONSTRAINT employee_subaccount_pkey PRIMARY KEY (employee_id, subaccount_id);


--
-- Name: employee_upload_pkey; Type: CONSTRAINT; Schema: company_ru; Owner: -; Tablespace: 
--

ALTER TABLE ONLY employee_upload
    ADD CONSTRAINT employee_upload_pkey PRIMARY KEY (employee_id, upload_id);


--
-- Name: foodcat_pkey; Type: CONSTRAINT; Schema: company_ru; Owner: -; Tablespace: 
--

ALTER TABLE ONLY foodcat
    ADD CONSTRAINT foodcat_pkey PRIMARY KEY (id);


--
-- Name: hotel_pkey; Type: CONSTRAINT; Schema: company_ru; Owner: -; Tablespace: 
--

ALTER TABLE ONLY hotel
    ADD CONSTRAINT hotel_pkey PRIMARY KEY (id);


--
-- Name: hotelcat_pkey; Type: CONSTRAINT; Schema: company_ru; Owner: -; Tablespace: 
--

ALTER TABLE ONLY hotelcat
    ADD CONSTRAINT hotelcat_pkey PRIMARY KEY (id);


--
-- Name: income_cashflow_pkey; Type: CONSTRAINT; Schema: company_ru; Owner: -; Tablespace: 
--

ALTER TABLE ONLY income_cashflow
    ADD CONSTRAINT income_cashflow_pkey PRIMARY KEY (income_id, cashflow_id);


--
-- Name: income_pkey; Type: CONSTRAINT; Schema: company_ru; Owner: -; Tablespace: 
--

ALTER TABLE ONLY income
    ADD CONSTRAINT income_pkey PRIMARY KEY (id);


--
-- Name: invoice_item_pkey; Type: CONSTRAINT; Schema: company_ru; Owner: -; Tablespace: 
--

ALTER TABLE ONLY invoice_item
    ADD CONSTRAINT invoice_item_pkey PRIMARY KEY (id);


--
-- Name: invoice_pkey; Type: CONSTRAINT; Schema: company_ru; Owner: -; Tablespace: 
--

ALTER TABLE ONLY invoice
    ADD CONSTRAINT invoice_pkey PRIMARY KEY (id);


--
-- Name: lead_item_pkey; Type: CONSTRAINT; Schema: company_ru; Owner: -; Tablespace: 
--

ALTER TABLE ONLY lead_item
    ADD CONSTRAINT lead_item_pkey PRIMARY KEY (id);


--
-- Name: lead_offer_pkey; Type: CONSTRAINT; Schema: company_ru; Owner: -; Tablespace: 
--

ALTER TABLE ONLY lead_offer
    ADD CONSTRAINT lead_offer_pkey PRIMARY KEY (id);


--
-- Name: lead_pkey; Type: CONSTRAINT; Schema: company_ru; Owner: -; Tablespace: 
--

ALTER TABLE ONLY lead
    ADD CONSTRAINT lead_pkey PRIMARY KEY (id);


--
-- Name: location_pkey; Type: CONSTRAINT; Schema: company_ru; Owner: -; Tablespace: 
--

ALTER TABLE ONLY location
    ADD CONSTRAINT location_pkey PRIMARY KEY (id);


--
-- Name: navigation_pkey; Type: CONSTRAINT; Schema: company_ru; Owner: -; Tablespace: 
--

ALTER TABLE ONLY navigation
    ADD CONSTRAINT navigation_pkey PRIMARY KEY (id);


--
-- Name: note_pkey; Type: CONSTRAINT; Schema: company_ru; Owner: -; Tablespace: 
--

ALTER TABLE ONLY note
    ADD CONSTRAINT note_pkey PRIMARY KEY (id);


--
-- Name: note_resource_pkey; Type: CONSTRAINT; Schema: company_ru; Owner: -; Tablespace: 
--

ALTER TABLE ONLY note_resource
    ADD CONSTRAINT note_resource_pkey PRIMARY KEY (note_id, resource_id);


--
-- Name: note_upload_pkey; Type: CONSTRAINT; Schema: company_ru; Owner: -; Tablespace: 
--

ALTER TABLE ONLY note_upload
    ADD CONSTRAINT note_upload_pkey PRIMARY KEY (note_id, upload_id);


--
-- Name: notification_pkey; Type: CONSTRAINT; Schema: company_ru; Owner: -; Tablespace: 
--

ALTER TABLE ONLY notification
    ADD CONSTRAINT notification_pkey PRIMARY KEY (id);


--
-- Name: notification_resource_pkey; Type: CONSTRAINT; Schema: company_ru; Owner: -; Tablespace: 
--

ALTER TABLE ONLY notification_resource
    ADD CONSTRAINT notification_resource_pkey PRIMARY KEY (notification_id, resource_id);


--
-- Name: order_item_pkey; Type: CONSTRAINT; Schema: company_ru; Owner: -; Tablespace: 
--

ALTER TABLE ONLY order_item
    ADD CONSTRAINT order_item_pkey PRIMARY KEY (id);


--
-- Name: order_pkey; Type: CONSTRAINT; Schema: company_ru; Owner: -; Tablespace: 
--

ALTER TABLE ONLY "order"
    ADD CONSTRAINT order_pkey PRIMARY KEY (id);


--
-- Name: outgoing_cashflow_pkey; Type: CONSTRAINT; Schema: company_ru; Owner: -; Tablespace: 
--

ALTER TABLE ONLY outgoing_cashflow
    ADD CONSTRAINT outgoing_cashflow_pkey PRIMARY KEY (outgoing_id, cashflow_id);


--
-- Name: outgoing_pkey; Type: CONSTRAINT; Schema: company_ru; Owner: -; Tablespace: 
--

ALTER TABLE ONLY outgoing
    ADD CONSTRAINT outgoing_pkey PRIMARY KEY (id);


--
-- Name: passport_pkey; Type: CONSTRAINT; Schema: company_ru; Owner: -; Tablespace: 
--

ALTER TABLE ONLY passport
    ADD CONSTRAINT passport_pkey PRIMARY KEY (id);


--
-- Name: passport_upload_pkey; Type: CONSTRAINT; Schema: company_ru; Owner: -; Tablespace: 
--

ALTER TABLE ONLY passport_upload
    ADD CONSTRAINT passport_upload_pkey PRIMARY KEY (passport_id, upload_id);


--
-- Name: permision_pkey; Type: CONSTRAINT; Schema: company_ru; Owner: -; Tablespace: 
--

ALTER TABLE ONLY permision
    ADD CONSTRAINT permision_pkey PRIMARY KEY (id);


--
-- Name: person_address_pkey; Type: CONSTRAINT; Schema: company_ru; Owner: -; Tablespace: 
--

ALTER TABLE ONLY person_address
    ADD CONSTRAINT person_address_pkey PRIMARY KEY (person_id, address_id);


--
-- Name: person_category_pkey; Type: CONSTRAINT; Schema: company_ru; Owner: -; Tablespace: 
--

ALTER TABLE ONLY person_category
    ADD CONSTRAINT person_category_pkey PRIMARY KEY (id);


--
-- Name: person_contact_pkey; Type: CONSTRAINT; Schema: company_ru; Owner: -; Tablespace: 
--

ALTER TABLE ONLY person_contact
    ADD CONSTRAINT person_contact_pkey PRIMARY KEY (person_id, contact_id);


--
-- Name: person_order_item_pkey; Type: CONSTRAINT; Schema: company_ru; Owner: -; Tablespace: 
--

ALTER TABLE ONLY person_order_item
    ADD CONSTRAINT person_order_item_pkey PRIMARY KEY (order_item_id, person_id);


--
-- Name: person_passport_pkey; Type: CONSTRAINT; Schema: company_ru; Owner: -; Tablespace: 
--

ALTER TABLE ONLY person_passport
    ADD CONSTRAINT person_passport_pkey PRIMARY KEY (person_id, passport_id);


--
-- Name: person_pkey; Type: CONSTRAINT; Schema: company_ru; Owner: -; Tablespace: 
--

ALTER TABLE ONLY person
    ADD CONSTRAINT person_pkey PRIMARY KEY (id);


--
-- Name: person_subaccount_pkey; Type: CONSTRAINT; Schema: company_ru; Owner: -; Tablespace: 
--

ALTER TABLE ONLY person_subaccount
    ADD CONSTRAINT person_subaccount_pkey PRIMARY KEY (person_id, subaccount_id);


--
-- Name: position_pkey; Type: CONSTRAINT; Schema: company_ru; Owner: -; Tablespace: 
--

ALTER TABLE ONLY "position"
    ADD CONSTRAINT position_pkey PRIMARY KEY (id);


--
-- Name: region_pkey; Type: CONSTRAINT; Schema: company_ru; Owner: -; Tablespace: 
--

ALTER TABLE ONLY region
    ADD CONSTRAINT region_pkey PRIMARY KEY (id);


--
-- Name: resource_log_pkey; Type: CONSTRAINT; Schema: company_ru; Owner: -; Tablespace: 
--

ALTER TABLE ONLY resource_log
    ADD CONSTRAINT resource_log_pkey PRIMARY KEY (id);


--
-- Name: resource_pkey; Type: CONSTRAINT; Schema: company_ru; Owner: -; Tablespace: 
--

ALTER TABLE ONLY resource
    ADD CONSTRAINT resource_pkey PRIMARY KEY (id);


--
-- Name: resource_type_pkey; Type: CONSTRAINT; Schema: company_ru; Owner: -; Tablespace: 
--

ALTER TABLE ONLY resource_type
    ADD CONSTRAINT resource_type_pkey PRIMARY KEY (id);


--
-- Name: roomcat_pkey; Type: CONSTRAINT; Schema: company_ru; Owner: -; Tablespace: 
--

ALTER TABLE ONLY roomcat
    ADD CONSTRAINT roomcat_pkey PRIMARY KEY (id);


--
-- Name: service_pkey; Type: CONSTRAINT; Schema: company_ru; Owner: -; Tablespace: 
--

ALTER TABLE ONLY service
    ADD CONSTRAINT service_pkey PRIMARY KEY (id);


--
-- Name: spassport_order_item_pkey; Type: CONSTRAINT; Schema: company_ru; Owner: -; Tablespace: 
--

ALTER TABLE ONLY spassport_order_item
    ADD CONSTRAINT spassport_order_item_pkey PRIMARY KEY (order_item_id, spassport_id);


--
-- Name: spassport_pkey; Type: CONSTRAINT; Schema: company_ru; Owner: -; Tablespace: 
--

ALTER TABLE ONLY spassport
    ADD CONSTRAINT spassport_pkey PRIMARY KEY (id);


--
-- Name: structure_address_pkey; Type: CONSTRAINT; Schema: company_ru; Owner: -; Tablespace: 
--

ALTER TABLE ONLY structure_address
    ADD CONSTRAINT structure_address_pkey PRIMARY KEY (structure_id, address_id);


--
-- Name: structure_bank_detail_pkey; Type: CONSTRAINT; Schema: company_ru; Owner: -; Tablespace: 
--

ALTER TABLE ONLY structure_bank_detail
    ADD CONSTRAINT structure_bank_detail_pkey PRIMARY KEY (structure_id, bank_detail_id);


--
-- Name: structure_contact_pkey; Type: CONSTRAINT; Schema: company_ru; Owner: -; Tablespace: 
--

ALTER TABLE ONLY structure_contact
    ADD CONSTRAINT structure_contact_pkey PRIMARY KEY (structure_id, contact_id);


--
-- Name: structure_pkey; Type: CONSTRAINT; Schema: company_ru; Owner: -; Tablespace: 
--

ALTER TABLE ONLY structure
    ADD CONSTRAINT structure_pkey PRIMARY KEY (id);


--
-- Name: subaccount_pkey; Type: CONSTRAINT; Schema: company_ru; Owner: -; Tablespace: 
--

ALTER TABLE ONLY subaccount
    ADD CONSTRAINT subaccount_pkey PRIMARY KEY (id);


--
-- Name: supplier_bank_detail_pkey; Type: CONSTRAINT; Schema: company_ru; Owner: -; Tablespace: 
--

ALTER TABLE ONLY supplier_bank_detail
    ADD CONSTRAINT supplier_bank_detail_pkey PRIMARY KEY (supplier_id, bank_detail_id);


--
-- Name: supplier_bperson_pkey; Type: CONSTRAINT; Schema: company_ru; Owner: -; Tablespace: 
--

ALTER TABLE ONLY supplier_bperson
    ADD CONSTRAINT supplier_bperson_pkey PRIMARY KEY (supplier_id, bperson_id);


--
-- Name: supplier_contract_pkey; Type: CONSTRAINT; Schema: company_ru; Owner: -; Tablespace: 
--

ALTER TABLE ONLY supplier_contract
    ADD CONSTRAINT supplier_contract_pkey PRIMARY KEY (supplier_id, contract_id);


--
-- Name: supplier_pkey; Type: CONSTRAINT; Schema: company_ru; Owner: -; Tablespace: 
--

ALTER TABLE ONLY supplier
    ADD CONSTRAINT supplier_pkey PRIMARY KEY (id);


--
-- Name: supplier_subaccount_pkey; Type: CONSTRAINT; Schema: company_ru; Owner: -; Tablespace: 
--

ALTER TABLE ONLY supplier_subaccount
    ADD CONSTRAINT supplier_subaccount_pkey PRIMARY KEY (supplier_id, subaccount_id);


--
-- Name: supplier_type_pkey; Type: CONSTRAINT; Schema: company_ru; Owner: -; Tablespace: 
--

ALTER TABLE ONLY supplier_type
    ADD CONSTRAINT supplier_type_pkey PRIMARY KEY (id);


--
-- Name: task_pkey; Type: CONSTRAINT; Schema: company_ru; Owner: -; Tablespace: 
--

ALTER TABLE ONLY task
    ADD CONSTRAINT task_pkey PRIMARY KEY (id);


--
-- Name: task_resource_pkey; Type: CONSTRAINT; Schema: company_ru; Owner: -; Tablespace: 
--

ALTER TABLE ONLY task_resource
    ADD CONSTRAINT task_resource_pkey PRIMARY KEY (task_id, resource_id);


--
-- Name: task_upload_pkey; Type: CONSTRAINT; Schema: company_ru; Owner: -; Tablespace: 
--

ALTER TABLE ONLY task_upload
    ADD CONSTRAINT task_upload_pkey PRIMARY KEY (task_id, upload_id);


--
-- Name: ticket_class_pkey; Type: CONSTRAINT; Schema: company_ru; Owner: -; Tablespace: 
--

ALTER TABLE ONLY ticket_class
    ADD CONSTRAINT ticket_class_pkey PRIMARY KEY (id);


--
-- Name: ticket_order_item_pkey; Type: CONSTRAINT; Schema: company_ru; Owner: -; Tablespace: 
--

ALTER TABLE ONLY ticket_order_item
    ADD CONSTRAINT ticket_order_item_pkey PRIMARY KEY (order_item_id, ticket_id);


--
-- Name: ticket_pkey; Type: CONSTRAINT; Schema: company_ru; Owner: -; Tablespace: 
--

ALTER TABLE ONLY ticket
    ADD CONSTRAINT ticket_pkey PRIMARY KEY (id);


--
-- Name: tour_order_item_pkey; Type: CONSTRAINT; Schema: company_ru; Owner: -; Tablespace: 
--

ALTER TABLE ONLY tour_order_item
    ADD CONSTRAINT tour_order_item_pkey PRIMARY KEY (order_item_id, tour_id);


--
-- Name: tour_pkey; Type: CONSTRAINT; Schema: company_ru; Owner: -; Tablespace: 
--

ALTER TABLE ONLY tour
    ADD CONSTRAINT tour_pkey PRIMARY KEY (id);


--
-- Name: transfer_pkey; Type: CONSTRAINT; Schema: company_ru; Owner: -; Tablespace: 
--

ALTER TABLE ONLY transfer
    ADD CONSTRAINT transfer_pkey PRIMARY KEY (id);


--
-- Name: transport_pkey; Type: CONSTRAINT; Schema: company_ru; Owner: -; Tablespace: 
--

ALTER TABLE ONLY transport
    ADD CONSTRAINT transport_pkey PRIMARY KEY (id);


--
-- Name: unique_idx_accomodation_name; Type: CONSTRAINT; Schema: company_ru; Owner: -; Tablespace: 
--

ALTER TABLE ONLY accomodation
    ADD CONSTRAINT unique_idx_accomodation_name UNIQUE (name);


--
-- Name: unique_idx_country_iso_code; Type: CONSTRAINT; Schema: company_ru; Owner: -; Tablespace: 
--

ALTER TABLE ONLY country
    ADD CONSTRAINT unique_idx_country_iso_code UNIQUE (iso_code);


--
-- Name: unique_idx_currency_iso_code; Type: CONSTRAINT; Schema: company_ru; Owner: -; Tablespace: 
--

ALTER TABLE ONLY currency
    ADD CONSTRAINT unique_idx_currency_iso_code UNIQUE (iso_code);


--
-- Name: unique_idx_currency_rate_currency_id_date; Type: CONSTRAINT; Schema: company_ru; Owner: -; Tablespace: 
--

ALTER TABLE ONLY currency_rate
    ADD CONSTRAINT unique_idx_currency_rate_currency_id_date UNIQUE (currency_id, date, supplier_id);


--
-- Name: unique_idx_name_account; Type: CONSTRAINT; Schema: company_ru; Owner: -; Tablespace: 
--

ALTER TABLE ONLY account
    ADD CONSTRAINT unique_idx_name_account UNIQUE (name);


--
-- Name: unique_idx_name_account_id_subaccount; Type: CONSTRAINT; Schema: company_ru; Owner: -; Tablespace: 
--

ALTER TABLE ONLY subaccount
    ADD CONSTRAINT unique_idx_name_account_id_subaccount UNIQUE (name, account_id);


--
-- Name: unique_idx_name_account_item; Type: CONSTRAINT; Schema: company_ru; Owner: -; Tablespace: 
--

ALTER TABLE ONLY account_item
    ADD CONSTRAINT unique_idx_name_account_item UNIQUE (name);


--
-- Name: unique_idx_name_advsource; Type: CONSTRAINT; Schema: company_ru; Owner: -; Tablespace: 
--

ALTER TABLE ONLY advsource
    ADD CONSTRAINT unique_idx_name_advsource UNIQUE (name);


--
-- Name: unique_idx_name_bank; Type: CONSTRAINT; Schema: company_ru; Owner: -; Tablespace: 
--

ALTER TABLE ONLY bank
    ADD CONSTRAINT unique_idx_name_bank UNIQUE (name);


--
-- Name: unique_idx_name_company; Type: CONSTRAINT; Schema: company_ru; Owner: -; Tablespace: 
--

ALTER TABLE ONLY company
    ADD CONSTRAINT unique_idx_name_company UNIQUE (name);


--
-- Name: unique_idx_name_country_id_region; Type: CONSTRAINT; Schema: company_ru; Owner: -; Tablespace: 
--

ALTER TABLE ONLY region
    ADD CONSTRAINT unique_idx_name_country_id_region UNIQUE (name, country_id);


--
-- Name: unique_idx_name_foodcat; Type: CONSTRAINT; Schema: company_ru; Owner: -; Tablespace: 
--

ALTER TABLE ONLY foodcat
    ADD CONSTRAINT unique_idx_name_foodcat UNIQUE (name);


--
-- Name: unique_idx_name_hotelcat; Type: CONSTRAINT; Schema: company_ru; Owner: -; Tablespace: 
--

ALTER TABLE ONLY hotelcat
    ADD CONSTRAINT unique_idx_name_hotelcat UNIQUE (name);


--
-- Name: unique_idx_name_person_category; Type: CONSTRAINT; Schema: company_ru; Owner: -; Tablespace: 
--

ALTER TABLE ONLY person_category
    ADD CONSTRAINT unique_idx_name_person_category UNIQUE (name);


--
-- Name: unique_idx_name_region_id_location; Type: CONSTRAINT; Schema: company_ru; Owner: -; Tablespace: 
--

ALTER TABLE ONLY location
    ADD CONSTRAINT unique_idx_name_region_id_location UNIQUE (name, region_id);


--
-- Name: unique_idx_name_roomcat; Type: CONSTRAINT; Schema: company_ru; Owner: -; Tablespace: 
--

ALTER TABLE ONLY roomcat
    ADD CONSTRAINT unique_idx_name_roomcat UNIQUE (name);


--
-- Name: unique_idx_name_service; Type: CONSTRAINT; Schema: company_ru; Owner: -; Tablespace: 
--

ALTER TABLE ONLY service
    ADD CONSTRAINT unique_idx_name_service UNIQUE (name);


--
-- Name: unique_idx_name_strcuture_id_position; Type: CONSTRAINT; Schema: company_ru; Owner: -; Tablespace: 
--

ALTER TABLE ONLY "position"
    ADD CONSTRAINT unique_idx_name_strcuture_id_position UNIQUE (name, structure_id);


--
-- Name: unique_idx_name_supplier_type; Type: CONSTRAINT; Schema: company_ru; Owner: -; Tablespace: 
--

ALTER TABLE ONLY supplier_type
    ADD CONSTRAINT unique_idx_name_supplier_type UNIQUE (name);


--
-- Name: unique_idx_name_ticket_class; Type: CONSTRAINT; Schema: company_ru; Owner: -; Tablespace: 
--

ALTER TABLE ONLY ticket_class
    ADD CONSTRAINT unique_idx_name_ticket_class UNIQUE (name);


--
-- Name: unique_idx_name_transfer; Type: CONSTRAINT; Schema: company_ru; Owner: -; Tablespace: 
--

ALTER TABLE ONLY transfer
    ADD CONSTRAINT unique_idx_name_transfer UNIQUE (name);


--
-- Name: unique_idx_name_transport; Type: CONSTRAINT; Schema: company_ru; Owner: -; Tablespace: 
--

ALTER TABLE ONLY transport
    ADD CONSTRAINT unique_idx_name_transport UNIQUE (name);


--
-- Name: unique_idx_path_upload; Type: CONSTRAINT; Schema: company_ru; Owner: -; Tablespace: 
--

ALTER TABLE ONLY upload
    ADD CONSTRAINT unique_idx_path_upload UNIQUE (path);


--
-- Name: unique_idx_resource_type_id_position_id_permision; Type: CONSTRAINT; Schema: company_ru; Owner: -; Tablespace: 
--

ALTER TABLE ONLY permision
    ADD CONSTRAINT unique_idx_resource_type_id_position_id_permision UNIQUE (resource_type_id, position_id);


--
-- Name: unique_idx_resource_type_module; Type: CONSTRAINT; Schema: company_ru; Owner: -; Tablespace: 
--

ALTER TABLE ONLY resource_type
    ADD CONSTRAINT unique_idx_resource_type_module UNIQUE (module, resource_name);


--
-- Name: unique_idx_resource_type_name; Type: CONSTRAINT; Schema: company_ru; Owner: -; Tablespace: 
--

ALTER TABLE ONLY resource_type
    ADD CONSTRAINT unique_idx_resource_type_name UNIQUE (name);


--
-- Name: unique_idx_users_email; Type: CONSTRAINT; Schema: company_ru; Owner: -; Tablespace: 
--

ALTER TABLE ONLY "user"
    ADD CONSTRAINT unique_idx_users_email UNIQUE (email);


--
-- Name: unique_idx_users_username; Type: CONSTRAINT; Schema: company_ru; Owner: -; Tablespace: 
--

ALTER TABLE ONLY "user"
    ADD CONSTRAINT unique_idx_users_username UNIQUE (username);


--
-- Name: upload_pkey; Type: CONSTRAINT; Schema: company_ru; Owner: -; Tablespace: 
--

ALTER TABLE ONLY upload
    ADD CONSTRAINT upload_pkey PRIMARY KEY (id);


--
-- Name: user_pkey; Type: CONSTRAINT; Schema: company_ru; Owner: -; Tablespace: 
--

ALTER TABLE ONLY "user"
    ADD CONSTRAINT user_pkey PRIMARY KEY (id);


--
-- Name: vat_pkey; Type: CONSTRAINT; Schema: company_ru; Owner: -; Tablespace: 
--

ALTER TABLE ONLY vat
    ADD CONSTRAINT vat_pkey PRIMARY KEY (id);


--
-- Name: visa_order_item_pkey; Type: CONSTRAINT; Schema: company_ru; Owner: -; Tablespace: 
--

ALTER TABLE ONLY visa_order_item
    ADD CONSTRAINT visa_order_item_pkey PRIMARY KEY (order_item_id, visa_id);


--
-- Name: visa_pkey; Type: CONSTRAINT; Schema: company_ru; Owner: -; Tablespace: 
--

ALTER TABLE ONLY visa
    ADD CONSTRAINT visa_pkey PRIMARY KEY (id);


SET search_path = demo_ru, pg_catalog;

--
-- Name: accomodation_pkey; Type: CONSTRAINT; Schema: demo_ru; Owner: -; Tablespace: 
--

ALTER TABLE ONLY accomodation
    ADD CONSTRAINT accomodation_pkey PRIMARY KEY (id);


--
-- Name: account_item_pkey; Type: CONSTRAINT; Schema: demo_ru; Owner: -; Tablespace: 
--

ALTER TABLE ONLY account_item
    ADD CONSTRAINT account_item_pkey PRIMARY KEY (id);


--
-- Name: account_pkey; Type: CONSTRAINT; Schema: demo_ru; Owner: -; Tablespace: 
--

ALTER TABLE ONLY account
    ADD CONSTRAINT account_pkey PRIMARY KEY (id);


--
-- Name: address_pkey; Type: CONSTRAINT; Schema: demo_ru; Owner: -; Tablespace: 
--

ALTER TABLE ONLY address
    ADD CONSTRAINT address_pkey PRIMARY KEY (id);


--
-- Name: advsource_pkey; Type: CONSTRAINT; Schema: demo_ru; Owner: -; Tablespace: 
--

ALTER TABLE ONLY advsource
    ADD CONSTRAINT advsource_pkey PRIMARY KEY (id);


--
-- Name: appointment_pkey; Type: CONSTRAINT; Schema: demo_ru; Owner: -; Tablespace: 
--

ALTER TABLE ONLY appointment
    ADD CONSTRAINT appointment_pkey PRIMARY KEY (id);


--
-- Name: bank_address_pkey; Type: CONSTRAINT; Schema: demo_ru; Owner: -; Tablespace: 
--

ALTER TABLE ONLY bank_address
    ADD CONSTRAINT bank_address_pkey PRIMARY KEY (bank_id, address_id);


--
-- Name: bank_detail_pkey; Type: CONSTRAINT; Schema: demo_ru; Owner: -; Tablespace: 
--

ALTER TABLE ONLY bank_detail
    ADD CONSTRAINT bank_detail_pkey PRIMARY KEY (id);


--
-- Name: bank_pkey; Type: CONSTRAINT; Schema: demo_ru; Owner: -; Tablespace: 
--

ALTER TABLE ONLY bank
    ADD CONSTRAINT bank_pkey PRIMARY KEY (id);


--
-- Name: bperson_contact_pkey; Type: CONSTRAINT; Schema: demo_ru; Owner: -; Tablespace: 
--

ALTER TABLE ONLY bperson_contact
    ADD CONSTRAINT bperson_contact_pkey PRIMARY KEY (bperson_id, contact_id);


--
-- Name: bperson_pkey; Type: CONSTRAINT; Schema: demo_ru; Owner: -; Tablespace: 
--

ALTER TABLE ONLY bperson
    ADD CONSTRAINT bperson_pkey PRIMARY KEY (id);


--
-- Name: calculation_pkey; Type: CONSTRAINT; Schema: demo_ru; Owner: -; Tablespace: 
--

ALTER TABLE ONLY calculation
    ADD CONSTRAINT calculation_pkey PRIMARY KEY (id);


--
-- Name: campaign_pkey; Type: CONSTRAINT; Schema: demo_ru; Owner: -; Tablespace: 
--

ALTER TABLE ONLY campaign
    ADD CONSTRAINT campaign_pkey PRIMARY KEY (id);


--
-- Name: cashflow_pkey; Type: CONSTRAINT; Schema: demo_ru; Owner: -; Tablespace: 
--

ALTER TABLE ONLY cashflow
    ADD CONSTRAINT cashflow_pkey PRIMARY KEY (id);


--
-- Name: commission_pkey; Type: CONSTRAINT; Schema: demo_ru; Owner: -; Tablespace: 
--

ALTER TABLE ONLY commission
    ADD CONSTRAINT commission_pkey PRIMARY KEY (id);


--
-- Name: company_pkey; Type: CONSTRAINT; Schema: demo_ru; Owner: -; Tablespace: 
--

ALTER TABLE ONLY company
    ADD CONSTRAINT company_pkey PRIMARY KEY (id);


--
-- Name: company_subaccount_pkey; Type: CONSTRAINT; Schema: demo_ru; Owner: -; Tablespace: 
--

ALTER TABLE ONLY company_subaccount
    ADD CONSTRAINT company_subaccount_pkey PRIMARY KEY (company_id, subaccount_id);


--
-- Name: contact_pkey; Type: CONSTRAINT; Schema: demo_ru; Owner: -; Tablespace: 
--

ALTER TABLE ONLY contact
    ADD CONSTRAINT contact_pkey PRIMARY KEY (id);


--
-- Name: contract_commission_pkey; Type: CONSTRAINT; Schema: demo_ru; Owner: -; Tablespace: 
--

ALTER TABLE ONLY contract_commission
    ADD CONSTRAINT contract_commission_pkey PRIMARY KEY (contract_id, commission_id);


--
-- Name: contract_pkey; Type: CONSTRAINT; Schema: demo_ru; Owner: -; Tablespace: 
--

ALTER TABLE ONLY contract
    ADD CONSTRAINT contract_pkey PRIMARY KEY (id);


--
-- Name: country_pkey; Type: CONSTRAINT; Schema: demo_ru; Owner: -; Tablespace: 
--

ALTER TABLE ONLY country
    ADD CONSTRAINT country_pkey PRIMARY KEY (id);


--
-- Name: crosspayment_pkey; Type: CONSTRAINT; Schema: demo_ru; Owner: -; Tablespace: 
--

ALTER TABLE ONLY crosspayment
    ADD CONSTRAINT crosspayment_pkey PRIMARY KEY (id);


--
-- Name: currency_pkey; Type: CONSTRAINT; Schema: demo_ru; Owner: -; Tablespace: 
--

ALTER TABLE ONLY currency
    ADD CONSTRAINT currency_pkey PRIMARY KEY (id);


--
-- Name: currency_rate_pkey; Type: CONSTRAINT; Schema: demo_ru; Owner: -; Tablespace: 
--

ALTER TABLE ONLY currency_rate
    ADD CONSTRAINT currency_rate_pkey PRIMARY KEY (id);


--
-- Name: dismissal_pkey; Type: CONSTRAINT; Schema: demo_ru; Owner: -; Tablespace: 
--

ALTER TABLE ONLY dismissal
    ADD CONSTRAINT dismissal_pkey PRIMARY KEY (id);


--
-- Name: employee_address_pkey; Type: CONSTRAINT; Schema: demo_ru; Owner: -; Tablespace: 
--

ALTER TABLE ONLY employee_address
    ADD CONSTRAINT employee_address_pkey PRIMARY KEY (employee_id, address_id);


--
-- Name: employee_contact_pkey; Type: CONSTRAINT; Schema: demo_ru; Owner: -; Tablespace: 
--

ALTER TABLE ONLY employee_contact
    ADD CONSTRAINT employee_contact_pkey PRIMARY KEY (employee_id, contact_id);


--
-- Name: employee_notification_pkey; Type: CONSTRAINT; Schema: demo_ru; Owner: -; Tablespace: 
--

ALTER TABLE ONLY employee_notification
    ADD CONSTRAINT employee_notification_pkey PRIMARY KEY (employee_id, notification_id);


--
-- Name: employee_passport_pkey; Type: CONSTRAINT; Schema: demo_ru; Owner: -; Tablespace: 
--

ALTER TABLE ONLY employee_passport
    ADD CONSTRAINT employee_passport_pkey PRIMARY KEY (employee_id, passport_id);


--
-- Name: employee_pkey; Type: CONSTRAINT; Schema: demo_ru; Owner: -; Tablespace: 
--

ALTER TABLE ONLY employee
    ADD CONSTRAINT employee_pkey PRIMARY KEY (id);


--
-- Name: employee_subaccount_pkey; Type: CONSTRAINT; Schema: demo_ru; Owner: -; Tablespace: 
--

ALTER TABLE ONLY employee_subaccount
    ADD CONSTRAINT employee_subaccount_pkey PRIMARY KEY (employee_id, subaccount_id);


--
-- Name: employee_upload_pkey; Type: CONSTRAINT; Schema: demo_ru; Owner: -; Tablespace: 
--

ALTER TABLE ONLY employee_upload
    ADD CONSTRAINT employee_upload_pkey PRIMARY KEY (employee_id, upload_id);


--
-- Name: foodcat_pkey; Type: CONSTRAINT; Schema: demo_ru; Owner: -; Tablespace: 
--

ALTER TABLE ONLY foodcat
    ADD CONSTRAINT foodcat_pkey PRIMARY KEY (id);


--
-- Name: hotel_pkey; Type: CONSTRAINT; Schema: demo_ru; Owner: -; Tablespace: 
--

ALTER TABLE ONLY hotel
    ADD CONSTRAINT hotel_pkey PRIMARY KEY (id);


--
-- Name: hotelcat_pkey; Type: CONSTRAINT; Schema: demo_ru; Owner: -; Tablespace: 
--

ALTER TABLE ONLY hotelcat
    ADD CONSTRAINT hotelcat_pkey PRIMARY KEY (id);


--
-- Name: income_cashflow_pkey; Type: CONSTRAINT; Schema: demo_ru; Owner: -; Tablespace: 
--

ALTER TABLE ONLY income_cashflow
    ADD CONSTRAINT income_cashflow_pkey PRIMARY KEY (income_id, cashflow_id);


--
-- Name: income_pkey; Type: CONSTRAINT; Schema: demo_ru; Owner: -; Tablespace: 
--

ALTER TABLE ONLY income
    ADD CONSTRAINT income_pkey PRIMARY KEY (id);


--
-- Name: invoice_item_pkey; Type: CONSTRAINT; Schema: demo_ru; Owner: -; Tablespace: 
--

ALTER TABLE ONLY invoice_item
    ADD CONSTRAINT invoice_item_pkey PRIMARY KEY (id);


--
-- Name: invoice_pkey; Type: CONSTRAINT; Schema: demo_ru; Owner: -; Tablespace: 
--

ALTER TABLE ONLY invoice
    ADD CONSTRAINT invoice_pkey PRIMARY KEY (id);


--
-- Name: lead_item_pkey; Type: CONSTRAINT; Schema: demo_ru; Owner: -; Tablespace: 
--

ALTER TABLE ONLY lead_item
    ADD CONSTRAINT lead_item_pkey PRIMARY KEY (id);


--
-- Name: lead_offer_pkey; Type: CONSTRAINT; Schema: demo_ru; Owner: -; Tablespace: 
--

ALTER TABLE ONLY lead_offer
    ADD CONSTRAINT lead_offer_pkey PRIMARY KEY (id);


--
-- Name: lead_pkey; Type: CONSTRAINT; Schema: demo_ru; Owner: -; Tablespace: 
--

ALTER TABLE ONLY lead
    ADD CONSTRAINT lead_pkey PRIMARY KEY (id);


--
-- Name: location_pkey; Type: CONSTRAINT; Schema: demo_ru; Owner: -; Tablespace: 
--

ALTER TABLE ONLY location
    ADD CONSTRAINT location_pkey PRIMARY KEY (id);


--
-- Name: navigation_pkey; Type: CONSTRAINT; Schema: demo_ru; Owner: -; Tablespace: 
--

ALTER TABLE ONLY navigation
    ADD CONSTRAINT navigation_pkey PRIMARY KEY (id);


--
-- Name: note_pkey; Type: CONSTRAINT; Schema: demo_ru; Owner: -; Tablespace: 
--

ALTER TABLE ONLY note
    ADD CONSTRAINT note_pkey PRIMARY KEY (id);


--
-- Name: note_resource_pkey; Type: CONSTRAINT; Schema: demo_ru; Owner: -; Tablespace: 
--

ALTER TABLE ONLY note_resource
    ADD CONSTRAINT note_resource_pkey PRIMARY KEY (note_id, resource_id);


--
-- Name: note_upload_pkey; Type: CONSTRAINT; Schema: demo_ru; Owner: -; Tablespace: 
--

ALTER TABLE ONLY note_upload
    ADD CONSTRAINT note_upload_pkey PRIMARY KEY (note_id, upload_id);


--
-- Name: notification_pkey; Type: CONSTRAINT; Schema: demo_ru; Owner: -; Tablespace: 
--

ALTER TABLE ONLY notification
    ADD CONSTRAINT notification_pkey PRIMARY KEY (id);


--
-- Name: notification_resource_pkey; Type: CONSTRAINT; Schema: demo_ru; Owner: -; Tablespace: 
--

ALTER TABLE ONLY notification_resource
    ADD CONSTRAINT notification_resource_pkey PRIMARY KEY (notification_id, resource_id);


--
-- Name: order_item_pkey; Type: CONSTRAINT; Schema: demo_ru; Owner: -; Tablespace: 
--

ALTER TABLE ONLY order_item
    ADD CONSTRAINT order_item_pkey PRIMARY KEY (id);


--
-- Name: order_pkey; Type: CONSTRAINT; Schema: demo_ru; Owner: -; Tablespace: 
--

ALTER TABLE ONLY "order"
    ADD CONSTRAINT order_pkey PRIMARY KEY (id);


--
-- Name: outgoing_cashflow_pkey; Type: CONSTRAINT; Schema: demo_ru; Owner: -; Tablespace: 
--

ALTER TABLE ONLY outgoing_cashflow
    ADD CONSTRAINT outgoing_cashflow_pkey PRIMARY KEY (outgoing_id, cashflow_id);


--
-- Name: outgoing_pkey; Type: CONSTRAINT; Schema: demo_ru; Owner: -; Tablespace: 
--

ALTER TABLE ONLY outgoing
    ADD CONSTRAINT outgoing_pkey PRIMARY KEY (id);


--
-- Name: passport_pkey; Type: CONSTRAINT; Schema: demo_ru; Owner: -; Tablespace: 
--

ALTER TABLE ONLY passport
    ADD CONSTRAINT passport_pkey PRIMARY KEY (id);


--
-- Name: passport_upload_pkey; Type: CONSTRAINT; Schema: demo_ru; Owner: -; Tablespace: 
--

ALTER TABLE ONLY passport_upload
    ADD CONSTRAINT passport_upload_pkey PRIMARY KEY (passport_id, upload_id);


--
-- Name: permision_pkey; Type: CONSTRAINT; Schema: demo_ru; Owner: -; Tablespace: 
--

ALTER TABLE ONLY permision
    ADD CONSTRAINT permision_pkey PRIMARY KEY (id);


--
-- Name: person_address_pkey; Type: CONSTRAINT; Schema: demo_ru; Owner: -; Tablespace: 
--

ALTER TABLE ONLY person_address
    ADD CONSTRAINT person_address_pkey PRIMARY KEY (person_id, address_id);


--
-- Name: person_category_pkey; Type: CONSTRAINT; Schema: demo_ru; Owner: -; Tablespace: 
--

ALTER TABLE ONLY person_category
    ADD CONSTRAINT person_category_pkey PRIMARY KEY (id);


--
-- Name: person_contact_pkey; Type: CONSTRAINT; Schema: demo_ru; Owner: -; Tablespace: 
--

ALTER TABLE ONLY person_contact
    ADD CONSTRAINT person_contact_pkey PRIMARY KEY (person_id, contact_id);


--
-- Name: person_order_item_pkey; Type: CONSTRAINT; Schema: demo_ru; Owner: -; Tablespace: 
--

ALTER TABLE ONLY person_order_item
    ADD CONSTRAINT person_order_item_pkey PRIMARY KEY (order_item_id, person_id);


--
-- Name: person_passport_pkey; Type: CONSTRAINT; Schema: demo_ru; Owner: -; Tablespace: 
--

ALTER TABLE ONLY person_passport
    ADD CONSTRAINT person_passport_pkey PRIMARY KEY (person_id, passport_id);


--
-- Name: person_pkey; Type: CONSTRAINT; Schema: demo_ru; Owner: -; Tablespace: 
--

ALTER TABLE ONLY person
    ADD CONSTRAINT person_pkey PRIMARY KEY (id);


--
-- Name: person_subaccount_pkey; Type: CONSTRAINT; Schema: demo_ru; Owner: -; Tablespace: 
--

ALTER TABLE ONLY person_subaccount
    ADD CONSTRAINT person_subaccount_pkey PRIMARY KEY (person_id, subaccount_id);


--
-- Name: position_pkey; Type: CONSTRAINT; Schema: demo_ru; Owner: -; Tablespace: 
--

ALTER TABLE ONLY "position"
    ADD CONSTRAINT position_pkey PRIMARY KEY (id);


--
-- Name: region_pkey; Type: CONSTRAINT; Schema: demo_ru; Owner: -; Tablespace: 
--

ALTER TABLE ONLY region
    ADD CONSTRAINT region_pkey PRIMARY KEY (id);


--
-- Name: resource_log_pkey; Type: CONSTRAINT; Schema: demo_ru; Owner: -; Tablespace: 
--

ALTER TABLE ONLY resource_log
    ADD CONSTRAINT resource_log_pkey PRIMARY KEY (id);


--
-- Name: resource_pkey; Type: CONSTRAINT; Schema: demo_ru; Owner: -; Tablespace: 
--

ALTER TABLE ONLY resource
    ADD CONSTRAINT resource_pkey PRIMARY KEY (id);


--
-- Name: resource_type_pkey; Type: CONSTRAINT; Schema: demo_ru; Owner: -; Tablespace: 
--

ALTER TABLE ONLY resource_type
    ADD CONSTRAINT resource_type_pkey PRIMARY KEY (id);


--
-- Name: roomcat_pkey; Type: CONSTRAINT; Schema: demo_ru; Owner: -; Tablespace: 
--

ALTER TABLE ONLY roomcat
    ADD CONSTRAINT roomcat_pkey PRIMARY KEY (id);


--
-- Name: service_pkey; Type: CONSTRAINT; Schema: demo_ru; Owner: -; Tablespace: 
--

ALTER TABLE ONLY service
    ADD CONSTRAINT service_pkey PRIMARY KEY (id);


--
-- Name: spassport_order_item_pkey; Type: CONSTRAINT; Schema: demo_ru; Owner: -; Tablespace: 
--

ALTER TABLE ONLY spassport_order_item
    ADD CONSTRAINT spassport_order_item_pkey PRIMARY KEY (order_item_id, spassport_id);


--
-- Name: spassport_pkey; Type: CONSTRAINT; Schema: demo_ru; Owner: -; Tablespace: 
--

ALTER TABLE ONLY spassport
    ADD CONSTRAINT spassport_pkey PRIMARY KEY (id);


--
-- Name: structure_address_pkey; Type: CONSTRAINT; Schema: demo_ru; Owner: -; Tablespace: 
--

ALTER TABLE ONLY structure_address
    ADD CONSTRAINT structure_address_pkey PRIMARY KEY (structure_id, address_id);


--
-- Name: structure_bank_detail_pkey; Type: CONSTRAINT; Schema: demo_ru; Owner: -; Tablespace: 
--

ALTER TABLE ONLY structure_bank_detail
    ADD CONSTRAINT structure_bank_detail_pkey PRIMARY KEY (structure_id, bank_detail_id);


--
-- Name: structure_contact_pkey; Type: CONSTRAINT; Schema: demo_ru; Owner: -; Tablespace: 
--

ALTER TABLE ONLY structure_contact
    ADD CONSTRAINT structure_contact_pkey PRIMARY KEY (structure_id, contact_id);


--
-- Name: structure_pkey; Type: CONSTRAINT; Schema: demo_ru; Owner: -; Tablespace: 
--

ALTER TABLE ONLY structure
    ADD CONSTRAINT structure_pkey PRIMARY KEY (id);


--
-- Name: subaccount_pkey; Type: CONSTRAINT; Schema: demo_ru; Owner: -; Tablespace: 
--

ALTER TABLE ONLY subaccount
    ADD CONSTRAINT subaccount_pkey PRIMARY KEY (id);


--
-- Name: supplier_bank_detail_pkey; Type: CONSTRAINT; Schema: demo_ru; Owner: -; Tablespace: 
--

ALTER TABLE ONLY supplier_bank_detail
    ADD CONSTRAINT supplier_bank_detail_pkey PRIMARY KEY (supplier_id, bank_detail_id);


--
-- Name: supplier_bperson_pkey; Type: CONSTRAINT; Schema: demo_ru; Owner: -; Tablespace: 
--

ALTER TABLE ONLY supplier_bperson
    ADD CONSTRAINT supplier_bperson_pkey PRIMARY KEY (supplier_id, bperson_id);


--
-- Name: supplier_contract_pkey; Type: CONSTRAINT; Schema: demo_ru; Owner: -; Tablespace: 
--

ALTER TABLE ONLY supplier_contract
    ADD CONSTRAINT supplier_contract_pkey PRIMARY KEY (supplier_id, contract_id);


--
-- Name: supplier_pkey; Type: CONSTRAINT; Schema: demo_ru; Owner: -; Tablespace: 
--

ALTER TABLE ONLY supplier
    ADD CONSTRAINT supplier_pkey PRIMARY KEY (id);


--
-- Name: supplier_subaccount_pkey; Type: CONSTRAINT; Schema: demo_ru; Owner: -; Tablespace: 
--

ALTER TABLE ONLY supplier_subaccount
    ADD CONSTRAINT supplier_subaccount_pkey PRIMARY KEY (supplier_id, subaccount_id);


--
-- Name: supplier_type_pkey; Type: CONSTRAINT; Schema: demo_ru; Owner: -; Tablespace: 
--

ALTER TABLE ONLY supplier_type
    ADD CONSTRAINT supplier_type_pkey PRIMARY KEY (id);


--
-- Name: task_pkey; Type: CONSTRAINT; Schema: demo_ru; Owner: -; Tablespace: 
--

ALTER TABLE ONLY task
    ADD CONSTRAINT task_pkey PRIMARY KEY (id);


--
-- Name: task_resource_pkey; Type: CONSTRAINT; Schema: demo_ru; Owner: -; Tablespace: 
--

ALTER TABLE ONLY task_resource
    ADD CONSTRAINT task_resource_pkey PRIMARY KEY (task_id, resource_id);


--
-- Name: task_upload_pkey; Type: CONSTRAINT; Schema: demo_ru; Owner: -; Tablespace: 
--

ALTER TABLE ONLY task_upload
    ADD CONSTRAINT task_upload_pkey PRIMARY KEY (task_id, upload_id);


--
-- Name: ticket_class_pkey; Type: CONSTRAINT; Schema: demo_ru; Owner: -; Tablespace: 
--

ALTER TABLE ONLY ticket_class
    ADD CONSTRAINT ticket_class_pkey PRIMARY KEY (id);


--
-- Name: ticket_order_item_pkey; Type: CONSTRAINT; Schema: demo_ru; Owner: -; Tablespace: 
--

ALTER TABLE ONLY ticket_order_item
    ADD CONSTRAINT ticket_order_item_pkey PRIMARY KEY (order_item_id, ticket_id);


--
-- Name: ticket_pkey; Type: CONSTRAINT; Schema: demo_ru; Owner: -; Tablespace: 
--

ALTER TABLE ONLY ticket
    ADD CONSTRAINT ticket_pkey PRIMARY KEY (id);


--
-- Name: tour_order_item_pkey; Type: CONSTRAINT; Schema: demo_ru; Owner: -; Tablespace: 
--

ALTER TABLE ONLY tour_order_item
    ADD CONSTRAINT tour_order_item_pkey PRIMARY KEY (order_item_id, tour_id);


--
-- Name: tour_pkey; Type: CONSTRAINT; Schema: demo_ru; Owner: -; Tablespace: 
--

ALTER TABLE ONLY tour
    ADD CONSTRAINT tour_pkey PRIMARY KEY (id);


--
-- Name: transfer_pkey; Type: CONSTRAINT; Schema: demo_ru; Owner: -; Tablespace: 
--

ALTER TABLE ONLY transfer
    ADD CONSTRAINT transfer_pkey PRIMARY KEY (id);


--
-- Name: transport_pkey; Type: CONSTRAINT; Schema: demo_ru; Owner: -; Tablespace: 
--

ALTER TABLE ONLY transport
    ADD CONSTRAINT transport_pkey PRIMARY KEY (id);


--
-- Name: unique_idx_accomodation_name; Type: CONSTRAINT; Schema: demo_ru; Owner: -; Tablespace: 
--

ALTER TABLE ONLY accomodation
    ADD CONSTRAINT unique_idx_accomodation_name UNIQUE (name);


--
-- Name: unique_idx_country_iso_code; Type: CONSTRAINT; Schema: demo_ru; Owner: -; Tablespace: 
--

ALTER TABLE ONLY country
    ADD CONSTRAINT unique_idx_country_iso_code UNIQUE (iso_code);


--
-- Name: unique_idx_currency_iso_code; Type: CONSTRAINT; Schema: demo_ru; Owner: -; Tablespace: 
--

ALTER TABLE ONLY currency
    ADD CONSTRAINT unique_idx_currency_iso_code UNIQUE (iso_code);


--
-- Name: unique_idx_currency_rate_currency_id_date; Type: CONSTRAINT; Schema: demo_ru; Owner: -; Tablespace: 
--

ALTER TABLE ONLY currency_rate
    ADD CONSTRAINT unique_idx_currency_rate_currency_id_date UNIQUE (currency_id, date, supplier_id);


--
-- Name: unique_idx_name_account; Type: CONSTRAINT; Schema: demo_ru; Owner: -; Tablespace: 
--

ALTER TABLE ONLY account
    ADD CONSTRAINT unique_idx_name_account UNIQUE (name);


--
-- Name: unique_idx_name_account_id_subaccount; Type: CONSTRAINT; Schema: demo_ru; Owner: -; Tablespace: 
--

ALTER TABLE ONLY subaccount
    ADD CONSTRAINT unique_idx_name_account_id_subaccount UNIQUE (name, account_id);


--
-- Name: unique_idx_name_account_item; Type: CONSTRAINT; Schema: demo_ru; Owner: -; Tablespace: 
--

ALTER TABLE ONLY account_item
    ADD CONSTRAINT unique_idx_name_account_item UNIQUE (name);


--
-- Name: unique_idx_name_advsource; Type: CONSTRAINT; Schema: demo_ru; Owner: -; Tablespace: 
--

ALTER TABLE ONLY advsource
    ADD CONSTRAINT unique_idx_name_advsource UNIQUE (name);


--
-- Name: unique_idx_name_bank; Type: CONSTRAINT; Schema: demo_ru; Owner: -; Tablespace: 
--

ALTER TABLE ONLY bank
    ADD CONSTRAINT unique_idx_name_bank UNIQUE (name);


--
-- Name: unique_idx_name_company; Type: CONSTRAINT; Schema: demo_ru; Owner: -; Tablespace: 
--

ALTER TABLE ONLY company
    ADD CONSTRAINT unique_idx_name_company UNIQUE (name);


--
-- Name: unique_idx_name_country_id_region; Type: CONSTRAINT; Schema: demo_ru; Owner: -; Tablespace: 
--

ALTER TABLE ONLY region
    ADD CONSTRAINT unique_idx_name_country_id_region UNIQUE (name, country_id);


--
-- Name: unique_idx_name_foodcat; Type: CONSTRAINT; Schema: demo_ru; Owner: -; Tablespace: 
--

ALTER TABLE ONLY foodcat
    ADD CONSTRAINT unique_idx_name_foodcat UNIQUE (name);


--
-- Name: unique_idx_name_hotelcat; Type: CONSTRAINT; Schema: demo_ru; Owner: -; Tablespace: 
--

ALTER TABLE ONLY hotelcat
    ADD CONSTRAINT unique_idx_name_hotelcat UNIQUE (name);


--
-- Name: unique_idx_name_person_category; Type: CONSTRAINT; Schema: demo_ru; Owner: -; Tablespace: 
--

ALTER TABLE ONLY person_category
    ADD CONSTRAINT unique_idx_name_person_category UNIQUE (name);


--
-- Name: unique_idx_name_region_id_location; Type: CONSTRAINT; Schema: demo_ru; Owner: -; Tablespace: 
--

ALTER TABLE ONLY location
    ADD CONSTRAINT unique_idx_name_region_id_location UNIQUE (name, region_id);


--
-- Name: unique_idx_name_roomcat; Type: CONSTRAINT; Schema: demo_ru; Owner: -; Tablespace: 
--

ALTER TABLE ONLY roomcat
    ADD CONSTRAINT unique_idx_name_roomcat UNIQUE (name);


--
-- Name: unique_idx_name_service; Type: CONSTRAINT; Schema: demo_ru; Owner: -; Tablespace: 
--

ALTER TABLE ONLY service
    ADD CONSTRAINT unique_idx_name_service UNIQUE (name);


--
-- Name: unique_idx_name_strcuture_id_position; Type: CONSTRAINT; Schema: demo_ru; Owner: -; Tablespace: 
--

ALTER TABLE ONLY "position"
    ADD CONSTRAINT unique_idx_name_strcuture_id_position UNIQUE (name, structure_id);


--
-- Name: unique_idx_name_supplier_type; Type: CONSTRAINT; Schema: demo_ru; Owner: -; Tablespace: 
--

ALTER TABLE ONLY supplier_type
    ADD CONSTRAINT unique_idx_name_supplier_type UNIQUE (name);


--
-- Name: unique_idx_name_ticket_class; Type: CONSTRAINT; Schema: demo_ru; Owner: -; Tablespace: 
--

ALTER TABLE ONLY ticket_class
    ADD CONSTRAINT unique_idx_name_ticket_class UNIQUE (name);


--
-- Name: unique_idx_name_transfer; Type: CONSTRAINT; Schema: demo_ru; Owner: -; Tablespace: 
--

ALTER TABLE ONLY transfer
    ADD CONSTRAINT unique_idx_name_transfer UNIQUE (name);


--
-- Name: unique_idx_name_transport; Type: CONSTRAINT; Schema: demo_ru; Owner: -; Tablespace: 
--

ALTER TABLE ONLY transport
    ADD CONSTRAINT unique_idx_name_transport UNIQUE (name);


--
-- Name: unique_idx_path_upload; Type: CONSTRAINT; Schema: demo_ru; Owner: -; Tablespace: 
--

ALTER TABLE ONLY upload
    ADD CONSTRAINT unique_idx_path_upload UNIQUE (path);


--
-- Name: unique_idx_resource_type_id_position_id_permision; Type: CONSTRAINT; Schema: demo_ru; Owner: -; Tablespace: 
--

ALTER TABLE ONLY permision
    ADD CONSTRAINT unique_idx_resource_type_id_position_id_permision UNIQUE (resource_type_id, position_id);


--
-- Name: unique_idx_resource_type_module; Type: CONSTRAINT; Schema: demo_ru; Owner: -; Tablespace: 
--

ALTER TABLE ONLY resource_type
    ADD CONSTRAINT unique_idx_resource_type_module UNIQUE (module, resource_name);


--
-- Name: unique_idx_resource_type_name; Type: CONSTRAINT; Schema: demo_ru; Owner: -; Tablespace: 
--

ALTER TABLE ONLY resource_type
    ADD CONSTRAINT unique_idx_resource_type_name UNIQUE (name);


--
-- Name: unique_idx_users_email; Type: CONSTRAINT; Schema: demo_ru; Owner: -; Tablespace: 
--

ALTER TABLE ONLY "user"
    ADD CONSTRAINT unique_idx_users_email UNIQUE (email);


--
-- Name: unique_idx_users_username; Type: CONSTRAINT; Schema: demo_ru; Owner: -; Tablespace: 
--

ALTER TABLE ONLY "user"
    ADD CONSTRAINT unique_idx_users_username UNIQUE (username);


--
-- Name: upload_pkey; Type: CONSTRAINT; Schema: demo_ru; Owner: -; Tablespace: 
--

ALTER TABLE ONLY upload
    ADD CONSTRAINT upload_pkey PRIMARY KEY (id);


--
-- Name: user_pkey; Type: CONSTRAINT; Schema: demo_ru; Owner: -; Tablespace: 
--

ALTER TABLE ONLY "user"
    ADD CONSTRAINT user_pkey PRIMARY KEY (id);


--
-- Name: vat_pkey; Type: CONSTRAINT; Schema: demo_ru; Owner: -; Tablespace: 
--

ALTER TABLE ONLY vat
    ADD CONSTRAINT vat_pkey PRIMARY KEY (id);


--
-- Name: visa_order_item_pkey; Type: CONSTRAINT; Schema: demo_ru; Owner: -; Tablespace: 
--

ALTER TABLE ONLY visa_order_item
    ADD CONSTRAINT visa_order_item_pkey PRIMARY KEY (order_item_id, visa_id);


--
-- Name: visa_pkey; Type: CONSTRAINT; Schema: demo_ru; Owner: -; Tablespace: 
--

ALTER TABLE ONLY visa
    ADD CONSTRAINT visa_pkey PRIMARY KEY (id);


SET search_path = public, pg_catalog;

--
-- Name: accomodation_pkey; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY accomodation
    ADD CONSTRAINT accomodation_pkey PRIMARY KEY (id);


--
-- Name: account_item_pkey; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY account_item
    ADD CONSTRAINT account_item_pkey PRIMARY KEY (id);


--
-- Name: account_pkey; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY account
    ADD CONSTRAINT account_pkey PRIMARY KEY (id);


--
-- Name: address_pkey; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY address
    ADD CONSTRAINT address_pkey PRIMARY KEY (id);


--
-- Name: advsource_pkey; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY advsource
    ADD CONSTRAINT advsource_pkey PRIMARY KEY (id);


--
-- Name: appointment_header_pk; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY appointment
    ADD CONSTRAINT appointment_header_pk PRIMARY KEY (id);


--
-- Name: bank_address_pkey; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY bank_address
    ADD CONSTRAINT bank_address_pkey PRIMARY KEY (bank_id, address_id);


--
-- Name: bank_detail_pkey; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY bank_detail
    ADD CONSTRAINT bank_detail_pkey PRIMARY KEY (id);


--
-- Name: bank_pkey; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY bank
    ADD CONSTRAINT bank_pkey PRIMARY KEY (id);


--
-- Name: bperson_contact_pkey; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY bperson_contact
    ADD CONSTRAINT bperson_contact_pkey PRIMARY KEY (bperson_id, contact_id);


--
-- Name: bperson_pkey; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY bperson
    ADD CONSTRAINT bperson_pkey PRIMARY KEY (id);


--
-- Name: calculation_pkey; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY calculation
    ADD CONSTRAINT calculation_pkey PRIMARY KEY (id);


--
-- Name: campaign_pkey; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY campaign
    ADD CONSTRAINT campaign_pkey PRIMARY KEY (id);


--
-- Name: commission_pkey; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY commission
    ADD CONSTRAINT commission_pkey PRIMARY KEY (id);


--
-- Name: company_pkey; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY company
    ADD CONSTRAINT company_pkey PRIMARY KEY (id);


--
-- Name: company_subaccount_pkey; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY company_subaccount
    ADD CONSTRAINT company_subaccount_pkey PRIMARY KEY (company_id, subaccount_id);


--
-- Name: contact_pkey; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY contact
    ADD CONSTRAINT contact_pkey PRIMARY KEY (id);


--
-- Name: contract_commission_pkey; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY contract_commission
    ADD CONSTRAINT contract_commission_pkey PRIMARY KEY (contract_id, commission_id);


--
-- Name: country_pkey; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY country
    ADD CONSTRAINT country_pkey PRIMARY KEY (id);


--
-- Name: crosspayment_pkey; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY crosspayment
    ADD CONSTRAINT crosspayment_pkey PRIMARY KEY (id);


--
-- Name: currency_pk; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY currency
    ADD CONSTRAINT currency_pk PRIMARY KEY (id);


--
-- Name: currency_rate_pkey; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY currency_rate
    ADD CONSTRAINT currency_rate_pkey PRIMARY KEY (id);


--
-- Name: dismissal_pkey; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY dismissal
    ADD CONSTRAINT dismissal_pkey PRIMARY KEY (id);


--
-- Name: employee_address_pkey; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY employee_address
    ADD CONSTRAINT employee_address_pkey PRIMARY KEY (employee_id, address_id);


--
-- Name: employee_contact_pkey; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY employee_contact
    ADD CONSTRAINT employee_contact_pkey PRIMARY KEY (employee_id, contact_id);


--
-- Name: employee_notification_pkey; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY employee_notification
    ADD CONSTRAINT employee_notification_pkey PRIMARY KEY (employee_id, notification_id);


--
-- Name: employee_passport_pkey; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY employee_passport
    ADD CONSTRAINT employee_passport_pkey PRIMARY KEY (employee_id, passport_id);


--
-- Name: employee_pk; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY employee
    ADD CONSTRAINT employee_pk PRIMARY KEY (id);


--
-- Name: employee_subaccount_pkey; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY employee_subaccount
    ADD CONSTRAINT employee_subaccount_pkey PRIMARY KEY (employee_id, subaccount_id);


--
-- Name: employee_upload_pkey; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY employee_upload
    ADD CONSTRAINT employee_upload_pkey PRIMARY KEY (employee_id, upload_id);


--
-- Name: foodcat_pkey; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY foodcat
    ADD CONSTRAINT foodcat_pkey PRIMARY KEY (id);


--
-- Name: hotel_pkey; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY hotel
    ADD CONSTRAINT hotel_pkey PRIMARY KEY (id);


--
-- Name: hotelcat_pkey; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY hotelcat
    ADD CONSTRAINT hotelcat_pkey PRIMARY KEY (id);


--
-- Name: income_cashflow_pkey; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY income_cashflow
    ADD CONSTRAINT income_cashflow_pkey PRIMARY KEY (income_id, cashflow_id);


--
-- Name: income_pkey; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY income
    ADD CONSTRAINT income_pkey PRIMARY KEY (id);


--
-- Name: invoice_item_pkey; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY invoice_item
    ADD CONSTRAINT invoice_item_pkey PRIMARY KEY (id);


--
-- Name: invoice_pkey; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY invoice
    ADD CONSTRAINT invoice_pkey PRIMARY KEY (id);


--
-- Name: lead_item_pkey; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY lead_item
    ADD CONSTRAINT lead_item_pkey PRIMARY KEY (id);


--
-- Name: lead_offer_pkey; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY lead_offer
    ADD CONSTRAINT lead_offer_pkey PRIMARY KEY (id);


--
-- Name: lead_pkey; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY lead
    ADD CONSTRAINT lead_pkey PRIMARY KEY (id);


--
-- Name: licence_pkey; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY contract
    ADD CONSTRAINT licence_pkey PRIMARY KEY (id);


--
-- Name: location_pkey; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY location
    ADD CONSTRAINT location_pkey PRIMARY KEY (id);


--
-- Name: navigation_pk; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY navigation
    ADD CONSTRAINT navigation_pk PRIMARY KEY (id);


--
-- Name: note_pkey; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY note
    ADD CONSTRAINT note_pkey PRIMARY KEY (id);


--
-- Name: note_resource_pkey; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY note_resource
    ADD CONSTRAINT note_resource_pkey PRIMARY KEY (note_id, resource_id);


--
-- Name: note_upload_pkey; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY note_upload
    ADD CONSTRAINT note_upload_pkey PRIMARY KEY (note_id, upload_id);


--
-- Name: notification_pkey; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY notification
    ADD CONSTRAINT notification_pkey PRIMARY KEY (id);


--
-- Name: notification_resource_pkey; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY notification_resource
    ADD CONSTRAINT notification_resource_pkey PRIMARY KEY (notification_id, resource_id);


--
-- Name: order_item_pkey; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY order_item
    ADD CONSTRAINT order_item_pkey PRIMARY KEY (id);


--
-- Name: order_pkey; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY "order"
    ADD CONSTRAINT order_pkey PRIMARY KEY (id);


--
-- Name: outgoing_cashflow_pkey; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY outgoing_cashflow
    ADD CONSTRAINT outgoing_cashflow_pkey PRIMARY KEY (outgoing_id, cashflow_id);


--
-- Name: outgoing_pkey; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY outgoing
    ADD CONSTRAINT outgoing_pkey PRIMARY KEY (id);


--
-- Name: passport_pkey; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY passport
    ADD CONSTRAINT passport_pkey PRIMARY KEY (id);


--
-- Name: passport_upload_pkey; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY passport_upload
    ADD CONSTRAINT passport_upload_pkey PRIMARY KEY (passport_id, upload_id);


--
-- Name: permision_pk; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY permision
    ADD CONSTRAINT permision_pk PRIMARY KEY (id);


--
-- Name: person_address_pkey; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY person_address
    ADD CONSTRAINT person_address_pkey PRIMARY KEY (person_id, address_id);


--
-- Name: person_category_pkey; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY person_category
    ADD CONSTRAINT person_category_pkey PRIMARY KEY (id);


--
-- Name: person_contact_pkey; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY person_contact
    ADD CONSTRAINT person_contact_pkey PRIMARY KEY (person_id, contact_id);


--
-- Name: person_order_item_pkey; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY person_order_item
    ADD CONSTRAINT person_order_item_pkey PRIMARY KEY (order_item_id, person_id);


--
-- Name: person_passport_pkey; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY person_passport
    ADD CONSTRAINT person_passport_pkey PRIMARY KEY (person_id, passport_id);


--
-- Name: person_pkey; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY person
    ADD CONSTRAINT person_pkey PRIMARY KEY (id);


--
-- Name: person_subaccount_pkey; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY person_subaccount
    ADD CONSTRAINT person_subaccount_pkey PRIMARY KEY (person_id, subaccount_id);


--
-- Name: position_pk; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY "position"
    ADD CONSTRAINT position_pk PRIMARY KEY (id);


--
-- Name: region_pk; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY region
    ADD CONSTRAINT region_pk PRIMARY KEY (id);


--
-- Name: resource_log_pk; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY resource_log
    ADD CONSTRAINT resource_log_pk PRIMARY KEY (id);


--
-- Name: resource_pk; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY resource
    ADD CONSTRAINT resource_pk PRIMARY KEY (id);


--
-- Name: resource_type_pk; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY resource_type
    ADD CONSTRAINT resource_type_pk PRIMARY KEY (id);


--
-- Name: roomcat_pkey; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY roomcat
    ADD CONSTRAINT roomcat_pkey PRIMARY KEY (id);


--
-- Name: service_pkey; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY service
    ADD CONSTRAINT service_pkey PRIMARY KEY (id);


--
-- Name: spassport_order_item_pkey; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY spassport_order_item
    ADD CONSTRAINT spassport_order_item_pkey PRIMARY KEY (order_item_id, spassport_id);


--
-- Name: spassport_pkey; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY spassport
    ADD CONSTRAINT spassport_pkey PRIMARY KEY (id);


--
-- Name: structure_address_pkey; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY structure_address
    ADD CONSTRAINT structure_address_pkey PRIMARY KEY (structure_id, address_id);


--
-- Name: structure_bank_detail_pkey; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY structure_bank_detail
    ADD CONSTRAINT structure_bank_detail_pkey PRIMARY KEY (structure_id, bank_detail_id);


--
-- Name: structure_contact_pkey; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY structure_contact
    ADD CONSTRAINT structure_contact_pkey PRIMARY KEY (structure_id, contact_id);


--
-- Name: structure_pk; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY structure
    ADD CONSTRAINT structure_pk PRIMARY KEY (id);


--
-- Name: subaccount_pkey; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY subaccount
    ADD CONSTRAINT subaccount_pkey PRIMARY KEY (id);


--
-- Name: supplier_bank_detail_pkey; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY supplier_bank_detail
    ADD CONSTRAINT supplier_bank_detail_pkey PRIMARY KEY (supplier_id, bank_detail_id);


--
-- Name: supplier_bperson_pkey; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY supplier_bperson
    ADD CONSTRAINT supplier_bperson_pkey PRIMARY KEY (supplier_id, bperson_id);


--
-- Name: supplier_contract_pkey; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY supplier_contract
    ADD CONSTRAINT supplier_contract_pkey PRIMARY KEY (supplier_id, contract_id);


--
-- Name: supplier_subaccount_pkey; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY supplier_subaccount
    ADD CONSTRAINT supplier_subaccount_pkey PRIMARY KEY (supplier_id, subaccount_id);


--
-- Name: supplier_type_pkey; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY supplier_type
    ADD CONSTRAINT supplier_type_pkey PRIMARY KEY (id);


--
-- Name: task_pkey; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY task
    ADD CONSTRAINT task_pkey PRIMARY KEY (id);


--
-- Name: task_resource_pkey; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY task_resource
    ADD CONSTRAINT task_resource_pkey PRIMARY KEY (task_id, resource_id);


--
-- Name: task_upload_pkey; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY task_upload
    ADD CONSTRAINT task_upload_pkey PRIMARY KEY (task_id, upload_id);


--
-- Name: ticket_class_pkey; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY ticket_class
    ADD CONSTRAINT ticket_class_pkey PRIMARY KEY (id);


--
-- Name: ticket_order_item_pkey; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY ticket_order_item
    ADD CONSTRAINT ticket_order_item_pkey PRIMARY KEY (order_item_id, ticket_id);


--
-- Name: ticket_pkey; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY ticket
    ADD CONSTRAINT ticket_pkey PRIMARY KEY (id);


--
-- Name: tour_order_item_pkey; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY tour_order_item
    ADD CONSTRAINT tour_order_item_pkey PRIMARY KEY (order_item_id, tour_id);


--
-- Name: tour_pkey1; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY tour
    ADD CONSTRAINT tour_pkey1 PRIMARY KEY (id);


--
-- Name: touroperator_pkey; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY supplier
    ADD CONSTRAINT touroperator_pkey PRIMARY KEY (id);


--
-- Name: transfer_pkey; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY cashflow
    ADD CONSTRAINT transfer_pkey PRIMARY KEY (id);


--
-- Name: transfer_pkey1; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY transfer
    ADD CONSTRAINT transfer_pkey1 PRIMARY KEY (id);


--
-- Name: transport_pkey; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY transport
    ADD CONSTRAINT transport_pkey PRIMARY KEY (id);


--
-- Name: unique_idx_accomodation_name; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY accomodation
    ADD CONSTRAINT unique_idx_accomodation_name UNIQUE (name);


--
-- Name: unique_idx_country_iso_code; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY country
    ADD CONSTRAINT unique_idx_country_iso_code UNIQUE (iso_code);


--
-- Name: unique_idx_currency_iso_code; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY currency
    ADD CONSTRAINT unique_idx_currency_iso_code UNIQUE (iso_code);


--
-- Name: unique_idx_currency_rate_currency_id_date; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY currency_rate
    ADD CONSTRAINT unique_idx_currency_rate_currency_id_date UNIQUE (currency_id, date, supplier_id);


--
-- Name: unique_idx_name_account; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY account
    ADD CONSTRAINT unique_idx_name_account UNIQUE (name);


--
-- Name: unique_idx_name_account_id_subaccount; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY subaccount
    ADD CONSTRAINT unique_idx_name_account_id_subaccount UNIQUE (name, account_id);


--
-- Name: unique_idx_name_account_item; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY account_item
    ADD CONSTRAINT unique_idx_name_account_item UNIQUE (name);


--
-- Name: unique_idx_name_advsource; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY advsource
    ADD CONSTRAINT unique_idx_name_advsource UNIQUE (name);


--
-- Name: unique_idx_name_bank; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY bank
    ADD CONSTRAINT unique_idx_name_bank UNIQUE (name);


--
-- Name: unique_idx_name_company; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY company
    ADD CONSTRAINT unique_idx_name_company UNIQUE (name);


--
-- Name: unique_idx_name_country_id_region; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY region
    ADD CONSTRAINT unique_idx_name_country_id_region UNIQUE (name, country_id);


--
-- Name: unique_idx_name_foodcat; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY foodcat
    ADD CONSTRAINT unique_idx_name_foodcat UNIQUE (name);


--
-- Name: unique_idx_name_hotelcat; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY hotelcat
    ADD CONSTRAINT unique_idx_name_hotelcat UNIQUE (name);


--
-- Name: unique_idx_name_person_category; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY person_category
    ADD CONSTRAINT unique_idx_name_person_category UNIQUE (name);


--
-- Name: unique_idx_name_region_id_location; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY location
    ADD CONSTRAINT unique_idx_name_region_id_location UNIQUE (name, region_id);


--
-- Name: unique_idx_name_roomcat; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY roomcat
    ADD CONSTRAINT unique_idx_name_roomcat UNIQUE (name);


--
-- Name: unique_idx_name_service; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY service
    ADD CONSTRAINT unique_idx_name_service UNIQUE (name);


--
-- Name: unique_idx_name_strcuture_id_position; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY "position"
    ADD CONSTRAINT unique_idx_name_strcuture_id_position UNIQUE (name, structure_id);


--
-- Name: unique_idx_name_supplier_type; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY supplier_type
    ADD CONSTRAINT unique_idx_name_supplier_type UNIQUE (name);


--
-- Name: unique_idx_name_ticket_class; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY ticket_class
    ADD CONSTRAINT unique_idx_name_ticket_class UNIQUE (name);


--
-- Name: unique_idx_name_transfer; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY transfer
    ADD CONSTRAINT unique_idx_name_transfer UNIQUE (name);


--
-- Name: unique_idx_name_transport; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY transport
    ADD CONSTRAINT unique_idx_name_transport UNIQUE (name);


--
-- Name: unique_idx_path_upload; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY upload
    ADD CONSTRAINT unique_idx_path_upload UNIQUE (path);


--
-- Name: unique_idx_resource_type_id_position_id_permision; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY permision
    ADD CONSTRAINT unique_idx_resource_type_id_position_id_permision UNIQUE (resource_type_id, position_id);


--
-- Name: unique_idx_resource_type_module; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY resource_type
    ADD CONSTRAINT unique_idx_resource_type_module UNIQUE (module, resource_name);


--
-- Name: unique_idx_resource_type_name; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY resource_type
    ADD CONSTRAINT unique_idx_resource_type_name UNIQUE (name);


--
-- Name: unique_idx_users_email; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY "user"
    ADD CONSTRAINT unique_idx_users_email UNIQUE (email);


--
-- Name: unique_idx_users_username; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY "user"
    ADD CONSTRAINT unique_idx_users_username UNIQUE (username);


--
-- Name: upload_pkey; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY upload
    ADD CONSTRAINT upload_pkey PRIMARY KEY (id);


--
-- Name: user_pk; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY "user"
    ADD CONSTRAINT user_pk PRIMARY KEY (id);


--
-- Name: vat_pkey; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY vat
    ADD CONSTRAINT vat_pkey PRIMARY KEY (id);


--
-- Name: visa_order_item_pkey; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY visa_order_item
    ADD CONSTRAINT visa_order_item_pkey PRIMARY KEY (order_item_id, visa_id);


--
-- Name: visa_pkey; Type: CONSTRAINT; Schema: public; Owner: -; Tablespace: 
--

ALTER TABLE ONLY visa
    ADD CONSTRAINT visa_pkey PRIMARY KEY (id);


SET search_path = test, pg_catalog;

--
-- Name: accomodation_pkey; Type: CONSTRAINT; Schema: test; Owner: -; Tablespace: 
--

ALTER TABLE ONLY accomodation
    ADD CONSTRAINT accomodation_pkey PRIMARY KEY (id);


--
-- Name: account_item_pkey; Type: CONSTRAINT; Schema: test; Owner: -; Tablespace: 
--

ALTER TABLE ONLY account_item
    ADD CONSTRAINT account_item_pkey PRIMARY KEY (id);


--
-- Name: account_pkey; Type: CONSTRAINT; Schema: test; Owner: -; Tablespace: 
--

ALTER TABLE ONLY account
    ADD CONSTRAINT account_pkey PRIMARY KEY (id);


--
-- Name: address_pkey; Type: CONSTRAINT; Schema: test; Owner: -; Tablespace: 
--

ALTER TABLE ONLY address
    ADD CONSTRAINT address_pkey PRIMARY KEY (id);


--
-- Name: advsource_pkey; Type: CONSTRAINT; Schema: test; Owner: -; Tablespace: 
--

ALTER TABLE ONLY advsource
    ADD CONSTRAINT advsource_pkey PRIMARY KEY (id);


--
-- Name: appointment_pkey; Type: CONSTRAINT; Schema: test; Owner: -; Tablespace: 
--

ALTER TABLE ONLY appointment
    ADD CONSTRAINT appointment_pkey PRIMARY KEY (id);


--
-- Name: bank_address_pkey; Type: CONSTRAINT; Schema: test; Owner: -; Tablespace: 
--

ALTER TABLE ONLY bank_address
    ADD CONSTRAINT bank_address_pkey PRIMARY KEY (bank_id, address_id);


--
-- Name: bank_detail_pkey; Type: CONSTRAINT; Schema: test; Owner: -; Tablespace: 
--

ALTER TABLE ONLY bank_detail
    ADD CONSTRAINT bank_detail_pkey PRIMARY KEY (id);


--
-- Name: bank_pkey; Type: CONSTRAINT; Schema: test; Owner: -; Tablespace: 
--

ALTER TABLE ONLY bank
    ADD CONSTRAINT bank_pkey PRIMARY KEY (id);


--
-- Name: bperson_contact_pkey; Type: CONSTRAINT; Schema: test; Owner: -; Tablespace: 
--

ALTER TABLE ONLY bperson_contact
    ADD CONSTRAINT bperson_contact_pkey PRIMARY KEY (bperson_id, contact_id);


--
-- Name: bperson_pkey; Type: CONSTRAINT; Schema: test; Owner: -; Tablespace: 
--

ALTER TABLE ONLY bperson
    ADD CONSTRAINT bperson_pkey PRIMARY KEY (id);


--
-- Name: calculation_pkey; Type: CONSTRAINT; Schema: test; Owner: -; Tablespace: 
--

ALTER TABLE ONLY calculation
    ADD CONSTRAINT calculation_pkey PRIMARY KEY (id);


--
-- Name: campaign_pkey; Type: CONSTRAINT; Schema: test; Owner: -; Tablespace: 
--

ALTER TABLE ONLY campaign
    ADD CONSTRAINT campaign_pkey PRIMARY KEY (id);


--
-- Name: cashflow_pkey; Type: CONSTRAINT; Schema: test; Owner: -; Tablespace: 
--

ALTER TABLE ONLY cashflow
    ADD CONSTRAINT cashflow_pkey PRIMARY KEY (id);


--
-- Name: commission_pkey; Type: CONSTRAINT; Schema: test; Owner: -; Tablespace: 
--

ALTER TABLE ONLY commission
    ADD CONSTRAINT commission_pkey PRIMARY KEY (id);


--
-- Name: company_pkey; Type: CONSTRAINT; Schema: test; Owner: -; Tablespace: 
--

ALTER TABLE ONLY company
    ADD CONSTRAINT company_pkey PRIMARY KEY (id);


--
-- Name: company_subaccount_pkey; Type: CONSTRAINT; Schema: test; Owner: -; Tablespace: 
--

ALTER TABLE ONLY company_subaccount
    ADD CONSTRAINT company_subaccount_pkey PRIMARY KEY (company_id, subaccount_id);


--
-- Name: contact_pkey; Type: CONSTRAINT; Schema: test; Owner: -; Tablespace: 
--

ALTER TABLE ONLY contact
    ADD CONSTRAINT contact_pkey PRIMARY KEY (id);


--
-- Name: contract_commission_pkey; Type: CONSTRAINT; Schema: test; Owner: -; Tablespace: 
--

ALTER TABLE ONLY contract_commission
    ADD CONSTRAINT contract_commission_pkey PRIMARY KEY (contract_id, commission_id);


--
-- Name: contract_pkey; Type: CONSTRAINT; Schema: test; Owner: -; Tablespace: 
--

ALTER TABLE ONLY contract
    ADD CONSTRAINT contract_pkey PRIMARY KEY (id);


--
-- Name: country_pkey; Type: CONSTRAINT; Schema: test; Owner: -; Tablespace: 
--

ALTER TABLE ONLY country
    ADD CONSTRAINT country_pkey PRIMARY KEY (id);


--
-- Name: crosspayment_pkey; Type: CONSTRAINT; Schema: test; Owner: -; Tablespace: 
--

ALTER TABLE ONLY crosspayment
    ADD CONSTRAINT crosspayment_pkey PRIMARY KEY (id);


--
-- Name: currency_pkey; Type: CONSTRAINT; Schema: test; Owner: -; Tablespace: 
--

ALTER TABLE ONLY currency
    ADD CONSTRAINT currency_pkey PRIMARY KEY (id);


--
-- Name: currency_rate_pkey; Type: CONSTRAINT; Schema: test; Owner: -; Tablespace: 
--

ALTER TABLE ONLY currency_rate
    ADD CONSTRAINT currency_rate_pkey PRIMARY KEY (id);


--
-- Name: dismissal_pkey; Type: CONSTRAINT; Schema: test; Owner: -; Tablespace: 
--

ALTER TABLE ONLY dismissal
    ADD CONSTRAINT dismissal_pkey PRIMARY KEY (id);


--
-- Name: employee_address_pkey; Type: CONSTRAINT; Schema: test; Owner: -; Tablespace: 
--

ALTER TABLE ONLY employee_address
    ADD CONSTRAINT employee_address_pkey PRIMARY KEY (employee_id, address_id);


--
-- Name: employee_contact_pkey; Type: CONSTRAINT; Schema: test; Owner: -; Tablespace: 
--

ALTER TABLE ONLY employee_contact
    ADD CONSTRAINT employee_contact_pkey PRIMARY KEY (employee_id, contact_id);


--
-- Name: employee_notification_pkey; Type: CONSTRAINT; Schema: test; Owner: -; Tablespace: 
--

ALTER TABLE ONLY employee_notification
    ADD CONSTRAINT employee_notification_pkey PRIMARY KEY (employee_id, notification_id);


--
-- Name: employee_passport_pkey; Type: CONSTRAINT; Schema: test; Owner: -; Tablespace: 
--

ALTER TABLE ONLY employee_passport
    ADD CONSTRAINT employee_passport_pkey PRIMARY KEY (employee_id, passport_id);


--
-- Name: employee_pkey; Type: CONSTRAINT; Schema: test; Owner: -; Tablespace: 
--

ALTER TABLE ONLY employee
    ADD CONSTRAINT employee_pkey PRIMARY KEY (id);


--
-- Name: employee_subaccount_pkey; Type: CONSTRAINT; Schema: test; Owner: -; Tablespace: 
--

ALTER TABLE ONLY employee_subaccount
    ADD CONSTRAINT employee_subaccount_pkey PRIMARY KEY (employee_id, subaccount_id);


--
-- Name: employee_upload_pkey; Type: CONSTRAINT; Schema: test; Owner: -; Tablespace: 
--

ALTER TABLE ONLY employee_upload
    ADD CONSTRAINT employee_upload_pkey PRIMARY KEY (employee_id, upload_id);


--
-- Name: foodcat_pkey; Type: CONSTRAINT; Schema: test; Owner: -; Tablespace: 
--

ALTER TABLE ONLY foodcat
    ADD CONSTRAINT foodcat_pkey PRIMARY KEY (id);


--
-- Name: hotel_pkey; Type: CONSTRAINT; Schema: test; Owner: -; Tablespace: 
--

ALTER TABLE ONLY hotel
    ADD CONSTRAINT hotel_pkey PRIMARY KEY (id);


--
-- Name: hotelcat_pkey; Type: CONSTRAINT; Schema: test; Owner: -; Tablespace: 
--

ALTER TABLE ONLY hotelcat
    ADD CONSTRAINT hotelcat_pkey PRIMARY KEY (id);


--
-- Name: income_cashflow_pkey; Type: CONSTRAINT; Schema: test; Owner: -; Tablespace: 
--

ALTER TABLE ONLY income_cashflow
    ADD CONSTRAINT income_cashflow_pkey PRIMARY KEY (income_id, cashflow_id);


--
-- Name: income_pkey; Type: CONSTRAINT; Schema: test; Owner: -; Tablespace: 
--

ALTER TABLE ONLY income
    ADD CONSTRAINT income_pkey PRIMARY KEY (id);


--
-- Name: invoice_item_pkey; Type: CONSTRAINT; Schema: test; Owner: -; Tablespace: 
--

ALTER TABLE ONLY invoice_item
    ADD CONSTRAINT invoice_item_pkey PRIMARY KEY (id);


--
-- Name: invoice_pkey; Type: CONSTRAINT; Schema: test; Owner: -; Tablespace: 
--

ALTER TABLE ONLY invoice
    ADD CONSTRAINT invoice_pkey PRIMARY KEY (id);


--
-- Name: lead_item_pkey; Type: CONSTRAINT; Schema: test; Owner: -; Tablespace: 
--

ALTER TABLE ONLY lead_item
    ADD CONSTRAINT lead_item_pkey PRIMARY KEY (id);


--
-- Name: lead_offer_pkey; Type: CONSTRAINT; Schema: test; Owner: -; Tablespace: 
--

ALTER TABLE ONLY lead_offer
    ADD CONSTRAINT lead_offer_pkey PRIMARY KEY (id);


--
-- Name: lead_pkey; Type: CONSTRAINT; Schema: test; Owner: -; Tablespace: 
--

ALTER TABLE ONLY lead
    ADD CONSTRAINT lead_pkey PRIMARY KEY (id);


--
-- Name: location_pkey; Type: CONSTRAINT; Schema: test; Owner: -; Tablespace: 
--

ALTER TABLE ONLY location
    ADD CONSTRAINT location_pkey PRIMARY KEY (id);


--
-- Name: navigation_pkey; Type: CONSTRAINT; Schema: test; Owner: -; Tablespace: 
--

ALTER TABLE ONLY navigation
    ADD CONSTRAINT navigation_pkey PRIMARY KEY (id);


--
-- Name: note_pkey; Type: CONSTRAINT; Schema: test; Owner: -; Tablespace: 
--

ALTER TABLE ONLY note
    ADD CONSTRAINT note_pkey PRIMARY KEY (id);


--
-- Name: note_resource_pkey; Type: CONSTRAINT; Schema: test; Owner: -; Tablespace: 
--

ALTER TABLE ONLY note_resource
    ADD CONSTRAINT note_resource_pkey PRIMARY KEY (note_id, resource_id);


--
-- Name: note_upload_pkey; Type: CONSTRAINT; Schema: test; Owner: -; Tablespace: 
--

ALTER TABLE ONLY note_upload
    ADD CONSTRAINT note_upload_pkey PRIMARY KEY (note_id, upload_id);


--
-- Name: notification_pkey; Type: CONSTRAINT; Schema: test; Owner: -; Tablespace: 
--

ALTER TABLE ONLY notification
    ADD CONSTRAINT notification_pkey PRIMARY KEY (id);


--
-- Name: notification_resource_pkey; Type: CONSTRAINT; Schema: test; Owner: -; Tablespace: 
--

ALTER TABLE ONLY notification_resource
    ADD CONSTRAINT notification_resource_pkey PRIMARY KEY (notification_id, resource_id);


--
-- Name: order_item_pkey; Type: CONSTRAINT; Schema: test; Owner: -; Tablespace: 
--

ALTER TABLE ONLY order_item
    ADD CONSTRAINT order_item_pkey PRIMARY KEY (id);


--
-- Name: order_pkey; Type: CONSTRAINT; Schema: test; Owner: -; Tablespace: 
--

ALTER TABLE ONLY "order"
    ADD CONSTRAINT order_pkey PRIMARY KEY (id);


--
-- Name: outgoing_cashflow_pkey; Type: CONSTRAINT; Schema: test; Owner: -; Tablespace: 
--

ALTER TABLE ONLY outgoing_cashflow
    ADD CONSTRAINT outgoing_cashflow_pkey PRIMARY KEY (outgoing_id, cashflow_id);


--
-- Name: outgoing_pkey; Type: CONSTRAINT; Schema: test; Owner: -; Tablespace: 
--

ALTER TABLE ONLY outgoing
    ADD CONSTRAINT outgoing_pkey PRIMARY KEY (id);


--
-- Name: passport_pkey; Type: CONSTRAINT; Schema: test; Owner: -; Tablespace: 
--

ALTER TABLE ONLY passport
    ADD CONSTRAINT passport_pkey PRIMARY KEY (id);


--
-- Name: passport_upload_pkey; Type: CONSTRAINT; Schema: test; Owner: -; Tablespace: 
--

ALTER TABLE ONLY passport_upload
    ADD CONSTRAINT passport_upload_pkey PRIMARY KEY (passport_id, upload_id);


--
-- Name: permision_pkey; Type: CONSTRAINT; Schema: test; Owner: -; Tablespace: 
--

ALTER TABLE ONLY permision
    ADD CONSTRAINT permision_pkey PRIMARY KEY (id);


--
-- Name: person_address_pkey; Type: CONSTRAINT; Schema: test; Owner: -; Tablespace: 
--

ALTER TABLE ONLY person_address
    ADD CONSTRAINT person_address_pkey PRIMARY KEY (person_id, address_id);


--
-- Name: person_category_pkey; Type: CONSTRAINT; Schema: test; Owner: -; Tablespace: 
--

ALTER TABLE ONLY person_category
    ADD CONSTRAINT person_category_pkey PRIMARY KEY (id);


--
-- Name: person_contact_pkey; Type: CONSTRAINT; Schema: test; Owner: -; Tablespace: 
--

ALTER TABLE ONLY person_contact
    ADD CONSTRAINT person_contact_pkey PRIMARY KEY (person_id, contact_id);


--
-- Name: person_order_item_pkey; Type: CONSTRAINT; Schema: test; Owner: -; Tablespace: 
--

ALTER TABLE ONLY person_order_item
    ADD CONSTRAINT person_order_item_pkey PRIMARY KEY (order_item_id, person_id);


--
-- Name: person_passport_pkey; Type: CONSTRAINT; Schema: test; Owner: -; Tablespace: 
--

ALTER TABLE ONLY person_passport
    ADD CONSTRAINT person_passport_pkey PRIMARY KEY (person_id, passport_id);


--
-- Name: person_pkey; Type: CONSTRAINT; Schema: test; Owner: -; Tablespace: 
--

ALTER TABLE ONLY person
    ADD CONSTRAINT person_pkey PRIMARY KEY (id);


--
-- Name: person_subaccount_pkey; Type: CONSTRAINT; Schema: test; Owner: -; Tablespace: 
--

ALTER TABLE ONLY person_subaccount
    ADD CONSTRAINT person_subaccount_pkey PRIMARY KEY (person_id, subaccount_id);


--
-- Name: position_pkey; Type: CONSTRAINT; Schema: test; Owner: -; Tablespace: 
--

ALTER TABLE ONLY "position"
    ADD CONSTRAINT position_pkey PRIMARY KEY (id);


--
-- Name: region_pkey; Type: CONSTRAINT; Schema: test; Owner: -; Tablespace: 
--

ALTER TABLE ONLY region
    ADD CONSTRAINT region_pkey PRIMARY KEY (id);


--
-- Name: resource_log_pkey; Type: CONSTRAINT; Schema: test; Owner: -; Tablespace: 
--

ALTER TABLE ONLY resource_log
    ADD CONSTRAINT resource_log_pkey PRIMARY KEY (id);


--
-- Name: resource_pkey; Type: CONSTRAINT; Schema: test; Owner: -; Tablespace: 
--

ALTER TABLE ONLY resource
    ADD CONSTRAINT resource_pkey PRIMARY KEY (id);


--
-- Name: resource_type_pkey; Type: CONSTRAINT; Schema: test; Owner: -; Tablespace: 
--

ALTER TABLE ONLY resource_type
    ADD CONSTRAINT resource_type_pkey PRIMARY KEY (id);


--
-- Name: roomcat_pkey; Type: CONSTRAINT; Schema: test; Owner: -; Tablespace: 
--

ALTER TABLE ONLY roomcat
    ADD CONSTRAINT roomcat_pkey PRIMARY KEY (id);


--
-- Name: service_pkey; Type: CONSTRAINT; Schema: test; Owner: -; Tablespace: 
--

ALTER TABLE ONLY service
    ADD CONSTRAINT service_pkey PRIMARY KEY (id);


--
-- Name: spassport_order_item_pkey; Type: CONSTRAINT; Schema: test; Owner: -; Tablespace: 
--

ALTER TABLE ONLY spassport_order_item
    ADD CONSTRAINT spassport_order_item_pkey PRIMARY KEY (order_item_id, spassport_id);


--
-- Name: spassport_pkey; Type: CONSTRAINT; Schema: test; Owner: -; Tablespace: 
--

ALTER TABLE ONLY spassport
    ADD CONSTRAINT spassport_pkey PRIMARY KEY (id);


--
-- Name: structure_address_pkey; Type: CONSTRAINT; Schema: test; Owner: -; Tablespace: 
--

ALTER TABLE ONLY structure_address
    ADD CONSTRAINT structure_address_pkey PRIMARY KEY (structure_id, address_id);


--
-- Name: structure_bank_detail_pkey; Type: CONSTRAINT; Schema: test; Owner: -; Tablespace: 
--

ALTER TABLE ONLY structure_bank_detail
    ADD CONSTRAINT structure_bank_detail_pkey PRIMARY KEY (structure_id, bank_detail_id);


--
-- Name: structure_contact_pkey; Type: CONSTRAINT; Schema: test; Owner: -; Tablespace: 
--

ALTER TABLE ONLY structure_contact
    ADD CONSTRAINT structure_contact_pkey PRIMARY KEY (structure_id, contact_id);


--
-- Name: structure_pkey; Type: CONSTRAINT; Schema: test; Owner: -; Tablespace: 
--

ALTER TABLE ONLY structure
    ADD CONSTRAINT structure_pkey PRIMARY KEY (id);


--
-- Name: subaccount_pkey; Type: CONSTRAINT; Schema: test; Owner: -; Tablespace: 
--

ALTER TABLE ONLY subaccount
    ADD CONSTRAINT subaccount_pkey PRIMARY KEY (id);


--
-- Name: supplier_bank_detail_pkey; Type: CONSTRAINT; Schema: test; Owner: -; Tablespace: 
--

ALTER TABLE ONLY supplier_bank_detail
    ADD CONSTRAINT supplier_bank_detail_pkey PRIMARY KEY (supplier_id, bank_detail_id);


--
-- Name: supplier_bperson_pkey; Type: CONSTRAINT; Schema: test; Owner: -; Tablespace: 
--

ALTER TABLE ONLY supplier_bperson
    ADD CONSTRAINT supplier_bperson_pkey PRIMARY KEY (supplier_id, bperson_id);


--
-- Name: supplier_contract_pkey; Type: CONSTRAINT; Schema: test; Owner: -; Tablespace: 
--

ALTER TABLE ONLY supplier_contract
    ADD CONSTRAINT supplier_contract_pkey PRIMARY KEY (supplier_id, contract_id);


--
-- Name: supplier_pkey; Type: CONSTRAINT; Schema: test; Owner: -; Tablespace: 
--

ALTER TABLE ONLY supplier
    ADD CONSTRAINT supplier_pkey PRIMARY KEY (id);


--
-- Name: supplier_subaccount_pkey; Type: CONSTRAINT; Schema: test; Owner: -; Tablespace: 
--

ALTER TABLE ONLY supplier_subaccount
    ADD CONSTRAINT supplier_subaccount_pkey PRIMARY KEY (supplier_id, subaccount_id);


--
-- Name: supplier_type_pkey; Type: CONSTRAINT; Schema: test; Owner: -; Tablespace: 
--

ALTER TABLE ONLY supplier_type
    ADD CONSTRAINT supplier_type_pkey PRIMARY KEY (id);


--
-- Name: task_pkey; Type: CONSTRAINT; Schema: test; Owner: -; Tablespace: 
--

ALTER TABLE ONLY task
    ADD CONSTRAINT task_pkey PRIMARY KEY (id);


--
-- Name: task_resource_pkey; Type: CONSTRAINT; Schema: test; Owner: -; Tablespace: 
--

ALTER TABLE ONLY task_resource
    ADD CONSTRAINT task_resource_pkey PRIMARY KEY (task_id, resource_id);


--
-- Name: task_upload_pkey; Type: CONSTRAINT; Schema: test; Owner: -; Tablespace: 
--

ALTER TABLE ONLY task_upload
    ADD CONSTRAINT task_upload_pkey PRIMARY KEY (task_id, upload_id);


--
-- Name: ticket_class_pkey; Type: CONSTRAINT; Schema: test; Owner: -; Tablespace: 
--

ALTER TABLE ONLY ticket_class
    ADD CONSTRAINT ticket_class_pkey PRIMARY KEY (id);


--
-- Name: ticket_order_item_pkey; Type: CONSTRAINT; Schema: test; Owner: -; Tablespace: 
--

ALTER TABLE ONLY ticket_order_item
    ADD CONSTRAINT ticket_order_item_pkey PRIMARY KEY (order_item_id, ticket_id);


--
-- Name: ticket_pkey; Type: CONSTRAINT; Schema: test; Owner: -; Tablespace: 
--

ALTER TABLE ONLY ticket
    ADD CONSTRAINT ticket_pkey PRIMARY KEY (id);


--
-- Name: tour_order_item_pkey; Type: CONSTRAINT; Schema: test; Owner: -; Tablespace: 
--

ALTER TABLE ONLY tour_order_item
    ADD CONSTRAINT tour_order_item_pkey PRIMARY KEY (order_item_id, tour_id);


--
-- Name: tour_pkey; Type: CONSTRAINT; Schema: test; Owner: -; Tablespace: 
--

ALTER TABLE ONLY tour
    ADD CONSTRAINT tour_pkey PRIMARY KEY (id);


--
-- Name: transfer_pkey; Type: CONSTRAINT; Schema: test; Owner: -; Tablespace: 
--

ALTER TABLE ONLY transfer
    ADD CONSTRAINT transfer_pkey PRIMARY KEY (id);


--
-- Name: transport_pkey; Type: CONSTRAINT; Schema: test; Owner: -; Tablespace: 
--

ALTER TABLE ONLY transport
    ADD CONSTRAINT transport_pkey PRIMARY KEY (id);


--
-- Name: unique_idx_accomodation_name; Type: CONSTRAINT; Schema: test; Owner: -; Tablespace: 
--

ALTER TABLE ONLY accomodation
    ADD CONSTRAINT unique_idx_accomodation_name UNIQUE (name);


--
-- Name: unique_idx_country_iso_code; Type: CONSTRAINT; Schema: test; Owner: -; Tablespace: 
--

ALTER TABLE ONLY country
    ADD CONSTRAINT unique_idx_country_iso_code UNIQUE (iso_code);


--
-- Name: unique_idx_currency_iso_code; Type: CONSTRAINT; Schema: test; Owner: -; Tablespace: 
--

ALTER TABLE ONLY currency
    ADD CONSTRAINT unique_idx_currency_iso_code UNIQUE (iso_code);


--
-- Name: unique_idx_currency_rate_currency_id_date; Type: CONSTRAINT; Schema: test; Owner: -; Tablespace: 
--

ALTER TABLE ONLY currency_rate
    ADD CONSTRAINT unique_idx_currency_rate_currency_id_date UNIQUE (currency_id, date, supplier_id);


--
-- Name: unique_idx_name_account; Type: CONSTRAINT; Schema: test; Owner: -; Tablespace: 
--

ALTER TABLE ONLY account
    ADD CONSTRAINT unique_idx_name_account UNIQUE (name);


--
-- Name: unique_idx_name_account_id_subaccount; Type: CONSTRAINT; Schema: test; Owner: -; Tablespace: 
--

ALTER TABLE ONLY subaccount
    ADD CONSTRAINT unique_idx_name_account_id_subaccount UNIQUE (name, account_id);


--
-- Name: unique_idx_name_account_item; Type: CONSTRAINT; Schema: test; Owner: -; Tablespace: 
--

ALTER TABLE ONLY account_item
    ADD CONSTRAINT unique_idx_name_account_item UNIQUE (name);


--
-- Name: unique_idx_name_advsource; Type: CONSTRAINT; Schema: test; Owner: -; Tablespace: 
--

ALTER TABLE ONLY advsource
    ADD CONSTRAINT unique_idx_name_advsource UNIQUE (name);


--
-- Name: unique_idx_name_bank; Type: CONSTRAINT; Schema: test; Owner: -; Tablespace: 
--

ALTER TABLE ONLY bank
    ADD CONSTRAINT unique_idx_name_bank UNIQUE (name);


--
-- Name: unique_idx_name_company; Type: CONSTRAINT; Schema: test; Owner: -; Tablespace: 
--

ALTER TABLE ONLY company
    ADD CONSTRAINT unique_idx_name_company UNIQUE (name);


--
-- Name: unique_idx_name_country_id_region; Type: CONSTRAINT; Schema: test; Owner: -; Tablespace: 
--

ALTER TABLE ONLY region
    ADD CONSTRAINT unique_idx_name_country_id_region UNIQUE (name, country_id);


--
-- Name: unique_idx_name_foodcat; Type: CONSTRAINT; Schema: test; Owner: -; Tablespace: 
--

ALTER TABLE ONLY foodcat
    ADD CONSTRAINT unique_idx_name_foodcat UNIQUE (name);


--
-- Name: unique_idx_name_hotelcat; Type: CONSTRAINT; Schema: test; Owner: -; Tablespace: 
--

ALTER TABLE ONLY hotelcat
    ADD CONSTRAINT unique_idx_name_hotelcat UNIQUE (name);


--
-- Name: unique_idx_name_person_category; Type: CONSTRAINT; Schema: test; Owner: -; Tablespace: 
--

ALTER TABLE ONLY person_category
    ADD CONSTRAINT unique_idx_name_person_category UNIQUE (name);


--
-- Name: unique_idx_name_region_id_location; Type: CONSTRAINT; Schema: test; Owner: -; Tablespace: 
--

ALTER TABLE ONLY location
    ADD CONSTRAINT unique_idx_name_region_id_location UNIQUE (name, region_id);


--
-- Name: unique_idx_name_roomcat; Type: CONSTRAINT; Schema: test; Owner: -; Tablespace: 
--

ALTER TABLE ONLY roomcat
    ADD CONSTRAINT unique_idx_name_roomcat UNIQUE (name);


--
-- Name: unique_idx_name_service; Type: CONSTRAINT; Schema: test; Owner: -; Tablespace: 
--

ALTER TABLE ONLY service
    ADD CONSTRAINT unique_idx_name_service UNIQUE (name);


--
-- Name: unique_idx_name_strcuture_id_position; Type: CONSTRAINT; Schema: test; Owner: -; Tablespace: 
--

ALTER TABLE ONLY "position"
    ADD CONSTRAINT unique_idx_name_strcuture_id_position UNIQUE (name, structure_id);


--
-- Name: unique_idx_name_supplier_type; Type: CONSTRAINT; Schema: test; Owner: -; Tablespace: 
--

ALTER TABLE ONLY supplier_type
    ADD CONSTRAINT unique_idx_name_supplier_type UNIQUE (name);


--
-- Name: unique_idx_name_ticket_class; Type: CONSTRAINT; Schema: test; Owner: -; Tablespace: 
--

ALTER TABLE ONLY ticket_class
    ADD CONSTRAINT unique_idx_name_ticket_class UNIQUE (name);


--
-- Name: unique_idx_name_transfer; Type: CONSTRAINT; Schema: test; Owner: -; Tablespace: 
--

ALTER TABLE ONLY transfer
    ADD CONSTRAINT unique_idx_name_transfer UNIQUE (name);


--
-- Name: unique_idx_name_transport; Type: CONSTRAINT; Schema: test; Owner: -; Tablespace: 
--

ALTER TABLE ONLY transport
    ADD CONSTRAINT unique_idx_name_transport UNIQUE (name);


--
-- Name: unique_idx_path_upload; Type: CONSTRAINT; Schema: test; Owner: -; Tablespace: 
--

ALTER TABLE ONLY upload
    ADD CONSTRAINT unique_idx_path_upload UNIQUE (path);


--
-- Name: unique_idx_resource_type_id_position_id_permision; Type: CONSTRAINT; Schema: test; Owner: -; Tablespace: 
--

ALTER TABLE ONLY permision
    ADD CONSTRAINT unique_idx_resource_type_id_position_id_permision UNIQUE (resource_type_id, position_id);


--
-- Name: unique_idx_resource_type_module; Type: CONSTRAINT; Schema: test; Owner: -; Tablespace: 
--

ALTER TABLE ONLY resource_type
    ADD CONSTRAINT unique_idx_resource_type_module UNIQUE (module, resource_name);


--
-- Name: unique_idx_resource_type_name; Type: CONSTRAINT; Schema: test; Owner: -; Tablespace: 
--

ALTER TABLE ONLY resource_type
    ADD CONSTRAINT unique_idx_resource_type_name UNIQUE (name);


--
-- Name: unique_idx_users_email; Type: CONSTRAINT; Schema: test; Owner: -; Tablespace: 
--

ALTER TABLE ONLY "user"
    ADD CONSTRAINT unique_idx_users_email UNIQUE (email);


--
-- Name: unique_idx_users_username; Type: CONSTRAINT; Schema: test; Owner: -; Tablespace: 
--

ALTER TABLE ONLY "user"
    ADD CONSTRAINT unique_idx_users_username UNIQUE (username);


--
-- Name: upload_pkey; Type: CONSTRAINT; Schema: test; Owner: -; Tablespace: 
--

ALTER TABLE ONLY upload
    ADD CONSTRAINT upload_pkey PRIMARY KEY (id);


--
-- Name: user_pkey; Type: CONSTRAINT; Schema: test; Owner: -; Tablespace: 
--

ALTER TABLE ONLY "user"
    ADD CONSTRAINT user_pkey PRIMARY KEY (id);


--
-- Name: vat_pkey; Type: CONSTRAINT; Schema: test; Owner: -; Tablespace: 
--

ALTER TABLE ONLY vat
    ADD CONSTRAINT vat_pkey PRIMARY KEY (id);


--
-- Name: visa_order_item_pkey; Type: CONSTRAINT; Schema: test; Owner: -; Tablespace: 
--

ALTER TABLE ONLY visa_order_item
    ADD CONSTRAINT visa_order_item_pkey PRIMARY KEY (order_item_id, visa_id);


--
-- Name: visa_pkey; Type: CONSTRAINT; Schema: test; Owner: -; Tablespace: 
--

ALTER TABLE ONLY visa
    ADD CONSTRAINT visa_pkey PRIMARY KEY (id);


SET search_path = company_en, pg_catalog;

--
-- Name: fk_accomodation_id_tour; Type: FK CONSTRAINT; Schema: company_en; Owner: -
--

ALTER TABLE ONLY tour
    ADD CONSTRAINT fk_accomodation_id_tour FOREIGN KEY (accomodation_id) REFERENCES accomodation(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_account_id_invoice; Type: FK CONSTRAINT; Schema: company_en; Owner: -
--

ALTER TABLE ONLY invoice
    ADD CONSTRAINT fk_account_id_invoice FOREIGN KEY (account_id) REFERENCES account(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_account_id_vat; Type: FK CONSTRAINT; Schema: company_en; Owner: -
--

ALTER TABLE ONLY vat
    ADD CONSTRAINT fk_account_id_vat FOREIGN KEY (account_id) REFERENCES account(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_account_item_id_cashflow; Type: FK CONSTRAINT; Schema: company_en; Owner: -
--

ALTER TABLE ONLY cashflow
    ADD CONSTRAINT fk_account_item_id_cashflow FOREIGN KEY (account_item_id) REFERENCES account_item(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_account_item_id_cashflow; Type: FK CONSTRAINT; Schema: company_en; Owner: -
--

ALTER TABLE ONLY income
    ADD CONSTRAINT fk_account_item_id_cashflow FOREIGN KEY (account_item_id) REFERENCES account_item(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_account_item_id_outgoing; Type: FK CONSTRAINT; Schema: company_en; Owner: -
--

ALTER TABLE ONLY outgoing
    ADD CONSTRAINT fk_account_item_id_outgoing FOREIGN KEY (account_item_id) REFERENCES account_item(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_account_item_parent_id; Type: FK CONSTRAINT; Schema: company_en; Owner: -
--

ALTER TABLE ONLY account_item
    ADD CONSTRAINT fk_account_item_parent_id FOREIGN KEY (parent_id) REFERENCES account_item(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_address_id_bank_address; Type: FK CONSTRAINT; Schema: company_en; Owner: -
--

ALTER TABLE ONLY bank_address
    ADD CONSTRAINT fk_address_id_bank_address FOREIGN KEY (address_id) REFERENCES address(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_address_id_employee_address; Type: FK CONSTRAINT; Schema: company_en; Owner: -
--

ALTER TABLE ONLY employee_address
    ADD CONSTRAINT fk_address_id_employee_address FOREIGN KEY (address_id) REFERENCES address(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_address_id_person_address; Type: FK CONSTRAINT; Schema: company_en; Owner: -
--

ALTER TABLE ONLY person_address
    ADD CONSTRAINT fk_address_id_person_address FOREIGN KEY (address_id) REFERENCES address(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_address_id_structure_address; Type: FK CONSTRAINT; Schema: company_en; Owner: -
--

ALTER TABLE ONLY structure_address
    ADD CONSTRAINT fk_address_id_structure_address FOREIGN KEY (address_id) REFERENCES address(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_advsource_id_lead; Type: FK CONSTRAINT; Schema: company_en; Owner: -
--

ALTER TABLE ONLY lead
    ADD CONSTRAINT fk_advsource_id_lead FOREIGN KEY (advsource_id) REFERENCES advsource(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_advsource_id_order; Type: FK CONSTRAINT; Schema: company_en; Owner: -
--

ALTER TABLE ONLY "order"
    ADD CONSTRAINT fk_advsource_id_order FOREIGN KEY (advsource_id) REFERENCES advsource(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_bank_detail_id_structure_bank_detail; Type: FK CONSTRAINT; Schema: company_en; Owner: -
--

ALTER TABLE ONLY structure_bank_detail
    ADD CONSTRAINT fk_bank_detail_id_structure_bank_detail FOREIGN KEY (bank_detail_id) REFERENCES bank_detail(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_bank_detail_id_supplier_bank_detail; Type: FK CONSTRAINT; Schema: company_en; Owner: -
--

ALTER TABLE ONLY supplier_bank_detail
    ADD CONSTRAINT fk_bank_detail_id_supplier_bank_detail FOREIGN KEY (bank_detail_id) REFERENCES bank_detail(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_bank_id_bank_address; Type: FK CONSTRAINT; Schema: company_en; Owner: -
--

ALTER TABLE ONLY bank_address
    ADD CONSTRAINT fk_bank_id_bank_address FOREIGN KEY (bank_id) REFERENCES bank(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_bank_id_bank_detail; Type: FK CONSTRAINT; Schema: company_en; Owner: -
--

ALTER TABLE ONLY bank_detail
    ADD CONSTRAINT fk_bank_id_bank_detail FOREIGN KEY (bank_id) REFERENCES bank(id) ON UPDATE CASCADE ON DELETE CASCADE;


--
-- Name: fk_bperson_id_bperson_contact; Type: FK CONSTRAINT; Schema: company_en; Owner: -
--

ALTER TABLE ONLY bperson_contact
    ADD CONSTRAINT fk_bperson_id_bperson_contact FOREIGN KEY (bperson_id) REFERENCES bperson(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_bperson_id_supplier_bperson; Type: FK CONSTRAINT; Schema: company_en; Owner: -
--

ALTER TABLE ONLY supplier_bperson
    ADD CONSTRAINT fk_bperson_id_supplier_bperson FOREIGN KEY (bperson_id) REFERENCES bperson(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_cashflow_id_crosspayment; Type: FK CONSTRAINT; Schema: company_en; Owner: -
--

ALTER TABLE ONLY crosspayment
    ADD CONSTRAINT fk_cashflow_id_crosspayment FOREIGN KEY (cashflow_id) REFERENCES cashflow(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_cashflow_id_income_cashflow; Type: FK CONSTRAINT; Schema: company_en; Owner: -
--

ALTER TABLE ONLY income_cashflow
    ADD CONSTRAINT fk_cashflow_id_income_cashflow FOREIGN KEY (cashflow_id) REFERENCES cashflow(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_cashflow_id_outgoing_cashflow; Type: FK CONSTRAINT; Schema: company_en; Owner: -
--

ALTER TABLE ONLY outgoing_cashflow
    ADD CONSTRAINT fk_cashflow_id_outgoing_cashflow FOREIGN KEY (cashflow_id) REFERENCES cashflow(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_commission_id_contract_commission; Type: FK CONSTRAINT; Schema: company_en; Owner: -
--

ALTER TABLE ONLY contract_commission
    ADD CONSTRAINT fk_commission_id_contract_commission FOREIGN KEY (commission_id) REFERENCES commission(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_company_id_company_subaccount; Type: FK CONSTRAINT; Schema: company_en; Owner: -
--

ALTER TABLE ONLY company_subaccount
    ADD CONSTRAINT fk_company_id_company_subaccount FOREIGN KEY (company_id) REFERENCES company(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_contact_id_bperson_contact; Type: FK CONSTRAINT; Schema: company_en; Owner: -
--

ALTER TABLE ONLY bperson_contact
    ADD CONSTRAINT fk_contact_id_bperson_contact FOREIGN KEY (contact_id) REFERENCES contact(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_contact_id_employee_contact; Type: FK CONSTRAINT; Schema: company_en; Owner: -
--

ALTER TABLE ONLY employee_contact
    ADD CONSTRAINT fk_contact_id_employee_contact FOREIGN KEY (contact_id) REFERENCES contact(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_contact_id_person_contact; Type: FK CONSTRAINT; Schema: company_en; Owner: -
--

ALTER TABLE ONLY person_contact
    ADD CONSTRAINT fk_contact_id_person_contact FOREIGN KEY (contact_id) REFERENCES contact(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_contact_id_structure_contact; Type: FK CONSTRAINT; Schema: company_en; Owner: -
--

ALTER TABLE ONLY structure_contact
    ADD CONSTRAINT fk_contact_id_structure_contact FOREIGN KEY (contact_id) REFERENCES contact(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_contract_id_caluclation; Type: FK CONSTRAINT; Schema: company_en; Owner: -
--

ALTER TABLE ONLY calculation
    ADD CONSTRAINT fk_contract_id_caluclation FOREIGN KEY (contract_id) REFERENCES contract(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_contract_id_contract_commission; Type: FK CONSTRAINT; Schema: company_en; Owner: -
--

ALTER TABLE ONLY contract_commission
    ADD CONSTRAINT fk_contract_id_contract_commission FOREIGN KEY (contract_id) REFERENCES contract(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_contract_id_supplier_contract; Type: FK CONSTRAINT; Schema: company_en; Owner: -
--

ALTER TABLE ONLY supplier_contract
    ADD CONSTRAINT fk_contract_id_supplier_contract FOREIGN KEY (contract_id) REFERENCES contract(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_country_id_passport; Type: FK CONSTRAINT; Schema: company_en; Owner: -
--

ALTER TABLE ONLY passport
    ADD CONSTRAINT fk_country_id_passport FOREIGN KEY (country_id) REFERENCES country(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_country_id_visa; Type: FK CONSTRAINT; Schema: company_en; Owner: -
--

ALTER TABLE ONLY visa
    ADD CONSTRAINT fk_country_id_visa FOREIGN KEY (country_id) REFERENCES country(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_currency_id_account; Type: FK CONSTRAINT; Schema: company_en; Owner: -
--

ALTER TABLE ONLY account
    ADD CONSTRAINT fk_currency_id_account FOREIGN KEY (currency_id) REFERENCES currency(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_currency_id_appointment; Type: FK CONSTRAINT; Schema: company_en; Owner: -
--

ALTER TABLE ONLY appointment
    ADD CONSTRAINT fk_currency_id_appointment FOREIGN KEY (currency_id) REFERENCES currency(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_currency_id_bank_detail; Type: FK CONSTRAINT; Schema: company_en; Owner: -
--

ALTER TABLE ONLY bank_detail
    ADD CONSTRAINT fk_currency_id_bank_detail FOREIGN KEY (currency_id) REFERENCES currency(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_currency_id_commission; Type: FK CONSTRAINT; Schema: company_en; Owner: -
--

ALTER TABLE ONLY commission
    ADD CONSTRAINT fk_currency_id_commission FOREIGN KEY (currency_id) REFERENCES currency(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_currency_id_company; Type: FK CONSTRAINT; Schema: company_en; Owner: -
--

ALTER TABLE ONLY company
    ADD CONSTRAINT fk_currency_id_company FOREIGN KEY (currency_id) REFERENCES currency(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_currency_id_currency_rate; Type: FK CONSTRAINT; Schema: company_en; Owner: -
--

ALTER TABLE ONLY currency_rate
    ADD CONSTRAINT fk_currency_id_currency_rate FOREIGN KEY (currency_id) REFERENCES currency(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_currency_id_lead_item; Type: FK CONSTRAINT; Schema: company_en; Owner: -
--

ALTER TABLE ONLY lead_item
    ADD CONSTRAINT fk_currency_id_lead_item FOREIGN KEY (currency_id) REFERENCES currency(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_currency_id_lead_offer; Type: FK CONSTRAINT; Schema: company_en; Owner: -
--

ALTER TABLE ONLY lead_offer
    ADD CONSTRAINT fk_currency_id_lead_offer FOREIGN KEY (currency_id) REFERENCES currency(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_currency_id_order_item; Type: FK CONSTRAINT; Schema: company_en; Owner: -
--

ALTER TABLE ONLY order_item
    ADD CONSTRAINT fk_currency_id_order_item FOREIGN KEY (currency_id) REFERENCES currency(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_customer_id_lead; Type: FK CONSTRAINT; Schema: company_en; Owner: -
--

ALTER TABLE ONLY lead
    ADD CONSTRAINT fk_customer_id_lead FOREIGN KEY (customer_id) REFERENCES person(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_customer_id_order; Type: FK CONSTRAINT; Schema: company_en; Owner: -
--

ALTER TABLE ONLY "order"
    ADD CONSTRAINT fk_customer_id_order FOREIGN KEY (customer_id) REFERENCES person(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_employee_id_appointment; Type: FK CONSTRAINT; Schema: company_en; Owner: -
--

ALTER TABLE ONLY appointment
    ADD CONSTRAINT fk_employee_id_appointment FOREIGN KEY (employee_id) REFERENCES employee(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_employee_id_dismissal; Type: FK CONSTRAINT; Schema: company_en; Owner: -
--

ALTER TABLE ONLY dismissal
    ADD CONSTRAINT fk_employee_id_dismissal FOREIGN KEY (employee_id) REFERENCES employee(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_employee_id_employee_address; Type: FK CONSTRAINT; Schema: company_en; Owner: -
--

ALTER TABLE ONLY employee_address
    ADD CONSTRAINT fk_employee_id_employee_address FOREIGN KEY (employee_id) REFERENCES employee(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_employee_id_employee_contact; Type: FK CONSTRAINT; Schema: company_en; Owner: -
--

ALTER TABLE ONLY employee_contact
    ADD CONSTRAINT fk_employee_id_employee_contact FOREIGN KEY (employee_id) REFERENCES employee(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_employee_id_employee_notification; Type: FK CONSTRAINT; Schema: company_en; Owner: -
--

ALTER TABLE ONLY employee_notification
    ADD CONSTRAINT fk_employee_id_employee_notification FOREIGN KEY (employee_id) REFERENCES employee(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_employee_id_employee_passport; Type: FK CONSTRAINT; Schema: company_en; Owner: -
--

ALTER TABLE ONLY employee_passport
    ADD CONSTRAINT fk_employee_id_employee_passport FOREIGN KEY (employee_id) REFERENCES employee(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_employee_id_employee_subaccount; Type: FK CONSTRAINT; Schema: company_en; Owner: -
--

ALTER TABLE ONLY employee_subaccount
    ADD CONSTRAINT fk_employee_id_employee_subaccount FOREIGN KEY (employee_id) REFERENCES employee(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_employee_id_employee_upload; Type: FK CONSTRAINT; Schema: company_en; Owner: -
--

ALTER TABLE ONLY employee_upload
    ADD CONSTRAINT fk_employee_id_employee_upload FOREIGN KEY (employee_id) REFERENCES employee(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_employee_id_resource_log; Type: FK CONSTRAINT; Schema: company_en; Owner: -
--

ALTER TABLE ONLY resource_log
    ADD CONSTRAINT fk_employee_id_resource_log FOREIGN KEY (employee_id) REFERENCES employee(id) ON UPDATE CASCADE ON DELETE CASCADE;


--
-- Name: fk_employee_id_user; Type: FK CONSTRAINT; Schema: company_en; Owner: -
--

ALTER TABLE ONLY "user"
    ADD CONSTRAINT fk_employee_id_user FOREIGN KEY (employee_id) REFERENCES employee(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_end_location_id_ticket; Type: FK CONSTRAINT; Schema: company_en; Owner: -
--

ALTER TABLE ONLY ticket
    ADD CONSTRAINT fk_end_location_id_ticket FOREIGN KEY (end_location_id) REFERENCES location(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_end_location_id_tour; Type: FK CONSTRAINT; Schema: company_en; Owner: -
--

ALTER TABLE ONLY tour
    ADD CONSTRAINT fk_end_location_id_tour FOREIGN KEY (end_location_id) REFERENCES location(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_end_transport_id_tour; Type: FK CONSTRAINT; Schema: company_en; Owner: -
--

ALTER TABLE ONLY tour
    ADD CONSTRAINT fk_end_transport_id_tour FOREIGN KEY (end_transport_id) REFERENCES transport(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_foodcat_id_tour; Type: FK CONSTRAINT; Schema: company_en; Owner: -
--

ALTER TABLE ONLY tour
    ADD CONSTRAINT fk_foodcat_id_tour FOREIGN KEY (foodcat_id) REFERENCES foodcat(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_hotel_id_tour; Type: FK CONSTRAINT; Schema: company_en; Owner: -
--

ALTER TABLE ONLY tour
    ADD CONSTRAINT fk_hotel_id_tour FOREIGN KEY (hotel_id) REFERENCES hotel(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_hotelcat_id_hotel; Type: FK CONSTRAINT; Schema: company_en; Owner: -
--

ALTER TABLE ONLY hotel
    ADD CONSTRAINT fk_hotelcat_id_hotel FOREIGN KEY (hotelcat_id) REFERENCES hotelcat(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_income_id_income_cashflow; Type: FK CONSTRAINT; Schema: company_en; Owner: -
--

ALTER TABLE ONLY income_cashflow
    ADD CONSTRAINT fk_income_id_income_cashflow FOREIGN KEY (income_id) REFERENCES income(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_invoice_id_income; Type: FK CONSTRAINT; Schema: company_en; Owner: -
--

ALTER TABLE ONLY income
    ADD CONSTRAINT fk_invoice_id_income FOREIGN KEY (invoice_id) REFERENCES invoice(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_invoice_id_invoice_item; Type: FK CONSTRAINT; Schema: company_en; Owner: -
--

ALTER TABLE ONLY invoice_item
    ADD CONSTRAINT fk_invoice_id_invoice_item FOREIGN KEY (invoice_id) REFERENCES invoice(id) ON UPDATE CASCADE ON DELETE CASCADE;


--
-- Name: fk_lead_id_lead_item; Type: FK CONSTRAINT; Schema: company_en; Owner: -
--

ALTER TABLE ONLY lead_item
    ADD CONSTRAINT fk_lead_id_lead_item FOREIGN KEY (lead_id) REFERENCES lead(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_lead_id_lead_offer; Type: FK CONSTRAINT; Schema: company_en; Owner: -
--

ALTER TABLE ONLY lead_offer
    ADD CONSTRAINT fk_lead_id_lead_offer FOREIGN KEY (lead_id) REFERENCES lead(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_lead_id_order; Type: FK CONSTRAINT; Schema: company_en; Owner: -
--

ALTER TABLE ONLY "order"
    ADD CONSTRAINT fk_lead_id_order FOREIGN KEY (lead_id) REFERENCES lead(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_location_id_address; Type: FK CONSTRAINT; Schema: company_en; Owner: -
--

ALTER TABLE ONLY address
    ADD CONSTRAINT fk_location_id_address FOREIGN KEY (location_id) REFERENCES location(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_location_id_hotel; Type: FK CONSTRAINT; Schema: company_en; Owner: -
--

ALTER TABLE ONLY hotel
    ADD CONSTRAINT fk_location_id_hotel FOREIGN KEY (location_id) REFERENCES location(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_maintainer_id_resource; Type: FK CONSTRAINT; Schema: company_en; Owner: -
--

ALTER TABLE ONLY resource
    ADD CONSTRAINT fk_maintainer_id_resource FOREIGN KEY (maintainer_id) REFERENCES employee(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_navigation_position_id; Type: FK CONSTRAINT; Schema: company_en; Owner: -
--

ALTER TABLE ONLY navigation
    ADD CONSTRAINT fk_navigation_position_id FOREIGN KEY (position_id) REFERENCES "position"(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_note_id_note_resource; Type: FK CONSTRAINT; Schema: company_en; Owner: -
--

ALTER TABLE ONLY note_resource
    ADD CONSTRAINT fk_note_id_note_resource FOREIGN KEY (note_id) REFERENCES note(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_note_id_note_upload; Type: FK CONSTRAINT; Schema: company_en; Owner: -
--

ALTER TABLE ONLY note_upload
    ADD CONSTRAINT fk_note_id_note_upload FOREIGN KEY (note_id) REFERENCES note(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_notification_id_employee_notification; Type: FK CONSTRAINT; Schema: company_en; Owner: -
--

ALTER TABLE ONLY employee_notification
    ADD CONSTRAINT fk_notification_id_employee_notification FOREIGN KEY (notification_id) REFERENCES notification(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_notification_id_notification_resource; Type: FK CONSTRAINT; Schema: company_en; Owner: -
--

ALTER TABLE ONLY notification_resource
    ADD CONSTRAINT fk_notification_id_notification_resource FOREIGN KEY (notification_id) REFERENCES notification(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_order_id_invoice; Type: FK CONSTRAINT; Schema: company_en; Owner: -
--

ALTER TABLE ONLY invoice
    ADD CONSTRAINT fk_order_id_invoice FOREIGN KEY (order_id) REFERENCES "order"(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_order_id_order_item; Type: FK CONSTRAINT; Schema: company_en; Owner: -
--

ALTER TABLE ONLY order_item
    ADD CONSTRAINT fk_order_id_order_item FOREIGN KEY (order_id) REFERENCES "order"(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_order_item_id_caluclation; Type: FK CONSTRAINT; Schema: company_en; Owner: -
--

ALTER TABLE ONLY calculation
    ADD CONSTRAINT fk_order_item_id_caluclation FOREIGN KEY (order_item_id) REFERENCES order_item(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_order_item_id_invoice_item; Type: FK CONSTRAINT; Schema: company_en; Owner: -
--

ALTER TABLE ONLY invoice_item
    ADD CONSTRAINT fk_order_item_id_invoice_item FOREIGN KEY (order_item_id) REFERENCES order_item(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_order_item_id_person_order_item; Type: FK CONSTRAINT; Schema: company_en; Owner: -
--

ALTER TABLE ONLY person_order_item
    ADD CONSTRAINT fk_order_item_id_person_order_item FOREIGN KEY (order_item_id) REFERENCES order_item(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_order_item_id_spassport_order_item; Type: FK CONSTRAINT; Schema: company_en; Owner: -
--

ALTER TABLE ONLY spassport_order_item
    ADD CONSTRAINT fk_order_item_id_spassport_order_item FOREIGN KEY (order_item_id) REFERENCES order_item(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_order_item_id_ticket_order_item; Type: FK CONSTRAINT; Schema: company_en; Owner: -
--

ALTER TABLE ONLY ticket_order_item
    ADD CONSTRAINT fk_order_item_id_ticket_order_item FOREIGN KEY (order_item_id) REFERENCES order_item(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_order_item_id_tour_order_item; Type: FK CONSTRAINT; Schema: company_en; Owner: -
--

ALTER TABLE ONLY tour_order_item
    ADD CONSTRAINT fk_order_item_id_tour_order_item FOREIGN KEY (order_item_id) REFERENCES order_item(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_order_item_id_visa_order_item; Type: FK CONSTRAINT; Schema: company_en; Owner: -
--

ALTER TABLE ONLY visa_order_item
    ADD CONSTRAINT fk_order_item_id_visa_order_item FOREIGN KEY (order_item_id) REFERENCES order_item(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_outgoing_id_outgoing_cashflow; Type: FK CONSTRAINT; Schema: company_en; Owner: -
--

ALTER TABLE ONLY outgoing_cashflow
    ADD CONSTRAINT fk_outgoing_id_outgoing_cashflow FOREIGN KEY (outgoing_id) REFERENCES outgoing(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_parent_id_navigation; Type: FK CONSTRAINT; Schema: company_en; Owner: -
--

ALTER TABLE ONLY navigation
    ADD CONSTRAINT fk_parent_id_navigation FOREIGN KEY (parent_id) REFERENCES navigation(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_passport_id_employee_passport; Type: FK CONSTRAINT; Schema: company_en; Owner: -
--

ALTER TABLE ONLY employee_passport
    ADD CONSTRAINT fk_passport_id_employee_passport FOREIGN KEY (passport_id) REFERENCES passport(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_passport_id_passport_upload; Type: FK CONSTRAINT; Schema: company_en; Owner: -
--

ALTER TABLE ONLY passport_upload
    ADD CONSTRAINT fk_passport_id_passport_upload FOREIGN KEY (passport_id) REFERENCES passport(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_passport_id_person_passport; Type: FK CONSTRAINT; Schema: company_en; Owner: -
--

ALTER TABLE ONLY person_passport
    ADD CONSTRAINT fk_passport_id_person_passport FOREIGN KEY (passport_id) REFERENCES passport(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_permision_structure_id; Type: FK CONSTRAINT; Schema: company_en; Owner: -
--

ALTER TABLE ONLY permision
    ADD CONSTRAINT fk_permision_structure_id FOREIGN KEY (structure_id) REFERENCES structure(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_person_category_id_person; Type: FK CONSTRAINT; Schema: company_en; Owner: -
--

ALTER TABLE ONLY person
    ADD CONSTRAINT fk_person_category_id_person FOREIGN KEY (person_category_id) REFERENCES person_category(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_person_id_person_address; Type: FK CONSTRAINT; Schema: company_en; Owner: -
--

ALTER TABLE ONLY person_address
    ADD CONSTRAINT fk_person_id_person_address FOREIGN KEY (person_id) REFERENCES person(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_person_id_person_contact; Type: FK CONSTRAINT; Schema: company_en; Owner: -
--

ALTER TABLE ONLY person_contact
    ADD CONSTRAINT fk_person_id_person_contact FOREIGN KEY (person_id) REFERENCES person(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_person_id_person_order_item; Type: FK CONSTRAINT; Schema: company_en; Owner: -
--

ALTER TABLE ONLY person_order_item
    ADD CONSTRAINT fk_person_id_person_order_item FOREIGN KEY (person_id) REFERENCES person(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_person_id_person_passport; Type: FK CONSTRAINT; Schema: company_en; Owner: -
--

ALTER TABLE ONLY person_passport
    ADD CONSTRAINT fk_person_id_person_passport FOREIGN KEY (person_id) REFERENCES person(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_person_id_person_subaccount; Type: FK CONSTRAINT; Schema: company_en; Owner: -
--

ALTER TABLE ONLY person_subaccount
    ADD CONSTRAINT fk_person_id_person_subaccount FOREIGN KEY (person_id) REFERENCES person(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_photo_upload_id_employee; Type: FK CONSTRAINT; Schema: company_en; Owner: -
--

ALTER TABLE ONLY employee
    ADD CONSTRAINT fk_photo_upload_id_employee FOREIGN KEY (photo_upload_id) REFERENCES upload(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_position_id_appointment; Type: FK CONSTRAINT; Schema: company_en; Owner: -
--

ALTER TABLE ONLY appointment
    ADD CONSTRAINT fk_position_id_appointment FOREIGN KEY (position_id) REFERENCES "position"(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_position_id_permision; Type: FK CONSTRAINT; Schema: company_en; Owner: -
--

ALTER TABLE ONLY permision
    ADD CONSTRAINT fk_position_id_permision FOREIGN KEY (position_id) REFERENCES "position"(id) ON UPDATE CASCADE ON DELETE CASCADE;


--
-- Name: fk_position_structure_id; Type: FK CONSTRAINT; Schema: company_en; Owner: -
--

ALTER TABLE ONLY "position"
    ADD CONSTRAINT fk_position_structure_id FOREIGN KEY (structure_id) REFERENCES structure(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_region_country_id; Type: FK CONSTRAINT; Schema: company_en; Owner: -
--

ALTER TABLE ONLY region
    ADD CONSTRAINT fk_region_country_id FOREIGN KEY (country_id) REFERENCES country(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_region_id_location; Type: FK CONSTRAINT; Schema: company_en; Owner: -
--

ALTER TABLE ONLY location
    ADD CONSTRAINT fk_region_id_location FOREIGN KEY (region_id) REFERENCES region(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_resource_id_accomodation; Type: FK CONSTRAINT; Schema: company_en; Owner: -
--

ALTER TABLE ONLY accomodation
    ADD CONSTRAINT fk_resource_id_accomodation FOREIGN KEY (resource_id) REFERENCES resource(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_resource_id_account; Type: FK CONSTRAINT; Schema: company_en; Owner: -
--

ALTER TABLE ONLY account
    ADD CONSTRAINT fk_resource_id_account FOREIGN KEY (resource_id) REFERENCES resource(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_resource_id_account_item; Type: FK CONSTRAINT; Schema: company_en; Owner: -
--

ALTER TABLE ONLY account_item
    ADD CONSTRAINT fk_resource_id_account_item FOREIGN KEY (resource_id) REFERENCES resource(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_resource_id_address; Type: FK CONSTRAINT; Schema: company_en; Owner: -
--

ALTER TABLE ONLY address
    ADD CONSTRAINT fk_resource_id_address FOREIGN KEY (resource_id) REFERENCES resource(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_resource_id_advsource; Type: FK CONSTRAINT; Schema: company_en; Owner: -
--

ALTER TABLE ONLY advsource
    ADD CONSTRAINT fk_resource_id_advsource FOREIGN KEY (resource_id) REFERENCES resource(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_resource_id_appointment; Type: FK CONSTRAINT; Schema: company_en; Owner: -
--

ALTER TABLE ONLY appointment
    ADD CONSTRAINT fk_resource_id_appointment FOREIGN KEY (resource_id) REFERENCES resource(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_resource_id_bank; Type: FK CONSTRAINT; Schema: company_en; Owner: -
--

ALTER TABLE ONLY bank
    ADD CONSTRAINT fk_resource_id_bank FOREIGN KEY (resource_id) REFERENCES resource(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_resource_id_bank_detail; Type: FK CONSTRAINT; Schema: company_en; Owner: -
--

ALTER TABLE ONLY bank_detail
    ADD CONSTRAINT fk_resource_id_bank_detail FOREIGN KEY (resource_id) REFERENCES resource(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_resource_id_bperson; Type: FK CONSTRAINT; Schema: company_en; Owner: -
--

ALTER TABLE ONLY bperson
    ADD CONSTRAINT fk_resource_id_bperson FOREIGN KEY (resource_id) REFERENCES resource(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_resource_id_calculation; Type: FK CONSTRAINT; Schema: company_en; Owner: -
--

ALTER TABLE ONLY calculation
    ADD CONSTRAINT fk_resource_id_calculation FOREIGN KEY (resource_id) REFERENCES resource(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_resource_id_campaign; Type: FK CONSTRAINT; Schema: company_en; Owner: -
--

ALTER TABLE ONLY campaign
    ADD CONSTRAINT fk_resource_id_campaign FOREIGN KEY (resource_id) REFERENCES resource(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_resource_id_commission; Type: FK CONSTRAINT; Schema: company_en; Owner: -
--

ALTER TABLE ONLY commission
    ADD CONSTRAINT fk_resource_id_commission FOREIGN KEY (resource_id) REFERENCES resource(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_resource_id_company; Type: FK CONSTRAINT; Schema: company_en; Owner: -
--

ALTER TABLE ONLY company
    ADD CONSTRAINT fk_resource_id_company FOREIGN KEY (resource_id) REFERENCES resource(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_resource_id_contact; Type: FK CONSTRAINT; Schema: company_en; Owner: -
--

ALTER TABLE ONLY contact
    ADD CONSTRAINT fk_resource_id_contact FOREIGN KEY (resource_id) REFERENCES resource(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_resource_id_contact; Type: FK CONSTRAINT; Schema: company_en; Owner: -
--

ALTER TABLE ONLY upload
    ADD CONSTRAINT fk_resource_id_contact FOREIGN KEY (resource_id) REFERENCES resource(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_resource_id_contract; Type: FK CONSTRAINT; Schema: company_en; Owner: -
--

ALTER TABLE ONLY contract
    ADD CONSTRAINT fk_resource_id_contract FOREIGN KEY (resource_id) REFERENCES resource(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_resource_id_country; Type: FK CONSTRAINT; Schema: company_en; Owner: -
--

ALTER TABLE ONLY country
    ADD CONSTRAINT fk_resource_id_country FOREIGN KEY (resource_id) REFERENCES resource(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_resource_id_crosspayment; Type: FK CONSTRAINT; Schema: company_en; Owner: -
--

ALTER TABLE ONLY crosspayment
    ADD CONSTRAINT fk_resource_id_crosspayment FOREIGN KEY (resource_id) REFERENCES resource(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_resource_id_currency; Type: FK CONSTRAINT; Schema: company_en; Owner: -
--

ALTER TABLE ONLY currency
    ADD CONSTRAINT fk_resource_id_currency FOREIGN KEY (resource_id) REFERENCES resource(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_resource_id_currency_rate; Type: FK CONSTRAINT; Schema: company_en; Owner: -
--

ALTER TABLE ONLY currency_rate
    ADD CONSTRAINT fk_resource_id_currency_rate FOREIGN KEY (resource_id) REFERENCES resource(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_resource_id_dismissal; Type: FK CONSTRAINT; Schema: company_en; Owner: -
--

ALTER TABLE ONLY dismissal
    ADD CONSTRAINT fk_resource_id_dismissal FOREIGN KEY (resource_id) REFERENCES resource(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_resource_id_employee; Type: FK CONSTRAINT; Schema: company_en; Owner: -
--

ALTER TABLE ONLY employee
    ADD CONSTRAINT fk_resource_id_employee FOREIGN KEY (resource_id) REFERENCES resource(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_resource_id_foodcat; Type: FK CONSTRAINT; Schema: company_en; Owner: -
--

ALTER TABLE ONLY foodcat
    ADD CONSTRAINT fk_resource_id_foodcat FOREIGN KEY (resource_id) REFERENCES resource(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_resource_id_hotel; Type: FK CONSTRAINT; Schema: company_en; Owner: -
--

ALTER TABLE ONLY hotel
    ADD CONSTRAINT fk_resource_id_hotel FOREIGN KEY (resource_id) REFERENCES resource(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_resource_id_hotelcat; Type: FK CONSTRAINT; Schema: company_en; Owner: -
--

ALTER TABLE ONLY hotelcat
    ADD CONSTRAINT fk_resource_id_hotelcat FOREIGN KEY (resource_id) REFERENCES resource(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_resource_id_income; Type: FK CONSTRAINT; Schema: company_en; Owner: -
--

ALTER TABLE ONLY income
    ADD CONSTRAINT fk_resource_id_income FOREIGN KEY (resource_id) REFERENCES resource(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_resource_id_invoice; Type: FK CONSTRAINT; Schema: company_en; Owner: -
--

ALTER TABLE ONLY invoice
    ADD CONSTRAINT fk_resource_id_invoice FOREIGN KEY (resource_id) REFERENCES resource(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_resource_id_lead; Type: FK CONSTRAINT; Schema: company_en; Owner: -
--

ALTER TABLE ONLY lead
    ADD CONSTRAINT fk_resource_id_lead FOREIGN KEY (resource_id) REFERENCES resource(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_resource_id_lead_item; Type: FK CONSTRAINT; Schema: company_en; Owner: -
--

ALTER TABLE ONLY lead_item
    ADD CONSTRAINT fk_resource_id_lead_item FOREIGN KEY (resource_id) REFERENCES resource(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_resource_id_lead_offer; Type: FK CONSTRAINT; Schema: company_en; Owner: -
--

ALTER TABLE ONLY lead_offer
    ADD CONSTRAINT fk_resource_id_lead_offer FOREIGN KEY (resource_id) REFERENCES resource(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_resource_id_location; Type: FK CONSTRAINT; Schema: company_en; Owner: -
--

ALTER TABLE ONLY location
    ADD CONSTRAINT fk_resource_id_location FOREIGN KEY (resource_id) REFERENCES resource(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_resource_id_navigation; Type: FK CONSTRAINT; Schema: company_en; Owner: -
--

ALTER TABLE ONLY navigation
    ADD CONSTRAINT fk_resource_id_navigation FOREIGN KEY (resource_id) REFERENCES resource(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_resource_id_note; Type: FK CONSTRAINT; Schema: company_en; Owner: -
--

ALTER TABLE ONLY note
    ADD CONSTRAINT fk_resource_id_note FOREIGN KEY (resource_id) REFERENCES resource(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_resource_id_note_resource; Type: FK CONSTRAINT; Schema: company_en; Owner: -
--

ALTER TABLE ONLY note_resource
    ADD CONSTRAINT fk_resource_id_note_resource FOREIGN KEY (resource_id) REFERENCES resource(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_resource_id_notification; Type: FK CONSTRAINT; Schema: company_en; Owner: -
--

ALTER TABLE ONLY notification
    ADD CONSTRAINT fk_resource_id_notification FOREIGN KEY (resource_id) REFERENCES resource(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_resource_id_notification_resource; Type: FK CONSTRAINT; Schema: company_en; Owner: -
--

ALTER TABLE ONLY notification_resource
    ADD CONSTRAINT fk_resource_id_notification_resource FOREIGN KEY (resource_id) REFERENCES resource(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_resource_id_order; Type: FK CONSTRAINT; Schema: company_en; Owner: -
--

ALTER TABLE ONLY "order"
    ADD CONSTRAINT fk_resource_id_order FOREIGN KEY (resource_id) REFERENCES resource(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_resource_id_order_item; Type: FK CONSTRAINT; Schema: company_en; Owner: -
--

ALTER TABLE ONLY order_item
    ADD CONSTRAINT fk_resource_id_order_item FOREIGN KEY (resource_id) REFERENCES resource(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_resource_id_outgoing; Type: FK CONSTRAINT; Schema: company_en; Owner: -
--

ALTER TABLE ONLY outgoing
    ADD CONSTRAINT fk_resource_id_outgoing FOREIGN KEY (resource_id) REFERENCES resource(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_resource_id_passport; Type: FK CONSTRAINT; Schema: company_en; Owner: -
--

ALTER TABLE ONLY passport
    ADD CONSTRAINT fk_resource_id_passport FOREIGN KEY (resource_id) REFERENCES resource(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_resource_id_person; Type: FK CONSTRAINT; Schema: company_en; Owner: -
--

ALTER TABLE ONLY person
    ADD CONSTRAINT fk_resource_id_person FOREIGN KEY (resource_id) REFERENCES resource(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_resource_id_person_category; Type: FK CONSTRAINT; Schema: company_en; Owner: -
--

ALTER TABLE ONLY person_category
    ADD CONSTRAINT fk_resource_id_person_category FOREIGN KEY (resource_id) REFERENCES resource(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_resource_id_position; Type: FK CONSTRAINT; Schema: company_en; Owner: -
--

ALTER TABLE ONLY "position"
    ADD CONSTRAINT fk_resource_id_position FOREIGN KEY (resource_id) REFERENCES resource(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_resource_id_region; Type: FK CONSTRAINT; Schema: company_en; Owner: -
--

ALTER TABLE ONLY region
    ADD CONSTRAINT fk_resource_id_region FOREIGN KEY (resource_id) REFERENCES resource(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_resource_id_resource_log; Type: FK CONSTRAINT; Schema: company_en; Owner: -
--

ALTER TABLE ONLY resource_log
    ADD CONSTRAINT fk_resource_id_resource_log FOREIGN KEY (resource_id) REFERENCES resource(id) ON UPDATE CASCADE ON DELETE CASCADE;


--
-- Name: fk_resource_id_resource_type; Type: FK CONSTRAINT; Schema: company_en; Owner: -
--

ALTER TABLE ONLY resource_type
    ADD CONSTRAINT fk_resource_id_resource_type FOREIGN KEY (resource_id) REFERENCES resource(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_resource_id_roomcat; Type: FK CONSTRAINT; Schema: company_en; Owner: -
--

ALTER TABLE ONLY roomcat
    ADD CONSTRAINT fk_resource_id_roomcat FOREIGN KEY (resource_id) REFERENCES resource(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_resource_id_service; Type: FK CONSTRAINT; Schema: company_en; Owner: -
--

ALTER TABLE ONLY service
    ADD CONSTRAINT fk_resource_id_service FOREIGN KEY (resource_id) REFERENCES resource(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_resource_id_spassport; Type: FK CONSTRAINT; Schema: company_en; Owner: -
--

ALTER TABLE ONLY spassport
    ADD CONSTRAINT fk_resource_id_spassport FOREIGN KEY (resource_id) REFERENCES resource(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_resource_id_structure; Type: FK CONSTRAINT; Schema: company_en; Owner: -
--

ALTER TABLE ONLY structure
    ADD CONSTRAINT fk_resource_id_structure FOREIGN KEY (resource_id) REFERENCES resource(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_resource_id_subaccount; Type: FK CONSTRAINT; Schema: company_en; Owner: -
--

ALTER TABLE ONLY subaccount
    ADD CONSTRAINT fk_resource_id_subaccount FOREIGN KEY (resource_id) REFERENCES resource(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_resource_id_supplier; Type: FK CONSTRAINT; Schema: company_en; Owner: -
--

ALTER TABLE ONLY supplier
    ADD CONSTRAINT fk_resource_id_supplier FOREIGN KEY (resource_id) REFERENCES resource(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_resource_id_supplier_type; Type: FK CONSTRAINT; Schema: company_en; Owner: -
--

ALTER TABLE ONLY supplier_type
    ADD CONSTRAINT fk_resource_id_supplier_type FOREIGN KEY (resource_id) REFERENCES resource(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_resource_id_task; Type: FK CONSTRAINT; Schema: company_en; Owner: -
--

ALTER TABLE ONLY task
    ADD CONSTRAINT fk_resource_id_task FOREIGN KEY (resource_id) REFERENCES resource(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_resource_id_task_resource; Type: FK CONSTRAINT; Schema: company_en; Owner: -
--

ALTER TABLE ONLY task_resource
    ADD CONSTRAINT fk_resource_id_task_resource FOREIGN KEY (resource_id) REFERENCES resource(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_resource_id_ticket; Type: FK CONSTRAINT; Schema: company_en; Owner: -
--

ALTER TABLE ONLY ticket
    ADD CONSTRAINT fk_resource_id_ticket FOREIGN KEY (resource_id) REFERENCES resource(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_resource_id_ticket_class; Type: FK CONSTRAINT; Schema: company_en; Owner: -
--

ALTER TABLE ONLY ticket_class
    ADD CONSTRAINT fk_resource_id_ticket_class FOREIGN KEY (resource_id) REFERENCES resource(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_resource_id_tour; Type: FK CONSTRAINT; Schema: company_en; Owner: -
--

ALTER TABLE ONLY tour
    ADD CONSTRAINT fk_resource_id_tour FOREIGN KEY (resource_id) REFERENCES resource(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_resource_id_transfer; Type: FK CONSTRAINT; Schema: company_en; Owner: -
--

ALTER TABLE ONLY transfer
    ADD CONSTRAINT fk_resource_id_transfer FOREIGN KEY (resource_id) REFERENCES resource(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_resource_id_transport; Type: FK CONSTRAINT; Schema: company_en; Owner: -
--

ALTER TABLE ONLY transport
    ADD CONSTRAINT fk_resource_id_transport FOREIGN KEY (resource_id) REFERENCES resource(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_resource_id_user; Type: FK CONSTRAINT; Schema: company_en; Owner: -
--

ALTER TABLE ONLY "user"
    ADD CONSTRAINT fk_resource_id_user FOREIGN KEY (resource_id) REFERENCES resource(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_resource_id_vat; Type: FK CONSTRAINT; Schema: company_en; Owner: -
--

ALTER TABLE ONLY vat
    ADD CONSTRAINT fk_resource_id_vat FOREIGN KEY (resource_id) REFERENCES resource(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_resource_id_visa; Type: FK CONSTRAINT; Schema: company_en; Owner: -
--

ALTER TABLE ONLY visa
    ADD CONSTRAINT fk_resource_id_visa FOREIGN KEY (resource_id) REFERENCES resource(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_resource_type_id_permission; Type: FK CONSTRAINT; Schema: company_en; Owner: -
--

ALTER TABLE ONLY permision
    ADD CONSTRAINT fk_resource_type_id_permission FOREIGN KEY (resource_type_id) REFERENCES resource_type(id) ON UPDATE CASCADE ON DELETE CASCADE;


--
-- Name: fk_resource_type_id_resource; Type: FK CONSTRAINT; Schema: company_en; Owner: -
--

ALTER TABLE ONLY resource
    ADD CONSTRAINT fk_resource_type_id_resource FOREIGN KEY (resource_type_id) REFERENCES resource_type(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_resource_type_id_service; Type: FK CONSTRAINT; Schema: company_en; Owner: -
--

ALTER TABLE ONLY service
    ADD CONSTRAINT fk_resource_type_id_service FOREIGN KEY (resource_type_id) REFERENCES resource_type(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_roomcat_id_tour; Type: FK CONSTRAINT; Schema: company_en; Owner: -
--

ALTER TABLE ONLY tour
    ADD CONSTRAINT fk_roomcat_id_tour FOREIGN KEY (roomcat_id) REFERENCES roomcat(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_service_id_commission; Type: FK CONSTRAINT; Schema: company_en; Owner: -
--

ALTER TABLE ONLY commission
    ADD CONSTRAINT fk_service_id_commission FOREIGN KEY (service_id) REFERENCES service(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_service_id_lead_item; Type: FK CONSTRAINT; Schema: company_en; Owner: -
--

ALTER TABLE ONLY lead_item
    ADD CONSTRAINT fk_service_id_lead_item FOREIGN KEY (service_id) REFERENCES service(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_service_id_lead_offer; Type: FK CONSTRAINT; Schema: company_en; Owner: -
--

ALTER TABLE ONLY lead_offer
    ADD CONSTRAINT fk_service_id_lead_offer FOREIGN KEY (service_id) REFERENCES service(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_service_id_order_item; Type: FK CONSTRAINT; Schema: company_en; Owner: -
--

ALTER TABLE ONLY order_item
    ADD CONSTRAINT fk_service_id_order_item FOREIGN KEY (service_id) REFERENCES service(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_service_id_vat; Type: FK CONSTRAINT; Schema: company_en; Owner: -
--

ALTER TABLE ONLY vat
    ADD CONSTRAINT fk_service_id_vat FOREIGN KEY (service_id) REFERENCES service(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_spassport_id_spassport_order_item; Type: FK CONSTRAINT; Schema: company_en; Owner: -
--

ALTER TABLE ONLY spassport_order_item
    ADD CONSTRAINT fk_spassport_id_spassport_order_item FOREIGN KEY (spassport_id) REFERENCES spassport(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_start_location_id_ticket; Type: FK CONSTRAINT; Schema: company_en; Owner: -
--

ALTER TABLE ONLY ticket
    ADD CONSTRAINT fk_start_location_id_ticket FOREIGN KEY (start_location_id) REFERENCES location(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_start_location_id_tour; Type: FK CONSTRAINT; Schema: company_en; Owner: -
--

ALTER TABLE ONLY tour
    ADD CONSTRAINT fk_start_location_id_tour FOREIGN KEY (start_location_id) REFERENCES location(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_start_transport_id_tour; Type: FK CONSTRAINT; Schema: company_en; Owner: -
--

ALTER TABLE ONLY tour
    ADD CONSTRAINT fk_start_transport_id_tour FOREIGN KEY (start_transport_id) REFERENCES transport(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_structure_company_id; Type: FK CONSTRAINT; Schema: company_en; Owner: -
--

ALTER TABLE ONLY structure
    ADD CONSTRAINT fk_structure_company_id FOREIGN KEY (company_id) REFERENCES company(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_structure_id_structure_address; Type: FK CONSTRAINT; Schema: company_en; Owner: -
--

ALTER TABLE ONLY structure_address
    ADD CONSTRAINT fk_structure_id_structure_address FOREIGN KEY (structure_id) REFERENCES structure(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_structure_id_structure_bank_detail; Type: FK CONSTRAINT; Schema: company_en; Owner: -
--

ALTER TABLE ONLY structure_bank_detail
    ADD CONSTRAINT fk_structure_id_structure_bank_detail FOREIGN KEY (structure_id) REFERENCES structure(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_structure_id_structure_contact; Type: FK CONSTRAINT; Schema: company_en; Owner: -
--

ALTER TABLE ONLY structure_contact
    ADD CONSTRAINT fk_structure_id_structure_contact FOREIGN KEY (structure_id) REFERENCES structure(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_structure_parent_id; Type: FK CONSTRAINT; Schema: company_en; Owner: -
--

ALTER TABLE ONLY structure
    ADD CONSTRAINT fk_structure_parent_id FOREIGN KEY (parent_id) REFERENCES structure(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_subaccount_account_id; Type: FK CONSTRAINT; Schema: company_en; Owner: -
--

ALTER TABLE ONLY subaccount
    ADD CONSTRAINT fk_subaccount_account_id FOREIGN KEY (account_id) REFERENCES account(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_subaccount_from_id_cashflow; Type: FK CONSTRAINT; Schema: company_en; Owner: -
--

ALTER TABLE ONLY cashflow
    ADD CONSTRAINT fk_subaccount_from_id_cashflow FOREIGN KEY (subaccount_from_id) REFERENCES subaccount(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_subaccount_id_company_subaccount; Type: FK CONSTRAINT; Schema: company_en; Owner: -
--

ALTER TABLE ONLY company_subaccount
    ADD CONSTRAINT fk_subaccount_id_company_subaccount FOREIGN KEY (subaccount_id) REFERENCES subaccount(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_subaccount_id_employee_subaccount; Type: FK CONSTRAINT; Schema: company_en; Owner: -
--

ALTER TABLE ONLY employee_subaccount
    ADD CONSTRAINT fk_subaccount_id_employee_subaccount FOREIGN KEY (subaccount_id) REFERENCES subaccount(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_subaccount_id_outgoing; Type: FK CONSTRAINT; Schema: company_en; Owner: -
--

ALTER TABLE ONLY outgoing
    ADD CONSTRAINT fk_subaccount_id_outgoing FOREIGN KEY (subaccount_id) REFERENCES subaccount(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_subaccount_id_person_subaccount; Type: FK CONSTRAINT; Schema: company_en; Owner: -
--

ALTER TABLE ONLY person_subaccount
    ADD CONSTRAINT fk_subaccount_id_person_subaccount FOREIGN KEY (subaccount_id) REFERENCES subaccount(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_subaccount_id_supplier_subaccount; Type: FK CONSTRAINT; Schema: company_en; Owner: -
--

ALTER TABLE ONLY supplier_subaccount
    ADD CONSTRAINT fk_subaccount_id_supplier_subaccount FOREIGN KEY (subaccount_id) REFERENCES subaccount(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_subaccount_to_id_cashflow; Type: FK CONSTRAINT; Schema: company_en; Owner: -
--

ALTER TABLE ONLY cashflow
    ADD CONSTRAINT fk_subaccount_to_id_cashflow FOREIGN KEY (subaccount_to_id) REFERENCES subaccount(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_supplier_id_currency_rate; Type: FK CONSTRAINT; Schema: company_en; Owner: -
--

ALTER TABLE ONLY currency_rate
    ADD CONSTRAINT fk_supplier_id_currency_rate FOREIGN KEY (supplier_id) REFERENCES supplier(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_supplier_id_lead_offer; Type: FK CONSTRAINT; Schema: company_en; Owner: -
--

ALTER TABLE ONLY lead_offer
    ADD CONSTRAINT fk_supplier_id_lead_offer FOREIGN KEY (supplier_id) REFERENCES supplier(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_supplier_id_order_item; Type: FK CONSTRAINT; Schema: company_en; Owner: -
--

ALTER TABLE ONLY order_item
    ADD CONSTRAINT fk_supplier_id_order_item FOREIGN KEY (supplier_id) REFERENCES supplier(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_supplier_id_supplier_bank_detail; Type: FK CONSTRAINT; Schema: company_en; Owner: -
--

ALTER TABLE ONLY supplier_bank_detail
    ADD CONSTRAINT fk_supplier_id_supplier_bank_detail FOREIGN KEY (supplier_id) REFERENCES supplier(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_supplier_id_supplier_bperson; Type: FK CONSTRAINT; Schema: company_en; Owner: -
--

ALTER TABLE ONLY supplier_bperson
    ADD CONSTRAINT fk_supplier_id_supplier_bperson FOREIGN KEY (supplier_id) REFERENCES supplier(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_supplier_id_supplier_contract; Type: FK CONSTRAINT; Schema: company_en; Owner: -
--

ALTER TABLE ONLY supplier_contract
    ADD CONSTRAINT fk_supplier_id_supplier_contract FOREIGN KEY (supplier_id) REFERENCES supplier(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_supplier_id_supplier_subaccount; Type: FK CONSTRAINT; Schema: company_en; Owner: -
--

ALTER TABLE ONLY supplier_subaccount
    ADD CONSTRAINT fk_supplier_id_supplier_subaccount FOREIGN KEY (supplier_id) REFERENCES supplier(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_supplier_type_id_supplier; Type: FK CONSTRAINT; Schema: company_en; Owner: -
--

ALTER TABLE ONLY supplier
    ADD CONSTRAINT fk_supplier_type_id_supplier FOREIGN KEY (supplier_type_id) REFERENCES supplier_type(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_task_id_task_resource; Type: FK CONSTRAINT; Schema: company_en; Owner: -
--

ALTER TABLE ONLY task_resource
    ADD CONSTRAINT fk_task_id_task_resource FOREIGN KEY (task_id) REFERENCES task(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_task_id_task_upload; Type: FK CONSTRAINT; Schema: company_en; Owner: -
--

ALTER TABLE ONLY task_upload
    ADD CONSTRAINT fk_task_id_task_upload FOREIGN KEY (task_id) REFERENCES task(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_ticket_class_id_ticket; Type: FK CONSTRAINT; Schema: company_en; Owner: -
--

ALTER TABLE ONLY ticket
    ADD CONSTRAINT fk_ticket_class_id_ticket FOREIGN KEY (ticket_class_id) REFERENCES ticket_class(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_ticket_id_ticket_order_item; Type: FK CONSTRAINT; Schema: company_en; Owner: -
--

ALTER TABLE ONLY ticket_order_item
    ADD CONSTRAINT fk_ticket_id_ticket_order_item FOREIGN KEY (ticket_id) REFERENCES ticket(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_tour_id_tour_order_item; Type: FK CONSTRAINT; Schema: company_en; Owner: -
--

ALTER TABLE ONLY tour_order_item
    ADD CONSTRAINT fk_tour_id_tour_order_item FOREIGN KEY (tour_id) REFERENCES tour(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_transfer_id_tour; Type: FK CONSTRAINT; Schema: company_en; Owner: -
--

ALTER TABLE ONLY tour
    ADD CONSTRAINT fk_transfer_id_tour FOREIGN KEY (transfer_id) REFERENCES transfer(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_transport_id_ticket; Type: FK CONSTRAINT; Schema: company_en; Owner: -
--

ALTER TABLE ONLY ticket
    ADD CONSTRAINT fk_transport_id_ticket FOREIGN KEY (transport_id) REFERENCES transport(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_upload_id_employee_upload; Type: FK CONSTRAINT; Schema: company_en; Owner: -
--

ALTER TABLE ONLY employee_upload
    ADD CONSTRAINT fk_upload_id_employee_upload FOREIGN KEY (upload_id) REFERENCES upload(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_upload_id_note_upload; Type: FK CONSTRAINT; Schema: company_en; Owner: -
--

ALTER TABLE ONLY note_upload
    ADD CONSTRAINT fk_upload_id_note_upload FOREIGN KEY (upload_id) REFERENCES upload(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_upload_id_passport_upload; Type: FK CONSTRAINT; Schema: company_en; Owner: -
--

ALTER TABLE ONLY passport_upload
    ADD CONSTRAINT fk_upload_id_passport_upload FOREIGN KEY (upload_id) REFERENCES upload(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_upload_id_task_upload; Type: FK CONSTRAINT; Schema: company_en; Owner: -
--

ALTER TABLE ONLY task_upload
    ADD CONSTRAINT fk_upload_id_task_upload FOREIGN KEY (upload_id) REFERENCES upload(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_visa_id_visa_order_item; Type: FK CONSTRAINT; Schema: company_en; Owner: -
--

ALTER TABLE ONLY visa_order_item
    ADD CONSTRAINT fk_visa_id_visa_order_item FOREIGN KEY (visa_id) REFERENCES visa(id) ON UPDATE CASCADE ON DELETE RESTRICT;


SET search_path = company_ru, pg_catalog;

--
-- Name: fk_accomodation_id_tour; Type: FK CONSTRAINT; Schema: company_ru; Owner: -
--

ALTER TABLE ONLY tour
    ADD CONSTRAINT fk_accomodation_id_tour FOREIGN KEY (accomodation_id) REFERENCES accomodation(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_account_id_invoice; Type: FK CONSTRAINT; Schema: company_ru; Owner: -
--

ALTER TABLE ONLY invoice
    ADD CONSTRAINT fk_account_id_invoice FOREIGN KEY (account_id) REFERENCES account(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_account_id_vat; Type: FK CONSTRAINT; Schema: company_ru; Owner: -
--

ALTER TABLE ONLY vat
    ADD CONSTRAINT fk_account_id_vat FOREIGN KEY (account_id) REFERENCES account(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_account_item_id_cashflow; Type: FK CONSTRAINT; Schema: company_ru; Owner: -
--

ALTER TABLE ONLY cashflow
    ADD CONSTRAINT fk_account_item_id_cashflow FOREIGN KEY (account_item_id) REFERENCES account_item(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_account_item_id_cashflow; Type: FK CONSTRAINT; Schema: company_ru; Owner: -
--

ALTER TABLE ONLY income
    ADD CONSTRAINT fk_account_item_id_cashflow FOREIGN KEY (account_item_id) REFERENCES account_item(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_account_item_id_outgoing; Type: FK CONSTRAINT; Schema: company_ru; Owner: -
--

ALTER TABLE ONLY outgoing
    ADD CONSTRAINT fk_account_item_id_outgoing FOREIGN KEY (account_item_id) REFERENCES account_item(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_account_item_parent_id; Type: FK CONSTRAINT; Schema: company_ru; Owner: -
--

ALTER TABLE ONLY account_item
    ADD CONSTRAINT fk_account_item_parent_id FOREIGN KEY (parent_id) REFERENCES account_item(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_address_id_bank_address; Type: FK CONSTRAINT; Schema: company_ru; Owner: -
--

ALTER TABLE ONLY bank_address
    ADD CONSTRAINT fk_address_id_bank_address FOREIGN KEY (address_id) REFERENCES address(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_address_id_employee_address; Type: FK CONSTRAINT; Schema: company_ru; Owner: -
--

ALTER TABLE ONLY employee_address
    ADD CONSTRAINT fk_address_id_employee_address FOREIGN KEY (address_id) REFERENCES address(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_address_id_person_address; Type: FK CONSTRAINT; Schema: company_ru; Owner: -
--

ALTER TABLE ONLY person_address
    ADD CONSTRAINT fk_address_id_person_address FOREIGN KEY (address_id) REFERENCES address(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_address_id_structure_address; Type: FK CONSTRAINT; Schema: company_ru; Owner: -
--

ALTER TABLE ONLY structure_address
    ADD CONSTRAINT fk_address_id_structure_address FOREIGN KEY (address_id) REFERENCES address(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_advsource_id_lead; Type: FK CONSTRAINT; Schema: company_ru; Owner: -
--

ALTER TABLE ONLY lead
    ADD CONSTRAINT fk_advsource_id_lead FOREIGN KEY (advsource_id) REFERENCES advsource(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_advsource_id_order; Type: FK CONSTRAINT; Schema: company_ru; Owner: -
--

ALTER TABLE ONLY "order"
    ADD CONSTRAINT fk_advsource_id_order FOREIGN KEY (advsource_id) REFERENCES advsource(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_bank_detail_id_structure_bank_detail; Type: FK CONSTRAINT; Schema: company_ru; Owner: -
--

ALTER TABLE ONLY structure_bank_detail
    ADD CONSTRAINT fk_bank_detail_id_structure_bank_detail FOREIGN KEY (bank_detail_id) REFERENCES bank_detail(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_bank_detail_id_supplier_bank_detail; Type: FK CONSTRAINT; Schema: company_ru; Owner: -
--

ALTER TABLE ONLY supplier_bank_detail
    ADD CONSTRAINT fk_bank_detail_id_supplier_bank_detail FOREIGN KEY (bank_detail_id) REFERENCES bank_detail(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_bank_id_bank_address; Type: FK CONSTRAINT; Schema: company_ru; Owner: -
--

ALTER TABLE ONLY bank_address
    ADD CONSTRAINT fk_bank_id_bank_address FOREIGN KEY (bank_id) REFERENCES bank(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_bank_id_bank_detail; Type: FK CONSTRAINT; Schema: company_ru; Owner: -
--

ALTER TABLE ONLY bank_detail
    ADD CONSTRAINT fk_bank_id_bank_detail FOREIGN KEY (bank_id) REFERENCES bank(id) ON UPDATE CASCADE ON DELETE CASCADE;


--
-- Name: fk_bperson_id_bperson_contact; Type: FK CONSTRAINT; Schema: company_ru; Owner: -
--

ALTER TABLE ONLY bperson_contact
    ADD CONSTRAINT fk_bperson_id_bperson_contact FOREIGN KEY (bperson_id) REFERENCES bperson(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_bperson_id_supplier_bperson; Type: FK CONSTRAINT; Schema: company_ru; Owner: -
--

ALTER TABLE ONLY supplier_bperson
    ADD CONSTRAINT fk_bperson_id_supplier_bperson FOREIGN KEY (bperson_id) REFERENCES bperson(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_cashflow_id_crosspayment; Type: FK CONSTRAINT; Schema: company_ru; Owner: -
--

ALTER TABLE ONLY crosspayment
    ADD CONSTRAINT fk_cashflow_id_crosspayment FOREIGN KEY (cashflow_id) REFERENCES cashflow(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_cashflow_id_income_cashflow; Type: FK CONSTRAINT; Schema: company_ru; Owner: -
--

ALTER TABLE ONLY income_cashflow
    ADD CONSTRAINT fk_cashflow_id_income_cashflow FOREIGN KEY (cashflow_id) REFERENCES cashflow(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_cashflow_id_outgoing_cashflow; Type: FK CONSTRAINT; Schema: company_ru; Owner: -
--

ALTER TABLE ONLY outgoing_cashflow
    ADD CONSTRAINT fk_cashflow_id_outgoing_cashflow FOREIGN KEY (cashflow_id) REFERENCES cashflow(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_commission_id_contract_commission; Type: FK CONSTRAINT; Schema: company_ru; Owner: -
--

ALTER TABLE ONLY contract_commission
    ADD CONSTRAINT fk_commission_id_contract_commission FOREIGN KEY (commission_id) REFERENCES commission(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_company_id_company_subaccount; Type: FK CONSTRAINT; Schema: company_ru; Owner: -
--

ALTER TABLE ONLY company_subaccount
    ADD CONSTRAINT fk_company_id_company_subaccount FOREIGN KEY (company_id) REFERENCES company(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_contact_id_bperson_contact; Type: FK CONSTRAINT; Schema: company_ru; Owner: -
--

ALTER TABLE ONLY bperson_contact
    ADD CONSTRAINT fk_contact_id_bperson_contact FOREIGN KEY (contact_id) REFERENCES contact(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_contact_id_employee_contact; Type: FK CONSTRAINT; Schema: company_ru; Owner: -
--

ALTER TABLE ONLY employee_contact
    ADD CONSTRAINT fk_contact_id_employee_contact FOREIGN KEY (contact_id) REFERENCES contact(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_contact_id_person_contact; Type: FK CONSTRAINT; Schema: company_ru; Owner: -
--

ALTER TABLE ONLY person_contact
    ADD CONSTRAINT fk_contact_id_person_contact FOREIGN KEY (contact_id) REFERENCES contact(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_contact_id_structure_contact; Type: FK CONSTRAINT; Schema: company_ru; Owner: -
--

ALTER TABLE ONLY structure_contact
    ADD CONSTRAINT fk_contact_id_structure_contact FOREIGN KEY (contact_id) REFERENCES contact(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_contract_id_caluclation; Type: FK CONSTRAINT; Schema: company_ru; Owner: -
--

ALTER TABLE ONLY calculation
    ADD CONSTRAINT fk_contract_id_caluclation FOREIGN KEY (contract_id) REFERENCES contract(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_contract_id_contract_commission; Type: FK CONSTRAINT; Schema: company_ru; Owner: -
--

ALTER TABLE ONLY contract_commission
    ADD CONSTRAINT fk_contract_id_contract_commission FOREIGN KEY (contract_id) REFERENCES contract(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_contract_id_supplier_contract; Type: FK CONSTRAINT; Schema: company_ru; Owner: -
--

ALTER TABLE ONLY supplier_contract
    ADD CONSTRAINT fk_contract_id_supplier_contract FOREIGN KEY (contract_id) REFERENCES contract(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_country_id_passport; Type: FK CONSTRAINT; Schema: company_ru; Owner: -
--

ALTER TABLE ONLY passport
    ADD CONSTRAINT fk_country_id_passport FOREIGN KEY (country_id) REFERENCES country(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_country_id_visa; Type: FK CONSTRAINT; Schema: company_ru; Owner: -
--

ALTER TABLE ONLY visa
    ADD CONSTRAINT fk_country_id_visa FOREIGN KEY (country_id) REFERENCES country(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_currency_id_account; Type: FK CONSTRAINT; Schema: company_ru; Owner: -
--

ALTER TABLE ONLY account
    ADD CONSTRAINT fk_currency_id_account FOREIGN KEY (currency_id) REFERENCES currency(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_currency_id_appointment; Type: FK CONSTRAINT; Schema: company_ru; Owner: -
--

ALTER TABLE ONLY appointment
    ADD CONSTRAINT fk_currency_id_appointment FOREIGN KEY (currency_id) REFERENCES currency(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_currency_id_bank_detail; Type: FK CONSTRAINT; Schema: company_ru; Owner: -
--

ALTER TABLE ONLY bank_detail
    ADD CONSTRAINT fk_currency_id_bank_detail FOREIGN KEY (currency_id) REFERENCES currency(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_currency_id_commission; Type: FK CONSTRAINT; Schema: company_ru; Owner: -
--

ALTER TABLE ONLY commission
    ADD CONSTRAINT fk_currency_id_commission FOREIGN KEY (currency_id) REFERENCES currency(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_currency_id_company; Type: FK CONSTRAINT; Schema: company_ru; Owner: -
--

ALTER TABLE ONLY company
    ADD CONSTRAINT fk_currency_id_company FOREIGN KEY (currency_id) REFERENCES currency(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_currency_id_currency_rate; Type: FK CONSTRAINT; Schema: company_ru; Owner: -
--

ALTER TABLE ONLY currency_rate
    ADD CONSTRAINT fk_currency_id_currency_rate FOREIGN KEY (currency_id) REFERENCES currency(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_currency_id_lead_item; Type: FK CONSTRAINT; Schema: company_ru; Owner: -
--

ALTER TABLE ONLY lead_item
    ADD CONSTRAINT fk_currency_id_lead_item FOREIGN KEY (currency_id) REFERENCES currency(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_currency_id_lead_offer; Type: FK CONSTRAINT; Schema: company_ru; Owner: -
--

ALTER TABLE ONLY lead_offer
    ADD CONSTRAINT fk_currency_id_lead_offer FOREIGN KEY (currency_id) REFERENCES currency(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_currency_id_order_item; Type: FK CONSTRAINT; Schema: company_ru; Owner: -
--

ALTER TABLE ONLY order_item
    ADD CONSTRAINT fk_currency_id_order_item FOREIGN KEY (currency_id) REFERENCES currency(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_customer_id_lead; Type: FK CONSTRAINT; Schema: company_ru; Owner: -
--

ALTER TABLE ONLY lead
    ADD CONSTRAINT fk_customer_id_lead FOREIGN KEY (customer_id) REFERENCES person(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_customer_id_order; Type: FK CONSTRAINT; Schema: company_ru; Owner: -
--

ALTER TABLE ONLY "order"
    ADD CONSTRAINT fk_customer_id_order FOREIGN KEY (customer_id) REFERENCES person(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_employee_id_appointment; Type: FK CONSTRAINT; Schema: company_ru; Owner: -
--

ALTER TABLE ONLY appointment
    ADD CONSTRAINT fk_employee_id_appointment FOREIGN KEY (employee_id) REFERENCES employee(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_employee_id_dismissal; Type: FK CONSTRAINT; Schema: company_ru; Owner: -
--

ALTER TABLE ONLY dismissal
    ADD CONSTRAINT fk_employee_id_dismissal FOREIGN KEY (employee_id) REFERENCES employee(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_employee_id_employee_address; Type: FK CONSTRAINT; Schema: company_ru; Owner: -
--

ALTER TABLE ONLY employee_address
    ADD CONSTRAINT fk_employee_id_employee_address FOREIGN KEY (employee_id) REFERENCES employee(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_employee_id_employee_contact; Type: FK CONSTRAINT; Schema: company_ru; Owner: -
--

ALTER TABLE ONLY employee_contact
    ADD CONSTRAINT fk_employee_id_employee_contact FOREIGN KEY (employee_id) REFERENCES employee(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_employee_id_employee_notification; Type: FK CONSTRAINT; Schema: company_ru; Owner: -
--

ALTER TABLE ONLY employee_notification
    ADD CONSTRAINT fk_employee_id_employee_notification FOREIGN KEY (employee_id) REFERENCES employee(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_employee_id_employee_passport; Type: FK CONSTRAINT; Schema: company_ru; Owner: -
--

ALTER TABLE ONLY employee_passport
    ADD CONSTRAINT fk_employee_id_employee_passport FOREIGN KEY (employee_id) REFERENCES employee(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_employee_id_employee_subaccount; Type: FK CONSTRAINT; Schema: company_ru; Owner: -
--

ALTER TABLE ONLY employee_subaccount
    ADD CONSTRAINT fk_employee_id_employee_subaccount FOREIGN KEY (employee_id) REFERENCES employee(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_employee_id_employee_upload; Type: FK CONSTRAINT; Schema: company_ru; Owner: -
--

ALTER TABLE ONLY employee_upload
    ADD CONSTRAINT fk_employee_id_employee_upload FOREIGN KEY (employee_id) REFERENCES employee(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_employee_id_resource_log; Type: FK CONSTRAINT; Schema: company_ru; Owner: -
--

ALTER TABLE ONLY resource_log
    ADD CONSTRAINT fk_employee_id_resource_log FOREIGN KEY (employee_id) REFERENCES employee(id) ON UPDATE CASCADE ON DELETE CASCADE;


--
-- Name: fk_employee_id_user; Type: FK CONSTRAINT; Schema: company_ru; Owner: -
--

ALTER TABLE ONLY "user"
    ADD CONSTRAINT fk_employee_id_user FOREIGN KEY (employee_id) REFERENCES employee(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_end_location_id_ticket; Type: FK CONSTRAINT; Schema: company_ru; Owner: -
--

ALTER TABLE ONLY ticket
    ADD CONSTRAINT fk_end_location_id_ticket FOREIGN KEY (end_location_id) REFERENCES location(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_end_location_id_tour; Type: FK CONSTRAINT; Schema: company_ru; Owner: -
--

ALTER TABLE ONLY tour
    ADD CONSTRAINT fk_end_location_id_tour FOREIGN KEY (end_location_id) REFERENCES location(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_end_transport_id_tour; Type: FK CONSTRAINT; Schema: company_ru; Owner: -
--

ALTER TABLE ONLY tour
    ADD CONSTRAINT fk_end_transport_id_tour FOREIGN KEY (end_transport_id) REFERENCES transport(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_foodcat_id_tour; Type: FK CONSTRAINT; Schema: company_ru; Owner: -
--

ALTER TABLE ONLY tour
    ADD CONSTRAINT fk_foodcat_id_tour FOREIGN KEY (foodcat_id) REFERENCES foodcat(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_hotel_id_tour; Type: FK CONSTRAINT; Schema: company_ru; Owner: -
--

ALTER TABLE ONLY tour
    ADD CONSTRAINT fk_hotel_id_tour FOREIGN KEY (hotel_id) REFERENCES hotel(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_hotelcat_id_hotel; Type: FK CONSTRAINT; Schema: company_ru; Owner: -
--

ALTER TABLE ONLY hotel
    ADD CONSTRAINT fk_hotelcat_id_hotel FOREIGN KEY (hotelcat_id) REFERENCES hotelcat(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_income_id_income_cashflow; Type: FK CONSTRAINT; Schema: company_ru; Owner: -
--

ALTER TABLE ONLY income_cashflow
    ADD CONSTRAINT fk_income_id_income_cashflow FOREIGN KEY (income_id) REFERENCES income(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_invoice_id_income; Type: FK CONSTRAINT; Schema: company_ru; Owner: -
--

ALTER TABLE ONLY income
    ADD CONSTRAINT fk_invoice_id_income FOREIGN KEY (invoice_id) REFERENCES invoice(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_invoice_id_invoice_item; Type: FK CONSTRAINT; Schema: company_ru; Owner: -
--

ALTER TABLE ONLY invoice_item
    ADD CONSTRAINT fk_invoice_id_invoice_item FOREIGN KEY (invoice_id) REFERENCES invoice(id) ON UPDATE CASCADE ON DELETE CASCADE;


--
-- Name: fk_lead_id_lead_item; Type: FK CONSTRAINT; Schema: company_ru; Owner: -
--

ALTER TABLE ONLY lead_item
    ADD CONSTRAINT fk_lead_id_lead_item FOREIGN KEY (lead_id) REFERENCES lead(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_lead_id_lead_offer; Type: FK CONSTRAINT; Schema: company_ru; Owner: -
--

ALTER TABLE ONLY lead_offer
    ADD CONSTRAINT fk_lead_id_lead_offer FOREIGN KEY (lead_id) REFERENCES lead(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_lead_id_order; Type: FK CONSTRAINT; Schema: company_ru; Owner: -
--

ALTER TABLE ONLY "order"
    ADD CONSTRAINT fk_lead_id_order FOREIGN KEY (lead_id) REFERENCES lead(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_location_id_address; Type: FK CONSTRAINT; Schema: company_ru; Owner: -
--

ALTER TABLE ONLY address
    ADD CONSTRAINT fk_location_id_address FOREIGN KEY (location_id) REFERENCES location(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_location_id_hotel; Type: FK CONSTRAINT; Schema: company_ru; Owner: -
--

ALTER TABLE ONLY hotel
    ADD CONSTRAINT fk_location_id_hotel FOREIGN KEY (location_id) REFERENCES location(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_maintainer_id_resource; Type: FK CONSTRAINT; Schema: company_ru; Owner: -
--

ALTER TABLE ONLY resource
    ADD CONSTRAINT fk_maintainer_id_resource FOREIGN KEY (maintainer_id) REFERENCES employee(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_navigation_position_id; Type: FK CONSTRAINT; Schema: company_ru; Owner: -
--

ALTER TABLE ONLY navigation
    ADD CONSTRAINT fk_navigation_position_id FOREIGN KEY (position_id) REFERENCES "position"(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_note_id_note_resource; Type: FK CONSTRAINT; Schema: company_ru; Owner: -
--

ALTER TABLE ONLY note_resource
    ADD CONSTRAINT fk_note_id_note_resource FOREIGN KEY (note_id) REFERENCES note(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_note_id_note_upload; Type: FK CONSTRAINT; Schema: company_ru; Owner: -
--

ALTER TABLE ONLY note_upload
    ADD CONSTRAINT fk_note_id_note_upload FOREIGN KEY (note_id) REFERENCES note(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_notification_id_employee_notification; Type: FK CONSTRAINT; Schema: company_ru; Owner: -
--

ALTER TABLE ONLY employee_notification
    ADD CONSTRAINT fk_notification_id_employee_notification FOREIGN KEY (notification_id) REFERENCES notification(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_notification_id_notification_resource; Type: FK CONSTRAINT; Schema: company_ru; Owner: -
--

ALTER TABLE ONLY notification_resource
    ADD CONSTRAINT fk_notification_id_notification_resource FOREIGN KEY (notification_id) REFERENCES notification(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_order_id_invoice; Type: FK CONSTRAINT; Schema: company_ru; Owner: -
--

ALTER TABLE ONLY invoice
    ADD CONSTRAINT fk_order_id_invoice FOREIGN KEY (order_id) REFERENCES "order"(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_order_id_order_item; Type: FK CONSTRAINT; Schema: company_ru; Owner: -
--

ALTER TABLE ONLY order_item
    ADD CONSTRAINT fk_order_id_order_item FOREIGN KEY (order_id) REFERENCES "order"(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_order_item_id_caluclation; Type: FK CONSTRAINT; Schema: company_ru; Owner: -
--

ALTER TABLE ONLY calculation
    ADD CONSTRAINT fk_order_item_id_caluclation FOREIGN KEY (order_item_id) REFERENCES order_item(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_order_item_id_invoice_item; Type: FK CONSTRAINT; Schema: company_ru; Owner: -
--

ALTER TABLE ONLY invoice_item
    ADD CONSTRAINT fk_order_item_id_invoice_item FOREIGN KEY (order_item_id) REFERENCES order_item(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_order_item_id_person_order_item; Type: FK CONSTRAINT; Schema: company_ru; Owner: -
--

ALTER TABLE ONLY person_order_item
    ADD CONSTRAINT fk_order_item_id_person_order_item FOREIGN KEY (order_item_id) REFERENCES order_item(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_order_item_id_spassport_order_item; Type: FK CONSTRAINT; Schema: company_ru; Owner: -
--

ALTER TABLE ONLY spassport_order_item
    ADD CONSTRAINT fk_order_item_id_spassport_order_item FOREIGN KEY (order_item_id) REFERENCES order_item(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_order_item_id_ticket_order_item; Type: FK CONSTRAINT; Schema: company_ru; Owner: -
--

ALTER TABLE ONLY ticket_order_item
    ADD CONSTRAINT fk_order_item_id_ticket_order_item FOREIGN KEY (order_item_id) REFERENCES order_item(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_order_item_id_tour_order_item; Type: FK CONSTRAINT; Schema: company_ru; Owner: -
--

ALTER TABLE ONLY tour_order_item
    ADD CONSTRAINT fk_order_item_id_tour_order_item FOREIGN KEY (order_item_id) REFERENCES order_item(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_order_item_id_visa_order_item; Type: FK CONSTRAINT; Schema: company_ru; Owner: -
--

ALTER TABLE ONLY visa_order_item
    ADD CONSTRAINT fk_order_item_id_visa_order_item FOREIGN KEY (order_item_id) REFERENCES order_item(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_outgoing_id_outgoing_cashflow; Type: FK CONSTRAINT; Schema: company_ru; Owner: -
--

ALTER TABLE ONLY outgoing_cashflow
    ADD CONSTRAINT fk_outgoing_id_outgoing_cashflow FOREIGN KEY (outgoing_id) REFERENCES outgoing(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_parent_id_navigation; Type: FK CONSTRAINT; Schema: company_ru; Owner: -
--

ALTER TABLE ONLY navigation
    ADD CONSTRAINT fk_parent_id_navigation FOREIGN KEY (parent_id) REFERENCES navigation(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_passport_id_employee_passport; Type: FK CONSTRAINT; Schema: company_ru; Owner: -
--

ALTER TABLE ONLY employee_passport
    ADD CONSTRAINT fk_passport_id_employee_passport FOREIGN KEY (passport_id) REFERENCES passport(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_passport_id_passport_upload; Type: FK CONSTRAINT; Schema: company_ru; Owner: -
--

ALTER TABLE ONLY passport_upload
    ADD CONSTRAINT fk_passport_id_passport_upload FOREIGN KEY (passport_id) REFERENCES passport(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_passport_id_person_passport; Type: FK CONSTRAINT; Schema: company_ru; Owner: -
--

ALTER TABLE ONLY person_passport
    ADD CONSTRAINT fk_passport_id_person_passport FOREIGN KEY (passport_id) REFERENCES passport(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_permision_structure_id; Type: FK CONSTRAINT; Schema: company_ru; Owner: -
--

ALTER TABLE ONLY permision
    ADD CONSTRAINT fk_permision_structure_id FOREIGN KEY (structure_id) REFERENCES structure(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_person_category_id_person; Type: FK CONSTRAINT; Schema: company_ru; Owner: -
--

ALTER TABLE ONLY person
    ADD CONSTRAINT fk_person_category_id_person FOREIGN KEY (person_category_id) REFERENCES person_category(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_person_id_person_address; Type: FK CONSTRAINT; Schema: company_ru; Owner: -
--

ALTER TABLE ONLY person_address
    ADD CONSTRAINT fk_person_id_person_address FOREIGN KEY (person_id) REFERENCES person(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_person_id_person_contact; Type: FK CONSTRAINT; Schema: company_ru; Owner: -
--

ALTER TABLE ONLY person_contact
    ADD CONSTRAINT fk_person_id_person_contact FOREIGN KEY (person_id) REFERENCES person(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_person_id_person_order_item; Type: FK CONSTRAINT; Schema: company_ru; Owner: -
--

ALTER TABLE ONLY person_order_item
    ADD CONSTRAINT fk_person_id_person_order_item FOREIGN KEY (person_id) REFERENCES person(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_person_id_person_passport; Type: FK CONSTRAINT; Schema: company_ru; Owner: -
--

ALTER TABLE ONLY person_passport
    ADD CONSTRAINT fk_person_id_person_passport FOREIGN KEY (person_id) REFERENCES person(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_person_id_person_subaccount; Type: FK CONSTRAINT; Schema: company_ru; Owner: -
--

ALTER TABLE ONLY person_subaccount
    ADD CONSTRAINT fk_person_id_person_subaccount FOREIGN KEY (person_id) REFERENCES person(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_photo_upload_id_employee; Type: FK CONSTRAINT; Schema: company_ru; Owner: -
--

ALTER TABLE ONLY employee
    ADD CONSTRAINT fk_photo_upload_id_employee FOREIGN KEY (photo_upload_id) REFERENCES upload(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_position_id_appointment; Type: FK CONSTRAINT; Schema: company_ru; Owner: -
--

ALTER TABLE ONLY appointment
    ADD CONSTRAINT fk_position_id_appointment FOREIGN KEY (position_id) REFERENCES "position"(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_position_id_permision; Type: FK CONSTRAINT; Schema: company_ru; Owner: -
--

ALTER TABLE ONLY permision
    ADD CONSTRAINT fk_position_id_permision FOREIGN KEY (position_id) REFERENCES "position"(id) ON UPDATE CASCADE ON DELETE CASCADE;


--
-- Name: fk_position_structure_id; Type: FK CONSTRAINT; Schema: company_ru; Owner: -
--

ALTER TABLE ONLY "position"
    ADD CONSTRAINT fk_position_structure_id FOREIGN KEY (structure_id) REFERENCES structure(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_region_country_id; Type: FK CONSTRAINT; Schema: company_ru; Owner: -
--

ALTER TABLE ONLY region
    ADD CONSTRAINT fk_region_country_id FOREIGN KEY (country_id) REFERENCES country(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_region_id_location; Type: FK CONSTRAINT; Schema: company_ru; Owner: -
--

ALTER TABLE ONLY location
    ADD CONSTRAINT fk_region_id_location FOREIGN KEY (region_id) REFERENCES region(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_resource_id_accomodation; Type: FK CONSTRAINT; Schema: company_ru; Owner: -
--

ALTER TABLE ONLY accomodation
    ADD CONSTRAINT fk_resource_id_accomodation FOREIGN KEY (resource_id) REFERENCES resource(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_resource_id_account; Type: FK CONSTRAINT; Schema: company_ru; Owner: -
--

ALTER TABLE ONLY account
    ADD CONSTRAINT fk_resource_id_account FOREIGN KEY (resource_id) REFERENCES resource(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_resource_id_account_item; Type: FK CONSTRAINT; Schema: company_ru; Owner: -
--

ALTER TABLE ONLY account_item
    ADD CONSTRAINT fk_resource_id_account_item FOREIGN KEY (resource_id) REFERENCES resource(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_resource_id_address; Type: FK CONSTRAINT; Schema: company_ru; Owner: -
--

ALTER TABLE ONLY address
    ADD CONSTRAINT fk_resource_id_address FOREIGN KEY (resource_id) REFERENCES resource(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_resource_id_advsource; Type: FK CONSTRAINT; Schema: company_ru; Owner: -
--

ALTER TABLE ONLY advsource
    ADD CONSTRAINT fk_resource_id_advsource FOREIGN KEY (resource_id) REFERENCES resource(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_resource_id_appointment; Type: FK CONSTRAINT; Schema: company_ru; Owner: -
--

ALTER TABLE ONLY appointment
    ADD CONSTRAINT fk_resource_id_appointment FOREIGN KEY (resource_id) REFERENCES resource(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_resource_id_bank; Type: FK CONSTRAINT; Schema: company_ru; Owner: -
--

ALTER TABLE ONLY bank
    ADD CONSTRAINT fk_resource_id_bank FOREIGN KEY (resource_id) REFERENCES resource(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_resource_id_bank_detail; Type: FK CONSTRAINT; Schema: company_ru; Owner: -
--

ALTER TABLE ONLY bank_detail
    ADD CONSTRAINT fk_resource_id_bank_detail FOREIGN KEY (resource_id) REFERENCES resource(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_resource_id_bperson; Type: FK CONSTRAINT; Schema: company_ru; Owner: -
--

ALTER TABLE ONLY bperson
    ADD CONSTRAINT fk_resource_id_bperson FOREIGN KEY (resource_id) REFERENCES resource(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_resource_id_calculation; Type: FK CONSTRAINT; Schema: company_ru; Owner: -
--

ALTER TABLE ONLY calculation
    ADD CONSTRAINT fk_resource_id_calculation FOREIGN KEY (resource_id) REFERENCES resource(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_resource_id_campaign; Type: FK CONSTRAINT; Schema: company_ru; Owner: -
--

ALTER TABLE ONLY campaign
    ADD CONSTRAINT fk_resource_id_campaign FOREIGN KEY (resource_id) REFERENCES resource(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_resource_id_commission; Type: FK CONSTRAINT; Schema: company_ru; Owner: -
--

ALTER TABLE ONLY commission
    ADD CONSTRAINT fk_resource_id_commission FOREIGN KEY (resource_id) REFERENCES resource(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_resource_id_company; Type: FK CONSTRAINT; Schema: company_ru; Owner: -
--

ALTER TABLE ONLY company
    ADD CONSTRAINT fk_resource_id_company FOREIGN KEY (resource_id) REFERENCES resource(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_resource_id_contact; Type: FK CONSTRAINT; Schema: company_ru; Owner: -
--

ALTER TABLE ONLY contact
    ADD CONSTRAINT fk_resource_id_contact FOREIGN KEY (resource_id) REFERENCES resource(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_resource_id_contact; Type: FK CONSTRAINT; Schema: company_ru; Owner: -
--

ALTER TABLE ONLY upload
    ADD CONSTRAINT fk_resource_id_contact FOREIGN KEY (resource_id) REFERENCES resource(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_resource_id_contract; Type: FK CONSTRAINT; Schema: company_ru; Owner: -
--

ALTER TABLE ONLY contract
    ADD CONSTRAINT fk_resource_id_contract FOREIGN KEY (resource_id) REFERENCES resource(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_resource_id_country; Type: FK CONSTRAINT; Schema: company_ru; Owner: -
--

ALTER TABLE ONLY country
    ADD CONSTRAINT fk_resource_id_country FOREIGN KEY (resource_id) REFERENCES resource(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_resource_id_crosspayment; Type: FK CONSTRAINT; Schema: company_ru; Owner: -
--

ALTER TABLE ONLY crosspayment
    ADD CONSTRAINT fk_resource_id_crosspayment FOREIGN KEY (resource_id) REFERENCES resource(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_resource_id_currency; Type: FK CONSTRAINT; Schema: company_ru; Owner: -
--

ALTER TABLE ONLY currency
    ADD CONSTRAINT fk_resource_id_currency FOREIGN KEY (resource_id) REFERENCES resource(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_resource_id_currency_rate; Type: FK CONSTRAINT; Schema: company_ru; Owner: -
--

ALTER TABLE ONLY currency_rate
    ADD CONSTRAINT fk_resource_id_currency_rate FOREIGN KEY (resource_id) REFERENCES resource(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_resource_id_dismissal; Type: FK CONSTRAINT; Schema: company_ru; Owner: -
--

ALTER TABLE ONLY dismissal
    ADD CONSTRAINT fk_resource_id_dismissal FOREIGN KEY (resource_id) REFERENCES resource(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_resource_id_employee; Type: FK CONSTRAINT; Schema: company_ru; Owner: -
--

ALTER TABLE ONLY employee
    ADD CONSTRAINT fk_resource_id_employee FOREIGN KEY (resource_id) REFERENCES resource(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_resource_id_foodcat; Type: FK CONSTRAINT; Schema: company_ru; Owner: -
--

ALTER TABLE ONLY foodcat
    ADD CONSTRAINT fk_resource_id_foodcat FOREIGN KEY (resource_id) REFERENCES resource(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_resource_id_hotel; Type: FK CONSTRAINT; Schema: company_ru; Owner: -
--

ALTER TABLE ONLY hotel
    ADD CONSTRAINT fk_resource_id_hotel FOREIGN KEY (resource_id) REFERENCES resource(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_resource_id_hotelcat; Type: FK CONSTRAINT; Schema: company_ru; Owner: -
--

ALTER TABLE ONLY hotelcat
    ADD CONSTRAINT fk_resource_id_hotelcat FOREIGN KEY (resource_id) REFERENCES resource(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_resource_id_income; Type: FK CONSTRAINT; Schema: company_ru; Owner: -
--

ALTER TABLE ONLY income
    ADD CONSTRAINT fk_resource_id_income FOREIGN KEY (resource_id) REFERENCES resource(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_resource_id_invoice; Type: FK CONSTRAINT; Schema: company_ru; Owner: -
--

ALTER TABLE ONLY invoice
    ADD CONSTRAINT fk_resource_id_invoice FOREIGN KEY (resource_id) REFERENCES resource(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_resource_id_lead; Type: FK CONSTRAINT; Schema: company_ru; Owner: -
--

ALTER TABLE ONLY lead
    ADD CONSTRAINT fk_resource_id_lead FOREIGN KEY (resource_id) REFERENCES resource(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_resource_id_lead_item; Type: FK CONSTRAINT; Schema: company_ru; Owner: -
--

ALTER TABLE ONLY lead_item
    ADD CONSTRAINT fk_resource_id_lead_item FOREIGN KEY (resource_id) REFERENCES resource(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_resource_id_lead_offer; Type: FK CONSTRAINT; Schema: company_ru; Owner: -
--

ALTER TABLE ONLY lead_offer
    ADD CONSTRAINT fk_resource_id_lead_offer FOREIGN KEY (resource_id) REFERENCES resource(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_resource_id_location; Type: FK CONSTRAINT; Schema: company_ru; Owner: -
--

ALTER TABLE ONLY location
    ADD CONSTRAINT fk_resource_id_location FOREIGN KEY (resource_id) REFERENCES resource(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_resource_id_navigation; Type: FK CONSTRAINT; Schema: company_ru; Owner: -
--

ALTER TABLE ONLY navigation
    ADD CONSTRAINT fk_resource_id_navigation FOREIGN KEY (resource_id) REFERENCES resource(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_resource_id_note; Type: FK CONSTRAINT; Schema: company_ru; Owner: -
--

ALTER TABLE ONLY note
    ADD CONSTRAINT fk_resource_id_note FOREIGN KEY (resource_id) REFERENCES resource(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_resource_id_note_resource; Type: FK CONSTRAINT; Schema: company_ru; Owner: -
--

ALTER TABLE ONLY note_resource
    ADD CONSTRAINT fk_resource_id_note_resource FOREIGN KEY (resource_id) REFERENCES resource(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_resource_id_notification; Type: FK CONSTRAINT; Schema: company_ru; Owner: -
--

ALTER TABLE ONLY notification
    ADD CONSTRAINT fk_resource_id_notification FOREIGN KEY (resource_id) REFERENCES resource(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_resource_id_notification_resource; Type: FK CONSTRAINT; Schema: company_ru; Owner: -
--

ALTER TABLE ONLY notification_resource
    ADD CONSTRAINT fk_resource_id_notification_resource FOREIGN KEY (resource_id) REFERENCES resource(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_resource_id_order; Type: FK CONSTRAINT; Schema: company_ru; Owner: -
--

ALTER TABLE ONLY "order"
    ADD CONSTRAINT fk_resource_id_order FOREIGN KEY (resource_id) REFERENCES resource(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_resource_id_order_item; Type: FK CONSTRAINT; Schema: company_ru; Owner: -
--

ALTER TABLE ONLY order_item
    ADD CONSTRAINT fk_resource_id_order_item FOREIGN KEY (resource_id) REFERENCES resource(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_resource_id_outgoing; Type: FK CONSTRAINT; Schema: company_ru; Owner: -
--

ALTER TABLE ONLY outgoing
    ADD CONSTRAINT fk_resource_id_outgoing FOREIGN KEY (resource_id) REFERENCES resource(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_resource_id_passport; Type: FK CONSTRAINT; Schema: company_ru; Owner: -
--

ALTER TABLE ONLY passport
    ADD CONSTRAINT fk_resource_id_passport FOREIGN KEY (resource_id) REFERENCES resource(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_resource_id_person; Type: FK CONSTRAINT; Schema: company_ru; Owner: -
--

ALTER TABLE ONLY person
    ADD CONSTRAINT fk_resource_id_person FOREIGN KEY (resource_id) REFERENCES resource(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_resource_id_person_category; Type: FK CONSTRAINT; Schema: company_ru; Owner: -
--

ALTER TABLE ONLY person_category
    ADD CONSTRAINT fk_resource_id_person_category FOREIGN KEY (resource_id) REFERENCES resource(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_resource_id_position; Type: FK CONSTRAINT; Schema: company_ru; Owner: -
--

ALTER TABLE ONLY "position"
    ADD CONSTRAINT fk_resource_id_position FOREIGN KEY (resource_id) REFERENCES resource(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_resource_id_region; Type: FK CONSTRAINT; Schema: company_ru; Owner: -
--

ALTER TABLE ONLY region
    ADD CONSTRAINT fk_resource_id_region FOREIGN KEY (resource_id) REFERENCES resource(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_resource_id_resource_log; Type: FK CONSTRAINT; Schema: company_ru; Owner: -
--

ALTER TABLE ONLY resource_log
    ADD CONSTRAINT fk_resource_id_resource_log FOREIGN KEY (resource_id) REFERENCES resource(id) ON UPDATE CASCADE ON DELETE CASCADE;


--
-- Name: fk_resource_id_resource_type; Type: FK CONSTRAINT; Schema: company_ru; Owner: -
--

ALTER TABLE ONLY resource_type
    ADD CONSTRAINT fk_resource_id_resource_type FOREIGN KEY (resource_id) REFERENCES resource(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_resource_id_roomcat; Type: FK CONSTRAINT; Schema: company_ru; Owner: -
--

ALTER TABLE ONLY roomcat
    ADD CONSTRAINT fk_resource_id_roomcat FOREIGN KEY (resource_id) REFERENCES resource(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_resource_id_service; Type: FK CONSTRAINT; Schema: company_ru; Owner: -
--

ALTER TABLE ONLY service
    ADD CONSTRAINT fk_resource_id_service FOREIGN KEY (resource_id) REFERENCES resource(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_resource_id_spassport; Type: FK CONSTRAINT; Schema: company_ru; Owner: -
--

ALTER TABLE ONLY spassport
    ADD CONSTRAINT fk_resource_id_spassport FOREIGN KEY (resource_id) REFERENCES resource(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_resource_id_structure; Type: FK CONSTRAINT; Schema: company_ru; Owner: -
--

ALTER TABLE ONLY structure
    ADD CONSTRAINT fk_resource_id_structure FOREIGN KEY (resource_id) REFERENCES resource(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_resource_id_subaccount; Type: FK CONSTRAINT; Schema: company_ru; Owner: -
--

ALTER TABLE ONLY subaccount
    ADD CONSTRAINT fk_resource_id_subaccount FOREIGN KEY (resource_id) REFERENCES resource(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_resource_id_supplier; Type: FK CONSTRAINT; Schema: company_ru; Owner: -
--

ALTER TABLE ONLY supplier
    ADD CONSTRAINT fk_resource_id_supplier FOREIGN KEY (resource_id) REFERENCES resource(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_resource_id_supplier_type; Type: FK CONSTRAINT; Schema: company_ru; Owner: -
--

ALTER TABLE ONLY supplier_type
    ADD CONSTRAINT fk_resource_id_supplier_type FOREIGN KEY (resource_id) REFERENCES resource(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_resource_id_task; Type: FK CONSTRAINT; Schema: company_ru; Owner: -
--

ALTER TABLE ONLY task
    ADD CONSTRAINT fk_resource_id_task FOREIGN KEY (resource_id) REFERENCES resource(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_resource_id_task_resource; Type: FK CONSTRAINT; Schema: company_ru; Owner: -
--

ALTER TABLE ONLY task_resource
    ADD CONSTRAINT fk_resource_id_task_resource FOREIGN KEY (resource_id) REFERENCES resource(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_resource_id_ticket; Type: FK CONSTRAINT; Schema: company_ru; Owner: -
--

ALTER TABLE ONLY ticket
    ADD CONSTRAINT fk_resource_id_ticket FOREIGN KEY (resource_id) REFERENCES resource(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_resource_id_ticket_class; Type: FK CONSTRAINT; Schema: company_ru; Owner: -
--

ALTER TABLE ONLY ticket_class
    ADD CONSTRAINT fk_resource_id_ticket_class FOREIGN KEY (resource_id) REFERENCES resource(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_resource_id_tour; Type: FK CONSTRAINT; Schema: company_ru; Owner: -
--

ALTER TABLE ONLY tour
    ADD CONSTRAINT fk_resource_id_tour FOREIGN KEY (resource_id) REFERENCES resource(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_resource_id_transfer; Type: FK CONSTRAINT; Schema: company_ru; Owner: -
--

ALTER TABLE ONLY transfer
    ADD CONSTRAINT fk_resource_id_transfer FOREIGN KEY (resource_id) REFERENCES resource(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_resource_id_transport; Type: FK CONSTRAINT; Schema: company_ru; Owner: -
--

ALTER TABLE ONLY transport
    ADD CONSTRAINT fk_resource_id_transport FOREIGN KEY (resource_id) REFERENCES resource(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_resource_id_user; Type: FK CONSTRAINT; Schema: company_ru; Owner: -
--

ALTER TABLE ONLY "user"
    ADD CONSTRAINT fk_resource_id_user FOREIGN KEY (resource_id) REFERENCES resource(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_resource_id_vat; Type: FK CONSTRAINT; Schema: company_ru; Owner: -
--

ALTER TABLE ONLY vat
    ADD CONSTRAINT fk_resource_id_vat FOREIGN KEY (resource_id) REFERENCES resource(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_resource_id_visa; Type: FK CONSTRAINT; Schema: company_ru; Owner: -
--

ALTER TABLE ONLY visa
    ADD CONSTRAINT fk_resource_id_visa FOREIGN KEY (resource_id) REFERENCES resource(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_resource_type_id_permission; Type: FK CONSTRAINT; Schema: company_ru; Owner: -
--

ALTER TABLE ONLY permision
    ADD CONSTRAINT fk_resource_type_id_permission FOREIGN KEY (resource_type_id) REFERENCES resource_type(id) ON UPDATE CASCADE ON DELETE CASCADE;


--
-- Name: fk_resource_type_id_resource; Type: FK CONSTRAINT; Schema: company_ru; Owner: -
--

ALTER TABLE ONLY resource
    ADD CONSTRAINT fk_resource_type_id_resource FOREIGN KEY (resource_type_id) REFERENCES resource_type(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_resource_type_id_service; Type: FK CONSTRAINT; Schema: company_ru; Owner: -
--

ALTER TABLE ONLY service
    ADD CONSTRAINT fk_resource_type_id_service FOREIGN KEY (resource_type_id) REFERENCES resource_type(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_roomcat_id_tour; Type: FK CONSTRAINT; Schema: company_ru; Owner: -
--

ALTER TABLE ONLY tour
    ADD CONSTRAINT fk_roomcat_id_tour FOREIGN KEY (roomcat_id) REFERENCES roomcat(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_service_id_commission; Type: FK CONSTRAINT; Schema: company_ru; Owner: -
--

ALTER TABLE ONLY commission
    ADD CONSTRAINT fk_service_id_commission FOREIGN KEY (service_id) REFERENCES service(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_service_id_lead_item; Type: FK CONSTRAINT; Schema: company_ru; Owner: -
--

ALTER TABLE ONLY lead_item
    ADD CONSTRAINT fk_service_id_lead_item FOREIGN KEY (service_id) REFERENCES service(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_service_id_lead_offer; Type: FK CONSTRAINT; Schema: company_ru; Owner: -
--

ALTER TABLE ONLY lead_offer
    ADD CONSTRAINT fk_service_id_lead_offer FOREIGN KEY (service_id) REFERENCES service(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_service_id_order_item; Type: FK CONSTRAINT; Schema: company_ru; Owner: -
--

ALTER TABLE ONLY order_item
    ADD CONSTRAINT fk_service_id_order_item FOREIGN KEY (service_id) REFERENCES service(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_service_id_vat; Type: FK CONSTRAINT; Schema: company_ru; Owner: -
--

ALTER TABLE ONLY vat
    ADD CONSTRAINT fk_service_id_vat FOREIGN KEY (service_id) REFERENCES service(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_spassport_id_spassport_order_item; Type: FK CONSTRAINT; Schema: company_ru; Owner: -
--

ALTER TABLE ONLY spassport_order_item
    ADD CONSTRAINT fk_spassport_id_spassport_order_item FOREIGN KEY (spassport_id) REFERENCES spassport(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_start_location_id_ticket; Type: FK CONSTRAINT; Schema: company_ru; Owner: -
--

ALTER TABLE ONLY ticket
    ADD CONSTRAINT fk_start_location_id_ticket FOREIGN KEY (start_location_id) REFERENCES location(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_start_location_id_tour; Type: FK CONSTRAINT; Schema: company_ru; Owner: -
--

ALTER TABLE ONLY tour
    ADD CONSTRAINT fk_start_location_id_tour FOREIGN KEY (start_location_id) REFERENCES location(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_start_transport_id_tour; Type: FK CONSTRAINT; Schema: company_ru; Owner: -
--

ALTER TABLE ONLY tour
    ADD CONSTRAINT fk_start_transport_id_tour FOREIGN KEY (start_transport_id) REFERENCES transport(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_structure_company_id; Type: FK CONSTRAINT; Schema: company_ru; Owner: -
--

ALTER TABLE ONLY structure
    ADD CONSTRAINT fk_structure_company_id FOREIGN KEY (company_id) REFERENCES company(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_structure_id_structure_address; Type: FK CONSTRAINT; Schema: company_ru; Owner: -
--

ALTER TABLE ONLY structure_address
    ADD CONSTRAINT fk_structure_id_structure_address FOREIGN KEY (structure_id) REFERENCES structure(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_structure_id_structure_bank_detail; Type: FK CONSTRAINT; Schema: company_ru; Owner: -
--

ALTER TABLE ONLY structure_bank_detail
    ADD CONSTRAINT fk_structure_id_structure_bank_detail FOREIGN KEY (structure_id) REFERENCES structure(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_structure_id_structure_contact; Type: FK CONSTRAINT; Schema: company_ru; Owner: -
--

ALTER TABLE ONLY structure_contact
    ADD CONSTRAINT fk_structure_id_structure_contact FOREIGN KEY (structure_id) REFERENCES structure(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_structure_parent_id; Type: FK CONSTRAINT; Schema: company_ru; Owner: -
--

ALTER TABLE ONLY structure
    ADD CONSTRAINT fk_structure_parent_id FOREIGN KEY (parent_id) REFERENCES structure(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_subaccount_account_id; Type: FK CONSTRAINT; Schema: company_ru; Owner: -
--

ALTER TABLE ONLY subaccount
    ADD CONSTRAINT fk_subaccount_account_id FOREIGN KEY (account_id) REFERENCES account(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_subaccount_from_id_cashflow; Type: FK CONSTRAINT; Schema: company_ru; Owner: -
--

ALTER TABLE ONLY cashflow
    ADD CONSTRAINT fk_subaccount_from_id_cashflow FOREIGN KEY (subaccount_from_id) REFERENCES subaccount(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_subaccount_id_company_subaccount; Type: FK CONSTRAINT; Schema: company_ru; Owner: -
--

ALTER TABLE ONLY company_subaccount
    ADD CONSTRAINT fk_subaccount_id_company_subaccount FOREIGN KEY (subaccount_id) REFERENCES subaccount(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_subaccount_id_employee_subaccount; Type: FK CONSTRAINT; Schema: company_ru; Owner: -
--

ALTER TABLE ONLY employee_subaccount
    ADD CONSTRAINT fk_subaccount_id_employee_subaccount FOREIGN KEY (subaccount_id) REFERENCES subaccount(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_subaccount_id_outgoing; Type: FK CONSTRAINT; Schema: company_ru; Owner: -
--

ALTER TABLE ONLY outgoing
    ADD CONSTRAINT fk_subaccount_id_outgoing FOREIGN KEY (subaccount_id) REFERENCES subaccount(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_subaccount_id_person_subaccount; Type: FK CONSTRAINT; Schema: company_ru; Owner: -
--

ALTER TABLE ONLY person_subaccount
    ADD CONSTRAINT fk_subaccount_id_person_subaccount FOREIGN KEY (subaccount_id) REFERENCES subaccount(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_subaccount_id_supplier_subaccount; Type: FK CONSTRAINT; Schema: company_ru; Owner: -
--

ALTER TABLE ONLY supplier_subaccount
    ADD CONSTRAINT fk_subaccount_id_supplier_subaccount FOREIGN KEY (subaccount_id) REFERENCES subaccount(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_subaccount_to_id_cashflow; Type: FK CONSTRAINT; Schema: company_ru; Owner: -
--

ALTER TABLE ONLY cashflow
    ADD CONSTRAINT fk_subaccount_to_id_cashflow FOREIGN KEY (subaccount_to_id) REFERENCES subaccount(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_supplier_id_currency_rate; Type: FK CONSTRAINT; Schema: company_ru; Owner: -
--

ALTER TABLE ONLY currency_rate
    ADD CONSTRAINT fk_supplier_id_currency_rate FOREIGN KEY (supplier_id) REFERENCES supplier(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_supplier_id_lead_offer; Type: FK CONSTRAINT; Schema: company_ru; Owner: -
--

ALTER TABLE ONLY lead_offer
    ADD CONSTRAINT fk_supplier_id_lead_offer FOREIGN KEY (supplier_id) REFERENCES supplier(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_supplier_id_order_item; Type: FK CONSTRAINT; Schema: company_ru; Owner: -
--

ALTER TABLE ONLY order_item
    ADD CONSTRAINT fk_supplier_id_order_item FOREIGN KEY (supplier_id) REFERENCES supplier(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_supplier_id_supplier_bank_detail; Type: FK CONSTRAINT; Schema: company_ru; Owner: -
--

ALTER TABLE ONLY supplier_bank_detail
    ADD CONSTRAINT fk_supplier_id_supplier_bank_detail FOREIGN KEY (supplier_id) REFERENCES supplier(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_supplier_id_supplier_bperson; Type: FK CONSTRAINT; Schema: company_ru; Owner: -
--

ALTER TABLE ONLY supplier_bperson
    ADD CONSTRAINT fk_supplier_id_supplier_bperson FOREIGN KEY (supplier_id) REFERENCES supplier(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_supplier_id_supplier_contract; Type: FK CONSTRAINT; Schema: company_ru; Owner: -
--

ALTER TABLE ONLY supplier_contract
    ADD CONSTRAINT fk_supplier_id_supplier_contract FOREIGN KEY (supplier_id) REFERENCES supplier(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_supplier_id_supplier_subaccount; Type: FK CONSTRAINT; Schema: company_ru; Owner: -
--

ALTER TABLE ONLY supplier_subaccount
    ADD CONSTRAINT fk_supplier_id_supplier_subaccount FOREIGN KEY (supplier_id) REFERENCES supplier(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_supplier_type_id_supplier; Type: FK CONSTRAINT; Schema: company_ru; Owner: -
--

ALTER TABLE ONLY supplier
    ADD CONSTRAINT fk_supplier_type_id_supplier FOREIGN KEY (supplier_type_id) REFERENCES supplier_type(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_task_id_task_resource; Type: FK CONSTRAINT; Schema: company_ru; Owner: -
--

ALTER TABLE ONLY task_resource
    ADD CONSTRAINT fk_task_id_task_resource FOREIGN KEY (task_id) REFERENCES task(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_task_id_task_upload; Type: FK CONSTRAINT; Schema: company_ru; Owner: -
--

ALTER TABLE ONLY task_upload
    ADD CONSTRAINT fk_task_id_task_upload FOREIGN KEY (task_id) REFERENCES task(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_ticket_class_id_ticket; Type: FK CONSTRAINT; Schema: company_ru; Owner: -
--

ALTER TABLE ONLY ticket
    ADD CONSTRAINT fk_ticket_class_id_ticket FOREIGN KEY (ticket_class_id) REFERENCES ticket_class(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_ticket_id_ticket_order_item; Type: FK CONSTRAINT; Schema: company_ru; Owner: -
--

ALTER TABLE ONLY ticket_order_item
    ADD CONSTRAINT fk_ticket_id_ticket_order_item FOREIGN KEY (ticket_id) REFERENCES ticket(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_tour_id_tour_order_item; Type: FK CONSTRAINT; Schema: company_ru; Owner: -
--

ALTER TABLE ONLY tour_order_item
    ADD CONSTRAINT fk_tour_id_tour_order_item FOREIGN KEY (tour_id) REFERENCES tour(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_transfer_id_tour; Type: FK CONSTRAINT; Schema: company_ru; Owner: -
--

ALTER TABLE ONLY tour
    ADD CONSTRAINT fk_transfer_id_tour FOREIGN KEY (transfer_id) REFERENCES transfer(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_transport_id_ticket; Type: FK CONSTRAINT; Schema: company_ru; Owner: -
--

ALTER TABLE ONLY ticket
    ADD CONSTRAINT fk_transport_id_ticket FOREIGN KEY (transport_id) REFERENCES transport(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_upload_id_employee_upload; Type: FK CONSTRAINT; Schema: company_ru; Owner: -
--

ALTER TABLE ONLY employee_upload
    ADD CONSTRAINT fk_upload_id_employee_upload FOREIGN KEY (upload_id) REFERENCES upload(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_upload_id_note_upload; Type: FK CONSTRAINT; Schema: company_ru; Owner: -
--

ALTER TABLE ONLY note_upload
    ADD CONSTRAINT fk_upload_id_note_upload FOREIGN KEY (upload_id) REFERENCES upload(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_upload_id_passport_upload; Type: FK CONSTRAINT; Schema: company_ru; Owner: -
--

ALTER TABLE ONLY passport_upload
    ADD CONSTRAINT fk_upload_id_passport_upload FOREIGN KEY (upload_id) REFERENCES upload(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_upload_id_task_upload; Type: FK CONSTRAINT; Schema: company_ru; Owner: -
--

ALTER TABLE ONLY task_upload
    ADD CONSTRAINT fk_upload_id_task_upload FOREIGN KEY (upload_id) REFERENCES upload(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_visa_id_visa_order_item; Type: FK CONSTRAINT; Schema: company_ru; Owner: -
--

ALTER TABLE ONLY visa_order_item
    ADD CONSTRAINT fk_visa_id_visa_order_item FOREIGN KEY (visa_id) REFERENCES visa(id) ON UPDATE CASCADE ON DELETE RESTRICT;


SET search_path = demo_ru, pg_catalog;

--
-- Name: fk_accomodation_id_tour; Type: FK CONSTRAINT; Schema: demo_ru; Owner: -
--

ALTER TABLE ONLY tour
    ADD CONSTRAINT fk_accomodation_id_tour FOREIGN KEY (accomodation_id) REFERENCES accomodation(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_account_id_invoice; Type: FK CONSTRAINT; Schema: demo_ru; Owner: -
--

ALTER TABLE ONLY invoice
    ADD CONSTRAINT fk_account_id_invoice FOREIGN KEY (account_id) REFERENCES account(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_account_id_vat; Type: FK CONSTRAINT; Schema: demo_ru; Owner: -
--

ALTER TABLE ONLY vat
    ADD CONSTRAINT fk_account_id_vat FOREIGN KEY (account_id) REFERENCES account(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_account_item_id_cashflow; Type: FK CONSTRAINT; Schema: demo_ru; Owner: -
--

ALTER TABLE ONLY cashflow
    ADD CONSTRAINT fk_account_item_id_cashflow FOREIGN KEY (account_item_id) REFERENCES account_item(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_account_item_id_cashflow; Type: FK CONSTRAINT; Schema: demo_ru; Owner: -
--

ALTER TABLE ONLY income
    ADD CONSTRAINT fk_account_item_id_cashflow FOREIGN KEY (account_item_id) REFERENCES account_item(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_account_item_id_outgoing; Type: FK CONSTRAINT; Schema: demo_ru; Owner: -
--

ALTER TABLE ONLY outgoing
    ADD CONSTRAINT fk_account_item_id_outgoing FOREIGN KEY (account_item_id) REFERENCES account_item(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_account_item_parent_id; Type: FK CONSTRAINT; Schema: demo_ru; Owner: -
--

ALTER TABLE ONLY account_item
    ADD CONSTRAINT fk_account_item_parent_id FOREIGN KEY (parent_id) REFERENCES account_item(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_address_id_bank_address; Type: FK CONSTRAINT; Schema: demo_ru; Owner: -
--

ALTER TABLE ONLY bank_address
    ADD CONSTRAINT fk_address_id_bank_address FOREIGN KEY (address_id) REFERENCES address(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_address_id_employee_address; Type: FK CONSTRAINT; Schema: demo_ru; Owner: -
--

ALTER TABLE ONLY employee_address
    ADD CONSTRAINT fk_address_id_employee_address FOREIGN KEY (address_id) REFERENCES address(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_address_id_person_address; Type: FK CONSTRAINT; Schema: demo_ru; Owner: -
--

ALTER TABLE ONLY person_address
    ADD CONSTRAINT fk_address_id_person_address FOREIGN KEY (address_id) REFERENCES address(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_address_id_structure_address; Type: FK CONSTRAINT; Schema: demo_ru; Owner: -
--

ALTER TABLE ONLY structure_address
    ADD CONSTRAINT fk_address_id_structure_address FOREIGN KEY (address_id) REFERENCES address(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_advsource_id_lead; Type: FK CONSTRAINT; Schema: demo_ru; Owner: -
--

ALTER TABLE ONLY lead
    ADD CONSTRAINT fk_advsource_id_lead FOREIGN KEY (advsource_id) REFERENCES advsource(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_advsource_id_order; Type: FK CONSTRAINT; Schema: demo_ru; Owner: -
--

ALTER TABLE ONLY "order"
    ADD CONSTRAINT fk_advsource_id_order FOREIGN KEY (advsource_id) REFERENCES advsource(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_bank_detail_id_structure_bank_detail; Type: FK CONSTRAINT; Schema: demo_ru; Owner: -
--

ALTER TABLE ONLY structure_bank_detail
    ADD CONSTRAINT fk_bank_detail_id_structure_bank_detail FOREIGN KEY (bank_detail_id) REFERENCES bank_detail(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_bank_detail_id_supplier_bank_detail; Type: FK CONSTRAINT; Schema: demo_ru; Owner: -
--

ALTER TABLE ONLY supplier_bank_detail
    ADD CONSTRAINT fk_bank_detail_id_supplier_bank_detail FOREIGN KEY (bank_detail_id) REFERENCES bank_detail(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_bank_id_bank_address; Type: FK CONSTRAINT; Schema: demo_ru; Owner: -
--

ALTER TABLE ONLY bank_address
    ADD CONSTRAINT fk_bank_id_bank_address FOREIGN KEY (bank_id) REFERENCES bank(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_bank_id_bank_detail; Type: FK CONSTRAINT; Schema: demo_ru; Owner: -
--

ALTER TABLE ONLY bank_detail
    ADD CONSTRAINT fk_bank_id_bank_detail FOREIGN KEY (bank_id) REFERENCES bank(id) ON UPDATE CASCADE ON DELETE CASCADE;


--
-- Name: fk_bperson_id_bperson_contact; Type: FK CONSTRAINT; Schema: demo_ru; Owner: -
--

ALTER TABLE ONLY bperson_contact
    ADD CONSTRAINT fk_bperson_id_bperson_contact FOREIGN KEY (bperson_id) REFERENCES bperson(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_bperson_id_supplier_bperson; Type: FK CONSTRAINT; Schema: demo_ru; Owner: -
--

ALTER TABLE ONLY supplier_bperson
    ADD CONSTRAINT fk_bperson_id_supplier_bperson FOREIGN KEY (bperson_id) REFERENCES bperson(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_cashflow_id_crosspayment; Type: FK CONSTRAINT; Schema: demo_ru; Owner: -
--

ALTER TABLE ONLY crosspayment
    ADD CONSTRAINT fk_cashflow_id_crosspayment FOREIGN KEY (cashflow_id) REFERENCES cashflow(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_cashflow_id_income_cashflow; Type: FK CONSTRAINT; Schema: demo_ru; Owner: -
--

ALTER TABLE ONLY income_cashflow
    ADD CONSTRAINT fk_cashflow_id_income_cashflow FOREIGN KEY (cashflow_id) REFERENCES cashflow(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_cashflow_id_outgoing_cashflow; Type: FK CONSTRAINT; Schema: demo_ru; Owner: -
--

ALTER TABLE ONLY outgoing_cashflow
    ADD CONSTRAINT fk_cashflow_id_outgoing_cashflow FOREIGN KEY (cashflow_id) REFERENCES cashflow(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_commission_id_contract_commission; Type: FK CONSTRAINT; Schema: demo_ru; Owner: -
--

ALTER TABLE ONLY contract_commission
    ADD CONSTRAINT fk_commission_id_contract_commission FOREIGN KEY (commission_id) REFERENCES commission(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_company_id_company_subaccount; Type: FK CONSTRAINT; Schema: demo_ru; Owner: -
--

ALTER TABLE ONLY company_subaccount
    ADD CONSTRAINT fk_company_id_company_subaccount FOREIGN KEY (company_id) REFERENCES company(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_contact_id_bperson_contact; Type: FK CONSTRAINT; Schema: demo_ru; Owner: -
--

ALTER TABLE ONLY bperson_contact
    ADD CONSTRAINT fk_contact_id_bperson_contact FOREIGN KEY (contact_id) REFERENCES contact(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_contact_id_employee_contact; Type: FK CONSTRAINT; Schema: demo_ru; Owner: -
--

ALTER TABLE ONLY employee_contact
    ADD CONSTRAINT fk_contact_id_employee_contact FOREIGN KEY (contact_id) REFERENCES contact(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_contact_id_person_contact; Type: FK CONSTRAINT; Schema: demo_ru; Owner: -
--

ALTER TABLE ONLY person_contact
    ADD CONSTRAINT fk_contact_id_person_contact FOREIGN KEY (contact_id) REFERENCES contact(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_contact_id_structure_contact; Type: FK CONSTRAINT; Schema: demo_ru; Owner: -
--

ALTER TABLE ONLY structure_contact
    ADD CONSTRAINT fk_contact_id_structure_contact FOREIGN KEY (contact_id) REFERENCES contact(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_contract_id_caluclation; Type: FK CONSTRAINT; Schema: demo_ru; Owner: -
--

ALTER TABLE ONLY calculation
    ADD CONSTRAINT fk_contract_id_caluclation FOREIGN KEY (contract_id) REFERENCES contract(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_contract_id_contract_commission; Type: FK CONSTRAINT; Schema: demo_ru; Owner: -
--

ALTER TABLE ONLY contract_commission
    ADD CONSTRAINT fk_contract_id_contract_commission FOREIGN KEY (contract_id) REFERENCES contract(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_contract_id_supplier_contract; Type: FK CONSTRAINT; Schema: demo_ru; Owner: -
--

ALTER TABLE ONLY supplier_contract
    ADD CONSTRAINT fk_contract_id_supplier_contract FOREIGN KEY (contract_id) REFERENCES contract(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_country_id_passport; Type: FK CONSTRAINT; Schema: demo_ru; Owner: -
--

ALTER TABLE ONLY passport
    ADD CONSTRAINT fk_country_id_passport FOREIGN KEY (country_id) REFERENCES country(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_country_id_visa; Type: FK CONSTRAINT; Schema: demo_ru; Owner: -
--

ALTER TABLE ONLY visa
    ADD CONSTRAINT fk_country_id_visa FOREIGN KEY (country_id) REFERENCES country(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_currency_id_account; Type: FK CONSTRAINT; Schema: demo_ru; Owner: -
--

ALTER TABLE ONLY account
    ADD CONSTRAINT fk_currency_id_account FOREIGN KEY (currency_id) REFERENCES currency(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_currency_id_appointment; Type: FK CONSTRAINT; Schema: demo_ru; Owner: -
--

ALTER TABLE ONLY appointment
    ADD CONSTRAINT fk_currency_id_appointment FOREIGN KEY (currency_id) REFERENCES currency(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_currency_id_bank_detail; Type: FK CONSTRAINT; Schema: demo_ru; Owner: -
--

ALTER TABLE ONLY bank_detail
    ADD CONSTRAINT fk_currency_id_bank_detail FOREIGN KEY (currency_id) REFERENCES currency(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_currency_id_commission; Type: FK CONSTRAINT; Schema: demo_ru; Owner: -
--

ALTER TABLE ONLY commission
    ADD CONSTRAINT fk_currency_id_commission FOREIGN KEY (currency_id) REFERENCES currency(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_currency_id_company; Type: FK CONSTRAINT; Schema: demo_ru; Owner: -
--

ALTER TABLE ONLY company
    ADD CONSTRAINT fk_currency_id_company FOREIGN KEY (currency_id) REFERENCES currency(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_currency_id_currency_rate; Type: FK CONSTRAINT; Schema: demo_ru; Owner: -
--

ALTER TABLE ONLY currency_rate
    ADD CONSTRAINT fk_currency_id_currency_rate FOREIGN KEY (currency_id) REFERENCES currency(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_currency_id_lead_item; Type: FK CONSTRAINT; Schema: demo_ru; Owner: -
--

ALTER TABLE ONLY lead_item
    ADD CONSTRAINT fk_currency_id_lead_item FOREIGN KEY (currency_id) REFERENCES currency(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_currency_id_lead_offer; Type: FK CONSTRAINT; Schema: demo_ru; Owner: -
--

ALTER TABLE ONLY lead_offer
    ADD CONSTRAINT fk_currency_id_lead_offer FOREIGN KEY (currency_id) REFERENCES currency(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_currency_id_order_item; Type: FK CONSTRAINT; Schema: demo_ru; Owner: -
--

ALTER TABLE ONLY order_item
    ADD CONSTRAINT fk_currency_id_order_item FOREIGN KEY (currency_id) REFERENCES currency(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_customer_id_lead; Type: FK CONSTRAINT; Schema: demo_ru; Owner: -
--

ALTER TABLE ONLY lead
    ADD CONSTRAINT fk_customer_id_lead FOREIGN KEY (customer_id) REFERENCES person(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_customer_id_order; Type: FK CONSTRAINT; Schema: demo_ru; Owner: -
--

ALTER TABLE ONLY "order"
    ADD CONSTRAINT fk_customer_id_order FOREIGN KEY (customer_id) REFERENCES person(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_employee_id_appointment; Type: FK CONSTRAINT; Schema: demo_ru; Owner: -
--

ALTER TABLE ONLY appointment
    ADD CONSTRAINT fk_employee_id_appointment FOREIGN KEY (employee_id) REFERENCES employee(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_employee_id_dismissal; Type: FK CONSTRAINT; Schema: demo_ru; Owner: -
--

ALTER TABLE ONLY dismissal
    ADD CONSTRAINT fk_employee_id_dismissal FOREIGN KEY (employee_id) REFERENCES employee(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_employee_id_employee_address; Type: FK CONSTRAINT; Schema: demo_ru; Owner: -
--

ALTER TABLE ONLY employee_address
    ADD CONSTRAINT fk_employee_id_employee_address FOREIGN KEY (employee_id) REFERENCES employee(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_employee_id_employee_contact; Type: FK CONSTRAINT; Schema: demo_ru; Owner: -
--

ALTER TABLE ONLY employee_contact
    ADD CONSTRAINT fk_employee_id_employee_contact FOREIGN KEY (employee_id) REFERENCES employee(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_employee_id_employee_notification; Type: FK CONSTRAINT; Schema: demo_ru; Owner: -
--

ALTER TABLE ONLY employee_notification
    ADD CONSTRAINT fk_employee_id_employee_notification FOREIGN KEY (employee_id) REFERENCES employee(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_employee_id_employee_passport; Type: FK CONSTRAINT; Schema: demo_ru; Owner: -
--

ALTER TABLE ONLY employee_passport
    ADD CONSTRAINT fk_employee_id_employee_passport FOREIGN KEY (employee_id) REFERENCES employee(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_employee_id_employee_subaccount; Type: FK CONSTRAINT; Schema: demo_ru; Owner: -
--

ALTER TABLE ONLY employee_subaccount
    ADD CONSTRAINT fk_employee_id_employee_subaccount FOREIGN KEY (employee_id) REFERENCES employee(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_employee_id_employee_upload; Type: FK CONSTRAINT; Schema: demo_ru; Owner: -
--

ALTER TABLE ONLY employee_upload
    ADD CONSTRAINT fk_employee_id_employee_upload FOREIGN KEY (employee_id) REFERENCES employee(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_employee_id_resource_log; Type: FK CONSTRAINT; Schema: demo_ru; Owner: -
--

ALTER TABLE ONLY resource_log
    ADD CONSTRAINT fk_employee_id_resource_log FOREIGN KEY (employee_id) REFERENCES employee(id) ON UPDATE CASCADE ON DELETE CASCADE;


--
-- Name: fk_employee_id_user; Type: FK CONSTRAINT; Schema: demo_ru; Owner: -
--

ALTER TABLE ONLY "user"
    ADD CONSTRAINT fk_employee_id_user FOREIGN KEY (employee_id) REFERENCES employee(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_end_location_id_ticket; Type: FK CONSTRAINT; Schema: demo_ru; Owner: -
--

ALTER TABLE ONLY ticket
    ADD CONSTRAINT fk_end_location_id_ticket FOREIGN KEY (end_location_id) REFERENCES location(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_end_location_id_tour; Type: FK CONSTRAINT; Schema: demo_ru; Owner: -
--

ALTER TABLE ONLY tour
    ADD CONSTRAINT fk_end_location_id_tour FOREIGN KEY (end_location_id) REFERENCES location(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_end_transport_id_tour; Type: FK CONSTRAINT; Schema: demo_ru; Owner: -
--

ALTER TABLE ONLY tour
    ADD CONSTRAINT fk_end_transport_id_tour FOREIGN KEY (end_transport_id) REFERENCES transport(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_foodcat_id_tour; Type: FK CONSTRAINT; Schema: demo_ru; Owner: -
--

ALTER TABLE ONLY tour
    ADD CONSTRAINT fk_foodcat_id_tour FOREIGN KEY (foodcat_id) REFERENCES foodcat(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_hotel_id_tour; Type: FK CONSTRAINT; Schema: demo_ru; Owner: -
--

ALTER TABLE ONLY tour
    ADD CONSTRAINT fk_hotel_id_tour FOREIGN KEY (hotel_id) REFERENCES hotel(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_hotelcat_id_hotel; Type: FK CONSTRAINT; Schema: demo_ru; Owner: -
--

ALTER TABLE ONLY hotel
    ADD CONSTRAINT fk_hotelcat_id_hotel FOREIGN KEY (hotelcat_id) REFERENCES hotelcat(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_income_id_income_cashflow; Type: FK CONSTRAINT; Schema: demo_ru; Owner: -
--

ALTER TABLE ONLY income_cashflow
    ADD CONSTRAINT fk_income_id_income_cashflow FOREIGN KEY (income_id) REFERENCES income(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_invoice_id_income; Type: FK CONSTRAINT; Schema: demo_ru; Owner: -
--

ALTER TABLE ONLY income
    ADD CONSTRAINT fk_invoice_id_income FOREIGN KEY (invoice_id) REFERENCES invoice(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_invoice_id_invoice_item; Type: FK CONSTRAINT; Schema: demo_ru; Owner: -
--

ALTER TABLE ONLY invoice_item
    ADD CONSTRAINT fk_invoice_id_invoice_item FOREIGN KEY (invoice_id) REFERENCES invoice(id) ON UPDATE CASCADE ON DELETE CASCADE;


--
-- Name: fk_lead_id_lead_item; Type: FK CONSTRAINT; Schema: demo_ru; Owner: -
--

ALTER TABLE ONLY lead_item
    ADD CONSTRAINT fk_lead_id_lead_item FOREIGN KEY (lead_id) REFERENCES lead(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_lead_id_lead_offer; Type: FK CONSTRAINT; Schema: demo_ru; Owner: -
--

ALTER TABLE ONLY lead_offer
    ADD CONSTRAINT fk_lead_id_lead_offer FOREIGN KEY (lead_id) REFERENCES lead(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_lead_id_order; Type: FK CONSTRAINT; Schema: demo_ru; Owner: -
--

ALTER TABLE ONLY "order"
    ADD CONSTRAINT fk_lead_id_order FOREIGN KEY (lead_id) REFERENCES lead(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_location_id_address; Type: FK CONSTRAINT; Schema: demo_ru; Owner: -
--

ALTER TABLE ONLY address
    ADD CONSTRAINT fk_location_id_address FOREIGN KEY (location_id) REFERENCES location(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_location_id_hotel; Type: FK CONSTRAINT; Schema: demo_ru; Owner: -
--

ALTER TABLE ONLY hotel
    ADD CONSTRAINT fk_location_id_hotel FOREIGN KEY (location_id) REFERENCES location(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_maintainer_id_resource; Type: FK CONSTRAINT; Schema: demo_ru; Owner: -
--

ALTER TABLE ONLY resource
    ADD CONSTRAINT fk_maintainer_id_resource FOREIGN KEY (maintainer_id) REFERENCES employee(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_navigation_position_id; Type: FK CONSTRAINT; Schema: demo_ru; Owner: -
--

ALTER TABLE ONLY navigation
    ADD CONSTRAINT fk_navigation_position_id FOREIGN KEY (position_id) REFERENCES "position"(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_note_id_note_resource; Type: FK CONSTRAINT; Schema: demo_ru; Owner: -
--

ALTER TABLE ONLY note_resource
    ADD CONSTRAINT fk_note_id_note_resource FOREIGN KEY (note_id) REFERENCES note(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_note_id_note_upload; Type: FK CONSTRAINT; Schema: demo_ru; Owner: -
--

ALTER TABLE ONLY note_upload
    ADD CONSTRAINT fk_note_id_note_upload FOREIGN KEY (note_id) REFERENCES note(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_notification_id_employee_notification; Type: FK CONSTRAINT; Schema: demo_ru; Owner: -
--

ALTER TABLE ONLY employee_notification
    ADD CONSTRAINT fk_notification_id_employee_notification FOREIGN KEY (notification_id) REFERENCES notification(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_notification_id_notification_resource; Type: FK CONSTRAINT; Schema: demo_ru; Owner: -
--

ALTER TABLE ONLY notification_resource
    ADD CONSTRAINT fk_notification_id_notification_resource FOREIGN KEY (notification_id) REFERENCES notification(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_order_id_invoice; Type: FK CONSTRAINT; Schema: demo_ru; Owner: -
--

ALTER TABLE ONLY invoice
    ADD CONSTRAINT fk_order_id_invoice FOREIGN KEY (order_id) REFERENCES "order"(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_order_id_order_item; Type: FK CONSTRAINT; Schema: demo_ru; Owner: -
--

ALTER TABLE ONLY order_item
    ADD CONSTRAINT fk_order_id_order_item FOREIGN KEY (order_id) REFERENCES "order"(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_order_item_id_caluclation; Type: FK CONSTRAINT; Schema: demo_ru; Owner: -
--

ALTER TABLE ONLY calculation
    ADD CONSTRAINT fk_order_item_id_caluclation FOREIGN KEY (order_item_id) REFERENCES order_item(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_order_item_id_invoice_item; Type: FK CONSTRAINT; Schema: demo_ru; Owner: -
--

ALTER TABLE ONLY invoice_item
    ADD CONSTRAINT fk_order_item_id_invoice_item FOREIGN KEY (order_item_id) REFERENCES order_item(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_order_item_id_person_order_item; Type: FK CONSTRAINT; Schema: demo_ru; Owner: -
--

ALTER TABLE ONLY person_order_item
    ADD CONSTRAINT fk_order_item_id_person_order_item FOREIGN KEY (order_item_id) REFERENCES order_item(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_order_item_id_spassport_order_item; Type: FK CONSTRAINT; Schema: demo_ru; Owner: -
--

ALTER TABLE ONLY spassport_order_item
    ADD CONSTRAINT fk_order_item_id_spassport_order_item FOREIGN KEY (order_item_id) REFERENCES order_item(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_order_item_id_ticket_order_item; Type: FK CONSTRAINT; Schema: demo_ru; Owner: -
--

ALTER TABLE ONLY ticket_order_item
    ADD CONSTRAINT fk_order_item_id_ticket_order_item FOREIGN KEY (order_item_id) REFERENCES order_item(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_order_item_id_tour_order_item; Type: FK CONSTRAINT; Schema: demo_ru; Owner: -
--

ALTER TABLE ONLY tour_order_item
    ADD CONSTRAINT fk_order_item_id_tour_order_item FOREIGN KEY (order_item_id) REFERENCES order_item(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_order_item_id_visa_order_item; Type: FK CONSTRAINT; Schema: demo_ru; Owner: -
--

ALTER TABLE ONLY visa_order_item
    ADD CONSTRAINT fk_order_item_id_visa_order_item FOREIGN KEY (order_item_id) REFERENCES order_item(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_outgoing_id_outgoing_cashflow; Type: FK CONSTRAINT; Schema: demo_ru; Owner: -
--

ALTER TABLE ONLY outgoing_cashflow
    ADD CONSTRAINT fk_outgoing_id_outgoing_cashflow FOREIGN KEY (outgoing_id) REFERENCES outgoing(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_parent_id_navigation; Type: FK CONSTRAINT; Schema: demo_ru; Owner: -
--

ALTER TABLE ONLY navigation
    ADD CONSTRAINT fk_parent_id_navigation FOREIGN KEY (parent_id) REFERENCES navigation(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_passport_id_employee_passport; Type: FK CONSTRAINT; Schema: demo_ru; Owner: -
--

ALTER TABLE ONLY employee_passport
    ADD CONSTRAINT fk_passport_id_employee_passport FOREIGN KEY (passport_id) REFERENCES passport(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_passport_id_passport_upload; Type: FK CONSTRAINT; Schema: demo_ru; Owner: -
--

ALTER TABLE ONLY passport_upload
    ADD CONSTRAINT fk_passport_id_passport_upload FOREIGN KEY (passport_id) REFERENCES passport(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_passport_id_person_passport; Type: FK CONSTRAINT; Schema: demo_ru; Owner: -
--

ALTER TABLE ONLY person_passport
    ADD CONSTRAINT fk_passport_id_person_passport FOREIGN KEY (passport_id) REFERENCES passport(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_permision_structure_id; Type: FK CONSTRAINT; Schema: demo_ru; Owner: -
--

ALTER TABLE ONLY permision
    ADD CONSTRAINT fk_permision_structure_id FOREIGN KEY (structure_id) REFERENCES structure(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_person_category_id_person; Type: FK CONSTRAINT; Schema: demo_ru; Owner: -
--

ALTER TABLE ONLY person
    ADD CONSTRAINT fk_person_category_id_person FOREIGN KEY (person_category_id) REFERENCES person_category(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_person_id_person_address; Type: FK CONSTRAINT; Schema: demo_ru; Owner: -
--

ALTER TABLE ONLY person_address
    ADD CONSTRAINT fk_person_id_person_address FOREIGN KEY (person_id) REFERENCES person(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_person_id_person_contact; Type: FK CONSTRAINT; Schema: demo_ru; Owner: -
--

ALTER TABLE ONLY person_contact
    ADD CONSTRAINT fk_person_id_person_contact FOREIGN KEY (person_id) REFERENCES person(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_person_id_person_order_item; Type: FK CONSTRAINT; Schema: demo_ru; Owner: -
--

ALTER TABLE ONLY person_order_item
    ADD CONSTRAINT fk_person_id_person_order_item FOREIGN KEY (person_id) REFERENCES person(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_person_id_person_passport; Type: FK CONSTRAINT; Schema: demo_ru; Owner: -
--

ALTER TABLE ONLY person_passport
    ADD CONSTRAINT fk_person_id_person_passport FOREIGN KEY (person_id) REFERENCES person(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_person_id_person_subaccount; Type: FK CONSTRAINT; Schema: demo_ru; Owner: -
--

ALTER TABLE ONLY person_subaccount
    ADD CONSTRAINT fk_person_id_person_subaccount FOREIGN KEY (person_id) REFERENCES person(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_photo_upload_id_employee; Type: FK CONSTRAINT; Schema: demo_ru; Owner: -
--

ALTER TABLE ONLY employee
    ADD CONSTRAINT fk_photo_upload_id_employee FOREIGN KEY (photo_upload_id) REFERENCES upload(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_position_id_appointment; Type: FK CONSTRAINT; Schema: demo_ru; Owner: -
--

ALTER TABLE ONLY appointment
    ADD CONSTRAINT fk_position_id_appointment FOREIGN KEY (position_id) REFERENCES "position"(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_position_id_permision; Type: FK CONSTRAINT; Schema: demo_ru; Owner: -
--

ALTER TABLE ONLY permision
    ADD CONSTRAINT fk_position_id_permision FOREIGN KEY (position_id) REFERENCES "position"(id) ON UPDATE CASCADE ON DELETE CASCADE;


--
-- Name: fk_position_structure_id; Type: FK CONSTRAINT; Schema: demo_ru; Owner: -
--

ALTER TABLE ONLY "position"
    ADD CONSTRAINT fk_position_structure_id FOREIGN KEY (structure_id) REFERENCES structure(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_region_country_id; Type: FK CONSTRAINT; Schema: demo_ru; Owner: -
--

ALTER TABLE ONLY region
    ADD CONSTRAINT fk_region_country_id FOREIGN KEY (country_id) REFERENCES country(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_region_id_location; Type: FK CONSTRAINT; Schema: demo_ru; Owner: -
--

ALTER TABLE ONLY location
    ADD CONSTRAINT fk_region_id_location FOREIGN KEY (region_id) REFERENCES region(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_resource_id_accomodation; Type: FK CONSTRAINT; Schema: demo_ru; Owner: -
--

ALTER TABLE ONLY accomodation
    ADD CONSTRAINT fk_resource_id_accomodation FOREIGN KEY (resource_id) REFERENCES resource(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_resource_id_account; Type: FK CONSTRAINT; Schema: demo_ru; Owner: -
--

ALTER TABLE ONLY account
    ADD CONSTRAINT fk_resource_id_account FOREIGN KEY (resource_id) REFERENCES resource(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_resource_id_account_item; Type: FK CONSTRAINT; Schema: demo_ru; Owner: -
--

ALTER TABLE ONLY account_item
    ADD CONSTRAINT fk_resource_id_account_item FOREIGN KEY (resource_id) REFERENCES resource(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_resource_id_address; Type: FK CONSTRAINT; Schema: demo_ru; Owner: -
--

ALTER TABLE ONLY address
    ADD CONSTRAINT fk_resource_id_address FOREIGN KEY (resource_id) REFERENCES resource(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_resource_id_advsource; Type: FK CONSTRAINT; Schema: demo_ru; Owner: -
--

ALTER TABLE ONLY advsource
    ADD CONSTRAINT fk_resource_id_advsource FOREIGN KEY (resource_id) REFERENCES resource(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_resource_id_appointment; Type: FK CONSTRAINT; Schema: demo_ru; Owner: -
--

ALTER TABLE ONLY appointment
    ADD CONSTRAINT fk_resource_id_appointment FOREIGN KEY (resource_id) REFERENCES resource(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_resource_id_bank; Type: FK CONSTRAINT; Schema: demo_ru; Owner: -
--

ALTER TABLE ONLY bank
    ADD CONSTRAINT fk_resource_id_bank FOREIGN KEY (resource_id) REFERENCES resource(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_resource_id_bank_detail; Type: FK CONSTRAINT; Schema: demo_ru; Owner: -
--

ALTER TABLE ONLY bank_detail
    ADD CONSTRAINT fk_resource_id_bank_detail FOREIGN KEY (resource_id) REFERENCES resource(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_resource_id_bperson; Type: FK CONSTRAINT; Schema: demo_ru; Owner: -
--

ALTER TABLE ONLY bperson
    ADD CONSTRAINT fk_resource_id_bperson FOREIGN KEY (resource_id) REFERENCES resource(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_resource_id_calculation; Type: FK CONSTRAINT; Schema: demo_ru; Owner: -
--

ALTER TABLE ONLY calculation
    ADD CONSTRAINT fk_resource_id_calculation FOREIGN KEY (resource_id) REFERENCES resource(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_resource_id_campaign; Type: FK CONSTRAINT; Schema: demo_ru; Owner: -
--

ALTER TABLE ONLY campaign
    ADD CONSTRAINT fk_resource_id_campaign FOREIGN KEY (resource_id) REFERENCES resource(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_resource_id_commission; Type: FK CONSTRAINT; Schema: demo_ru; Owner: -
--

ALTER TABLE ONLY commission
    ADD CONSTRAINT fk_resource_id_commission FOREIGN KEY (resource_id) REFERENCES resource(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_resource_id_company; Type: FK CONSTRAINT; Schema: demo_ru; Owner: -
--

ALTER TABLE ONLY company
    ADD CONSTRAINT fk_resource_id_company FOREIGN KEY (resource_id) REFERENCES resource(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_resource_id_contact; Type: FK CONSTRAINT; Schema: demo_ru; Owner: -
--

ALTER TABLE ONLY contact
    ADD CONSTRAINT fk_resource_id_contact FOREIGN KEY (resource_id) REFERENCES resource(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_resource_id_contact; Type: FK CONSTRAINT; Schema: demo_ru; Owner: -
--

ALTER TABLE ONLY upload
    ADD CONSTRAINT fk_resource_id_contact FOREIGN KEY (resource_id) REFERENCES resource(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_resource_id_contract; Type: FK CONSTRAINT; Schema: demo_ru; Owner: -
--

ALTER TABLE ONLY contract
    ADD CONSTRAINT fk_resource_id_contract FOREIGN KEY (resource_id) REFERENCES resource(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_resource_id_country; Type: FK CONSTRAINT; Schema: demo_ru; Owner: -
--

ALTER TABLE ONLY country
    ADD CONSTRAINT fk_resource_id_country FOREIGN KEY (resource_id) REFERENCES resource(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_resource_id_crosspayment; Type: FK CONSTRAINT; Schema: demo_ru; Owner: -
--

ALTER TABLE ONLY crosspayment
    ADD CONSTRAINT fk_resource_id_crosspayment FOREIGN KEY (resource_id) REFERENCES resource(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_resource_id_currency; Type: FK CONSTRAINT; Schema: demo_ru; Owner: -
--

ALTER TABLE ONLY currency
    ADD CONSTRAINT fk_resource_id_currency FOREIGN KEY (resource_id) REFERENCES resource(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_resource_id_currency_rate; Type: FK CONSTRAINT; Schema: demo_ru; Owner: -
--

ALTER TABLE ONLY currency_rate
    ADD CONSTRAINT fk_resource_id_currency_rate FOREIGN KEY (resource_id) REFERENCES resource(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_resource_id_dismissal; Type: FK CONSTRAINT; Schema: demo_ru; Owner: -
--

ALTER TABLE ONLY dismissal
    ADD CONSTRAINT fk_resource_id_dismissal FOREIGN KEY (resource_id) REFERENCES resource(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_resource_id_employee; Type: FK CONSTRAINT; Schema: demo_ru; Owner: -
--

ALTER TABLE ONLY employee
    ADD CONSTRAINT fk_resource_id_employee FOREIGN KEY (resource_id) REFERENCES resource(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_resource_id_foodcat; Type: FK CONSTRAINT; Schema: demo_ru; Owner: -
--

ALTER TABLE ONLY foodcat
    ADD CONSTRAINT fk_resource_id_foodcat FOREIGN KEY (resource_id) REFERENCES resource(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_resource_id_hotel; Type: FK CONSTRAINT; Schema: demo_ru; Owner: -
--

ALTER TABLE ONLY hotel
    ADD CONSTRAINT fk_resource_id_hotel FOREIGN KEY (resource_id) REFERENCES resource(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_resource_id_hotelcat; Type: FK CONSTRAINT; Schema: demo_ru; Owner: -
--

ALTER TABLE ONLY hotelcat
    ADD CONSTRAINT fk_resource_id_hotelcat FOREIGN KEY (resource_id) REFERENCES resource(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_resource_id_income; Type: FK CONSTRAINT; Schema: demo_ru; Owner: -
--

ALTER TABLE ONLY income
    ADD CONSTRAINT fk_resource_id_income FOREIGN KEY (resource_id) REFERENCES resource(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_resource_id_invoice; Type: FK CONSTRAINT; Schema: demo_ru; Owner: -
--

ALTER TABLE ONLY invoice
    ADD CONSTRAINT fk_resource_id_invoice FOREIGN KEY (resource_id) REFERENCES resource(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_resource_id_lead; Type: FK CONSTRAINT; Schema: demo_ru; Owner: -
--

ALTER TABLE ONLY lead
    ADD CONSTRAINT fk_resource_id_lead FOREIGN KEY (resource_id) REFERENCES resource(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_resource_id_lead_item; Type: FK CONSTRAINT; Schema: demo_ru; Owner: -
--

ALTER TABLE ONLY lead_item
    ADD CONSTRAINT fk_resource_id_lead_item FOREIGN KEY (resource_id) REFERENCES resource(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_resource_id_lead_offer; Type: FK CONSTRAINT; Schema: demo_ru; Owner: -
--

ALTER TABLE ONLY lead_offer
    ADD CONSTRAINT fk_resource_id_lead_offer FOREIGN KEY (resource_id) REFERENCES resource(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_resource_id_location; Type: FK CONSTRAINT; Schema: demo_ru; Owner: -
--

ALTER TABLE ONLY location
    ADD CONSTRAINT fk_resource_id_location FOREIGN KEY (resource_id) REFERENCES resource(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_resource_id_navigation; Type: FK CONSTRAINT; Schema: demo_ru; Owner: -
--

ALTER TABLE ONLY navigation
    ADD CONSTRAINT fk_resource_id_navigation FOREIGN KEY (resource_id) REFERENCES resource(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_resource_id_note; Type: FK CONSTRAINT; Schema: demo_ru; Owner: -
--

ALTER TABLE ONLY note
    ADD CONSTRAINT fk_resource_id_note FOREIGN KEY (resource_id) REFERENCES resource(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_resource_id_note_resource; Type: FK CONSTRAINT; Schema: demo_ru; Owner: -
--

ALTER TABLE ONLY note_resource
    ADD CONSTRAINT fk_resource_id_note_resource FOREIGN KEY (resource_id) REFERENCES resource(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_resource_id_notification; Type: FK CONSTRAINT; Schema: demo_ru; Owner: -
--

ALTER TABLE ONLY notification
    ADD CONSTRAINT fk_resource_id_notification FOREIGN KEY (resource_id) REFERENCES resource(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_resource_id_notification_resource; Type: FK CONSTRAINT; Schema: demo_ru; Owner: -
--

ALTER TABLE ONLY notification_resource
    ADD CONSTRAINT fk_resource_id_notification_resource FOREIGN KEY (resource_id) REFERENCES resource(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_resource_id_order; Type: FK CONSTRAINT; Schema: demo_ru; Owner: -
--

ALTER TABLE ONLY "order"
    ADD CONSTRAINT fk_resource_id_order FOREIGN KEY (resource_id) REFERENCES resource(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_resource_id_order_item; Type: FK CONSTRAINT; Schema: demo_ru; Owner: -
--

ALTER TABLE ONLY order_item
    ADD CONSTRAINT fk_resource_id_order_item FOREIGN KEY (resource_id) REFERENCES resource(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_resource_id_outgoing; Type: FK CONSTRAINT; Schema: demo_ru; Owner: -
--

ALTER TABLE ONLY outgoing
    ADD CONSTRAINT fk_resource_id_outgoing FOREIGN KEY (resource_id) REFERENCES resource(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_resource_id_passport; Type: FK CONSTRAINT; Schema: demo_ru; Owner: -
--

ALTER TABLE ONLY passport
    ADD CONSTRAINT fk_resource_id_passport FOREIGN KEY (resource_id) REFERENCES resource(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_resource_id_person; Type: FK CONSTRAINT; Schema: demo_ru; Owner: -
--

ALTER TABLE ONLY person
    ADD CONSTRAINT fk_resource_id_person FOREIGN KEY (resource_id) REFERENCES resource(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_resource_id_person_category; Type: FK CONSTRAINT; Schema: demo_ru; Owner: -
--

ALTER TABLE ONLY person_category
    ADD CONSTRAINT fk_resource_id_person_category FOREIGN KEY (resource_id) REFERENCES resource(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_resource_id_position; Type: FK CONSTRAINT; Schema: demo_ru; Owner: -
--

ALTER TABLE ONLY "position"
    ADD CONSTRAINT fk_resource_id_position FOREIGN KEY (resource_id) REFERENCES resource(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_resource_id_region; Type: FK CONSTRAINT; Schema: demo_ru; Owner: -
--

ALTER TABLE ONLY region
    ADD CONSTRAINT fk_resource_id_region FOREIGN KEY (resource_id) REFERENCES resource(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_resource_id_resource_log; Type: FK CONSTRAINT; Schema: demo_ru; Owner: -
--

ALTER TABLE ONLY resource_log
    ADD CONSTRAINT fk_resource_id_resource_log FOREIGN KEY (resource_id) REFERENCES resource(id) ON UPDATE CASCADE ON DELETE CASCADE;


--
-- Name: fk_resource_id_resource_type; Type: FK CONSTRAINT; Schema: demo_ru; Owner: -
--

ALTER TABLE ONLY resource_type
    ADD CONSTRAINT fk_resource_id_resource_type FOREIGN KEY (resource_id) REFERENCES resource(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_resource_id_roomcat; Type: FK CONSTRAINT; Schema: demo_ru; Owner: -
--

ALTER TABLE ONLY roomcat
    ADD CONSTRAINT fk_resource_id_roomcat FOREIGN KEY (resource_id) REFERENCES resource(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_resource_id_service; Type: FK CONSTRAINT; Schema: demo_ru; Owner: -
--

ALTER TABLE ONLY service
    ADD CONSTRAINT fk_resource_id_service FOREIGN KEY (resource_id) REFERENCES resource(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_resource_id_spassport; Type: FK CONSTRAINT; Schema: demo_ru; Owner: -
--

ALTER TABLE ONLY spassport
    ADD CONSTRAINT fk_resource_id_spassport FOREIGN KEY (resource_id) REFERENCES resource(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_resource_id_structure; Type: FK CONSTRAINT; Schema: demo_ru; Owner: -
--

ALTER TABLE ONLY structure
    ADD CONSTRAINT fk_resource_id_structure FOREIGN KEY (resource_id) REFERENCES resource(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_resource_id_subaccount; Type: FK CONSTRAINT; Schema: demo_ru; Owner: -
--

ALTER TABLE ONLY subaccount
    ADD CONSTRAINT fk_resource_id_subaccount FOREIGN KEY (resource_id) REFERENCES resource(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_resource_id_supplier; Type: FK CONSTRAINT; Schema: demo_ru; Owner: -
--

ALTER TABLE ONLY supplier
    ADD CONSTRAINT fk_resource_id_supplier FOREIGN KEY (resource_id) REFERENCES resource(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_resource_id_supplier_type; Type: FK CONSTRAINT; Schema: demo_ru; Owner: -
--

ALTER TABLE ONLY supplier_type
    ADD CONSTRAINT fk_resource_id_supplier_type FOREIGN KEY (resource_id) REFERENCES resource(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_resource_id_task; Type: FK CONSTRAINT; Schema: demo_ru; Owner: -
--

ALTER TABLE ONLY task
    ADD CONSTRAINT fk_resource_id_task FOREIGN KEY (resource_id) REFERENCES resource(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_resource_id_task_resource; Type: FK CONSTRAINT; Schema: demo_ru; Owner: -
--

ALTER TABLE ONLY task_resource
    ADD CONSTRAINT fk_resource_id_task_resource FOREIGN KEY (resource_id) REFERENCES resource(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_resource_id_ticket; Type: FK CONSTRAINT; Schema: demo_ru; Owner: -
--

ALTER TABLE ONLY ticket
    ADD CONSTRAINT fk_resource_id_ticket FOREIGN KEY (resource_id) REFERENCES resource(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_resource_id_ticket_class; Type: FK CONSTRAINT; Schema: demo_ru; Owner: -
--

ALTER TABLE ONLY ticket_class
    ADD CONSTRAINT fk_resource_id_ticket_class FOREIGN KEY (resource_id) REFERENCES resource(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_resource_id_tour; Type: FK CONSTRAINT; Schema: demo_ru; Owner: -
--

ALTER TABLE ONLY tour
    ADD CONSTRAINT fk_resource_id_tour FOREIGN KEY (resource_id) REFERENCES resource(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_resource_id_transfer; Type: FK CONSTRAINT; Schema: demo_ru; Owner: -
--

ALTER TABLE ONLY transfer
    ADD CONSTRAINT fk_resource_id_transfer FOREIGN KEY (resource_id) REFERENCES resource(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_resource_id_transport; Type: FK CONSTRAINT; Schema: demo_ru; Owner: -
--

ALTER TABLE ONLY transport
    ADD CONSTRAINT fk_resource_id_transport FOREIGN KEY (resource_id) REFERENCES resource(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_resource_id_user; Type: FK CONSTRAINT; Schema: demo_ru; Owner: -
--

ALTER TABLE ONLY "user"
    ADD CONSTRAINT fk_resource_id_user FOREIGN KEY (resource_id) REFERENCES resource(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_resource_id_vat; Type: FK CONSTRAINT; Schema: demo_ru; Owner: -
--

ALTER TABLE ONLY vat
    ADD CONSTRAINT fk_resource_id_vat FOREIGN KEY (resource_id) REFERENCES resource(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_resource_id_visa; Type: FK CONSTRAINT; Schema: demo_ru; Owner: -
--

ALTER TABLE ONLY visa
    ADD CONSTRAINT fk_resource_id_visa FOREIGN KEY (resource_id) REFERENCES resource(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_resource_type_id_permission; Type: FK CONSTRAINT; Schema: demo_ru; Owner: -
--

ALTER TABLE ONLY permision
    ADD CONSTRAINT fk_resource_type_id_permission FOREIGN KEY (resource_type_id) REFERENCES resource_type(id) ON UPDATE CASCADE ON DELETE CASCADE;


--
-- Name: fk_resource_type_id_resource; Type: FK CONSTRAINT; Schema: demo_ru; Owner: -
--

ALTER TABLE ONLY resource
    ADD CONSTRAINT fk_resource_type_id_resource FOREIGN KEY (resource_type_id) REFERENCES resource_type(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_resource_type_id_service; Type: FK CONSTRAINT; Schema: demo_ru; Owner: -
--

ALTER TABLE ONLY service
    ADD CONSTRAINT fk_resource_type_id_service FOREIGN KEY (resource_type_id) REFERENCES resource_type(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_roomcat_id_tour; Type: FK CONSTRAINT; Schema: demo_ru; Owner: -
--

ALTER TABLE ONLY tour
    ADD CONSTRAINT fk_roomcat_id_tour FOREIGN KEY (roomcat_id) REFERENCES roomcat(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_service_id_commission; Type: FK CONSTRAINT; Schema: demo_ru; Owner: -
--

ALTER TABLE ONLY commission
    ADD CONSTRAINT fk_service_id_commission FOREIGN KEY (service_id) REFERENCES service(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_service_id_lead_item; Type: FK CONSTRAINT; Schema: demo_ru; Owner: -
--

ALTER TABLE ONLY lead_item
    ADD CONSTRAINT fk_service_id_lead_item FOREIGN KEY (service_id) REFERENCES service(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_service_id_lead_offer; Type: FK CONSTRAINT; Schema: demo_ru; Owner: -
--

ALTER TABLE ONLY lead_offer
    ADD CONSTRAINT fk_service_id_lead_offer FOREIGN KEY (service_id) REFERENCES service(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_service_id_order_item; Type: FK CONSTRAINT; Schema: demo_ru; Owner: -
--

ALTER TABLE ONLY order_item
    ADD CONSTRAINT fk_service_id_order_item FOREIGN KEY (service_id) REFERENCES service(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_service_id_vat; Type: FK CONSTRAINT; Schema: demo_ru; Owner: -
--

ALTER TABLE ONLY vat
    ADD CONSTRAINT fk_service_id_vat FOREIGN KEY (service_id) REFERENCES service(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_spassport_id_spassport_order_item; Type: FK CONSTRAINT; Schema: demo_ru; Owner: -
--

ALTER TABLE ONLY spassport_order_item
    ADD CONSTRAINT fk_spassport_id_spassport_order_item FOREIGN KEY (spassport_id) REFERENCES spassport(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_start_location_id_ticket; Type: FK CONSTRAINT; Schema: demo_ru; Owner: -
--

ALTER TABLE ONLY ticket
    ADD CONSTRAINT fk_start_location_id_ticket FOREIGN KEY (start_location_id) REFERENCES location(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_start_location_id_tour; Type: FK CONSTRAINT; Schema: demo_ru; Owner: -
--

ALTER TABLE ONLY tour
    ADD CONSTRAINT fk_start_location_id_tour FOREIGN KEY (start_location_id) REFERENCES location(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_start_transport_id_tour; Type: FK CONSTRAINT; Schema: demo_ru; Owner: -
--

ALTER TABLE ONLY tour
    ADD CONSTRAINT fk_start_transport_id_tour FOREIGN KEY (start_transport_id) REFERENCES transport(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_structure_company_id; Type: FK CONSTRAINT; Schema: demo_ru; Owner: -
--

ALTER TABLE ONLY structure
    ADD CONSTRAINT fk_structure_company_id FOREIGN KEY (company_id) REFERENCES company(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_structure_id_structure_address; Type: FK CONSTRAINT; Schema: demo_ru; Owner: -
--

ALTER TABLE ONLY structure_address
    ADD CONSTRAINT fk_structure_id_structure_address FOREIGN KEY (structure_id) REFERENCES structure(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_structure_id_structure_bank_detail; Type: FK CONSTRAINT; Schema: demo_ru; Owner: -
--

ALTER TABLE ONLY structure_bank_detail
    ADD CONSTRAINT fk_structure_id_structure_bank_detail FOREIGN KEY (structure_id) REFERENCES structure(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_structure_id_structure_contact; Type: FK CONSTRAINT; Schema: demo_ru; Owner: -
--

ALTER TABLE ONLY structure_contact
    ADD CONSTRAINT fk_structure_id_structure_contact FOREIGN KEY (structure_id) REFERENCES structure(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_structure_parent_id; Type: FK CONSTRAINT; Schema: demo_ru; Owner: -
--

ALTER TABLE ONLY structure
    ADD CONSTRAINT fk_structure_parent_id FOREIGN KEY (parent_id) REFERENCES structure(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_subaccount_account_id; Type: FK CONSTRAINT; Schema: demo_ru; Owner: -
--

ALTER TABLE ONLY subaccount
    ADD CONSTRAINT fk_subaccount_account_id FOREIGN KEY (account_id) REFERENCES account(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_subaccount_from_id_cashflow; Type: FK CONSTRAINT; Schema: demo_ru; Owner: -
--

ALTER TABLE ONLY cashflow
    ADD CONSTRAINT fk_subaccount_from_id_cashflow FOREIGN KEY (subaccount_from_id) REFERENCES subaccount(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_subaccount_id_company_subaccount; Type: FK CONSTRAINT; Schema: demo_ru; Owner: -
--

ALTER TABLE ONLY company_subaccount
    ADD CONSTRAINT fk_subaccount_id_company_subaccount FOREIGN KEY (subaccount_id) REFERENCES subaccount(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_subaccount_id_employee_subaccount; Type: FK CONSTRAINT; Schema: demo_ru; Owner: -
--

ALTER TABLE ONLY employee_subaccount
    ADD CONSTRAINT fk_subaccount_id_employee_subaccount FOREIGN KEY (subaccount_id) REFERENCES subaccount(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_subaccount_id_outgoing; Type: FK CONSTRAINT; Schema: demo_ru; Owner: -
--

ALTER TABLE ONLY outgoing
    ADD CONSTRAINT fk_subaccount_id_outgoing FOREIGN KEY (subaccount_id) REFERENCES subaccount(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_subaccount_id_person_subaccount; Type: FK CONSTRAINT; Schema: demo_ru; Owner: -
--

ALTER TABLE ONLY person_subaccount
    ADD CONSTRAINT fk_subaccount_id_person_subaccount FOREIGN KEY (subaccount_id) REFERENCES subaccount(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_subaccount_id_supplier_subaccount; Type: FK CONSTRAINT; Schema: demo_ru; Owner: -
--

ALTER TABLE ONLY supplier_subaccount
    ADD CONSTRAINT fk_subaccount_id_supplier_subaccount FOREIGN KEY (subaccount_id) REFERENCES subaccount(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_subaccount_to_id_cashflow; Type: FK CONSTRAINT; Schema: demo_ru; Owner: -
--

ALTER TABLE ONLY cashflow
    ADD CONSTRAINT fk_subaccount_to_id_cashflow FOREIGN KEY (subaccount_to_id) REFERENCES subaccount(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_supplier_id_currency_rate; Type: FK CONSTRAINT; Schema: demo_ru; Owner: -
--

ALTER TABLE ONLY currency_rate
    ADD CONSTRAINT fk_supplier_id_currency_rate FOREIGN KEY (supplier_id) REFERENCES supplier(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_supplier_id_lead_offer; Type: FK CONSTRAINT; Schema: demo_ru; Owner: -
--

ALTER TABLE ONLY lead_offer
    ADD CONSTRAINT fk_supplier_id_lead_offer FOREIGN KEY (supplier_id) REFERENCES supplier(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_supplier_id_order_item; Type: FK CONSTRAINT; Schema: demo_ru; Owner: -
--

ALTER TABLE ONLY order_item
    ADD CONSTRAINT fk_supplier_id_order_item FOREIGN KEY (supplier_id) REFERENCES supplier(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_supplier_id_supplier_bank_detail; Type: FK CONSTRAINT; Schema: demo_ru; Owner: -
--

ALTER TABLE ONLY supplier_bank_detail
    ADD CONSTRAINT fk_supplier_id_supplier_bank_detail FOREIGN KEY (supplier_id) REFERENCES supplier(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_supplier_id_supplier_bperson; Type: FK CONSTRAINT; Schema: demo_ru; Owner: -
--

ALTER TABLE ONLY supplier_bperson
    ADD CONSTRAINT fk_supplier_id_supplier_bperson FOREIGN KEY (supplier_id) REFERENCES supplier(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_supplier_id_supplier_contract; Type: FK CONSTRAINT; Schema: demo_ru; Owner: -
--

ALTER TABLE ONLY supplier_contract
    ADD CONSTRAINT fk_supplier_id_supplier_contract FOREIGN KEY (supplier_id) REFERENCES supplier(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_supplier_id_supplier_subaccount; Type: FK CONSTRAINT; Schema: demo_ru; Owner: -
--

ALTER TABLE ONLY supplier_subaccount
    ADD CONSTRAINT fk_supplier_id_supplier_subaccount FOREIGN KEY (supplier_id) REFERENCES supplier(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_supplier_type_id_supplier; Type: FK CONSTRAINT; Schema: demo_ru; Owner: -
--

ALTER TABLE ONLY supplier
    ADD CONSTRAINT fk_supplier_type_id_supplier FOREIGN KEY (supplier_type_id) REFERENCES supplier_type(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_task_id_task_resource; Type: FK CONSTRAINT; Schema: demo_ru; Owner: -
--

ALTER TABLE ONLY task_resource
    ADD CONSTRAINT fk_task_id_task_resource FOREIGN KEY (task_id) REFERENCES task(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_task_id_task_upload; Type: FK CONSTRAINT; Schema: demo_ru; Owner: -
--

ALTER TABLE ONLY task_upload
    ADD CONSTRAINT fk_task_id_task_upload FOREIGN KEY (task_id) REFERENCES task(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_ticket_class_id_ticket; Type: FK CONSTRAINT; Schema: demo_ru; Owner: -
--

ALTER TABLE ONLY ticket
    ADD CONSTRAINT fk_ticket_class_id_ticket FOREIGN KEY (ticket_class_id) REFERENCES ticket_class(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_ticket_id_ticket_order_item; Type: FK CONSTRAINT; Schema: demo_ru; Owner: -
--

ALTER TABLE ONLY ticket_order_item
    ADD CONSTRAINT fk_ticket_id_ticket_order_item FOREIGN KEY (ticket_id) REFERENCES ticket(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_tour_id_tour_order_item; Type: FK CONSTRAINT; Schema: demo_ru; Owner: -
--

ALTER TABLE ONLY tour_order_item
    ADD CONSTRAINT fk_tour_id_tour_order_item FOREIGN KEY (tour_id) REFERENCES tour(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_transfer_id_tour; Type: FK CONSTRAINT; Schema: demo_ru; Owner: -
--

ALTER TABLE ONLY tour
    ADD CONSTRAINT fk_transfer_id_tour FOREIGN KEY (transfer_id) REFERENCES transfer(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_transport_id_ticket; Type: FK CONSTRAINT; Schema: demo_ru; Owner: -
--

ALTER TABLE ONLY ticket
    ADD CONSTRAINT fk_transport_id_ticket FOREIGN KEY (transport_id) REFERENCES transport(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_upload_id_employee_upload; Type: FK CONSTRAINT; Schema: demo_ru; Owner: -
--

ALTER TABLE ONLY employee_upload
    ADD CONSTRAINT fk_upload_id_employee_upload FOREIGN KEY (upload_id) REFERENCES upload(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_upload_id_note_upload; Type: FK CONSTRAINT; Schema: demo_ru; Owner: -
--

ALTER TABLE ONLY note_upload
    ADD CONSTRAINT fk_upload_id_note_upload FOREIGN KEY (upload_id) REFERENCES upload(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_upload_id_passport_upload; Type: FK CONSTRAINT; Schema: demo_ru; Owner: -
--

ALTER TABLE ONLY passport_upload
    ADD CONSTRAINT fk_upload_id_passport_upload FOREIGN KEY (upload_id) REFERENCES upload(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_upload_id_task_upload; Type: FK CONSTRAINT; Schema: demo_ru; Owner: -
--

ALTER TABLE ONLY task_upload
    ADD CONSTRAINT fk_upload_id_task_upload FOREIGN KEY (upload_id) REFERENCES upload(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_visa_id_visa_order_item; Type: FK CONSTRAINT; Schema: demo_ru; Owner: -
--

ALTER TABLE ONLY visa_order_item
    ADD CONSTRAINT fk_visa_id_visa_order_item FOREIGN KEY (visa_id) REFERENCES visa(id) ON UPDATE CASCADE ON DELETE RESTRICT;


SET search_path = public, pg_catalog;

--
-- Name: fk_accomodation_id_tour; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY tour
    ADD CONSTRAINT fk_accomodation_id_tour FOREIGN KEY (accomodation_id) REFERENCES accomodation(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_account_id_invoice; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY invoice
    ADD CONSTRAINT fk_account_id_invoice FOREIGN KEY (account_id) REFERENCES account(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_account_id_vat; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY vat
    ADD CONSTRAINT fk_account_id_vat FOREIGN KEY (account_id) REFERENCES account(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_account_item_id_cashflow; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY income
    ADD CONSTRAINT fk_account_item_id_cashflow FOREIGN KEY (account_item_id) REFERENCES account_item(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_account_item_id_outgoing; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY outgoing
    ADD CONSTRAINT fk_account_item_id_outgoing FOREIGN KEY (account_item_id) REFERENCES account_item(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_account_item_id_transfer; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY cashflow
    ADD CONSTRAINT fk_account_item_id_transfer FOREIGN KEY (account_item_id) REFERENCES account_item(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_account_item_parent_id; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY account_item
    ADD CONSTRAINT fk_account_item_parent_id FOREIGN KEY (parent_id) REFERENCES account_item(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_address_id_bank_address; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY bank_address
    ADD CONSTRAINT fk_address_id_bank_address FOREIGN KEY (address_id) REFERENCES address(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_address_id_employee_address; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY employee_address
    ADD CONSTRAINT fk_address_id_employee_address FOREIGN KEY (address_id) REFERENCES address(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_address_id_person_address; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY person_address
    ADD CONSTRAINT fk_address_id_person_address FOREIGN KEY (address_id) REFERENCES address(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_address_id_structure_address; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY structure_address
    ADD CONSTRAINT fk_address_id_structure_address FOREIGN KEY (address_id) REFERENCES address(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_advsource_id_lead; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY lead
    ADD CONSTRAINT fk_advsource_id_lead FOREIGN KEY (advsource_id) REFERENCES advsource(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_advsource_id_order; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY "order"
    ADD CONSTRAINT fk_advsource_id_order FOREIGN KEY (advsource_id) REFERENCES advsource(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_bank_detail_id_structure_bank_detail; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY structure_bank_detail
    ADD CONSTRAINT fk_bank_detail_id_structure_bank_detail FOREIGN KEY (bank_detail_id) REFERENCES bank_detail(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_bank_detail_id_supplier_bank_detail; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY supplier_bank_detail
    ADD CONSTRAINT fk_bank_detail_id_supplier_bank_detail FOREIGN KEY (bank_detail_id) REFERENCES bank_detail(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_bank_id_bank_address; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY bank_address
    ADD CONSTRAINT fk_bank_id_bank_address FOREIGN KEY (bank_id) REFERENCES bank(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_bank_id_bank_detail; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY bank_detail
    ADD CONSTRAINT fk_bank_id_bank_detail FOREIGN KEY (bank_id) REFERENCES bank(id) ON UPDATE CASCADE ON DELETE CASCADE;


--
-- Name: fk_bperson_id_bperson_contact; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY bperson_contact
    ADD CONSTRAINT fk_bperson_id_bperson_contact FOREIGN KEY (bperson_id) REFERENCES bperson(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_bperson_id_supplier_bperson; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY supplier_bperson
    ADD CONSTRAINT fk_bperson_id_supplier_bperson FOREIGN KEY (bperson_id) REFERENCES bperson(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_cashflow_id_crosspayment; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY crosspayment
    ADD CONSTRAINT fk_cashflow_id_crosspayment FOREIGN KEY (cashflow_id) REFERENCES cashflow(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_cashflow_id_income_cashflow; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY income_cashflow
    ADD CONSTRAINT fk_cashflow_id_income_cashflow FOREIGN KEY (cashflow_id) REFERENCES cashflow(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_cashflow_id_outgoing_cashflow; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY outgoing_cashflow
    ADD CONSTRAINT fk_cashflow_id_outgoing_cashflow FOREIGN KEY (cashflow_id) REFERENCES cashflow(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_commission_id_contract_commission; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY contract_commission
    ADD CONSTRAINT fk_commission_id_contract_commission FOREIGN KEY (commission_id) REFERENCES commission(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_company_id_company_subaccount; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY company_subaccount
    ADD CONSTRAINT fk_company_id_company_subaccount FOREIGN KEY (company_id) REFERENCES company(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_contact_id_bperson_contact; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY bperson_contact
    ADD CONSTRAINT fk_contact_id_bperson_contact FOREIGN KEY (contact_id) REFERENCES contact(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_contact_id_employee_contact; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY employee_contact
    ADD CONSTRAINT fk_contact_id_employee_contact FOREIGN KEY (contact_id) REFERENCES contact(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_contact_id_employee_notification; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY employee_notification
    ADD CONSTRAINT fk_contact_id_employee_notification FOREIGN KEY (notification_id) REFERENCES notification(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_contact_id_person_contact; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY person_contact
    ADD CONSTRAINT fk_contact_id_person_contact FOREIGN KEY (contact_id) REFERENCES contact(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_contact_id_structure_contact; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY structure_contact
    ADD CONSTRAINT fk_contact_id_structure_contact FOREIGN KEY (contact_id) REFERENCES contact(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_contract_id_caluclation; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY calculation
    ADD CONSTRAINT fk_contract_id_caluclation FOREIGN KEY (contract_id) REFERENCES contract(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_contract_id_contract_commission; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY contract_commission
    ADD CONSTRAINT fk_contract_id_contract_commission FOREIGN KEY (contract_id) REFERENCES contract(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_contract_id_supplier_contract; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY supplier_contract
    ADD CONSTRAINT fk_contract_id_supplier_contract FOREIGN KEY (contract_id) REFERENCES contract(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_country_id_passport; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY passport
    ADD CONSTRAINT fk_country_id_passport FOREIGN KEY (country_id) REFERENCES country(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_country_id_visa; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY visa
    ADD CONSTRAINT fk_country_id_visa FOREIGN KEY (country_id) REFERENCES country(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_currency_id_account; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY account
    ADD CONSTRAINT fk_currency_id_account FOREIGN KEY (currency_id) REFERENCES currency(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_currency_id_appointment; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY appointment
    ADD CONSTRAINT fk_currency_id_appointment FOREIGN KEY (currency_id) REFERENCES currency(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_currency_id_bank_detail; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY bank_detail
    ADD CONSTRAINT fk_currency_id_bank_detail FOREIGN KEY (currency_id) REFERENCES currency(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_currency_id_commission; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY commission
    ADD CONSTRAINT fk_currency_id_commission FOREIGN KEY (currency_id) REFERENCES currency(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_currency_id_company; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY company
    ADD CONSTRAINT fk_currency_id_company FOREIGN KEY (currency_id) REFERENCES currency(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_currency_id_lead_item; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY lead_item
    ADD CONSTRAINT fk_currency_id_lead_item FOREIGN KEY (currency_id) REFERENCES currency(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_currency_id_lead_offer; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY lead_offer
    ADD CONSTRAINT fk_currency_id_lead_offer FOREIGN KEY (currency_id) REFERENCES currency(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_currency_id_order_item; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY order_item
    ADD CONSTRAINT fk_currency_id_order_item FOREIGN KEY (currency_id) REFERENCES currency(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_currency_id_tour; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY currency_rate
    ADD CONSTRAINT fk_currency_id_tour FOREIGN KEY (currency_id) REFERENCES currency(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_customer_id_lead; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY lead
    ADD CONSTRAINT fk_customer_id_lead FOREIGN KEY (customer_id) REFERENCES person(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_customer_id_order; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY "order"
    ADD CONSTRAINT fk_customer_id_order FOREIGN KEY (customer_id) REFERENCES person(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_employee_id_appointment; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY appointment
    ADD CONSTRAINT fk_employee_id_appointment FOREIGN KEY (employee_id) REFERENCES employee(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_employee_id_appointment; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY dismissal
    ADD CONSTRAINT fk_employee_id_appointment FOREIGN KEY (employee_id) REFERENCES employee(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_employee_id_employee_address; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY employee_address
    ADD CONSTRAINT fk_employee_id_employee_address FOREIGN KEY (employee_id) REFERENCES employee(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_employee_id_employee_contact; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY employee_contact
    ADD CONSTRAINT fk_employee_id_employee_contact FOREIGN KEY (employee_id) REFERENCES employee(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_employee_id_employee_notification; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY employee_notification
    ADD CONSTRAINT fk_employee_id_employee_notification FOREIGN KEY (employee_id) REFERENCES employee(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_employee_id_employee_passport; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY employee_passport
    ADD CONSTRAINT fk_employee_id_employee_passport FOREIGN KEY (employee_id) REFERENCES employee(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_employee_id_employee_subaccount; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY employee_subaccount
    ADD CONSTRAINT fk_employee_id_employee_subaccount FOREIGN KEY (employee_id) REFERENCES employee(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_employee_id_employee_upload; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY employee_upload
    ADD CONSTRAINT fk_employee_id_employee_upload FOREIGN KEY (employee_id) REFERENCES employee(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_employee_id_resource_log; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY resource_log
    ADD CONSTRAINT fk_employee_id_resource_log FOREIGN KEY (employee_id) REFERENCES employee(id) ON UPDATE CASCADE ON DELETE CASCADE;


--
-- Name: fk_employee_id_user; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY "user"
    ADD CONSTRAINT fk_employee_id_user FOREIGN KEY (employee_id) REFERENCES employee(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_end_location_id_ticket; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY ticket
    ADD CONSTRAINT fk_end_location_id_ticket FOREIGN KEY (end_location_id) REFERENCES location(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_end_location_id_tour; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY tour
    ADD CONSTRAINT fk_end_location_id_tour FOREIGN KEY (end_location_id) REFERENCES location(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_end_transport_id_tour; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY tour
    ADD CONSTRAINT fk_end_transport_id_tour FOREIGN KEY (end_transport_id) REFERENCES transport(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_foodcat_id_tour; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY tour
    ADD CONSTRAINT fk_foodcat_id_tour FOREIGN KEY (foodcat_id) REFERENCES foodcat(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_hotel_id_tour; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY tour
    ADD CONSTRAINT fk_hotel_id_tour FOREIGN KEY (hotel_id) REFERENCES hotel(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_hotelcat_id_hotel; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY hotel
    ADD CONSTRAINT fk_hotelcat_id_hotel FOREIGN KEY (hotelcat_id) REFERENCES hotelcat(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_income_id_income_cashflow; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY income_cashflow
    ADD CONSTRAINT fk_income_id_income_cashflow FOREIGN KEY (income_id) REFERENCES income(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_invoice_id_income; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY income
    ADD CONSTRAINT fk_invoice_id_income FOREIGN KEY (invoice_id) REFERENCES invoice(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_invoice_id_invoice_item; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY invoice_item
    ADD CONSTRAINT fk_invoice_id_invoice_item FOREIGN KEY (invoice_id) REFERENCES invoice(id) ON UPDATE CASCADE ON DELETE CASCADE;


--
-- Name: fk_lead_id_lead_item; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY lead_item
    ADD CONSTRAINT fk_lead_id_lead_item FOREIGN KEY (lead_id) REFERENCES lead(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_lead_id_lead_offer; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY lead_offer
    ADD CONSTRAINT fk_lead_id_lead_offer FOREIGN KEY (lead_id) REFERENCES lead(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_lead_id_order; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY "order"
    ADD CONSTRAINT fk_lead_id_order FOREIGN KEY (lead_id) REFERENCES lead(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_location_id_address; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY address
    ADD CONSTRAINT fk_location_id_address FOREIGN KEY (location_id) REFERENCES location(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_location_id_hotel; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY hotel
    ADD CONSTRAINT fk_location_id_hotel FOREIGN KEY (location_id) REFERENCES location(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_maintainer_id_resource; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY resource
    ADD CONSTRAINT fk_maintainer_id_resource FOREIGN KEY (maintainer_id) REFERENCES employee(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_navigation_position_id; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY navigation
    ADD CONSTRAINT fk_navigation_position_id FOREIGN KEY (position_id) REFERENCES "position"(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_note_id_note_resource; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY note_resource
    ADD CONSTRAINT fk_note_id_note_resource FOREIGN KEY (note_id) REFERENCES note(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_note_id_note_upload; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY note_upload
    ADD CONSTRAINT fk_note_id_note_upload FOREIGN KEY (note_id) REFERENCES note(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_notification_id_notification_resource; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY notification_resource
    ADD CONSTRAINT fk_notification_id_notification_resource FOREIGN KEY (notification_id) REFERENCES notification(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_order_id_invoice; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY invoice
    ADD CONSTRAINT fk_order_id_invoice FOREIGN KEY (order_id) REFERENCES "order"(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_order_id_order_item; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY order_item
    ADD CONSTRAINT fk_order_id_order_item FOREIGN KEY (order_id) REFERENCES "order"(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_order_item_id_caluclation; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY calculation
    ADD CONSTRAINT fk_order_item_id_caluclation FOREIGN KEY (order_item_id) REFERENCES order_item(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_order_item_id_invoice_item; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY invoice_item
    ADD CONSTRAINT fk_order_item_id_invoice_item FOREIGN KEY (order_item_id) REFERENCES order_item(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_order_item_id_person_order_item; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY person_order_item
    ADD CONSTRAINT fk_order_item_id_person_order_item FOREIGN KEY (order_item_id) REFERENCES order_item(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_order_item_id_spassport_order_item; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY spassport_order_item
    ADD CONSTRAINT fk_order_item_id_spassport_order_item FOREIGN KEY (order_item_id) REFERENCES order_item(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_order_item_id_ticket_order_item; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY ticket_order_item
    ADD CONSTRAINT fk_order_item_id_ticket_order_item FOREIGN KEY (order_item_id) REFERENCES order_item(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_order_item_id_tour_order_item; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY tour_order_item
    ADD CONSTRAINT fk_order_item_id_tour_order_item FOREIGN KEY (order_item_id) REFERENCES order_item(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_order_item_id_visa_order_item; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY visa_order_item
    ADD CONSTRAINT fk_order_item_id_visa_order_item FOREIGN KEY (order_item_id) REFERENCES order_item(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_outgoing_id_outgoing_cashflow; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY outgoing_cashflow
    ADD CONSTRAINT fk_outgoing_id_outgoing_cashflow FOREIGN KEY (outgoing_id) REFERENCES outgoing(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_parent_id_navigation; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY navigation
    ADD CONSTRAINT fk_parent_id_navigation FOREIGN KEY (parent_id) REFERENCES navigation(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_passport_id_employee_passport; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY employee_passport
    ADD CONSTRAINT fk_passport_id_employee_passport FOREIGN KEY (passport_id) REFERENCES passport(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_passport_id_passport_upload; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY passport_upload
    ADD CONSTRAINT fk_passport_id_passport_upload FOREIGN KEY (passport_id) REFERENCES passport(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_passport_id_person_passport; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY person_passport
    ADD CONSTRAINT fk_passport_id_person_passport FOREIGN KEY (passport_id) REFERENCES passport(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_permision_structure_id; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY permision
    ADD CONSTRAINT fk_permision_structure_id FOREIGN KEY (structure_id) REFERENCES structure(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_person_category_id_person; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY person
    ADD CONSTRAINT fk_person_category_id_person FOREIGN KEY (person_category_id) REFERENCES person_category(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_person_id_person_address; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY person_address
    ADD CONSTRAINT fk_person_id_person_address FOREIGN KEY (person_id) REFERENCES person(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_person_id_person_contact; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY person_contact
    ADD CONSTRAINT fk_person_id_person_contact FOREIGN KEY (person_id) REFERENCES person(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_person_id_person_order_item; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY person_order_item
    ADD CONSTRAINT fk_person_id_person_order_item FOREIGN KEY (person_id) REFERENCES person(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_person_id_person_passport; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY person_passport
    ADD CONSTRAINT fk_person_id_person_passport FOREIGN KEY (person_id) REFERENCES person(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_person_id_person_subaccount; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY person_subaccount
    ADD CONSTRAINT fk_person_id_person_subaccount FOREIGN KEY (person_id) REFERENCES person(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_photo_upload_id_employee; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY employee
    ADD CONSTRAINT fk_photo_upload_id_employee FOREIGN KEY (photo_upload_id) REFERENCES upload(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_position_id_appointment; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY appointment
    ADD CONSTRAINT fk_position_id_appointment FOREIGN KEY (position_id) REFERENCES "position"(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_position_id_permision; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY permision
    ADD CONSTRAINT fk_position_id_permision FOREIGN KEY (position_id) REFERENCES "position"(id) ON UPDATE CASCADE ON DELETE CASCADE;


--
-- Name: fk_position_structure_id; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY "position"
    ADD CONSTRAINT fk_position_structure_id FOREIGN KEY (structure_id) REFERENCES structure(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_region_country_id; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY region
    ADD CONSTRAINT fk_region_country_id FOREIGN KEY (country_id) REFERENCES country(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_region_id_location; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY location
    ADD CONSTRAINT fk_region_id_location FOREIGN KEY (region_id) REFERENCES region(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_resource_id_accomodation; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY accomodation
    ADD CONSTRAINT fk_resource_id_accomodation FOREIGN KEY (resource_id) REFERENCES resource(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_resource_id_account; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY account
    ADD CONSTRAINT fk_resource_id_account FOREIGN KEY (resource_id) REFERENCES resource(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_resource_id_account_item; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY account_item
    ADD CONSTRAINT fk_resource_id_account_item FOREIGN KEY (resource_id) REFERENCES resource(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_resource_id_address; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY address
    ADD CONSTRAINT fk_resource_id_address FOREIGN KEY (resource_id) REFERENCES resource(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_resource_id_advsource; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY advsource
    ADD CONSTRAINT fk_resource_id_advsource FOREIGN KEY (resource_id) REFERENCES resource(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_resource_id_appointment; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY appointment
    ADD CONSTRAINT fk_resource_id_appointment FOREIGN KEY (resource_id) REFERENCES resource(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_resource_id_bank; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY bank
    ADD CONSTRAINT fk_resource_id_bank FOREIGN KEY (resource_id) REFERENCES resource(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_resource_id_bank_detail; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY bank_detail
    ADD CONSTRAINT fk_resource_id_bank_detail FOREIGN KEY (resource_id) REFERENCES resource(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_resource_id_bperson; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY bperson
    ADD CONSTRAINT fk_resource_id_bperson FOREIGN KEY (resource_id) REFERENCES resource(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_resource_id_calculation; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY calculation
    ADD CONSTRAINT fk_resource_id_calculation FOREIGN KEY (resource_id) REFERENCES resource(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_resource_id_campaign; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY campaign
    ADD CONSTRAINT fk_resource_id_campaign FOREIGN KEY (resource_id) REFERENCES resource(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_resource_id_commission; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY commission
    ADD CONSTRAINT fk_resource_id_commission FOREIGN KEY (resource_id) REFERENCES resource(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_resource_id_company; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY company
    ADD CONSTRAINT fk_resource_id_company FOREIGN KEY (resource_id) REFERENCES resource(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_resource_id_contact; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY contact
    ADD CONSTRAINT fk_resource_id_contact FOREIGN KEY (resource_id) REFERENCES resource(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_resource_id_contact; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY upload
    ADD CONSTRAINT fk_resource_id_contact FOREIGN KEY (resource_id) REFERENCES resource(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_resource_id_country; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY country
    ADD CONSTRAINT fk_resource_id_country FOREIGN KEY (resource_id) REFERENCES resource(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_resource_id_crosspayment; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY crosspayment
    ADD CONSTRAINT fk_resource_id_crosspayment FOREIGN KEY (resource_id) REFERENCES resource(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_resource_id_currency; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY currency
    ADD CONSTRAINT fk_resource_id_currency FOREIGN KEY (resource_id) REFERENCES resource(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_resource_id_dismissal; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY dismissal
    ADD CONSTRAINT fk_resource_id_dismissal FOREIGN KEY (resource_id) REFERENCES resource(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_resource_id_employee; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY employee
    ADD CONSTRAINT fk_resource_id_employee FOREIGN KEY (resource_id) REFERENCES resource(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_resource_id_foodcat; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY foodcat
    ADD CONSTRAINT fk_resource_id_foodcat FOREIGN KEY (resource_id) REFERENCES resource(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_resource_id_hotel; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY hotel
    ADD CONSTRAINT fk_resource_id_hotel FOREIGN KEY (resource_id) REFERENCES resource(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_resource_id_hotelcat; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY hotelcat
    ADD CONSTRAINT fk_resource_id_hotelcat FOREIGN KEY (resource_id) REFERENCES resource(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_resource_id_income; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY income
    ADD CONSTRAINT fk_resource_id_income FOREIGN KEY (resource_id) REFERENCES resource(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_resource_id_invoice; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY invoice
    ADD CONSTRAINT fk_resource_id_invoice FOREIGN KEY (resource_id) REFERENCES resource(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_resource_id_lead; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY lead
    ADD CONSTRAINT fk_resource_id_lead FOREIGN KEY (resource_id) REFERENCES resource(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_resource_id_lead_item; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY lead_item
    ADD CONSTRAINT fk_resource_id_lead_item FOREIGN KEY (resource_id) REFERENCES resource(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_resource_id_lead_offer; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY lead_offer
    ADD CONSTRAINT fk_resource_id_lead_offer FOREIGN KEY (resource_id) REFERENCES resource(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_resource_id_licence; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY contract
    ADD CONSTRAINT fk_resource_id_licence FOREIGN KEY (resource_id) REFERENCES resource(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_resource_id_location; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY location
    ADD CONSTRAINT fk_resource_id_location FOREIGN KEY (resource_id) REFERENCES resource(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_resource_id_navigation; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY navigation
    ADD CONSTRAINT fk_resource_id_navigation FOREIGN KEY (resource_id) REFERENCES resource(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_resource_id_note; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY note
    ADD CONSTRAINT fk_resource_id_note FOREIGN KEY (resource_id) REFERENCES resource(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_resource_id_note_resource; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY note_resource
    ADD CONSTRAINT fk_resource_id_note_resource FOREIGN KEY (resource_id) REFERENCES resource(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_resource_id_notification; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY notification
    ADD CONSTRAINT fk_resource_id_notification FOREIGN KEY (resource_id) REFERENCES resource(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_resource_id_notification_resource; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY notification_resource
    ADD CONSTRAINT fk_resource_id_notification_resource FOREIGN KEY (resource_id) REFERENCES resource(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_resource_id_order; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY "order"
    ADD CONSTRAINT fk_resource_id_order FOREIGN KEY (resource_id) REFERENCES resource(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_resource_id_order_item; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY order_item
    ADD CONSTRAINT fk_resource_id_order_item FOREIGN KEY (resource_id) REFERENCES resource(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_resource_id_outgoing; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY outgoing
    ADD CONSTRAINT fk_resource_id_outgoing FOREIGN KEY (resource_id) REFERENCES resource(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_resource_id_passport; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY passport
    ADD CONSTRAINT fk_resource_id_passport FOREIGN KEY (resource_id) REFERENCES resource(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_resource_id_person; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY person
    ADD CONSTRAINT fk_resource_id_person FOREIGN KEY (resource_id) REFERENCES resource(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_resource_id_person_category; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY person_category
    ADD CONSTRAINT fk_resource_id_person_category FOREIGN KEY (resource_id) REFERENCES resource(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_resource_id_position; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY "position"
    ADD CONSTRAINT fk_resource_id_position FOREIGN KEY (resource_id) REFERENCES resource(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_resource_id_region; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY region
    ADD CONSTRAINT fk_resource_id_region FOREIGN KEY (resource_id) REFERENCES resource(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_resource_id_resource_log; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY resource_log
    ADD CONSTRAINT fk_resource_id_resource_log FOREIGN KEY (resource_id) REFERENCES resource(id) ON UPDATE CASCADE ON DELETE CASCADE;


--
-- Name: fk_resource_id_resource_type; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY resource_type
    ADD CONSTRAINT fk_resource_id_resource_type FOREIGN KEY (resource_id) REFERENCES resource(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_resource_id_roomcat; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY roomcat
    ADD CONSTRAINT fk_resource_id_roomcat FOREIGN KEY (resource_id) REFERENCES resource(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_resource_id_service; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY service
    ADD CONSTRAINT fk_resource_id_service FOREIGN KEY (resource_id) REFERENCES resource(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_resource_id_spassport; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY spassport
    ADD CONSTRAINT fk_resource_id_spassport FOREIGN KEY (resource_id) REFERENCES resource(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_resource_id_structure; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY structure
    ADD CONSTRAINT fk_resource_id_structure FOREIGN KEY (resource_id) REFERENCES resource(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_resource_id_subaccount; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY subaccount
    ADD CONSTRAINT fk_resource_id_subaccount FOREIGN KEY (resource_id) REFERENCES resource(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_resource_id_supplier_type; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY supplier_type
    ADD CONSTRAINT fk_resource_id_supplier_type FOREIGN KEY (resource_id) REFERENCES resource(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_resource_id_task; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY task
    ADD CONSTRAINT fk_resource_id_task FOREIGN KEY (resource_id) REFERENCES resource(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_resource_id_task_resource; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY task_resource
    ADD CONSTRAINT fk_resource_id_task_resource FOREIGN KEY (resource_id) REFERENCES resource(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_resource_id_ticket; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY ticket
    ADD CONSTRAINT fk_resource_id_ticket FOREIGN KEY (resource_id) REFERENCES resource(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_resource_id_ticket_class; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY ticket_class
    ADD CONSTRAINT fk_resource_id_ticket_class FOREIGN KEY (resource_id) REFERENCES resource(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_resource_id_tour; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY currency_rate
    ADD CONSTRAINT fk_resource_id_tour FOREIGN KEY (resource_id) REFERENCES resource(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_resource_id_tour; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY tour
    ADD CONSTRAINT fk_resource_id_tour FOREIGN KEY (resource_id) REFERENCES resource(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_resource_id_touroperator; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY supplier
    ADD CONSTRAINT fk_resource_id_touroperator FOREIGN KEY (resource_id) REFERENCES resource(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_resource_id_transfer; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY transfer
    ADD CONSTRAINT fk_resource_id_transfer FOREIGN KEY (resource_id) REFERENCES resource(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_resource_id_transport; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY transport
    ADD CONSTRAINT fk_resource_id_transport FOREIGN KEY (resource_id) REFERENCES resource(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_resource_id_user; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY "user"
    ADD CONSTRAINT fk_resource_id_user FOREIGN KEY (resource_id) REFERENCES resource(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_resource_id_vat; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY vat
    ADD CONSTRAINT fk_resource_id_vat FOREIGN KEY (resource_id) REFERENCES resource(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_resource_id_visa; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY visa
    ADD CONSTRAINT fk_resource_id_visa FOREIGN KEY (resource_id) REFERENCES resource(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_resource_type_id_permission; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY permision
    ADD CONSTRAINT fk_resource_type_id_permission FOREIGN KEY (resource_type_id) REFERENCES resource_type(id) ON UPDATE CASCADE ON DELETE CASCADE;


--
-- Name: fk_resource_type_id_resource; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY resource
    ADD CONSTRAINT fk_resource_type_id_resource FOREIGN KEY (resource_type_id) REFERENCES resource_type(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_resource_type_id_service; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY service
    ADD CONSTRAINT fk_resource_type_id_service FOREIGN KEY (resource_type_id) REFERENCES resource_type(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_roomcat_id_tour; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY tour
    ADD CONSTRAINT fk_roomcat_id_tour FOREIGN KEY (roomcat_id) REFERENCES roomcat(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_service_id_commission; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY commission
    ADD CONSTRAINT fk_service_id_commission FOREIGN KEY (service_id) REFERENCES service(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_service_id_lead_item; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY lead_item
    ADD CONSTRAINT fk_service_id_lead_item FOREIGN KEY (service_id) REFERENCES service(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_service_id_lead_offer; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY lead_offer
    ADD CONSTRAINT fk_service_id_lead_offer FOREIGN KEY (service_id) REFERENCES service(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_service_id_order_item; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY order_item
    ADD CONSTRAINT fk_service_id_order_item FOREIGN KEY (service_id) REFERENCES service(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_service_id_order_item; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY vat
    ADD CONSTRAINT fk_service_id_order_item FOREIGN KEY (service_id) REFERENCES service(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_spassport_id_spassport_order_item; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY spassport_order_item
    ADD CONSTRAINT fk_spassport_id_spassport_order_item FOREIGN KEY (spassport_id) REFERENCES spassport(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_start_location_id_ticket; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY ticket
    ADD CONSTRAINT fk_start_location_id_ticket FOREIGN KEY (start_location_id) REFERENCES location(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_start_location_id_tour; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY tour
    ADD CONSTRAINT fk_start_location_id_tour FOREIGN KEY (start_location_id) REFERENCES location(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_start_transport_id_tour; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY tour
    ADD CONSTRAINT fk_start_transport_id_tour FOREIGN KEY (start_transport_id) REFERENCES transport(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_structure_company_id; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY structure
    ADD CONSTRAINT fk_structure_company_id FOREIGN KEY (company_id) REFERENCES company(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_structure_id_structure_address; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY structure_address
    ADD CONSTRAINT fk_structure_id_structure_address FOREIGN KEY (structure_id) REFERENCES structure(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_structure_id_structure_bank_detail; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY structure_bank_detail
    ADD CONSTRAINT fk_structure_id_structure_bank_detail FOREIGN KEY (structure_id) REFERENCES structure(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_structure_id_structure_contact; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY structure_contact
    ADD CONSTRAINT fk_structure_id_structure_contact FOREIGN KEY (structure_id) REFERENCES structure(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_structure_parent_id; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY structure
    ADD CONSTRAINT fk_structure_parent_id FOREIGN KEY (parent_id) REFERENCES structure(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_subaccount_account_id; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY subaccount
    ADD CONSTRAINT fk_subaccount_account_id FOREIGN KEY (account_id) REFERENCES account(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_subaccount_from_id_transfer; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY cashflow
    ADD CONSTRAINT fk_subaccount_from_id_transfer FOREIGN KEY (subaccount_from_id) REFERENCES subaccount(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_subaccount_id_company_subaccount; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY company_subaccount
    ADD CONSTRAINT fk_subaccount_id_company_subaccount FOREIGN KEY (subaccount_id) REFERENCES subaccount(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_subaccount_id_employee_subaccount; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY employee_subaccount
    ADD CONSTRAINT fk_subaccount_id_employee_subaccount FOREIGN KEY (subaccount_id) REFERENCES subaccount(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_subaccount_id_outgoing; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY outgoing
    ADD CONSTRAINT fk_subaccount_id_outgoing FOREIGN KEY (subaccount_id) REFERENCES subaccount(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_subaccount_id_person_subaccount; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY person_subaccount
    ADD CONSTRAINT fk_subaccount_id_person_subaccount FOREIGN KEY (subaccount_id) REFERENCES subaccount(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_subaccount_id_supplier_subaccount; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY supplier_subaccount
    ADD CONSTRAINT fk_subaccount_id_supplier_subaccount FOREIGN KEY (subaccount_id) REFERENCES subaccount(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_subaccount_to_id_transfer; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY cashflow
    ADD CONSTRAINT fk_subaccount_to_id_transfer FOREIGN KEY (subaccount_to_id) REFERENCES subaccount(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_supplier_id_currency_rate; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY currency_rate
    ADD CONSTRAINT fk_supplier_id_currency_rate FOREIGN KEY (supplier_id) REFERENCES supplier(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_supplier_id_lead_offer; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY lead_offer
    ADD CONSTRAINT fk_supplier_id_lead_offer FOREIGN KEY (supplier_id) REFERENCES supplier(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_supplier_id_order_item; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY order_item
    ADD CONSTRAINT fk_supplier_id_order_item FOREIGN KEY (supplier_id) REFERENCES supplier(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_supplier_id_supplier_bank_detail; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY supplier_bank_detail
    ADD CONSTRAINT fk_supplier_id_supplier_bank_detail FOREIGN KEY (supplier_id) REFERENCES supplier(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_supplier_id_supplier_bperson; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY supplier_bperson
    ADD CONSTRAINT fk_supplier_id_supplier_bperson FOREIGN KEY (supplier_id) REFERENCES supplier(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_supplier_id_supplier_contract; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY supplier_contract
    ADD CONSTRAINT fk_supplier_id_supplier_contract FOREIGN KEY (supplier_id) REFERENCES supplier(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_supplier_id_supplier_subaccount; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY supplier_subaccount
    ADD CONSTRAINT fk_supplier_id_supplier_subaccount FOREIGN KEY (supplier_id) REFERENCES supplier(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_supplier_type_id_supplier; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY supplier
    ADD CONSTRAINT fk_supplier_type_id_supplier FOREIGN KEY (supplier_type_id) REFERENCES supplier_type(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_task_id_task_resource; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY task_resource
    ADD CONSTRAINT fk_task_id_task_resource FOREIGN KEY (task_id) REFERENCES task(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_task_id_task_upload; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY task_upload
    ADD CONSTRAINT fk_task_id_task_upload FOREIGN KEY (task_id) REFERENCES task(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_ticket_class_id_ticket; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY ticket
    ADD CONSTRAINT fk_ticket_class_id_ticket FOREIGN KEY (ticket_class_id) REFERENCES ticket_class(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_ticket_id_ticket_order_item; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY ticket_order_item
    ADD CONSTRAINT fk_ticket_id_ticket_order_item FOREIGN KEY (ticket_id) REFERENCES ticket(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_tour_id_tour_order_item; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY tour_order_item
    ADD CONSTRAINT fk_tour_id_tour_order_item FOREIGN KEY (tour_id) REFERENCES tour(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_transfer_id_tour; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY tour
    ADD CONSTRAINT fk_transfer_id_tour FOREIGN KEY (transfer_id) REFERENCES transfer(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_transport_id_ticket; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY ticket
    ADD CONSTRAINT fk_transport_id_ticket FOREIGN KEY (transport_id) REFERENCES transport(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_upload_id_employee_upload; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY employee_upload
    ADD CONSTRAINT fk_upload_id_employee_upload FOREIGN KEY (upload_id) REFERENCES upload(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_upload_id_note_upload; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY note_upload
    ADD CONSTRAINT fk_upload_id_note_upload FOREIGN KEY (upload_id) REFERENCES upload(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_upload_id_passport_upload; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY passport_upload
    ADD CONSTRAINT fk_upload_id_passport_upload FOREIGN KEY (upload_id) REFERENCES upload(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_upload_id_task_upload; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY task_upload
    ADD CONSTRAINT fk_upload_id_task_upload FOREIGN KEY (upload_id) REFERENCES upload(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_visa_id_visa_order_item; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY visa_order_item
    ADD CONSTRAINT fk_visa_id_visa_order_item FOREIGN KEY (visa_id) REFERENCES visa(id) ON UPDATE CASCADE ON DELETE RESTRICT;


SET search_path = test, pg_catalog;

--
-- Name: fk_accomodation_id_tour; Type: FK CONSTRAINT; Schema: test; Owner: -
--

ALTER TABLE ONLY tour
    ADD CONSTRAINT fk_accomodation_id_tour FOREIGN KEY (accomodation_id) REFERENCES accomodation(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_account_id_invoice; Type: FK CONSTRAINT; Schema: test; Owner: -
--

ALTER TABLE ONLY invoice
    ADD CONSTRAINT fk_account_id_invoice FOREIGN KEY (account_id) REFERENCES account(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_account_id_vat; Type: FK CONSTRAINT; Schema: test; Owner: -
--

ALTER TABLE ONLY vat
    ADD CONSTRAINT fk_account_id_vat FOREIGN KEY (account_id) REFERENCES account(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_account_item_id_cashflow; Type: FK CONSTRAINT; Schema: test; Owner: -
--

ALTER TABLE ONLY cashflow
    ADD CONSTRAINT fk_account_item_id_cashflow FOREIGN KEY (account_item_id) REFERENCES account_item(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_account_item_id_cashflow; Type: FK CONSTRAINT; Schema: test; Owner: -
--

ALTER TABLE ONLY income
    ADD CONSTRAINT fk_account_item_id_cashflow FOREIGN KEY (account_item_id) REFERENCES account_item(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_account_item_id_outgoing; Type: FK CONSTRAINT; Schema: test; Owner: -
--

ALTER TABLE ONLY outgoing
    ADD CONSTRAINT fk_account_item_id_outgoing FOREIGN KEY (account_item_id) REFERENCES account_item(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_account_item_parent_id; Type: FK CONSTRAINT; Schema: test; Owner: -
--

ALTER TABLE ONLY account_item
    ADD CONSTRAINT fk_account_item_parent_id FOREIGN KEY (parent_id) REFERENCES account_item(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_address_id_bank_address; Type: FK CONSTRAINT; Schema: test; Owner: -
--

ALTER TABLE ONLY bank_address
    ADD CONSTRAINT fk_address_id_bank_address FOREIGN KEY (address_id) REFERENCES address(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_address_id_employee_address; Type: FK CONSTRAINT; Schema: test; Owner: -
--

ALTER TABLE ONLY employee_address
    ADD CONSTRAINT fk_address_id_employee_address FOREIGN KEY (address_id) REFERENCES address(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_address_id_person_address; Type: FK CONSTRAINT; Schema: test; Owner: -
--

ALTER TABLE ONLY person_address
    ADD CONSTRAINT fk_address_id_person_address FOREIGN KEY (address_id) REFERENCES address(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_address_id_structure_address; Type: FK CONSTRAINT; Schema: test; Owner: -
--

ALTER TABLE ONLY structure_address
    ADD CONSTRAINT fk_address_id_structure_address FOREIGN KEY (address_id) REFERENCES address(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_advsource_id_lead; Type: FK CONSTRAINT; Schema: test; Owner: -
--

ALTER TABLE ONLY lead
    ADD CONSTRAINT fk_advsource_id_lead FOREIGN KEY (advsource_id) REFERENCES advsource(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_advsource_id_order; Type: FK CONSTRAINT; Schema: test; Owner: -
--

ALTER TABLE ONLY "order"
    ADD CONSTRAINT fk_advsource_id_order FOREIGN KEY (advsource_id) REFERENCES advsource(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_bank_detail_id_structure_bank_detail; Type: FK CONSTRAINT; Schema: test; Owner: -
--

ALTER TABLE ONLY structure_bank_detail
    ADD CONSTRAINT fk_bank_detail_id_structure_bank_detail FOREIGN KEY (bank_detail_id) REFERENCES bank_detail(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_bank_detail_id_supplier_bank_detail; Type: FK CONSTRAINT; Schema: test; Owner: -
--

ALTER TABLE ONLY supplier_bank_detail
    ADD CONSTRAINT fk_bank_detail_id_supplier_bank_detail FOREIGN KEY (bank_detail_id) REFERENCES bank_detail(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_bank_id_bank_address; Type: FK CONSTRAINT; Schema: test; Owner: -
--

ALTER TABLE ONLY bank_address
    ADD CONSTRAINT fk_bank_id_bank_address FOREIGN KEY (bank_id) REFERENCES bank(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_bank_id_bank_detail; Type: FK CONSTRAINT; Schema: test; Owner: -
--

ALTER TABLE ONLY bank_detail
    ADD CONSTRAINT fk_bank_id_bank_detail FOREIGN KEY (bank_id) REFERENCES bank(id) ON UPDATE CASCADE ON DELETE CASCADE;


--
-- Name: fk_bperson_id_bperson_contact; Type: FK CONSTRAINT; Schema: test; Owner: -
--

ALTER TABLE ONLY bperson_contact
    ADD CONSTRAINT fk_bperson_id_bperson_contact FOREIGN KEY (bperson_id) REFERENCES bperson(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_bperson_id_supplier_bperson; Type: FK CONSTRAINT; Schema: test; Owner: -
--

ALTER TABLE ONLY supplier_bperson
    ADD CONSTRAINT fk_bperson_id_supplier_bperson FOREIGN KEY (bperson_id) REFERENCES bperson(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_cashflow_id_crosspayment; Type: FK CONSTRAINT; Schema: test; Owner: -
--

ALTER TABLE ONLY crosspayment
    ADD CONSTRAINT fk_cashflow_id_crosspayment FOREIGN KEY (cashflow_id) REFERENCES cashflow(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_cashflow_id_income_cashflow; Type: FK CONSTRAINT; Schema: test; Owner: -
--

ALTER TABLE ONLY income_cashflow
    ADD CONSTRAINT fk_cashflow_id_income_cashflow FOREIGN KEY (cashflow_id) REFERENCES cashflow(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_cashflow_id_outgoing_cashflow; Type: FK CONSTRAINT; Schema: test; Owner: -
--

ALTER TABLE ONLY outgoing_cashflow
    ADD CONSTRAINT fk_cashflow_id_outgoing_cashflow FOREIGN KEY (cashflow_id) REFERENCES cashflow(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_commission_id_contract_commission; Type: FK CONSTRAINT; Schema: test; Owner: -
--

ALTER TABLE ONLY contract_commission
    ADD CONSTRAINT fk_commission_id_contract_commission FOREIGN KEY (commission_id) REFERENCES commission(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_company_id_company_subaccount; Type: FK CONSTRAINT; Schema: test; Owner: -
--

ALTER TABLE ONLY company_subaccount
    ADD CONSTRAINT fk_company_id_company_subaccount FOREIGN KEY (company_id) REFERENCES company(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_contact_id_bperson_contact; Type: FK CONSTRAINT; Schema: test; Owner: -
--

ALTER TABLE ONLY bperson_contact
    ADD CONSTRAINT fk_contact_id_bperson_contact FOREIGN KEY (contact_id) REFERENCES contact(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_contact_id_employee_contact; Type: FK CONSTRAINT; Schema: test; Owner: -
--

ALTER TABLE ONLY employee_contact
    ADD CONSTRAINT fk_contact_id_employee_contact FOREIGN KEY (contact_id) REFERENCES contact(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_contact_id_person_contact; Type: FK CONSTRAINT; Schema: test; Owner: -
--

ALTER TABLE ONLY person_contact
    ADD CONSTRAINT fk_contact_id_person_contact FOREIGN KEY (contact_id) REFERENCES contact(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_contact_id_structure_contact; Type: FK CONSTRAINT; Schema: test; Owner: -
--

ALTER TABLE ONLY structure_contact
    ADD CONSTRAINT fk_contact_id_structure_contact FOREIGN KEY (contact_id) REFERENCES contact(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_contract_id_caluclation; Type: FK CONSTRAINT; Schema: test; Owner: -
--

ALTER TABLE ONLY calculation
    ADD CONSTRAINT fk_contract_id_caluclation FOREIGN KEY (contract_id) REFERENCES contract(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_contract_id_contract_commission; Type: FK CONSTRAINT; Schema: test; Owner: -
--

ALTER TABLE ONLY contract_commission
    ADD CONSTRAINT fk_contract_id_contract_commission FOREIGN KEY (contract_id) REFERENCES contract(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_contract_id_supplier_contract; Type: FK CONSTRAINT; Schema: test; Owner: -
--

ALTER TABLE ONLY supplier_contract
    ADD CONSTRAINT fk_contract_id_supplier_contract FOREIGN KEY (contract_id) REFERENCES contract(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_country_id_passport; Type: FK CONSTRAINT; Schema: test; Owner: -
--

ALTER TABLE ONLY passport
    ADD CONSTRAINT fk_country_id_passport FOREIGN KEY (country_id) REFERENCES country(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_country_id_visa; Type: FK CONSTRAINT; Schema: test; Owner: -
--

ALTER TABLE ONLY visa
    ADD CONSTRAINT fk_country_id_visa FOREIGN KEY (country_id) REFERENCES country(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_currency_id_account; Type: FK CONSTRAINT; Schema: test; Owner: -
--

ALTER TABLE ONLY account
    ADD CONSTRAINT fk_currency_id_account FOREIGN KEY (currency_id) REFERENCES currency(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_currency_id_appointment; Type: FK CONSTRAINT; Schema: test; Owner: -
--

ALTER TABLE ONLY appointment
    ADD CONSTRAINT fk_currency_id_appointment FOREIGN KEY (currency_id) REFERENCES currency(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_currency_id_bank_detail; Type: FK CONSTRAINT; Schema: test; Owner: -
--

ALTER TABLE ONLY bank_detail
    ADD CONSTRAINT fk_currency_id_bank_detail FOREIGN KEY (currency_id) REFERENCES currency(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_currency_id_commission; Type: FK CONSTRAINT; Schema: test; Owner: -
--

ALTER TABLE ONLY commission
    ADD CONSTRAINT fk_currency_id_commission FOREIGN KEY (currency_id) REFERENCES currency(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_currency_id_company; Type: FK CONSTRAINT; Schema: test; Owner: -
--

ALTER TABLE ONLY company
    ADD CONSTRAINT fk_currency_id_company FOREIGN KEY (currency_id) REFERENCES currency(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_currency_id_currency_rate; Type: FK CONSTRAINT; Schema: test; Owner: -
--

ALTER TABLE ONLY currency_rate
    ADD CONSTRAINT fk_currency_id_currency_rate FOREIGN KEY (currency_id) REFERENCES currency(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_currency_id_lead_item; Type: FK CONSTRAINT; Schema: test; Owner: -
--

ALTER TABLE ONLY lead_item
    ADD CONSTRAINT fk_currency_id_lead_item FOREIGN KEY (currency_id) REFERENCES currency(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_currency_id_lead_offer; Type: FK CONSTRAINT; Schema: test; Owner: -
--

ALTER TABLE ONLY lead_offer
    ADD CONSTRAINT fk_currency_id_lead_offer FOREIGN KEY (currency_id) REFERENCES currency(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_currency_id_order_item; Type: FK CONSTRAINT; Schema: test; Owner: -
--

ALTER TABLE ONLY order_item
    ADD CONSTRAINT fk_currency_id_order_item FOREIGN KEY (currency_id) REFERENCES currency(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_customer_id_lead; Type: FK CONSTRAINT; Schema: test; Owner: -
--

ALTER TABLE ONLY lead
    ADD CONSTRAINT fk_customer_id_lead FOREIGN KEY (customer_id) REFERENCES person(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_customer_id_order; Type: FK CONSTRAINT; Schema: test; Owner: -
--

ALTER TABLE ONLY "order"
    ADD CONSTRAINT fk_customer_id_order FOREIGN KEY (customer_id) REFERENCES person(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_employee_id_appointment; Type: FK CONSTRAINT; Schema: test; Owner: -
--

ALTER TABLE ONLY appointment
    ADD CONSTRAINT fk_employee_id_appointment FOREIGN KEY (employee_id) REFERENCES employee(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_employee_id_dismissal; Type: FK CONSTRAINT; Schema: test; Owner: -
--

ALTER TABLE ONLY dismissal
    ADD CONSTRAINT fk_employee_id_dismissal FOREIGN KEY (employee_id) REFERENCES employee(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_employee_id_employee_address; Type: FK CONSTRAINT; Schema: test; Owner: -
--

ALTER TABLE ONLY employee_address
    ADD CONSTRAINT fk_employee_id_employee_address FOREIGN KEY (employee_id) REFERENCES employee(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_employee_id_employee_contact; Type: FK CONSTRAINT; Schema: test; Owner: -
--

ALTER TABLE ONLY employee_contact
    ADD CONSTRAINT fk_employee_id_employee_contact FOREIGN KEY (employee_id) REFERENCES employee(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_employee_id_employee_notification; Type: FK CONSTRAINT; Schema: test; Owner: -
--

ALTER TABLE ONLY employee_notification
    ADD CONSTRAINT fk_employee_id_employee_notification FOREIGN KEY (employee_id) REFERENCES employee(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_employee_id_employee_passport; Type: FK CONSTRAINT; Schema: test; Owner: -
--

ALTER TABLE ONLY employee_passport
    ADD CONSTRAINT fk_employee_id_employee_passport FOREIGN KEY (employee_id) REFERENCES employee(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_employee_id_employee_subaccount; Type: FK CONSTRAINT; Schema: test; Owner: -
--

ALTER TABLE ONLY employee_subaccount
    ADD CONSTRAINT fk_employee_id_employee_subaccount FOREIGN KEY (employee_id) REFERENCES employee(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_employee_id_employee_upload; Type: FK CONSTRAINT; Schema: test; Owner: -
--

ALTER TABLE ONLY employee_upload
    ADD CONSTRAINT fk_employee_id_employee_upload FOREIGN KEY (employee_id) REFERENCES employee(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_employee_id_resource_log; Type: FK CONSTRAINT; Schema: test; Owner: -
--

ALTER TABLE ONLY resource_log
    ADD CONSTRAINT fk_employee_id_resource_log FOREIGN KEY (employee_id) REFERENCES employee(id) ON UPDATE CASCADE ON DELETE CASCADE;


--
-- Name: fk_employee_id_user; Type: FK CONSTRAINT; Schema: test; Owner: -
--

ALTER TABLE ONLY "user"
    ADD CONSTRAINT fk_employee_id_user FOREIGN KEY (employee_id) REFERENCES employee(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_end_location_id_ticket; Type: FK CONSTRAINT; Schema: test; Owner: -
--

ALTER TABLE ONLY ticket
    ADD CONSTRAINT fk_end_location_id_ticket FOREIGN KEY (end_location_id) REFERENCES location(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_end_location_id_tour; Type: FK CONSTRAINT; Schema: test; Owner: -
--

ALTER TABLE ONLY tour
    ADD CONSTRAINT fk_end_location_id_tour FOREIGN KEY (end_location_id) REFERENCES location(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_end_transport_id_tour; Type: FK CONSTRAINT; Schema: test; Owner: -
--

ALTER TABLE ONLY tour
    ADD CONSTRAINT fk_end_transport_id_tour FOREIGN KEY (end_transport_id) REFERENCES transport(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_foodcat_id_tour; Type: FK CONSTRAINT; Schema: test; Owner: -
--

ALTER TABLE ONLY tour
    ADD CONSTRAINT fk_foodcat_id_tour FOREIGN KEY (foodcat_id) REFERENCES foodcat(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_hotel_id_tour; Type: FK CONSTRAINT; Schema: test; Owner: -
--

ALTER TABLE ONLY tour
    ADD CONSTRAINT fk_hotel_id_tour FOREIGN KEY (hotel_id) REFERENCES hotel(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_hotelcat_id_hotel; Type: FK CONSTRAINT; Schema: test; Owner: -
--

ALTER TABLE ONLY hotel
    ADD CONSTRAINT fk_hotelcat_id_hotel FOREIGN KEY (hotelcat_id) REFERENCES hotelcat(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_income_id_income_cashflow; Type: FK CONSTRAINT; Schema: test; Owner: -
--

ALTER TABLE ONLY income_cashflow
    ADD CONSTRAINT fk_income_id_income_cashflow FOREIGN KEY (income_id) REFERENCES income(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_invoice_id_income; Type: FK CONSTRAINT; Schema: test; Owner: -
--

ALTER TABLE ONLY income
    ADD CONSTRAINT fk_invoice_id_income FOREIGN KEY (invoice_id) REFERENCES invoice(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_invoice_id_invoice_item; Type: FK CONSTRAINT; Schema: test; Owner: -
--

ALTER TABLE ONLY invoice_item
    ADD CONSTRAINT fk_invoice_id_invoice_item FOREIGN KEY (invoice_id) REFERENCES invoice(id) ON UPDATE CASCADE ON DELETE CASCADE;


--
-- Name: fk_lead_id_lead_item; Type: FK CONSTRAINT; Schema: test; Owner: -
--

ALTER TABLE ONLY lead_item
    ADD CONSTRAINT fk_lead_id_lead_item FOREIGN KEY (lead_id) REFERENCES lead(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_lead_id_lead_offer; Type: FK CONSTRAINT; Schema: test; Owner: -
--

ALTER TABLE ONLY lead_offer
    ADD CONSTRAINT fk_lead_id_lead_offer FOREIGN KEY (lead_id) REFERENCES lead(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_lead_id_order; Type: FK CONSTRAINT; Schema: test; Owner: -
--

ALTER TABLE ONLY "order"
    ADD CONSTRAINT fk_lead_id_order FOREIGN KEY (lead_id) REFERENCES lead(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_location_id_address; Type: FK CONSTRAINT; Schema: test; Owner: -
--

ALTER TABLE ONLY address
    ADD CONSTRAINT fk_location_id_address FOREIGN KEY (location_id) REFERENCES location(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_location_id_hotel; Type: FK CONSTRAINT; Schema: test; Owner: -
--

ALTER TABLE ONLY hotel
    ADD CONSTRAINT fk_location_id_hotel FOREIGN KEY (location_id) REFERENCES location(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_maintainer_id_resource; Type: FK CONSTRAINT; Schema: test; Owner: -
--

ALTER TABLE ONLY resource
    ADD CONSTRAINT fk_maintainer_id_resource FOREIGN KEY (maintainer_id) REFERENCES employee(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_navigation_position_id; Type: FK CONSTRAINT; Schema: test; Owner: -
--

ALTER TABLE ONLY navigation
    ADD CONSTRAINT fk_navigation_position_id FOREIGN KEY (position_id) REFERENCES "position"(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_note_id_note_resource; Type: FK CONSTRAINT; Schema: test; Owner: -
--

ALTER TABLE ONLY note_resource
    ADD CONSTRAINT fk_note_id_note_resource FOREIGN KEY (note_id) REFERENCES note(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_note_id_note_upload; Type: FK CONSTRAINT; Schema: test; Owner: -
--

ALTER TABLE ONLY note_upload
    ADD CONSTRAINT fk_note_id_note_upload FOREIGN KEY (note_id) REFERENCES note(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_notification_id_employee_notification; Type: FK CONSTRAINT; Schema: test; Owner: -
--

ALTER TABLE ONLY employee_notification
    ADD CONSTRAINT fk_notification_id_employee_notification FOREIGN KEY (notification_id) REFERENCES notification(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_notification_id_notification_resource; Type: FK CONSTRAINT; Schema: test; Owner: -
--

ALTER TABLE ONLY notification_resource
    ADD CONSTRAINT fk_notification_id_notification_resource FOREIGN KEY (notification_id) REFERENCES notification(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_order_id_invoice; Type: FK CONSTRAINT; Schema: test; Owner: -
--

ALTER TABLE ONLY invoice
    ADD CONSTRAINT fk_order_id_invoice FOREIGN KEY (order_id) REFERENCES "order"(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_order_id_order_item; Type: FK CONSTRAINT; Schema: test; Owner: -
--

ALTER TABLE ONLY order_item
    ADD CONSTRAINT fk_order_id_order_item FOREIGN KEY (order_id) REFERENCES "order"(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_order_item_id_caluclation; Type: FK CONSTRAINT; Schema: test; Owner: -
--

ALTER TABLE ONLY calculation
    ADD CONSTRAINT fk_order_item_id_caluclation FOREIGN KEY (order_item_id) REFERENCES order_item(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_order_item_id_invoice_item; Type: FK CONSTRAINT; Schema: test; Owner: -
--

ALTER TABLE ONLY invoice_item
    ADD CONSTRAINT fk_order_item_id_invoice_item FOREIGN KEY (order_item_id) REFERENCES order_item(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_order_item_id_person_order_item; Type: FK CONSTRAINT; Schema: test; Owner: -
--

ALTER TABLE ONLY person_order_item
    ADD CONSTRAINT fk_order_item_id_person_order_item FOREIGN KEY (order_item_id) REFERENCES order_item(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_order_item_id_spassport_order_item; Type: FK CONSTRAINT; Schema: test; Owner: -
--

ALTER TABLE ONLY spassport_order_item
    ADD CONSTRAINT fk_order_item_id_spassport_order_item FOREIGN KEY (order_item_id) REFERENCES order_item(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_order_item_id_ticket_order_item; Type: FK CONSTRAINT; Schema: test; Owner: -
--

ALTER TABLE ONLY ticket_order_item
    ADD CONSTRAINT fk_order_item_id_ticket_order_item FOREIGN KEY (order_item_id) REFERENCES order_item(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_order_item_id_tour_order_item; Type: FK CONSTRAINT; Schema: test; Owner: -
--

ALTER TABLE ONLY tour_order_item
    ADD CONSTRAINT fk_order_item_id_tour_order_item FOREIGN KEY (order_item_id) REFERENCES order_item(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_order_item_id_visa_order_item; Type: FK CONSTRAINT; Schema: test; Owner: -
--

ALTER TABLE ONLY visa_order_item
    ADD CONSTRAINT fk_order_item_id_visa_order_item FOREIGN KEY (order_item_id) REFERENCES order_item(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_outgoing_id_outgoing_cashflow; Type: FK CONSTRAINT; Schema: test; Owner: -
--

ALTER TABLE ONLY outgoing_cashflow
    ADD CONSTRAINT fk_outgoing_id_outgoing_cashflow FOREIGN KEY (outgoing_id) REFERENCES outgoing(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_parent_id_navigation; Type: FK CONSTRAINT; Schema: test; Owner: -
--

ALTER TABLE ONLY navigation
    ADD CONSTRAINT fk_parent_id_navigation FOREIGN KEY (parent_id) REFERENCES navigation(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_passport_id_employee_passport; Type: FK CONSTRAINT; Schema: test; Owner: -
--

ALTER TABLE ONLY employee_passport
    ADD CONSTRAINT fk_passport_id_employee_passport FOREIGN KEY (passport_id) REFERENCES passport(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_passport_id_passport_upload; Type: FK CONSTRAINT; Schema: test; Owner: -
--

ALTER TABLE ONLY passport_upload
    ADD CONSTRAINT fk_passport_id_passport_upload FOREIGN KEY (passport_id) REFERENCES passport(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_passport_id_person_passport; Type: FK CONSTRAINT; Schema: test; Owner: -
--

ALTER TABLE ONLY person_passport
    ADD CONSTRAINT fk_passport_id_person_passport FOREIGN KEY (passport_id) REFERENCES passport(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_permision_structure_id; Type: FK CONSTRAINT; Schema: test; Owner: -
--

ALTER TABLE ONLY permision
    ADD CONSTRAINT fk_permision_structure_id FOREIGN KEY (structure_id) REFERENCES structure(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_person_category_id_person; Type: FK CONSTRAINT; Schema: test; Owner: -
--

ALTER TABLE ONLY person
    ADD CONSTRAINT fk_person_category_id_person FOREIGN KEY (person_category_id) REFERENCES person_category(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_person_id_person_address; Type: FK CONSTRAINT; Schema: test; Owner: -
--

ALTER TABLE ONLY person_address
    ADD CONSTRAINT fk_person_id_person_address FOREIGN KEY (person_id) REFERENCES person(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_person_id_person_contact; Type: FK CONSTRAINT; Schema: test; Owner: -
--

ALTER TABLE ONLY person_contact
    ADD CONSTRAINT fk_person_id_person_contact FOREIGN KEY (person_id) REFERENCES person(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_person_id_person_order_item; Type: FK CONSTRAINT; Schema: test; Owner: -
--

ALTER TABLE ONLY person_order_item
    ADD CONSTRAINT fk_person_id_person_order_item FOREIGN KEY (person_id) REFERENCES person(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_person_id_person_passport; Type: FK CONSTRAINT; Schema: test; Owner: -
--

ALTER TABLE ONLY person_passport
    ADD CONSTRAINT fk_person_id_person_passport FOREIGN KEY (person_id) REFERENCES person(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_person_id_person_subaccount; Type: FK CONSTRAINT; Schema: test; Owner: -
--

ALTER TABLE ONLY person_subaccount
    ADD CONSTRAINT fk_person_id_person_subaccount FOREIGN KEY (person_id) REFERENCES person(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_photo_upload_id_employee; Type: FK CONSTRAINT; Schema: test; Owner: -
--

ALTER TABLE ONLY employee
    ADD CONSTRAINT fk_photo_upload_id_employee FOREIGN KEY (photo_upload_id) REFERENCES upload(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_position_id_appointment; Type: FK CONSTRAINT; Schema: test; Owner: -
--

ALTER TABLE ONLY appointment
    ADD CONSTRAINT fk_position_id_appointment FOREIGN KEY (position_id) REFERENCES "position"(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_position_id_permision; Type: FK CONSTRAINT; Schema: test; Owner: -
--

ALTER TABLE ONLY permision
    ADD CONSTRAINT fk_position_id_permision FOREIGN KEY (position_id) REFERENCES "position"(id) ON UPDATE CASCADE ON DELETE CASCADE;


--
-- Name: fk_position_structure_id; Type: FK CONSTRAINT; Schema: test; Owner: -
--

ALTER TABLE ONLY "position"
    ADD CONSTRAINT fk_position_structure_id FOREIGN KEY (structure_id) REFERENCES structure(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_region_country_id; Type: FK CONSTRAINT; Schema: test; Owner: -
--

ALTER TABLE ONLY region
    ADD CONSTRAINT fk_region_country_id FOREIGN KEY (country_id) REFERENCES country(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_region_id_location; Type: FK CONSTRAINT; Schema: test; Owner: -
--

ALTER TABLE ONLY location
    ADD CONSTRAINT fk_region_id_location FOREIGN KEY (region_id) REFERENCES region(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_resource_id_accomodation; Type: FK CONSTRAINT; Schema: test; Owner: -
--

ALTER TABLE ONLY accomodation
    ADD CONSTRAINT fk_resource_id_accomodation FOREIGN KEY (resource_id) REFERENCES resource(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_resource_id_account; Type: FK CONSTRAINT; Schema: test; Owner: -
--

ALTER TABLE ONLY account
    ADD CONSTRAINT fk_resource_id_account FOREIGN KEY (resource_id) REFERENCES resource(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_resource_id_account_item; Type: FK CONSTRAINT; Schema: test; Owner: -
--

ALTER TABLE ONLY account_item
    ADD CONSTRAINT fk_resource_id_account_item FOREIGN KEY (resource_id) REFERENCES resource(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_resource_id_address; Type: FK CONSTRAINT; Schema: test; Owner: -
--

ALTER TABLE ONLY address
    ADD CONSTRAINT fk_resource_id_address FOREIGN KEY (resource_id) REFERENCES resource(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_resource_id_advsource; Type: FK CONSTRAINT; Schema: test; Owner: -
--

ALTER TABLE ONLY advsource
    ADD CONSTRAINT fk_resource_id_advsource FOREIGN KEY (resource_id) REFERENCES resource(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_resource_id_appointment; Type: FK CONSTRAINT; Schema: test; Owner: -
--

ALTER TABLE ONLY appointment
    ADD CONSTRAINT fk_resource_id_appointment FOREIGN KEY (resource_id) REFERENCES resource(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_resource_id_bank; Type: FK CONSTRAINT; Schema: test; Owner: -
--

ALTER TABLE ONLY bank
    ADD CONSTRAINT fk_resource_id_bank FOREIGN KEY (resource_id) REFERENCES resource(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_resource_id_bank_detail; Type: FK CONSTRAINT; Schema: test; Owner: -
--

ALTER TABLE ONLY bank_detail
    ADD CONSTRAINT fk_resource_id_bank_detail FOREIGN KEY (resource_id) REFERENCES resource(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_resource_id_bperson; Type: FK CONSTRAINT; Schema: test; Owner: -
--

ALTER TABLE ONLY bperson
    ADD CONSTRAINT fk_resource_id_bperson FOREIGN KEY (resource_id) REFERENCES resource(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_resource_id_calculation; Type: FK CONSTRAINT; Schema: test; Owner: -
--

ALTER TABLE ONLY calculation
    ADD CONSTRAINT fk_resource_id_calculation FOREIGN KEY (resource_id) REFERENCES resource(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_resource_id_campaign; Type: FK CONSTRAINT; Schema: test; Owner: -
--

ALTER TABLE ONLY campaign
    ADD CONSTRAINT fk_resource_id_campaign FOREIGN KEY (resource_id) REFERENCES resource(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_resource_id_commission; Type: FK CONSTRAINT; Schema: test; Owner: -
--

ALTER TABLE ONLY commission
    ADD CONSTRAINT fk_resource_id_commission FOREIGN KEY (resource_id) REFERENCES resource(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_resource_id_company; Type: FK CONSTRAINT; Schema: test; Owner: -
--

ALTER TABLE ONLY company
    ADD CONSTRAINT fk_resource_id_company FOREIGN KEY (resource_id) REFERENCES resource(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_resource_id_contact; Type: FK CONSTRAINT; Schema: test; Owner: -
--

ALTER TABLE ONLY contact
    ADD CONSTRAINT fk_resource_id_contact FOREIGN KEY (resource_id) REFERENCES resource(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_resource_id_contact; Type: FK CONSTRAINT; Schema: test; Owner: -
--

ALTER TABLE ONLY upload
    ADD CONSTRAINT fk_resource_id_contact FOREIGN KEY (resource_id) REFERENCES resource(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_resource_id_contract; Type: FK CONSTRAINT; Schema: test; Owner: -
--

ALTER TABLE ONLY contract
    ADD CONSTRAINT fk_resource_id_contract FOREIGN KEY (resource_id) REFERENCES resource(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_resource_id_country; Type: FK CONSTRAINT; Schema: test; Owner: -
--

ALTER TABLE ONLY country
    ADD CONSTRAINT fk_resource_id_country FOREIGN KEY (resource_id) REFERENCES resource(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_resource_id_crosspayment; Type: FK CONSTRAINT; Schema: test; Owner: -
--

ALTER TABLE ONLY crosspayment
    ADD CONSTRAINT fk_resource_id_crosspayment FOREIGN KEY (resource_id) REFERENCES resource(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_resource_id_currency; Type: FK CONSTRAINT; Schema: test; Owner: -
--

ALTER TABLE ONLY currency
    ADD CONSTRAINT fk_resource_id_currency FOREIGN KEY (resource_id) REFERENCES resource(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_resource_id_currency_rate; Type: FK CONSTRAINT; Schema: test; Owner: -
--

ALTER TABLE ONLY currency_rate
    ADD CONSTRAINT fk_resource_id_currency_rate FOREIGN KEY (resource_id) REFERENCES resource(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_resource_id_dismissal; Type: FK CONSTRAINT; Schema: test; Owner: -
--

ALTER TABLE ONLY dismissal
    ADD CONSTRAINT fk_resource_id_dismissal FOREIGN KEY (resource_id) REFERENCES resource(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_resource_id_employee; Type: FK CONSTRAINT; Schema: test; Owner: -
--

ALTER TABLE ONLY employee
    ADD CONSTRAINT fk_resource_id_employee FOREIGN KEY (resource_id) REFERENCES resource(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_resource_id_foodcat; Type: FK CONSTRAINT; Schema: test; Owner: -
--

ALTER TABLE ONLY foodcat
    ADD CONSTRAINT fk_resource_id_foodcat FOREIGN KEY (resource_id) REFERENCES resource(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_resource_id_hotel; Type: FK CONSTRAINT; Schema: test; Owner: -
--

ALTER TABLE ONLY hotel
    ADD CONSTRAINT fk_resource_id_hotel FOREIGN KEY (resource_id) REFERENCES resource(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_resource_id_hotelcat; Type: FK CONSTRAINT; Schema: test; Owner: -
--

ALTER TABLE ONLY hotelcat
    ADD CONSTRAINT fk_resource_id_hotelcat FOREIGN KEY (resource_id) REFERENCES resource(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_resource_id_income; Type: FK CONSTRAINT; Schema: test; Owner: -
--

ALTER TABLE ONLY income
    ADD CONSTRAINT fk_resource_id_income FOREIGN KEY (resource_id) REFERENCES resource(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_resource_id_invoice; Type: FK CONSTRAINT; Schema: test; Owner: -
--

ALTER TABLE ONLY invoice
    ADD CONSTRAINT fk_resource_id_invoice FOREIGN KEY (resource_id) REFERENCES resource(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_resource_id_lead; Type: FK CONSTRAINT; Schema: test; Owner: -
--

ALTER TABLE ONLY lead
    ADD CONSTRAINT fk_resource_id_lead FOREIGN KEY (resource_id) REFERENCES resource(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_resource_id_lead_item; Type: FK CONSTRAINT; Schema: test; Owner: -
--

ALTER TABLE ONLY lead_item
    ADD CONSTRAINT fk_resource_id_lead_item FOREIGN KEY (resource_id) REFERENCES resource(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_resource_id_lead_offer; Type: FK CONSTRAINT; Schema: test; Owner: -
--

ALTER TABLE ONLY lead_offer
    ADD CONSTRAINT fk_resource_id_lead_offer FOREIGN KEY (resource_id) REFERENCES resource(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_resource_id_location; Type: FK CONSTRAINT; Schema: test; Owner: -
--

ALTER TABLE ONLY location
    ADD CONSTRAINT fk_resource_id_location FOREIGN KEY (resource_id) REFERENCES resource(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_resource_id_navigation; Type: FK CONSTRAINT; Schema: test; Owner: -
--

ALTER TABLE ONLY navigation
    ADD CONSTRAINT fk_resource_id_navigation FOREIGN KEY (resource_id) REFERENCES resource(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_resource_id_note; Type: FK CONSTRAINT; Schema: test; Owner: -
--

ALTER TABLE ONLY note
    ADD CONSTRAINT fk_resource_id_note FOREIGN KEY (resource_id) REFERENCES resource(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_resource_id_note_resource; Type: FK CONSTRAINT; Schema: test; Owner: -
--

ALTER TABLE ONLY note_resource
    ADD CONSTRAINT fk_resource_id_note_resource FOREIGN KEY (resource_id) REFERENCES resource(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_resource_id_notification; Type: FK CONSTRAINT; Schema: test; Owner: -
--

ALTER TABLE ONLY notification
    ADD CONSTRAINT fk_resource_id_notification FOREIGN KEY (resource_id) REFERENCES resource(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_resource_id_notification_resource; Type: FK CONSTRAINT; Schema: test; Owner: -
--

ALTER TABLE ONLY notification_resource
    ADD CONSTRAINT fk_resource_id_notification_resource FOREIGN KEY (resource_id) REFERENCES resource(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_resource_id_order; Type: FK CONSTRAINT; Schema: test; Owner: -
--

ALTER TABLE ONLY "order"
    ADD CONSTRAINT fk_resource_id_order FOREIGN KEY (resource_id) REFERENCES resource(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_resource_id_order_item; Type: FK CONSTRAINT; Schema: test; Owner: -
--

ALTER TABLE ONLY order_item
    ADD CONSTRAINT fk_resource_id_order_item FOREIGN KEY (resource_id) REFERENCES resource(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_resource_id_outgoing; Type: FK CONSTRAINT; Schema: test; Owner: -
--

ALTER TABLE ONLY outgoing
    ADD CONSTRAINT fk_resource_id_outgoing FOREIGN KEY (resource_id) REFERENCES resource(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_resource_id_passport; Type: FK CONSTRAINT; Schema: test; Owner: -
--

ALTER TABLE ONLY passport
    ADD CONSTRAINT fk_resource_id_passport FOREIGN KEY (resource_id) REFERENCES resource(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_resource_id_person; Type: FK CONSTRAINT; Schema: test; Owner: -
--

ALTER TABLE ONLY person
    ADD CONSTRAINT fk_resource_id_person FOREIGN KEY (resource_id) REFERENCES resource(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_resource_id_person_category; Type: FK CONSTRAINT; Schema: test; Owner: -
--

ALTER TABLE ONLY person_category
    ADD CONSTRAINT fk_resource_id_person_category FOREIGN KEY (resource_id) REFERENCES resource(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_resource_id_position; Type: FK CONSTRAINT; Schema: test; Owner: -
--

ALTER TABLE ONLY "position"
    ADD CONSTRAINT fk_resource_id_position FOREIGN KEY (resource_id) REFERENCES resource(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_resource_id_region; Type: FK CONSTRAINT; Schema: test; Owner: -
--

ALTER TABLE ONLY region
    ADD CONSTRAINT fk_resource_id_region FOREIGN KEY (resource_id) REFERENCES resource(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_resource_id_resource_log; Type: FK CONSTRAINT; Schema: test; Owner: -
--

ALTER TABLE ONLY resource_log
    ADD CONSTRAINT fk_resource_id_resource_log FOREIGN KEY (resource_id) REFERENCES resource(id) ON UPDATE CASCADE ON DELETE CASCADE;


--
-- Name: fk_resource_id_resource_type; Type: FK CONSTRAINT; Schema: test; Owner: -
--

ALTER TABLE ONLY resource_type
    ADD CONSTRAINT fk_resource_id_resource_type FOREIGN KEY (resource_id) REFERENCES resource(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_resource_id_roomcat; Type: FK CONSTRAINT; Schema: test; Owner: -
--

ALTER TABLE ONLY roomcat
    ADD CONSTRAINT fk_resource_id_roomcat FOREIGN KEY (resource_id) REFERENCES resource(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_resource_id_service; Type: FK CONSTRAINT; Schema: test; Owner: -
--

ALTER TABLE ONLY service
    ADD CONSTRAINT fk_resource_id_service FOREIGN KEY (resource_id) REFERENCES resource(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_resource_id_spassport; Type: FK CONSTRAINT; Schema: test; Owner: -
--

ALTER TABLE ONLY spassport
    ADD CONSTRAINT fk_resource_id_spassport FOREIGN KEY (resource_id) REFERENCES resource(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_resource_id_structure; Type: FK CONSTRAINT; Schema: test; Owner: -
--

ALTER TABLE ONLY structure
    ADD CONSTRAINT fk_resource_id_structure FOREIGN KEY (resource_id) REFERENCES resource(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_resource_id_subaccount; Type: FK CONSTRAINT; Schema: test; Owner: -
--

ALTER TABLE ONLY subaccount
    ADD CONSTRAINT fk_resource_id_subaccount FOREIGN KEY (resource_id) REFERENCES resource(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_resource_id_supplier; Type: FK CONSTRAINT; Schema: test; Owner: -
--

ALTER TABLE ONLY supplier
    ADD CONSTRAINT fk_resource_id_supplier FOREIGN KEY (resource_id) REFERENCES resource(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_resource_id_supplier_type; Type: FK CONSTRAINT; Schema: test; Owner: -
--

ALTER TABLE ONLY supplier_type
    ADD CONSTRAINT fk_resource_id_supplier_type FOREIGN KEY (resource_id) REFERENCES resource(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_resource_id_task; Type: FK CONSTRAINT; Schema: test; Owner: -
--

ALTER TABLE ONLY task
    ADD CONSTRAINT fk_resource_id_task FOREIGN KEY (resource_id) REFERENCES resource(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_resource_id_task_resource; Type: FK CONSTRAINT; Schema: test; Owner: -
--

ALTER TABLE ONLY task_resource
    ADD CONSTRAINT fk_resource_id_task_resource FOREIGN KEY (resource_id) REFERENCES resource(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_resource_id_ticket; Type: FK CONSTRAINT; Schema: test; Owner: -
--

ALTER TABLE ONLY ticket
    ADD CONSTRAINT fk_resource_id_ticket FOREIGN KEY (resource_id) REFERENCES resource(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_resource_id_ticket_class; Type: FK CONSTRAINT; Schema: test; Owner: -
--

ALTER TABLE ONLY ticket_class
    ADD CONSTRAINT fk_resource_id_ticket_class FOREIGN KEY (resource_id) REFERENCES resource(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_resource_id_tour; Type: FK CONSTRAINT; Schema: test; Owner: -
--

ALTER TABLE ONLY tour
    ADD CONSTRAINT fk_resource_id_tour FOREIGN KEY (resource_id) REFERENCES resource(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_resource_id_transfer; Type: FK CONSTRAINT; Schema: test; Owner: -
--

ALTER TABLE ONLY transfer
    ADD CONSTRAINT fk_resource_id_transfer FOREIGN KEY (resource_id) REFERENCES resource(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_resource_id_transport; Type: FK CONSTRAINT; Schema: test; Owner: -
--

ALTER TABLE ONLY transport
    ADD CONSTRAINT fk_resource_id_transport FOREIGN KEY (resource_id) REFERENCES resource(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_resource_id_user; Type: FK CONSTRAINT; Schema: test; Owner: -
--

ALTER TABLE ONLY "user"
    ADD CONSTRAINT fk_resource_id_user FOREIGN KEY (resource_id) REFERENCES resource(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_resource_id_vat; Type: FK CONSTRAINT; Schema: test; Owner: -
--

ALTER TABLE ONLY vat
    ADD CONSTRAINT fk_resource_id_vat FOREIGN KEY (resource_id) REFERENCES resource(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_resource_id_visa; Type: FK CONSTRAINT; Schema: test; Owner: -
--

ALTER TABLE ONLY visa
    ADD CONSTRAINT fk_resource_id_visa FOREIGN KEY (resource_id) REFERENCES resource(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_resource_type_id_permission; Type: FK CONSTRAINT; Schema: test; Owner: -
--

ALTER TABLE ONLY permision
    ADD CONSTRAINT fk_resource_type_id_permission FOREIGN KEY (resource_type_id) REFERENCES resource_type(id) ON UPDATE CASCADE ON DELETE CASCADE;


--
-- Name: fk_resource_type_id_resource; Type: FK CONSTRAINT; Schema: test; Owner: -
--

ALTER TABLE ONLY resource
    ADD CONSTRAINT fk_resource_type_id_resource FOREIGN KEY (resource_type_id) REFERENCES resource_type(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_resource_type_id_service; Type: FK CONSTRAINT; Schema: test; Owner: -
--

ALTER TABLE ONLY service
    ADD CONSTRAINT fk_resource_type_id_service FOREIGN KEY (resource_type_id) REFERENCES resource_type(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_roomcat_id_tour; Type: FK CONSTRAINT; Schema: test; Owner: -
--

ALTER TABLE ONLY tour
    ADD CONSTRAINT fk_roomcat_id_tour FOREIGN KEY (roomcat_id) REFERENCES roomcat(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_service_id_commission; Type: FK CONSTRAINT; Schema: test; Owner: -
--

ALTER TABLE ONLY commission
    ADD CONSTRAINT fk_service_id_commission FOREIGN KEY (service_id) REFERENCES service(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_service_id_lead_item; Type: FK CONSTRAINT; Schema: test; Owner: -
--

ALTER TABLE ONLY lead_item
    ADD CONSTRAINT fk_service_id_lead_item FOREIGN KEY (service_id) REFERENCES service(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_service_id_lead_offer; Type: FK CONSTRAINT; Schema: test; Owner: -
--

ALTER TABLE ONLY lead_offer
    ADD CONSTRAINT fk_service_id_lead_offer FOREIGN KEY (service_id) REFERENCES service(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_service_id_order_item; Type: FK CONSTRAINT; Schema: test; Owner: -
--

ALTER TABLE ONLY order_item
    ADD CONSTRAINT fk_service_id_order_item FOREIGN KEY (service_id) REFERENCES service(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_service_id_vat; Type: FK CONSTRAINT; Schema: test; Owner: -
--

ALTER TABLE ONLY vat
    ADD CONSTRAINT fk_service_id_vat FOREIGN KEY (service_id) REFERENCES service(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_spassport_id_spassport_order_item; Type: FK CONSTRAINT; Schema: test; Owner: -
--

ALTER TABLE ONLY spassport_order_item
    ADD CONSTRAINT fk_spassport_id_spassport_order_item FOREIGN KEY (spassport_id) REFERENCES spassport(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_start_location_id_ticket; Type: FK CONSTRAINT; Schema: test; Owner: -
--

ALTER TABLE ONLY ticket
    ADD CONSTRAINT fk_start_location_id_ticket FOREIGN KEY (start_location_id) REFERENCES location(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_start_location_id_tour; Type: FK CONSTRAINT; Schema: test; Owner: -
--

ALTER TABLE ONLY tour
    ADD CONSTRAINT fk_start_location_id_tour FOREIGN KEY (start_location_id) REFERENCES location(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_start_transport_id_tour; Type: FK CONSTRAINT; Schema: test; Owner: -
--

ALTER TABLE ONLY tour
    ADD CONSTRAINT fk_start_transport_id_tour FOREIGN KEY (start_transport_id) REFERENCES transport(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_structure_company_id; Type: FK CONSTRAINT; Schema: test; Owner: -
--

ALTER TABLE ONLY structure
    ADD CONSTRAINT fk_structure_company_id FOREIGN KEY (company_id) REFERENCES company(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_structure_id_structure_address; Type: FK CONSTRAINT; Schema: test; Owner: -
--

ALTER TABLE ONLY structure_address
    ADD CONSTRAINT fk_structure_id_structure_address FOREIGN KEY (structure_id) REFERENCES structure(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_structure_id_structure_bank_detail; Type: FK CONSTRAINT; Schema: test; Owner: -
--

ALTER TABLE ONLY structure_bank_detail
    ADD CONSTRAINT fk_structure_id_structure_bank_detail FOREIGN KEY (structure_id) REFERENCES structure(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_structure_id_structure_contact; Type: FK CONSTRAINT; Schema: test; Owner: -
--

ALTER TABLE ONLY structure_contact
    ADD CONSTRAINT fk_structure_id_structure_contact FOREIGN KEY (structure_id) REFERENCES structure(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_structure_parent_id; Type: FK CONSTRAINT; Schema: test; Owner: -
--

ALTER TABLE ONLY structure
    ADD CONSTRAINT fk_structure_parent_id FOREIGN KEY (parent_id) REFERENCES structure(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_subaccount_account_id; Type: FK CONSTRAINT; Schema: test; Owner: -
--

ALTER TABLE ONLY subaccount
    ADD CONSTRAINT fk_subaccount_account_id FOREIGN KEY (account_id) REFERENCES account(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_subaccount_from_id_cashflow; Type: FK CONSTRAINT; Schema: test; Owner: -
--

ALTER TABLE ONLY cashflow
    ADD CONSTRAINT fk_subaccount_from_id_cashflow FOREIGN KEY (subaccount_from_id) REFERENCES subaccount(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_subaccount_id_company_subaccount; Type: FK CONSTRAINT; Schema: test; Owner: -
--

ALTER TABLE ONLY company_subaccount
    ADD CONSTRAINT fk_subaccount_id_company_subaccount FOREIGN KEY (subaccount_id) REFERENCES subaccount(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_subaccount_id_employee_subaccount; Type: FK CONSTRAINT; Schema: test; Owner: -
--

ALTER TABLE ONLY employee_subaccount
    ADD CONSTRAINT fk_subaccount_id_employee_subaccount FOREIGN KEY (subaccount_id) REFERENCES subaccount(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_subaccount_id_outgoing; Type: FK CONSTRAINT; Schema: test; Owner: -
--

ALTER TABLE ONLY outgoing
    ADD CONSTRAINT fk_subaccount_id_outgoing FOREIGN KEY (subaccount_id) REFERENCES subaccount(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_subaccount_id_person_subaccount; Type: FK CONSTRAINT; Schema: test; Owner: -
--

ALTER TABLE ONLY person_subaccount
    ADD CONSTRAINT fk_subaccount_id_person_subaccount FOREIGN KEY (subaccount_id) REFERENCES subaccount(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_subaccount_id_supplier_subaccount; Type: FK CONSTRAINT; Schema: test; Owner: -
--

ALTER TABLE ONLY supplier_subaccount
    ADD CONSTRAINT fk_subaccount_id_supplier_subaccount FOREIGN KEY (subaccount_id) REFERENCES subaccount(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_subaccount_to_id_cashflow; Type: FK CONSTRAINT; Schema: test; Owner: -
--

ALTER TABLE ONLY cashflow
    ADD CONSTRAINT fk_subaccount_to_id_cashflow FOREIGN KEY (subaccount_to_id) REFERENCES subaccount(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_supplier_id_currency_rate; Type: FK CONSTRAINT; Schema: test; Owner: -
--

ALTER TABLE ONLY currency_rate
    ADD CONSTRAINT fk_supplier_id_currency_rate FOREIGN KEY (supplier_id) REFERENCES supplier(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_supplier_id_lead_offer; Type: FK CONSTRAINT; Schema: test; Owner: -
--

ALTER TABLE ONLY lead_offer
    ADD CONSTRAINT fk_supplier_id_lead_offer FOREIGN KEY (supplier_id) REFERENCES supplier(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_supplier_id_order_item; Type: FK CONSTRAINT; Schema: test; Owner: -
--

ALTER TABLE ONLY order_item
    ADD CONSTRAINT fk_supplier_id_order_item FOREIGN KEY (supplier_id) REFERENCES supplier(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_supplier_id_supplier_bank_detail; Type: FK CONSTRAINT; Schema: test; Owner: -
--

ALTER TABLE ONLY supplier_bank_detail
    ADD CONSTRAINT fk_supplier_id_supplier_bank_detail FOREIGN KEY (supplier_id) REFERENCES supplier(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_supplier_id_supplier_bperson; Type: FK CONSTRAINT; Schema: test; Owner: -
--

ALTER TABLE ONLY supplier_bperson
    ADD CONSTRAINT fk_supplier_id_supplier_bperson FOREIGN KEY (supplier_id) REFERENCES supplier(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_supplier_id_supplier_contract; Type: FK CONSTRAINT; Schema: test; Owner: -
--

ALTER TABLE ONLY supplier_contract
    ADD CONSTRAINT fk_supplier_id_supplier_contract FOREIGN KEY (supplier_id) REFERENCES supplier(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_supplier_id_supplier_subaccount; Type: FK CONSTRAINT; Schema: test; Owner: -
--

ALTER TABLE ONLY supplier_subaccount
    ADD CONSTRAINT fk_supplier_id_supplier_subaccount FOREIGN KEY (supplier_id) REFERENCES supplier(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_supplier_type_id_supplier; Type: FK CONSTRAINT; Schema: test; Owner: -
--

ALTER TABLE ONLY supplier
    ADD CONSTRAINT fk_supplier_type_id_supplier FOREIGN KEY (supplier_type_id) REFERENCES supplier_type(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_task_id_task_resource; Type: FK CONSTRAINT; Schema: test; Owner: -
--

ALTER TABLE ONLY task_resource
    ADD CONSTRAINT fk_task_id_task_resource FOREIGN KEY (task_id) REFERENCES task(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_task_id_task_upload; Type: FK CONSTRAINT; Schema: test; Owner: -
--

ALTER TABLE ONLY task_upload
    ADD CONSTRAINT fk_task_id_task_upload FOREIGN KEY (task_id) REFERENCES task(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_ticket_class_id_ticket; Type: FK CONSTRAINT; Schema: test; Owner: -
--

ALTER TABLE ONLY ticket
    ADD CONSTRAINT fk_ticket_class_id_ticket FOREIGN KEY (ticket_class_id) REFERENCES ticket_class(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_ticket_id_ticket_order_item; Type: FK CONSTRAINT; Schema: test; Owner: -
--

ALTER TABLE ONLY ticket_order_item
    ADD CONSTRAINT fk_ticket_id_ticket_order_item FOREIGN KEY (ticket_id) REFERENCES ticket(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_tour_id_tour_order_item; Type: FK CONSTRAINT; Schema: test; Owner: -
--

ALTER TABLE ONLY tour_order_item
    ADD CONSTRAINT fk_tour_id_tour_order_item FOREIGN KEY (tour_id) REFERENCES tour(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_transfer_id_tour; Type: FK CONSTRAINT; Schema: test; Owner: -
--

ALTER TABLE ONLY tour
    ADD CONSTRAINT fk_transfer_id_tour FOREIGN KEY (transfer_id) REFERENCES transfer(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_transport_id_ticket; Type: FK CONSTRAINT; Schema: test; Owner: -
--

ALTER TABLE ONLY ticket
    ADD CONSTRAINT fk_transport_id_ticket FOREIGN KEY (transport_id) REFERENCES transport(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_upload_id_employee_upload; Type: FK CONSTRAINT; Schema: test; Owner: -
--

ALTER TABLE ONLY employee_upload
    ADD CONSTRAINT fk_upload_id_employee_upload FOREIGN KEY (upload_id) REFERENCES upload(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_upload_id_note_upload; Type: FK CONSTRAINT; Schema: test; Owner: -
--

ALTER TABLE ONLY note_upload
    ADD CONSTRAINT fk_upload_id_note_upload FOREIGN KEY (upload_id) REFERENCES upload(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_upload_id_passport_upload; Type: FK CONSTRAINT; Schema: test; Owner: -
--

ALTER TABLE ONLY passport_upload
    ADD CONSTRAINT fk_upload_id_passport_upload FOREIGN KEY (upload_id) REFERENCES upload(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_upload_id_task_upload; Type: FK CONSTRAINT; Schema: test; Owner: -
--

ALTER TABLE ONLY task_upload
    ADD CONSTRAINT fk_upload_id_task_upload FOREIGN KEY (upload_id) REFERENCES upload(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- Name: fk_visa_id_visa_order_item; Type: FK CONSTRAINT; Schema: test; Owner: -
--

ALTER TABLE ONLY visa_order_item
    ADD CONSTRAINT fk_visa_id_visa_order_item FOREIGN KEY (visa_id) REFERENCES visa(id) ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- PostgreSQL database dump complete
--

